local ZygorGuidesViewer=ZygorGuidesViewer
if not ZygorGuidesViewer then return end
if UnitFactionGroup("player")~="Alliance" then return end
if ZGV:DoMutex("LevelingACLASSIC") then return end
ZygorGuidesViewer.GuideMenuTier = "CLA"
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Startup Guide Wizard",{
author="support@zygorguides.com",
condition_visible=function() return false end,
noscoring = true,
orientation = true,
hardcore = true,
},[[
step
Welcome to the Zygor Startup Wizard!
In order for Zygor Guides to perform at its best we need to collect some character data.
This wizard will walk you through a few simple steps to do this.
confirm begin
step
Open the Talent Advisor tab in Zygor Settings, and select your preferred build. |complete ZGV.TalentAdvisor:IsBuildSelected()
step
findcity Main City
|tip You need to be in a capital city for the upcoming steps.
step
talknpcs Auctioneer |autoscript ZGV.ATWereEnabled=ZGV.db.profile.auction_enable ZGV.db.profile.auction_enable=true
Click the Scan button in the bottom right corner.
Record auction pricing data for the Gold Guide |complete ZGV.Gold:LastScan(15)
step
talknpcs Banker
|only if not ZGV.Inventory:CharacterBankKnown()
Record the items you have placed in your bank inventory. |complete ZGV.Inventory:CharacterBankKnown()
step
talknpcs Flightmaster
Record what flight points you have for the Travel System. | complete LibTaxi:IsContinentKnown()
step
openskill Alchemy
|only if hasprofunscanned("Alchemy")
Record your profession data for the Gold Guide. |complete hasprof("Alchemy",1)
step
openskill Blacksmithing
|only if hasprofunscanned("Blacksmithing")
Record your profession data for the Gold Guide. |complete hasprof("Blacksmithing",1)
step
openskill Cooking
|only if hasprofunscanned("Cooking")
Record your profession data for the Gold Guide. |complete hasprof("Cooking",1)
step
openskill Enchanting
|only if hasprofunscanned("Enchanting")
Record your profession data for the Gold Guide. |complete hasprof("Enchanting",1)
step
openskill Engineering
|only if hasprofunscanned("Engineering")
Record your profession data for the Gold Guide. |complete hasprof("Engineering",1)
step
openskill First Aid
|only if hasprofunscanned("First Aid")
Record your profession data for the Gold Guide. |complete hasprof("First Aid",1)
step
openskill Leatherworking
|only if hasprofunscanned("Leatherworking")
Record your profession data for the Gold Guide. |complete hasprof("Leatherworking",1)
step
openskill Mining
|only if hasprofunscanned("Mining")
Record your profession data for the Gold Guide. |complete hasprof("Mining",1)
step
openskill Tailoring
|only if hasprofunscanned("Tailoring")
Record your profession data for the Gold Guide. |complete hasprof("Tailoring",1)
step
You''re all set!
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Human Starter (1-15)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Elwynn Forest",
condition_suggested=function() return raceclass('Human') and level <= 12 end,
condition_suggested_race=function() return raceclass('Human') end,
condition_suggested_exclusive=true,
next="Leveling Guides\\Darkshore (13-17)",
hardcore = true,
},[[
step
_NOTE:_
Save All Linen Cloth You Find
|tip As you quest in Elwynn Forest, save all Linen Cloth you find.
|tip Be careful not to accidentally sell them to a vendor.
|tip You will need ~70 Linen Cloth when you are level 10-11.
|tip You will use them to create your wand, which will be a powerful weapon for you.
|tip However, if you are confident you will be able to buy a wand from the Auction House (if this isn't a new or populated server), you can ignore this. |only if not selfmade
Click Here to Continue |confirm |q 364 |future
|only if Priest
step
_NOTE:_
Save Cloth in Your Bank as You Level
|tip Once you are close to reaching level 60, you will need 240 of each of these types of cloth:
|tip Wool Cloth
|tip Silk Cloth
|tip Mageweave Cloth
|tip Runecloth
|tip
|tip As you level and collect these cloth naturally from killing enemies while following the guide, make sure you deposit the cloth into a bank whenever you are near one.
|tip This will give you about 40,000 quick and easy xp to help you get to level 60 faster in the longer later levels.
Click Here to Continue |confirm
|only if level < 60
step
_Destroy This Item:_
|tip You won't use it in the Northshire Valley starter area.
|tip You will get another one before you need to use it.
trash Hearthstone##6948
step
talk Deputy Willem##823
accept A Threat Within##783 |goto Elwynn Forest 48.17,42.95
step
Enter the building |goto 48.31,41.99 < 10 |walk
talk Marshal McBride##197
|tip Inside the building.
turnin A Threat Within##783 |goto 48.92,41.61
accept Kobold Camp Cleanup##7 |goto 48.92,41.61
step
talk Deputy Willem##823
accept Eagan Peltskinner##5261 |goto 48.17,42.95
step
talk Eagan Peltskinner##196
|tip Outside the building.
turnin Eagan Peltskinner##5261 |goto 48.94,40.16
accept Wolves Across the Border##33 |goto 48.94,40.16
step
Kill Wolf enemies around this area
collect 8 Tough Wolf Meat##750 |q 33/1 |goto 46.38,38.58
You can find more around: |notinsticky
[45.82,44.02]
[50.16,45.83]
[52.06,40.29]
step
kill 10 Kobold Vermin##6 |q 7/1 |goto 47.49,36.15
You can find more around [51.18,37.25]
step
talk Eagan Peltskinner##196
turnin Wolves Across the Border##33 |goto 48.94,40.16
step
Kill enemies around this area
ding 3 |goto 47.49,36.15
You can find more around [51.18,37.25]
step
Enter the building |goto 48.31,41.99 < 10 |walk
talk Marshal McBride##197
|tip Inside the building.
turnin Kobold Camp Cleanup##7 |goto 48.92,41.61
accept Investigate Echo Ridge##15 |goto 48.92,41.61
accept Glyphic Letter##3104 |goto 48.92,41.61		|only Human Mage
accept Simple Letter##3100 |goto 48.92,41.61		|only Human Warrior
accept Tainted Letter##3105 |goto 48.92,41.61		|only Human Warlock
accept Encrypted Letter##3102 |goto 48.92,41.61		|only Human Rogue
accept Hallowed Letter##3103 |goto 48.92,41.61		|only Human Priest
accept Consecrated Letter##3101 |goto 48.92,41.61	|only Human Paladin
step
talk Llane Beshere##911
|tip Inside the building, on the ground floor.
turnin Simple Letter##3100 |goto Elwynn Forest 50.24,42.28
accept The Lost Rune##77616 |goto Elwynn Forest 50.24,42.28 |only if ZGV.IsClassicSoD
|only if Human Warrior
step
talk Brother Sammuel##925
|tip Inside the building, on the ground floor.
turnin Consecrated Letter##3101 |goto Elwynn Forest 50.43,42.12
accept Relics of the Light##77617 |goto Elwynn Forest 50.43,42.12 |only if ZGV.IsClassicSoD
|only if Human Paladin
step
talk Priestess Anetta##375
|tip Inside the building, on the ground floor.
turnin Hallowed Letter##3103 |goto Elwynn Forest 49.81,39.49
accept Meditation on the Light##77619 |goto Elwynn Forest 49.81,39.49 |only if ZGV.IsClassicSoD
|only if Human Priest
step
Gain the Meditation on the Light Buff |complete hasbuff(410935) |goto 49.81,39.49 |q 77619
|tip Use the "/kneel" emote while standing inside the building.
|tip You will gain a buff that allows you to learn Priest runes.
|only if Human Priest and ZGV.IsClassicSoD
step
Kill Kobold enemies around this area
|tip Inside the mine.
collect Memory of a Troubled Acolyte##205951 |goto 47.66,31.86 |q 77619
|only if Human Priest and ZGV.IsClassicSoD
step
use the Memory of a Troubled Acolyte##205951
Learn Spell: Engrave Gloves - Penance |q 77619/1
|only if Human Priest and ZGV.IsClassicSoD
step
Enter the building |goto 48.31,41.99 < 10 |walk
talk Priestess Anetta##375
|tip Inside the building, on the ground floor.
turnin Meditation on the Light##77619 |goto 49.81,39.49
|only if Human Priest and ZGV.IsClassicSoD
step
talk Khelden Bremen##198
|tip Upstairs inside the building, on the middle floor.
turnin Glyphic Letter##3104 |goto Elwynn Forest 49.66,39.40
accept Spell Research##77620 |goto Elwynn Forest 49.66,39.40 |only if ZGV.IsClassicSoD
|only if Human Mage
step
Leave the building |goto Elwynn Forest 48.30,42.00 < 10 |walk |only if _G.IsIndoors()
kill 10 Kobold Worker##257 |q 15/1 |goto Elwynn Forest 47.49,36.15
You can find more around [Elwynn Forest 51.18,37.25]
step
Enter the mine |goto Elwynn Forest 47.67,31.88 < 15 |walk
click Kobold Stashbox##397987
|tip It looks like a wooden chest on the ground.
|tip Inside the mine.
collect Rune of Victory Rush##204806 |goto Elwynn Forest 50.63,27.27 |q 77616
|only if Human Warrior and ZGV.IsClassicSoD
step
use the Rune of Victory Rush##204806
Learn: Engrave Gloves - Victory Rush |q 77616/1
|only if Human Warrior and ZGV.IsClassicSoD
step
Kill enemies around this area
|tip Getting this far into level 3 will allow you to reach level 4 when you turn in a quest soon.
ding 3,1150 |goto 47.49,36.15
You can find more around [51.18,37.25]
step
Enter the building |goto 48.28,42.02 < 10 |walk
talk Marshal McBride##197
|tip Inside the building.
turnin Investigate Echo Ridge##15 |goto 48.93,41.61
accept Skirmish at Echo Ridge##21 |goto 48.93,41.61
step
talk Llane Beshere##911
|tip Inside the building.
turnin The Lost Rune##77616 |goto 50.24,42.28
|only if Human Warrior and ZGV.IsClassicSoD
step
talk Deputy Willem##823
|tip Outside, in front of the building.
accept Brotherhood of Thieves##18 |goto Elwynn Forest 48.17,42.93
step
talk Drusilla La Salle##459
|tip Outside, next to the building.
turnin Tainted Letter##3105 |goto Elwynn Forest 49.87,42.65
accept The Stolen Tome##1598 |goto Elwynn Forest 49.87,42.65
accept Stolen Power##77621 |goto Elwynn Forest 49.87,42.65 |only if ZGV.IsClassicSoD
|only if Human Warlock
step
click Stolen Books
|tip Try to pull enemies one at a time when possible.
|tip While standing inside the tent, zoom your camera out and click the small pile of books in the junk to the right of the tent opening.
collect Powers of the Void##6785 |q 1598/1 |goto 56.74,43.77
|only if Human Warlock
stickystart "Collect_Red_Burlap_Bandanas"
step
_NOTE:_
Learn the Judgement Ability
|tip Make sure to learn the Judgement ability from your class trainer.
|tip You will need it to get a rune soon.
Click Here to Continue |confirm |q 77617
|only if Human Paladin and ZGV.IsClassicSoD
step
kill Defias Thug##38+
collect Libram of Judgement##205420 |goto Elwynn Forest 56.09,42.35 |q 77617
You can find more around [Elwynn Forest 53.20,50.30]
|only if Human Paladin and ZGV.IsClassicSoD
step
Equip the Libram of Judgement |equipped Libram of Judgement##205420 |q 77617
|only if Human Paladin and ZGV.IsClassicSoD
step
kill Defias Thug##38+
|tip Use your "Seal of Righteousness" ability, and then use your "Judgement" ability on them.
|tip You will gain a buff.
|tip Repeat this process until you have 10 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 56.09,42.35 |q 77617
You can find more around [53.20,50.30]
|only if Human Paladin and ZGV.IsClassicSoD
step
use the Libram of Judgement##205420
Learn the Spell: Engrave Gloves - Crusader Strike |q 77617/1
|only if Human Paladin and ZGV.IsClassicSoD
step
talk Jorik Kerridan##915
|tip Outside, in the stables behind the the building.
turnin Encrypted Letter##3102 |goto Elwynn Forest 50.31,39.92
accept Thrice Stolen##77618 |goto Elwynn Forest 50.31,39.92 |only if ZGV.IsClassicSoD
|only if Human Rogue
step
click Defias Stashbox##387477
collect Rune of Shadowstrike##204795 |goto 52.54,51.92 |q 77618
|only if Human Rogue and ZGV.IsClassicSoD
step
use the Rune of Shadowstrike##204795
Learn: Engrave Gloves - Shadowstrike |q 77618/1
|only if Human Rogue and ZGV.IsClassicSoD
step
kill Defias Thug##38+
|tip They look like humans.
collect Spell Notes: CALE ENCI##203751 |goto Elwynn Forest 54.89,42.98 |q 77620
You can find more around [Elwynn Forest 54.13,48.90]
|only if Human Mage and ZGV.IsClassicSoD
step
use the Spell Notes: CALE ENCI##203751
Learn: Engrave Gloves - Ice Lance |q 77620/1
|only if Human Mage and ZGV.IsClassicSoD
step
label "Collect_Red_Burlap_Bandanas"
kill Defias Thug##38+ |notinsticky
collect 12 Red Burlap Bandana##752 |q 18/1 |goto Elwynn Forest 56.09,42.35
You can find more around [Elwynn Forest 53.20,50.30]
step
talk Drusilla La Salle##459
|tip Outside, next to the building.
turnin The Stolen Tome##1598 |goto Elwynn Forest 49.87,42.65
|only if Human Warlock
step
Summon Your Imp |complete warlockpet("Imp") |q 783 |future
|tip Use the "Summon Imp" ability.
|only if Human Warlock and not warlockpet("Imp")
step
click Defias Stashbox##387477
collect Rune of Haunting##205230 |goto 52.54,51.92 |q 77621
|only if Human Warlock and ZGV.IsClassicSoD
step
use the Rune of Haunting##205230
Learn Engrave Gloves - Haunt |q 77621/1
|only if Human Warlock and ZGV.IsClassicSoD
step
talk Drusilla La Salle##459
|tip Outside, next to the building.
turnin Stolen Power##77621 |goto 49.87,42.65
|only if Human Warlock and ZGV.IsClassicSoD
step
talk Deputy Willem##823
|tip Outside, in front of the building.
turnin Brotherhood of Thieves##18 |goto 48.17,42.94
accept Milly Osworth##3903 |goto 48.17,42.94
accept Bounty on Garrick Padfoot##6 |goto 48.17,42.94
step
Enter the building |goto 48.30,42.00 < 10 |walk
talk Brother Sammuel##925
|tip Inside the building, on the ground floor.
turnin Relics of the Light##77617 |goto Elwynn Forest 50.43,42.12
|only if Human Paladin and ZGV.IsClassicSoD
step
Enter the building |goto Elwynn Forest 48.31,41.99 < 10 |walk
talk Khelden Bremen##198
|tip Upstairs inside the building.
turnin Spell Research##77620 |goto Elwynn Forest 49.66,39.40
|only if Human Mage and ZGV.IsClassicSoD
step
kill 12 Kobold Laborer##80 |q 21/1 |goto Elwynn Forest 47.67,31.86
|tip Inside the mine.
step
Kill enemies around this area
|tip Inside and outside the mine.
ding 5 |goto 47.67,31.86
step
Leave the mine |goto 47.66,31.89 < 15 |walk |only if subzone("Echo Ridge Mine") and _G.IsIndoors()
talk Milly Osworth##9296
|tip Outside, behind the building.
turnin Milly Osworth##3903 |goto 50.69,39.35
accept Milly's Harvest##3904 |goto 50.69,39.35
step
talk Jorik Kerridan##915
|tip Inside the building.
turnin Thrice Stolen##77618 |goto Elwynn Forest 50.31,39.92
|only if Human Rogue and ZGV.IsClassicSoD
step
kill Garrick Padfoot##103
collect Garrick's Head##182 |q 6/1 |goto Elwynn Forest 57.51,48.25
step
click Milly's Harvest+
|tip They look like wooden buckets on the ground around this area.
collect 8 Milly's Harvest##11119 |q 3904/1 |goto 53.88,48.55
step
Kill enemies around this area
|tip Getting this far into level 5 will allow you to reach level 6 when you turn in quests soon.
|tip You need to be level 6 to be able to learn your class abilities before leaving this starter area.
ding 5,1500 |goto 56.09,42.35
You can find more around [53.20,50.30]
step
talk Milly Osworth##9296
turnin Milly's Harvest##3904 |goto 50.69,39.35
accept Grape Manifest##3905 |goto 50.69,39.35
step
talk Deputy Willem##823
|tip Outside, in front of the building.
turnin Bounty on Garrick Padfoot##6 |goto 48.17,42.94
step
Enter the building |goto 48.27,42.01 < 10 |walk
talk Marshal McBride##197
|tip Inside the building.
turnin Skirmish at Echo Ridge##21 |goto 48.92,41.61
accept Report to Goldshire##54 |goto 48.92,41.61
step
Run up the stairs |goto 49.56,41.61 < 7 |walk
talk Brother Neals##952
|tip Upstairs inside the building, all the way at the top.
turnin Grape Manifest##3905 |goto 49.47,41.58
step
talk Priestess Anetta##375
|tip Inside the building, on the ground floor.
accept In Favor of the Light##5623 |goto Elwynn Forest 49.81,39.49
|only if Human Priest
step
Follow the road |goto Elwynn Forest 47.05,47.69 < 20 |only if walking
talk Falkhaan Isenstrider##6774
accept Rest and Relaxation##2158 |goto Elwynn Forest 45.56,47.74
step
talk Marshal Dughan##240
turnin Report to Goldshire##54 |goto 42.11,65.93
accept The Fargodeep Mine##62 |goto 42.11,65.93
step
Enter the building |goto 42.95,65.65 < 10 |walk
talk William Pestle##253
|tip Inside the building.
accept Kobold Candles##60 |goto 43.32,65.70
step
talk Innkeeper Farley##295
|tip Inside the building.
turnin Rest and Relaxation##2158 |goto 43.77,65.81
step
talk Brog Hamfist##151
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Brog Hamfist##151 |goto 43.96,65.92 |q 60
step
Summon Your Imp |complete warlockpet("Imp")
|tip Use the "Summon Imp" ability.
|tip You need to have your Imp active in order to complete the next step.
|only if Human Warlock and not warlockpet("Imp")
step
talk Cylina Darkheart##6374
|tip Downstairs inside the building.
buy Grimoire of Blood Pact (Rank 1)##16321 |n
|tip If you can't afford it, skip this step and make sure to buy it later.
use the Grimoire of Blood Pact (Rank 1)##16321
Teach Your Imp Blood Pact (Rank 1) |learnpetspell Blood Pact##6307 |goto Elwynn Forest 44.40,65.99
|only if Human Warlock
step
talk Brog Hamfist##151
|tip Inside the building.
buy Balanced Throwing Dagger##25872 |n
|tip If you can afford it.
Visit the Vendor |vendor Brog Hamfist##151 |goto Elwynn Forest 43.96,65.92 |q 60
|only if Rogue
step
talk Michelle Belle##2329
|tip Upstairs inside the building.
Train Apprentice First Aid |skillmax First Aid,75 |goto Elwynn Forest 43.39,65.55
step
_NOTE:_
Create Bandages in Downtime
|tip While you wait for boats, it's a good time to make bandages and increase your First Aid skill.
|tip You'll need higher skill to make better bandages later, so make sure to level it up as you go.
|tip Keep bandages on hand for another way to heal yourself.
Click Here to Continue |confirm |q 60
step
talk Priestess Josetta##377
|tip Upstairs inside the building.
turnin In Favor of the Light##5623 |goto Elwynn Forest 43.28,65.72
accept Garments of the Light##5624 |goto Elwynn Forest 43.28,65.72
|only if Human Priest
step
'|talk Guard Roberts##12423
Heal and Fortify Guard Roberts |q 5624/1 |goto Elwynn Forest/0 48.14,68.04
|tip Target Guard Roberts.
|tip First, cast your "Lesser Heal (Rank 2)" spell on him.
|tip Second, cast your "Power Word: Fortitude" spell on him.
|only if Human Priest
step
Enter the building |goto 42.95,65.65 < 10 |walk
talk Priestess Josetta##377
|tip Upstairs inside the building.
turnin Garments of the Light##5624 |goto 43.28,65.72
|only if Human Priest
step
talk Corina Steele##54
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Corina Steele##54 |goto Elwynn Forest 41.53,65.90 |q 60
|only if Warrior and itemcount(2488) == 0
step
talk Corina Steele##54
|tip Inside the building.
buy Wooden Mallet##2493 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Corina Steele##54 |goto Elwynn Forest 41.53,65.90 |q 60
|only if Paladin and itemcount(2493) == 0
step
talk Corina Steele##54
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Corina Steele##54 |goto Elwynn Forest 41.53,65.90 |q 60
|only if Rogue and itemcount(2494) == 0
step
talk Remy "Two Times"##241
accept Gold Dust Exchange##47 |goto Elwynn Forest 42.14,67.26
stickystart "Collect_Chunks_Of_Boar_Meat"
step
talk "Auntie" Bernice Stonefield##246
accept Lost Necklace##85 |goto 34.48,84.26
step
talk Billy Maclure##247
turnin Lost Necklace##85 |goto 43.13,85.72
accept Pie for Billy##86 |goto 43.13,85.72
step
Enter the building |goto 43.00,89.40 < 10 |walk
talk Maybell Maclure##251
|tip Inside the building.
accept Young Lovers##106 |goto 43.15,89.62
step
label "Collect_Chunks_Of_Boar_Meat"
kill Stonetusk Boar##113+
collect 4 Chunk of Boar Meat##769 |q 86/1 |goto 41.86,87.12 |future
|tip Be careful not to accidentally sell these to a vendor.
step
talk "Auntie" Bernice Stonefield##246
turnin Pie for Billy##86 |goto 34.48,84.26
accept Back to Billy##84 |goto 34.48,84.26
step
talk Tommy Joe Stonefield##252
turnin Young Lovers##106 |goto 29.84,85.99
accept Speak with Gramma##111 |goto 29.84,85.99
step
Enter the building |goto 34.82,84.11 < 10 |walk
talk Gramma Stonefield##248
|tip Inside the building.
turnin Speak with Gramma##111 |goto 34.94,83.86
accept Note to William##107 |goto 34.94,83.86
step
talk Billy Maclure##247
turnin Back to Billy##84 |goto 43.13,85.72
accept Goldtooth##87 |goto 43.13,85.72
stickystart "Collect_Gold_Dust"
stickystart "Collect_Large_Candles"
step
Enter the mine |goto 38.97,82.33 < 10 |walk
|tip Watch for patrols and respawns while in the area. |only if hardcore
Scout Through the Fargodeep Mine |q 62/1 |goto 39.61,80.21
|tip Inside the mine.
|tip Explore carefully through this area. |only if harcore
step
Follow the path inside the mine |goto 39.76,79.21 < 10 |walk
kill Goldtooth##327
|tip He walks around this area inside the mine.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect Bernice's Necklace##981 |q 87/1 |goto 41.71,78.04
step
label "Collect_Gold_Dust"
Kill Kobold enemies around this area
|tip Inside the mine.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
collect 10 Gold Dust##773 |q 47/1 |goto 39.61,80.21
step
label "Collect_Large_Candles"
Kill Kobold enemies around this area |notinsticky
|tip Inside the mine. |notinsticky
|tip You can find more outside the mine. |notinsticky
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
collect 8 Large Candle##772 |q 60/1 |goto 39.61,80.21
step
Kill enemies around this area
|tip Inside and outside the mine.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Getting this far into level 7 will allow you to reach level 8 after turning in quests soon.
ding 7,1900  |goto 39.61,80.21
step
Leave the mine |complete not _G.IsIndoors()
|tip There are multiple exits, so just leave through the one you come across first.
|only if haveq(62) or haveq(87) or haveq(47) or haveq(60)
step
talk "Auntie" Bernice Stonefield##246
turnin Goldtooth##87 |goto 34.49,84.25
step
talk Remy "Two Times"##241
turnin Gold Dust Exchange##47 |goto 42.14,67.26
accept A Fishy Peril##40 |goto 42.14,67.26
step
talk Marshal Dughan##240
turnin A Fishy Peril##40 |goto 42.11,65.93
accept Further Concerns##35 |goto 42.11,65.93
turnin The Fargodeep Mine##62 |goto 42.11,65.93
accept The Jasperlode Mine##76 |goto 42.11,65.93
step
Enter the building |goto 42.95,65.65 < 10 |walk
talk William Pestle##253
|tip Inside the building.
turnin Kobold Candles##60 |goto 43.32,65.70
accept Shipment to Stormwind##61 |goto 43.32,65.70
turnin Note to William##107 |goto 43.32,65.70
accept Collecting Kelp##112 |goto 43.32,65.70
step
talk Innkeeper Farley##295
|tip Inside the building.
|tip This will create a Hearthstone for you, so you have one again.
home Goldshire |goto 43.77,65.81 |q 1097 |future
step
talk Brog Hamfist##151
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Brog Hamfist##151 |goto 43.96,65.92 |q 112
step
Summon Your Imp |complete warlockpet("Imp") |q 112
|tip Use the "Summon Imp" ability.
|tip You need to have your Imp active in order to complete the next step.
|only if Human Warlock and not warlockpet("Imp")
step
talk Cylina Darkheart##6374
|tip Downstairs inside the building.
buy Grimoire of Firebolt (Rank 2)##16302 |n
|tip If you can't afford it, skip this step and make sure to buy it later.
use the Grimoire of Firebolt (Rank 2)##16302
Teach Your Imp Firebolt (Rank 2) |learnpetspell Firebolt##7799 |goto Elwynn Forest 44.40,65.99
|only if Human Warlock
step
talk Corina Steele##54
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Corina Steele##54 |goto Elwynn Forest 41.53,65.90 |q 112
|only if Warrior and itemcount(2488) == 0
step
talk Corina Steele##54
|tip Inside the building.
buy Wooden Mallet##2493 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Corina Steele##54 |goto Elwynn Forest 41.53,65.90 |q 112
|only if Paladin and itemcount(2493) == 0
step
talk Corina Steele##54
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Corina Steele##54 |goto Elwynn Forest 41.53,65.90 |q 112
|only if Rogue and itemcount(2494) == 0
step
Kill Murloc enemies around this area
collect 4 Crystal Kelp Frond##1256 |q 112/1 |goto Elwynn Forest 50.20,66.86
You can find more around [Elwynn Forest 55.90,66.66]
step
Enter the mine |goto 61.71,53.87 < 10 |walk
Scout Through the Jasperlode Mine |q 76/1 |goto 60.38,49.68
|tip Inside the mine.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Kobold Geomancers deal heavy damage. |only if hardcore
|tip Use LoS to cancel their casts and maneuver them into move favorable positions when possible. |only if hardcore
step
Leave the mine |goto 61.74,53.88 < 10 |walk |only if subzone("Jasperlode Mine") and _G.IsIndoors()
talk Guard Thomas##261
turnin Further Concerns##35 |goto 73.97,72.18
accept Find the Lost Guards##37 |goto 73.97,72.18
accept Protect the Frontier##52 |goto 73.97,72.18
stickystart "Kill_Young_Forest_Bears"
stickystart "Kill_Prowlers"
step
click A Half-Eaten Body##55
turnin Find the Lost Guards##37 |goto 72.65,60.33
accept Discover Rolf's Fate##45 |goto 72.65,60.33
step
talk Supervisor Raelen##10616
accept A Bundle of Trouble##5545 |goto 81.38,66.11
step
talk Sara Timberlain##278
|tip In front of the building.
accept Red Linen Goods##83 |goto 79.46,68.78
stickystart "Collect_Bundles_Of_Wood"
step
Kill enemies around this area
|tip The next step in the guide can be pretty tough, so being a level higher will help.
ding 9 |goto 77.69,61.78
You can find more around [83.76,60.88]
step
click Rolf's Corpse##56
|tip Watch out for adds when you're pulling from the murloc huts nearby. |only if hardcore
|tip Murloc Foragers may heal when at low health. |only if hardcore
|tip Also watch for respawns if you're clearing. |only if hardcore
turnin Discover Rolf's Fate##45 |goto 79.80,55.52
accept Report to Thomas##71 |goto 79.80,55.52
step
label "Collect_Bundles_Of_Wood"
click Bundle of Wood##176793+
|tip They look like small stacks of brown logs at the base of trees around this area.
collect 8 Bundle of Wood##13872 |q 5545/1 |goto 77.69,61.78
You can find more around [83.76,60.88]
step
talk Supervisor Raelen##10616
turnin A Bundle of Trouble##5545 |goto 81.38,66.12
step
label "Kill_Young_Forest_Bears"
kill 5 Young Forest Bear##822 |q 52/2 |goto 86.49,63.95
You can find more around: |notinsticky
[81.76,59.01]
[78.29,61.34]
[71.40,61.40]
[68.66,65.13]
[75.22,67.19]
step
label "Kill_Prowlers"
kill 8 Prowler##118 |q 52/1 |goto 83.27,60.09
step
talk Guard Thomas##261
turnin Protect the Frontier##52 |goto 73.97,72.18
turnin Report to Thomas##71 |goto 73.97,72.18
accept Deliver Thomas' Report##39 |goto 73.97,72.18
accept Report to Gryan Stoutmantle##109 |goto 73.97,72.18
step
Kill Defias enemies around this area
|tip Focus on killing the ones along the perimeter of the farm, near the fences and buildings.
|tip You may want to avoid pulling from inside the buildings. |only if hardcore
|tip You will likely pull multiple enemies doing so. |only if hardcore
collect 6 Red Linen Bandana##1019 |q 83/1 |goto 69.61,79.38
step
Kill enemies around this area
|tip Focus on killing the ones along the perimeter of the farm, near the fences and buildings.
|tip Getting this far into level 9 will allow you to reach level 10 after turning in quests soon.
|tip You may want to avoid pulling from inside the buildings. |only if hardcore
|tip You will likely pull multiple enemies doing so. |only if hardcore
ding 9,3600 |goto 69.61,79.38
step
use the Westfall Deed##1972
accept Furlbrow's Deed##184
|only if itemcount(1972) > 0
step
talk Sara Timberlain##278
|tip In front of the building.
turnin Red Linen Goods##83 |goto 79.46,68.79
step
talk Ariena Stormfeather##931
|tip Be careful as you travel here, follow the road.
|tip The enemies in this zone are much higher level than you currently.
fpath Lakeshire |goto Redridge Mountains 30.59,59.41
|only if not hardcore
step
talk William Pestle##253
|tip Inside the building.
turnin Collecting Kelp##112 |goto Elwynn Forest 43.32,65.71
step
Watch the dialogue
talk William Pestle##253
|tip Inside the building.
accept The Escape##114 |goto 43.32,65.71
step
talk Marshal Dughan##240
turnin Deliver Thomas' Report##39 |goto 42.11,65.93
turnin The Jasperlode Mine##76 |goto 42.11,65.93
accept Westbrook Garrison Needs Help!##239 |goto 42.11,65.93
step
talk Smith Argus##514
|tip Inside the building.
accept Elmore's Task##1097 |goto 41.71,65.55
step
Enter the building |goto Elwynn Forest 42.95,65.65 < 10 |walk
talk Priestess Josetta##377
|tip Upstairs inside the building.
accept Desperate Prayer##5635 |goto Elwynn Forest 43.28,65.72
|only if Human Priest
step
Enter the building |goto Elwynn Forest 42.95,65.65 < 10 |walk
talk Remen Marcot##6121
|tip Downstairs inside the building.
accept Gakin's Summons##1685 |goto Elwynn Forest 44.49,66.27
|only if Human Warlock
step
Enter the building |goto Elwynn Forest 43.00,89.40 < 10 |walk
talk Maybell Maclure##251
|tip Inside the building.
turnin The Escape##114 |goto Elwynn Forest 43.15,89.62
step
talk Deputy Rainer##963
turnin Westbrook Garrison Needs Help!##239 |goto 24.23,74.45
accept Riverpaw Gnoll Bounty##11 |goto 24.23,74.45
step
Kill Riverpaw enemies around this area
|tip Be careful if you're pulling from one of the camps. |only if hardcore
|tip You'll likely get adds. |only if hardcore
collect 8 Painted Gnoll Armband##782 |q 11/1 |goto 26.75,86.83
You can find more around [24.75,94.05]
step
talk Deputy Rainer##963
turnin Riverpaw Gnoll Bounty##11 |goto 24.23,74.45
step
talk Farmer Furlbrow##237
turnin Furlbrow's Deed##184 |goto Westfall 59.96,19.36 |only if haveq(184) or completedq(184)
accept The Forgotten Heirloom##64 |goto Westfall 59.96,19.36
step
talk Verna Furlbrow##238
accept Westfall Stew##36 |goto 59.92,19.42
accept Poor Old Blanchy##151 |goto 59.92,19.42
step
talk Farmer Saldean##233
accept The Killing Fields##9 |goto 56.05,31.22
step
Enter the building |goto 56.15,31.04 < 10 |walk
talk Salma Saldean##235
|tip Inside the building.
turnin Westfall Stew##36 |goto 56.42,30.52
accept Westfall Stew##38 |goto 56.42,30.52
accept Goretusk Liver Pie##22 |goto 56.42,30.52
step
talk Gryan Stoutmantle##234
turnin Report to Gryan Stoutmantle##109 |goto 56.33,47.52
step
Enter the building |goto Westfall 56.53,47.39 < 10 |walk
talk Quartermaster Lewis##491
|tip Inside the building.
accept A Swift Message##6181 |goto Westfall 57.00,47.17
|only if Human
step
talk Quartermaster Lewis##491
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Quartermaster Lewis##491 |goto Westfall 57.00,47.17 |q 61
step
talk Thor##523
fpath Sentinel Hill |goto 56.55,52.64
step
Kill Riverpaw enemies around this area
|tip Be careful if you're pulling from one of the camps. |only if hardcore
|tip You'll likely get adds. |only if hardcore
You can find more around [24.75,94.05]
ding 10
|only if Human Warrior
step
talk Thor##523
turnin A Swift Message##6181 |goto Westfall 56.56,52.64
accept Continue to Stormwind##6281 |goto Westfall 56.56,52.64
|only if Human
step
talk Thor##523
|tip Open the flight map.
|tip We are opening the flight map to let the guide learn that you have the Stormwind City flight path already.
fpath Stormwind City |goto 56.55,52.64
|only if Human
step
Enter the building |goto Stormwind City 56.59,64.87 < 10 |walk
talk Morgan Pestle##279
|tip Inside the building.
turnin Shipment to Stormwind##61 |goto Stormwind City 56.21,64.59
step
Enter the building |goto 53.44,64.92 < 10 |walk
talk Innkeeper Allison##6740
|tip Inside the building.
home Stormwind City |goto 52.62,65.70
step
Enter the building |goto Stormwind City 57.51,61.65 < 10 |walk
talk Thurman Mullby##1285
|tip Inside the building.
buy Balanced Throwing Dagger##25872 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Thurman Mullby##1285 |goto Stormwind City 58.37,61.68 |q 1097
|only if Rogue
step
Enter the building |goto Stormwind City 56.66,57.70 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to use two-handed swords.
Train Two-Handed Swords |complete weaponskill("TH_SWORD") > 0 |goto Stormwind City 57.13,57.71
|only if Warrior
step
Enter the building |goto Stormwind City 56.66,57.70 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to use one-handed swords.
Train One-Handed Swords |complete weaponskill("SWORD") > 0 |goto Stormwind City 57.13,57.71
|only if Rogue
step
talk Gunther Weller##1289
|tip Inside the building.
buy Cutlass##851 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gunther Weller##1289 |goto 57.55,57.07 |q 1097
|only if Rogue and itemcount(851) == 0
step
Enter the building |goto Stormwind City 56.66,57.70 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to use staves.
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto Stormwind City 57.13,57.71
|only if Priest
step
_Note:_
Do You Need to Create a Wand?
|tip If you already have a wand, you can skip the next bunch of steps.
|tip Click the line below to select what you want to do.
Yes, Create a Wand		|confirm	|next "Create_Wand_Priest"	|or	|q 1097
No, I Already Have a Wand	|confirm	|next "Skip_Wand_Priest"	|or	|q 1097
|only if Priest
step
label "Create_Wand_Priest"
collect 70 Linen Cloth##2589 |q 1097
|tip You are about to create your wand.
|tip If you need more Linen Cloth, try to buy some from the Auction House. |only if not selfmade
|only if Priest
step
Enter the building |goto Stormwind City 44.55,73.89 < 10 |walk
talk Lawrence Schneider##1300
|tip Inside the building.
Learn Tailoring |skillmax Tailoring,75 |goto Stormwind City 43.69,73.71 |q 1097
|only if Priest
step
Open the Tailoring Profession Window
|tip The Tailoring skill is in the General tab of your spellbook.
|tip Create 35 Bolts of Linen Cloth.
collect 35 Bolt of Linen Cloth##2996 |q 1097
|only if Priest
step
talk Alexandra Bolero##1347
|tip Inside the building.
buy 10 Coarse Thread##2320 |goto 43.25,74.08 |q 1097
|only if Priest
step
talk Lawrence Schneider##1300
|tip Inside the building.
learn Brown Linen Robe##7623 |goto 43.69,73.71 |q 1097
|only if Priest
step
Open the Tailoring Profession Window
|tip The Tailoring skill is in the General tab of your spellbook.
|tip Create 10 Brown Linen Robes.
|tip You are about to learn Enchanting and disenchant these.
collect 10 Brown Linen Robe##6238 |q 1097
|only if Priest
step
Enter the building |goto 43.72,63.84 < 10 |walk
talk Lucan Cordell##1317
|tip Inside the building.
Learn Enchanting |skillmax Enchanting,75 |goto 42.94,64.65 |q 1097
|only if Priest
step
Disenchant the Brown Linen Robes
|tip Use the "Disenchant" ability in the General tab of your spellbook.
|tip If you don't get one of these items from disenchanting, talk to Jessara Cordell here and try to buy it.
|tip They are limited supply items, so it may not be available to buy.
|tip You can also try to buy it from the Auction House. |only if not selfmade
collect Strange Dust##10940 |goto 42.81,64.39 |q 1097
collect 2 Lesser Magic Essence##10938 |goto 42.81,64.39 |q 1097
|only if Priest
step
talk Jessara Cordell##1318
|tip Inside the building.
buy Copper Rod##6217 |goto 42.81,64.39 |q 1097
buy Simple Wood##4470 |goto 42.81,64.39 |q 1097
|only if Priest
step
Open the Enchanting Profession Window
|tip The Enchanting skill is in the General tab of your spellbook.
|tip Create 1 Runed Copper Rod.
collect Runed Copper Rod##6218 |q 1097
|only if Priest
step
talk Betty Quin##11068
|tip Inside the building.
learn Lesser Magic Wand##14293 |goto 43.11,63.72 |q 1097
|only if Priest
step
Open the Enchanting Profession Window
|tip The Enchanting skill is in the General tab of your spellbook.
|tip Create 1 Lesser Magic Wand.
collect Lesser Magic Wand##11287 |q 1097
|only if Priest
step
Enter the building |goto Stormwind City 56.66,57.70 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to use staves.
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto Stormwind City 57.13,57.71
|only if Human Warlock
step
Enter the building |goto 29.15,74.18 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Gakin's Summons##1685 |goto 25.26,78.56
accept Surena Caledon##1688 |goto 25.26,78.56
|only Human Warlock
step
Leave the building |goto 29.15,74.18 < 10 |walk |only if subzone("The Slaughtered Lamb")
Enter the building |goto Elwynn Forest 70.93,80.43 < 10 |walk
kill Surena Caledon##881
|tip Inside the building.
collect Surena's Choker##6810 |q 1688/1 |goto Elwynn Forest 71.02,80.78
|only if Human Warlock
step
Enter the building |goto Stormwind City 29.15,74.18 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Surena Caledon##1688 |goto Stormwind City 25.26,78.56
accept The Binding##1689 |goto Stormwind City 25.26,78.56
|only Human Warlock
step
use the Bloodstone Choker##6928
|tip Use it while standing on the pink symbol on the ground.
|tip Downstairs inside the building, inside the crypt.
kill Summoned Voidwalker##5676 |q 1689/1 |goto 25.11,77.46
|only if Human Warlock
step
talk Gakin the Darkbinder##6122
|tip Upstairs inside the building, in the basement above the crypt.
turnin The Binding##1689 |goto 25.25,78.53
|only if Human Warlock
step
_NOTE:_
Create Soul Shards
|tip As you follow the guide, use your "Drain Soul" spell as you kill an enemy to get a Soul Shard.
|tip Once you have a Soul Shard, use your "Summon Voidwalker" ability to summon your voidwalker.
|tip It will tank enemies for you, making it easier to kill enemies.
Click Here to Continue |confirm |q 1097
|only if Human Warlock
step
Leave the building |goto 29.15,74.14 < 10 |c |q 1097
|only if Human Warlock and subzone("The Slaughtered Lamb")
step
label "Skip_Wand_Priest"
Enter the building |goto Stormwind City 43.04,34.49 < 10 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin Desperate Prayer##5635 |goto Stormwind City 38.58,26.01
|only if Human Priest
step
Enter the building |goto Stormwind City 73.64,47.60 < 10 |walk
talk Osric Strang##1323
|tip Inside the building.
turnin Continue to Stormwind##6281 |goto Stormwind City 74.32,47.24
accept Dungar Longdrink##6261 |goto Stormwind City 74.32,47.24
|only if Human
step
talk Lyria Du Lac##913
accept A Warrior's Training##1638 |goto Elwynn Forest 41.09,65.77 |or
'|complete completedq(1679) |or
|only if Human Warrior
step
Enter the building |goto Stormwind City 71.66,39.89 < 10 |walk
talk Harry Burlguard##6089
|tip Inside the building.
turnin A Warrior's Training##1638 |goto Stormwind City 74.25,37.26
accept Bartleby the Drunk##1639 |goto Stormwind City 74.25,37.26 |or
'|complete completedq(1678) |or
|only if Human Warrior
step
talk Bartleby##6090
|tip He walks around this area inside the building.
turnin Bartleby the Drunk##1639 |goto 73.83,37.17
accept Beat Bartleby##1640 |goto 73.83,37.17 |or
'|complete completedq(1678) |or
|tip He will attack you immediately after you accept this quest.
|only if Human Warrior
step
kill Bartleby##6090
|tip He walks around this area inside the building.
|tip He will eventually surrender.
Beat Bartleby |q 1640/1 |goto 73.83,37.17 |or
'|complete completedq(1678) |or
|only if Human Warrior
step
talk Bartleby##6090
|tip He walks around this area inside the building.
turnin Beat Bartleby##1640 |goto 73.83,37.17
accept Bartleby's Mug##1665 |goto 73.83,37.17 |or
'|complete completedq(1678) |or
|only if Human Warrior
step
talk Harry Burlguard##6089
|tip Inside the building.
turnin Bartleby's Mug##1665 |goto 74.25,37.26 |or
'|complete completedq(1678) |or
|only if Human Warrior
step
Enter the building |goto Stormwind City 51.83,13.26 < 10 |walk
talk Grimand Elmore##1416
|tip Inside the building.
turnin Elmore's Task##1097 |goto Stormwind City 51.76,12.07
accept Stormpike's Delivery##353 |goto Stormwind City 51.76,12.07
step
Follow the path |goto 60.27,12.57 < 20 |walk
Enter the Deeprun Tram |complete subzone("Deeprun Tram") |goto 63.92,8.20 |q 433 |future
|tip Walk into the swirling portal.
step
_Inside Deeprun Tram:_
Ride the Tram
|tip Ride the Deeprun Tram from Stormwind City to Ironforge.
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
accept Deeprun Rat Roundup##6661
step
_Inside Deeprun Tram:_
use Rat Catcher's Flute##17117
|tip Use it on Deeprun Rats around this area.
|tip They look like small grey rats on the ground around this area.
|tip In the Ironforge section of the Deeprun Tram.
Capture #5# Rats |q 6661/1
step
_Inside Deeprun Tram:_
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
turnin Deeprun Rat Roundup##6661
step
_Inside Deeprun Tram:_
Enter Ironforge |complete zone("Ironforge") |q 433 |future
|tip Walk into the swirling portal.
step
Run up the stairs and enter the building |goto Ironforge 59.41,37.76 < 7 |walk
talk Daryl Riknussun##5159
|tip Inside the building.
|tip You need to have the Cooking profession learned in order to accept a quest soon.
Learn Cooking |skillmax Cooking,75 |goto Ironforge 60.08,36.43 |q 7321 |future
step
talk Gryth Thurden##1573
fpath Ironforge |goto Ironforge 55.50,47.75
step
Run up the stairs and enter the building |goto Ironforge 61.31,88.15 < 7 |walk
talk Buliwyf Stonehand##11865
|tip Inside the building.
|tip This will allow you to equip two-handed maces.
Train Two-Handed Maces |complete weaponskill("TH_MACE") > 0 |goto Ironforge 61.17,89.52
|only if Warrior
step
talk Bixi Wobblebonk##13084
|tip Inside the building.
|tip This will allow you to equip thrown weapons.
|tip Skip this if you'd prefer to just use other ranged weapons.
Train Thrown |complete weaponskill("THROWN") > 0 |goto 62.23,89.62
|only if Warrior
step
talk Brenwyn Wintersteel##5120
|tip Downstairs inside the building.
buy Small Throwing Knife##2947 |n
|tip If you can afford it.
|tip If you have better, skip this step.
|tip Skip this if you didn't learn the Throwing skill.
Visit the Vendor |vendor Brenwyn Wintersteel##5120 |goto 62.37,88.68 |q 433 |future
|only if Warrior
step
talk Senator Mehr Stonehallow##1977
accept The Public Servant##433 |goto Dun Morogh 68.67,55.97
step
talk Foreman Stonebrow##1254
accept Those Blasted Troggs!##432 |goto 69.08,56.33
stickystart "Kill_Rockjaw_Skullthumpers"
step
Enter the cave |goto 70.70,56.49 < 20 |walk
kill 10 Rockjaw Bonesnapper##1117 |q 433/1 |goto 70.98,54.77
|tip Inside the cave.
|tip Watch for patrols and respawns while inside the cave. |only if hardcore
step
label "Kill_Rockjaw_Skullthumpers"
kill 6 Rockjaw Skullthumper##1115 |q 432/1 |goto 70.70,56.49
|tip Inside and outside the cave.
|tip Watch for patrols and respawns while inside the cave. |only if hardcore |notinsticky
step
Kill enemies around this area
|tip Inside and outside the cave. |only if not hardcore
|tip Try to grind outside of the cave. |only if hardcore
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Getting this far into level 10 will allow you to reach level 11 after turning in quests soon.
ding 10,6400 |goto 70.70,56.49
step
Leave the cave |goto 70.70,56.49 < 20 |walk |only if subzone("Gol'Bolar Quarry Mine")
Follow the path up |goto 67.86,57.69 < 20 |only if walking
talk Senator Mehr Stonehallow##1977
turnin The Public Servant##433 |goto 68.67,55.97
step
talk Foreman Stonebrow##1254
turnin Those Blasted Troggs!##432 |goto 69.08,56.33
step
Follow the road |goto Dun Morogh 67.68,52.75 < 40 |only if walking and subzone("Gol'Bolar Quarry")
Follow the road and run through the tunnel |goto Dun Morogh 81.21,42.70 < 10 |only if walking and not subzone("North Gate Outpost")
talk Pilot Hammerfoot##1960
accept The Lost Pilot##419 |goto Dun Morogh 83.89,39.19
step
click A Dwarven Corpse##2059
turnin The Lost Pilot##419 |goto 79.67,36.17
accept A Pilot's Revenge##417 |goto 79.67,36.17
step
kill Mangeclaw##1961
|tip He walks around this area.
collect Mangy Claw##3183 |q 417/1 |goto 78.31,37.76
step
talk Pilot Hammerfoot##1960
turnin A Pilot's Revenge##417 |goto 83.89,39.19
step
Run through the tunnel |goto 84.42,31.02 < 10 |only if walking and not zone("Loch Modan")
Enter the building |goto Loch Modan 23.53,17.89 < 10 |walk
talk Mountaineer Stormpike##1343
|tip Upstairs inside the building.
turnin Stormpike's Delivery##353 |goto Loch Modan 24.76,18.40
accept Filthy Paws##307 |goto Loch Modan 24.76,18.40
stickystart "Collect_Spider_Ichors"
stickystart "Collect_Bear_Meat"
step
kill Mountain Boar##1190+
collect 3 Boar Intestines##3172 |goto 36.99,34.36 |q 418 |future
You can find more around [29.17,23.57]
step
label "Collect_Spider_Ichors"
kill Forest Lurker##1195+
collect 3 Spider Ichor##3174 |goto 35.69,31.78 |q 418 |future
You can find more around: |notinsticky
[29.17,23.57]
[29.43,48.28]
step
label "Collect_Bear_Meat"
kill Elder Black Bear##1186+
collect 3 Bear Meat##3173 |goto 35.68,32.10 |q 418 |future
You can find more around: |notinsticky
[30.73,25.86]
[28.66,11.57]
[24.03,25.79]
[27.45,28.54]
[28.09,40.94]
step
Kill enemies around this area
|tip Getting this far into level 11 will allow you to reach level 12 after turning in quests soon.
|tip You are about to have to complete a quest that can be pretty difficult at level 11, so being a level higher will help.
ding 11,7950 |goto 35.69,31.78 |q 418 |future
You can find more around: |notinsticky
[29.17,23.57]
[29.43,48.28]
step
Enter the building |goto 35.23,47.75 < 7 |walk
talk Vidra Hearthstove##1963
|tip Inside the building.
accept Thelsamar Blood Sausages##418 |goto 34.83,49.28
step
talk Vidra Hearthstove##1963
|tip Inside the building.
turnin Thelsamar Blood Sausages##418 |goto 34.83,49.28
step
talk Yanni Stoutheart##1682
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Yanni Stoutheart##1682 |goto 34.76,48.62 |q 416 |future
step
map Loch Modan
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	32.67,49.72	33.27,49.16	33.86,48.37	34.30,47.64	34.91,47.05
path	35.56,46.76	36.09,46.37	37.11,46.01	37.32,45.60	37.37,44.45
path	37.29,43.33	36.73,41.98
talk Mountaineer Kadrell##1340
|tip He walks around this area.
accept Rat Catching##416
accept Mountaineer Stormpike's Task##1339
|tip This quest won't be available if you've picked up Stormpike's Order.
|tip Drop Stormpike's Order and it should become available.
stickystart "Collect_Tunnel_Rat_Ears"
stickystart "Collect_Linen_Cloth_Paladin"
step
click Miners' League Crates##271
|tip They look like piles of brown boxes on the ground around this area inside the mine.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Tunnel Rat Geomancers are casters that deal heavy damage. |only if hardcore
|tip This mine can be dangerous, so try to stay near the entrance and wait for boxes to respawn, if you can, so you can leave quickly when you're finished.
collect 4 Miners' Gear##2640 |q 307/1 |goto 35.48,18.85
step
label "Collect_Tunnel_Rat_Ears"
Leave the mine |goto 35.48,18.85 < 10 |walk |only if subzone("Silver Stream Mine") and _G.IsIndoors()
Kill Tunnel Rat enemies around this area
collect 12 Tunnel Rat Ear##3110 |q 416/1 |goto 24.57,29.79
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
You can find more around [26.08,43.64]
step
label "Collect_Linen_Cloth_Paladin"
Kill Tunnel Rat enemies around this area
|tip You will need these soon for a Paladin class quest.
|tip Be careful not to accidentally sell these to a vendor.
collect 10 Linen Cloth##2589 |goto 24.57,29.79 |q 1644 |future
You can find more around [26.08,43.64]
|only if Human Paladin
step
talk Mountaineer Stormpike##1343
|tip Upstairs inside the building.
turnin Filthy Paws##307 |goto Loch Modan 24.76,18.40
turnin Mountaineer Stormpike's Task##1339 |goto Loch Modan 24.76,18.40
accept Stormpike's Order##1338 |goto Loch Modan 24.76,18.40
step
map Loch Modan
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	32.67,49.72	33.27,49.16	33.86,48.37	34.30,47.64	34.91,47.05
path	35.56,46.76	36.09,46.37	37.11,46.01	37.32,45.60	37.37,44.45
path	37.29,43.33	36.73,41.98
talk Mountaineer Kadrell##1340
|tip He walks around this area.
turnin Rat Catching##416
step
talk Thorgrum Borrelson##1572
fpath Thelsamar |goto 33.94,50.95
step
talk Mountaineer Cobbleflint##1089
accept In Defense of the King's Lands##224 |goto 22.07,73.12
step
Enter the building |goto 23.71,75.47 < 10 |walk
talk Captain Rugelfuss##1092
|tip Upstairs inside the building.
accept The Trogg Threat##267 |goto 23.23,73.67
stickystart "Kill_Stonesplinter_Troggs"
stickystart "Kill_Stonesplinter_Scouts"
step
Follow the road to the path here |goto 29.32,66.73 < 40 |only if walking and not subzone("Stonesplinter Valley")
Kill Stonesplinter enemies around this area
collect 8 Trogg Stone Tooth##2536 |q 267/1 |goto 32.51,73.25
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore
step
label "Kill_Stonesplinter_Troggs"
kill 10 Stonesplinter Trogg##1161 |q 224/1 |goto 32.51,73.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
step
label "Kill_Stonesplinter_Scouts"
kill 10 Stonesplinter Scout##1162 |q 224/2 |goto 32.51,73.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
step
Kill enemies around this area
|tip Getting this far into level 12 will allow you to reach level 13 after turning in quests soon.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
ding 12,8300 |goto 32.51,73.25
step
Leave Stonesplinter Valley and follow the road |goto 30.57,69.69 < 20 |only if walking and subzone("Stonesplinter Valley")
talk Mountaineer Cobbleflint##1089
turnin In Defense of the King's Lands##224 |goto 22.07,73.13
step
Enter the building |goto 23.71,75.45 < 7 |walk
talk Captain Rugelfuss##1092
|tip Upstairs inside the building.
turnin The Trogg Threat##267 |goto 23.23,73.67
step
Enter the building |goto Stormwind City 43.44,35.14 < 10 |walk
talk Duthorian Rall##6171
|tip Inside the building.
accept The Tome of Divinity##1641 |goto Stormwind City 39.81,29.80 |instant
|only if Human Paladin
step
use the Tome of Divinity##6775
accept The Tome of Divinity##1642
|only if Human Paladin
step
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Divinity##1642 |goto 39.81,29.80
accept The Tome of Divinity##1643 |goto 39.81,29.80
|only if Human Paladin
step
Leave the building |goto 43.06,34.49 < 10 |walk |only if subzone("Cathedral of Light")
talk Stephanie Turner##6174
turnin The Tome of Divinity##1643 |goto 57.08,61.74
accept The Tome of Divinity##1644 |goto 57.08,61.74
|only if Human Paladin
step
talk Stephanie Turner##6174
|tip You should already have 10 Linen Cloth from earlier in the guide.
turnin The Tome of Divinity##1644 |goto 57.08,61.74
accept The Tome of Divinity##1780 |goto 57.08,61.74
|only if Human Paladin
step
Enter the building |goto 43.44,35.14 < 10 |walk
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Divinity##1780 |goto 39.81,29.80
accept The Tome of Divinity##1781 |goto 39.81,29.80
|only if Human Paladin
step
talk Gazin Tenorm##6173
|tip Inside the building.
turnin The Tome of Divinity##1781 |goto 38.55,26.45
accept The Tome of Divinity##1786 |goto 38.55,26.45
|only if Human Paladin
step
Leave the building |goto 43.06,34.49 < 10 |walk |only if subzone("Cathedral of Light")
use the Symbol of Life##6866
|tip Use it on Henze Faulk's corpse.
|tip This will resurrect him and allow you to talk to him.
Watch the dialogue
talk Henze Faulk##6172
turnin The Tome of Divinity##1786 |goto Elwynn Forest 72.60,51.41
accept The Tome of Divinity##1787 |goto 72.60,51.41
|only if Human Paladin
step
kill Defias Rogue Wizard##474+
collect Defias Script##6846 |q 1787/1 |goto 74.07,51.57
|only if Human Paladin
step
Enter the building |goto Stormwind City 43.44,35.14 < 10 |walk
talk Gazin Tenorm##6173
|tip Inside the building.
turnin The Tome of Divinity##1787 |goto Stormwind City 38.56,26.47
accept The Tome of Divinity##1788 |goto Stormwind City 38.56,26.47
|only if Human Paladin
step
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Divinity##1788 |goto 39.81,29.80
|only if Human Paladin
step
Enter the building |goto Stormwind City 42.67,67.00 < 10 |walk
talk Ardwyn Cailen##1312
|tip Inside the building.
buy Smoldering Wand##5208 |n
|tip If you can afford it.
|tip You can't use it until level 15, but it will be a nice upgrade immediately once you reach level 15 soon.
Visit the Vendor |vendor Ardwyn Cailen##1312 |goto Stormwind City 42.84,65.17 |q 1338
|only if Human Warlock and itemcount(5208) == 0
step
Enter the building |goto 29.15,74.18 < 10 |walk
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
|tip If you can afford it.
buy Grimoire of Consume Shadows (Rank 1)##16357 |goto 25.66,77.66  |or
'|learnpetspell Consume Shadows##17767 |or
|tip If you can't afford it, skip this step and make sure to buy it later.
|tip By the time you're able to use these, you'll be far away from a vendor that sells it, so we are buying it now.
|only if Human Warlock
step
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
|tip If you can afford it.
buy Grimoire of Sacrifice (Rank 1)##16351 |goto 25.66,77.66  |or
'|learnpetspell Sacrifice##7812 |or
|tip If you can't afford it, skip this step and make sure to buy it later.
|tip By the time you're able to use these, you'll be far away from a vendor that sells it, so we are buying it now.
|only if Human Warlock
step
Leave the building |goto 29.15,74.14 < 10 |c |q 1338
|only if Human Warlock and subzone("The Slaughtered Lamb")
step
talk Furen Longbeard##5413
turnin Stormpike's Order##1338 |goto Stormwind City 58.09,16.53
step
Run up the ramp |goto Stormwind City 62.42,62.28 < 10 |only if walking
talk Dungar Longdrink##352
|tip Inside the building.
turnin Dungar Longdrink##6261 |goto Stormwind City 66.27,62.13
accept Return to Lewis##6285 |goto Stormwind City 66.27,62.13
|only if Human
step
A New Wand Is Available
|tip The 'Greater Magic Wand' is created with the Enchanting profession at level 70.
|tip It requires 1 Simple Wood and 1 Greater Magic Essence to craft.
|tip You can use the Auction House to acquire one, or craft one yourself if you are able. |only if not selfmade
|tip You can also craft one yourself if you are able. |only if selfmade
Click Here to Continue |confirm
|only if Priest and itemcount(11288) == 0
step
talk Scout Galiaan##878
accept Red Leather Bandanas##153 |goto Westfall 53.98,52.98
step
talk Gryan Stoutmantle##234
accept The People's Militia##12 |goto 56.33,47.52
step
talk Captain Danuvin##821
accept Patrolling Westfall##102 |goto 56.42,47.62
step
Enter the building |goto Westfall 56.51,47.40 < 10 |walk
talk Quartermaster Lewis##491
|tip Inside the building.
turnin Return to Lewis##6285 |goto Westfall 57.00,47.17
|only if Human
step
talk Quartermaster Lewis##491
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Quartermaster Lewis##491 |goto Westfall 57.00,47.17 |q 102
stickystart "Kill_Defias_Trappers"
stickystart "Kill_Defias_Smugglers"
stickystart "Collect_Goretusk_Snouts"
stickystart "Collect_Stringy_Vulture_Meat"
stickystart "Collect_Handfuls_Of_Oats"
step
Kill Defias enemies around this area
collect 15 Red Leather Bandana |q 153/1 |goto Westfall 49.35,47.19
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Defias Pillagers are casters that deal heavy damage and can aggro from far away. |only if hardcore
You can find more around: |notinsticky
[Westfall 50.73,40.31]
[Westfall 46.51,38.74]
step
label "Kill_Defias_Trappers"
kill 15 Defias Trapper##504 |q 12/1 |goto 49.35,47.19
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Defias Pillagers are casters that deal heavy damage and can aggro from far away. |only if hardcore |notinsticky
You can find more around: |notinsticky
[50.73,40.31]
[46.51,38.74]
step
label "Kill_Defias_Smugglers"
kill 15 Defias Smuggler##95 |q 12/2 |goto 49.35,47.19
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Defias Pillagers are casters that deal heavy damage and can aggro from far away. |only if hardcore |notinsticky
You can find more around: |notinsticky
[50.73,40.31]
[46.51,38.74]
step
Kill enemies around this area
|tip Getting this far into level 13 will allow you to reach level 14 when turning in quests soon.
|tip You are about to do a few quests where you may have to fight multiple enemies fairly often, so it will help to be a level higher.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Defias Pillagers are casters that deal heavy damage and can aggro from far away. |only if hardcore |notinsticky
ding 13,9500 |goto 49.35,47.19
You can find more around: |notinsticky
[50.73,40.31]
[46.51,38.74]
step
talk Scout Galiaan##878
turnin Red Leather Bandanas##153 |goto 53.99,52.98
step
talk Gryan Stoutmantle##234
turnin The People's Militia##12 |goto Westfall 56.33,47.52
step
talk Quartermaster Lewis##491
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Quartermaster Lewis##491 |goto 57.00,47.17 |q 102
step
label "Collect_Goretusk_Livers"
Kill Goretusk enemies around this area
|tip They look like boars.
collect 8 Goretusk Liver##723 |q 22/1 |goto 53.55,41.12
|tip Be careful not to accidentally sell these to a vendor.
You can find more around: |notinsticky
[60.81,45.54]
[60.01,29.16]
step
label "Collect_Goretusk_Snouts"
Kill Goretusk enemies around this area
|tip They look like boars.
collect 3 Goretusk Snout##731 |q 38/3 |goto 53.55,41.12
|tip Be careful not to accidentally sell these to a vendor.
You can find more around: |notinsticky
[60.81,45.54]
[60.01,29.16]
step
label "Collect_Stringy_Vulture_Meat"
Kill Fleshripper enemies around this area
|tip They look like vultures.
collect 3 Stringy Vulture Meat##729 |q 38/1 |goto 53.55,41.12
|tip Be careful not to accidentally sell these to a vendor.
You can find more around: |notinsticky
[60.81,45.54]
[60.01,29.16]
[49.44,27.31]
step
Enter the building |goto 56.15,31.05 < 10 |walk
talk Salma Saldean##235
|tip Inside the building.
turnin Goretusk Liver Pie##22 |goto 56.42,30.52
stickystart "Collect_Okra"
stickystart "Kill_Harvest_Watchers"
step
click Furlbrow's Wardrobe##290
|tip Clear the area before trying to complete this quest.
|tip It looks like a dark colored tall piece of furniture inside the building - but don't go inside the building.
|tip Be careful to avoid the doorway of the building, so you don't aggro the enemies inside.
|tip Set your max camera distance to the highest value in the game's Interface Options.
|tip Scroll your camera all the way out and stand here, outside the building.
|tip Adjust your camera so that you can see, and click, Furlbrow's Wardrobe through the doorway.
|tip You can click it from outside the building by doing this.
|tip If you can't get it to work, try to kill the enemies inside the building. |only if not hardore
|tip If you have trouble, try to find someone to help you. |only if hardcore
collect Furlbrow's Pocket Watch##841 |q 64/1 |goto 49.24,19.42
stickystop "Collect_Okra"
stickystop "Kill_Harvest_Watchers"
step
Kill Riverpaw enemies around this area
collect 8 Gnoll Paw##725 |q 102/1 |goto 52.06,14.98
|tip The gnolls tend to aggro as a group when at camps. |only if hardcore
You can find more around: |notinsticky
[56.88,13.69]
[44.90,13.81]
step
Kill Murloc enemies around this area
|tip The murloc tend to aggro in groups near the huts. |only if hardcore
collect 3 Murloc Eye##730 |q 38/2 |goto 54.65,10.94
step
Follow the path up |goto 54.63,14.26 < 30 |c |q 151
|only if subzone("Longshore")
step
label "Collect_Handfuls_Of_Oats"
click Sack of Oats##2724
|tip They look like tan grain bags on the ground around this area.
|tip They are spread out around Westfall, usually concentrated near and around farm areas.
|tip Keep an eye out for these as you run around completing other quests.
collect 8 Handful of Oats##1528 |q 151/1 |goto 50.51,20.69
You can find more around: |notinsticky
[57.38,18.41]
step
talk Verna Furlbrow##238
turnin Poor Old Blanchy##151 |goto 59.92,19.42
step
talk Farmer Furlbrow##237
turnin The Forgotten Heirloom##64 |goto 59.95,19.36
stickystart "Kill_Harvest_Watchers"
step
label "Collect_Okra"
kill Harvest Watcher##114+
collect 3 Okra##732 |q 38/4 |goto 53.89,32.26
|tip Make sure not to sell these to a vendor.
You can find more around [51.03,22.94]
step
Enter the building |goto 56.15,31.05 < 10 |walk
talk Salma Saldean##235
|tip Inside the building.
turnin Westfall Stew##38 |goto 56.42,30.52
step
label "Kill_Harvest_Watchers"
kill 20 Harvest Watcher##114 |q 9/1 |goto 53.89,32.26
You can find more around [51.03,22.94]
step
Kill enemies around this area
|tip Getting this far into level 14 will allow you to reach level 15 when turning in quest soon.
ding 14,11900 |goto 53.89,32.26
You can find more around [51.03,22.94]
step
talk Farmer Saldean##233
turnin The Killing Fields##9 |goto 56.04,31.23
step
talk Captain Danuvin##821
turnin Patrolling Westfall##102 |goto 56.42,47.62
step
talk Gryan Stoutmantle##234
accept The Defias Brotherhood##65 |goto 56.33,47.52
step
talk Quartermaster Lewis##491
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Quartermaster Lewis##491 |goto 57.00,47.17 |q 65
step
Follow the path up |goto Dun Morogh 30.71,34.33 < 10 |only if walking
Continue up the path |goto Dun Morogh 31.06,32.56 < 7 |only if walking
Continue up the path |goto Dun Morogh 31.43,32.34 < 7 |only if walking
Continue up the path |goto Dun Morogh 31.14,30.50 < 7 |only if walking
Follow the path down |goto Dun Morogh 32.33,28.63 < 15 |only if walking
Follow the path |goto Dun Morogh 32.74,27.11 < 20 |only if walking
Jump to Your Death |havebuff Ghost##8326 |goto Eastern Kingdoms 44.92,51.98 |q 963 |future |notravel
|tip While you are in the Wetlands, keep running north and jump off the cliff.
|tip This is a much easier and faster way to reach Menethil Harbor.
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer Near Menethil Harbor |complete not isdead |goto Wetlands 11.72,43.30 |q 963 |future |zombiewalk
|only if not hardcore
step
Enter Menethil Harbor and the building |goto Wetlands 10.25,56.45 < 10 |walk |only if not subzone("Menethil Keep")
talk Neal Allen##1448
|tip Inside the building.
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
Visit the Vendor |vendor Neal Allen##1448 |goto Wetlands 10.75,56.75 |q 174 |future
|only if not hardcore
step
Enter the water in Westfall and swim north along the coast to Menethil Harbor in the Wetlands |goto Westfall 54.32,9.30 < 50 |c |q 963 |future
|only if hardcore
step
Swim along the coast to Menethil Harbor in the Wetlands |goto Wetlands 9.37,61.86 < 40 |c |q 963 |future |notravel
|tip This is a long swim (30+ minutes), but it is very safe with no enemies along the way.
|tip There is virtually no risk of dying, unlike other methods.
|tip As you swim north, stay close enough to the cliffs to avoid getting too fatigued.
|tip Once you reach Baradin Bay, near Menethil Harbor, swim through the middle of the bay in the parts that don't make you fatigued.
|only if hardcore
step
talk Shellei Brondir##1571
fpath Menethil Harbor |goto 9.49,59.69
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Dwarf & Gnome Starter (1-13)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Dun Morogh",
condition_suggested=function() return raceclass{'Dwarf','Gnome'} and level <= 12 end,
condition_suggested_race=function() return raceclass{'Dwarf','Gnome'} end,
condition_suggested_exclusive=true,
next="Leveling Guides\\Darkshore (13-17)",
hardcore = true,
},[[
step
_NOTE:_
Save All Linen Cloth You Find
|tip As you quest in Elwynn Forest, save all Linen Cloth you find.
|tip Be careful not to accidentally sell them to a vendor.
|tip You will need ~70 Linen Cloth when you are level 10-11.
|tip You will use them to create your wand, which will be a powerful weapon for you.
|tip However, if you are confident you will be able to buy a wand from the Auction House (if this isn't a new or populated server), you can ignore this. |only if not selfmade
Click Here to Continue |confirm |q 364 |future
|only if Priest
step
_NOTE:_
Save Cloth in Your Bank as You Level
|tip Once you are close to reaching level 60, you will need 240 of each of these types of cloth:
|tip Wool Cloth
|tip Silk Cloth
|tip Mageweave Cloth
|tip Runecloth
|tip
|tip As you level and collect these cloth naturally from killing enemies while following the guide, make sure you deposit the cloth into a bank whenever you are near one.
|tip This will give you about 40,000 quick and easy xp to help you get to level 60 faster in the longer later levels.
Click Here to Continue |confirm
|only if level < 60
step
talk Sten Stoutarm##658
accept Dwarven Outfitters##179 |goto Dun Morogh 29.93,71.20
step
Kill Wolf enemies around this area
'|kill Ragged Young Wolf##705, Ragged Timber Wolf##704
collect 8 Tough Wolf Meat##750 |q 179/1 |goto 30.14,74.59
You can find more around [26.93,75.75]
step
talk Sten Stoutarm##658
turnin Dwarven Outfitters##179 |goto 29.93,71.20
accept Simple Rune##3106 |goto 29.93,71.20		|only Dwarf Warrior
accept Encrypted Rune##3109 |goto 29.93,71.20		|only Dwarf Rogue
accept Hallowed Rune##3110 |goto 29.93,71.20		|only Dwarf Priest
accept Consecrated Rune##3107 |goto 29.93,71.20		|only Dwarf Paladin
accept Etched Rune##3108 |goto 29.93,71.20		|only Dwarf Hunter
accept Glyphic Memorandum##3114 |goto 29.93,71.20	|only Gnome Mage
accept Simple Memorandum##3112 |goto 29.93,71.20	|only Gnome Warrior
accept Tainted Memorandum##3115 |goto 29.93,71.20	|only Gnome Warlock
accept Encrypted Memorandum##3113 |goto 29.93,71.20	|only Gnome Rogue
accept Coldridge Valley Mail Delivery##233 |goto 29.93,71.20
step
talk Balir Frosthammer##713
accept A New Threat##170 |goto 29.71,71.25
stickystart "Kill_Rockjaw_Troggs"
stickystart "Kill_Burly_Rockjaw_Troggs"
step
label "Kill_Rockjaw_Troggs"
kill 6 Rockjaw Trogg##707 |q 170/1 |goto 30.65,74.94
step
label "Kill_Burly_Rockjaw_Troggs"
kill 6 Burly Rockjaw Trogg##724 |q 170/2 |goto 30.65,74.94
step
Kill enemies around this area
ding 3 |goto 30.65,74.94
step
talk Balir Frosthammer##713
turnin A New Threat##170 |goto 29.71,71.25
step
talk Talin Keeneye##714
turnin Coldridge Valley Mail Delivery##233 |goto 22.60,71.43
accept Coldridge Valley Mail Delivery##234 |goto 22.60,71.43
accept The Boar Hunter##183 |goto 22.60,71.43
step
kill 12 Small Crag Boar##708 |q 183/1 |goto 21.52,71.91
step
talk Talin Keeneye##714
turnin The Boar Hunter##183 |goto 22.60,71.43
step
Kill enemies around this area
|tip You should already be level 4, or pretty close.
|tip You are about to return to town, so it will be a good time to train your level 4 abilities.
ding 4 |goto 21.52,71.91
step
talk Grelin Whitebeard##786
turnin Coldridge Valley Mail Delivery##234 |goto 25.08,75.71
step
talk Nori Pridedrift##12738
accept Scalding Mornbrew Delivery##3364 |goto 24.98,75.96
step
Enter the building |goto 28.79,69.05 < 10 |walk
talk Felix Whindlebolt##8416
|tip He walks around this area inside the building.
|tip Hurry, you have a timed quest.
accept A Refugee's Quandary##3361 |goto 28.51,67.67
step
talk Durnan Furcutter##836
|tip Inside the building.
turnin Scalding Mornbrew Delivery##3364 |goto 28.77,66.37
accept Bring Back the Mug##3365 |goto 28.77,66.37
step
talk Thran Khorman##912
|tip Inside the building.
turnin Simple Rune##3106 |goto Dun Morogh 28.83,67.24
accept The Lost Rune##77655 |goto Dun Morogh 28.83,67.24 |only if ZGV.IsClassicSoD
|only if Dwarf Warrior
step
talk Solm Hargrin##916
|tip Inside the building.
turnin Encrypted Rune##3109 |goto Dun Morogh 28.37,67.51
accept Thrice Stolen##77658 |goto Dun Morogh 28.37,67.51 |only if ZGV.IsClassicSoD
|only if Dwarf Rogue
step
talk Branstock Khalder##837
|tip Inside the building.
turnin Hallowed Rune##3110 |goto Dun Morogh 28.60,66.39
accept Meditation on the Light##77661 |goto Dun Morogh 28.60,66.39 |only if ZGV.IsClassicSoD
|only if Dwarf Priest
step
Gain the Meditation on the Light Buff |complete hasbuff(410935) |goto 28.92,66.42 |q 77661
|tip Target the Altar of the Light.
|tip It looks like a stone pedastal inside the building.
|tip Use the "/kneel" emote while standing next to it.
|tip You will gain a buff that allows you to learn Priest runes.
|only if Dwarf Priest and ZGV.IsClassicSoD
step
Leave the building |goto 28.79,69.07 < 10 |walk |only if subzone("Anvilmar")
click Rockjaw Footlocker##405633
collect Memory of a Troubled Acolyte##205951 |goto 26.73,72.55 |q 77661
|only if Dwarf Priest and ZGV.IsClassicSoD
step
use the Memory of a Troubled Acolyte##205951
Learn Spell: Engrave Gloves - Penance |q 77661/1
|only if Dwarf Priest and ZGV.IsClassicSoD
step
talk Bromos Grummner##926
|tip Inside the building.
turnin Consecrated Rune##3107 |goto Dun Morogh 28.83,68.33
accept Relics of the Light##77657 |goto Dun Morogh 28.83,68.33 |only if ZGV.IsClassicSoD
|only if Dwarf Paladin
step
_NOTE:_
Learn the Judgement Ability
|tip Make sure to learn the Judgement ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm |q 77657
|only if Dwarf Paladin and ZGV.IsClassicSoD
step
talk Thorgas Grimson##895
|tip Inside the building.
turnin Etched Rune##3108 |goto Dun Morogh 29.18,67.46
accept Trek Through the Caves##77660 |goto Dun Morogh 29.18,67.46 |only if ZGV.IsClassicSoD
|only if Dwarf Hunter
step
talk Thran Khorman##912
|tip Inside the building.
turnin Simple Memorandum##3112 |goto Dun Morogh 28.83,67.24
accept The Lost Rune##77656 |goto Dun Morogh 28.83,67.24 |only if ZGV.IsClassicSoD
|only if Gnome Warrior
step
talk Solm Hargrin##916
|tip Inside the building.
turnin Encrypted Memorandum##3113 |goto Dun Morogh 28.37,67.51
accept Thrice Stolen##77659 |goto Dun Morogh 28.37,67.51 |only if ZGV.IsClassicSoD
|only if Gnome Rogue
step
talk Marryk Nurribit##944
|tip Inside the building.
turnin Glyphic Memorandum##3114 |goto Dun Morogh 28.71,66.36
accept Spell Research##77667 |goto Dun Morogh 28.71,66.37 |only if ZGV.IsClassicSoD
|only if Gnome Mage
step
Leave the building |goto Dun Morogh 28.79,69.07 < 10 |walk |only if subzone("Anvilmar")
click Rockjaw Footlocker##405633
collect Spell Notes: CALE ENCI##203751 |goto Dun Morogh 26.73,72.55 |q 77667
|only if Gnome Mage and ZGV.IsClassicSoD
step
use the Spell Notes: CALE ENCI##203751
Learn: Engrave Gloves - Ice Lance |q 77667/1
|only if Gnome Mage and ZGV.IsClassicSoD
step
Leave the building |goto Dun Morogh 28.79,69.07 < 10 |walk |only if subzone("Anvilmar")
talk Alamar Grimm##460
|tip Upstairs inside the building.
turnin Tainted Memorandum##3115 |goto Dun Morogh 28.65,66.14
accept Beginnings##1599 |goto Dun Morogh 28.65,66.14
accept Stolen Power##77666 |goto Dun Morogh 28.65,66.14 |only if ZGV.IsClassicSoD
|only if Gnome Warlock
step
Leave the building |goto 28.79,69.07 < 10 |walk |only if subzone("Anvilmar")
click Rockjaw Footlocker##405633
collect Rune of Haunting##205230 |goto 26.73,72.55 |q 77666
|only if Gnome Warlock and ZGV.IsClassicSoD
step
use the Rune of Haunting##205230
Learn Engrave Gloves - Haunt |q 77666/1
|only if Gnome Warlock and ZGV.IsClassicSoD
step
Leave the building |goto Dun Morogh 28.79,69.07 < 10 |walk |only if subzone("Anvilmar")
talk Nori Pridedrift##12738
turnin Bring Back the Mug##3365 |goto Dun Morogh 24.98,75.96
step
talk Grelin Whitebeard##786
accept The Troll Cave##182 |goto 25.08,75.71
stickystart "Kill_Frostmane_Troll_Whelps"
step
Enter the cave |goto Dun Morogh 26.78,79.83 < 15 |walk
Follow the path |goto Dun Morogh 28.00,81.05 < 10 |walk
kill Frostmane Novice##946+
|tip Inside the cave.
|tip There's not very many of them, and they can be spread out inside the cave.
|tip Keep an eye out for ranged attackers while in the cave, as it's easy to be overwhelmed. |only if hardcore
collect 3 Feather Charm##6753 |q 1599/1 |goto Dun Morogh 28.73,82.58
You can find more around: |notinsticky
[Dun Morogh 29.34,81.50]
[Dun Morogh 30.15,82.34]
[Dun Morogh 30.49,81.05]
|only if Gnome Warlock
stickystop "Kill_Frostmane_Troll_Whelps"
step
Enter the building |goto 28.79,69.05 < 10 |walk
talk Alamar Grimm##460
|tip Upstairs inside the building.
turnin Beginnings##1599 |goto 28.65,66.14
turnin Stolen Power##77666 |goto 28.65,66.14 |only if ZGV.IsClassicSoD
|only if Gnome Warlock
step
Summon Your Imp |complete warlockpet("Imp") |q 218
|tip Use the "Summon Imp" ability.
|only if Gnome Warlock and not warlockpet("Imp")
step
talk Wren Darkspring##6376
|tip Upstairs inside the building.
buy Grimoire of Blood Pact (Rank 1)##16321 |n
|tip If you can't afford it, skip this step and make sure to buy it later.
use the Grimoire of Blood Pact (Rank 1)##16321
Teach Your Imp Blood Pact (Rank 1) |learnpetspell Blood Pact##6307 |goto 28.80,66.16
|only if Gnome Warlock
stickystart "Learn_Engrave_Gloves_Victory_Rush_Dwarf_Warrior"
stickystart "Learn_Engrave_Gloves_Victory_Rush_Gnome_Warrior"
stickystart "Kill_Frostmane_Troll_Whelps"
step
kill Frostmane Troll Whelp##706+
collect Libram of Judgement##205420 |goto Dun Morogh 21.04,76.30 |q 77657
You can find more around: |notinsticky
[Dun Morogh 22.77,79.78]
[Dun Morogh 26.81,79.90]
|only if Dwarf Paladin and ZGV.IsClassicSoD
step
Equip the Libram of Judgement |equipped Libram of Judgement##205420 |q 77657
|only if Dwarf Paladin and ZGV.IsClassicSoD
step
kill Frostmane Troll Whelp##706+
|tip Use your "Seal of Righteousness" ability, and then use your "Judgement" ability on them.
|tip You will gain a buff.
|tip Repeat this process until you have 10 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 26.78,79.83 |q 77657
|tip Inside and outside the cave. |notinsticky
You can find more outside the cave around: |notinsticky
[22.78,79.72]
[21.02,76.15]
|only if Dwarf Paladin and ZGV.IsClassicSoD
step
use the Libram of Judgement##205420
Learn the Spell: Engrave Gloves - Crusader Strike |q 77657/1
|only if Dwarf Paladin and ZGV.IsClassicSoD
step
Leave the building |goto Dun Morogh 28.79,69.05 < 10 |walk |only if subzone("Anvilmar")
click Felix's Box
collect Felix's Box##10438 |q 3361/1 |goto Dun Morogh 20.88,76.07
step
click Felix's Chest
collect Felix's Chest##16313 |q 3361/2 |goto 22.78,80.00
step
click Felix's Bucket of Bolts
collect Felix's Bucket of Bolts##16314 |q 3361/3 |goto 26.33,79.27
step
label "Learn_Engrave_Gloves_Victory_Rush_Dwarf_Warrior"
Kill Frostmane enemies around this area
|tip They look like trolls.
|tip Inside and outside the cave.
collect Rune of Victory Rush##204806 |n
use the Rune of Victory Rush##204806
Learn: Engrave Gloves - Victory Rush |q 77655/1 |goto Dun Morogh 26.79,79.88
|only if Dwarf Warrior and ZGV.IsClassicSoD
step
label "Learn_Engrave_Gloves_Victory_Rush_Gnome_Warrior"
Kill Frostmane enemies around this area
|tip They look like trolls.
|tip Inside and outside the cave.
collect Rune of Victory Rush##204806 |n
use the Rune of Victory Rush##204806
Learn: Engrave Gloves - Victory Rush |q 77656/1 |goto Dun Morogh 26.79,79.88
|only if Gnome Warrior and ZGV.IsClassicSoD
step
label "Kill_Frostmane_Troll_Whelps"
kill 14 Frostmane Troll Whelp##706 |q 182/1 |goto Dun Morogh 26.78,79.83
|tip Inside and outside the cave. |notinsticky
You can find more outside the cave around: |notinsticky
[Dun Morogh 22.78,79.72]
[Dun Morogh 21.02,76.15]
step
Leave the cave |goto 26.78,79.83 < 15 |walk |only if subzone("Coldridge Valley") and _G.IsIndoors()
talk Grelin Whitebeard##786
turnin The Troll Cave##182 |goto 25.08,75.71
accept The Stolen Journal##218 |goto 25.08,75.71
step
Enter the cave |goto Dun Morogh 26.80,79.86 < 15 |walk
Follow the path |goto Dun Morogh 27.73,80.71 < 10 |walk
Follow the path down |goto Dun Morogh 28.13,80.11 < 10 |walk
Continue down the path |goto Dun Morogh 29.06,78.87 < 10 |walk
|tip Watch for patrols and respawns while inside the cave. |only if hardcore
kill Grik'nir the Cold##808
|tip Inside the cave.
collect Grelin Whitebeard's Journal##2004 |q 218/1 |goto Dun Morogh 30.49,80.16
step
click Frostmane Loot Chest
|tip Inside the cave, up on a ledge.
collect Rune of the Chimera##206168 |goto Dun Morogh 30.78,80.06
|only if Dwarf Hunter and ZGV.IsClassicSoD
step
use the Rune of the Chimera##206168
Learn Engrave Gloves - Chimera Shot |q 77660/1
|only if Dwarf Hunter and ZGV.IsClassicSoD
step
click Frostmane Loot Cache##405628
|tip Inside the cave, up on a ledge.
collect Rune of Shadowstrike##204795 |goto 30.78,80.06 |q 77658
|only if Dwarf Rogue and ZGV.IsClassicSoD
step
use the Rune of Shadowstrike##204795
Learn Engrave Gloves - Shadowstrike |q 77658/1
|only if Dwarf Rogue and ZGV.IsClassicSoD
step
click Frostmane Loot Cache##405628
|tip Inside the cave, up on a ledge.
collect Rune of Shadowstrike##204795 |goto 30.78,80.06 |q 77659
|only if Gnome Rogue and ZGV.IsClassicSoD
step
use the Rune of Shadowstrike##204795
Learn Engrave Gloves - Shadowstrike |q 77659/1
|only if Gnome Rogue and ZGV.IsClassicSoD
step
Leave the cave |goto 26.78,79.83 < 15 |walk |only if subzone("Coldridge Valley") and _G.IsIndoors()
talk Grelin Whitebeard##786
turnin The Stolen Journal##218 |goto 25.08,75.71
accept Senir's Observations##282 |goto 25.08,75.71
step
Kill enemies around this area
|tip Inside and outside the cave.
|tip Watch for patrols and respawns while in the area.  |only if hardcore
|tip Getting this far into level 5 will allow you to reach level 6 when you turn in quests soon.
|tip This is important, so you can visit your class trainer before leaving the starter area.
ding 5,2600 |goto 26.78,79.83
step
Allow Enemies to Kill You
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 26.78,79.83 |q 3361
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 29.55,69.83 |q 3361 |zombiewalk
|only if not hardcore
step
Enter the building |goto 28.79,69.05 < 10 |walk
talk Felix Whindlebolt##8416
|tip He walks around this area inside the building.
turnin A Refugee's Quandary##3361 |goto 28.55,67.65
step
talk Thorgas Grimson##895
|tip Inside the building.
turnin Trek Through the Caves##77660 |goto Dun Morogh 29.18,67.46
|only if Dwarf Hunter and ZGV.IsClassicSoD
step
talk Bromos Grummner##926
|tip Inside the building.
turnin Relics of the Light##77657 |goto Dun Morogh 28.83,68.33
|only if Dwarf Paladin and ZGV.IsClassicSoD
step
talk Solm Hargrin##916
|tip Outside, in the stables behind the the building.
turnin Thrice Stolen##77658 |goto Dun Morogh 50.31,39.92
|only if Dwarf Rogue and ZGV.IsClassicSoD
step
talk Solm Hargrin##916
|tip Outside, in the stables behind the the building.
turnin Thrice Stolen##77659 |goto Dun Morogh 50.31,39.92
|only if Gnome Rogue and ZGV.IsClassicSoD
step
talk Thran Khorman##912
|tip Inside the building.
turnin The Lost Rune##77655 |goto Dun Morogh 28.83,67.24
|only if Dwarf Warrior and ZGV.IsClassicSoD
step
talk Thran Khorman##912
|tip Inside the building.
turnin The Lost Rune##77656 |goto Dun Morogh 28.83,67.24
|only if Gnome Warrior and ZGV.IsClassicSoD
step
talk Marryk Nurribit##944
|tip Inside the building.
turnin Spell Research##77667 |goto Dun Morogh 28.71,66.37
|only if Gnome Mage and ZGV.IsClassicSoD
step
talk Branstock Khalder##837
|tip Inside the building.
turnin Meditation on the Light##77661 |goto Dun Morogh 28.60,66.39
|only if Dwarf Priest and ZGV.IsClassicSoD
step
Leave the building |goto Dun Morogh 28.79,69.05 < 10 |walk |only if subzone("Anvilmar")
talk Mountaineer Thalos##1965
turnin Senir's Observations##282 |goto Dun Morogh 33.48,71.84
accept Senir's Observations##420 |goto Dun Morogh 33.48,71.84
step
talk Hands Springsprocket##6782
accept Supplies to Tannok##2160 |goto 33.85,72.24
stickystart "Collect_Chunks_Of_Boar_Meat"
stickystart "Collect_Crag_Boar_Ribs"
step
Enter the tunnel |goto Dun Morogh 34.12,71.51 < 10 |only if walking and subzone("Coldridge Pass")
Leave the tunnel and follow the road |goto Dun Morogh 35.67,65.93 < 10 |only if walking and subzone("Coldridge Pass")
talk Hegnar Rumbleshot##1243
buy Ornate Blunderbuss##2509 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Hegnar Rumbleshot##1243 |goto Dun Morogh 40.68,65.13 |q 384 |future
|only if Hunter and itemcount(2509) == 0
step
Enter the tunnel |goto Dun Morogh 34.12,71.51 < 10 |only if walking and subzone("Coldridge Pass")
Leave the tunnel and follow the road |goto Dun Morogh 35.67,65.93 < 10 |only if walking and subzone("Coldridge Pass")
talk Senir Whitebeard##1252
turnin Senir's Observations##420 |goto Dun Morogh 46.73,53.83
stickystop "Collect_Chunks_Of_Boar_Meat"
stickystop "Collect_Crag_Boar_Ribs"
step
talk Ragnar Thunderbrew##1267
accept Beer Basted Boar Ribs##384 |goto 46.83,52.36
step
Enter the building |goto 46.95,52.04 < 10 |walk
talk Tannok Frosthammer##6806
|tip Inside the building.
turnin Supplies to Tannok##2160 |goto 47.22,52.19
step
talk Kreg Bilmn##1691
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Kreg Bilmn##1691 |goto 47.19,52.40 |q 384
step
talk Kreg Bilmn##1691
|tip Inside the building.
|tip If you afford it.
buy Balanced Throwing Dagger##25872 |n
Visit the Vendor |vendor Kreg Bilmn##1691 |goto Dun Morogh 47.19,52.40 |q 400 |future
|only if Rogue
step
talk Maxan Anvol##1226
|tip Inside the building.
accept Garments of the Light##5625 |goto Dun Morogh 47.34,52.19
|only if Dwarf Priest
step
Leave the building |goto Dun Morogh 46.95,52.03 < 10 |walk |only if subzone("Thunderbrew Distillery")
Heal and Fortify Mountaineer Dolf |q 5625/1 |goto 45.81,54.57
|tip Target Mountaineer Dolf.
|tip First, cast your "Lesser Heal (Rank 2)" spell on him.
|tip Second, cast your "Power Word: Fortitude" spell on him.
|only if Dwarf Priest
step
Enter the building |goto 46.95,52.04 < 10 |walk
talk Maxan Anvol##1226
|tip Inside the building.
turnin Garments of the Light##5625 |goto 47.34,52.19
|only if Dwarf Priest
step
Leave the building |goto 46.95,52.03 < 10 |walk |only if subzone("Thunderbrew Distillery")
talk Tharek Blackstone##1872
accept Tools for Steelgrill##400 |goto 46.02,51.68
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Large Axe##2491 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 384
|only if Dwarf Warrior and itemcount(2491) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 384
|only if Gnome Warrior and itemcount(2488) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Wooden Mallet##2493 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 384
|only if Paladin and itemcount(2493) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 384
|only if Rogue and itemcount(2494) == 0
stickystart "Collect_Chunks_Of_Boar_Meat"
stickystart "Collect_Crag_Boar_Ribs"
step
talk Pilot Bellowfiz##1378
accept Stocking Jetsteam##317 |goto Dun Morogh 49.43,48.41
step
talk Pilot Stonegear##1377
accept The Grizzled Den##313 |goto 49.62,48.61
step
talk Beldin Steelgrill##1376
turnin Tools for Steelgrill##400 |goto 50.44,49.09
step
talk Loslor Rudge##1694
accept Ammo for Rumbleshot##5541 |goto 50.08,49.42
stickystart "Collect_Thick_Bear_Fur"
step
label "Collect_Chunks_Of_Boar_Meat"
Kill Crag Boar enemies around this area
collect 4 Chunk of Boar Meat##769 |q 317/1 |goto 48.34,55.70 |future
|tip Be careful not to accidentally sell these to a vendor.
You can find more around: |notinsticky
[48.37,60.48]
[44.55,65.31]
[42.18,65.32]
step
label "Collect_Crag_Boar_Ribs"
Kill Crag Boar enemies around this area
collect 6 Crag Boar Rib##2886 |q 384/1 |goto 48.34,55.70 |future
|tip Be careful not to accidentally sell these to a vendor.
You can find more around: |notinsticky
[48.37,60.48]
[44.55,65.31]
[42.18,65.32]
step
label "Collect_Thick_Bear_Fur"
kill Young Black Bear##1128+
collect 2 Thick Bear Fur##6952 |q 317/2 |goto 49.76,51.15
You can find more around: |notinsticky
[45.18,50.18]
[44.96,56.85]
[42.54,59.61]
[39.44,61.23]
step
click Ammo Crate##176785
collect Rumbleshot's Ammo##13850 |q 5541/1 |goto 44.14,56.94
step
Kill Wendigo enemies around this area
|tip Inside and outside the cave.
|tip They respawn quickly, so you'll be better staying close to the cave entrance.
collect 8 Wendigo Mane##2671 |q 313/1 |goto 42.33,54.03
step
Kill enemies around this area
|tip Inside and outside the cave.
|tip They respawn quickly, so you'll be better staying close to the cave entrance.
|tip You should already be level 7, or pretty close.
ding 7 |goto 42.33,54.03
step
Follow the path up |goto 40.60,62.56 < 30 |only if walking
talk Hegnar Rumbleshot##1243
turnin Ammo for Rumbleshot##5541 |goto 40.68,65.13
step
talk Hegnar Rumbleshot##1243
buy Ornate Blunderbuss##2509 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Hegnar Rumbleshot##1243 |goto Dun Morogh 40.68,65.13 |q 312 |future
|only if Hunter and itemcount(2509) == 0
step
Allow Enemies to Kill You
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto Dun Morogh 42.77,65.72 |q 313
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 47.05,55.10 |q 313 |zombiewalk
|only if not hardcore
step
talk Senir Whitebeard##1252
accept Frostmane Hold##287 |goto 46.73,53.83
step
Enter the building |goto 46.95,52.04 < 10 |walk
talk Innkeeper Belm##1247
|tip Inside the building.
buy Rhapsody Malt##2894 |q 384/2 |goto 47.38,52.52
step
talk Kreg Bilmn##1691
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Kreg Bilmn##1691 |goto 47.19,52.40 |q 384
step
Leave the building |goto 46.95,52.04 < 10 |walk |only if subzone("Thunderbrew Distillery")
talk Ragnar Thunderbrew##1267
turnin Beer Basted Boar Ribs##384 |goto 46.83,52.36
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Large Axe##2491 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 317
|only if Dwarf Warrior and itemcount(2491) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 317
|only if Gnome Warrior and itemcount(2488) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Wooden Mallet##2493 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 317
|only if Paladin and itemcount(2493) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 317
|only if Rogue and itemcount(2494) == 0
step
talk Pilot Bellowfiz##1378
turnin Stocking Jetsteam##317 |goto Dun Morogh 49.43,48.41
accept Evershine##318 |goto Dun Morogh 49.43,48.41
step
talk Pilot Stonegear##1377
turnin The Grizzled Den##313 |goto 49.62,48.61
step
Kill enemies around this area
|tip We are getting to level 8 now, so you can learn your level 8 abilities in town before going to quest more.
ding 8 |goto 48.16,50.08
You can find more around: |notinsticky
[50.39,51.50]
[48.21,56.76]
step
Summon Your Imp |complete warlockpet("Imp")
|tip Use the "Summon Imp" ability.
|tip You need to have your Imp active in order to complete the next step.
|only if Gnome Warlock and not warlockpet("Imp")
step
talk Dannie Fizzwizzle##6328
buy Grimoire of Firebolt (Rank 2)##16302 |n
|tip If you can't afford it, skip this step and make sure to buy it later.
use the Grimoire of Firebolt (Rank 2)##16302
Teach Your Imp Firebolt (Rank 2) |learnpetspell Blood Pact##7799 |goto Dun Morogh 47.28,53.67
|only if Gnome Warlock
step
Enter the building |goto Dun Morogh 46.95,52.05 < 10 |walk
talk Kreg Bilmn##1691
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Kreg Bilmn##1691 |goto Dun Morogh 47.19,52.40 |q 412 |future
step
talk Thamner Pol##2326
|tip Inside the building.
Train Apprentice First Aid |skillmax First Aid,75 |goto 47.18,52.61
step
_NOTE:_
Create Bandages in Downtime
|tip While you wait for boats or trams, it's a good time to make bandages and increase your First Aid skill.
|tip You'll need higher skill to make better bandages later, so make sure to level it up as you go.
|tip Keep bandages on hand for another way to heal yourself.
Click Here to Continue |confirm |q 412 |future
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Large Axe##2491 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 412 |future
|only if Dwarf Warrior and itemcount(2491) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 412 |future
|only if Gnome Warrior and itemcount(2488) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Wooden Mallet##2493 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 412 |future
|only if Paladin and itemcount(2493) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 412 |future
|only if Rogue and itemcount(2494) == 0
step
Enter the building |goto Dun Morogh 45.97,48.83 < 10 |walk
talk Razzle Sprysprocket##1269
|tip Inside the building.
accept Operation Recombobulation##412 |goto Dun Morogh 45.85,49.37
step
Follow the path |goto 39.61,48.01 < 40 |only if walking
Follow the path up |goto 36.01,51.96 < 15 |only if walking
talk Tundra MacGrann##1266
|tip On top of the mountain.
|tip As you travel to him, be careful to avoid the elite yeti that walks around this area.
accept Tundra MacGrann's Stolen Stash##312 |goto 34.57,51.65
step
Enter the cave |goto 37.80,53.69 < 20 |walk
click MacGrann's Meat Locker##272
|tip Inside the cave.
|tip Wait for the elite yeti to leave the cave and walk away before you enter the cave.
collect MacGrann's Dried Meats##2667 |q 312/1 |goto 38.51,53.93
|tip He runs back quickly after he walks down the path a bit.
|tip Try to get into the cave as quick as you can when he leaves it, to give yourself time to run back out safely.
|tip If he attacks you as you leave the cave, just run away.
step
Follow the path up |goto 36.01,51.96 < 15 |only if walking
talk Tundra MacGrann##1266
|tip On top of the mountain.
|tip As you travel to him, be careful to avoid the elite yeti that walks around this area.
turnin Tundra MacGrann's Stolen Stash##312 |goto 34.57,51.65
step
talk Rejold Barleybrew##1374
turnin Evershine##318 |goto 30.19,45.73
accept A Favor for Evershine##319 |goto 30.19,45.73
accept The Perfect Stout##315 |goto 30.19,45.73
step
talk Marleth Barleybrew##1375
accept Bitter Rivals##310 |goto 30.19,45.53
step
Follow the path up |goto 38.44,42.11 < 15 |only if walking
kill Frostmane Seer##1397+
click Shimmerweed Basket##276+
|tip They look like tan wooden baskets on the ground around this area.
|tip Enemies tend to pull in groups around here. |only if hardcore
|tip Watch for respawns while in the area. |only if hardcore
collect 6 Shimmerweed##2676 |q 315/1 |goto 40.09,42.44
You can find more around [41.81,35.62]
stickystart "Kill_Elder_Crag_Boars"
stickystart "Kill_Snow_Leopards"
step
kill 6 Ice Claw Bear##1196 |q 319/1 |goto 37.90,42.59
You can find more around: |notinsticky
[34.50,31.74]
[30.71,39.90]
[27.80,48.14]
[28.11,53.97]
step
label "Kill_Elder_Crag_Boars"
kill 8 Elder Crag Boar##1127 |q 319/2 |goto 34.50,31.74
You can find more around: |notinsticky
[30.71,39.90]
[27.80,48.14]
[28.11,53.97]
step
label "Kill_Snow_Leopards"
kill 8 Snow Leopard##1201 |q 319/3 |goto 34.50,31.74
You can find more around: |notinsticky
[30.71,39.90]
[27.80,48.14]
[28.11,53.97]
step
Allow Enemies to Kill You
|tip You can do this anywhere near Brewnall Village, it doesn't have to be at this exact location.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 30.71,39.90 |q 319
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 47.05,55.10 |q 319 |zombiewalk
|only if not hardcore
step
Enter the building |goto 46.95,52.05 < 10 |walk
talk Kreg Bilmn##1691
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Kreg Bilmn##1691 |goto 47.19,52.40 |q 319
step
talk Innkeeper Belm##1247
|tip Inside the building.
home Thunderbrew Distillery |goto 47.38,52.52
step
talk Innkeeper Belm##1247
|tip Inside the building.
buy Thunder Ale##2686 |goto 47.38,52.52 |q 310
step
talk Jarven Thunderbrew##1373
|tip Downstairs inside the building.
accept Distracting Jarven##308 |goto 47.64,52.66
|only if haveq(310)
step
click Unguarded Thunder Ale Barrel
|tip Downstairs inside the building.
|tip It may take a moment for it to become Unguarded.
turnin Bitter Rivals##310 |goto 47.70,52.69
accept Return to Marleth##311 |goto 47.70,52.69
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Large Axe##2491 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 319
|only if Dwarf Warrior and itemcount(2491) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 319
|only if Gnome Warrior and itemcount(2488) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Wooden Mallet##2493 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 319
|only if Paladin and itemcount(2493) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 319
|only if Rogue and itemcount(2494) == 0
step
Follow the path |goto Dun Morogh 41.90,47.23 < 40 |only if walking
talk Marleth Barleybrew##1375
turnin Return to Marleth##311 |goto Dun Morogh 30.19,45.53
step
talk Rejold Barleybrew##1374
turnin A Favor for Evershine##319 |goto 30.19,45.73
accept Return to Bellowfiz##320 |goto 30.19,45.73
turnin The Perfect Stout##315 |goto 30.19,45.73
accept Shimmer Stout##413 |goto 30.19,45.73
step
Kill enemies around this area
|tip You should already be level 9, or very close to it.
|tip You are about to have to complete some quests that can be difficult, so being a level higher will help.
ding 9 |goto 34.50,31.74
You can find more around: |notinsticky
[30.71,39.90]
[27.80,48.14]
[28.11,53.97]
stickystart "Kill_Frostmane_Headhunters"
step
Enter the cave |goto 24.84,50.89 < 20 |walk
Follow the path down |goto 22.61,50.53 < 20 |walk
Fully Explore Frostmane Hold |q 287/2 |goto 22.79,52.10
|tip Inside the cave.
|tip Watch for patrols and respawns while inside the cave. |only if hardcore
step
label "Kill_Frostmane_Headhunters"
Follow the path up |goto 21.78,50.47 < 20 |walk
kill 5 Frostmane Headhunter##1123 |q 287/1 |goto 24.87,50.90
|tip Inside and outside the cave. |notinsticky
|tip Watch for patrols and respawns while inside the cave. |only if hardcore |notinsticky
stickystart "Collect_Gyromechanic_Gears"
step
Leave the cave |goto 25.07,50.99 < 20 |walk |only if subzone("Frostmane Hold") and _G.IsIndoors()
kill Leper Gnome##1211+
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
collect 8 Restabilization Cog##3083 |q 412/1 |goto 25.64,43.33
step
label "Collect_Gyromechanic_Gears"
kill Leper Gnome##1211+
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
collect 8 Gyromechanic Gear##3084 |q 412/2 |goto 25.64,43.33
step
Kill enemies around this area
|tip Getting this far into level 9 will allow you to reach level 10 after turning in quests soon.
|tip You will return to town soon, so it will be a good time to learn your level 10 abilities.
ding 9,4300 |goto 26.36,47.69
You can find more around: |notinsticky
[29.93,42.60]
|only if not Dwarf Priest
step
ding 10
|only if Dwarf Priest
step
Follow the path up |goto 30.71,34.33 < 10 |only if walking
Continue up the path |goto 31.06,32.56 < 7 |only if walking
Continue up the path |goto 31.43,32.34 < 7 |only if walking
Continue up the path |goto 31.14,30.50 < 7 |only if walking
Follow the path down |goto 32.33,28.63 < 15 |only if walking
Follow the path |goto 32.74,27.11 < 20 |only if walking
Jump to Your Death |havebuff Ghost##8326 |goto Eastern Kingdoms 44.92,51.98 |q 963 |future |notravel
|tip While you are in the Wetlands, keep running north and jump off the cliff.
|tip This is a much easier and faster way to reach Menethil Harbor.
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer Near Menethil Harbor |complete not isdead |goto Wetlands 11.72,43.30 |q 963 |future |zombiewalk
|only if not hardcore
step
Enter Menethil Harbor and the building |goto Wetlands 10.25,56.45 < 10 |walk |only if not subzone("Menethil Keep")
talk Neal Allen##1448
|tip Inside the building.
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
Visit the Vendor |vendor Neal Allen##1448 |goto Wetlands 10.75,56.75 |q 174 |future
|only if not hardcore
step
Leave the building |goto 10.25,56.45 < 10 |walk |only if subzone("Menethil Keep")
talk Shellei Brondir##1571
fpath Menethil Harbor |goto 9.49,59.69
|only if not hardcore
step
talk Kreg Bilmn##1691
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Kreg Bilmn##1691 |goto Dun Morogh 47.19,52.40 |q 412
step
Leave the building |goto 46.95,52.05 < 10 |walk |only if subzone("Thunderbrew Distillery")
talk Senir Whitebeard##1252
turnin Frostmane Hold##287 |goto 46.73,53.82
accept The Reports##291 |goto 46.73,53.82
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Large Axe##2491 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 412
|only if Dwarf Warrior and itemcount(2491) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 412
|only if Gnome Warrior and itemcount(2488) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Wooden Mallet##2493 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 412
|only if Paladin and itemcount(2493) == 0
step
Enter the building |goto Dun Morogh 45.74,51.84 < 10 |walk
talk Grawn Thromwyn##1273
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Grawn Thromwyn##1273 |goto Dun Morogh 45.29,52.19 |q 412
|only if Rogue and itemcount(2494) == 0
step
Enter the building |goto Dun Morogh 45.97,48.84 < 10 |walk
talk Razzle Sprysprocket##1269
|tip Inside the building.
turnin Operation Recombobulation##412 |goto Dun Morogh 45.85,49.37
step
Leave the building |goto 45.97,48.85 < 10 |walk
talk Pilot Bellowfiz##1378
turnin Return to Bellowfiz##320 |goto 49.43,48.41
step
_NOTE:_
You Have Access to Stronger Ammo
|tip Now that you're level 10, you can purchase stronger bullets or arrows.
|tip When you restock ammo at vendors, make sure to buy level 10 ammo.
Click Here to Continue |confirm |q 6062 |future
|only if Dwarf Hunter
step
talk Grif Wildheart##1231
accept Taming the Beast##6064 |goto Dun Morogh 45.81,53.03
|only if Dwarf Hunter
step
use the Taming Rod##15911
|tip Use it on a Large Crag Boar around this area.
Tame a Large Crag Boar |q 6064/1 |goto 48.26,56.81
|tip Dismiss it after you tame it.
|tip It may attack you after you dismiss it.
|only if Dwarf Hunter
step
talk Grif Wildheart##1231
turnin Taming the Beast##6064 |goto 45.81,53.04
accept Taming the Beast##6084 |goto 45.81,53.04
|only if Dwarf Hunter
step
use the Taming Rod##15913
|tip Use it on a Snow Leopard around this area.
Tame a Snow Leopard |q 6084/1 |goto 48.68,58.93
|tip Dismiss it after you tame it.
|tip It may attack you after you dismiss it.
|only if Dwarf Hunter
step
talk Grif Wildheart##1231
turnin Taming the Beast##6084 |goto 45.81,53.04
accept Taming the Beast##6085 |goto 45.81,53.04
|only if Dwarf Hunter
step
use the Taming Rod##15908
|tip Use it on an Ice Claw Bear around this area.
Tame an Ice Claw Bear |q 6085/1 |goto 49.06,62.12
You can usually find another one around [50.11,53.57]
|only if Dwarf Hunter
step
talk Grif Wildheart##1231
turnin Taming the Beast##6085 |goto 45.81,53.04
accept Training the Beast##6086 |goto 45.81,53.04
|only if Dwarf Hunter
step
Follow the path up |goto 47.25,41.65 < 30 |only if walking
Enter the building |goto Ironforge 66.34,82.50 < 10 |walk
talk Belia Thundergranite##10090
|tip Inside the building.
turnin Training the Beast##6086 |goto Ironforge 70.87,85.80
|only if Dwarf Hunter
step
_NOTE:_
You Can Now Train Your Pet
|tip Learn pet abilities from Pet Trainers.
|tip Use your "Beast Training" ability to teach your pet abilities.
Click Here to Continue |confirm |q 413
|only if Dwarf Hunter
step
talk Sognar Cliffbeard##5124
|tip He walks around this area.
buy Tough Jerky##117 |n
|tip Buy 20-40, whatever you have money and bag space for.
|tip This will be used to feed your permanent pet soon and keep it Happy, so it deals more damage and gains Loyalty faster.
|tip By keeping your pet Happy and ranking up its Loyalty, it won't run away and abandon you, and will need food less often to stay Happy.
Visit the Vendor |vendor Sognar Cliffbeard##5124 |goto 60.54,78.45 |q 413
|only if Dwarf Hunter
step
Run up the stairs and enter the building |goto Ironforge 61.32,88.18 < 7 |walk
talk Buliwyf Stonehand##11865
|tip Inside the building.
|tip This will allow you to equip two-handed maces.								|only if Dwarf Warrior
|tip This will allow you to equip two-handed axes and two-handed maces.						|only if Gnome Warrior
Train Two-Handed Axes |complete weaponskill("TH_AXE") > 0 |goto Ironforge 61.17,89.52				|only if Gnome Warrior
Train Two-Handed Maces |complete weaponskill("TH_MACE") > 0 |goto Ironforge 61.17,89.52
|only if Warrior
step
talk Kelomir Ironhand##5121
|tip Inside the building.
buy Giant Mace##1197 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Kelomir Ironhand##5121 |goto 62.55,88.71 |q 433 |future
|only if Warrior and itemcount(1197) == 0
step
Enter the building |goto Dun Morogh 46.95,52.06 < 10 |walk
talk Maxan Anvol##1226
|tip Inside the building
accept Desperate Prayer##5637 |goto Dun Morogh 47.34,52.19
|only if Dwarf Priest
step
_Note:_
Do You Need to Create a Wand?
|tip If you already have a wand, you can skip the next bunch of steps.
|tip Click the line below to select what you want to do.
Yes, Create a Wand		|confirm	|next "Create_Wand_Priest"	|or	|q 433 |future
No, I Already Have a Wand	|confirm	|next "Skip_Wand_Priest"	|or	|q 433 |future
|only if Dwarf Priest
step
label "Create_Wand_Priest"
collect 70 Linen Cloth##2589 |q 433 |future
|tip You are about to create your wand.
|tip If you need more Linen Cloth, try to buy some from the Auction House. |only if not selfmade
|only if Dwarf Priest
step
Enter the building |goto Ironforge 43.84,29.66 < 10 |walk
talk Uthrar Threx##1703
|tip Inside the building.
Learn Tailoring |skillmax Tailoring,75 |goto Ironforge 43.82,27.86 |q 433 |future
|only if Dwarf Priest
step
Open the Tailoring Profession Window
|tip The Tailoring skill is in the General tab of your spellbook.
|tip Create 35 Bolts of Linen Cloth.
collect 35 Bolt of Linen Cloth##2996 |q 433 |future
|only if Dwarf Priest
step
talk Poranna Snowbraid##5154
|tip Inside the building.
buy 10 Coarse Thread##2320 |goto 42.94,28.31 |q 433 |future
|only if Dwarf Priest
step
talk Uthrar Threx##1703
|tip Inside the building.
learn Brown Linen Robe##7623 |goto 43.82,27.86 |q 433 |future
|only if Dwarf Priest
step
Open the Tailoring Profession Window
|tip The Tailoring skill is in the General tab of your spellbook.
|tip Create 10 Brown Linen Robes.
|tip You are about to learn Enchanting and disenchant these.
collect 10 Brown Linen Robe##6238 |q 433 |future
|only if Dwarf Priest
step
Enter the building |goto 59.73,44.08 < 10 |walk
talk Gimble Thistlefuzz##5157
|tip Upstairs inside the building.
Learn Enchanting |skillmax Enchanting,75 |goto 59.77,45.45 |q 433 |future
|only if Dwarf Priest
step
Disenchant the Brown Linen Robes
|tip Use the "Disenchant" ability in the General tab of your spellbook.
|tip If you don't get one of these items from disenchanting, talk to Tilli Thistlefuzz here and try to buy it.
|tip They are limited supply items, so it may not be available to buy.
|tip You can also try to buy it from the Auction House. |only if not selfmade
collect Strange Dust##10940 |goto 61.03,44.00 |q 433 |future
collect 2 Lesser Magic Essence##10938 |goto 61.03,44.00 |q 433 |future
|only if Dwarf Priest
step
talk Tilli Thistlefuzz##5158
|tip Inside the building.
buy Copper Rod##6217 |goto 61.03,44.00 |q 433 |future
buy Simple Wood##4470 |goto 61.03,44.00 |q 433 |future
|only if Dwarf Priest
step
Open the Enchanting Profession Window
|tip The Enchanting skill is in the General tab of your spellbook.
|tip Create 1 Runed Copper Rod.
collect Runed Copper Rod##6218 |q 433 |future
|only if Dwarf Priest
step
talk Gimble Thistlefuzz##5157
|tip Upstairs inside the building.
|tip This should be available with 10 Enchanting.
learn Lesser Magic Wand##14293 |goto 59.77,45.45 |q 433 |future
|only if Dwarf Priest
step
Open the Enchanting Profession Window
|tip The Enchanting skill is in the General tab of your spellbook.
|tip Create 1 Lesser Magic Wand.
collect Lesser Magic Wand##11287 |q 433 |future
|only if Dwarf Priest
step
Follow the path up |goto Dun Morogh 47.20,41.70 < 20 |only if walking and not zone("Ironforge")
talk Lago Blackwrench##6120
accept The Slaughtered Lamb##1715 |goto Ironforge 47.63,9.26
|only if Gnome Warlock
step
Follow the path |goto 72.82,50.18 < 20 |walk
Enter the Deeprun Tram |complete subzone("Deeprun Tram") |goto 76.58,51.14 |q 6662 |future
|tip Walk into the swirling portal.
|only if Gnome Warlock
step
_Inside Deeprun Tram:_
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
accept Deeprun Rat Roundup##6661
|only if Gnome Warlock
step
_Inside Deeprun Tram:_
use Rat Catcher's Flute##17117
|tip Use it on Deeprun Rats around this area.
|tip They look like small grey rats on the ground around this area.
|tip In the Ironforge section of the Deeprun Tram.
Capture #5# Rats |q 6661/1
|only if Gnome Warlock
step
_Inside Deeprun Tram:_
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
turnin Deeprun Rat Roundup##6661
|only if Gnome Warlock
step
_Inside Deeprun Tram:_
Watch the dialogue
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
accept Me Brother, Nipsy##6662
|only if Gnome Warlock
step
_Inside Deeprun Tram:_
Ride the Tram
|tip Ride the Deeprun Tram from Ironforge to Stormwind City.
talk Nipsy##13018
|tip On the middle platform, near the wall.
|tip In the Stormwind City section of the Deeprun Tram.
turnin Me Brother, Nipsy##6662
|only if Gnome Warlock
step
_NOTE:_
Tame a Winter Wolf
|tip Use your "Tame Beast" ability on a Winter Wolf.
|tip They look like white wolves around this area.
|tip This will be your permanent pet for a little while.
Click Here to Continue |confirm |goto Dun Morogh 51.23,45.55 |q 413
|only if Dwarf Hunter
step
_Inside Deeprun Tram:_
Enter Stormwind City |complete zone("Stormwind City") |q 1715
|tip Walk into the swirling portal.
|only if Gnome Warlock
step
Enter the building |goto Stormwind City 29.15,74.18 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin The Slaughtered Lamb##1715 |goto Stormwind City 25.26,78.56
accept Surena Caledon##1688 |goto Stormwind City 25.26,78.56
|only Gnome Warlock
step
Leave the building |goto 29.15,74.18 < 10 |walk |only if subzone("The Slaughtered Lamb")
Enter the building |goto 53.44,64.92 < 10 |walk
talk Innkeeper Allison##6740
|tip Inside the building.
home Stormwind City |goto 52.62,65.70
|only if Gnome Warlock
step
Enter the building |goto Elwynn Forest 70.93,80.43 < 10 |walk
kill Surena Caledon##881
|tip Inside the building.
collect Surena's Choker##6810 |q 1688/1 |goto Elwynn Forest 71.02,80.78
|only if Gnome Warlock
step
Enter the building |goto Stormwind City 29.15,74.18 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Surena Caledon##1688 |goto Stormwind City 25.26,78.56
accept The Binding##1689 |goto Stormwind City 25.26,78.56
|only Gnome Warlock
step
use the Bloodstone Choker##6928
|tip Use it while standing on the pink symbol on the ground.
|tip Downstairs inside the building, inside the crypt.
kill Summoned Voidwalker##5676 |q 1689/1 |goto 25.11,77.46
|only if Gnome Warlock
step
talk Gakin the Darkbinder##6122
|tip Upstairs inside the building, in the basement above the crypt.
turnin The Binding##1689 |goto 25.25,78.53
|only if Gnome Warlock
step
_NOTE:_
Create Soul Shards
|tip As you follow the guide, use your "Drain Soul" spell as you kill an enemy to get a Soul Shard.
|tip Once you have a Soul Shard, use your "Summon Voidwalker" ability to summon your voidwalker.
|tip It will tank enemies for you, making it easier to kill enemies.
Click Here to Continue |confirm |q 433 |future
|only if Gnome Warlock
step
Leave the building |goto 29.15,74.14 < 10 |c |q 433 |future
|only if Gnome Warlock and subzone("The Slaughtered Lamb")
step
label "Skip_Wand_Priest"
talk Senator Mehr Stonehallow##1977
accept The Public Servant##433 |goto Dun Morogh 68.67,55.97
step
talk Foreman Stonebrow##1254
accept Those Blasted Troggs!##432 |goto 69.08,56.33
stickystart "Kill_Rockjaw_Skullthumpers"
stickystart "Collect_Linen_Cloth_Priest"
stickystart "Collect_Linen_Cloth_Paladin"
step
Enter the cave |goto 70.70,56.49 < 20 |walk
kill 10 Rockjaw Bonesnapper##1117 |q 433/1 |goto 70.98,54.77
|tip Inside the cave.
|tip Watch for patrols and respawns while in the area. |only if hardcore
step
label "Kill_Rockjaw_Skullthumpers"
kill 6 Rockjaw Skullthumper##1115 |q 432/1 |goto 70.70,56.49
|tip Inside and outside the cave.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
step
Kill enemies around this area
|tip Inside and outside the cave.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Getting this far into level 10 will allow you to reach level 11 after turning in quests soon.
|tip There aren't enough quests to reach level 11 naturally in Dun Morogh.
|tip This is a longer grind, but is still much faster than traveling far to another zone, like Elwynn Forest, to complete quests.
|tip Being level 11 will allow you to be able to more comfortably complete quests in Loch Modan, which is a much closer zone.
|tip Also, a lot of grey and green weapons drop from these enemies, so grinding them will get you a lot of money to use for weapon upgrades, learning abilities, and buying bags.
ding 10,6400 |goto 70.70,56.49
You can sell items at Frast Dokner who walks around [68.87,55.96]
step
label "Collect_Linen_Cloth_Priest"
Kill enemies around this area
|tip Inside and outside the cave.
|tip Be sure to check behind you for respawns if inside the cave. |only if hardcore
|tip Also try to keep a clear escape route. |only if hardcore
|tip You are collecting these to make your wand soon.
collect 70 Linen Cloth##2589 |goto 70.70,56.49 |q 291 |future
|tip Be careful not to accidentally sell these to a vendor.
|only if Priest
step
label "Collect_Linen_Cloth_Paladin"
Kill enemies around this area
|tip Inside and outside the cave.
|tip Be sure to check behind you for respawns if inside the cave. |only if hardcore
|tip Also try to keep a clear escape route. |only if hardcore
|tip You will need these soon for a Paladin class quest.
collect 10 Linen Cloth##2589 |goto 70.70,56.49 |q 1648 |future
|tip Be careful not to accidentally sell these to a vendor.
|only if Paladin
step
Leave the cave |goto Dun Morogh 70.70,56.49 < 20 |walk |only if subzone("Gol'Bolar Quarry Mine")
Follow the path up |goto Dun Morogh 67.86,57.69 < 20 |only if walking
talk Senator Mehr Stonehallow##1977
turnin The Public Servant##433 |goto Dun Morogh 68.67,55.97
step
talk Foreman Stonebrow##1254
turnin Those Blasted Troggs!##432 |goto 69.08,56.33
step
talk Cook Ghilm##1355
|tip He walks around this area.
|tip You need to have the Cooking profession learned in order to accept a quest soon.
Learn Cooking |skillmax Cooking,75 |goto 68.38,54.49 |q 419 |future
step
Follow the road |goto Dun Morogh 67.68,52.75 < 40 |only if walking and subzone("Gol'Bolar Quarry")
Follow the road and run through the tunnel |goto Dun Morogh 81.21,42.70 < 10 |only if walking and not subzone("North Gate Outpost")
talk Pilot Hammerfoot##1960
accept The Lost Pilot##419 |goto Dun Morogh 83.89,39.19
step
click A Dwarven Corpse##2059
turnin The Lost Pilot##419 |goto 79.67,36.17
accept A Pilot's Revenge##417 |goto 79.67,36.17
step
kill Mangeclaw##1961
|tip He walks around this area.
collect Mangy Claw##3183 |q 417/1 |goto 78.31,37.76
step
talk Pilot Hammerfoot##1960
turnin A Pilot's Revenge##417 |goto 83.89,39.19
step
Run through the tunnel |goto 84.42,31.02 < 10 |only if walking and not zone("Loch Modan")
Enter the building |goto Loch Modan 23.53,17.89 < 10 |walk
talk Mountaineer Stormpike##1343
|tip Upstairs inside the building.
accept Filthy Paws##307 |goto Loch Modan 24.76,18.40
stickystart "Collect_Boar_Intestines"
stickystart "Collect_Spider_Ichors"
stickystart "Collect_Bear_Meat"
step
_NOTE:_
Tame a Forest Lurker
|tip Use your "Tame Beast" ability on a Forest Lurker.
|tip They look like brown spiders around this area.
|tip This will be your permanent pet for a little while.
Click Here to Continue |confirm |goto Loch Modan 35.69,31.78 |q 307
You can find more around: |notinsticky
[Loch Modan 29.17,23.57]
[Loch Modan 29.43,48.28]
|only if Dwarf Hunter
step
label "Collect_Boar_Intestines"
kill Mountain Boar##1190+
|tip Kill the other types of enemies around this area for extra xp. |notinsticky
collect 3 Boar Intestines##3172 |goto Loch Modan 36.99,34.36 |q 418 |future
You can find more around [Loch Modan 29.17,23.57]
step
label "Collect_Spider_Ichors"
kill Forest Lurker##1195+
|tip Kill the other types of enemies around this area for extra xp. |notinsticky
collect 3 Spider Ichor##3174 |goto 35.69,31.78 |q 418 |future
You can find more around: |notinsticky
[29.17,23.57]
[29.43,48.28]
step
label "Collect_Bear_Meat"
kill Elder Black Bear##1186+
|tip Kill the other types of enemies around this area for extra xp. |notinsticky
collect 3 Bear Meat##3173 |goto 35.68,32.10 |q 418 |future
You can find more around: |notinsticky
[30.73,25.86]
[28.66,11.57]
[24.03,25.79]
[27.45,28.54]
[28.09,40.94]
step
Kill enemies around this area
|tip Getting this far into level 11 will allow you to reach level 12 after turning in quests soon.
|tip You are about to have to complete a quest that can be pretty difficult at level 11, so being a level higher will help.
ding 11,7950 |goto 35.69,31.78 |q 418 |future
You can find more around: |notinsticky
[29.17,23.57]
[29.43,48.28]
step
Enter the building |goto 35.23,47.75 < 7 |walk
talk Vidra Hearthstove##1963
|tip Inside the building.
accept Thelsamar Blood Sausages##418 |goto 34.83,49.28
step
talk Vidra Hearthstove##1963
|tip Inside the building.
turnin Thelsamar Blood Sausages##418 |goto 34.83,49.28
step
talk Yanni Stoutheart##1682
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Yanni Stoutheart##1682 |goto 34.76,48.62 |q 416 |future
step
map Loch Modan
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	32.67,49.72	33.27,49.16	33.86,48.37	34.30,47.64	34.91,47.05
path	35.56,46.76	36.09,46.37	37.11,46.01	37.32,45.60	37.37,44.45
path	37.29,43.33	36.73,41.98
talk Mountaineer Kadrell##1340
|tip He walks around this area.
accept Rat Catching##416
accept Mountaineer Stormpike's Task##1339
step
talk Vrok Blunderblast##1469
buy Hunter's Boomstick##2511 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Vrok Blunderblast##1469 |goto Loch Modan 35.83,43.46 |q 307
|only if Hunter and itemcount(2511) == 0
step
Enter the building |goto Loch Modan 37.18,47.09 < 7 |walk
talk Brock Stoneseeker##1681
|tip Downstairs inside the building.
|tip He sometimes walks out near the entrance of the building.
accept Honor Students##6387 |goto Loch Modan 37.02,47.81
|only if Dwarf or Gnome
stickystart "Collect_Tunnel_Rat_Ears"
step
click Miners' League Crates##271
|tip They look like piles of brown boxes on the ground around this area inside the mine.
|tip This mine can be dangerous, so try to stay near the entrance and wait for boxes to respawn, if you can, so you can leave quickly when you're finished.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Tunnel Rat Geomancers are casters that deal heavy damage. |only if hardcore
collect 4 Miners' Gear##2640 |q 307/1 |goto Loch Modan 35.48,18.85
step
label "Collect_Tunnel_Rat_Ears"
Leave the mine |goto 35.48,18.85 < 10 |walk |only if subzone("Silver Stream Mine") and _G.IsIndoors()
Kill Tunnel Rat enemies around this area
collect 12 Tunnel Rat Ear##3110 |q 416/1 |goto 24.57,29.79
|tip Watch for patrols and respawns while in the area. |only if hardcore
You can find more around [26.08,43.64]
step
Enter the building |goto 23.53,17.89 < 10 |walk
talk Mountaineer Stormpike##1343
|tip Upstairs inside the building.
turnin Filthy Paws##307 |goto 24.76,18.40
turnin Mountaineer Stormpike's Task##1339 |goto 24.76,18.40
accept Stormpike's Order##1338 |goto 24.76,18.40
step
talk Vrok Blunderblast##1469
buy Hunter's Boomstick##2511 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Vrok Blunderblast##1469 |goto Loch Modan 35.83,43.46 |q 416
|only if Hunter and itemcount(2511) == 0
step
map Loch Modan
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	32.67,49.72	33.27,49.16	33.86,48.37	34.30,47.64	34.91,47.05
path	35.56,46.76	36.09,46.37	37.11,46.01	37.32,45.60	37.37,44.45
path	37.29,43.33	36.73,41.98
talk Mountaineer Kadrell##1340
|tip He walks around this area.
turnin Rat Catching##416
step
talk Thorgrum Borrelson##1572
fpath Thelsamar |goto 33.94,50.95
step
talk Thorgrum Borrelson##1572
turnin Honor Students##6387 |goto Loch Modan 33.94,50.95
accept Ride to Ironforge##6391 |goto Loch Modan 33.94,50.95
|only if Dwarf or Gnome
step
Follow the path |goto Ironforge 44.58,49.54 < 10 |walk
talk Senator Barin Redstone##1274
turnin The Reports##291 |goto Ironforge 39.55,57.49
step
Run up the stairs and enter the building |goto Ironforge 49.59,28.51 < 7 |walk
talk Golnir Bouldertoe##4256
|tip Downstairs inside the building.
turnin Ride to Ironforge##6391 |goto Ironforge 51.52,26.30
accept Gryth Thurden##6388 |goto Ironforge 51.52,26.30
|only if Dwarf or Gnome
step
Enter the building |goto Ironforge 27.30,12.45 < 15 |walk
talk Brandur Ironhammer##5149
|tip Inside the building.
accept Tome of Divinity##2999 |goto Ironforge 23.12,6.14
|only if Dwarf Paladin
step
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
turnin Tome of Divinity##2999 |goto 27.64,12.19
accept The Tome of Divinity##1645 |goto 27.64,12.19 |instant
|only if Dwarf Paladin
step
use the Tome of Divinity##6916
accept The Tome of Divinity##1646
|only if Dwarf Paladin
step
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
turnin The Tome of Divinity##1646 |goto 27.64,12.19
accept The Tome of Divinity##1647 |goto 27.64,12.19
|only if Dwarf Paladin
step
map Ironforge
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	21.75,51.75	21.97,54.66	22.70,58.39	23.32,61.81	23.72,63.80
path	25.81,67.98	27.55,71.41	31.72,78.27	36.24,81.32	39.82,83.22
path	42.92,84.10
talk John Turner##6175
|tip He walks around this area in a large path.
turnin The Tome of Divinity##1647
accept The Tome of Divinity##1648
|only if Dwarf Paladin
step
map Ironforge
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	21.75,51.75	21.97,54.66	22.70,58.39	23.32,61.81	23.72,63.80
path	25.81,67.98	27.55,71.41	31.72,78.27	36.24,81.32	39.82,83.22
path	42.92,84.10
talk John Turner##6175
|tip He walks around this area in a large path.
|tip You should already have 10 Linen Cloth from earlier in the guide.
turnin The Tome of Divinity##1648
accept The Tome of Divinity##1778
|only if Dwarf Paladin
step
Enter the building |goto 27.30,12.45 < 15 |walk
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
turnin The Tome of Divinity##1778 |goto 27.64,12.19
accept The Tome of Divinity##1779 |goto 27.64,12.19
|only if Dwarf Paladin
step
talk Muiredon Battleforge##6178
|tip Upstairs inside the building.
turnin The Tome of Divinity##1779 |goto 23.53,8.29
accept The Tome of Divinity##1783 |goto 23.53,8.29
|only if Dwarf Paladin
step
talk Gryth Thurden##1573
turnin Gryth Thurden##6388 |goto Ironforge 55.51,47.74
accept Return to Brock##6392 |goto Ironforge 55.51,47.74
|only if Dwarf or Gnome
step
Enter the building |goto Loch Modan 37.18,47.09 < 10 |walk
talk Brock Stoneseeker##1681
|tip Downstairs inside the building.
|tip He sometimes walks out near the entrance of the building.
turnin Return to Brock##6392 |goto Loch Modan 37.02,47.81
|only if Dwarf or Gnome
step
Enter the building |goto Loch Modan 35.23,47.74 < 10 |walk
talk Innkeeper Hearthstove##6734
|tip Inside the building.
home Stoutlager Inn |goto Loch Modan 35.53,48.40
step
talk Mountaineer Cobbleflint##1089
accept In Defense of the King's Lands##224 |goto 22.07,73.12
step
Enter the building |goto 23.71,75.47 < 10 |walk
talk Captain Rugelfuss##1092
|tip Upstairs inside the building.
accept The Trogg Threat##267 |goto 23.23,73.67
stickystart "Kill_Stonesplinter_Troggs"
stickystart "Kill_Stonesplinter_Scouts"
step
Follow the road to the path here |goto 29.32,66.73 < 40 |only if walking and not subzone("Stonesplinter Valley")
Kill Stonesplinter enemies around this area
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
collect 8 Trogg Stone Tooth##2536 |q 267/1 |goto 32.51,73.25
step
label "Kill_Stonesplinter_Troggs"
kill 10 Stonesplinter Trogg##1161 |q 224/1 |goto 32.51,73.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
step
label "Kill_Stonesplinter_Scouts"
kill 10 Stonesplinter Scout##1162 |q 224/2 |goto 32.51,73.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
step
Kill enemies around this area
|tip Getting this far into level 12 will allow you to reach level 13 after turning in quests soon.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
ding 12,8300 |goto 32.51,73.25
step
Leave Stonesplinter Valley and follow the road |goto 30.57,69.69 < 20 |only if walking and subzone("Stonesplinter Valley")
talk Mountaineer Cobbleflint##1089
turnin In Defense of the King's Lands##224 |goto 22.07,73.13
step
Enter the building |goto 23.71,75.45 < 7 |walk
talk Captain Rugelfuss##1092
|tip Upstairs inside the building.
turnin The Trogg Threat##267 |goto 23.23,73.67
step
Follow the path up |goto 21.32,68.12 < 20 |only if walking and not subzone("South Gate Outpost")
Run through the tunnel |goto 19.56,62.74 < 10 |only if walking and not subzone("South Gate Outpost")
talk Mountaineer Barleybrew##1959
turnin Shimmer Stout##413 |goto Dun Morogh 86.28,48.81
accept Stout to Kadrell##414 |goto Dun Morogh 86.28,48.81
step
Run through the tunnel |goto Dun Morogh 84.20,51.34 < 10 |only if walking and subzone("South Gate Outpost")
use the Symbol of Life##6866
|tip Use it on Narm Faulk's corpse.
|tip This will resurrect him and allow you to talk to him.
Watch the dialogue
talk Narm Faulk##6177
turnin The Tome of Divinity##1783 |goto Dun Morogh 78.32,58.09
accept The Tome of Divinity##1784 |goto Dun Morogh 78.32,58.09
|only if Dwarf Paladin
step
kill Dark Iron Spy##6123+
collect Dark Iron Script##6847 |q 1784/1 |goto 77.39,61.27
|only if Dwarf Paladin
step
talk Yanni Stoutheart##1682
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Yanni Stoutheart##1682 |goto Loch Modan 34.76,48.62 |q 414
step
map Loch Modan
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	32.67,49.72	33.27,49.16	33.86,48.37	34.30,47.64	34.91,47.05
path	35.56,46.76	36.09,46.37	37.11,46.01	37.32,45.60	37.37,44.45
path	37.29,43.33	36.73,41.98
talk Mountaineer Kadrell##1340
|tip He walks around this area.
turnin Stout to Kadrell##414
step
Run up the stairs and enter the building |goto Ironforge 61.32,88.18 < 7 |walk
talk Bixi Wobblebonk##13084
|tip Inside the building.
|tip This will allow you to equip thrown weapons.
Train Thrown |complete weaponskill("THROWN") > 0 |goto Ironforge 62.23,89.62
|only if Warrior
step
Enter the building |goto Ironforge 27.30,12.45 < 15 |only if walking
talk Muiredon Battleforge##6178
|tip Upstairs inside the building.
turnin The Tome of Divinity##1784 |goto Ironforge 23.53,8.29
accept The Tome of Divinity##1785 |goto Ironforge 23.53,8.29
|only if Dwarf Paladin
step
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
turnin The Tome of Divinity##1785 |goto 27.64,12.19
|only if Dwarf Paladin
step
Follow the path |goto Ironforge 72.82,50.18 < 20 |walk
Enter the Deeprun Tram |complete subzone("Deeprun Tram") |goto Ironforge 76.97,51.25 |c |q 6661 |future
|tip Walk into the swirling portal.
step
_Inside Deeprun Tram:_
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
accept Deeprun Rat Roundup##6661
step
_Inside Deeprun Tram:_
use Rat Catcher's Flute##17117
|tip Use it on Deeprun Rats around this area.
|tip They look like small grey rats on the ground around this area.
|tip In the Ironforge section of the Deeprun Tram.
Capture #5# Rats |q 6661/1
step
_Inside Deeprun Tram:_
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
turnin Deeprun Rat Roundup##6661
step
_Inside Deeprun Tram:_
Watch the dialogue
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
accept Me Brother, Nipsy##6662
step
_Inside Deeprun Tram:_
Ride the Tram
|tip Ride the Deeprun Tram from Ironforge to Stormwind City.
talk Nipsy##13018
|tip On the middle platform, near the wall.
|tip In the Stormwind City section of the Deeprun Tram.
turnin Me Brother, Nipsy##6662
step
_Inside Deeprun Tram:_
Enter Stormwind City |complete zone("Stormwind City") |q 1338
|tip Walk into the swirling portal.
step
talk Furen Longbeard##5413
turnin Stormpike's Order##1338 |goto Stormwind City 58.09,16.53
step
Run through the doorway |goto Stormwind City 74.91,51.56 < 10 |only if walking
Enter the building |goto Stormwind City 77.97,48.19 < 10 |walk
talk Ilsa Corbin##5480
|tip Upstairs inside the building.
accept A Warrior's Training##1638 |goto Stormwind City 78.50,45.71 |or
'|complete completedq(1679) |or
|only if (Dwarf or Gnome) and Warrior
step
Leave the Command Center |goto 74.89,51.59 < 10 |walk |only if subzone("Command Center")
Enter the building |goto 71.66,39.89 < 10 |walk
talk Harry Burlguard##6089
|tip Inside the building.
turnin A Warrior's Training##1638 |goto 74.25,37.26
accept Bartleby the Drunk##1639 |goto 74.25,37.26 |or
'|complete completedq(1678) |or
|only if (Dwarf or Gnome) and Warrior
step
talk Bartleby##6090
|tip He walks around this area inside the building.
turnin Bartleby the Drunk##1639 |goto 73.83,37.17
accept Beat Bartleby##1640 |goto 73.83,37.17 |or
'|complete completedq(1678) |or
|tip He will attack you immediately after you accept this quest.
|only if (Dwarf or Gnome) and Warrior
step
kill Bartleby##6090
|tip He walks around this area inside the building.
|tip He will eventually surrender.
Beat Bartleby |q 1640/1 |goto 73.83,37.17 |or
'|complete completedq(1678) |or
|only if (Dwarf or Gnome) and Warrior
step
talk Bartleby##6090
|tip He walks around this area inside the building.
turnin Beat Bartleby##1640 |goto 73.83,37.17
accept Bartleby's Mug##1665 |goto 73.83,37.17 |or
'|complete completedq(1678) |or
|only if (Dwarf or Gnome) and Warrior
step
talk Harry Burlguard##6089
|tip Inside the building.
turnin Bartleby's Mug##1665 |goto 74.25,37.26 |or
'|complete completedq(1678) |or
|only if (Dwarf or Gnome) and Warrior
step
Enter the building |goto Stormwind City 56.66,57.71 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to equip two-handed swords and staves.
Train Two-Handed Swords |complete weaponskill("TH_SWORD") > 0 |goto Stormwind City 57.13,57.71
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto Stormwind City 57.13,57.71
|only if Warrior
step
Enter the building |goto Stormwind City 56.66,57.71 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to equip two-handed swords.
Train Two-Handed Swords |complete weaponskill("TH_SWORD") > 0 |goto Stormwind City 57.13,57.71
|only if Paladin
step
Enter the building |goto Stormwind City 56.66,57.71 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to equip one-handed swords.
Train One-Handed Swords |complete weaponskill("SWORD") > 0 |goto Stormwind City 57.13,57.71
|only if Rogue
step
talk Gunther Weller##1289
|tip Inside the building.
buy Cutlass##851 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gunther Weller##1289 |goto 57.55,57.07 |q 3524 |future
|only if Rogue and itemcount(851) ==0
step
Enter the building |goto Stormwind City 43.04,34.49 < 10 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin Desperate Prayer##5635 |goto Stormwind City 38.58,26.01
|only if Dwarf Priest
step
Enter the building |goto Stormwind City 56.66,57.70 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to use staves.
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto Stormwind City 57.13,57.71
|only if Dwarf Priest
step
Enter the building |goto Stormwind City 56.66,57.70 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to use one-handed swords.
Train One-Handed Swords |complete weaponskill("SWORD") > 0 |goto Stormwind City 57.13,57.71
|only if Mage
step
Enter the building |goto Stormwind City 56.66,57.70 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to use staves and one-handed swords.
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto Stormwind City 57.13,57.71
Train One-Handed Swords |complete weaponskill("SWORD") > 0 |goto Stormwind City 57.13,57.71
|only if Warlock
step
Enter the building |goto Stormwind City 42.67,67.00 < 10 |walk
talk Ardwyn Cailen##1312
|tip Inside the building.
buy Smoldering Wand##5208 |n
|tip If you can afford it.
|tip You can't use it until level 15, but it will be a nice upgrade immediately once you reach level 15 soon.
Visit the Vendor |vendor Ardwyn Cailen##1312 |goto Stormwind City 42.84,65.17 |q 1338
|only if Warlock and itemcount(5208) == 0
step
Enter the building |goto 29.15,74.18 < 10 |walk
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
|tip If you can afford them.
buy Grimoire of Consume Shadows (Rank 1)##16357 |goto 25.66,77.66  |or
'|learnpetspell Consume Shadows##17767 |or
|tip If you can't afford it, skip this step and make sure to buy it later.
|tip By the time you're able to use these, you'll be far away from a vendor that sells it, so we are buying it now.
|only if Warlock
step
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
|tip If you can afford them.
buy Grimoire of Sacrifice (Rank 1)##16351 |goto 25.66,77.66  |or
'|learnpetspell Sacrifice##7812 |or
|tip If you can't afford it, skip this step and make sure to buy it later.
|tip By the time you're able to use these, you'll be far away from a vendor that sells it, so we are buying it now.
|only if Warlock
step
Leave the building |goto 29.15,74.14 < 10 |c |q 1338
|only if Warlock and subzone("The Slaughtered Lamb")
step
Run up the ramp |goto Stormwind City 62.39,62.31 < 15 |only if walking
talk Dungar Longdrink##352
|tip Inside the building.
fpath Stormwind |goto Stormwind City 66.27,62.14
step
Enter the water in Westfall and swim north along the coast to Menethil Harbor in the Wetlands |goto Westfall 54.32,9.30 < 50 |c |q 963 |future
|only if hardcore
step
Swim along the coast to Menethil Harbor in the Wetlands |goto Wetlands 9.37,61.86 < 40 |c |q 963 |future |notravel
|tip This is a long swim (30+ minutes), but it is very safe with no enemies along the way.
|tip There is virtually no risk of dying, unlike other methods.
|tip As you swim north, stay close enough to the cliffs to avoid getting too fatigued.
|tip Once you reach Baradin Bay, near Menethil Harbor, swim through the middle of the bay in the parts that don't make you fatigued.
|only if hardcore
step
talk Shellei Brondir##1571
fpath Menethil Harbor |goto 9.49,59.69
|only if hardcore
step
talk Vesprystus##3838
fpath Rut'theran Village |goto Teldrassil 58.40,94.02
|only if Hunter
step
talk Ilyenia Moonfire##11866
|tip This will allow you to use bows.
Train Bows |complete weaponskill("BOW") > 0 |goto Darnassus 57.56,46.73
|only if Hunter
step
talk Ariyell Skyshadow##4203
buy Laminated Recurve Bow##2507 |n
|tip If you can afford it.
|tip If you have better, skip this step.
|tip Also buy a Small Quiver or Medium Quiver, whichever you can afford.
Visit the Vendor |vendor Ariyell Skyshadow##4203 |goto 58.76,44.50 |q 3524 |future
|only if Hunter and itemcount(2507) == 0
step
talk Ilyenia Moonfire##11866
|tip This will allow you to use staves.
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto 57.56,46.73
|only if Hunter
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Night Elf Starter (1-13)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Teldrassil",
condition_suggested=function() return raceclass('NightElf') and level <= 13 end,
condition_suggested_race=function() return raceclass('NightElf') end,
condition_suggested_exclusive=true,
next="Leveling Guides\\Darkshore (13-17)",
hardcore = true,
},[[
step
_NOTE:_
Save All Linen Cloth You Find
|tip As you quest in Teldrassil, save all Linen Cloth you find.
|tip Be careful not to accidentally sell them to a vendor.
|tip You will need ~70 Linen Cloth when you are level 10-11.
|tip You will use them to create your wand, which will be a powerful weapon for you.
|tip However, if you are confident you will be able to buy a wand from the Auction House (if this isn't a new or populated server), you can ignore this. |only if not selfmade
Click Here to Continue |confirm |q 456 |future
|only if Priest
step
_NOTE:_
Save Cloth in Your Bank as You Level
|tip Once you are close to reaching level 60, you will need 240 of each of these types of cloth:
|tip Wool Cloth
|tip Silk Cloth
|tip Mageweave Cloth
|tip Runecloth
|tip
|tip As you level and collect these cloth naturally from killing enemies while following the guide, make sure you deposit the cloth into a bank whenever you are near one.
|tip This will give you about 40,000 quick and easy xp to help you get to level 60 faster in the longer later levels.
Click Here to Continue |confirm
|only if level < 60
step
_Destroy This Item:_
|tip You won't use it in the Shadowglen starter area.
|tip You will get another one before you need to use it.
trash Hearthstone##6948
step
talk Conservator Ilthalaine##2079
accept The Balance of Nature##456 |goto Teldrassil 58.69,44.27
stickystart "Kill_Young_Thistle_Boars"
step
kill 7 Young Nightsaber##2031 |q 456/1 |goto 61.93,42.02
step
label "Kill_Young_Thistle_Boars"
kill 4 Young Thistle Boar##1984 |q 456/2 |goto 61.93,42.02
step
talk Dirania Silvershine##8583
|tip You must be level 2 for this quest to be available.
accept A Good Friend##4495 |goto 60.90,41.96
step
talk Melithar Staghelm##2077
accept The Woodland Protector##458 |goto 59.93,42.48
step
talk Conservator Ilthalaine##2079
turnin The Balance of Nature##456 |goto 58.70,44.27
accept The Balance of Nature##457 |goto 58.70,44.27
accept Simple Sigil##3116 |goto 58.70,44.27		|only if NightElf Warrior
accept Encrypted Sigil##3118 |goto 58.70,44.27		|only if NightElf Rogue
accept Hallowed Sigil##3119 |goto 58.70,44.27		|only if NightElf Priest
accept Etched Sigil##3117 |goto 58.70,44.27		|only if NightElf Hunter
accept Verdant Sigil##3120 |goto 58.70,44.27		|only if NightElf Druid
step
Run up the ramp inside the building |goto Teldrassil 59.19,40.00 < 15 |walk
talk Alyissia##3593
|tip Inside the building.
turnin Simple Sigil##3116 |goto Teldrassil 59.63,38.45
accept Amidst the Shadowed Webs##77575 |goto Teldrassil 59.64,38.44 |only if ZGV.IsClassicSoD
|only if NightElf Warrior
step
Run up the ramp inside the building |goto Teldrassil 59.19,40.00 < 10 |walk
talk Frahun Shadewhisper##3594
|tip Inside the building.
turnin Encrypted Sigil##3118 |goto Teldrassil 59.64,38.66
|only if NightElf Rogue
step
Run up the ramp |goto Teldrassil 59.97,41.90 < 10 |walk
talk Shanda##3595
|tip Upstairs inside the building.
turnin Hallowed Sigil##3119 |goto Teldrassil 59.17,40.44
accept Meditation on Elune##77574 |goto Teldrassil 59.17,40.44 |only if ZGV.IsClassicSoD
|only if NightElf Priest
step
Gain the Meditation on Elune Buff |complete hasbuff(419307) |goto 59.94,33.07 |q 77574
|tip Use the "/kneel" emote while standing in the moonwell.
|tip You will gain a buff that allows you to learn Priest runes.
|only if NightElf Priest and ZGV.IsClassicSoD
step
use the Memory of a Troubled Acolyte##205951
Learn Spell: Engrave Gloves - Penance |q 77574/1
|only if NightElf Priest and ZGV.IsClassicSoD
step
Run up the ramp |goto 59.97,41.90 < 10 |walk
talk Shanda##3595
|tip Upstairs inside the building.
turnin Meditation on Elune##77574 |goto 59.17,40.44
|only if NightElf Priest and ZGV.IsClassicSoD
step
Run up the large ramp |goto Teldrassil 57.53,41.63 < 15 |only if walking
Enter the building |goto Teldrassil 58.51,40.71 < 10 |walk
talk Ayanna Everstride##3596
|tip Up in the tall tree, inside the building.
turnin Etched Sigil##3117 |goto Teldrassil 58.65,40.45
accept A Hunter's Strength##77568 |goto Teldrassil 58.65,40.45 |only if ZGV.IsClassicSoD
|only if NightElf Hunter
step
Run up the large ramp |goto Teldrassil 57.53,41.63 < 15 |only if walking
Enter the building |goto Teldrassil 58.51,40.71 < 10 |walk
talk Mardant Strongoak##3597
|tip Up in the tall tree, inside the building.
turnin Verdant Sigil##3120 |goto Teldrassil 58.63,40.29
accept Relics of the Kaldorei##77571 |goto Teldrassil 58.63,40.29 |only if ZGV.IsClassicSoD
|only if NightElf Druid
step
talk Tarindrella##1992
turnin The Woodland Protector##458 |goto Teldrassil 57.83,45.20
accept The Woodland Protector##459 |goto Teldrassil 57.83,45.20
step
kill Grell##1988+
collect 8 Fel Moss##3297 |q 459/1 |goto 56.08,45.83
You can find more around [54.75,44.01]
step
Kill enemies around this area
ding 3 |goto 56.08,45.83
You can find more around [54.75,44.01]
stickystart "Kill_Mangy_Nightsabers"
stickystart "Kill_Thistle_Boars"
step
talk Gilshalan Windwalker##2082
accept Webwood Venom##916 |goto 57.81,41.65
step
label "Kill_Mangy_Nightsabers"
kill 7 Mangy Nightsaber##2032 |q 457/1 |goto 60.12,35.06
You can find more around [62.60,37.94]
step
label "Kill_Thistle_Boars"
kill 7 Thistle Boar##1985 |q 457/2 |goto 60.12,35.06
stickystart "Learn_Engrave_Gloves_Victory_Rush_Night_Elf_Warrior"
stickystart "Collect_Webwood_Venom_Sacs"
step
Follow the path |goto 55.45,32.85 < 20 |only if walking
talk Iverron##8584
turnin A Good Friend##4495 |goto 54.60,32.99
accept A Friend in Need##3519 |goto 54.60,32.99
step
label "Learn_Engrave_Gloves_Victory_Rush_Night_Elf_Warrior"
kill Webwood Spider##1986+
|tip They look like green spiders.
|tip Inside and outside the cave.
collect Rune of Victory Rush##204806 |n
use the Rune of Victory Rush##204806
Learn: Engrave Gloves - Victory Rush |q 77575/1 |goto Teldrassil 56.78,31.54
|only if NightElf Warrior and ZGV.IsClassicSoD
step
label "Collect_Webwood_Venom_Sacs"
kill Webwood Spider##1986+
|tip Inside and outside the cave.
|tip Watch for respawns while in the area. |only if hardcore
collect 10 Webwood Venom Sac##5166 |q 916/1 |goto Teldrassil 56.80,31.59
step
Allow Enemies to Kill You
|tip Inside and outside the cave.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 56.80,31.59 |q 916
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 58.72,42.34 |q 916 |zombiewalk
|only if not hardcore
step
talk Gilshalan Windwalker##2082
turnin Webwood Venom##916 |goto 57.81,41.65
accept Webwood Egg##917 |goto 57.81,41.65
step
talk Conservator Ilthalaine##2079
turnin The Balance of Nature##457 |goto 58.70,44.26
step
talk Tarindrella##1992
turnin The Woodland Protector##459 |goto 57.83,45.20
step
Run up the ramp inside the building |goto Teldrassil 59.19,40.00 < 15 |walk
talk Alyissia##3593
|tip Inside the building.
turnin Amidst the Shadowed Webs##77575 |goto Teldrassil 59.64,38.44
|only if NightElf Warrior and ZGV.IsClassicSoD
step
talk Dirania Silvershine##8583
turnin A Friend in Need##3519 |goto Teldrassil 60.90,41.96
accept Iverron's Antidote##3521 |goto Teldrassil 60.90,41.96
step
_NOTE:_
Learn the Moonfire Ability
|tip Make sure to learn the Moonfire ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm
|only if NightElf Druid and ZGV.IsClassicSoD
step
kill Grellkin##1989+
collect Lunar Idol##208414 |goto Teldrassil 54.33,39.11 |q 77571
|only if NightElf Druid and ZGV.IsClassicSoD
step
Equip the Lunar Idol |equipped Lunar Idol##208414 |q 77571
|only if NightElf Druid and ZGV.IsClassicSoD
step
Kill enemies around this area
|tip Make sure they die while affected by your "Moonfire" ability.
|tip You will gain a buff.
|tip Repeat this process until you have 6 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 55.67,42.46 |q 77571
|only if NightElf Druid and ZGV.IsClassicSoD
step
use the Lunar Idol##208414
Learn Engrave Chest - Fury of Stormrage |q 77571/1
|only if NightElf Druid and ZGV.IsClassicSoD
step
Run up the ramp |goto 57.52,41.62 < 10 |walk
talk Mardant Strongoak##3597
|tip Inside the top of the tree.
turnin Relics of the Kaldorei##77571 |goto 58.63,40.29
|only if NightElf Druid and ZGV.IsClassicSoD
step
click Hyacinth Mushroom##152094+
|tip They look like clusters of pink mushrooms on the ground around this area.
|tip They are usually at the base of trees.
collect 7 Hyacinth Mushroom##10639 |q 3521/1 |goto Teldrassil 61.07,43.43
You can find more around: |notinsticky
[Teldrassil 60.35,44.21]
[Teldrassil 60.52,46.66]
[Teldrassil 59.78,46.02]
[Teldrassil 59.50,45.80]
[Teldrassil 58.97,47.11]
[Teldrassil 54.45,43.18]
step
click Moonpetal Lily##152095+
|tip They look like tall flowers with orange petals on the ground around this area.
collect 4 Moonpetal Lily##10641 |q 3521/2 |goto 57.72,37.76
step
Kill enemies around this area
|tip You should already be close to reaching level 5.
ding 5 |goto 60.12,35.06
stickystart "Collect_Webwood_Ichor"
step
Enter the cave |goto 56.79,31.41 < 20 |walk
Follow the path down |goto 56.83,28.94 < 10 |walk
Follow the path up |goto 55.75,25.49 < 10 |walk
click Webwood Eggs##4406
|tip Upstairs inside the cave.
|tip Watch for respawns while in the area. |only if hardcore
collect Webwood Egg##5167 |q 917/1 |goto 56.80,26.43
step
kill Githyiss the Vile##1994
|tip It looks like a larger green spider.
|tip Upstairs inside the cave.
collect Rune of the Chimera##206168 |n
use the Rune of the Chimera##206168
Learn: Engrave Gloves - Chimera Shot |q 77568/1 |goto Teldrassil 56.65,26.31
|only if NightElf Hunter and ZGV.IsClassicSoD
step
label "Collect_Webwood_Ichor"
kill Webwood Spider##1986+
|tip Inside and outside the cave.
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
collect Webwood Ichor##10640 |q 3521/3 |goto Teldrassil 56.78,31.55
step
Allow Enemies to Kill You
|tip Inside and outside the cave.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 56.80,31.59 |q 3521
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 58.72,42.34 |q 3521 |zombiewalk
|only if not hardcore
step
Run up the large ramp |goto Teldrassil 57.53,41.63 < 15 |only if walking
Enter the building |goto Teldrassil 58.51,40.71 < 10 |walk
talk Ayanna Everstride##3596
|tip Up in the tall tree, inside the building.
turnin A Hunter's Strength##77568 |goto Teldrassil 58.65,40.45
|only if NightElf Hunter and ZGV.IsClassicSoD
step
talk Gilshalan Windwalker##2082
turnin Webwood Egg##917 |goto Teldrassil 57.81,41.65
accept Tenaron's Summons##920 |goto Teldrassil 57.81,41.65
step
Run up the ramp that wraps around the huge tree and enter the building |goto 59.29,39.09 < 10 |walk
talk Tenaron Stormgrip##3514
|tip At the very top of the tall tree, inside the building.
turnin Tenaron's Summons##920 |goto 59.07,39.45
accept Crown of the Earth##921 |goto 59.07,39.45
step
talk Dirania Silvershine##8583
turnin Iverron's Antidote##3521 |goto 60.90,41.96
accept Iverron's Antidote##3522 |goto 60.90,41.96
step
use the Crystal Phial##5185
collect Filled Crystal Phial##5184 |q 921/1 |goto 59.94,33.04
step
talk Iverron##8584
turnin Iverron's Antidote##3522 |goto 54.59,32.99
step
Kill enemies around this area
|tip Inside and outside the cave.
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
ding 6 |goto 56.81,31.66
step
Allow Enemies to Kill You
|tip Inside and outside the cave.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 56.80,31.59 |q 921
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 58.72,42.34 |q 921 |zombiewalk
|only if not hardcore
step
Run up the ramp that wraps around the huge tree |goto 57.54,41.62 < 15 |only if walking
Enter the building |goto 59.29,39.09 < 10 |walk
talk Tenaron Stormgrip##3514
|tip At the very top of the tall tree, inside the building.
turnin Crown of the Earth##921 |goto 59.07,39.45
accept Crown of the Earth##928 |goto 59.07,39.45
step
Run up the ramp |goto Teldrassil 59.96,41.88 < 10 |walk
talk Shanda##3595
|tip Upstairs inside the building.
accept In Favor of Elune##5622 |goto Teldrassil 59.17,40.44
|only if NightElf Priest
step
talk Porthannius##6780
accept Dolanaar Delivery##2159 |goto Teldrassil 61.16,47.64
step
talk Zenn Foulhoof##2150
accept Zenn's Bidding##488 |goto 60.45,56.15
stickystart "Collect_Strigid_Owl_Feathers"
stickystart "Collect_Nightsaber_Fangs"
stickystart "Collect_Webwood_Spider_Silk"
stickystart "Collect_Small_Spider_Legs"
step
talk Syral Bladeleaf##2083
accept Denalan's Earth##997 |goto 56.08,57.73
stickystop "Collect_Strigid_Owl_Feathers"
stickystop "Collect_Nightsaber_Fangs"
stickystop "Collect_Webwood_Spider_Silk"
stickystop "Collect_Small_Spider_Legs"
step
talk Athridas Bearmantle##2078
accept A Troubling Breeze##475 |goto 55.95,57.28
step
Enter the building |goto Teldrassil 55.75,57.23 < 10 |walk
talk Laurna Morninglight##3600
|tip Inside the building.
turnin In Favor of Elune##5622 |goto Teldrassil 55.56,56.75
accept Garments of the Moon##5621 |goto Teldrassil 55.56,56.75
|only if NightElf Priest
step
Enter the building |goto Teldrassil 55.75,57.23 < 10 |walk |only if not Priest
talk Tallonkai Swiftroot##3567
|tip At the top of the tower.
accept Twisted Hatred##932 |goto Teldrassil 55.57,56.95
accept The Emerald Dreamcatcher##2438 |goto Teldrassil 55.57,56.95
step
talk Shalomon##3609
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 2438
|only if Warrior and itemcount(2488) == 0
step
talk Jeena Featherbow##3610
|tip Inside the building.
buy Hornwood Recurve Bow##2506 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Jeena Featherbow##3610 |goto Teldrassil 55.89,59.20 |q 2438
|only if Hunter and itemcount(2506) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 2438
|only if Rogue and itemcount(2494) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Walking Stick##2495 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 2438
|only if Druid and itemcount(2495) == 0
step
talk Innkeeper Keldamyr##6736
|tip Upstairs inside the building.
turnin Dolanaar Delivery##2159 |goto Teldrassil 55.62,59.79
step
talk Corithras Moonrage##3515
turnin Crown of the Earth##928 |goto 56.14,61.71
accept Crown of the Earth##929 |goto 56.14,61.71
step
Heal and Fortify Sentinel Shaya |q 5621/1 |goto Teldrassil 57.24,63.51
|tip Target Sentinel Shaya.
|tip First, cast your "Lesser Heal (Rank 2)" spell on her.
|tip Second, cast your "Power Word: Fortitude" spell on her.
|only if NightElf Priest
step
Enter the building |goto Teldrassil 57.48,60.60 < 10 |walk
talk Malorne Bladeleaf##3604
|tip Inside the building.
Learn Apprentice Herbalism |skillmax Herbalism,75 |goto Teldrassil 57.72,60.64
|tip You need Herbalism, so you can gather 5 Earthroot as you quest in Teldrassil.
|tip You will need the Earthroot for a later class quest.
|tip Once you have the 5 Earthroot, you can abandon Herbalism, if you want to.
|only if Druid
stickystart "Collect_Earthroot_Druid"
step
talk Denalan##2080
|tip He walks around this area.
turnin Denalan's Earth##997 |goto Teldrassil 60.90,68.49
step
Watch the dialogue
talk Denalan##2080
|tip He walks around this area.
accept Timberling Seeds##918 |goto 60.80,68.54
accept Timberling Sprouts##919 |goto 60.80,68.54
stickystart "Collect_Timberling_Seeds"
step
click Timberling Sprout##4608+
|tip They look like green and brown vine balls on the ground around this area.
collect 12 Timberling Sprout##5169 |q 919/1 |goto 59.52,72.20
You can find more around [60.73,65.71]
step
label "Collect_Timberling_Seeds"
kill Timberling##2022+
collect 8 Timberling Seed##5168 |q 918/1 |goto 59.52,72.20
You can find more around [60.73,65.71]
step
talk Denalan##2080
|tip He walks around this area.
turnin Timberling Seeds##918 |goto 60.80,68.54
accept Rellian Greenspyre##922 |goto 60.80,68.54
turnin Timberling Sprouts##919 |goto 60.80,68.54
step
talk Shalomon##3609
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 922
|only if Warrior and itemcount(2488) == 0
step
talk Jeena Featherbow##3610
|tip Inside the building.
buy Hornwood Recurve Bow##2506 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Jeena Featherbow##3610 |goto Teldrassil 55.89,59.20 |q 922
|only if Hunter and itemcount(2506) ==0
step
talk Shalomon##3609
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 922
|only if Rogue and itemcount(2494) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Walking Stick##2495 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 922
|only if Druid and itemcount(2495) == 0
step
Enter the building |goto Teldrassil 55.75,57.23 < 10 |walk
talk Laurna Morninglight##3600
|tip Inside the building.
turnin Garments of the Moon##5621 |goto Teldrassil 55.56,56.75
|only if NightElf Priest
stickystart "Collect_Strigid_Owl_Feathers"
stickystart "Collect_Nightsaber_Fangs"
stickystart "Collect_Webwood_Spider_Silk"
stickystart "Collect_Small_Spider_Legs"
step
use the Jade Phial##5619
collect Filled Jade Phial##5639 |q 929/1 |goto Teldrassil 63.38,58.08
step
Enter the building |goto 66.23,58.37 < 20 |walk
talk Gaerolas Talvethren##2107
|tip Upstairs inside the building.
|tip Watch for patrols and respawns while in the area. |only if hardcore
turnin A Troubling Breeze##475 |goto 66.26,58.52
accept Gnarlpine Corruption##476 |goto 66.26,58.52
step
Enter the building |goto 67.82,59.46 < 10 |walk
click Tallonkai's Dresser##126158
|tip Inside the building.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect Emerald Dreamcatcher##8048 |q 2438/1 |goto 68.01,59.63
step
label "Collect_Strigid_Owl_Feathers"
kill Strigid Owl##1995
collect 3 Strigid Owl Feather##3411 |q 488/2 |goto 63.65,53.56
You can find more around: |notinsticky
[65.26,51.94]
[67.49,53.76]
stickystart "Collect_Webwood_Spider_Silk"
step
label "Collect_Nightsaber_Fangs"
kill Nightsaber##2042+
collect 3 Nightsaber Fang##3409 |q 488/1 |goto 62.05,60.06
You can find more around [59.77,62.02]
step
label "Collect_Webwood_Spider_Silk"
kill Webwood Lurker##1998+
collect 3 Webwood Spider Silk##3412 |q 488/3 |goto 60.36,58.07
You can find more around [61.11,54.53]
step
label "Collect_Small_Spider_Legs"
kill Webwood Lurker##1998+
|tip You are collecting these to be able to complete a future quest soon.
collect 7 Small Spider Leg##5465 |goto 60.36,58.07 |q 4161 |future
|tip Be careful not to accidentally sell these to a vendor.
You can find more around [61.11,54.53]
step
Kill enemies around this area
|tip Getting this far into level 7 will allow you to reach level 8 after turning in quests soon.
|tip You are about to return to town, so it will be a good time to learn your level 8 abilities.
ding 7,3600 |goto 60.36,58.07
You can find more around [61.11,54.53]
step
talk Zenn Foulhoof##2150
turnin Zenn's Bidding##488 |goto 60.45,56.15
step
talk Jeena Featherbow##3610
|tip Inside the building.
buy Hornwood Recurve Bow##2506 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Jeena Featherbow##3610 |goto Teldrassil 55.89,59.20 |q 2438
|only if Hunter and itemcount(2506) == 0
step
talk Syral Bladeleaf##2083
accept Seek Redemption!##489 |goto 56.08,57.73
step
talk Athridas Bearmantle##2078
turnin Gnarlpine Corruption##476 |goto 55.95,57.28
step
Enter the building |goto 55.75,57.23 < 10 |walk
talk Aldia##3608
|tip Upstairs inside the building, on the middle level.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Aldia##3608 |goto 55.51,57.15 |q 2438
step
talk Aldia##3608
|tip Upstairs inside the building, on the middle level.
buy Balanced Throwing Dagger##25872 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Aldia##3608 |goto Teldrassil 55.51,57.15 |q 2438
|only if Rogue
step
talk Tallonkai Swiftroot##3567
|tip At the top of the tower.
turnin The Emerald Dreamcatcher##2438 |goto Teldrassil 55.57,56.95
accept Ferocitas the Dream Eater##2459 |goto Teldrassil 55.57,56.95
step
talk Shalomon##3609
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 922
|only if Warrior and itemcount(2488) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 922
|only if Rogue and itemcount(2494) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Walking Stick##2495 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 922
|only if Druid and itemcount(2495) == 0
step
talk Corithras Moonrage##3515
turnin Crown of the Earth##929 |goto Teldrassil 56.14,61.71
accept Crown of the Earth##933 |goto Teldrassil 56.14,61.71
step
talk Zarrin##6286
|tip You need to have the Cooking profession learned in order to accept a quest soon.
Learn Cooking |skillmax Cooking,75 |goto 57.12,61.30 |q 4161 |future
step
talk Zarrin##6286
accept Recipe of the Kaldorei##4161 |goto 57.12,61.30
step
talk Zarrin##6286
turnin Recipe of the Kaldorei##4161 |goto 57.12,61.30
stickystart "Collect_Fel_Cones"
stickystart "Kill_Gnarlpine_Mystics"
step
kill Ferocitas the Dream Eater##7234
collect Gnarlpine Necklace##8049 |q 2459 |goto 69.37,53.40
step
use the Gnarlpine Necklace##8049
collect Tallonkai's Jewel##8050 |q 2459/2
step
label "Kill_Gnarlpine_Mystics"
kill 7 Gnarlpine Mystic##7235 |q 2459/1 |goto 68.96,52.95
|tip Enemies may share spawns around this area. |notinsticky
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
step
label "Collect_Fel_Cones"
click Fel Cone##1673+
|tip They look like small brown balls with green smoke rising out of them at the base of trees around this area.
collect 3 Fel Cone##3418 |q 489/1 |goto 66.72,53.54
You can usually find more around: |notinsticky
[64.78,50.81]
[61.62,53.44]
step
talk Zenn Foulhoof##2150
turnin Seek Redemption!##489 |goto 60.45,56.15
step
Follow the path |goto 56.36,54.20 < 20 |only if walking and not subzone("Fel Rock")
Enter the cave |goto 54.65,52.45 < 20 |walk |only if not subzone("Fel Rock")
Follow the path |goto 53.79,50.64 < 10 |walk
Continue following the path |goto 53.17,49.16 < 10 |walk
kill Lord Melenas##2038
|tip Inside the cave.
|tip He can spawn in multiple locations inside this cave.
|tip If he's not here, search around in the cave until you find him.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect Melenas' Head##5221 |q 932/1 |goto 52.81,50.20
step
Kill enemies around this area
|tip Inside the cave.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Getting this far into level 8 will allow you to reach level 9 after turning in quests soon.
ding 8,4000 |goto 53.69,51.17
step
Allow Enemies to Kill You
|tip Anywhere inside the cave.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 53.69,51.17 |q 932
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 56.20,63.26 |q 932 |zombiewalk
|only if not hardcore
step
talk Shalomon##3609
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 932
|only if Warrior and itemcount(2488) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 932
|only if Rogue and itemcount(2494) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Walking Stick##2495 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 932
|only if Druid and itemcount(2495) == 0
step
Enter the building |goto Teldrassil 55.76,57.24 < 10 |walk
talk Byancie##6094
|tip Inside the building.
Train Apprentice First Aid |skillmax First Aid,75 |goto Teldrassil 55.29,56.82
step
_NOTE:_
Create Bandages in Downtime
|tip While you wait for boats, it's a good time to make bandages and increase your First Aid skill.
|tip You'll need higher skill to make better bandages later, so make sure to level it up as you go.
|tip Keep bandages on hand for another way to heal yourself.
Click Here to Continue |confirm |q 932
step
talk Aldia##3608
|tip Upstairs inside the building, on the middle level.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Aldia##3608 |goto 55.51,57.15 |q 932
step
talk Tallonkai Swiftroot##3567
|tip At the top of the tower.
turnin Twisted Hatred##932 |goto 55.57,56.95
turnin Ferocitas the Dream Eater##2459 |goto 55.57,56.95
step
click Strange Fruited Plant##6751
accept The Glowing Fruit##930 |goto 42.63,76.10
step
use the Tourmaline Phial##5621
collect Filled Tourmaline Phial##5645 |q 933/1 |goto 42.42,67.07
step
Allow Enemies to Kill You
|tip Try to die around this area, or to the east of here, so that you end up in Dolanaar.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 46.87,71.67 |q 933
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 56.20,63.26 |q 933 |zombiewalk
|only if not hardcore
step
talk Corithras Moonrage##3515
turnin Crown of the Earth##933 |goto 56.14,61.71
accept Crown of the Earth##7383 |goto 56.14,61.71
step
talk Shalomon##3609
|tip Inside the building.
buy Gladius##2488 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 7383
|only if Warrior and itemcount(2488) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Stiletto##2494 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 7383
|only if Rogue and itemcount(2494) == 0
step
talk Shalomon##3609
|tip Inside the building.
buy Walking Stick##2495 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Shalomon##3609 |goto Teldrassil 56.31,59.49 |q 7383
|only if Druid and itemcount(2495) == 0
step
talk Innkeeper Keldamyr##6736
|tip Upstairs inside the building.
|tip This will create a Hearthstone for you.
home Dolanaar |goto Teldrassil 55.62,59.79
step
map Teldrassil
path follow strictbounce; loop off; ants straight; dist 40; markers none
path	55.81,58.31	55.50,58.45	54.54,58.48	53.98,58.19	53.59,57.61
path	53.00,57.34	52.68,56.74	52.34,56.44	51.91,56.39	51.60,56.47
path	51.30,56.67	51.00,56.58	50.55,56.09	50.43,55.56	50.50,54.54
path	50.44,54.20	50.20,53.86
talk Moon Priestess Amara##2151
|tip She walks in a large pattern along the road from Dolanaar to Darnassus.
accept The Road to Darnassus##487
step
kill 6 Gnarlpine Ambusher##2152 |q 487/1 |goto 46.22,53.46
|tip Watch for patrols and respawns while in the area. |only if hardcore
step
Leave Ban'ethil Hollow |goto 45.02,52.24 < 20 |only if walking and subzone("Ban'ethil Hollow")
talk Sentinel Arynia Cloudsbreak##3519
accept The Enchanted Glade##937 |goto 38.31,34.36
step
use the Amethyst Phial##18152
collect Filled Amethyst Phial##18151 |q 7383/1 |goto 38.43,34.04
stickystart "Collect_Bloodfeather_Belts"
step
click Strange Fronded Plant##6752
accept The Shimmering Frond##931 |goto 34.60,28.85
step
label "Collect_Bloodfeather_Belts"
Kill Bloodfeather enemies around this area
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect 6 Bloodfeather Belt##5204 |q 937/1 |goto 34.55,34.99
You can find more around [36.25,38.54]
step
Kill enemies around this area
|tip Getting this far into level 9 will allow you to reach level 10 after turning in quests soon.
|tip You will be returning to town soon, so it will be a good time to learn your level 10 abilities.
|tip Watch for patrols and respawns while in the area. |only if hardcore
ding 9,5300 |goto 34.55,34.99
You can find more around [36.25,38.54]
step
talk Mist##3568
|tip This is an escort quest.
|tip If she's not here, someone may be escorting her.
|tip Wait until she respawns.
|tip Clear nearby enemies or respawns while waiting. |only if hardcore
accept Mist##938 |goto 31.54,31.61 |noautoaccept
step
Lead Mist Safely to Sentinel Arynia Cloudsbreak |q 938/1 |goto 38.31,34.36
|tip Mist will follow you as you walk.
|tip Try to hurry, this quest is timed.
step
talk Sentinel Arynia Cloudsbreak##3519
turnin The Enchanted Glade##937 |goto 38.31,34.36
turnin Mist##938 |goto 38.31,34.36
accept Teldrassil##940 |goto 38.31,34.36
step
Allow Enemies to Kill You
|tip Try to die around this area, or to the east of here, so that you end up in Dolanaar.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 36.43,38.54 |q 940
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto Darnassus 77.67,25.92 |q 940 |zombiewalk
|only if not hardcore
step
talk Rellian Greenspyre##3517
turnin Rellian Greenspyre##922 |goto Darnassus 38.19,21.63
accept Tumors##923 |goto Darnassus 38.19,21.63
step
Enter the building |goto Darnassus 35.46,10.59 < 10 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building, on the middle floor.
accept Moonglade##5921 |goto Darnassus 35.37,8.40
|only if NightElf Druid
step
Enter the building |goto Darnassus 35.46,10.59 < 10 |walk |only if not Druid
talk Arch Druid Fandral Staghelm##3516
|tip He walks around inside the building, at the top.
turnin Teldrassil##940 |goto Darnassus 34.80,9.24
accept Grove of the Ancients##952 |goto Darnassus 34.80,9.24
step
talk Sister Aquinne##7316
accept The Temple of the Moon##2519 |goto 28.94,45.82
step
Cross the bridge |goto 38.59,48.02 < 20 |only if walking
Enter the building |goto 39.02,76.78 < 10 |walk
talk Priestess A'moora##7313
|tip Upstairs inside the building.
turnin The Temple of the Moon##2519 |goto 36.64,85.93
accept Tears of the Moon##2518 |goto 36.64,85.93
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Moonglade##5921 |goto Moonglade 56.21,30.64
accept Great Bear Spirit##5929 |goto Moonglade 56.21,30.64
|only if NightElf Druid
step
Follow the path |goto 42.47,34.44 < 40 |only if walking
talk Great Bear Spirit##11956
Ask it _"What do you represent, spirit?"_
Seek Out the Great Bear Spirit and Learn what it Has to Share with You About the Nature of the Bear |q 5929/1 |goto 39.11,27.51
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Great Bear Spirit##5929 |goto 56.21,30.64
accept Back to Darnassus##5931 |goto 56.21,30.64
|only if NightElf Druid
step
talk Kyra Windblade##3598
|tip Inside the building.
accept Elanaria##1684 |goto Teldrassil 56.22,59.20
|only if Warrior
step
_NOTE:_
You Have Access to Stronger Ammo
|tip Now that you're level 10, you can purchase stronger bullets or arrows.
|tip When you restock ammo at vendors, make sure to buy level 10 ammo.
Click Here to Continue |confirm |q 2518
|only if Hunter
step
talk Corithras Moonrage##3515
turnin Crown of the Earth##7383 |goto Teldrassil 56.14,61.71
accept Crown of the Earth##935 |goto Teldrassil 56.14,61.71
step
talk Denalan##2080
|tip He walks around this area.
turnin The Glowing Fruit##930 |goto 60.90,68.49
turnin The Shimmering Frond##931 |goto 60.90,68.49
step
Allow Enemies to Kill You
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 60.82,70.87 |q 935
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 56.20,63.26 |q 935 |zombiewalk
|only if not hardcore
step
talk Dazalar##3601
accept Taming the Beast##6063 |goto Teldrassil 56.68,59.49
|only if NightElf Hunter
step
use the Taming Rod##15921
|tip Use it on a Webwood Lurker around this area.
|tip They look like green spiders.
Tame a Webwood Lurker |q 6063/1 |goto 59.81,59.06
|tip Dismiss it after you tame it.
|tip It may attack you after you dismiss it.
|only if NightElf Hunter
step
talk Dazalar##3601
turnin Taming the Beast##6063 |goto 56.68,59.49
accept Taming the Beast##6101 |goto 56.68,59.49
|only if NightElf Hunter
step
use the Taming Rod##15922
|tip Use it on a Nightsaber Stalker around this area.
|tip They look like dark colored tigers.
Tame a Nightsaber Stalker |q 6101/1 |goto 55.95,71.98
|tip Dismiss it after you tame it.
|tip It may attack you after you dismiss it.
|only if NightElf Hunter
step
talk Dazalar##3601
turnin Taming the Beast##6101 |goto 56.68,59.49
accept Taming the Beast##6102 |goto 56.68,59.49
|only if NightElf Hunter
step
use the Taming Rod##15923
|tip Use it on a Strigid Screecher around this area.
|tip They look like grey birds.
Tame a Strigid Screecher |q 6102/1 |goto 43.99,51.16
|only if NightElf Hunter
step
talk Dazalar##3601
turnin Taming the Beast##6102 |goto 56.68,59.49
accept Training the Beast##6103 |goto 56.68,59.49
|only if NightElf Hunter
step
Enter the building |goto Teldrassil 55.76,57.24 < 10 |walk
talk Laurna Morninglight##3600
|tip Inside the building.
accept Returning Home##5629 |goto Teldrassil 55.57,56.75
|only if NightElf Priest
step
map Teldrassil
path follow strictbounce; loop off; ants straight; dist 40; markers none
path	55.81,58.31	55.50,58.45	54.54,58.48	53.98,58.19	53.59,57.61
path	53.00,57.34	52.68,56.74	52.34,56.44	51.91,56.39	51.60,56.47
path	51.30,56.67	51.00,56.58	50.55,56.09	50.43,55.56	50.50,54.54
path	50.44,54.20	50.20,53.86
talk Moon Priestess Amara##2151
|tip She walks in a large pattern along the road from Dolanaar to Darnassus.
turnin The Road to Darnassus##487
step
talk Jannok Breezesong##3599
|tip Inside the building.
accept The Apple Falls##2241 |goto Teldrassil 56.38,60.14
|only if Rogue
step
Allow Enemies to Kill You
|tip You must be close to this area.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto 42.77,52.55 |q 2241
|only if Rogue and not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto Darnassus 77.67,25.92 |q 2241 |zombiewalk
|only if Rogue and not hardcore
step
Enter the cave in the tree trunk |goto Darnassus 32.12,16.46 < 7 |walk
talk Syurna##4163
|tip Inside the cave.
turnin The Apple Falls##2241 |goto Darnassus 36.99,21.91
accept Destiny Calls##2242 |goto Darnassus 36.99,21.91
|only if Rogue
step
Run up the spiral path and leave the cave |complete not _G.IsIndoors() |goto 32.12,16.46 |q 2242
|only if Rogue and subzone("Cenarion Enclave")
step
_NOTE:_
Tame a Strigid Hunter
|tip Use your "Tame Beast" ability on a Strigid Hunter.
|tip They look like grey birds around this area.
|tip This will be your permanent pet for a while.
Click Here to Continue |confirm |goto Teldrassil 45.58,40.56 |q 6103
|only if NightElf Hunter
step
Kill Gnarlpine enemies around this area
|tip You are collecting these to make your wand soon.
collect 70 Linen Cloth##2589 |goto Teldrassil 46.05,53.38 |q 6342 |future
|tip Be careful not to accidentally sell these to a vendor.
|only if Priest
step
Kill Timberling enemies around this area
|tip They look like swamp elementals.
|tip Work your way north along the water as you kill them, the next step is far north.
collect 5 Mossy Tumor##5170 |q 923/1 |goto Teldrassil 42.78,40.96
You can find more around: |notinsticky
[42.70,33.19]
[43.42,28.26]
step
kill Lady Sathrah##7319
|tip She looks like a a grey spider that walks around this area.
|tip She can spawn in multiple locations.
collect Silvery Spinnerets##8344 |q 2518/1 |goto 48.08,25.10
She can also be around: |notinsticky
[47.05,27.71]
[40.82,25.18]
[38.57,26.51]
step
collect Sethir's Journal##7737 |q 2242/1 |goto Teldrassil 37.52,24.29
|tip Stealth and use your "Pickpocket" ability on Sethir the Ancient.
|tip He looks like a purple satyr that sometimes stands here, and walks out onto the huge tree branch nearby.
|tip Be careful to not attack him or be detected, he summons a group of enemies to help him fight.
|only if Rogue
step
label "Collect_Earthroot_Druid"
collect 5 Earthroot##2449 |q 6123 |future
|tip Use Herbalism to gather these as you quest in Teldrassil.
|tip Collect any herbs you come across, because you need Herbalism level 15 to be able to collect Earthroot.
|tip Earthroot nodes can be found in the areas of Teldrassil between Dolanaar and Darnassus, north and south of the road.
|tip Once you collect 5 Earthroot, you can abandon Herbalism, if you want to.
|tip Be careful not to accidentally sell these to a vendor.
|only if Druid
step
Allow Enemies to Kill You
|tip You must be close to this area.
|tip Since you are less than level 11, you will not receive resurrection sickness when you revive.
|tip This basically makes dying have no real penalty at this level.
|tip This will allow you to travel a long distance quickly.
Die on Purpose |complete isdead |goto Teldrassil 36.45,27.73 |q 2518
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto Darnassus 77.67,25.92 |q 2518 |zombiewalk
|only if not hardcore
step
talk Mydrannul##4241
accept Nessa Shadowsong##6344 |goto Darnassus 70.68,45.38
|only if NightElf
step
talk Mydrannul##4241
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Mydrannul##4241 |goto Darnassus 70.68,45.38 |q 6344
step
talk Elanaria##4088
turnin Elanaria##1684 |goto Darnassus 57.30,34.61
accept Vorlus Vilehoof##1683 |goto Darnassus 57.30,34.61
|only if Warrior
step
Run around the mountain and follow the path up |goto Teldrassil 48.68,62.73 < 15 |only if walking
kill Vorlus Vilehoof##6128
collect Horn of Vorlus##6805 |q 1683/1 |goto Teldrassil 47.25,63.60
|only if Warrior
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto Darnassus 77.67,25.92 |q 1683 |zombiewalk
|only if Warrior and not hardcore
step
talk Elanaria##4088
turnin Vorlus Vilehoof##1683 |goto Darnassus 57.30,34.61
|only if Warrior
step
talk Ilyenia Moonfire##11866
|tip This will allow you to use staves.
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto 57.56,46.73
|only if Warrior
step
talk Ariyell Skyshadow##4203
buy Quarter Staff##854 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Ariyell Skyshadow##4203 |goto 58.76,44.50 |q 6344
|only if Warrior and itemcount(854) == 0
step
talk Ilyenia Moonfire##11866
|tip This will allow you to use staves.
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto Darnassus 57.56,46.73
|only if Hunter
step
talk Ariyell Skyshadow##4203
buy Laminated Recurve Bow##2507 |n
|tip If you can afford it.
|tip You can't use it until level 11, but you'll be level 11 soon and it will be a nice instant upgrade.
|tip If you have better, skip this step.
Visit the Vendor |vendor Ariyell Skyshadow##4203 |goto 58.76,44.50 |q 6344
|only if Hunter and itemcount(2507) == 0
step
talk Ariyell Skyshadow##4203
buy Medium Quiver##11362 |n
|tip If you can afford it.
Visit the Vendor |vendor Ariyell Skyshadow##4203 |goto 58.76,44.50 |q 6344
|only if Hunter and itemcount(11362) == 0
step
Run up the ramp |goto Darnassus 62.61,68.78 < 10 |only if walking
talk Turian##4235
|tip Upstairs inside the building.
buy Keen Throwing Knife##3107 |n
|tip If you can afford it.
|tip If you have better, skip this step.
|tip You will equip it after you reach level 11 soon.
Visit the Vendor |vendor Turian##4235 |goto Darnassus 62.67,65.59 |q 923
|only if Rogue
step
talk Ilyenia Moonfire##11866
|tip This will allow you to use staves.
Train Staves |complete weaponskill("TH_STAFF") > 0 |goto Darnassus 57.56,46.73
|only if Priest
step
_Note:_
Do You Need to Create a Wand?
|tip If you already have a wand, you can skip the next bunch of steps.
|tip Click the line below to select what you want to do.
Yes, Create a Wand		|confirm	|next "Create_Wand_Priest"	|or	|q 923
No, I Already Have a Wand	|confirm	|next "Skip_Wand_Priest"	|or	|q 923
|only if Priest
step
label "Create_Wand_Priest"
collect 70 Linen Cloth##2589 |q 923
|tip You are about to create your wand.
|tip If you need more Linen Cloth, try to buy some from the Auction House. |only if not selfmade
|only if Priest
step
Run up the ramp |goto 61.25,23.27 < 10 |only if walking
talk Trianna##11050
|tip Inside the building.
Learn Tailoring |skillmax Tailoring,75 |goto 63.55,21.21 |q 923
|only if Priest
step
Open the Tailoring Profession Window
|tip The Tailoring skill is in the General tab of your spellbook.
|tip Create 35 Bolts of Linen Cloth.
collect 35 Bolt of Linen Cloth##2996 |q 923
|only if Priest
step
talk Elynna##4168
|tip Inside the building.
buy 10 Coarse Thread##2320 |goto 64.58,21.58 |q 923
|only if Priest
step
talk Trianna##11050
|tip Inside the building.
learn Brown Linen Robe##7623 |goto 63.55,21.21 |q 923
|only if Priest
step
Open the Tailoring Profession Window
|tip The Tailoring skill is in the General tab of your spellbook.
|tip Create 10 Brown Linen Robes.
|tip You are about to learn Enchanting and disenchant these.
collect 10 Brown Linen Robe##6238 |q 923
|only if Priest
step
Run up the ramp |goto 61.06,10.72 < 10 |only if walking
talk Lalina Summermoon##11070
|tip Inside the building.
Learn Enchanting |skillmax Enchanting,75 |goto 58.79,12.74 |q 923
|only if Priest
step
Disenchant the Brown Linen Robes
|tip Use the "Disenchant" ability in the General tab of your spellbook.
|tip If you don't get one of these items from disenchanting, talk to Thaddeus Webb here and try to buy it.
|tip They are limited supply items, so it may not be available to buy.
|tip You can also try to buy it from the Auction House. |only if not selfmade
collect Strange Dust##10940 |goto 58.57,14.72 |q 923
collect 2 Lesser Magic Essence##10938 |goto 58.57,14.72 |q 923
|only if Priest
step
talk Vaean##4228
|tip Inside the building.
buy Copper Rod##6217 |goto 58.57,14.72 |q 923
buy Simple Wood##4470 |goto 58.57,14.72 |q 923
|only if Priest
step
Open the Enchanting Profession Window
|tip The Enchanting skill is in the General tab of your spellbook.
|tip Create 1 Runed Copper Rod.
collect Runed Copper Rod##6218 |q 923
|only if Priest
step
talk Lalina Summermoon##11070
|tip Inside the building.
|tip This should be available with 10 Enchanting.
learn Lesser Magic Wand##14293 |goto 58.79,12.74 |q 923
|only if Priest
step
Open the Enchanting Profession Window
|tip The Enchanting skill is in the General tab of your spellbook.
|tip Create 1 Lesser Magic Wand.
collect Lesser Magic Wand##11287 |q 923
|only if Priest
step
label "Skip_Wand_Priest"
talk Rellian Greenspyre##3517
turnin Tumors##923 |goto Darnassus 38.19,21.64
step
Enter the cave in the tree trunk |goto Darnassus 32.12,16.46 < 7 |walk
talk Syurna##4163
|tip Inside the cave.
turnin Destiny Calls##2242 |goto Darnassus 36.99,21.91
|only if Rogue
step
Run up the spiral path and leave the cave |complete not _G.IsIndoors() |goto 32.12,16.46 |q 935
|only if Rogue and subzone("Cenarion Enclave")
step
Run up the ramp |goto Darnassus 39.62,16.40 < 10 |only if walking
talk Jocaste##4146
|tip Inside the building.
turnin Training the Beast##6103 |goto Darnassus 40.38,8.55
|only if NightElf Hunter
step
_NOTE:_
You Can Now Train Your Pet
|tip Learn pet abilities from Pet Trainers.
|tip Use your "Beast Training" ability to teach your pet abilities.
Click Here to Continue |confirm |q 6344
|only if NightElf Hunter
step
Enter the building |goto Darnassus 35.46,10.59 < 10 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
turnin Back to Darnassus##5931 |goto Darnassus 35.38,8.41
accept Body and Heart##6001 |goto Darnassus 35.38,8.41
|only if NightElf Druid
step
Enter the building |goto Darnassus 35.46,10.59 < 10 |walk |only if not Druid
talk Arch Druid Fandral Staghelm##3516
|tip He walks around inside the building, at the top.
turnin Crown of the Earth##935 |goto Darnassus 34.80,9.24
step
Cross the bridge |goto 38.59,48.02 < 20 |only if walking
Enter the building |goto 39.02,76.78 < 10 |walk
talk Priestess A'moora##7313
|tip Upstairs inside the building.
turnin Tears of the Moon##2518 |goto 36.64,85.93
accept Sathrah's Sacrifice##2520 |goto 36.64,85.93
step
talk Priestess Alathea##11401
|tip Upstairs inside the building.
turnin Returning Home##5629 |goto Darnassus 39.53,81.18
accept Stars of Elune##5627 |goto Darnassus 39.53,81.18 |instant
|only if NightElf Priest
step
use Sathrah's Sacrifice##8155
|tip Inside the building.
Offer the Sacrifice at the Fountain |q 2520/1 |goto Darnassus 39.21,84.57
step
talk Priestess A'moora##7313
|tip Upstairs inside the building.
turnin Sathrah's Sacrifice##2520 |goto 36.64,85.93
step
map Darnassus
path	62.6,56.0	68.6,57.8	66.8,64.6	64.2,70.6	60.2,66.8
path	61.8,60.2
talk Jaeana ##4169
|tip Walking around this area.
buy Tough Jerky##117 |n
|tip Buy 20-40, whatever you have money and bag space for.
|tip This will be used to feed your permanent pet and keep it Happy, so it deals more damage and gains Loyalty faster.
|tip By keeping your pet Happy and ranking up its Loyalty, it won't run away and abandon you, and will need food less often to stay Happy.
Visit the Vendor |vendor Jaeana ##4169 |q 433 |future
|only if Hunter
step
talk Nessa Shadowsong##10118
turnin Nessa Shadowsong##6344 |goto Teldrassil 56.25,92.43
accept The Bounty of Teldrassil##6341 |goto Teldrassil 56.25,92.43
|only if NightElf
step
talk Vesprystus##3838
turnin The Bounty of Teldrassil##6341 |goto 58.40,94.01
accept Flight to Auberdine##6342 |goto 58.40,94.01
|only if NightElf
step
talk Laird##4200
|tip Inside the building.
turnin Flight to Auberdine##6342 |goto Darkshore/0 36.77,44.29
|only if NightElf
step
talk Shellei Brondir##1571
fpath Menethil Harbor |goto Wetlands 9.49,59.69
step
_NOTE:_
During the Next Step
|tip You MUST swim to the EXACT location of the next step before logging out.
|tip DO NOT use the stuck service if your character is not in the exact location of the next step.
Click Here to Continue |confirm |q 433 |future
step
_NOTE:_
Swim to this EXACT Location |goto 3.31,75.90 |notravel
|tip You must be in this EXACT location before proceeding.
Prepare to Use the Support Stuck Service
|tip Click the line below and copy the provided link.
Click Here to Show the Link |popuptext https:\\us.battle.net/support/en/help/product/wow/586/834/solution##Battle.net Support Link
|tip You will be using the character stuck service to teleport to Ironforge.
|tip Paste the link into your web browser.
|tip Once you reach the page where you need to select your character, logout of the character in the game.
|tip After logging out, select your character, and confirm you wish to move them.
|tip You'll get a message stating "Move Complete!" once the move is finished.
|tip After that, login to your character again, and you will be just outside of Ironforge.
Reach the Gates of Ironforge |goto Dun Morogh 53.03,35.71 < 30 |noway |c |q 433 |future
step
talk Gryth Thurden##1573
fpath Ironforge |goto Ironforge 55.50,47.75
step
Run up the stairs and enter the building |goto Ironforge 61.32,88.18 < 7 |walk
talk Buliwyf Stonehand##11865
|tip Inside the building.
|tip This will allow you to equip two-handed axes and two-handed maces.
Train Two-Handed Axes |complete weaponskill("TH_AXE") > 0 |goto Ironforge 61.17,89.52
Train Two-Handed Maces |complete weaponskill("TH_MACE") > 0 |goto Ironforge 61.17,89.52
|only if Warrior
step
talk Senator Mehr Stonehallow##1977
accept The Public Servant##433 |goto Dun Morogh 68.67,55.97
step
talk Foreman Stonebrow##1254
accept Those Blasted Troggs!##432 |goto 69.08,56.33
stickystart "Kill_Rockjaw_Skullthumpers"
step
Enter the cave |goto 70.70,56.49 < 20 |walk
kill 10 Rockjaw Bonesnapper##1117 |q 433/1 |goto 70.98,54.77
|tip Inside the cave.
|tip Watch for patrols and respawns while in the area. |only if hardcore
step
label "Kill_Rockjaw_Skullthumpers"
kill 6 Rockjaw Skullthumper##1115 |q 432/1 |goto 70.70,56.49
|tip Inside and outside the cave. |notinsticky
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
step
Leave the cave |goto 70.70,56.49 < 20 |walk |only if subzone("Gol'Bolar Quarry Mine")
Follow the path up |goto 67.86,57.69 < 20 |only if walking
talk Senator Mehr Stonehallow##1977
turnin The Public Servant##433 |goto 68.67,55.97
step
talk Foreman Stonebrow##1254
turnin Those Blasted Troggs!##432 |goto 69.08,56.33
step
Follow the road |goto Dun Morogh 67.68,52.75 < 40 |only if walking and subzone("Gol'Bolar Quarry")
Follow the road and run through the tunnel |goto Dun Morogh 81.21,42.70 < 10 |only if walking and not subzone("North Gate Outpost")
talk Pilot Hammerfoot##1960
accept The Lost Pilot##419 |goto Dun Morogh 83.89,39.19
step
click A Dwarven Corpse##2059
turnin The Lost Pilot##419 |goto 79.67,36.17
accept A Pilot's Revenge##417 |goto 79.67,36.17
step
kill Mangeclaw##1961
|tip He walks around this area.
collect Mangy Claw##3183 |q 417/1 |goto 78.31,37.76
step
talk Pilot Hammerfoot##1960
turnin A Pilot's Revenge##417 |goto 83.89,39.19
step
Run through the tunnel |goto 84.42,31.02 < 10 |only if walking and not zone("Loch Modan")
Enter the building |goto Loch Modan 23.53,17.89 < 10 |walk
talk Mountaineer Stormpike##1343
|tip Upstairs inside the building.
accept Filthy Paws##307 |goto Loch Modan 24.76,18.40
stickystart "Collect_Boar_Intestines"
stickystart "Collect_Spider_Ichors"
stickystart "Collect_Bear_Meat"
step
_NOTE:_
Tame a Forest Lurker
|tip Abandon your current pet.
|tip This pet doesn't eat fish.
|tip Feed it extra meat that you find during the next few steps.
|tip Use your "Tame Beast" ability on a Forest Lurker.
|tip They look like brown spiders around this area.
|tip This will be your permanent pet for a little while.
Click Here to Continue |confirm |goto Loch Modan 35.69,31.78 |q 307
You can find more around: |notinsticky
[Loch Modan 29.17,23.57]
[Loch Modan 29.43,48.28]
|only if NightElf Hunter
step
label "Collect_Boar_Intestines"
kill Mountain Boar##1190+
|tip Kill the other types of enemies around this area for extra xp. |notinsticky
collect 3 Boar Intestines##3172 |goto Loch Modan 36.99,34.36 |q 418 |future
You can find more around [Loch Modan 29.17,23.57]
step
label "Collect_Spider_Ichors"
kill Forest Lurker##1195+
|tip Kill the other types of enemies around this area for extra xp. |notinsticky
collect 3 Spider Ichor##3174 |goto 35.69,31.78 |q 418 |future
You can find more around: |notinsticky
[29.17,23.57]
[29.43,48.28]
step
label "Collect_Bear_Meat"
kill Elder Black Bear##1186+
|tip Kill the other types of enemies around this area for extra xp. |notinsticky
collect 3 Bear Meat##3173 |goto 35.68,32.10 |q 418 |future
You can find more around: |notinsticky
[30.73,25.86]
[28.66,11.57]
[24.03,25.79]
[27.45,28.54]
[28.09,40.94]
step
Enter the building |goto 35.23,47.75 < 7 |walk
talk Vidra Hearthstove##1963
|tip Inside the building.
accept Thelsamar Blood Sausages##418 |goto 34.83,49.28
step
talk Vidra Hearthstove##1963
|tip Inside the building.
turnin Thelsamar Blood Sausages##418 |goto 34.83,49.28
step
talk Yanni Stoutheart##1682
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Yanni Stoutheart##1682 |goto 34.76,48.62 |q 416 |future
step
map Loch Modan
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	32.67,49.72	33.27,49.16	33.86,48.37	34.30,47.64	34.91,47.05
path	35.56,46.76	36.09,46.37	37.11,46.01	37.32,45.60	37.37,44.45
path	37.29,43.33	36.73,41.98
talk Mountaineer Kadrell##1340
|tip He walks around this area.
accept Rat Catching##416
accept Mountaineer Stormpike's Task##1339
|tip This won't be available if you've picked up Stormpike's Order.
stickystart "Collect_Tunnel_Rat_Ears"
step
click Miners' League Crates##271+
|tip They look like piles of brown boxes on the ground around this area inside the mine.
|tip This mine can be dangerous, so try to stay near the entrance and wait for boxes to respawn, if you can, so you can leave quickly when you're finished.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Tunnel Rat Geomancers are casters that deal heavy damage. |only if hardcore
collect 4 Miners' Gear##2640 |q 307/1 |goto 35.48,18.85
step
label "Collect_Tunnel_Rat_Ears"
Leave the mine |goto 35.48,18.85 < 10 |walk |only if subzone("Silver Stream Mine") and _G.IsIndoors()
Kill Tunnel Rat enemies around this area
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect 12 Tunnel Rat Ear##3110 |q 416/1 |goto 24.57,29.79
You can find more around [26.08,43.64]
step
Enter the building |goto 23.53,17.89 < 10 |walk
talk Mountaineer Stormpike##1343
|tip Upstairs inside the building.
turnin Filthy Paws##307 |goto 24.76,18.40
turnin Mountaineer Stormpike's Task##1339 |goto 24.76,18.40
accept Stormpike's Order##1338 |goto 24.76,18.40
step
Enter the building |goto Loch Modan 35.23,47.74 < 10 |walk
talk Innkeeper Hearthstove##6734
|tip Inside the building.
home Stoutlager Inn |goto Loch Modan 35.53,48.40
step
talk Yanni Stoutheart##1682
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Yanni Stoutheart##1682 |goto Loch Modan 34.76,48.62 |q 1338
step
map Loch Modan
path follow strictbounce; loop off; ants straight; dist 20; markers none
path	32.67,49.72	33.27,49.16	33.86,48.37	34.30,47.64	34.91,47.05
path	35.56,46.76	36.09,46.37	37.11,46.01	37.32,45.60	37.37,44.45
path	37.29,43.33	36.73,41.98
talk Mountaineer Kadrell##1340
|tip He walks around this area.
turnin Rat Catching##416
step
talk Thorgrum Borrelson##1572
fpath Thelsamar |goto 33.94,50.95
step
talk Mountaineer Cobbleflint##1089
accept In Defense of the King's Lands##224 |goto 22.07,73.12
step
Enter the building |goto 23.71,75.47 < 10 |walk
talk Captain Rugelfuss##1092
|tip Upstairs inside the building.
accept The Trogg Threat##267 |goto 23.23,73.67
stickystart "Kill_Stonesplinter_Troggs"
stickystart "Kill_Stonesplinter_Scouts"
step
Follow the road to the path here |goto 29.32,66.73 < 40 |only if walking and not subzone("Stonesplinter Valley")
Kill Stonesplinter enemies around this area
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore
collect 8 Trogg Stone Tooth##2536 |q 267/1 |goto 32.51,73.25
step
label "Kill_Stonesplinter_Troggs"
kill 10 Stonesplinter Trogg##1161 |q 224/1 |goto 32.51,73.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
step
label "Kill_Stonesplinter_Scouts"
kill 10 Stonesplinter Scout##1162 |q 224/2 |goto 32.51,73.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies tend to bunch together, so be prepared for adds. |only if hardcore |notinsticky
step
Leave Stonesplinter Valley and follow the road |goto 30.57,69.69 < 20 |only if walking and subzone("Stonesplinter Valley")
talk Mountaineer Cobbleflint##1089
turnin In Defense of the King's Lands##224 |goto 22.07,73.13
step
Enter the building |goto 23.71,75.45 < 7 |walk
talk Captain Rugelfuss##1092
|tip Upstairs inside the building.
turnin The Trogg Threat##267 |goto 23.23,73.67
step
talk Yanni Stoutheart##1682
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Yanni Stoutheart##1682 |goto Loch Modan 34.76,48.62 |q 1338
step
Run up the stairs and enter the building |goto Ironforge 61.32,88.18 < 7 |walk
talk Bixi Wobblebonk##13084
|tip Inside the building.
|tip This will allow you to equip thrown weapons.
Train Thrown |complete weaponskill("THROWN") > 0 |goto Ironforge 62.23,89.62
|only if Warrior
step
Follow the path |goto Ironforge 72.82,50.18 < 20 |walk
Enter the Deeprun Tram |complete subzone("Deeprun Tram") |goto Ironforge 76.97,51.25 |c |q 6662 |future
|tip Walk into the swirling portal.
step
_Inside Deeprun Tram:_
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
accept Deeprun Rat Roundup##6661
step
_Inside Deeprun Tram:_
use Rat Catcher's Flute##17117
|tip Use it on Deeprun Rats around this area.
|tip They look like small grey rats on the ground around this area.
|tip In the Ironforge section of the Deeprun Tram.
Capture #5# Rats |q 6661/1
step
_Inside Deeprun Tram:_
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
turnin Deeprun Rat Roundup##6661
step
_Inside Deeprun Tram:_
Watch the dialogue
talk Monty##12997
|tip On the middle platform, near the wall.
|tip In the Ironforge section of the Deeprun Tram.
accept Me Brother, Nipsy##6662
step
_Inside Deeprun Tram:_
Ride the Tram
|tip Ride the Deeprun Tram from Ironforge to Stormwind City.
talk Nipsy##13018
|tip On the middle platform, near the wall.
|tip In the Stormwind City section of the Deeprun Tram.
turnin Me Brother, Nipsy##6662
step
_Inside Deeprun Tram:_
Enter Stormwind City |complete zone("Stormwind City") |q 1338
|tip Walk into the swirling portal.
step
talk Furen Longbeard##5413
turnin Stormpike's Order##1338 |goto Stormwind City 58.09,16.53
step
Run through the doorway |goto Stormwind City 74.91,51.56 < 10 |only if walking
Enter the building |goto Stormwind City 77.97,48.19 < 10 |walk
talk Ilsa Corbin##5480
|tip Upstairs inside the building.
accept A Warrior's Training##1638 |goto Stormwind City 78.50,45.71
|only if NightElf Warrior
step
Leave the Command Center |goto 74.89,51.59 < 10 |walk |only if subzone("Command Center")
Enter the building |goto 71.66,39.89 < 10 |walk
talk Harry Burlguard##6089
|tip Inside the building.
turnin A Warrior's Training##1638 |goto 74.25,37.26
accept Bartleby the Drunk##1639 |goto 74.25,37.26
|only if NightElf Warrior
step
talk Bartleby##6090
|tip He walks around this area inside the building.
turnin Bartleby the Drunk##1639 |goto 73.83,37.17
accept Beat Bartleby##1640 |goto 73.83,37.17
|tip He will attack you immediately after you accept this quest.
|only if NightElf Warrior
step
kill Bartleby##6090
|tip He walks around this area inside the building.
|tip He will eventually surrender.
Beat Bartleby |q 1640/1 |goto 73.83,37.17
|only if NightElf Warrior
step
talk Bartleby##6090
|tip He walks around this area inside the building.
turnin Beat Bartleby##1640 |goto 73.83,37.17
accept Bartleby's Mug##1665 |goto 73.83,37.17
|only if NightElf Warrior
step
talk Harry Burlguard##6089
|tip Inside the building.
turnin Bartleby's Mug##1665 |goto 74.25,37.26
|only if NightElf Warrior
step
Enter the building |goto 56.66,57.71 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to equip two-handed swords.
Train Two-Handed Swords |complete weaponskill("TH_SWORD") > 0 |goto 57.13,57.71
|only if Warrior
step
talk Gunther Weller##1289
|tip Inside the building.
buy Quarter Staff##854 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gunther Weller##1289 |goto 57.55,57.07 |q 963 |future
|only if Warrior and itemcount(854) == 0
step
Enter the building |goto Stormwind City 56.66,57.71 < 10 |walk
talk Woo Ping##11867
|tip Inside the building.
|tip This will allow you to equip one-handed swords.
Train One-Handed Swords |complete weaponskill("SWORD") > 0 |goto Stormwind City 57.13,57.71
|only if Rogue
step
talk Gunther Weller##1289
|tip Inside the building.
buy Cutlass##851 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gunther Weller##1289 |goto 57.55,57.07 |q 963 |future
|only if Rogue and itemcount(851) == 0
step
Run up the ramp |goto Stormwind City 62.39,62.31 < 15 |only if walking
talk Dungar Longdrink##352
|tip Inside the building.
fpath Stormwind |goto Stormwind City 66.27,62.14
step
Enter the building |goto Wetlands 10.25,56.45 < 10 |walk
talk Neal Allen##1448
|tip Inside the building.
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
Visit the Vendor |vendor Neal Allen##1448 |goto Wetlands 10.75,56.75 |q 174 |future
|only if itemcount(4371) == 0
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Darkshore (13-17)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Darkshore",
condition_suggested=function() return level >= 13 and level <= 17 and not completedq(4762) end,
next="Leveling Guides\\Loch Modan (17-18)",
hardcore = true,
},[[
step
talk Cerellean Whiteclaw##3644
|tip On the dock.
accept For Love Eternal##963 |goto Darkshore 35.74,43.71
step
talk Wizbang Cranktoggle##3666
|tip Upstairs inside the building.
accept Buzzbox 827##983 |goto 36.98,44.14
step
talk Gwennyth Bly'Leggonde##10219
accept Washed Ashore##3524 |goto 36.62,45.59
step
talk Caylais Moonfeather##3841
fpath Auberdine |goto 36.34,45.58
step
talk Barithras Moonshade##3583
accept Cave Mushrooms##947 |goto 37.32,43.64
|tip You can skip it, but it is part of a large quest chain worth 6,660 xp. |only if hardcore
|tip You will need to grind that xp later. |only if hardcore
step
talk Sentinel Glynda Nal'Shea##2930
|tip She walks around this area.
accept The Red Crystal##4811 |goto 37.70,43.39
step
Enter the building |goto 37.77,41.36 < 15 |walk
talk Dalmond##4182
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Dalmond##4182 |goto 37.45,40.50 |q 4811
step
talk Thundris Windweaver##3649
|tip Inside the building.
accept Bashal'Aran##954 |goto 37.39,40.13
accept Tools of the Highborne##958 |goto 37.39,40.13
step
talk Tharnariun Treetender##3701
accept Plagued Lands##2118 |goto 38.84,43.42
step
talk Terenthis##3693
|tip Inside the building.
accept How Big a Threat?##984 |goto 39.37,43.48
stickystart "Collect_Crawler_Legs"
step
click Beached Sea Creature##175207
|tip There are several murlocs surrounding the corpse. |only if hardcore
|tip When low health, they will run away, so try to pull them a good deal away from the beached sea creature. |only if hardcore
collect Sea Creature Bones##12242 |q 3524/1 |goto 36.39,50.88
step
label "Collect_Crawler_Legs"
kill Pygmy Tide Crawler##2231+
collect 6 Crawler Leg##5385 |q 983/1 |goto 36.12,48.70
step
Find a Corrupt Furbolg Camp |q 984/1 |goto 38.95,53.57
step
use Tharnariun's Hope##7586
|tip Use it on a Rabid Thistle Bear around this area.
|tip Be careful to not accidentally use it on a regular Thistle Bear.
|tip Make sure it's very close to you when you use it.
|tip Make it get close to the glowing red circle that appears on the ground.
Capture a Rabid Thistle Bear |q 2118/1 |goto 38.35,57.54
If you need another quest item, talk to Tharnariun Treetender at [38.84,43.42]
step
click Buzzbox 827##17182
turnin Buzzbox 827##983 |goto 36.66,46.26
accept Buzzbox 411##1001 |goto 36.66,46.26
step
Run up the ramp |goto 36.70,45.02 < 10 |only if walking
talk Gwennyth Bly'Leggonde##10219
turnin Washed Ashore##3524 |goto 36.62,45.59
accept Washed Ashore##4681 |goto 36.62,45.59
stickystart "Collect_Thresher_Eyes"
step
Run on the dock and jump into the water here |goto 32.42,43.82 < 20 |only if walking
click Skeletal Sea Turtle##176189
|tip Underwater.
|tip Don't linger underwater for any reason. |only if hardcore
|tip If you get into combat, swim to the surface and kill the enemy, then try again. |only if hardcore
collect Sea Turtle Remains##12289 |q 4681/1 |goto 31.87,46.32
step
label "Collect_Thresher_Eyes"
kill Darkshore Thresher##2185
|tip Underwater around this area.
collect 3 Thresher Eye##5412 |q 1001/1 |goto 31.60,39.75
You can find more around: |notinsticky
[35.39,37.08]
step
Run up the ramp |goto 36.70,45.02 < 10 |only if walking
talk Gwennyth Bly'Leggonde##10219
turnin Washed Ashore##4681 |goto 36.62,45.59
step
talk Innkeeper Shaussiy##6737
|tip Inside the building.
home Auberdine |goto 37.04,44.12
step
talk Tharnariun Treetender##3701
turnin Plagued Lands##2118 |goto 38.84,43.42
accept Cleansing of the Infected##2138 |goto 38.84,43.42
step
talk Terenthis##3693
|tip Inside the building.
turnin How Big a Threat?##984 |goto 39.37,43.48
accept How Big a Threat?##985 |goto 39.37,43.48
accept Thundris Windweaver##4761 |goto 39.37,43.48
step
talk Gorbold Steelhand##6301
accept Deep Ocean, Vast Sea##982 |goto 38.11,41.17
step
Enter the building |goto 37.77,41.36 < 15 |walk
talk Dalmond##4182
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Dalmond##4182 |goto 37.45,40.50 |q 4761
step
talk Thundris Windweaver##3649
|tip Inside the building.
turnin Thundris Windweaver##4761 |goto 37.40,40.13
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 14.
|tip You are about to have to complete a quest that's underwater and can be difficult, with accidentally aggroing additional enemies.
|tip Being a level higher will help.
ding 14 |goto 39.01,35.63
step
_NOTE:_
Incoming Underwater Quest
|tip The next 2 steps have you diving underwater to retrieve Lockboxes for a quest.
|tip The area is filled with aggressive murlocs and can be hard to navigate.
|tip The quest is optional.
|tip If you decide to skip the quest, make sure to also abandon the "Deep Ocean, Vast Sea" quest.
|tip
Click Here to Continue |confirm |q 982
|only if hardcore
step
Swim through the hole in the bottom of the underwater boat |goto 38.79,29.38 < 10 |walk
click Silver Dawning's Lockbox##175165
|tip Inside the sunken ship, at the very bottom.
collect Silver Dawning's Lockbox##12191 |q 982/1 |goto 38.24,28.80
step
Swim through the hole in the bottom of the underwater boat |goto 40.28,27.51 < 10 |walk
click Mist Veil's Lockbox
|tip Inside the sunken ship, at the very bottom.
collect Mist Veil's Lockbox##12192 |q 982/2 |goto 39.63,27.46
step
click Buzzbox 411##17183
turnin Buzzbox 411##1001 |goto 41.96,28.64
accept Buzzbox 323##1002 |goto 41.96,28.64
step
click Beached Sea Creature##175233
|tip The creature is surrounded by murlocs that can be hard to pull by themselves. |only if hardcore
|tip Greymist Seers will heal. |only if hardcore
|tip Greymist Coastrunners will run away quickly when at low health, so pull them away from the beached sea creature as best possible. |only if hardcore
accept Beached Sea Creature##4723 |goto 41.88,31.55
step
talk Asterion##3650
turnin Bashal'Aran##954 |goto 44.17,36.29
accept Bashal'Aran##955 |goto 44.17,36.29
step
Kill enemies around this area
|tip Only Vile Sprites and Wild Grells will drop the quest item.
collect 8 Grell Earring##5336 |q 955/1 |goto 45.13,38.46
You can find more around [47.72,37.13]
step
talk Asterion##3650
turnin Bashal'Aran##955 |goto 44.17,36.29
accept Bashal'Aran##956 |goto 44.17,36.29
step
kill Deth'ryll Satyr##2212+
collect Ancient Moonstone Seal##5338 |q 956/1 |goto 45.50,36.68
You can find more around: |notinsticky
[45.57,39.70]
[46.75,39.13]
[47.71,36.91]
step
talk Asterion##3650
turnin Bashal'Aran##956 |goto 44.17,36.30
accept Bashal'Aran##957 |goto 44.17,36.30
step
Locate the Large, Red Crystal on Darkshore's Eastern Mountain Range |q 4811/1 |goto 47.29,48.69
|tip The moonkin around this area tend to aggro from a wide range. |only if hardcore
|tip Raging Moonkin will enrage when near death. |only if hardcore
step
talk Gwennyth Bly'Leggonde##10219
turnin Beached Sea Creature##4723 |goto 36.62,45.59
step
talk Sentinel Glynda Nal'Shea##2930
|tip She walks around this area.
turnin The Red Crystal##4811 |goto 37.71,43.39
accept As Water Cascades##4812 |goto 37.71,43.39
step
use the Empty Water Tube##14338
collect Moonwell Water Tube##14339 |q 4812/1 |goto 37.79,44.06
step
Enter the building |goto 37.77,41.36 < 15 |walk
talk Dalmond##4182
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Dalmond##4182 |goto 37.45,40.50 |q 4812
step
talk Gorbold Steelhand##6301
|tip Outside the building.
turnin Deep Ocean, Vast Sea##982 |goto 38.11,41.17
step
Enter the cave |goto Darkshore 43.06,45.55 < 15 |walk
use the Cenarion Moondust##15208
|tip Inside the cave.
kill Lunaclaw##12138
Face Lunaclaw and Earn the Strength of Body and Heart it Possesses |q 6001/1 |goto Darkshore 43.48,45.96
|only if NightElf Druid
step
Leave Auberdine |goto 39.76,45.77 < 40 |only if walking and subzone("Auberdine")
click Mysterious Red Crystal##175524
|tip The moonkin around this area have a pretty large aggro radius. |only if hardcore
|tip Approach the mysterious red crystal with great caution. |only if hardcore
turnin As Water Cascades##4812 |goto 47.29,48.69
accept The Fragments Within##4813 |goto 47.29,48.69
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 15.
|tip The moonkin around this area have a pretty large aggro radius. |only if hardcore
|tip Watch for respawns while in the area. |only if hardcore
ding 15 |goto 44.53,46.29
step
talk Sentinel Glynda Nal'Shea##2930
|tip She walks around this area.
turnin The Fragments Within##4813 |goto 37.71,43.39
step
talk Sentinel Tysha Moonblade##3639
accept The Fall of Ameth'Aran##953 |goto 40.30,59.73
stickystart "Collect_Highborne_Relics"
stickystart "Collect_Anyas_Pendant"
step
click Lay of Ameth'Aran##17188
|tip Watch for patrols and respawns while in the area. |only if hardcore
Read the Lay of Ameth'Aran |q 953/1 |goto 43.31,58.70
step
click Ancient Flame##16393
|tip Watch for patrols and respawns while in the area. |only if hardcore
Destroy the Seal at the Ancient Flame |q 957/1 |goto 42.37,61.79
step
click Fall of Ameth'Aran##17189
|tip Watch for patrols and respawns while in the area. |only if hardcore
Read the Fall of Ameth'Aran |q 953/2 |goto 42.67,63.10
step
label "Collect_Highborne_Relics"
Kill Highborne enemies around this area
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
collect 7 Highborne Relic##5360 |q 958/1 |goto 43.07,60.24
step
label "Collect_Anyas_Pendant"
map Darkshore
path follow strict; loop on; ants straight; dist 30; markers none
path	42.85,62.22	42.66,60.80	43.64,59.99	42.41,58.48	41.43,60.57
kill Anaya Dawnrunner##3667
|tip She looks like a neutral female night elf ghost, in a green and yellow robe.
|tip She may spawn in multiple locations, and walks around this area.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip It may be a good idea to kill enemies while searching for Anaya. |only if hardcore |notinsticky
collect Anaya's Pendant##5382 |q 963/1 |goto
step
talk Sentinel Tysha Moonblade##3639
turnin The Fall of Ameth'Aran##953 |goto 40.30,59.73
stickystart "Collect_Moonstalker_Fangs"
stickystart "Kill_Rabid_Thistle_Bears"
step
_NOTE:_
Tame a Moonstalker
|tip Use your "Tame Beast" ability on a Moonstalker.
|tip Try to tame one that's level 15 already.
|tip They look like blue and black striped tigers around this area.
|tip You can abandon your pet right before taming a Moonstalker.
|tip This will be your permanent pet.
Click Here to Continue |confirm |goto Darkshore 39.11,63.81 |q 1002
You can find more around: |notinsticky
[39.37,66.79]
[39.32,70.23]
[41.98,69.94]
|only if Hunter
step
click Beached Sea Creature##175226
|tip The creature is surrounded by aggressive murlocs. |only if hardcore
|tip Try pulling them individually when possible. |only if hardcore
|tip Greymist Netters can immobilize you completely, so be wary of them. |only if hardcore
|tip Greymist Seers may heal when their health is low. |only if hardcore
accept Beached Sea Creature##4728 |goto Darkshore 36.06,70.86
step
label "Collect_Moonstalker_Fangs"
Kill Moonstalker enemies around this area
'|kill ##2069, ##2070, ##2071, ##2237
|tip They look like blue and black striped tigers.
|tip They share spawn points with Rabid Thistle Bears, so kill those too, if you can't find any Moonstalkers.
collect 6 Moonstalker Fang##5413 |q 1002/1 |goto 39.11,63.81
You can find more around: |notinsticky
[39.37,66.79]
[39.32,70.23]
[41.98,69.94]
step
label "Kill_Rabid_Thistle_Bears"
kill 20 Rabid Thistle Bear##2164 |q 2138/1 |goto 39.11,63.81
|tip They share spawn points with Moonstalkers, so kill those too, if you can't find any Rabid Thistle Bears. |notinsticky
You can find more around: |notinsticky
[39.37,66.79]
[39.32,70.23]
[41.98,69.94]
step
talk Onu##3616
turnin Grove of the Ancients##952 |goto Darkshore/0 43.56,76.30
|only if NightElf
step
click Beached Sea Turtle##176190
|tip The creature is surrounded by murlocs that can be hard to pull by themselves. |only if hardcore
|tip Greymist Seers will heal. |only if hardcore
|tip Greymist Coastrunners will run away quickly when at low health, so pull them away from the creature as best possible. |only if hardcore
accept Beached Sea Turtle##4722 |goto 37.14,62.16
stickystart "Kill_Blackwood_Windtalkers"
step
kill 8 Blackwood Pathfinder##2167 |q 985/1 |goto 39.93,56.19
|tip These enemies may run away when at low health. |only if hardcore
You can find more around [39.81,53.87]
step
label "Kill_Blackwood_Windtalkers"
kill 5 Blackwood Windtalker##2324 |q 985/2 |goto 39.93,56.19
|tip These enemies may run away when at low health. |only if hardcore |notinsticky
|tip These enemies can temporarily pacify you, leaving you vulnerable to damage. |only if hardcore |notinsticky
You can find more around [39.81,53.87]
step
Kill enemies around this area
|tip We are grinding a bit here, so you don't have to grind a very long time later.
|tip You are about to have to go to a cave that can be difficult, so being a level higher will help.
|tip You will turn in your quests after grinding to get a large chunk of xp toward reaching level 17 quicker.
|tip These enemies may run away when at low health. |only if hardcore |notinsticky
|tip Blackwood Windtalkers may temporarily pacify you, leaving you vulnerable to damage. |only if hardcore |notinsticky
ding 16 |goto 39.93,56.19
You can find more around [39.81,53.87]
step
use the Grimoire of Sacrifice (Rank 1)##16351
Teach Your Voidwalker Sacrifice (Rank 1) |learnpetspell Sacrifice##7812
|tip You need to have your voidwalker active to be able to learn these new spells.
|only if Warlock
step
Run up the ramp inside the building |goto 36.85,44.12 < 10 |only if walking
talk Cerellean Whiteclaw##3644
|tip On the dock.
turnin For Love Eternal##963 |goto 35.74,43.71
step
talk Gubber Blump##10216
accept Fruit of the Sea##1138 |goto 36.09,44.93
step
Run up the ramp |goto 36.70,45.01 < 10 |only if walking
talk Gwennyth Bly'Leggonde##10219
turnin Beached Sea Turtle##4722 |goto 36.62,45.60
turnin Beached Sea Creature##4728 |goto 36.62,45.60
step
talk Tharnariun Treetender##3701
turnin Cleansing of the Infected##2138 |goto 38.84,43.41
step
talk Terenthis##3693
|tip Inside the building.
turnin How Big a Threat?##985 |goto 39.37,43.48
step
Enter the building |goto 37.77,41.36 < 15 |walk
talk Dalmond##4182
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Dalmond##4182 |goto 37.45,40.50 |q 958
step
talk Thundris Windweaver##3649
|tip Inside the building.
turnin Tools of the Highborne##958 |goto 37.40,40.13
accept The Cliffspring River##4762 |goto 37.40,40.13
step
talk Asterion##3650
turnin Bashal'Aran##957 |goto 44.17,36.30
step
Enter the building |goto Darnassus 35.49,10.63 < 10 |walk
talk Mathrengyl Bearwalker##4217
|tip On the middle floor of the building.
accept A Lesson to Learn##26 |goto Darnassus 35.37,8.39
accept Lessons Anew##6121 |goto Darnassus 35.37,8.39
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin A Lesson to Learn##26 |goto Moonglade 56.21,30.64
accept Trial of the Lake##29 |goto Moonglade 56.21,30.64
turnin Lessons Anew##6121 |goto Moonglade 56.21,30.64
accept The Principal Source##6122 |goto Moonglade 56.21,30.64
|only if NightElf Druid
step
click Bauble Container
|tip It looks like a wicker basket vase on the ground underwater.
|tip They spawn randomly, so you may have to search around this area.
collect Shrine Bauble##15877 |goto 54.33,55.65 |q 29
|only if NightElf Druid
step
use the Shrine Bauble##15877
Complete the Trial of the Lake |q 29/1 |goto 35.92,41.38
|only if NightElf Druid
step
talk Tajarri##11799
turnin Trial of the Lake##29 |goto 36.51,40.11
accept Trial of the Sea Lion##272 |goto 36.51,40.11
|only if NightElf Druid
step
Incoming Cave Step
|tip The upcoming steps require you to navigate a dangerous cave.
|tip You can skip it, but it is part of a large quest chain worth 6,660 xp.
|tip You will need to grind that xp later.
Click Here to Continue |q 947 |future
|only if hardcore
stickystart "Collect_Scaber_Stalks"
step
Follow the path up |goto Darkshore 54.56,31.75 < 20 |only if walking
Enter the cave |goto Darkshore 54.97,33.37 < 15 |walk
Follow the path up |goto Darkshore 55.16,33.97 < 10 |walk
click Death Cap##11713
|tip Upstairs inside the cave.
|tip They look like brown and white mushrooms on the ground around this area inside the cave.
|tip If there's not one around here, you can find more downstairs in the side rooms of the cave.
|tip Beware, Naga casters can aggro from far away and the melee Naga in the cave use a knockback which can send you into the depths of the cave.
collect Death Cap##5270 |q 947/2 |goto Darkshore 55.75,36.19
step
label "Collect_Scaber_Stalks"
click Scaber Stalk##11714+
|tip They look like blue mushrooms on the ground around this area inside the cave.
|tip Beware, Naga casters can aggro from far away and the melee Naga in the cave use a knockback which can send you into the depths of the cave. |only if hardcore
|tip If possible, only stay on the upper level of the cave as the spawn can be quite inconsistent. |only if hardcore
collect 5 Scaber Stalk##5271 |q 947/1 |goto 55.22,33.92
step
use the Empty Cliffspring Falls Sampler##15844
|tip At the entrance of the cave.
collect Filled Cliffspring Falls Sampler##15845 |q 6122/1 |goto Darkshore 54.93,33.32
|only if NightElf Druid
step
Leave the cave |goto Darkshore 54.97,33.37 < 15 |walk |only if subzone("Cliffspring Falls") and _G.IsIndoors()
click Buzzbox 323
turnin Buzzbox 323##1002 |goto Darkshore 51.28,24.58
accept Buzzbox 525##1003 |goto Darkshore 51.28,24.58
step
use the Empty Sampling Tube##12350
|tip In the water, at the bottom of the waterfall.
collect Cliffspring River Sample##12349 |q 4762/1 |goto 50.84,25.50
step
click Beached Sea Turtle##176196
accept Beached Sea Turtle##4727 |goto Darkshore 53.09,18.15
stickystart "Collect_Fine_Crab_Chunks"
step
click Beached Sea Turtle##176197
accept Beached Sea Turtle##4725 |goto 44.21,20.64
step
label "Collect_Fine_Crab_Chunks"
kill Reef Crawler##2235+
collect 6 Fine Crab Chunks##12237 |q 1138/1 |goto 49.51,21.27
You can find more around [45.58,20.83]
step
Kill enemies around this area
|tip Getting this far into level 16 will allow you to reach level 17 after turning in quests soon.
ding 16,11700 |goto 49.51,21.27
You can find more around [45.58,20.83]
step
click Strange Lockbox##177792
|tip Underwater.
collect Half Pendant of Aquatic Agility##15883 |goto Darkshore 48.87,11.32 |q 272
|only if NightElf Druid
step
talk Gubber Blump##10216
turnin Fruit of the Sea##1138 |goto Darkshore 36.10,44.93
step
Run up the ramp |goto 36.70,45.01 < 10 |only if walking
talk Gwennyth Bly'Leggonde##10219
turnin Beached Sea Turtle##4727 |goto 36.62,45.60
turnin Beached Sea Turtle##4725 |goto 36.62,45.60
step
talk Barithras Moonshade##3583
turnin Cave Mushrooms##947 |goto 37.32,43.64
accept Onu##948 |goto 37.32,43.64
|tip You must have completed the previous quest for this to appear. |only if hardcore
step
Enter the building |goto 37.77,41.36 < 15 |walk
talk Dalmond##4182
|tip Inside the building.
|tip If you can afford it, and you need more bag space, buy bags.
Visit the Vendor |vendor Dalmond##4182 |goto 37.45,40.50 |q 4762
step
talk Thundris Windweaver##3649
|tip Inside the building.
turnin The Cliffspring River##4762 |goto 37.40,40.13
step
talk Naela Trance##1459
|tip She walks around this area.
buy Fine Longbow##11304 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If it's not available, or you can't afford it, buy a Reinforced Bow instead. |only if itemcount(3026) == 0
|tip If you have better, skip this step.
Visit the Vendor |vendor Naela Trance##1459 |goto Wetlands 11.27,58.43 |q 436 |future
|only if Hunter and itemcount(11304) == 0
step
talk Naela Trance##1459
buy Medium Quiver##11362 |n
|tip If you can afford it.
Visit the Vendor |vendor Naela Trance##1459 |goto 11.27,58.43 |q 436 |future
|only if Hunter and itemcount(11362) == 0
step
talk Alanndarian Nightsong##3702
|tip Inside the building.
turnin The Principal Source##6122 |goto Darkshore 37.69,40.66
accept Gathering the Cure##6123 |goto Darkshore 37.69,40.66
|only if NightElf Druid
step
click Lunar Fungal Bloom+
|tip They look like clusters of small white-spotted mushrooms on the ground inside the small caves around this area.
collect 12 Lunar Fungus##15851 |q 6123/2 |goto 43.07,45.55
You can find more small caves at: |notinsticky
[43.07,49.24]
[43.38,50.50]
[42.71,52.28]
[45.22,53.45]
[46.30,45.56]
[45.52,50.24]
|only if NightElf Druid
step
Enter the building |goto 37.77,41.36 < 15 |walk
talk Alanndarian Nightsong##3702
|tip Inside the building.
turnin Gathering the Cure##6123 |goto 37.69,40.66
accept Curing the Sick##6124 |goto 37.69,40.66
|only if NightElf Druid
step
use the Curative Animal Salve##15826
|tip Use it on Sickly Deer around this area.
|tip They look like green diseased deer in areas with trees.
|tip They are spread out all throughout Darkshore.
Cure #10# Sickly Deer |q 6124/1 |goto 41.51,46.08
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Curing the Sick##6124 |goto Moonglade 56.21,30.64
accept Power over Poison##6125 |goto Moonglade 56.21,30.64
|only if NightElf Druid
step
Enter the building |goto Darnassus 35.52,10.72 < 10 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building, on the top floor.
turnin Power over Poison##6125 |goto Darnassus 35.38,8.41
|only if NightElf Druid
step
Enter the cave in the tree trunk |goto Darnassus 32.12,16.46 < 7 |walk
talk Syurna##4163
|tip Inside the cave.
Train the "Pick Lock" Ability |skillmax Lockpicking,75 |goto Darnassus 36.99,21.91
|only if Rogue
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Loch Modan (17-18)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Loch Modan",
condition_suggested=function() return level >= 17 and level <= 18 and not completedq(298) end,
next="Leveling Guides\\Redridge Mountains (18-20)",
hardcore = true,
},[[
step
talk Lina Hearthstove##9989
|tip Stable your permanent pet.
|tip You are about to tame a temporary pet soon, so you can learn "Bite 3".
Click Here to Continue |confirm |goto Loch Modan 34.64,48.09 |q 436 |future
|only if Hunter
step
Enter the building |goto Loch Modan 37.18,47.10 < 10 |walk
talk Jern Hornhelm##1105
|tip Downstairs inside the building.
|tip He sometimes walks out near the entrance of the building.
accept Ironband's Excavation##436 |goto Loch Modan 37.24,47.39
step
_NOTE:_
|tip You can tame any other beast along the way to help you get here and find a Wood Lurker to tame.
|tip Try to find a level 17 one before abandoning your pet.
|tip You can kill the level 18s and wait for them to respawn.
|tip Abandon whatever beast you tamed, before beginning to tame a Wood Lurker.
Tame a Wood Lurker
|tip Use your "Tame Beast" ability on a Wood Lurker.
|tip They look like brown spiders around this area.
|tip Try to tame one that's level 17.
|tip This will be your temporary pet for a while, so you can learn "Bite 3", to teach your permanent pet later.
Click Here to Continue |confirm |goto Loch Modan 59.86,25.29 |q 436
|only if Hunter
step
talk Magmar Fellhew##1345
turnin Ironband's Excavation##436 |goto Loch Modan 64.90,66.65
accept Gathering Idols##297 |goto Loch Modan 64.90,66.65
step
talk Prospector Ironband##1344
accept Excavation Progress Report##298 |goto 65.93,65.62
step
Kill enemies around this area
|tip They look like troggs.
|tip Watch for patrols while in the area. |only if hardcore
|tip Enemies will run away when at low health. |only if hardcore
collect 8 Carved Stone Idol##2636 |q 297/1 |goto 70.31,62.79
step
talk Magmar Fellhew##1345
turnin Gathering Idols##297 |goto 64.90,66.65
step
Follow the path |goto 66.22,52.81 < 40 |only if walking
Follow the path |goto 81.86,59.10 < 40 |only if walking
Enter the building |goto 83.43,62.83 < 15 |walk
talk Marek Ironheart##1154
|tip Inside the building.
accept Crocolisk Hunting##385 |goto 81.75,61.66
step
talk Cliff Hadin##1687
|tip Inside the building.
buy Fine Longbow##11304 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If it's not available, or you can't afford it, buy a Reinforced Bow instead. |only if itemcount(3026) == 0
|tip If you have better, skip this step.
Visit the Vendor |vendor Cliff Hadin##1687 |goto Loch Modan 83.02,62.96 |q 385 |future
|only if Hunter and itemcount(11304) == 0
step
talk Daryl the Youngling##1187
|tip Inside the building.
accept A Hunter's Boast##257 |goto Loch Modan 83.47,65.46
step
kill 6 Mountain Buzzard##1194 |q 257/1 |goto 80.20,65.20
|tip Try to hurry, this quest is timed.
You can find more around: |notinsticky
[77.04,57.34]
[76.41,73.71]
[74.40,69.25]
[69.56,75.78]
step
Follow the path |goto 81.86,59.10 < 40 |only if walking
Enter the building |goto 83.43,62.83 < 15 |walk
talk Daryl the Youngling##1187
|tip Inside the building.
|tip Try to hurry, this quest is timed.
turnin A Hunter's Boast##257 |goto  83.47,65.46
accept A Hunter's Challenge##258 |goto 83.47,65.46
step
talk Cliff Hadin##1687
|tip Inside the building.
buy Fine Longbow##11304 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If it's not available, or you can't afford it, buy a Reinforced Bow instead. |only if itemcount(3026) == 0
|tip If you have better, skip this step.
Visit the Vendor |vendor Cliff Hadin##1687 |goto Loch Modan 83.02,62.96 |q 257
|only if Hunter and itemcount(11304) == 0
step
kill 5 Elder Mountain Boar##1192 |q 258/1 |goto Loch Modan 76.58,43.83
|tip Try to hurry, this quest is timed.
You can find more around: |notinsticky
[Loch Modan 67.11,37.93]
[Loch Modan 61.61,34.76]
step
Follow the path |goto 81.86,59.10 < 40 |only if walking
Enter the building |goto 83.43,62.83 < 15 |walk
talk Daryl the Youngling##1187
|tip Inside the building.
|tip Try to hurry, this quest is timed.
turnin A Hunter's Challenge##258 |goto 83.47,65.46
step
talk Cliff Hadin##1687
|tip Inside the building.
buy Fine Longbow##11304 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If it's not available, or you can't afford it, buy a Reinforced Bow instead. |only if itemcount(3026) == 0
|tip If you have better, skip this step.
Visit the Vendor |vendor Cliff Hadin##1687 |goto Loch Modan 83.02,62.96 |q 258
|only if Hunter and itemcount(11304) == 0
step
talk Bingles Blastenheimer##6577
|tip He walks around this area.
accept Bingles' Missing Supplies##2038 |goto Loch Modan 63.56,47.92
stickystart "Collect_Crocolisk_Skin"
step
kill Loch Crocolisk##1693+
collect 5 Crocolisk Meat##2924 |q 385/1 |goto 54.84,38.49
|tip Be careful not to accidentally sell these to a vendor.
You can find more around [54.80,54.28]
step
label "Collect_Crocolisk_Skin"
kill Loch Crocolisk##1693+ |notinsticky
collect 6 Crocolisk Skin##2925 |q 385/2 |goto 54.84,38.49
You can find more around [54.80,54.28]
step
_NOTE:_
This Quest is Optional
|tip The next 4 steps can be very difficult solo.
|tip You may have to fight 3 enemies at a time at some point.
|tip If you want to stay on the safe side, or don't have someone to help you, you may want to skip the quest.
Click Here to Continue |confirm |q 2038
|only if hardcore
step
click Bingles's Toolbucket##104564
|tip Enemies around this area tend to be bunched up and pull in two. |only if hardcore
|tip Stonesplinter Seers are ranged attackers that hit hard. |only if hardcore
|tip Enemies may run away when at low health here. |only if hardcore
collect Bingles' Wrench##7343 |q 2038/1 |goto 48.73,30.09
step
click Bingles' Blastencapper##104575
|tip Enemies around this area tend to be bunched up and pull in two. |only if hardcore
|tip Stonesplinter Seers are ranged attackers that hit hard. |only if hardcore
|tip Enemies may run away when at low health here. |only if hardcore
collect Bingles' Blastencapper##7376 |q 2038/4 |goto 54.21,26.60
step
click Bingles's Toolbucket##104574
|tip Enemies around this area tend to be bunched up and pull in two. |only if hardcore
|tip Stonesplinter Seers are ranged attackers that hit hard. |only if hardcore
|tip Enemies may run away when at low health here. |only if hardcore
collect Bingles' Hammer##7346 |q 2038/3 |goto 51.78,24.09
step
click Bingles' Toolbucket##104569
|tip Enemies around this area tend to be bunched up and pull in two. |only if hardcore
|tip Stonesplinter Seers are ranged attackers that hit hard. |only if hardcore
|tip Enemies may run away when at low health here. |only if hardcore
collect Bingles' Screwdriver##7345 |q 2038/2 |goto 48.37,20.51
step
Run up the ramp |goto 55.39,14.84 < 15 |only if walking
talk Chief Engineer Hinderweir VII##1093
accept A Dark Threat Looms##250 |goto 46.05,13.62
step
talk Nillen Andemar##222
buy Heavy Spiked Mace##4778 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Nillen Andemar##222 |goto Loch Modan 42.87,9.90 |q 250
|only if Warrior and itemcount(4778) == 0
step
click Suspicious Barrel##257
|tip On the ground next the wall.
|tip Dark Iron Sappers may detonate themselves when at low health. |only if hardcore
|tip You will see an emote before it happens and you should move away from them once you see it. |only if hardcore
turnin A Dark Threat Looms##250 |goto Loch Modan 56.05,13.24
accept A Dark Threat Looms##199 |goto Loch Modan 56.05,13.24
step
Run up the ramp |goto 55.39,14.84 < 15 |only if walking
talk Chief Engineer Hinderweir VII##1093
turnin A Dark Threat Looms##199 |goto 46.05,13.62
step
talk Bingles Blastenheimer##6577
|tip He walks around this area.
turnin Bingles' Missing Supplies##2038 |goto 63.56,47.91
step
Kill enemies around this area
|tip You should already be level 18, or very close.
ding 18 |goto 74.06,51.92
step
use the Grimoire of Consume Shadows (Rank 1)##16357
|tip You should have purchased this in a previous guide.
Teach Your Voidwalker Consume Shadows (Rank 1) |learnpetspell Consume Shadows##17767 |goto 25.66,77.66
|tip You need to have your voidwalker active to be able to learn these new spells.
|only if Warlock
step
Follow the path |goto 72.32,52.39 < 40 |only if walking
Enter the building |goto 83.43,62.83 < 15 |walk
talk Marek Ironheart##1154
|tip Inside the building.
turnin Crocolisk Hunting##385 |goto Loch Modan 81.76,61.66
step
talk Cliff Hadin##1687
|tip Inside the building.
buy Fine Longbow##11304 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If it's not available, or you can't afford it, buy a Reinforced Bow instead. |only if itemcount(3026) == 0
|tip If you have better, skip this step.
Visit the Vendor |vendor Cliff Hadin##1687 |goto Loch Modan 83.02,62.96 |q 385
|only if Hunter and itemcount(11304) == 0
step
talk Lina Hearthstove##9989
|tip Abandon your temporary pet and get your permanent pet from the stable.
|tip Teach "Bite 3" to your permanent pet.
Click Here to Continue |confirm |goto Loch Modan 34.64,48.09 |q 298
|only if Hunter
step
Enter the building |goto Loch Modan 37.18,47.10 < 10 |walk
talk Jern Hornhelm##1105
|tip Downstairs inside the building.
|tip He sometimes walks out near the entrance of the building.
turnin Excavation Progress Report##298 |goto Loch Modan 37.24,47.39
step
Enter the building |goto Ironforge 72.18,67.50 < 7 |walk
talk Skolmin Goldfury##5122
|tip Upstairs inside the building.
buy Heavy Recurve Bow##3027 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Skolmin Goldfury##5122 |goto Ironforge 71.76,66.70 |q 20 |future
|only if Hunter and itemcount(3027) == 0
step
talk Gearcutter Cogspinner##5175
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
|tip Don't buy this, if you already bought one earlier in the guide.
Visit the Vendor |vendor Gearcutter Cogspinner##5175 |goto Ironforge 67.84,42.50 |q 174 |future
|only if itemcount(4371) == 0
step
talk Billibub Cogspinner##5519
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
|tip Don't buy this, if you already bought one earlier in the guide.
Visit the Vendor |vendor Billibub Cogspinner##5519 |goto Stormwind City 55.21,7.05 |q 174 |future
|only if itemcount(4371) == 0
step
talk Charys Yserian##1307
|tip There may be up to 3 available.
buy Healing Potion##929 |n
Visit the Vendor |vendor Charys Yserian##1307 |goto Stormwind City/0 32.4,80 |q 20 |future
|only if hardcore
step
talk Charys Yserian##1307
|tip There may be up to 3 available.
buy Lesser Mana Potion##3385 |n
Visit the Vendor |vendor Charys Yserian##1307 |goto Stormwind City/0 32.4,80 |q 20 |future
|only if hardcore
step
Follow the path |goto Stormwind City 74.74,53.71 < 10 |walk
Enter the building |goto Stormwind City 77.12,58.01 < 10 |walk
talk Renzik "The Shiv"##6946
|tip Upstairs inside the building.
accept Redridge Rendezvous##2281 |goto Stormwind City 75.76,60.36
|only if Rogue
step
click Strange Lockbox
|tip Underwater.
collect Half Pendant of Aquatic Endurance##15882 |goto Westfall 17.87,33.11 |q 272
|only if NightElf Druid
step
use the Half Pendant of Aquatic Agility##15883
collect Pendant of the Sea Lion##15885 |q 272/1 |goto Moonglade 35.92,41.42
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Trial of the Sea Lion##272 |goto 56.21,30.64
accept Aquatic Form##5061 |goto 56.21,30.64
|only if NightElf Druid
step
Enter the building |goto Darnassus 35.49,10.63 < 10 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building, on the top floor.
turnin Aquatic Form##5061 |goto Darnassus 35.37,8.39
|only if NightElf Druid
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Redridge Mountains (18-20)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Redridge Mountains",
condition_suggested=function() return level >= 18 and level <= 20 and not completedq(150) end,
next="Leveling Guides\\Darkshore (20-22)",
hardcore = true,
},[[
step
talk Ariena Stormfeather##931
fpath Lakeshire |goto Redridge Mountains 30.59,59.41
step
talk Marshal Marris##382
accept Blackrock Menace##20 |goto 33.51,48.97
|only if not hardcore
step
talk Foreman Oslow##341
accept The Lost Tools##125 |goto 32.14,48.64
step
talk Verner Osgood##415
accept The Price of Shoes##118 |goto 30.98,47.28
step
Enter the building |goto 29.50,46.12 < 10 |walk
talk Magistrate Solomon##344
|tip Inside the building.
accept Messenger to Stormwind##120 |goto 29.99,44.45
step
talk Dockmaster Baren##381
accept Selling Fish##127 |goto 27.72,47.38
step
Enter the building |goto 26.61,46.37 < 10 |walk
talk Darcy##379
|tip She walks around this area inside the building.
accept A Free Lunch##129 |goto 26.75,44.35
step
Leave the building |goto 26.62,46.39 < 10 |walk |only if subzone("Lakeshire Inn")
Enter the building |goto 22.80,44.56 < 10 |walk
talk Chef Breanna##343
|tip Inside the building.
accept Redridge Goulash##92 |goto 22.68,43.84
step
talk Shawn##8965
accept Hilary's Necklace##3741 |goto 29.32,53.63
step
talk Lucius##6966
turnin Redridge Rendezvous##2281 |goto Redridge Mountains 28.06,52.04
accept Alther's Mill##2282 |goto Redridge Mountains 28.06,52.04
|only if Rogue
step
click Glinting Mud##154357
|tip It looks like a brown pile of dirt on the ground underwater.
|tip It spawns in random locations in the water, so you may need to search around.
collect Hilary's Necklace##10958 |q 3741/1 |goto Redridge Mountains 19.17,51.76
Also check around [Redridge Mountains 38.03,54.49]
stickystart "Collect_Spotted_Sunfish"
step
click Sunken Chest##32
|tip Underwater.
|tip Don't linger underwater for any reason. |only if hardcore
|tip If you get into combat, swim to the surface and kill the enemy, then try again. |only if hardcore
collect Oslow's Toolbox##1309 |q 125/1 |goto 41.53,54.67
stickystop "Collect_Spotted_Sunfish"
stickystart "Collect_Great_Gortusk_Snouts"
stickystart "Collect_Crisp_Spider_Meat"
step
talk Guard Parker##464
|tip He walks around this area.
turnin A Free Lunch##129 |goto 15.27,71.45
accept Visit the Herbalist##130 |goto 15.27,71.45
accept Encroaching Gnolls##244 |goto 15.27,71.46
step
label "Collect_Crisp_Spider_Meat"
kill Tarantula##442+
collect 5 Crisp Spider Meat##1081 |q 92/3 |goto 20.28,68.29
|tip Be careful not to accidentally sell these to a vendor.
You can find more around [14.40,77.92]
step
talk Deputy Feldon##1070
turnin Encroaching Gnolls##244 |goto 30.74,60.00
accept Assessing the Threat##246 |goto 30.74,60.00
stickystop "Collect_Great_Gortusk_Snouts"
step
talk Foreman Oslow##341
turnin The Lost Tools##125 |goto 32.14,48.64
accept The Everstill Bridge##89 |goto 32.14,48.64
step
talk Hilary##8962
turnin Hilary's Necklace##3741 |goto 29.24,53.63
step
talk Lindsay Ashlock##791
|tip Buy enough arrows to fill your ammo bag, plus 4-6 extra stacks.
|tip You have a pretty long grind coming up soon.
Visit the Vendor |vendor Lindsay Ashlock##791 |goto 28.77,47.33 |q 89
|only if Hunter
step
talk Martie Jainrose##342
turnin Visit the Herbalist##130 |goto Redridge Mountains 21.86,46.33
accept Delivering Daffodils##131 |goto Redridge Mountains 21.86,46.33
step
Enter the building |goto 26.60,46.38 < 10 |walk
talk Darcy##379
|tip She walks around this area inside the building.
turnin Delivering Daffodils##131 |goto 26.75,44.34
step
Leave the building |goto Redridge Mountains 26.60,46.38 < 10 |walk |only if subzone("Lakeshire Inn")
Enter Alther's Mill |goto Redridge Mountains 45.84,37.31 < 70 |only if walking and not subzone("Alther's Mill")
click Practice Lockbox##178244+
|tip They look like small grey metal chests on the ground around this area.
|tip Inside the building.
Reach Skill 75 in Lockpicking |complete skill("Lockpicking") >=75 |goto Redridge Mountains 51.98,45.22 |q 2282
|only if Rogue
step
click Lucius's Lockbox
|tip Inside the building.
collect Token of Thievery##7871 |q 2282/1 |goto 52.04,44.69
|only if Rogue
step
talk Lucius##6966
turnin Alther's Mill##2282 |goto 28.06,52.04
|only if Rogue
step
label "Collect_Great_Gortusk_Snouts"
Leave the building |goto Redridge Mountains 26.60,46.38 < 10 |walk |only if subzone("Lakeshire Inn")
kill Great Goretusk##547+
|tip They look like boars.
|tip While in the western area, be careful to avoid Bellygrub. |notinsticky
|tip It's a level 24 boar that walks around the area. |notinsticky
collect 5 Great Goretusk Snout##2296 |q 92/1 |goto Redridge Mountains 15.82,52.97
|tip Be careful not to accidentally sell these to a vendor.
You can find more around: |notinsticky
[Redridge Mountains 25.89,59.27]
[Redridge Mountains 29.57,75.26]
[Redridge Mountains 35.34,71.20]
stickystart "Kill_Redridge_Mongrels"
step
kill 6 Redridge Poacher##424 |q 246/2 |goto 31.47,81.01
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies near the camps tend to pull in groups. |only if hardcore
You can find more around [43.02,71.64]
step
label "Kill_Redridge_Mongrels"
kill 10 Redridge Mongrel##423 |q 246/1 |goto 31.47,81.01
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies near the camps tend to pull in groups. |only if hardcore |notinsticky
You can find more around [43.02,71.64]
step
Kill enemies around this area
|tip You are about to have to kill a lot of level 21 enemies. |only if not hardcore
|tip Being a level higher will help. |only if not hardcore
|tip Grinding a bit here will also reduce the amount you have to grind later.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies near the camps tend to pull in groups. |only if hardcore
ding 19 |goto 31.47,81.01
You can find more around [43.02,71.64]
stickystart "Collect_Murloc_Fins"
step
label "Collect_Spotted_Sunfish"
Kill Murloc enemies around this area
|tip You can find more in the water nearby.
|tip Murloc Minor Tidecallers may heal themselves or allies when health is low. |only if hardcore
|tip The murlocs may run away in fear when at low health, so try to pull them away from the others to kill. |only if hardcore |notinsticky
|tip These enemies tend to pull in groups. |only if hardcore
collect 10 Spotted Sunfish##1467 |q 127/1 |goto 49.00,72.02
step
label "Collect_Murloc_Fins"
Kill Murloc enemies around this area
collect 8 Murloc Fin##1468 |goto 49.00,72.02 |q 150 |future
|tip Murloc Minor Tidecallers may heal themselves or allies when health is low. |only if hardcore |notinsticky
|tip The murlocs may run away in fear when at low health, so try to pull them away from the others to kill. |only if hardcore |notinsticky
|tip These enemies tend to pull in groups. |only if hardcore |notinsticky
|tip Be careful not to accidentally sell these to a vendor.
step
kill Dire Condor##428+
|tip They look like red birds.
|tip They share spawn points with the Black Dragon Whelps, so kill those too, if you can't find any condors.
collect 5 Tough Condor Meat##1080 |q 92/2 |goto 58.04,75.72
You can find more around [47.23,76.89]
step
Kill Blackrock enemies around this area
|tip They look like orcs.
collect 10 Battleworn Axe##3014 |q 20/1 |goto 71.90,79.39
You can find more around [76.41,74.07]
|only if not hardcore
step
Enter the building |goto 22.81,44.55 < 10 |walk
talk Chef Breanna##343
|tip Inside the building.
turnin Redridge Goulash##92 |goto 22.68,43.83
step
_Destroy or Sell These Items:_
|tip They are no longer needed.
|tip If you wish to keep them for something else, you should.
trash Great Goretusk Snout##2296
trash Tough Condor Meat##1080
trash Crisp Spider Meat##1081
step
talk Dockmaster Baren##381
turnin Selling Fish##127 |goto 27.72,47.38
step
talk Marshal Marris##382
turnin Blackrock Menace##20 |goto 33.51,48.97
|only if not hardcore
step
talk Deputy Feldon##1070
turnin Assessing the Threat##246 |goto 30.73,60.00
step
talk Argos Nightwhisper##4984
accept The Corruption Abroad##3765 |goto Stormwind City 21.41,55.79
|tip This quest won't be available if you've accepted or completed Researching the Corruption.
step
talk General Marcus Jonathan##466
turnin Messenger to Stormwind##120 |goto 63.97,75.32
accept Messenger to Stormwind##121 |goto 63.97,75.32
step
Enter the building |goto Elwynn Forest 41.85,65.68 < 10 |walk
talk Smith Argus##514
|tip Inside the building.
turnin The Price of Shoes##118 |goto Elwynn Forest 41.70,65.55
accept Return to Verner##119 |goto Elwynn Forest 41.70,65.55
step
talk Verner Osgood##415
turnin Return to Verner##119 |goto Redridge Mountains 30.98,47.27
accept Underbelly Scales##122 |goto Redridge Mountains 30.98,47.27
accept A Baying of Gnolls##124 |goto Redridge Mountains 30.98,47.27
step
kill Black Dragon Whelp##441+
|tip They look like small flying dragons.
|tip Watch for Redridge patrols while looking for the whelplings. |only if hardcore
collect 6 Underbelly Whelp Scale##1221 |q 122/1 |goto 35.34,71.20
You can find more around: |notinsticky
[29.57,75.26]
[47.12,76.91]
stickystart "Collect_Iron_Rivets"
stickystart "Kill_Redridge_Brutes"
stickystart "Kill_Redridge_Mystics"
step
Follow the path up |goto 34.92,40.80 < 30 |only if walking
Kill Redridge enemies around this area
|tip They look like gnolls.
|tip Redridge Alphas will not drop the quest item.
|tip Watch for patrols and respawns while here. |only if hardcore
|tip Enemies tend to pull in groups when near campfires. |only if hardcore
collect 5 Iron Pike##2856 |q 89/1 |goto 38.80,32.27
You can find more around [23.02,36.55]
step
label "Collect_Iron_Rivets"
Kill Redridge enemies around this area |notinsticky
|tip They look like gnolls. |notinsticky
|tip Redridge Alphas will not drop the quest item. |notinsticky
|tip Watch for patrols and respawns while here. |only if hardcore |notinsticky
|tip Enemies tend to pull in groups when near campfires. |only if hardcore |notinsticky
collect 5 Iron Rivet##1013 |q 89/2 |goto 38.80,32.27
You can find more around [23.02,36.55]
step
label "Kill_Redridge_Brutes"
kill 10 Redridge Brute##426 |q 124/1 |goto 38.80,32.27
|tip They look like gnolls. |notinsticky
|tip Watch for patrols and respawns while here. |only if hardcore |notinsticky
|tip Enemies tend to pull in groups when near campfires. |only if hardcore |notinsticky
You can find more around [23.02,36.55]
step
label "Kill_Redridge_Mystics"
kill 8 Redridge Mystic##430 |q 124/2 |goto 38.80,32.27
|tip They look like gnolls. |notinsticky
|tip Watch for patrols and respawns while here. |only if hardcore |notinsticky
|tip Enemies tend to pull in groups when near campfires. |only if hardcore |notinsticky
You can find more around [23.02,36.55]
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 20.
|tip Grinding a bit here will reduce the amount of time you have to grind later.
|tip You will turn in quests after reaching level 20, to give a large chunk of xp toward reaching level 21.
|tip Watch for patrols and respawns while here. |only if hardcore |notinsticky
|tip Enemies tend to pull in groups when near campfires. |only if hardcore |notinsticky
ding 20 |goto 38.80,32.27
You can find more around [23.02,36.55]
step
talk Foreman Oslow##341
turnin The Everstill Bridge##89 |goto 32.14,48.64
step
talk Verner Osgood##415
turnin Underbelly Scales##122 |goto 30.97,47.27
turnin A Baying of Gnolls##124 |goto 30.97,47.27
step
Enter the building |goto 29.50,46.12 < 10 |walk
talk Magistrate Solomon##344
|tip Inside the building.
turnin Messenger to Stormwind##121 |goto 29.99,44.45
step
talk Dockmaster Baren##381
accept Murloc Poachers##150 |goto Redridge Mountains 27.72,47.38
step
talk Dockmaster Baren##381
turnin Murloc Poachers##150 |goto 27.72,47.38
step
_Destroy or Sell These Items:_
|tip They are no longer needed.
trash Murloc Fin##1468
step
Enter the building |goto Stormwind City 56.65,57.71 < 10 |walk
talk Marda Weller##1287
|tip Inside the building.
buy Maul##924 |n
|tip If you can afford it.
|tip You will use it when you reach level 21.
|tip If you have better, skip this step.
Visit the Vendor |vendor Marda Weller##1287 |goto Stormwind City 57.38,56.77 |q 4740 |future
|only if Warrior and itemcount(924) == 0
step
Enter the building |goto Stormwind City 56.65,57.71 < 10 |walk
talk Marda Weller##1287
|tip Inside the building.
buy Maul##924 |n
|tip If you can afford it.
|tip You will use it when you reach level 21.
|tip If you have better, skip this step.
Visit the Vendor |vendor Marda Weller##1287 |goto Stormwind City 57.38,56.77 |q 4740 |future
|only if Paladin and itemcount(924) == 0
step
Enter the building |goto 43.02,34.43 < 10 |walk
talk Duthorian Rall##6171
|tip Inside the building.
accept The Tome of Valor##1793 |goto 39.81,29.80 |instant
|only if Paladin
step
use the Tome of Valor##6776
accept The Tome of Valor##1649
|only if Paladin
step
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Valor##1649 |goto 39.81,29.80
accept The Tome of Valor##1650 |goto 39.81,29.80
|only if Paladin
step
Enter the building |goto Stormwind City 56.65,57.71 < 10 |walk
talk Marda Weller##1287
|tip Inside the building.
buy Longsword##923 |n
|tip If you can afford it.
|tip You will use it in your Main Hand when you reach level 21.
|tip If you have better, skip this step.
Visit the Vendor |vendor Marda Weller##1287 |goto Stormwind City 57.38,56.77 |q 4740 |future
|only if Rogue and itemcount(923) == 0
step
talk Marda Weller##1287
|tip Inside the building.
buy Kris##2209 |n
|tip If you can afford it.
|tip Use it in your Off Hand.
|tip If you have better, skip this step.
Visit the Vendor |vendor Marda Weller##1287 |goto 57.38,56.77 |q 4740 |future
|only if Rogue and itemcount(2209) == 0
step
Enter the building |goto Stormwind City 42.67,67.02 < 10 |walk
talk Ardwyn Cailen##1312
|tip Inside the building.
buy Dusk Wand##5211 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Ardwyn Cailen##1312 |goto Stormwind City 42.84,65.17 |q 4740 |future
|only if Priest and itemcount(5211) == 0
step
Enter the building |goto Stormwind City 42.67,67.02 < 10 |walk
talk Ardwyn Cailen##1312
|tip Inside the building.
buy Dusk Wand##5211 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Ardwyn Cailen##1312 |goto Stormwind City 42.84,65.17 |q 4740 |future
|only if Warlock and itemcount(5211) == 0
step
Enter the building |goto Stormwind City 42.67,67.02 < 10 |walk
talk Ardwyn Cailen##1312
|tip Inside the building.
buy Dusk Wand##5211 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Ardwyn Cailen##1312 |goto Stormwind City 42.84,65.17 |q 4740 |future
|only if Mage and itemcount(5211) == 0
step
Run up the ramp and enter the building |goto 39.33,81.46 < 10 |only if walking
talk Larimaine Purdue##2485
|tip Upstairs inside the tower.
learnspell Teleport: Stormwind##3561 |goto 39.84,79.45
|only if Mage
step
Enter the building |goto Ironforge 27.69,12.34 < 20 |walk
talk Milstaff Stormeye##2489
|tip Inside the building.
learnspell Teleport: Ironforge##3562 |goto Ironforge 25.50,7.07
|only if Mage
step
Enter the building |goto 30.43,26.37 < 7 |walk
talk Ginny Longberry##5151
|tip Inside the building.
|tip If you can afford it.
|tip Stock up on a couple of Runes of Teleportation to use to travel faster while leveling.
Visit the Vendor |vendor Ginny Longberry##5151 |goto 31.32,27.79 |q 4740 |future
|only if Mage
step
Enter the building |goto Stormwind City 29.14,74.17 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
accept Devourer of Souls##1716 |goto Stormwind City 25.26,78.56
|only if Warlock
step
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
|tip If you can afford them.
|tip Buy all of the Grimoires for spells that are upgrades for the spells you use with your pet.
|tip After buying them, make sure to use them in your bags to learn the spells.
Visit the Vendor |vendor Spackle Thornberry##5520 |goto 25.66,77.66 |q 4740 |future
|only if Warlock
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Darkshore (20-22)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Darkshore",
condition_suggested=function() return level == 20 and not completedq(970) end,
next="Leveling Guides\\Ashenvale (22-23)",
hardcore = true,
},[[
step
click WANTED: Murkdeep!##175320
accept WANTED: Murkdeep!##4740 |goto Darkshore 37.23,44.23
|only if not hardcore
step
talk Archaeologist Hollee##2913
accept The Absent Minded Prospector##729 |goto 37.44,41.84
step
Enter the building |goto 37.77,41.34 < 15 |walk
talk Thundris Windweaver##3649
|tip Inside the building.
accept The Blackwood Corrupted##4763 |goto 37.40,40.13
step
use the Empty Cleansing Bowl##12346
collect Filled Cleansing Bowl##12347 |goto 37.78,44.02 |q 4763
step
talk Gershala Nightwhisper##8997
turnin The Corruption Abroad##3765 |goto 38.33,43.04
step
talk Tharnariun Treetender##3701
accept Tharnariun's Hope##2139 |goto 38.84,43.42
|tip This requires "Cleansing of the Infected" from the Darkshore (13-17) guide.
step
talk Terenthis##3693
|tip Inside the building.
accept A Lost Master##986 |goto 39.37,43.48
step
talk Sentinel Elissa Starbreeze##3657
|tip Upstairs inside the building.
accept The Tower of Althalaxx##965 |goto 39.05,43.55
step
talk Onu##3616
turnin Onu##948 |goto 43.55,76.29
accept The Master's Glaive##944 |goto 43.55,76.29
|tip This quest will only be available if you've completed the quest chain starting with "Cave Mushrooms". |only if hardcore
stickystart "Collect_Fine_Moonstalker_Pelts"
stickystart "Collect_Grizzled_Scalps"
step
Enter the Master's Glaive |q 944/1 |goto 38.57,86.30
stickystop "Collect_Fine_Moonstalker_Pelts"
stickystop "Collect_Grizzled_Scalps"
step
use the Phial of Scrying##5251
click Scrying Bowl##10076
|tip It appears on the ground next to you.
|tip Watch for patrols and respawns while in the area. |only if hardcore
turnin The Master's Glaive##944 |goto 38.53,86.17
accept The Twilight Camp##949 |goto 38.53,86.17
|tip This quest will only be available if you've completed the quest chain starting with "Cave Mushrooms". |only if hardcore
step
_Destroy This Items:_
|tip It is no longer needed.
trash Phial of Scrying##5251
step
click Twilight Tome##12666
|tip Watch for patrols and respawns while in the area. |only if hardcore
turnin The Twilight Camp##949 |goto 38.54,86.05
accept Return to Onu##950 |goto 38.54,86.05
|tip This quest will only be available if you've completed the quest chain starting with "Cave Mushrooms". |only if hardcore
step
talk Therylune##3584
|tip She walks around this area.
|tip This is an escort quest.
|tip If she's not here, someone may be escorting her.
|tip Wait for her to respawn.
|tip If you have to wait, clear enemies towards the ramp while doing so. |only if hardcore
accept Therylune's Escape##945 |goto 38.64,87.34 |noautoaccept
step
Watch the dialogue
|tip Follow Therylune and protect her as she walks.
|tip She eventually walks to this location.
Escort Therylune Away from the Master's Glaive |q 945/1 |goto 40.51,87.09
step
use the Book: The Powers Below##5352
accept The Powers Below##968
|only if itemcount(5352) > 0
stickystart "Collect_Fine_Moonstalker_Pelts"
step
label "Collect_Grizzled_Scalps"
kill Grizzled Thistle Bear##2165+
collect 4 Grizzled Scalp##5414 |q 1003/1 |goto 43.52,81.93
You can find more around: |notinsticky
[40.33,81.60]
[41.22,84.67]
step
label "Collect_Fine_Moonstalker_Pelts"
Kill Moonstalker enemies around this area
'|kill Moonstalker Sire##2237, Moonstalker Matriarch##2071
|tip They look like blue and black striped tigers.
|tip They share spawn points with Grizzled Thistle Bears, so kill those too, if you can't find any.
collect 5 Fine Moonstalker Pelt##5386 |q 986/1 |goto 43.52,81.93
You can find more around: |notinsticky
[40.33,81.60]
[41.22,84.67]
[38.59,75.10]
[39.49,93.81]
step
click Buzzbox 525##17185
turnin Buzzbox 525##1003 |goto 41.40,80.56
step
talk Onu##3616
turnin Return to Onu##950 |goto 43.56,76.29
step
Watch the dialogue
talk Onu##3616
accept Mathystra Relics##951 |goto 43.56,76.29
|tip This quest will only be available if you've completed the quest chain starting with "Cave Mushrooms". |only if hardcore
step
talk Prospector Remtravel##2917
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait until he respawns.
turnin The Absent Minded Prospector##729 |goto 35.73,83.70
accept The Absent Minded Prospector##731 |goto 35.73,83.70 |noautoaccept
|tip This quest is difficult and optional. |only if hardcore
|tip It requires escorting the npc and protecting him from waves of attackers with minimal rest time. |only if hardcore
|tip Skipping this quest will result in extra grinding down the road. |only if hardcore
step
Watch the dialogue
|tip Follow Prospector Remtravel and protect him as he walks.
|tip He is very weak and can die easily, so get the enemies off of him quickly.
|tip Troggs will appear and ambush him 3 times along the way.
|tip He eventually walks back to this location.
|tip Don't be afraid to run if you get overwhelemed. |only if hardcore
|tip Enemeis do respawn quickly here, so be careful. |only if hardcore
Escort Prospector Remtravel |q 731/1 |goto 35.73,83.70
step
click Beached Sea Creature##175230
accept Beached Sea Creature##4733 |goto 31.27,87.39
step
click Beached Sea Turtle##175227
accept Beached Sea Turtle##4732 |goto 31.24,85.63
step
click Beached Sea Turtle##175227
accept Beached Sea Turtle##4731 |goto 31.69,83.72
step
click Beached Sea Creature##175227
accept Beached Sea Creature##4730 |goto 32.66,80.81
step
Kill enemies around this area
|tip You should already be level 21, or very close.
|tip You are about to have to complete a quest where you have to kill a few waves of multiple enemies, which can be difficult.
|tip Being a level higher will help.
ding 21 |goto 37.92,82.30
step
Kill Greymist enemies around this area
|tip Groups of murlocs will appear near the water and run into the camp.
|tip Try to stand outside the camp, so they don't all attack you at once when they run in.
|tip Kill them to get Murkdeep to appear.
|tip You may need help with this.
kill Murkdeep##10323 |q 4740/1 |goto 36.51,76.59
|only if not hardcore
step
talk Gwennyth Bly'Leggonde##10219
turnin Beached Sea Creature##4733 |goto 36.62,45.59
turnin Beached Sea Turtle##4732 |goto 36.62,45.59
turnin Beached Sea Turtle##4731 |goto 36.62,45.59
turnin Beached Sea Creature##4730 |goto 36.62,45.59
step
talk Sentinel Glynda Nal'Shea##2930
|tip She walks around this area.
turnin WANTED: Murkdeep!##4740 |goto 37.71,43.39
|only if not hardcore
step
talk Terenthis##3693
|tip Inside the building.
turnin A Lost Master##986 |goto 39.37,43.48
accept A Lost Master##993 |goto 39.37,43.48
step
talk Archaeologist Hollee##2913
turnin The Absent Minded Prospector##731 |goto 37.44,41.84
accept The Absent Minded Prospector##741 |goto 37.44,41.84
|tip This won't be available if you haven't completed the previous quest. |only if hardcore
step
click Blackwood Grain Stores##175331
|tip You will be attacked.
|tip Watch for respawns while in the area. |only if hardcore
|tip Enemies will may run away in fear when at low health. |only if hardcore
|tip Blackwood Totemics will drop totems that heal themselves and their allies. |only if hardcore
|tip Be sure to destroy them as soon as they appear. |only if hardcore
collect Blackwood Grain Sample##12342 |goto 50.62,34.95 |q 4763
step
Follow the path up |goto 52.40,35.94 < 20 |only if walking
Enter the cave |goto 51.57,37.49 < 15 |walk
kill Den Mother##6788 |q 2139/1 |goto 51.48,38.26
|tip Inside the cave.
|tip There are generally 4 or more level 9 cubs inside the cave with her. |only if hardcore
|tip They are all linked with the Den Mother and will attack in unison. |only if hardcore
|tip The cubs can hit pretty hard, so it may be a good idea to try and kill one, flee and repeat. |only if hardcore
|tip You can skip this quest and grind extra later. |only if hardcore
step
click Blackwood Nut Stores##175329
|tip Watch for respawns while in the area. |only if hardcore
|tip Enemies will may run away in fear when at low health. |only if hardcore
|tip Blackwood Totemics will drop totems that heal themselves and their allies. |only if hardcore
|tip Be sure to destroy them as soon as they appear. |only if hardcore
collect Blackwood Nut Sample##12343 |goto 51.83,33.56 |q 4763
step
click Blackwood Fruit Stores##175330
|tip Watch for respawns while in the area. |only if hardcore
|tip Enemies will may run away in fear when at low health. |only if hardcore
|tip Blackwood Totemics will drop totems that heal themselves and their allies. |only if hardcore
|tip Be sure to destroy them as soon as they appear. |only if hardcore
collect Blackwood Fruit Sample##12341 |goto 52.83,33.41 |q 4763
step
use the Filled Cleansing Bowl##12347
kill Xabraxxis##10373
|tip He appears nearby.
|tip Make sure to step quite a bit back as every live Blackwood enemy will run to this location. |only if hardcore
|tip The normal enemies will become passive eventually. |only if hardcore
click Xabraxxis' Demon Bag##object=177624
|tip It appears on the ground after you kill him.
collect Talisman of Corruption##12355 |q 4763/1 |goto 52.41,33.44
step
talk Balthule Shadowstrike##3661
turnin The Tower of Althalaxx##965 |goto 54.97,24.89
accept The Tower of Althalaxx##966 |goto 54.97,24.89
step
kill Dark Strand Fanatic##2336+
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies around the camp fire tend to pull in groups. |only if hardcore
collect 4 Worn Parchment##5348 |q 966/1 |goto 55.46,26.77
step
talk Balthule Shadowstrike##3661
turnin The Tower of Althalaxx##966 |goto 54.97,24.89
accept The Tower of Althalaxx##967 |goto 54.97,24.89
step
click Mathystra Relic##13872+
|tip They look like various small grey-ish colored stone objects on the ground around this area.
|tip Watch for Stormscale Sorceress' around the area. |only if hardcore
|tip They are ranged attackers that deal heavy damage and can aggro from far away. |only if hardcore
|tip Watch for respawns while here. |only if hardcore
collect 6 Mathystra Relic##5273 |q 951/1 |goto 58.64,23.94
You can find more around: |notinsticky
[61.03,21.68]
[58.13,20.36]
[56.88,22.20]
step
talk Gelkak Gyromast##6667
accept Gyromast's Retrieval##2098 |goto 56.65,13.48
|tip This quest has you going underwater into a fairly dangerous area. |only if hardcore
|tip If you are uncomfortable with underwater quests, skip this. |only if hardcore
step
Kill Crawler enemies around this area
|tip They look like crabs.
collect Bottom of Gelkak's Key##7500 |q 2098/3 |goto 56.47,14.58
You can find more around [52.01,21.19]
step
Kill Greymist enemies around this area
|tip Underwater.
|tip Don't linger underwanter for any reason. |only if hardcore
|tip If you get into combat, swim to the surface and kill the enemy, then try again. |only if hardcore
|tip Watch for respawns while in the area. |only if hardcore
collect Middle of Gelkak's Key##7499 |q 2098/2 |goto 54.95,12.16
step
kill Giant Foreststrider##2323+
collect Top of Gelkak's Key##7498 |q 2098/1 |goto 61.19,14.79
You can find more around [61.12,10.76]
step
talk Gelkak Gyromast##6667
turnin Gyromast's Retrieval##2098 |goto 56.65,13.48
step
Kill enemies around this area
|tip Getting this far into level 21 will allow you to reach level 22 after turning in quests soon.
|tip You will be doing an escort quest soon that will be difficult, so being a level higher will help.
|tip You will also be going to Darnassus soon, so it will be a good time to learn your level 22 abilities.
ding 21,22200 |goto 60.29,16.33
step
Enter the building |goto 37.77,41.35 < 15 |walk
talk Thundris Windweaver##3649
|tip Inside the building.
turnin The Blackwood Corrupted##4763 |goto 37.40,40.13
step
talk Tharnariun Treetender##3701
turnin Tharnariun's Hope##2139 |goto 38.84,43.41
step
talk Vesprystus##3838
fpath Rut'theran Village |goto Teldrassil 58.40,94.02
step
Run up the ramp |goto Darnassus 62.60,68.79 < 10 |only if walking
talk Landria##4173
|tip Inside the building.
buy Heavy Recurve Bow##3027 |n
|tip If you can afford it.
Visit the Vendor |vendor Landria##4173 |goto Darnassus 63.26,66.27 |q 951
|only if Hunter and itemcount(3027) == 0
step
talk Landria##4173
|tip Inside the building.
buy Medium Quiver##11362 |n
|tip If you can afford it.
Visit the Vendor |vendor Landria##4173 |goto 63.26,66.27 |q 951
|only if Hunter and itemcount(11362) == 0
step
talk Chief Archaeologist Greywhisker##2912
|tip Outside the building.
turnin The Absent Minded Prospector##741 |goto Darnassus 31.25,84.50
accept The Absent Minded Prospector##942 |goto Darnassus 31.25,84.50
step
talk Onu##3616
turnin Mathystra Relics##951 |goto Darkshore 43.55,76.29
step
Enter the cave |goto 44.58,85.11 < 15 |walk
talk Volcor##3692
|tip Inside the cave.
|tip He starts an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait until he respawns.
turnin A Lost Master##993 |goto 45.01,85.30
accept Escape Through Force##994 |goto 45.01,85.30 |noautoaccept
|tip Volcor will help you fight your way to the road.
|tip You will be attacked by multiple groups of enemies along the way.
|tip This quest rewards much more experience than the stealth quest he offers.
|only if not hardcore
step
Watch the dialogue
|tip Follow Volcor and protect him as he walks.
|tip He eventually walks to this location.
Help Volcor to the Road |q 994/1 |goto 41.95,81.80
|only if not hardcore
step
talk Kerlonian Evershade##11218
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait for him to respawn.
|tip He can take a long time to respawn, so if you don't want to wait, you can skip the quest and grind a bit later to make up for it.
accept The Sleeper Has Awakened##5321 |goto 44.39,76.43 |noautoaccept
|only if not hardcore
step
click Kerlonian's Chest##176634
collect Horn of Awakening##13536 |q 5321/1 |goto 44.38,76.31
|only if not hardcore
step
label "Escort_Kerlonian_Evershade"
Enter Ashenvale and follow the road |goto 43.49,94.32 < 50 |only if walking
Enter the building |goto Ashenvale 26.87,36.65 < 15 |walk
use the Horn of Awakening##13536
|tip Kerlonian Evershade will follow you.
|tip He will sometimes stop walking and fall asleep.
|tip Use it near him when he falls asleep.
|tip Make sure he is next to you at all times.
|tip Avoid walking on the road, or you will get ambushed by groups of enemies.
|tip You can still follow the road, but stay in the forest on the sides.
|tip Lead Kerlonian Evershade to this location inside the building.
|tip Try to hurry, this quest is timed.
|tip If you fail, you can skip it.
Escort Kerlonian Evershade to Maestra's Post |q 5321/2 |goto Ashenvale 27.15,35.92
|only if not hardcore
step
talk Liladris Moonriver##11219
|tip On the balcony of the building.
turnin The Sleeper Has Awakened##5321 |goto 27.26,35.58
|only if not hardcore
step
talk Delgren the Purifier##3663
turnin The Tower of Althalaxx##967 |goto 26.20,38.70
accept The Tower of Althalaxx##970 |goto 26.20,38.70
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ashenvale (22-23)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Ashenvale",
condition_suggested=function() return level >= 22 and level <= 23 and not completedq(1034) end,
next="Leveling Guides\\Stonetalon Mountains (23-24)",
hardcore = true,
},[[
step
talk Orendil Broadleaf##3847
accept Bathran's Hair##1010 |goto Ashenvale 26.44,38.59
step
Kill Dark Strand enemies around this area
|tip This item has a low drop rate.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
|tip Enemies near tents tend to pull in groups.		|only if hardcore
collect Glowing Soul Gem##5366 |q 970/1 |goto 31.39,30.62
step
click Plant Bundle##17282+
|tip They look like small piles of grey straw on the ground around this area.
|tip They can respawn fairly quickly.
|tip If you have trouble seeing them, reduce the "Ground Clutter" setting to "0" in the System > Graphics game settings menu.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect 5 Bathran's Hair##5437 |q 1010/1 |goto 30.44,24.05
You can find more around: |notinsticky
[31.75,22.70]
[32.29,21.79]
step
talk Orendil Broadleaf##3847
turnin Bathran's Hair##1010 |goto 26.44,38.59
accept Orendil's Cure##1020 |goto 26.44,38.59
step
talk Delgren the Purifier##3663
turnin The Tower of Althalaxx##970 |goto 26.20,38.70
accept The Tower of Althalaxx##973 |goto 26.20,38.70
step
Follow the road |goto 25.53,38.43 < 30 |only if walking and subzone("Maestra's Post")
talk Therysil##3585
turnin Therylune's Escape##945 |goto 22.65,51.91
step
Follow the road to Astranaar |goto 28.17,48.38 < 40 |only if walking and subzone("The Shrine of Aessina")
talk Daelyshia##4267
fpath Astranaar |goto 34.41,47.99
step
talk Shindrell Swiftfire##3845
accept The Zoram Strand##1008 |goto 34.67,48.84
step
talk Sentinel Thenysil##4079
accept On Guard in Stonetalon##1070 |goto 34.89,49.79
step
talk Faldreas Goeth'Shael##3996
accept Journey to Stonetalon Peak##1056 |goto 35.77,49.10
step
talk Raene Wolfrunner##3691
|tip Inside the building.
accept Raene's Cleansing##991 |goto 36.62,49.58
step
Enter the building |goto 37.20,51.86 < 10 |walk
talk Pelturas Whitemoon##3894
|tip Inside the building.
turnin Orendil's Cure##1020 |goto 37.37,51.79
step
Watch the dialogue
talk Pelturas Whitemoon##3894
|tip Inside the building.
accept Elune's Tear##1033 |goto 37.37,51.79
step
Follow the road and enter the Barrens |goto The Barrens 48.99,5.39 < 30 |only if walking
talk Takar the Seer##6244
|tip Avoid the Crossroads in the the Barrens as you travel here.
turnin Devourer of Souls##1716 |goto The Barrens 49.31,57.10
accept Heartswood##1738 |goto The Barrens 49.31,57.10
|only if Warlock
step
talk Bragok##16227
fpath Ratchet |goto 63.09,37.16
|only if Warlock
step
click Heartswood##93192
collect Heartswood##6912 |q 1738/1 |goto Ashenvale 31.49,31.45
|only if Warlock
step
Follow the path up |goto Ashenvale 41.60,50.11 < 20 |only if walking
Continue up the path |goto Ashenvale 43.57,45.62 < 30 |only if walking
click Elune's Tear##19015+
|tip They look like white balls on the ground around this area.
collect Elune's Tear##5493 |q 1033/1 |goto Ashenvale 46.24,45.96
step
Follow the path down |goto 44.53,45.37 < 30 |only if walking and subzone("Iris Lake")
Continue down the path |goto 42.31,48.38 < 20 |only if walking and subzone("Iris Lake")
Enter the building |goto 37.20,51.86 < 10 |walk
talk Pelturas Whitemoon##3894
|tip Inside the building.
turnin Elune's Tear##1033 |goto 37.37,51.79
step
Watch the dialogue
talk Pelturas Whitemoon##3894
|tip Inside the building.
accept The Ruins of Stardust##1034 |goto 37.37,51.79
step
click Stardust Covered Bush##19016+
|tip They look like bushes with white sparkles floating off of them on the ground around this area.
|tip Be careful of enemies underwater.						|only if hardcore
|tip Shadethicket Wood Shapers may root you.					|only if hardcore
|tip Shadethicket Raincallers are ranged attackers that deal heavy damage.	|only if hardcore
|tip Move out of the storms that they summon.					|only if hardcore
collect 5 Handful of Stardust##5494 |q 1034/1 |goto 33.42,67.36
step
Kill enemies around this area
|tip You are about to have to kill a difficult level 24 enemy that has a level 24 pet.
|tip It will help to be a level higher.
ding 23 |goto 33.42,67.36
step
_NOTE:_
The Next Step is Optional
|tip The enemy in the next step can be difficult and dangerous.
|tip He is a level 24 enemy with a level 24 pet, who can also summon other minions.
|tip If you are not comfortable with the risk, or don't have someone to help you, you can skip the quest.
|tip If you skip the quest, you will have to grind more later.
|tip If you decide to skip it, abandon the quest "The Tower of Althalaxx".
Click to Continue |confirm |q 973
|only if hardcore
step
Leave the Ruins of Stardust |goto 36.12,61.82 < 40 |only if walking and subzone("The Ruins of Stardust")
Follow the path |goto 28.39,60.88 < 40 |only if walking
Follow the path up |goto 25.86,63.07 < 15 |only if walking
kill Ilkrud Magthrull##3664
|tip Try to carefully pull the 2 Felhounds near him, without pulling him too.
|tip He has a succubus guard, and he summons multiple voidwalkers throughout the fight, so try to kill him quickly.
|tip If you have trouble, try to find someone to help you.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect Ilkrud Magthrull's Tome##5533 |q 973/1 |goto 25.28,60.69
step
talk Delgren the Purifier##3663
turnin The Tower of Althalaxx##973 |goto 26.20,38.70
accept The Tower of Althalaxx##1140 |goto 26.20,38.70
step
Follow the path |goto 22.94,38.34 < 50 |only if walking and not subzone("Lake Falathim")
clicknpc Teronis' Corpse##3891
turnin Raene's Cleansing##991 |goto 20.31,42.33
accept Raene's Cleansing##1023 |goto 20.31,42.33
step
Kill Saltspittle enemies around this area
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Saltspittle Oracles may heal when at low health. |only if hardcore
|tip Enemies here may run away in fear when at low health. |only if hardcore
|tip Be careful of enemies obscured by the water. |only if hardcore
collect Glowing Gem##5463 |q 1023/1 |goto 20.31,42.33
step
Follow the path |goto 18.45,32.56 < 50 |only if walking
talk Talen##3846
accept The Ancient Statuette##1007 |goto 14.79,31.30
stickystart "Collect_Wrathtail_Heads"
step
click Ancient Statuette##17783
collect Ancient Statuette##5424 |q 1007/1 |goto 14.20,20.64
step
talk Talen##3846
turnin The Ancient Statuette##1007 |goto 14.79,31.30
step
Watch the dialogue
talk Talen##3846
accept Ruuzel##1009 |goto 14.79,31.30
step
_NOTE:_
The Next Step is Optional
|tip The enemy in the next step can be difficult and dangerous.
|tip She is a naga who has 2 guards with her.
|tip If you are not comfortable with the risk, or don't have someone to help you, you can skip the quest.
|tip If you skip the quest, you will have to grind more later.
|tip If you decide to skip it, abandon the quest "Ruuzel".
Click to Continue |confirm |q 1009
|only if hardcore
step
kill Ruuzel##3943
|tip She looks like a green naga with pink fins.
|tip She walks clockwise near the water around this small island.
|tip She has 2 guards with her.
|tip If you have trouble, try to get someone to help you, or skip it.
collect Ring of Zoram##5445 |q 1009/1 |goto 6.58,13.46
step
talk Talen##3846
turnin Ruuzel##1009 |goto 14.79,31.30
step
label "Collect_Wrathtail_Heads"
Kill Wrathtail enemies around this area
collect 20 Wrathtail Head##5490 |q 1008/1 |goto 15.14,22.61
You can find more around: |notinsticky
[13.12,29.41]
step
talk Terenthis##3693
|tip Inside the building.
turnin Escape Through Force##994 |goto Darkshore 39.37,43.48
|only if not hardcore
step
talk Shindrell Swiftfire##3845
turnin The Zoram Strand##1008 |goto Ashenvale 34.67,48.84
accept Pridewings of Stonetalon##1134 |goto Ashenvale 34.67,48.84
step
talk Raene Wolfrunner##3691
|tip Inside the building.
turnin Raene's Cleansing##1023 |goto 36.62,49.58
step
_Destroy This Item:_
|tip It is no longer needed.
trash Teronis' Journal##5505
step
Enter the building |goto 37.19,51.86 < 10 |walk
talk Pelturas Whitemoon##3894
|tip Inside the building.
turnin The Ruins of Stardust##1034 |goto 37.37,51.79
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Stonetalon Mountains (23-24)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stonetalon Mountains",
condition_suggested=function() return level >= 23 and level <= 24 and not completedq(1056) end,
next="Leveling Guides\\Ashenvale (24-24)",
hardcore = true,
},[[
step
Follow the path up |goto Ashenvale 36.76,71.36 < 30 |only if walking and not zone("Stonetalon Mountains")
Run through the tunnel to Stonetalon Mountains |goto Ashenvale 42.27,71.09 < 15 |only if walking and not zone("Stonetalon Mountains")
Enter the building |goto Stonetalon Mountains 59.04,62.24 < 10 |walk
talk Ziz Fizziks##4201
|tip Inside the building.
accept Super Reaper 6000##1093 |goto Stonetalon Mountains 58.99,62.60
step
Follow the path up around the cliff |goto 60.06,70.00 < 40 |only if walking
talk Kaela Shadowspear##4080
turnin On Guard in Stonetalon##1070 |goto 59.90,66.85
accept On Guard in Stonetalon##1085 |goto 59.90,66.85
|tip This requires a questchain that starts in the "Ashenvale (22-23)" guide.
step
talk Gaxim Rustfizzle##4077
turnin On Guard in Stonetalon##1085 |goto 59.52,67.15
accept A Gnome's Respite##1071 |goto 59.52,67.15
stickystart "Kill_Venture_Co_Loggers"
stickystart "Kill_Venture_Co_Deforesters"
step
kill Venture Co. Operator##3988+
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Venture Co. Deforesters are casters that aggro from a wide range and deal heavy damage. |only if hardcore |notinsticky
collect Super Reaper 6000 Blueprints##5734 |q 1093/1 |goto 62.33,53.49
You can find more around: |notinsticky
[66.16,52.01]
[66.49,45.90]
[70.97,43.13]
[73.02,49.47]
[74.68,55.44]
step
label "Kill_Venture_Co_Loggers"
kill 10 Venture Co. Logger##3989 |q 1071/1 |goto 60.44,52.78
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Venture Co. Deforesters are casters that aggro from a wide range and deal heavy damage. |only if hardcore |notinsticky
You can find more around: |notinsticky
[71.20,56.50]
[70.01,48.11]
[64.24,46.72]
step
label "Kill_Venture_Co_Deforesters"
kill 10 Venture Co. Deforester##3991 |q 1071/2 |goto 60.44,52.78
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
You can find more around: |notinsticky
[71.20,56.50]
[70.01,48.11]
[64.24,46.72]
step
Kill enemies around this area
|tip You should already be level 24, or very close.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Venture Co. Deforesters are casters that aggro from a wide range and deal heavy damage. |only if hardcore |notinsticky
ding 24 |goto 60.44,52.78
You can find more around: |notinsticky
[71.20,56.50]
[70.01,48.11]
[64.24,46.72]
step
Enter the building |goto 59.04,62.24 < 10 |walk
talk Ziz Fizziks##4201
|tip Inside the building.
turnin Super Reaper 6000##1093 |goto 58.99,62.60
step
Follow the path up around the cliff |goto 60.06,70.00 < 40 |only if walking
talk Gaxim Rustfizzle##4077
turnin A Gnome's Respite##1071 |goto 59.52,67.15
accept An Old Colleague##1072 |goto 59.52,67.15
accept A Scroll from Mauren##1075 |goto 59.52,67.15
step
Kill Pridewing enemies around this area
'|kill Pridewing Wyvern##4012, Pridewing Consort##4014, Pridewing Skyhunter##4013, Young Pridewing##4011, Pridewing Patriarch##4015
|tip They look like wyverns.
collect 12 Pridewing Venom Sac##5808 |q 1134/1 |goto 51.55,45.08
You can find more around: |notinsticky
[54.89,42.08]
[54.05,39.63]
[45.90,46.08]
step
Follow the path to Stonetalon Peak |goto 46.86,31.45 < 30 |only if walking and not subzone("Stonetalon Peak")
talk Keeper Albagorm##3994
turnin Journey to Stonetalon Peak##1056 |goto 37.10,8.10
step
talk Teloren##4407
fpath Stonetalon Peak |goto 36.44,7.18
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ashenvale (24-24)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Ashenvale",
condition_suggested=function() return level == 24 and not completedq(1054) end,
next="Leveling Guides\\Wetlands (24-25)",
hardcore = true,
},[[
step
talk Shindrell Swiftfire##3845
turnin Pridewings of Stonetalon##1134 |goto Ashenvale 34.67,48.84
step
talk Raene Wolfrunner##3691
|tip Inside the building.
accept An Aggressive Defense##1025 |goto 36.62,49.58
accept Culling the Threat##1054 |goto 36.62,49.58
step
talk Innkeeper Kimlya##6738
|tip Inside the building.
home Astranaar |goto 36.99,49.22
stickystart "Kill_Foulweald_Ursas"
stickystart "Kill_Foulweald_Totemics"
stickystart "Kill_Foulweald_Warriors"
step
kill Foulweald Den Watcher##3746 |q 1025/1 |goto 50.44,61.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Foulweald Shaman and Totemics utilize totems which should be destroyed as they appear. |only if hardcore |notinsticky
|tip Enemies near buildings tend to pull in groups so be prepared. |only if hardcore |notinsticky
You can find more around [55.84,62.92]
step
label "Kill_Foulweald_Ursas"
kill 2 Foulweald Ursa##3749 |q 1025/2 |goto 50.44,61.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Foulweald Shaman and Totemics utilize totems which should be destroyed as they appear. |only if hardcore |notinsticky
|tip Enemies near buildings tend to pull in groups so be prepared. |only if hardcore |notinsticky
You can find more around [55.84,62.92]
step
label "Kill_Foulweald_Totemics"
kill 10 Foulweald Totemic##3750 |q 1025/3 |goto 50.44,61.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Foulweald Shaman and Totemics utilize totems which should be destroyed as they appear. |only if hardcore |notinsticky
|tip Enemies near buildings tend to pull in groups so be prepared. |only if hardcore |notinsticky
You can find more around [55.84,62.92]
step
label "Kill_Foulweald_Warriors"
kill 12 Foulweald Warrior##3743 |q 1025/4 |goto 50.44,61.25
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Foulweald Shaman and Totemics utilize totems which should be destroyed as they appear. |only if hardcore |notinsticky
|tip Enemies near buildings tend to pull in groups so be prepared. |only if hardcore |notinsticky
You can find more around [55.84,62.92]
step
Enter the building |goto 50.12,66.47 < 15 |walk
talk Sentinel Velene Starstrike##3885
|tip Inside the building.
accept Elemental Bracers##1016 |goto 49.80,67.21
step
kill Befouled Water Elemental##3917+
|tip You can find more in the water surrounding this small island.
|tip Be careful of Tideress, a level 27 green water elemental that moves around this area.
|tip These enemies are immune to frost damage.
collect 5 Intact Elemental Bracer##12220 |goto 48.38,69.68 |q 1016
step
use the Divining Scroll##5456
collect Divined Scroll##5455 |q 1016/1
step
talk Sentinel Velene Starstrike##3885
|tip Inside the building.
turnin Elemental Bracers##1016 |goto 49.80,67.21
step
talk Jarrodenus##12577
fpath Talrendis Point |goto Azshara 11.90,77.59
|only if not hardcore
step
talk Raene Wolfrunner##3691
|tip Inside the building.
turnin An Aggressive Defense##1025 |goto Ashenvale 36.62,49.58
step
Follow the path up |goto 41.67,49.97 < 20 |only if walking and not subzone("Thistlefur Village")
kill Dal Bloodclaw##3987
|tip He looks like a grey furbolg that walks around this area.
|tip Avoid pulling him when near buildings. |only if hardcore
|tip Clear an area before engaging. |only if hardcore
collect Dal Bloodclaw's Skull##5544 |q 1054/1 |goto 37.35,35.60
Also check around [39.36,36.52]
step
talk Raene Wolfrunner##3691
|tip Inside the building.
turnin Culling the Threat##1054 |goto 36.62,49.58
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Wetlands (24-25)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Wetlands",
condition_suggested=function() return level >= 24 and level <= 25 and not completedq(1075) end,
next="Leveling Guides\\Duskwood (25-27)",
hardcore = true,
},[[
step
Follow the path |goto Stormwind City 74.74,53.70 < 10 |only if walking
Enter the building |goto Stormwind City 77.14,58.02 < 10 |walk
talk Master Mathias Shaw##332
|tip Upstairs inside the building.
accept Mathias and the Defias##2360 |goto Stormwind City 75.78,59.85
|only if Rogue
step
talk Thor##523
fpath Sentinel Hill |goto Westfall 56.56,52.64
|only if Rogue
step
talk Agent Kearnen##7024
turnin Mathias and the Defias##2360 |goto 68.49,70.08
accept Klaven's Tower##2359 |goto 68.49,70.08
|only if Rogue
step
collect Defias Tower Key##7923 |q 2359/2 |goto 71.63,73.91
|tip Use your "Pickpocket" ability on a Malformed Defias Drone.
|tip He walks around this area.
|only if Rogue
step
Enter the building |goto 69.97,74.07 < 10 |walk
click Duskwood Chest##123214
|tip Upstairs inside the building, on the top level.
|tip You will get a debuff after opening it.
|tip Use your "Sap" ability on Klaven Mortwake nearby before clicking the chest.
|tip He is elite, but you should be fine.
|tip If you have trouble, try to find someone to help you.
collect Klaven Mortwake's Journal##7908 |q 2359/1 |goto 70.41,73.93
|only if Rogue
step
Leave the building |goto 69.95,74.04 < 10 |walk |only if zone("Westfall") and _G.IsIndoors()
Follow the path |goto Stormwind City 74.74,53.70 < 10 |only if walking
Enter the building |goto Stormwind City 77.14,58.02 < 10 |walk
talk Master Mathias Shaw##332
|tip Upstairs inside the building.
turnin Klaven's Tower##2359 |goto Stormwind City 75.78,59.85
accept The Touch of Zanzil##2607 |goto Stormwind City 75.78,59.85
|only if Rogue
step
talk Doc Mixilpixil##7207
|tip Downstairs inside the building.
turnin The Touch of Zanzil##2607 |goto 78.04,58.77
accept The Touch of Zanzil##2608 |goto 78.04,58.77
|only if Rogue
step
Watch the dialogue
|tip Use the "/lay" emote (type it in your chat) while targeting Doc Mixilpixil.
Complete the Diagnosis |q 2608/1 |goto 78.04,58.77
|only if Rogue
step
talk Doc Mixilpixil##7207
|tip Downstairs inside the building.
turnin The Touch of Zanzil##2608 |goto 78.04,58.77
|only if Rogue
step
Remove the Touch of Zanzil |nobuff Touch of Zanzil##9991
|tip You will still have the "Touch of Zanzil" debuff.
|tip There is a quest to remove the debuff.
|tip The quest makes you gather items in Stormwind City, but gathering the items can cost a lot of silver.
|tip To remove the buff without doing the quest and wasting money, you have 2 options:
|tip If you have First Aid leveled, create an "Anti-Venom" and use it on yourself.
|tip You can also try to buy one from the Auction House, they're usually cheap. |only if not selfmade
|tip Alternatively, try to ask a Druid player to use their "Cure Poison" ability on you.
|only if Rogue
step
talk Jasper Fel##1325
|tip Inside the building, on the middle floor.
|tip Stock up on Dust of Decay and Empty Vials, at least 20 of each.
|tip You will use these to create poisons soon to use on your weapon to help you deal more damage.
|tip The poisons only last for 30 minutes, so you want to have enough to be able to always poison your weapon.
Visit the Vendor |vendor Jasper Fel##1325 |goto 78.32,58.98 |q 484 |future
|only if Rogue
step
talk James Halloran##2094
|tip He walks around this area.
accept Young Crocolisk Skins##484 |goto Wetlands 8.51,55.71
step
talk Karl Boran##1242
|tip He walks around this area.
accept Claws from the Deep##279 |goto 8.31,58.53
step
talk First Mate Fitzsimmons##1239
accept The Third Fleet##288 |goto 10.89,59.67
accept The Greenwarden##463 |goto 10.89,59.67
step
Enter the building |goto 10.79,59.76 < 10 |walk
talk Innkeeper Helbrek##1464
|tip He walks around inside the building.
home Deepwater Tavern |goto 10.70,60.95
step
talk Innkeeper Helbrek##1464
|tip He walks around inside the building.
buy Flagon of Mead##2594 |q 288/1 |goto 10.70,60.95
step
talk Archaeologist Flagongut##2911
|tip Upstairs inside the building.
turnin The Absent Minded Prospector##942 |goto 10.84,60.43
step
Leave the building |goto 10.79,59.77 < 10 |walk |only if subzone("Deepwater Tavern")
talk First Mate Fitzsimmons##1239
turnin The Third Fleet##288 |goto 10.89,59.67
step
talk Edwina Monzor##1462
|tip She walks around this area.
|tip If you need any more, only buy enough level 10 ammo to get you to level 25.
|tip You will switch to level 25 ammo at level 25.
|tip Buy enough level 25 ammo to fill your ammo bag, and save it in your bags to switch to it later, once you hit level 25 soon.
Visit the Vendor |vendor Edwina Monzor##1462 |goto Wetlands/0 11.11,58.33 |q 463
|only if Hunter
step
talk Sida##2111
accept Digging Through the Ooze##470 |goto Wetlands 11.80,57.99
step
Enter the building |goto 10.30,56.30 < 15 |walk
talk Neal Allen##1448
|tip Inside the building.
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
Visit the Vendor |vendor Neal Allen##1448 |goto Wetlands 10.75,56.75 |q 174 |future
|only if itemcount(4371) == 0
step
Leave the building |goto 10.30,56.30 < 15 |walk |only if subzone("Menethil Keep")
Leave Menethil Harbor |goto 10.96,54.57 < 30 |only if walking and subzone("Menethil Harbor")
kill Young Wetlands Crocolisk##1417+
|tip Underwater around this area.
collect 4 Young Crocolisk Skin##3397 |q 484/1 |goto 20.01,46.59
You can find more around: |notinsticky
[27.47,40.25]
[34.44,36.03]
stickystart "Slay_Bluegill_Murlocs"
step
kill Gobbler##1259
|tip He looks like a grey murloc that walks around this area.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect Gobbler's Head##3618 |q 279/2 |goto 17.99,40.38
Also check around: |notinsticky
[14.45,41.53]
[14.86,35.88]
step
label "Slay_Bluegill_Murlocs"
Kill Bluegill enemies around this area
|tip They look like murlocs.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies near huts will likely pull in groups, so avoid if possible. |only if hardcore |notinsticky
Slay #12# Bluegill Murlocs |q 279/1 |goto 13.64,39.55
step
Kill enemies around this area
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Enemies near huts will likely pull in groups, so avoid if possible. |only if hardcore |notinsticky
|tip You should already be close to reaching level 25.
ding 25 |goto 16.87,40.02
step
_NOTE:_
You Have Access to Stronger Ammo
|tip Now that you're level 25, you can purchase stronger bullets or arrows.
|tip When you restock ammo at vendors, make sure to buy level 25 ammo.
|tip Destroy all of your level 10 ammo, and use the level 25 ammo you bought earlier.
Click Here to Continue |confirm |q 279
|only if Hunter
step
talk Fradd Swiftgear##2682
|tip He walks around this area.
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
Visit the Vendor |vendor Fradd Swiftgear##2682 |goto Wetlands 26.40,25.76 |q 174 |future
|only if itemcount(4371) == 0
step
Kill Ooze enemies around this area
|tip Inside and outside the crypt.
collect Sida's Bag##3349 |q 470/1 |goto 44.28,25.51
step
talk Einar Stonegrip##2093
accept Daily Delivery##469 |goto 49.91,39.37
step
talk Rethiel the Greenwarden##1244
turnin The Greenwarden##463 |goto 56.37,40.40
accept Tramping Paws##276 |goto 56.37,40.40
stickystart "Kill_Mosshide_Gnolls"
step
kill 10 Mosshide Mongrel##1008 |q 276/2 |goto 61.18,57.60
|tip Avoid pulling from the camp areas if possible. |only if hardcore
|tip Enemies around there tend to pull in groups. |only if hardcore
|tip Watch for patrols and respawns while in the area. |only if hardcore
You can find more around: |notinsticky
[64.11,63.15]
[62.39,70.70]
[55.68,74.52]
step
label "Kill_Mosshide_Gnolls"
kill 15 Mosshide Gnoll##1007 |q 276/1 |goto 64.11,63.15
|tip Avoid pulling from the camp areas if possible. |only if hardcore |notinsticky
|tip Enemies around there tend to pull in groups. |only if hardcore |notinsticky
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
You can find more around: |notinsticky
[62.39,70.70]
[55.68,74.52]
step
talk Rethiel the Greenwarden##1244
turnin Tramping Paws##276 |goto 56.37,40.40
accept Fire Taboo##277 |goto 56.37,40.40
step
_Note:_
Check Your Hearthstone
|tip The next step will instruct you to jump off of a bridge into the water.
|tip Afterwards, the guide assumes you will hearth back to Menethil Harbor.
|tip If your Hearthstone is not ready to use, you will have to swim a long way and it takes a while, so grind until it's ready.
|tip If you don't want to wait at all, skip the next 2 guide steps.
|tip You will have to skip a handful of quests worth about 10,000 xp.
Click Here to Continue |confirm |q 637 |future
|only if C_Container.GetItemCooldown(6948) > 0
step
Cross the bridge |goto 51.11,11.59 < 30 |only if walking
Jump off the bridge into the water |goto 50.65,8.53 < 15 |only if walking
click Waterlogged Letter##2656
|tip It looks like a rolled up white scroll in the hand of a dead dwarf.
|tip Underwater.
collect Waterlogged Envelope##4433 |goto Arathi Highlands 44.29,92.88 |q 637 |future |notravel
step
use the Waterlogged Envelope##4433
accept Sully Balloo's Letter##637
step
talk Sida##2111
turnin Digging Through the Ooze##470 |goto Wetlands 11.80,57.99
step
Enter the building |goto 10.30,56.30 < 15 |walk
talk Neal Allen##1448
|tip Inside the building.
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
Visit the Vendor |vendor Neal Allen##1448 |goto Wetlands 10.75,56.75 |q 174 |future
|only if itemcount(4371) == 0
step
Leave the building |goto 10.30,56.30 < 15 |walk |only if subzone("Menethil Keep")
talk James Halloran##2094
|tip He walks around this area.
turnin Young Crocolisk Skins##484 |goto 8.51,55.71
accept Apprentice's Duties##471 |goto 8.51,55.71
turnin Daily Delivery##469 |goto 8.51,55.71
step
talk Karl Boran##1242
|tip He walks around this area.
turnin Claws from the Deep##279 |goto 8.31,58.53
accept Reclaiming Goods##281 |goto 8.31,58.53
step
Run up the stairs and enter the building |goto Ironforge 61.32,88.18 < 7 |walk
talk Buliwyf Stonehand##11865
|tip Inside the building.
|tip This will allow you to equip two-handed axes.
Train Two-Handed Axes |complete weaponskill("TH_AXE") > 0 |goto Ironforge 61.17,89.52
|only if Paladin
step
Run up the stairs and enter the building |goto Ironforge 50.21,7.54 < 7 |walk
talk Gerrig Bonegrip##2786
|tip Inside the building.
turnin The Powers Below##968 |goto Ironforge 50.83,5.62
|only if haveq(968) or completedq(968)
step
talk Gearcutter Cogspinner##5175
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
Visit the Vendor |vendor Gearcutter Cogspinner##5175 |goto 67.84,42.50 |q 174 |future
|only if itemcount(4371) == 0
step
talk Lomac Gearstrip##4081
turnin An Old Colleague##1072 |goto 72.10,51.89
step
talk Sara Balloo##2695
turnin Sully Balloo's Letter##637 |goto 63.48,67.29
step
Watch the dialogue
talk Sara Balloo##2695
accept Sara Balloo's Plea##683 |goto 63.48,67.29
step
Follow the path |goto 44.57,49.55 < 10 |walk
talk King Magni Bronzebeard##2784
turnin Sara Balloo's Plea##683 |goto 39.11,56.17
accept A King's Tribute##686 |goto 39.11,56.17
step
Follow the path |goto 44.57,49.55 < 10 |walk |only if subzone("The High Seat")
Run up the stairs and enter the building |goto 38.53,85.78 < 7 |walk
talk Grand Mason Marblesten##2790
|tip He walks around inside the building.
turnin A King's Tribute##686 |goto 39.03,88.02
accept A King's Tribute##689 |goto 39.03,88.02
step
talk Billibub Cogspinner##5519
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip This item is needed for a quest later on in Duskwood.
Visit the Vendor |vendor Billibub Cogspinner##5519 |goto Stormwind City 55.21,7.05 |q 174 |future
|only if itemcount(4371) == 0
step
talk Collin Mauren##4078
turnin A Scroll from Mauren##1075 |goto 43.09,80.38
step
Enter the building |goto Stormwind City 29.14,74.17 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Heartswood##1738 |goto Stormwind City 25.26,78.56
accept The Binding##1739 |goto Stormwind City 25.26,78.56
|only if Warlock
step
use the Heartswood Core##6913
|tip Use it while standing on the pink symbol on the ground.
|tip Further downstairs inside the building, inside the crypt.
kill Summoned Succubus##5677 |q 1739/1 |goto 25.11,77.46
|only if Warlock
step
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building, in the basement above the crypt.
turnin The Binding##1739 |goto 25.25,78.56
|only if Warlock
step
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
|tip If you can afford them.
|tip Buy all of the Grimoires for spells that are upgrades for the spells you use with your pet.
|tip After buying them, make sure to use them in your bags to learn the spells.
Visit the Vendor |vendor Spackle Thornberry##5520 |goto 25.66,77.66 |q 66 |future
|only if Warlock
step
_NOTE:_
Be Prepared to Fight Waves of Enemies
|tip When you accept the quest in the next step, you will have to protect and NPC from 3 waves of level 17-18 enemies.
|tip First Wave - 3 enemies.
|tip Second Wave - 4 enemies.
|tip Third Wave - 5 enemies.
|tip Remember to heal and use your defensive abilities when needed, preferably during the ladder waves.
|tip Bring food and water to eat and drink between the waves.
|tip You should be able to complete the quest at this level.
Click Here to Continue |confirm |q 1650
|only if Paladin
step
Follow the path up through the mountains |goto Westfall 52.64,72.27 < 50 |only if walking
Follow the path around the mountain |goto Westfall 38.44,82.68 < 20 |only if walking
talk Daphne Stilwell##6182
|tip She walks around this area.
turnin The Tome of Valor##1650 |goto Westfall 42.33,88.64
accept The Tome of Valor##1651 |goto Westfall 42.33,88.64
|only if Paladin
step
Watch the dialogue
Kill the enemies that attack in waves
|tip You will be attacked by 3 waves of level 17 - 18 enemies.
|tip First Wave - 3 enemies.
|tip Second Wave - 4 enemies.
|tip Third Wave - 5 enemies.
|tip Remember to heal and use your defensive abilities when needed, preferably during the ladder waves.
|tip Eat and drink between the waves.
|tip You should be able to complete the quest at this level.
Protect Daphne Stilwell |q 1651/1 |goto 42.33,88.64
|only if Paladin
step
talk Daphne Stilwell##6182
|tip She walks around this area.
turnin The Tome of Valor##1651 |goto 41.68,89.09
accept The Tome of Valor##1652 |goto 41.68,89.09
|only if Paladin
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Duskwood (25-27)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Duskwood",
condition_suggested=function() return level >= 25 and level <= 27 and not completedq(57) end,
next="Leveling Guides\\Redridge Mountains (27-28)",
hardcore = true,
},[[
step
talk Malissa##3135
|tip Walking around here.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Malissa##3135 |goto Duskwood 79.44,44.44 |q 66 |future
|only if Rogue
step
Enter the building |goto Duskwood 75.55,45.37 < 10 |walk
talk Madame Eva##265
|tip She walks around this area inside the building.
accept The Legend of Stalvan##66 |goto Duskwood 75.82,45.29
accept The Totem of Infliction##101 |goto Duskwood 75.82,45.29
step
talk Steven Black##10062
|tip Stable your permanent pet.
|tip You are about to tame a temporary pet soon, so you can learn "Bite 4".
Click Here to Continue |confirm |goto Duskwood 74.02,46.11 |q 101
|only if Hunter
step
_NOTE:_
Tame a Black Ravager
|tip Use your "Tame Beast" ability on a Black Ravager.
|tip They look like black wolves around this area.
|tip Make sure to tame a regular "Black Ravager", and not the Young or Mastiff variants.
Learn the "Bite 4" Pet Ability
|tip Kill enemies around this area until you see a message in your chat saying you learned "Bite 4".
|tip You will teach "Bite 4" to your permanent pet soon.
Click Here to Continue |confirm |goto 67.90,32.14 |q 101
|only if Hunter
step
talk Steven Black##10062
|tip Abandon your temporary pet and get your permanent pet from the stable.
|tip Teach "Bite 4" to your permanent pet.
Click Here to Continue |confirm |goto 74.02,46.11 |q 101
|only if Hunter
step
Enter the building |goto Duskwood 73.83,46.02 < 10 |walk
talk Innkeeper Trelayne##6790
|tip Inside the building.
home Darkshire |goto Duskwood 73.87,44.41
step
Leave the building |goto 73.83,46.02 < 10 |walk |only if subzone("Scarlet Raven Tavern")
talk Commander Althea Ebonlocke##264
|tip She walks around this area.
accept The Night Watch##56 |goto 73.60,46.90
step
Enter the building |goto 72.93,46.81 < 10 |walk
talk Clerk Daltry##267
|tip He walks around this area inside the building.
turnin The Legend of Stalvan##66 |goto 72.52,46.85
accept The Legend of Stalvan##67 |goto 72.52,46.85
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Merciless Axe##12249 |n
|tip If you can afford it.
|tip You will use it when you reach level 26.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 163 |future
|only if Warrior and itemcount(12249) == 0
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Merciless Axe##12249 |n
|tip If you can afford it.
|tip You will use it when you reach level 26.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 163 |future
|only if Paladin and itemcount(12249) == 0
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Broad Bladed Knife##12247 |n
|tip If you can afford it.
|tip You will use it when you reach level 27.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 163 |future
|only if Rogue and itemcount(12247) == 0
step
Enter the building |goto Duskwood 75.23,48.26 < 10 |walk
talk Elaine Carevin##633
|tip Inside the building.
accept Raven Hill##163 |goto Duskwood 75.33,48.69
accept The Hermit##165 |goto Duskwood 75.33,48.69
accept Deliveries to Sven##164 |goto Duskwood 75.33,48.69
step
talk Felicia Maline##2409
fpath Darkshire |goto 77.49,44.29
step
talk Herble Baubbletump##3133
buy Bronze Tube##4371 |n
|tip If you can afford it.
|tip It may not be for sale, since it's a limited supply item.
|tip You need this item now for a quest in the next guide step.
|tip If you haven't been able to buy one while following the guide so far, fly to Stormwind City and buy one from the auction house. |only if not selfmade
collect Bronze Tube##4371 |goto 77.99,48.33 |q 174 |future
step
Enter the building |goto 79.78,47.69 < 10 |walk
talk Viktori Prism'Antras##276
|tip Inside the building.
accept Look To The Stars##174 |goto 79.80,48.02
step
talk Viktori Prism'Antras##276
|tip Inside the building.
turnin Look To The Stars##174 |goto 79.80,48.02
accept Look To The Stars##175 |goto 79.80,48.02
step
Enter the building |goto 81.67,59.14 < 10 |walk
talk Blind Mary##302
|tip She walks around inside the building.
turnin Look To The Stars##175 |goto 81.99,59.09
accept Look To The Stars##177 |goto 81.99,59.09
stickystart "Kill_Skeletal_Mages"
stickystart "Kill_Skeletal_Warriors"
step
Enter the building |goto 80.33,71.10 < 10 |walk
kill Insane Ghoul##511
|tip He walks around inside the building.
|tip He may also leave the building and walk around the graveyard.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Skeletal mages may aggro from a decent distance. |only if hardcore |notinsticky
collect Mary's Looking Glass##1946 |q 177/1 |goto 80.94,71.40
step
Kill Skeletal enemies around this area
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Skeletal mages may aggro from a decent distance. |only if hardcore |notinsticky
collect 10 Skeleton Finger##2378 |q 101/3 |goto 79.42,70.31
step
label "Kill_Skeletal_Mages"
kill 6 Skeletal Mage##203 |q 56/2 |goto 79.42,70.31
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Skeletal mages may aggro from a decent distance. |only if hardcore |notinsticky
step
label "Kill_Skeletal_Warriors"
kill 8 Skeletal Warrior##48 |q 56/1 |goto 79.42,70.31
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Skeletal mages may aggro from a decent distance. |only if hardcore |notinsticky
step
Kill enemies around this area
|tip You should already be very close to reaching level 26.
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Skeletal mages may aggro from a decent distance. |only if hardcore |notinsticky
ding 26 |goto 79.42,70.31
step
Follow the road |goto 72.18,59.00 < 50 |only if walking and (subzone("Tranquil Gardens Cemetery") or subzone("Darkshire"))
talk Jitters##288
|tip He walks around this area.
turnin Raven Hill##163 |goto 18.16,56.51
accept Jitters' Growling Gut##5 |goto 18.16,56.51
step
talk Sven Yorgen##311
turnin Deliveries to Sven##164 |goto 7.78,34.07
accept Sven's Revenge##95 |goto 7.78,34.07
step
talk Lars##893
accept Wolves at Our Heels##226 |goto 7.71,33.20
stickystart "Kill_Rabid_Dire_Wolves"
step
map Duskwood
path follow smart; loop off; ants straight; dist 50; markers none
path	11.81,29.39	15.57,24.64	18.51,23.95	23.24,26.03	29.03,26.73
path	33.15,23.17	37.32,19.68	45.37,18.08
kill 12 Starving Dire Wolf##213 |q 226/1
|tip You can find them all along the coast of the river.
step
label "Kill_Rabid_Dire_Wolves"
map Duskwood
path follow smart; loop off; ants straight; dist 50; markers none
path	11.81,29.39	15.57,24.64	18.51,23.95	23.24,26.03	29.03,26.73
path	33.15,23.17	37.32,19.68	45.37,18.08
kill 8 Rabid Dire Wolf##565 |q 226/2
|tip You can find them all along the coast of the river. |notinsticky
step
talk Abercrombie##289
|tip Inside the building.
turnin The Hermit##165 |goto 28.11,31.47
accept Supplies from Darkshire##148 |goto 28.11,31.47
stickystart "Collect_Gooey_Spider_Legs"
step
kill Black Widow Hatchling##930+
collect 5 Vial of Spider Venom##1130 |q 101/2 |goto 31.85,35.93
You can find more around: |notinsticky
[28.46,48.96]
[32.20,55.11]
step
label "Collect_Gooey_Spider_Legs"
kill Black Widow Hatchling##930+
collect 6 Gooey Spider Leg##2251 |goto 31.85,35.93 |q 93 |future
|tip Be careful not to accidentally sell these to a vendor.
You can find more around: |notinsticky
[28.46,48.96]
[32.20,55.11]
step
Kill enemies around this area
|tip Only enemies that look like ghouls will drop the quest item.
collect 10 Ghoul Fang##1129 |q 101/1 |goto 24.74,36.61
|tip Watch for respawns while in the area. |only if hardcore
You can find more inside the crypt at [23.59,34.89]
step
Leave the crypt |goto 23.59,34.89 < 15 |walk |only if subzone("Dawning Wood Catacombs") and _G.IsIndoors()
talk Lars##893
turnin Wolves at Our Heels##226 |goto 7.71,33.20
step
talk Thor##523
fpath Sentinel Hill |goto Westfall 56.55,52.64
step
Enter the building |goto 42.22,66.90 < 10 |walk
click Old Footlocker
|tip Inside the building.
turnin The Legend of Stalvan##67 |goto 41.51,66.73
accept The Legend of Stalvan##68 |goto 41.51,66.73
step
talk Chef Grual##272
|tip He walks around this area inside the building.
turnin Jitters' Growling Gut##5 |goto Duskwood 73.78,43.45
accept Dusky Crab Cakes##93 |goto Duskwood 73.78,43.45
step
talk Chef Grual##272
|tip He walks around this area inside the building.
turnin Dusky Crab Cakes##93 |goto 73.78,43.45
accept Return to Jitters##240 |goto 73.78,43.45
step
_Destroy or Sell These Items:_
|tip They are no longer needed.
trash Gooey Spider Leg##2251
step
Leave the building |goto 73.82,46.01 < 10 |walk |only if subzone("Scarlet Raven Tavern")
talk Commander Althea Ebonlocke##264
|tip She walks around this area.
turnin The Night Watch##56 |goto 73.59,46.90
accept The Night Watch##57 |goto 73.59,46.90
step
Enter the building |goto 72.93,46.81 < 10 |walk
talk Clerk Daltry##267
|tip He walks around this area inside the building.
turnin The Legend of Stalvan##68 |goto 72.52,46.85
accept The Legend of Stalvan##69 |goto 72.52,46.85
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Merciless Axe##12249 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 101
|only if Warrior and itemcount(12249) == 0
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Merciless Axe##12249 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 101
|only if Paladin and itemcount(12249) == 0
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Broad Bladed Knife##12247 |n
|tip If you can afford it.
|tip You will use it when you reach level 27.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 101
|only if Rogue and itemcount(12247) == 0
step
Enter the building |goto Duskwood 75.57,45.37 < 10 |walk
talk Madame Eva##265
|tip She walks around this area inside the building.
turnin The Totem of Infliction##101 |goto Duskwood 75.81,45.29
turnin Supplies from Darkshire##148 |goto Duskwood 75.81,45.29
accept Ghost Hair Thread##149 |goto Duskwood 75.81,45.29
step
Enter the building |goto 79.78,47.69 < 10 |walk
talk Viktori Prism'Antras##276
|tip Inside the building.
turnin Look To The Stars##177 |goto 79.80,48.02
step
Enter the building |goto 81.68,59.13 < 10 |walk
talk Blind Mary##302
|tip She walks around inside the building.
turnin Ghost Hair Thread##149 |goto 81.98,59.09
accept Return the Comb##154 |goto 81.98,59.09
step
Enter the building |goto 75.57,45.37 < 10 |walk
talk Madame Eva##265
|tip She walks around this area inside the building.
turnin Return the Comb##154 |goto 75.81,45.29
accept Deliver the Thread##157 |goto 75.81,45.29
step
click Mound of loose dirt
|tip Be careful, there are stealthed enemies around this area.
turnin Sven's Revenge##95 |goto 49.86,77.70
accept Sven's Camp##230 |goto 49.86,77.70
step
Follow the road |goto 43.59,65.05 < 40 |only if walking and subzone("The Yorgen Farmstead")
talk Jitters##288
|tip He walks around this area.
turnin Return to Jitters##240 |goto 18.14,56.52
step
talk Sven Yorgen##311
turnin Sven's Camp##230 |goto 7.78,34.07
accept The Shadowy Figure##262 |goto 7.78,34.07
step
talk Abercrombie##289
|tip Inside the building.
turnin Deliver the Thread##157 |goto 28.11,31.47
accept Zombie Juice##158 |goto 28.11,31.47
step
Enter the building |goto Elwynn Forest 42.95,65.64 < 10 |walk
talk Innkeeper Farley##295
|tip Inside the building.
turnin The Legend of Stalvan##69 |goto Elwynn Forest 43.77,65.80
accept The Legend of Stalvan##70 |goto Elwynn Forest 43.77,65.80
step
click Storage Chest
|tip Upstairs inside the building.
collect An Undelivered Letter##910 |q 70/1 |goto 44.29,65.82
step
Leave the building |goto 42.95,65.64 < 10 |walk |only if subzone("Lion's Pride Inn")
talk Caretaker Folsom##297
turnin The Legend of Stalvan##70 |goto Stormwind City 29.58,61.93
accept The Legend of Stalvan##72 |goto Stormwind City 29.58,61.93
step
click Sealed Crate
turnin The Legend of Stalvan##72 |goto 29.46,61.58
accept The Legend of Stalvan##74 |goto 29.46,61.58
step
Enter the building |goto 29.15,74.15 < 10 |walk
talk Zardeth of the Black Claw##1435
|tip Downstairs inside the building.
accept A Noble Brew##335 |goto 26.45,78.66
step
Leave the building |goto 29.15,74.15 < 10 |walk |only if subzone("The Slaughtered Lamb")
Enter the building |goto Duskwood 75.55,45.37 < 10 |walk
talk Madame Eva##265
|tip She walks around this area inside the building.
turnin The Shadowy Figure##262 |goto Duskwood 75.81,45.29
accept The Shadowy Search Continues##265 |goto Duskwood 75.81,45.29
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Merciless Axe##12249 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 265
|only if Warrior and itemcount(12249) == 0
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Merciless Axe##12249 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 265
|only if Paladin and itemcount(12249) == 0
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Broad Bladed Knife##12247 |n
|tip If you can afford it.
|tip You will use it when you reach level 27.
|tip It may not be available to buy, since it's a limited supply item.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 265
|only if Rogue and itemcount(12247) == 0
step
Enter the building |goto Duskwood 72.92,46.81 < 10 |walk
talk Clerk Daltry##267
|tip He walks around this area inside the building.
turnin The Shadowy Search Continues##265 |goto Duskwood 72.53,46.85
accept Inquire at the Inn##266 |goto Duskwood 72.53,46.85
step
Enter the building |goto 73.82,46.03 < 10 |walk
talk Tavernkeep Smitts##273
|tip He walks around this area inside the building.
turnin Inquire at the Inn##266 |goto 73.78,44.48
accept Finding the Shadowy Figure##453 |goto 73.78,44.48
turnin Zombie Juice##158 |goto 73.78,44.48
accept Gather Rot Blossoms##156 |goto 73.78,44.48
step
Leave the building |goto 73.82,46.03 < 10 |walk |only if subzone("Scarlet Raven Tavern")
talk Jitters##288
|tip He walks around this area.
turnin Finding the Shadowy Figure##453 |goto 18.14,56.52
accept Return to Sven##268 |goto 18.14,56.52
stickystart "Kill_Skeletal_Fiends"
stickystart "Kill_Skeletal_Horrors"
step
Kill Skeletal enemies around this area
|tip Only Skeletal Fiends and Skeletal Horrors will drop the quest item.
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
collect 8 Rot Blossom##1598 |q 156/1 |goto 15.20,44.97
You can find more around: |notinsticky
[21.50,47.70]
[22.93,43.21]
step
label "Kill_Skeletal_Fiends"
kill 15 Skeletal Fiend##531 |q 57/1 |goto 15.20,44.97
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
You can find more around: |notinsticky
[21.50,47.70]
[22.93,43.21]
step
label "Kill_Skeletal_Horrors"
kill 15 Skeletal Horror##202 |q 57/2 |goto 15.20,44.97
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
You can find more around: |notinsticky
[21.50,47.70]
[22.93,43.21]
step
Kill enemies around this area
|tip You should already be level 27, or very close.
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
ding 27 |goto 15.20,44.97
You can find more around: |notinsticky
[21.50,47.70]
[22.93,43.21]
step
talk Sven Yorgen##311
turnin Return to Sven##268 |goto 7.78,34.06
accept Proving Your Worth##323 |goto 7.78,34.06
step
_NOTE:_
During the Next Few Steps
|tip Beware Mor'Ladim, who is a level 35 elite golden skeleton that walks along the road inside Raven Hill.
|tip The quest in the next few steps can be dangerous, requiring you to enter into a dangerous crypt.
|tip You may want to skip the quest, unless you have help, or feel confident you can handle it.
|tip If you skip the quest, abandon the "Prove Your Worth" quest.
|tip You will miss out on the rest of the quest line if you skip, requiring you grind more later.
Click Here to Continue |confirm |q 323
|only if hardcore
stickystart "Kill_Skeletal_Healers"
stickystart "Kill_Skeletal_Raiders"
step
Enter the crypt |goto 15.88,38.73 < 7 |walk
kill 3 Skeletal Warder##785 |q 323/3 |goto 15.53,37.02
|tip Inside the crypt.
|tip Be careful of Mor'Ladim, a level 35 elite skeleton who walks around this area outside the crypt.
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
You can find more inside the crypt around [16.01,34.05]
step
label "Kill_Skeletal_Healers"
kill 3 Skeletal Healer##787 |q 323/2 |goto 15.87,38.73
|tip Inside the crypt. |notinsticky
|tip You can find more outside the crypt. |notinsticky
|tip Be careful of Mor'Ladim, a level 35 elite skeleton who walks around this area outside the crypt. |notinsticky
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
You can find more inside the crypt around [16.01,34.05]
step
label "Kill_Skeletal_Raiders"
Run up the stairs |goto 15.44,37.59 < 10 |walk |only if subzone("Dawning Wood Catacombs") and _G.IsIndoors()
Leave the crypt |goto 15.87,38.73 < 10 |walk |only if subzone("Dawning Wood Catacombs") and _G.IsIndoors()
kill 15 Skeletal Raider##1110 |q 323/1 |goto 15.87,38.73
|tip Inside and outside the crypt. |notinsticky
|tip They seem to be mostly outside the crypt. |notinsticky
|tip Be careful of Mor'Ladim, a level 35 elite skeleton who walks around this area outside the crypt. |notinsticky
step
Run up the stairs |goto 15.44,37.59 < 10 |walk |only if subzone("Dawning Wood Catacombs") and _G.IsIndoors()
Leave the crypt |goto 15.87,38.73 < 10 |walk |only if subzone("Dawning Wood Catacombs") and _G.IsIndoors()
talk Sven Yorgen##311
turnin Proving Your Worth##323 |goto 7.78,34.06
accept Seeking Wisdom##269 |goto 7.78,34.06
step
talk Tavernkeep Smitts##273
|tip He walks around this area inside the building.
turnin Gather Rot Blossoms##156 |goto 73.78,44.48
accept Juice Delivery##159 |goto 73.78,44.48
step
Leave the building |goto 73.83,46.01 < 10 |walk |only if subzone("Scarlet Raven Tavern")
talk Commander Althea Ebonlocke##264
|tip She walks around this area.
turnin The Night Watch##57 |goto 73.60,46.90
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Merciless Axe##12249 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 159
|only if Warrior and itemcount(12249) == 0
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Merciless Axe##12249 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 159
|only if Paladin and itemcount(12249) == 0
step
talk Gavin Gnarltree##225
|tip He walks around this area.
buy Broad Bladed Knife##12247 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
Visit the Vendor |vendor Gavin Gnarltree##225 |goto Duskwood 73.60,50.04 |q 159
|only if Rogue and itemcount(12247) == 0
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Redridge Mountains (27-28)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Redridge Mountains",
condition_suggested=function() return level == 27 and not completedq(2923) end,
next="Leveling Guides\\Wetlands (28-29)",
hardcore = true,
},[[
step
talk Guard Howe##903
accept Blackrock Bounty##128 |goto Redridge Mountains 31.54,57.85
|only if not hardcore
step
talk Verner Osgood##415
accept Howling in the Hills##126 |goto 30.97,47.27
|tip This requires you to complete the "A Baying of Gnolls" quest found in the "Redridge Mountains (18-20)" guide.
|only if not hardcore
step
Enter the building |goto 29.50,46.12 < 10 |walk
talk Bailiff Conacher##900
|tip Inside the building.
accept Solomon's Law##91 |goto 29.72,44.26
step
Leave the building |goto 29.50,46.12 < 10 |walk |only if subzone("Lakeshire Town Hall")
click Wanted: Lieutenant Fangore
accept Wanted: Lieutenant Fangore##180 |goto 26.75,46.47
|only if not hardcore
step
talk Gerald Crawley##3090
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Gerald Crawley##3090 |goto Redridge Mountains/0 25.06,41.12 |q 34 |future
|only if Rogue
step
talk Martie Jainrose##342
accept An Unwelcome Guest##34 |goto 21.86,46.33
step
kill Bellygrub##345
|tip He looks like a darker brown boar that walks around this area.
collect Bellygrub's Tusk##3631 |q 34/1 |goto 15.68,49.32
step
talk Martie Jainrose##342
turnin An Unwelcome Guest##34 |goto 21.86,46.33
step
Follow the path up |goto 17.27,44.89 < 20 |only if walking
kill Yowler##518
|tip He walks between 2 of the gnolls camps.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies around camp tend to pull in groups so be wary. |only if hardcore
|tip You can skip this quest, but you will need to grind extra xp if you do. |only if hardcore
collect Yowler's Paw##3614 |q 126/1 |goto 27.84,21.77
Also check around [34.17,25.09]
|only if not hardcore
stickystart "Collect_Shadowhide_Pendants"
step
kill Lieutenant Fangore##703
|tip He looks like a gnoll wearing a red robe, and carrying a long sword, that walks around this area.
|tip Try to kite him away, so you can fight him alone.
|tip If you have trouble, try to find someone to help you.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies around camp tend to pull in groups so be wary. |only if hardcore
|tip You can skip this quest, but you will need to grind extra xp if you do. |only if hardcore
collect Fangore's Paw##3632 |q 180/1 |goto 78.93,38.46
Also check around [84.46,50.51]
|only if not hardcore
step
label "Collect_Shadowhide_Pendants"
Kill Shadowhide enemies around this area
|tip They look like gnolls.
|tip Enemies around camps tend to pull in groups so be wary. |only if hardcore
|tip Watch for patrols and respawns here. |only if hardcore
collect 10 Shadowhide Pendant##1075 |q 91/1 |goto 77.98,39.66
You can find more around: |notinsticky
[76.82,54.09]
[83.92,54.28]
step
Kill Shadowhide enemies around this area
|tip Enemies around camps tend to pull in groups so be wary. |only if hardcore
|tip Watch for patrols and respawns here. |only if hardcore
|tip Getting this far into level 27 will allow you to reach level 28 after turning in quests soon.
|tip You are about to return to Stormwind City soon, so it will be a good time to learn your level 28 abilities.
ding 27,37050 |goto 77.98,39.66
You can find more around: |notinsticky
[76.82,54.09]
[83.92,54.28]
|only if hardcore
step
Follow the road |goto 47.63,27.69 < 40 |only if walking
Follow the path |goto 39.14,14.15 < 40 |only if walking
kill 15 Blackrock Champion##435 |q 128/1 |goto 33.21,6.88
|tip Inside and outside the cave.
|tip They are mostly inside the cave, and the next guide step is inside the cave.
|tip Try to kill them mostly inside the cave.
|only if not hardcore
step
kill enemies around this area
|tip Getting this far into level 27 will allow you to reach level 28 after turning in quests soon.
|tip You are about to return to Stormwind City soon, so it will be a good time to learn your level 28 abilities.
ding 27,27900 |goto 33.21,6.88
|only if not hardcore
step
Follow the path inside the cave |goto 31.69,12.88 < 20 |walk
Continue following the path |goto 30.83,14.84 < 10 |walk
Follow the path |goto 28.45,13.64 < 10 |walk
talk Corporal Keeshan##349
|tip Inside the cave.
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait until he respawns. |only if not hardcore
|tip Clear enemies that respawn as this quest can be overwhelming. |only if hardcore
accept Missing In Action##219 |goto 28.39,12.55 |noautoaccept
|only if not hardcore
step
Watch the dialogue
|tip Follow Corporal Keeshan and protect him as he walks.
|tip He walks out of the cave and all the way back to Lakeshire.
|tip When you reach the exit of the cave, pull the enemies to him, one group at a time.
|tip He eventually walks to this location.
Escort Corporal Keeshan Back to Redridge |q 219/1 |goto 33.41,48.51 |notravel
|only if not hardcore
step
talk Marshal Marris##382
turnin Missing In Action##219 |goto 33.51,48.97
|only if not hardcore
step
talk Verner Osgood##415
turnin Howling in the Hills##126 |goto 30.97,47.27
|only if not hardcore
step
Enter the building |goto 29.49,46.13 < 10 |walk
talk Bailiff Conacher##900
|tip Inside the building.
turnin Solomon's Law##91 |goto 29.71,44.27
step
talk Magistrate Solomon##344
|tip Inside the building.
turnin Wanted: Lieutenant Fangore##180 |goto 29.99,44.46
|only if not hardcore
step
Leave the building |goto 29.50,46.12 < 10 |walk |only if subzone("Lakeshire Town Hall")
talk Guard Howe##903
turnin Blackrock Bounty##128 |goto 31.54,57.86
|only if not hardcore
step
Enter the building |goto Stormwind City 55.29,68.13 < 10 |walk
talk Olivia Burnside##2455
|tip Inside the building.
|tip Put these items in the bank.
bank A Torn Journal Page##916 |goto Stormwind City 57.55,72.43 |q 74 |future |only if haveq(74) or completedq(74)
bank Bottle of Zombie Juice##1451 |goto Stormwind City 57.55,72.43 |q 159 |future |only if haveq(159) or completedq(159)
step
Enter the building |goto Stormwind City 50.95,57.84 < 7 |walk
talk Frederick Stover##1298
buy Sturdy Recurve##11306 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Frederick Stover##1298 |goto Stormwind City 49.98,57.64 |q 1078 |future
|only if Hunter and (itemcount(11306) == 0)
step
talk Collin Mauren##4078
accept Retrieval for Mauren##1078 |goto Stormwind City 43.09,80.39
step
Enter the building |goto 43.05,34.48 < 10 |walk
talk Brother Sarno##7917
|tip Inside the building.
accept Tinkmaster Overspark##2923 |goto 40.56,30.91
|only if not ZGV.IsClassicSoD
step
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Valor##1652 |goto Stormwind City 39.81,29.80
|only if Paladin
step
talk Bishop Farthing##1212
|tip Inside the building.
turnin Seeking Wisdom##269 |goto Stormwind City 39.13,27.90
accept The Doomed Fleet##270 |goto Stormwind City 39.13,27.90
step
Leave the building |goto 43.05,34.48 < 10 |walk |only if subzone("Cathedral of Light")
talk Tinkmaster Overspark##7944
turnin Tinkmaster Overspark##2923 |goto Ironforge 69.54,50.32
|only if not ZGV.IsClassicSoD
step
Run up the stairs and enter the building |goto Ironforge 61.33,88.20 < 7 |walk
talk Buliwyf Stonehand##11865
|tip Inside the building.
|tip This will allow you to equip two-handed axes.
Train Two-Handed Axes |complete weaponskill("TH_AXE") > 0 |goto Ironforge 61.17,89.52
|only if Hunter
step
talk Bixi Wobblebonk##13084
|tip Inside the building.
|tip This will allow you to equip crossbows.
Train Crossbows |complete weaponskill("CROSSBOW") > 0 |goto 62.23,89.62
|only if Hunter
step
Enter the building |goto Ironforge 30.43,26.37 < 7 |walk
talk Ginny Longberry##5151
|tip Inside the building.
|tip If you can afford it.
|tip Stock up on a couple of Runes of Teleportation to use to travel faster while leveling.
Visit the Vendor |vendor Ginny Longberry##5151 |goto Ironforge 31.32,27.79 |q 289 |future
|only if Mage
step
Enter the building |goto Ironforge 53.24,7.33 < 7 |walk
talk Jubahl Corpseseeker##6382
|tip Inside the building.
|tip If you can afford them.
|tip Buy all of the Grimoires for spells that are upgrades for the spells you use with your pet.
|tip After buying them, make sure to use them in your bags to learn the spells.
Visit the Vendor |vendor Jubahl Corpseseeker##6382 |goto Ironforge 52.70,6.08 |q 289 |future
|only if Warlock
step
talk Jasper Fel##1325
|tip Inside the building.
|tip Stock up on poisons if needed.
|tip Skip this step if you don' tneed to.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Jasper Fel##1325 |goto Stormwind City/0 78.32,58.97
|only if Rogue
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Wetlands (28-29)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Wetlands",
condition_suggested=function() return level >= 28 and level <= 29 and not completedq(322) end,
next="Leveling Guides\\Stonetalon Mountains (29-29)",
hardcore = true,
},[[
step
talk First Mate Fitzsimmons##1239
accept The Cursed Crew##289 |goto Wetlands 10.89,59.67
|tip This requires you to complete "The Third Fleet" quest found the "Wetlands (24-25)" guide.
step
Enter the building |goto 10.79,59.76 < 10 |walk
talk Glorin Steelbrow##1217
|tip Inside the building.
turnin The Doomed Fleet##270 |goto 10.59,60.59
step
talk Innkeeper Helbrek##1464
|tip He walks around inside the building.
home Deepwater Tavern |goto 10.70,60.96
step
talk Archaeologist Flagongut##2911
|tip Upstairs inside the building.
accept The Absent Minded Prospector##943 |goto 10.84,60.43
|tip You won't be able to accept this quest if you skipped any of the previous quests in the chain. |only if hardcore
step
Leave the building |goto 10.79,59.76 < 10 |walk |only if subzone("Deepwater Tavern")
talk Harlo Barnaby##2097
accept Fall of Dun Modr##472 |goto 10.85,55.90
step
Enter the building |goto 10.30,56.30 < 15 |walk
Run up the stairs |goto 9.80,57.77 < 7 |walk
talk Captain Stoutfist##2104
|tip Upstairs inside the building, in the large room.
accept War Banners##464 |goto 9.86,57.49
step
Leave the building |goto 10.29,56.31 < 15 |walk |only if subzone("Menethil Keep")
talk Tarrel Rockweaver##2096
|tip He walks around this area.
accept In Search of The Excavation Team##305 |goto 11.50,52.14
step
click Damaged Crate##261
|tip Watch for murloc patrols in the area. |only if hardcore
|tip Enemies near the buildings tend to pull in groups so be careful. |only if hardcore
turnin Reclaiming Goods##281 |goto 13.51,41.38
accept The Search Continues##284 |goto 13.51,41.38
step
click Sealed Barrel##142151
|tip Watch for murloc patrols in the area. |only if hardcore
|tip Enemies near the buildings tend to pull in groups so be careful. |only if hardcore
turnin The Search Continues##284 |goto 13.61,38.21
accept Search More Hovels##285 |goto 13.61,38.21
step
click Half-buried Barrel##259
|tip Watch for murloc patrols in the area. |only if hardcore
|tip Enemies near the buildings tend to pull in groups so be careful. |only if hardcore
turnin Search More Hovels##285 |goto 13.95,34.81
accept Return the Statuette##286 |goto 13.95,34.81
stickystart "Kill_Cursed_Marines"
stickystart "Kill_Cursed_Sailors"
step
Enter the hole in the side of the ship |goto 14.05,30.54 < 10 |walk
kill First Mate Snellig##1159
|tip Underwater, inside the sunken ship.
|tip This area is dangerous due to occasionally fast respawn rates and large aggro radius. |only if hardcore
|tip Try to pull mobs from nearby to avoid having to deal with multiple at once. |only if hardcore
|tip He's level 29, but you should be able to kill him at this level.
|tip If you have trouble, try to get someone to help you.
collect Snellig's Snuffbox##3619 |q 289/3 |goto 14.08,30.01
step
label "Kill_Cursed_Marines"
kill 5 Cursed Marine##1158 |q 289/2 |goto 14.22,28.53
|tip Enemies around this area are in close quarters, so plan for adds when fighting. |only if hardcore |notinsticky
You can find more around [14.82,24.62]
step
label "Kill_Cursed_Sailors"
kill 13 Cursed Sailor##1157 |q 289/1 |goto 14.22,28.53
|tip Enemies around this area are in close quarters, so plan for adds when fighting. |only if hardcore |notinsticky
You can find more around [14.82,24.62]
step
kill Giant Wetlands Crocolisk##2089+
collect 6 Giant Crocolisk Skin##3348 |q 471/1 |goto 16.57,28.25
You can find more around: |notinsticky
[20.92,21.92]
[27.08,21.65]
step
Kill Mosshide enemies around this area
|tip Enemies tend to pull in groups when around encampment like areas. |only if hardcore
|tip Watch for respawns while here. |only if hardcore
collect 9 Crude Flint##2611 |q 277/1 |goto 31.41,31.20
You can find more around: |notinsticky
[36.76,28.88]
[45.65,33.83]
step
Enter Whelgar's Excavation Site |goto 34.19,41.09 < 20 |only if walking
Follow the path up |goto 37.11,42.98 < 20 |only if walking
talk Ormer Ironbraid##1078
|tip He walks around this area.
accept Ormer's Revenge##294 |goto 38.18,50.89
step
Enter the cave |goto 38.32,51.59 < 15 |walk
talk Merrin Rockweaver##1076
|tip Inside the cave.
turnin In Search of The Excavation Team##305 |goto 38.91,52.34
accept In Search of The Excavation Team##306 |goto 38.91,52.34
step
click Flagongut's Fossil##9630
|tip Inside the cave.
collect Flagongut's Fossil##5234 |q 943/2 |goto 38.86,52.21
stickystart "Kill_Mottled_Screechers"
stickystart "Collect_Stone_Of_Relu"
step
Follow the path down |goto 37.10,47.90 < 20 |only if walking and subzone("Whelgar's Excavation Site")
Leave Whelgar's Excavation Site |goto 34.02,40.85 < 20 |only if walking and subzone("Whelgar's Excavation Site")
kill 10 Mottled Raptor##1020 |q 294/1 |goto 29.12,44.15
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
You can find more around: |notinsticky
[25.11,47.95]
[22.90,53.35]
step
label "Kill_Mottled_Screechers"
kill 10 Mottled Screecher##1021 |q 294/2 |goto 29.12,44.15
|tip These enemies call for help with their health is low. |only if hardcore |notinsticky
|tip Pull them back away from other raptors when possible. |only if hardcore |notinsticky
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
You can find more around: |notinsticky
[25.11,47.95]
[22.90,53.35]
step
Enter Whelgar's Excavation Site |goto 34.19,41.09 < 20 |only if walking
Follow the path up |goto 37.11,42.98 < 20 |only if walking
talk Ormer Ironbraid##1078
|tip He walks around this area.
turnin Ormer's Revenge##294 |goto 38.18,50.89
accept Ormer's Revenge##295 |goto 38.18,50.89
stickystop "Collect_Stone_Of_Relu"
step
Enter the cave |goto 38.32,51.59 < 15 |walk
talk Prospector Whelgar##1077
|tip Inside the cave.
accept Uncovering the Past##299 |goto 38.81,52.39
stickystart "Collect_Golm_Fragment"
stickystart "Collect_Modr_Fragment"
stickystart "Collect_Ados_Fragment"
stickystart "Kill_Mottled_Scytheclaws"
stickystart "Kill_Mottled_Razormaws"
stickystart "Collect_Stone_Of_Relu"
step
click Loose Soil##331
|tip It looks like a large pile of dark brown dirt on the ground.
|tip It randomly spawns in multiple locations around this area.
|tip It can also spawn up on the cliff next to the higher level Sarltooth raptor.
|tip If it does, try to get someone to help you, if you can't solo him.
collect Neru Fragment##2661 |q 299/4 |goto 36.51,42.11
Also check: |notinsticky
Around [34.73,45.31]
Around [32.82,48.77]
Around [35.30,49.72]
Up the path at [31.90,50.17]
step
label "Collect_Golm_Fragment"
click Ancient Relic##333
|tip It looks like a large wide yellow vase sitting upright on the ground.
|tip It randomly spawns in multiple locations around this area. |notinsticky
|tip It can also spawn up on the cliff next to the higher level Sarltooth raptor. |notinsticky
|tip If it does, try to get someone to help you, if you can't solo him. |notinsticky
collect Golm Fragment##2660 |q 299/3 |goto 36.51,42.11
Also check: |notinsticky
Around [34.73,45.31]
Around [32.82,48.77]
Around [35.30,49.72]
Up the path at [31.90,50.17]
step
label "Collect_Modr_Fragment"
click Ancient Relic##333
|tip It looks like a large tall red vase sitting upright on the ground.
|tip It randomly spawns in multiple locations around this area. |notinsticky
|tip It can also spawn up on the cliff next to the higher level Sarltooth raptor. |notinsticky
|tip If it does, try to get someone to help you, if you can't solo him. |notinsticky
collect Modr Fragment##2659 |q 299/2 |goto 36.51,42.11
Also check: |notinsticky
Around [34.73,45.31]
Around [32.82,48.77]
Around [35.30,49.72]
Up the path at [31.90,50.17]
step
label "Collect_Ados_Fragment"
click Ancient Relic##333
|tip It looks like a large stone box container on the ground.
|tip It randomly spawns in multiple locations around this area. |notinsticky
|tip It can also spawn up on the cliff next to the higher level Sarltooth raptor. |notinsticky
|tip If it does, try to get someone to help you, if you can't solo him. |notinsticky
collect Ados Fragment##2658 |q 299/1 |goto 36.51,42.11
Also check: |notinsticky
Around [34.73,45.31]
Around [32.82,48.77]
Around [35.30,49.72]
Up the path at [31.90,50.17]
step
label "Kill_Mottled_Scytheclaws"
kill 10 Mottled Scytheclaw##1022 |q 295/1 |goto 34.73,45.31
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
[32.82,48.77]
[35.30,49.72]
step
label "Kill_Mottled_Razormaws"
kill 10 Mottled Razormaw##1023 |q 295/2 |goto 34.73,45.31
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
[32.82,48.77]
[35.30,49.72]
step
Follow the path up |goto 37.11,42.98 < 20 |only if walking
talk Ormer Ironbraid##1078
|tip He walks around this area.
turnin Ormer's Revenge##295 |goto 38.18,50.89
accept Ormer's Revenge##296 |goto 38.18,50.89
step
Enter the cave |goto 38.32,51.59 < 15 |walk
talk Prospector Whelgar##1077
|tip Inside the cave.
turnin Uncovering the Past##299 |goto 38.81,52.39
step
Follow the path down |goto 37.10,47.90 < 20 |only if walking
Follow the path up |goto 31.89,48.63 < 10 |only if walking
Continue up the path |goto 31.90,50.17 < 15 |only if walking
kill Sarltooth##1353
|tip Up on the cliff.
|tip He looks like a level 29 blue raptor.
|tip He sometimes walks around in the valley below, with the other raptors, so if he's not here, check around.
collect Sarltooth's Talon##3638 |q 296/1 |goto 33.26,51.52
step
Follow the path up |goto 37.11,42.98 < 20 |only if walking
talk Ormer Ironbraid##1078
|tip He walks around this area.
turnin Ormer's Revenge##296 |goto 38.18,50.89
|tip The Excavation Rod is a decent wand.	|only if Priest
step
label "Collect_Stone_Of_Relu"
Kill Mottled enemies around this area
|tip They look like raptors. |notinsticky
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
collect Stone of Relu##5233 |q 943/1 |goto 34.73,45.31
[32.82,48.77]
[35.30,49.72]
step
Leave Whelgar's Excavation Site |goto 34.02,40.85 < 20 |only if walking and subzone("Whelgar's Excavation Site")
Kill Dragonmaw enemies around this area
collect 8 Dragonmaw War Banner##3337 |q 464/1 |goto 42.95,41.12
You can find more around [45.71,44.48]
step
talk Rethiel the Greenwarden##1244
turnin Fire Taboo##277 |goto 56.37,40.40
accept Blisters on The Land##275 |goto 56.37,40.40
step
kill 12 Fen Creeper##1040 |q 275/1 |goto 55.06,37.24 |count 6 |noordinal
|tip They are stealthed, usually near or in the water around this area.
|tip You will kill more of these later.
You can find more around: |notinsticky
[53.31,36.23]
[47.69,32.72]
[46.82,34.61]
[47.43,35.97]
[48.92,37.46]
[53.96,41.25]
[54.98,46.16]
step
click Musquash Root
collect Musquash Root##2784 |q 335/2 |goto 64.76,75.29
step
talk Glorin Steelbrow##1217
|tip Inside the building.
accept Lightforge Iron##321 |goto 10.59,60.59
|tip You may not be able to accept this quest if you skipped an earlier quest in the chain. |only if hardcore
step
talk Archaeologist Flagongut##2911
|tip Upstairs inside the building.
turnin The Absent Minded Prospector##943 |goto 10.84,60.43
step
Leave the building |goto 10.79,59.77 < 10 |walk |only if subzone("Deepwater Tavern")
talk First Mate Fitzsimmons##1239
turnin The Cursed Crew##289 |goto Wetlands 10.89,59.67
accept Lifting the Curse##290 |goto Wetlands 10.89,59.67
step
talk Karl Boran##1242
|tip He walks around this area.
turnin Return the Statuette##286 |goto 8.31,58.54
step
talk James Halloran##2094
|tip He walks around this area.
turnin Apprentice's Duties##471 |goto 8.51,55.71
step
Enter the building |goto 10.30,56.30 < 15 |walk
Run up the stairs |goto 9.80,57.77 < 7 |walk
talk Captain Stoutfist##2104
|tip Upstairs inside the building, in the large room.
turnin War Banners##464 |goto 9.86,57.49
accept Nek'rosh's Gambit##465 |goto 9.86,57.49 |only if not hardcore
step
Leave the building |goto 10.30,56.30 < 15 |walk |only if subzone("Menethil Keep")
click Waterlogged Chest
turnin Lightforge Iron##321 |goto 12.10,64.17
accept The Lost Ingots##324 |goto 12.10,64.17
|tip You may not be able to accept this quest if you skipped an earlier quest in the chain. |only if hardcore
step
kill Bluegill Raider##1418+
|tip Underwater and on the land around this area.
collect 5 Lightforge Ingot##2702 |q 324/1 |goto 11.19,64.73
You can find more around [9.28,70.11]
step
Enter the building |goto 10.79,59.76 < 10 |walk
talk Glorin Steelbrow##1217
|tip Inside the building.
turnin The Lost Ingots##324 |goto 10.59,60.59
accept Blessed Arm##322 |goto 10.59,60.59
|tip You may not be able to accept this quest if you skipped an earlier quest in the chain. |only if hardcore
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Stonetalon Mountains (29-29)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stonetalon Mountains",
condition_suggested=function() return level == 29 and not completedq(1059) end,
next="Leveling Guides\\Ashenvale (29-30)",
hardcore = true,
},[[
step
talk Keeper Albagorm##3994
accept Reclaiming the Charred Vale##1057 |goto Stonetalon Mountains 37.10,8.10
stickystart "Kill_Bloodfury_Ambushers"
stickystart "Kill_Bloodfury_Slayers"
stickystart "Kill_Bloodfury_Roguefeathers"
stickystart "Collect_Crystalized_Scales"
step
Leave Stonetalon Peak |goto 41.61,15.98 < 30 |only if walking and subzone("Stonetalon Peak")
Follow the path into the Charred Vale |goto 42.57,42.44 < 30 |only if walking and not subzone("The Charred Vale")
kill 7 Bloodfury Harpy##4022 |q 1057/1 |goto 34.51,62.27
You can find more around: |notinsticky
[32.26,60.12]
[32.44,65.30]
step
label "Kill_Bloodfury_Ambushers"
kill 7 Bloodfury Ambusher##4025 |q 1057/2 |goto 30.24,62.84
|tip Watch for patrols and respawns in the area.	|only if hardcore |notinsticky
|tip Patrols move quickly here, so pay attention.	|only if hardcore |notinsticky
You can find more around: |notinsticky
[34.51,62.27]
[32.44,65.30]
step
label "Kill_Bloodfury_Slayers"
kill 7 Bloodfury Slayer##4024 |q 1057/3 |goto 35.96,68.52
|tip Watch for patrols and respawns in the area.	|only if hardcore |notinsticky
|tip Patrols move quickly here, so pay attention.	|only if hardcore |notinsticky
You can find more around [28.83,69.50]
step
label "Kill_Bloodfury_Roguefeathers"
kill 7 Bloodfury Roguefeather##4023 |q 1057/4 |goto 35.96,68.52
|tip Watch for patrols and respawns in the area.	|only if hardcore |notinsticky
|tip Patrols move quickly here, so pay attention.	|only if hardcore |notinsticky
You can find more around [28.83,69.50]
step
label "Collect_Crystalized_Scales"
Kill Basilisk enemies around this area
'|kill Blackened Basilisk##4044, Scorched Basilisk##4041, Singed Basilisk##4042
|tip They look like lizard beasts with six legs.
|tip This area is the most common place for them to spawn consistently. |notinsticky
|tip Run up and down this path that leads into the Charred Vale, and grind on the other enemies that appear as well. |notinsticky
|tip You can also find a few in the Charred Vale valley, but they're more rare. |notinsticky
collect 8 Crystalized Scales##5675 |q 1078/1 |goto 37.02,50.10
step
Follow the path up |goto 30.22,75.85 < 20 |only if walking and not zone("Desolace")
Follow the road to this path and run up the path to enter Nijel's Point |goto Desolace 67.49,15.76 < 20 |only if walking and not subzone("Nijel's Point")
talk Baritanas Skyriver##6706
fpath Nijel's Point |goto Desolace 64.66,10.54
step
talk Keeper Albagorm##3994
turnin Reclaiming the Charred Vale##1057 |goto Stonetalon Mountains 37.10,8.10
accept Reclaiming the Charred Vale##1059 |goto Stonetalon Mountains 37.10,8.10
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ashenvale (29-30)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Ashenvale",
condition_suggested=function() return level >= 29 and level <= 30 and not completedq(1039) end,
next="Leveling Guides\\Wetlands (30-31)",
hardcore = true,
},[[
step
talk Shindrell Swiftfire##3845
accept Kayneth Stillwind##4581 |goto Ashenvale 34.67,48.84
step
talk Fahran Silentblade##3969
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Fahran Silentblade##3969 |goto Ashenvale 36.49,49.46 |q 1024 |future
|only if Rogue
step
talk Raene Wolfrunner##3691
|tip Inside the building.
accept Raene's Cleansing##1024 |goto 36.62,49.58
|tip This quest is grey, but the many followups will be yellow/green, and give a lot of xp.
step
talk Sentinel Melyria Frostshadow##3880
accept The Howling Vale##1022 |goto 22.23,52.98
step
talk Illiyana##3901
accept Vile Satyr! Dryads in Danger!##1021 |goto 21.73,53.35
step
Enter the building |goto 37.19,51.86 < 10 |walk
talk Pelturas Whitemoon##3894
|tip Inside the building.
accept Fallen Sky Lake##1035 |goto 37.37,51.79
|tip This requires a questline that is completed in the Ashenvale (22-23) guide.
step
Follow the road to this path |goto 50.22,56.23 < 40 |only if walking
Continue following the path |goto 51.80,45.73 < 30 |only if walking
talk Shael'dryn##3916
|tip She walks around this area.
turnin Raene's Cleansing##1024 |goto 53.54,46.29
accept Raene's Cleansing##1026 |goto 53.54,46.29
step
Follow the path around the mountain |goto 50.61,46.04 < 50 |only if walking and not subzone("Nightsong Woods")
Follow the path through the forest |goto 53.06,54.53 < 40 |only if walking and not subzone("Nightsong Woods")
Continue following the path through the forest |goto 58.01,56.00 < 40 |only if walking and not subzone("Nightsong Woods")
Kill Ancient enemies around this area
|tip They look like walking trees.
collect Wooden Key##5475 |goto 61.60,43.79 |q 1026
You can find more around: |notinsticky
[58.22,41.41]
[60.11,38.71]
[57.67,32.39]
[54.97,34.00]
step
Follow the path up |goto 54.56,34.55 < 20 |only if walking
click Worn Chest##19022
collect Iron Shaft##5464 |q 1026/1 |goto 54.41,35.39
step
Follow the path up |goto 54.17,32.34 < 20 |only if walking and not subzone("The Howling Vale")
Run through the tunnel to enter the Howling Vale |goto 52.92,37.64 < 15 |only if walking and not subzone("The Howling Vale")
|tip Watch for patrols and respawns while in the area. |only if hardcore
click Tome of Mel'Thandris##19027
View the Tome of Mel'Thandris |q 1022/1 |goto 50.49,39.13
step
Run through the tunnel to leave the Howling Vale |goto 51.33,38.20 < 15 |only if walking and subzone("The Howling Vale")
Follow the path up |goto 63.56,43.87 < 30 |only if walking and not subzone("Xavian")
Follow the path through the forest |goto 67.32,49.70 < 40 |only if walking and not subzone("Xavian")
talk Anilia##3920
turnin Vile Satyr! Dryads in Danger!##1021 |goto 78.32,44.82
accept The Branch of Cenarius##1031 |goto 78.32,44.82
step
kill Geltharis##4619
|tip He is level 32, so be careful.  If you don't feel comfortable, or don't have someone to help you, skip the quest and grind more later to make up for it. |only if hardcore
|tip If you skip it, abandon the quest "The Brand of Cenarius".
|tip Xavian Hellcallers are ranged attackers that deal heavy damage and may aggro from quite a range. |only if hardcore
|tip Enemies tend to be close together in this area. |only if hardcore
collect Branch of Cenarius##5461 |q 1031/1 |goto 78.00,42.42
step
talk Kayneth Stillwind##3848
turnin Kayneth Stillwind##4581 |goto 85.24,44.71
accept Forsaken Diseases##1011 |goto 85.24,44.71
step
talk Sentinel Melyria Frostshadow##3880
turnin The Howling Vale##1022 |goto 22.23,52.98
accept Velinde Starsong##1037 |goto 22.23,52.98
step
talk Illiyana##3901
turnin The Branch of Cenarius##1031 |goto 21.73,53.35
accept Satyr Slaying!##1032 |goto 21.73,53.35
step
Follow the road to this path |goto 50.22,56.23 < 40 |only if walking
Continue following the path |goto 51.80,45.73 < 30 |only if walking
talk Shael'dryn##3916
|tip She walks around this area.
turnin Raene's Cleansing##1026 |goto 53.54,46.29
accept Raene's Cleansing##1027 |goto 53.54,46.29
step
Follow the path back to the road |goto 50.61,46.04 < 50 |only if walking and not subzone("Nightsong Woods")
kill Shadethicket Oracle##3931
collect Fallen Moonstone##5508 |q 1035/1 |goto 66.68,82.19
step
kill Rotting Slime##3928+
click Rusty Chest+
|tip They sometimes appear on the ground after you kill the Rotting Slimes.
collect Iron Pommel##5519 |q 1027/1 |goto 70.95,74.87
You can find more around: |notinsticky
[74.24,76.26]
[73.50,73.46]
[74.39,69.78]
step
click Bottle of Disease
|tip This camp is surrounded by stealthed enemies.
|tip Kill them before running into the camp.
collect Bottle of Disease##5440 |q 1011/1 |goto 75.29,72.22
step
Follow the road back to Forest Song |goto 73.90,66.81 < 40 |only if walking and subzone("The Dor'Danil Barrow Den")
talk Kayneth Stillwind##3848
turnin Forsaken Diseases##1011 |goto 85.24,44.71
stickystart "Collect_Satyr_Horns"
step
click Circle of Imprisonment##19901
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies tend to pull together in this area, so be careful. |only if hardcore
Free the Highborne Soul in Satyrnaar |q 1140/2 |goto 81.60,48.58
step
Follow the path up out of Satyrnaar |goto 80.02,48.17 < 20 |only if walking and not subzone("Night Run")
Cross the river |goto 77.52,46.23 < 40 |only if walking and not subzone("Night Run")
Follow the path |goto 68.75,52.75 < 50 |only if walking
click Circle of Imprisonment##19901
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Enemies tend to pull together in this area, so be careful. |only if hardcore
Free the Highborne Soul in Night Run |q 1140/1 |goto 66.63,56.98
step
label "Collect_Satyr_Horns"
Kill enemies around this area
|tip They look like satyrs.
|tip Some of them are stealthed, so be careful.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect 16 Satyr Horns##5481 |q 1032/1 |goto 66.73,54.98
step
Jump down while avoiding getting stuck on a tree and follow the road |goto 63.92,52.01 < 50 |only if walking and subzone("Night Run")
Follow the path through the forest |goto 60.84,55.89 < 40 |only if walking
Continue following the path through the forest |goto 57.36,56.02 < 40 |only if walking
Continue following the path through the forest |goto 51.07,52.24 < 40 |only if walking
Follow the path to the moonwell |goto 51.62,45.58 < 30 |only if walking
talk Shael'dryn##3916
|tip She walks around this area.
turnin Raene's Cleansing##1027 |goto 53.54,46.21
step
Watch the dialogue
talk Shael'dryn##3916
|tip She walks around this area.
accept Raene's Cleansing##1028 |goto 53.54,46.21
step
Follow the path around the mountain |goto 50.68,46.06 < 40 |only if walking
Follow the path |goto 52.99,54.46 < 40 |only if walking
Follow the winding dirt path up to the shrine |goto 56.04,51.28 < 20 |only if walking
Continue up the winding dirt path |goto Ashenvale/0 56.92,52.15 < 10 |only if walking
Continue following the path |goto 57.11,50.35 < 10 |only if walking
click Hidden Shrine##19024
|tip At the end of the path.
turnin Raene's Cleansing##1028 |goto 56.38,49.23
accept Raene's Cleansing##1055 |goto 56.38,49.23
step
Jump down and follow the path through the forest |goto 52.65,54.46 < 40 |only if walking
Follow the path around the mountain to the moonwell |goto 51.62,45.58 < 30 |only if walking
talk Shael'dryn##3916
|tip She walks around this area.
turnin Raene's Cleansing##1055 |goto 53.54,46.21
accept Raene's Cleansing##1029 |goto 53.54,46.21
step
Follow the road back to Astranaar |goto 49.28,57.13 < 50 |only if walking
Enter the building |goto 37.19,51.87 < 10 |walk
talk Pelturas Whitemoon##3894
|tip Inside the building.
turnin Fallen Sky Lake##1035 |goto 37.36,51.79
step
talk Raene Wolfrunner##3691
|tip Inside the building.
turnin Raene's Cleansing##1029 |goto 36.62,49.58
accept Raene's Cleansing##1030 |goto 36.62,49.58
step
Follow the path down |goto 51.21,58.32 < 30 |only if walking
use Dartol's Rod of Transformation##5462
|tip Use it at this location.
Gain Furbolg Form |havebuff Furbolg Form##6405 |goto 54.00,72.61 |q 1030
step
Follow the path up |goto 53.85,73.90 < 20 |only if walking
talk Krolg##3897
turnin Raene's Cleansing##1030 |goto 50.85,75.07
accept Raene's Cleansing##1045 |goto 50.85,75.07
stickystart "Kill_Bloodtooth_Guards"
step
Follow the path up |goto 55.35,75.83 < 40 |only if walking
kill Ran Bloodtooth##3696 |q 1045/1 |goto 54.74,79.61
|tip Clear enemies carefully around here. |only if hardcore
|tip Enemies tend to pull together. |only if hardcore
|tip Destroy totems as they are summoned. |only if hardcore
collect Ran Bloodtooth's Skull##5388 |goto 54.74,79.61 |q 1046 |future
step
label "Kill_Bloodtooth_Guards"
kill 4 Bloodtooth Guard##3932 |q 1045/2 |goto 54.56,79.12
|tip Clear enemies carefully around here. |only if hardcore |notinsticky
|tip Enemies tend to pull together. |only if hardcore |notinsticky
|tip Destroy totems as they are summoned. |only if hardcore |notinsticky
step
use Dartol's Rod of Transformation##5462
|tip Use it at this location.
Gain Furbolg Form |havebuff Furbolg Form##6405 |goto 53.67,74.00 |q 1045
step
talk Krolg##3897
turnin Raene's Cleansing##1045 |goto 50.85,75.07
accept Raene's Cleansing##1046 |goto 50.85,75.07
step
_NOTE:_
Make a Choice
|tip If you turn in the "Raene's Cleansing" quest in the next step, you will get 3,050 xp, but you will lose Dartol's Rod of Transformation.
|tip This item allows you to transform into a furbolg for 3 minutes, and the item lasts forever in your bags.
|tip If you want to keep the item, abandon the "Raene's Cleansing" quest now.
|tip If you don't care about the transformation item, and want the xp instead, turn in the quest in the next guide step.
Click Here to Continue |confirm |q 1046
step
talk Raene Wolfrunner##3691
|tip Inside the building.
turnin Raene's Cleansing##1046 |goto 36.62,49.58
step
talk Innkeeper Kimlya##6738
|tip Inside the building.
home Astranaar |goto 36.99,49.22
step
talk Illiyana##3901
turnin Satyr Slaying!##1032 |goto 21.73,53.34
step
Follow the path up and follow the road to Maestra's Post |goto 25.37,48.35 < 30 |only if walking
talk Delgren the Purifier##3663
turnin The Tower of Althalaxx##1140 |goto 26.19,38.70
step
talk Thyn'tel Bladeweaver##8026
turnin Velinde Starsong##1037 |goto Darnassus 61.78,39.19
accept Velinde's Effects##1038 |goto Darnassus 61.78,39.19
step
Run up the ramp |goto 56.05,79.18 < 10 |only if walking
Cross the bridge |goto 57.63,77.23 < 7 |only if walking
click Velinde's Locker
|tip Upstairs inside the building.
collect Velinde's Journal##5520 |q 1038/1 |goto 62.29,83.24
step
talk Thyn'tel Bladeweaver##8026
turnin Velinde's Effects##1038 |goto 61.78,39.19
accept The Barrens Port##1039 |goto 61.78,39.19
step
Run up the ramp |goto Darnassus 67.55,61.15 < 10 |only if walking
talk Merelyssa##4171
|tip Inside the building.
buy Broadsword##2520 |n
|tip If you can afford it.
|tip You will use it when you reach level 31.
|tip If you have better, skip this step.
Visit the Vendor |vendor Geoffrey Hartwell##4600 |goto Darnassus 65.36,59.74 |q 306
|only if Rogue and itemcount(2520) == 0
step
talk Kyrai##3561
|tip Upstairs inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Kyrai##3561 |goto Darnassus 32.55,19.74 |q 306
|only if Rogue
step
Run up the stairs and enter the building |goto Ironforge 23.09,17.43 < 7 |walk
talk Harick Boulderdrum##5133
|tip Downstairs inside the building.
buy Pestilent Wand##5347 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Harick Boulderdrum##5133 |goto Ironforge 23.13,15.94 |q 306
|only if Priest and itemcount(5347) == 0
step
Enter the building |goto Darnassus 39.04,76.75 < 15 |walk
talk Elissa Dumas##4165
|tip Inside the building.
learnspell Teleport: Darnassus##3565 |goto Darnassus 40.60,82.13
|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Wetlands (30-31)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Wetlands",
condition_suggested=function() return level >= 30 and level <= 31 and not completedq(293) end,
next="Leveling Guides\\Duskwood (31-32)",
hardcore = true,
},[[
step
talk Tarrel Rockweaver##2096
|tip He walks around this area.
turnin In Search of The Excavation Team##306 |goto Wetlands 11.50,52.14
step
Run up the ramp to board the ship |goto 16.01,23.09 < 7 |only if walking
kill Captain Halyndor##1160
|tip On the deck of the ship.
|tip You can body aggro him from the ramp on leading to the ship to avoid adds. |only if hardcore
collect Intrepid Strongbox Key##2629 |q 290/1 |goto 15.45,23.61
step
Swim underwater through the hole in the bottom of the ship |goto 14.35,23.68 < 7 |walk
|tip Turn on enemy name plates with "CTRL+V" so you can see the enemies underwater. |only if hardcore
|tip Try to pull them one at a time until they cleared before entering the boat. |only if hardcore
|tip Fight enemies outside of the water so you reduce the chance of drowning. |only if hardcore
click Intrepid's Locked Strongbox##112948
|tip Underwater, at the bottom of the ship.
turnin Lifting the Curse##290 |goto 14.37,24.02
accept The Eye of Paleth##292 |goto 14.37,24.02
step
Swim out of the hole in the ship |goto 14.31,23.69 < 7 |walk |only if subzone("The Lost Fleet")
kill 12 Fen Creeper##1040 |q 275/1 |goto 18.45,27.72 |count 12 |noordinal
|tip They are stealthed, usually near or in the water around this area.
You can find more around: |notinsticky
[20.83,28.59]
[22.56,30.11]
[23.49,32.06]
[25.93,31.76]
[27.45,32.68]
[27.49,37.05]
[27.24,38.82]
step
Enter Whelgar's Excavation Site |goto 34.19,41.09 < 20 |only if walking
Kill enemies around this area
|tip You should already be pretty close to reaching level 31.						|only if not  hardcore
|tip You are about to complete some difficult quests, where you have to kill 2 elite enemies.		|only if not  hardcore
|tip Being a level higher will help.									|only if not  hardcore
|tip You are about to skip a few quests, because they're too dangerous to solo.				|only if hardcore
|tip We are grinding to level 31 here to keep you on track.						|only if hardcore
ding 30,42000 |goto 34.73,45.31										|only if not hardcore
ding 31 |goto 34.73,45.31										|only if hardcore
[32.82,48.77]
[35.30,49.72]
step
Leave Whelgar's Excavation Site |goto 34.02,40.85 < 20 |only if walking and subzone("Whelgar's Excavation Site")
Follow the path up |goto 42.87,40.78 < 50 |only if walking
click Dragonmaw Catapult##1609
|tip Clear the enemies around the catapult before attempting to interact with it. |only if hardcore
|tip Be careful, a group of 6 enemies will appear and attack you.
|tip Run away immediately after turning in the quest.
turnin Nek'rosh's Gambit##465 |goto 47.40,46.90
|only if not hardcore
step
talk Rethiel the Greenwarden##1244
turnin Blisters on The Land##275 |goto 56.38,40.40
step
talk Longbraid the Grim##1071
turnin Fall of Dun Modr##472 |goto 49.80,18.26
step
talk Rhag Garmason##1075
accept The Thandol Span##631 |goto 49.92,18.21
|only if not hardcore
step
Walk onto the bridge |goto 51.06,11.72 < 30 |only if walking
Enter the building and run down the stairs |goto 51.36,8.11 < 7 |walk
click Ebenezer Rustlocke's Corpse
|tip Downstairs inside the building.
|tip There are 2 elite enemies inside the building, but you can fight them individually.
|tip You should be able to kill them by yourself, if you're careful.
|tip Be sure to regularly heal up when possible. |only if hardcore
|tip You will be attacked by two non-elite enemies after turning in the quest.
|tip If you have trouble, try to find someone to help you.
turnin The Thandol Span##631 |goto 51.28,7.95
accept The Thandol Span##632 |goto 51.28,7.95
|only if not hardcore
step
Run up the stairs |goto 51.04,8.28 < 7 |c |q 632
|only if not hardcore
step
Run up the stairs and leave the building |goto 50.69,8.00 < 7 |walk
talk Rhag Garmason##1075
turnin The Thandol Span##632 |goto 49.92,18.22
accept The Thandol Span##633 |goto 49.92,18.22
|only if not hardcore
step
Cross the bridge |goto 51.11,11.58 < 30 |only if walking
Cross the hanging bridge |goto Arathi Highlands 45.96,88.11 < 15 |only if walking
click Cache of Explosives
Destroy the Cache of Explosives |q 633/1 |goto Arathi Highlands 48.73,88.05
|only if not hardcore
step
Cross the hanging bridge |goto 48.14,88.11 < 15 |only if walking
Cross the bridge |goto 45.47,89.24 < 30 |only if walking
talk Rhag Garmason##1075
turnin The Thandol Span##633 |goto Wetlands 49.92,18.22
accept Plea To The Alliance##634 |goto Wetlands 49.92,18.22
|only if not hardcore
step
talk Captain Nials##2700
turnin Plea To The Alliance##634 |goto Arathi Highlands 45.83,47.55
|only if not hardcore
step
talk Cedrik Prose##2835
fpath Refuge Pointe |goto 45.70,46.09
step
Follow the road and enter Hillsbrad Foothills |goto 20.17,29.54 < 40 |only if walking and not zone("Hillsbrad Foothills")
talk Darla Harris##2432
fpath Southshore |goto Hillsbrad Foothills 49.34,52.27
step
Enter the building |goto Wetlands 10.79,59.77 < 10 |walk
talk Glorin Steelbrow##1217
|tip Inside the building.
turnin The Eye of Paleth##292 |goto Wetlands 10.58,60.59
accept Cleansing the Eye##293 |goto Wetlands 10.58,60.59
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Duskwood (31-32)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Duskwood",
condition_suggested=function() return level >= 31 and level <= 32 and not completedq(222) end,
next="Leveling Guides\\Stranglethorn Vale (32-32)",
hardcore = true,
},[[
step
Enter the building |goto Ironforge 66.36,82.45 < 10 |walk
talk Pilot Longbeard##2092
|tip Inside the building.
accept The Brassbolts Brothers##1179 |goto Ironforge 72.73,94.01
step
Run up the stairs and enter the building |goto Ironforge 44.78,8.50 < 7 |walk
talk Hjoldir Stoneblade##5170
|tip Downstairs inside the building.
buy Flamberge##2521 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Hjoldir Stoneblade##5170 |goto Ironforge 44.99,6.79 |q 322
|only if Paladin and itemcount(2521) == 0
step
Enter the building |goto Ironforge 30.43,26.37 < 7 |walk
talk Ginny Longberry##5151
|tip Inside the building.
|tip If you can afford it.
|tip Stock up on a couple of Runes of Teleportation to use to travel faster while leveling.
Visit the Vendor |vendor Ginny Longberry##5151 |goto Ironforge 31.32,27.79 |q 322
|only if Mage
step
Enter the building |goto Stormwind City 51.82,13.27 < 10 |walk
talk Grimand Elmore##1416
|tip Inside the building.
turnin Blessed Arm##322 |goto Stormwind City 51.76,12.06
accept Armed and Ready##325 |goto Stormwind City 51.76,12.06
|tip You may not be able to accept this quest if you skipped previous quests in the chain.
step
Enter the building |goto 43.05,34.48 < 10 |walk
talk Archbishop Benedictus##1284
|tip Inside the building.
turnin Cleansing the Eye##293 |goto 39.59,27.25
step
talk Thomas##4982
|tip He walks around this area inside the building.
accept The Missing Diplomat##1274 |goto 40.37,29.40
step
Leave the building |goto 43.05,34.48 < 10 |walk |only if subzone("Cathedral of Light")
Enter the building |goto 69.07,28.77 < 15 |walk
Follow the path |goto 77.88,21.14 < 10 |walk
talk Bishop DeLavey##4960
|tip Inside the building.
turnin The Missing Diplomat##1274 |goto 78.30,25.44
accept The Missing Diplomat##1241 |goto 78.30,25.44
step
Follow the path |goto 77.01,19.25 < 15 |walk |only if subzone("Stormwind Keep")
Leave the building |goto 69.07,28.77 < 10 |walk |only if subzone("Stormwind Keep")
Follow the path |goto 60.27,68.37 < 30 |only if walking
talk Jorgen##4959
turnin The Missing Diplomat##1241 |goto 73.17,78.42
accept The Missing Diplomat##1242 |goto 73.17,78.42
step
Enter the building |goto Stormwind City 56.65,57.72 < 7 |walk
talk Woo Ping##11867
|tip This will allow you to equip two-handed swords.
Train Two-Handed Swords |complete weaponskill("TH_SWORD") > 0 |goto Stormwind City 57.13,57.71
|only if Hunter
step
talk Marda Weller##1287
buy Heavy Quiver##7371 |n
|tip If you can afford it.
Visit the Vendor |vendor Marda Weller##1287 |goto 57.38,56.77 |q 1242
|only if Hunter and itemcount(7371) == 0
step
talk Marda Weller##1287
buy Heavy Crossbow##15809 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Marda Weller##1287 |goto 57.38,56.77 |q 1242
|only if Hunter and itemcount(15809) == 0
step
Enter the building |goto Stormwind City 59.96,64.19 < 10 |walk
talk Elling Trias##482
|tip Upstairs inside the building.
turnin The Missing Diplomat##1242 |goto Stormwind City 59.91,64.17
accept The Missing Diplomat##1243 |goto Stormwind City 59.91,64.17
step
Enter the building |goto 55.30,68.13 < 10 |walk
talk Olivia Burnside##2455
|tip Inside the building.
|tip Deposit these items into the bank.
bank Crate of Crash Helmets##5849 |goto 57.66,72.78 |q 1179 |future |only if haveq(1179) or completedq(1179)
bank Musquash Root##2784 |goto 57.66,72.78 |q 335 |future |only if haveq(335) or completedq(335)
step
talk Olivia Burnside##2455
|tip Inside the building.
|tip Collect these items from the bank.
collect A Torn Journal Page##916 |goto 57.66,72.78 |q 74 |only if haveq(74) or completedq(74)
collect Bottle of Zombie Juice##1451 |goto 57.66,72.78 |q 159 |only if haveq(159) or completedq(159)
step
talk Collin Mauren##4078
turnin Retrieval for Mauren##1078 |goto 43.09,80.39
step
talk Malissa##3135
|tip Walking around here.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Malissa##3135 |goto Duskwood 79.44,44.44 |q 181 |future
|only if Rogue
step
Enter the building |goto Duskwood 79.79,47.69 < 10 |walk
talk Viktori Prism'Antras##276
|tip Inside the building.
accept Look To The Stars##181 |goto Duskwood 79.80,48.02
step
talk Calor##663
|tip He walks around this area in front of the building.
accept Worgen in the Woods##173 |goto 75.30,48.05
step
talk Commander Althea Ebonlocke##264
|tip She walks around this area.
accept The Night Watch##58 |goto 73.60,46.90
step
Enter the building |goto 73.83,46.02 < 10 |walk
talk Innkeeper Trelayne##6790
|tip Inside the building.
home Darkshire |goto 73.87,44.41
step
Leave the building |goto 73.83,46.02 < 10 |c |q 1243
|only if subzone("Scarlet Raven Tavern")
step
map Duskwood
path follow strictbounce; loop off; ants straight; dist 30; markers none
path	74.82,44.16	74.53,41.22	73.87,39.60	72.74,38.35	72.28,37.28
path	72.24,35.19	72.58,33.53	73.31,32.54
talk Watcher Backus##840
|tip He walks back and forth along this road.
turnin The Missing Diplomat##1243
accept The Missing Diplomat##1244
step
kill 6 Nightbane Shadow Weaver##533 |q 173/1 |goto 61.99,40.65
|tip These share a spawn with other Nightbane enemies around this area. |only if hardcore
You can find more around [64.69,46.79]
step
talk Calor##663
|tip He walks around this area in front of the building.
turnin Worgen in the Woods##173 |goto 75.30,48.05
accept Worgen in the Woods##221 |goto 75.30,48.05
stickystart "Kill_Nightbane_Dark_Runners"
step
Kill Nightbane enemies around this area
|tip They look like worgen.
collect An Old History Book##2794 |goto 61.76,41.04 |q 337 |future
You can find more around [63.76,50.90]
step
use An Old History Book##2794
accept An Old History Book##337
step
label "Kill_Nightbane_Dark_Runners"
kill 12 Nightbane Dark Runner##205 |q 221/1 |goto 61.76,41.04
|tip These share a spawn with other Nightbane enemies around this area. |only if hardcore
You can find more around [63.76,50.90]
step
talk Marshal Haggard##294
turnin The Legend of Stalvan##74 |goto Elwynn Forest 84.61,69.38
accept The Legend of Stalvan##75 |goto Elwynn Forest 84.61,69.38
step
Enter the building |goto 85.12,69.70 < 10 |walk
click Marshal Haggard's Chest
|tip Upstairs inside the building.
|tip You will be attacked.
collect A Faded Journal Page##921 |q 75/1 |goto 85.69,69.55
step
Leave the building |goto 85.11,69.71 < 10 |walk |only if subzone("Eastvale Logging Camp") and _G.IsIndoors()
talk Marshal Haggard##294
turnin The Legend of Stalvan##75 |goto 84.61,69.38
accept The Legend of Stalvan##78 |goto 84.61,69.38
step
talk Abercrombie##289
|tip Inside the building.
turnin Juice Delivery##159 |goto Duskwood 28.11,31.47
accept Ghoulish Effigy##133 |goto Duskwood 28.11,31.47
|tip This is part of a questline that starts in the "Duskwood (25-27)" guide.
stickystart "Kill_Plague_Spreaders"
step
Kill enemies around this area
|tip Inside and outside the crypt.
|tip Only enemies that look like ghouls will drop the quest item.
collect 7 Ghoul Rib##884 |q 133/1 |goto 23.63,34.92
step
label "Kill_Plague_Spreaders"
kill 20 Plague Spreader##604 |q 58/1 |goto 23.63,34.92
|tip Inside and outside the crypt. |notinsticky
|tip They share spawn points with the other ghouls inside the crypt, so kill those too, if you can't find any.
step
Leave the crypt |goto 23.63,34.92 < 15 |walk |only if subzone("Dawning Wood Catacombs") and _G.IsIndoors()
talk Abercrombie##289
|tip Inside the building.
turnin Ghoulish Effigy##133 |goto 28.11,31.47
accept Ogre Thieves##134 |goto 28.11,31.47
step
Enter the building |goto 23.88,71.75 < 10 |walk
click Defias Strongbox##21052
|tip Inside the building.
collect Defias Docket##5947 |q 1244/1 |goto 23.93,72.07
step
click Abercrombie's Crate##119
collect Abercrombie's Crate##1349 |q 134/1 |goto 33.42,76.34
step
Enter the cave |goto 34.08,77.02 < 15 |walk
Follow the path |goto 36.78,77.62 < 10 |walk
Continue following the path |goto 36.83,81.89 < 10 |walk
kill Zzarc' Vul##300
|tip Inside the cave.
|tip He can spawn in multiple locations inside the cave, so if he's not here, search around.
|tip Watch out for casters aggroing from far away as well as inconsistent respawns. |only if hardcore
collect Ogre's Monocle##1968 |q 181/1 |goto 36.81,83.79
step
Leave the cave |goto 34.08,77.02 < 15 |walk |only if subzone("Vul'Gol Ogre Mound") and _G.IsIndoors()
Follow the path up to leave the ogre area |goto 31.34,67.17 < 20 |only if walking and subzone("Vul'Gol Ogre Mound")
talk Abercrombie##289
|tip Inside the building.
turnin Ogre Thieves##134 |goto 28.11,31.47
accept Note to the Mayor##160 |goto 28.11,31.47
step
click A Weathered Grave##61
|tip Leave the crypt, if you went inside there in the previous step.
accept The Weathered Grave##225 |goto 17.72,29.08
step
talk Sven Yorgen##311
turnin Armed and Ready##325 |goto 7.78,34.07
step
Kill enemies around this area
|tip Inside and outside the crypt.
|tip Getting this far into level 31 will allow you to reach level 32 after turning in quests soon.
|tip You will be hearthing back to Darkshire in the next step, so it doesn't matter where you end up completing this step.
ding 31,39000 |goto 23.63,34.92
step
talk Tavernkeep Smitts##273
|tip He walks around this area inside the building.
turnin The Legend of Stalvan##78 |goto 73.78,44.48
accept The Legend of Stalvan##79 |goto 73.78,44.48
step
Leave the building |goto 73.83,46.01 < 10 |walk |only if subzone("Scarlet Raven Tavern")
talk Commander Althea Ebonlocke##264
|tip She walks around this area.
turnin The Night Watch##58 |goto 73.59,46.89
turnin The Legend of Stalvan##79 |goto 73.59,46.89
accept The Legend of Stalvan##80 |goto 73.59,46.89
step
Enter the building |goto 72.92,46.81 < 10 |walk
talk Clerk Daltry##267
|tip He walks around this area inside the building.
turnin The Legend of Stalvan##80 |goto 72.52,46.85
accept The Legend of Stalvan##97 |goto 72.52,46.85
step
talk Sirra Von'Indi##268
|tip Inside the building.
turnin The Weathered Grave##225 |goto 72.64,47.62
accept Morgan Ladimore##227 |goto 72.64,47.62
step
talk Lord Ello Ebonlocke##263
|tip Inside the building.
turnin Note to the Mayor##160 |goto 71.93,46.42
accept Translate Abercrombie's Note##251 |goto 71.93,46.42
step
talk Sirra Von'Indi##268
|tip He walks around inside the building.
turnin Translate Abercrombie's Note##251 |goto 72.64,47.62
accept Wait for Sirra to Finish##401 |goto 72.64,47.62
step
Watch the dialogue
talk Sirra Von'Indi##268
|tip He walks around inside the building.
turnin Wait for Sirra to Finish##401 |goto 72.64,47.62
accept Translation to Ello##252 |goto 72.64,47.62
step
talk Lord Ello Ebonlocke##263
|tip Inside the building.
turnin Translation to Ello##252 |goto 71.93,46.42
step
_Destroy This Item:_
|tip It is no longer needed.
trash Translated Letter from The Embalmer##3248
step
Leave the building |goto 72.93,46.80 < 10 |walk |only if subzone("Darkshire Town Hall")
talk Commander Althea Ebonlocke##264
|tip She walks around this area.
turnin The Legend of Stalvan##97 |goto 73.59,46.89
accept The Legend of Stalvan##98 |goto 73.59,46.89
turnin Morgan Ladimore##227 |goto 73.59,46.89
step
_Destroy This Item:_
|tip It is no longer needed.
trash The Story of Morgan Ladimore##2154
step
talk Calor##663
|tip He walks around this area in front of the building.
turnin Worgen in the Woods##221 |goto 75.30,48.05
accept Worgen in the Woods##222 |goto 75.30,48.05
step
map Duskwood
path follow strictbounce; loop off; ants straight; dist 30; markers none
path	74.82,44.16	74.53,41.22	73.87,39.60	72.74,38.35	72.28,37.28
path	72.24,35.19	72.58,33.53	73.31,32.54
talk Watcher Backus##840
|tip He walks back and forth along this road.
turnin The Missing Diplomat##1244
accept The Missing Diplomat##1245
step
kill Stalvan Mistmantle##315
|tip Inside, or just outside, the building.
collect Mistmantle Family Ring##3629 |q 98/1 |goto 77.35,36.19
step
click Tear of Tilloa##321
collect Tear of Tilloa##2779 |q 335/1 |goto 78.35,35.95
step
Enter the building |goto 75.55,45.37 < 10 |walk
talk Madame Eva##265
|tip She walks around this area inside the building.
turnin The Legend of Stalvan##98 |goto 75.82,45.29
step
Enter the building |goto 79.79,47.69 < 10 |walk
talk Viktori Prism'Antras##276
|tip Inside the building.
turnin Look To The Stars##181 |goto 79.80,48.02
stickystart "Kill_Nightbane_Vile_Fangs"
step
kill 8 Nightbane Tainted One##920 |q 222/2 |goto 73.03,75.08
|tip Inside the mine.
|tip Try to stay near the entrance. |only if hardcore
|tip Watch for patrols and respawns while in the area. |only if hardcore
step
label "Kill_Nightbane_Vile_Fangs"
kill 8 Nightbane Vile Fang##206 |q 222/1 |goto 72.57,71.13
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
|tip Outside the mine.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Stranglethorn Vale (32-32)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stranglethorn Vale",
condition_suggested=function() return level == 32 and not completedq(1264) end,
next="Leveling Guides\\Hillsbrad Foothills (32-33)",
hardcore = true,
},[[
step
Follow the path up to the Rebel Camp |goto Stranglethorn Vale 39.05,5.20 < 20 |only if walking
talk Private Thorsen##738
|tip He periodically (around every 30 minutes) walks along the path to the south, from the Rebel Camp.
|tip If he's here, wait for him to start walking, and follow him.
|tip He will eventually get attacked by two Kurzen enemies.
|tip Help him kill the enemies and he will offer you a quest.
|tip It may take a while for him to start walking, but you have to wait for your hearthstone to cooldown anyway.
accept Jungle Secrets##215 |goto Stranglethorn Vale 37.98,3.41
Also check around [Stranglethorn Vale 40.34,8.44]
step
talk Barnil Stonepot##716
accept Welcome to the Jungle##583 |goto 35.66,10.53
step
talk Hemet Nesingwary##715
turnin Welcome to the Jungle##583 |goto 35.66,10.81
step
talk Ajeck Rouack##717
accept Tiger Mastery##185 |goto 35.61,10.62
step
talk Sir S. J. Erlgadin##718
accept Panther Mastery##190 |goto 35.55,10.55
stickystart "Kill_Young_Stranglethorn_Tigers"
step
Follow the path up |goto Stranglethorn Vale 30.71,8.28 < 30 |c |q 185
|only if Hunter
step
_NOTE:_
Tame a Stranglethorn Tiger
|tip Use your "Tame Beast" ability on a Stranglethorn Tiger.
|tip They look like orange tigers around this area.
|tip Make sure to tame a level 32 Stranglethorn Tiger.
|tip You can abandon your pet right before taming a Stranglethorn Tiger.
|tip This will be your new permanent pet.
|tip You will gain the "Dash" pet ability.
Train Your Pet
|tip Be sure to train your new pet with the highest ranks of Growl and Bite you currently have.
Click Here to Continue |confirm |goto Stranglethorn Vale 29.44,9.80 |q 185
|only if Hunter
step
label "Kill_Young_Stranglethorn_Tigers"
kill 10 Young Stranglethorn Tiger##681 |q 185/1 |goto Stranglethorn Vale 35.23,12.83
You can find more around: |notinsticky
[Stranglethorn Vale 33.42,11.47]
[Stranglethorn Vale 31.79,9.19]
step
kill 10 Young Panther##683 |q 190/1 |goto 41.70,12.28
You can find more around: |notinsticky
[42.40,10.56]
[41.06,8.26]
step
Follow the path up to the Rebel Camp |goto 39.05,5.20 < 20 |only if walking
talk Lieutenant Doren##469
turnin Jungle Secrets##215 |goto 38.04,3.01
step
talk Ajeck Rouack##717
turnin Tiger Mastery##185 |goto 35.61,10.62
step
talk Sir S. J. Erlgadin##718
turnin Panther Mastery##190 |goto 35.55,10.55
step
Kill enemies around this area
|tip Grind enemies until your Hearthstone is ready to use.
|tip You will be hearthing back to Darkshire.
|tip The guide doesn't take into account this grind, so any extra xp you get now will put you a little bit ahead, and reduce any grinding you have to do later.
|tip This step will complete when your Hearthstone is ready to use.
Grind XP Until You Can Hearth to Darkshire |complete C_Container.GetItemCooldown(6948) == 0 |q 222
step
talk Malissa##3135
|tip Walking around here.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Malissa##3135 |goto Duskwood 79.44,44.44 |q 222
|only if Rogue
step
talk Calor##663
|tip He walks around this area in front of the building.
turnin Worgen in the Woods##222 |goto Duskwood 75.30,48.05
accept Worgen in the Woods##223 |goto Duskwood 75.30,48.05
step
Enter the building |goto 75.22,48.25 < 10 |walk
talk Jonathan Carevin##661
|tip He walks around inside the building.
turnin Worgen in the Woods##223 |goto 75.32,49.02
|tip The Consecrated Wand reward is the fastest wand in the game and should be held on to. |only if Priest
step
Enter the building |goto Stormwind City 59.96,64.19 < 10 |walk
talk Elling Trias##482
|tip Upstairs inside the building.
turnin The Missing Diplomat##1245 |goto Stormwind City 59.91,64.17
accept The Missing Diplomat##1246 |goto Stormwind City 59.91,64.17
|tip This requires that you complete the "The Missing Diplomat" questline started in the "Duskwood (31-32)" guide.
step
Enter the building |goto 55.29,68.13 < 10 |walk
talk Olivia Burnside##2455
|tip Inside the building.
|tip Collect these items from the bank.
collect Crate of Crash Helmets##5849 |goto 57.66,72.78 |q 1179 |only if haveq(1179) or completedq(1179)
collect Musquash Root##2784 |goto 57.66,72.78 |q 335 |only if haveq(335) or completedq(335)
step
talk Archmage Malin##2708
accept Malin's Request##690 |goto 39.77,81.44
step
Enter the building |goto 39.84,85.21 < 10 |walk
talk Connor Rivers##5081
|tip Inside the building.
accept James Hyal##1301 |goto 40.62,91.83
step
Enter the building |goto 29.19,74.12 < 10 |walk
talk Zardeth of the Black Claw##1435
|tip Downstairs inside the building.
turnin A Noble Brew##335 |goto 26.45,78.65
accept A Noble Brew##336 |goto 26.45,78.65
step
Leave the building |goto 29.19,74.12 < 10 |c |q 336
|only if subzone("The Slaughtered Lamb")
step
_NOTE:_
Be Prepared to Fight
|tip Dashel Stonefist will attack you after you accept this quest in the next guide step.
|tip Also, two level 25-26 enemies will appear and help him fight.
|tip Ignore the helpers, and just focus on killing Dashel Stonefist as fast as you can.
|tip Once he reaches ~25% health, he will surrender and dismiss the helpers, ending the fight.
Click Here to Continue |confirm |q 1447 |future
step
Enter the alley |goto 70.07,48.07 < 10 |only if walking
talk Dashel Stonefist##4961
turnin The Missing Diplomat##1246 |goto 70.53,44.88
accept The Missing Diplomat##1447 |goto 70.53,44.88
step
kill Dashel Stonefist##4961
|tip Ignore the helpers that appear to help him fight, and just focus on killing Dashel Stonefist as fast as you can.
|tip Once he reaches ~25% health, he will surrender and dismiss the helpers, ending the fight.
Watch the dialogue
Defeat Dashel Stonefist |q 1447/1 |goto 70.53,44.88
step
talk Dashel Stonefist##4961
turnin The Missing Diplomat##1447 |goto 70.53,44.88
accept The Missing Diplomat##1247 |goto 70.53,44.88
step
Follow the path |goto Stormwind City 74.90,51.57 < 10 |only if walking
Enter the building |goto Stormwind City 78.04,47.98 < 10 |walk
talk Wu Shen##5479
|tip Upstairs inside the building.
accept The Islander##1718 |goto Stormwind City 78.68,45.79
|only if Warrior
step
Enter the building |goto Stormwind City 59.96,64.19 < 10 |walk
talk Elling Trias##482
|tip Upstairs inside the building.
turnin The Missing Diplomat##1247 |goto Stormwind City 59.91,64.17
accept The Missing Diplomat##1248 |goto Stormwind City 59.91,64.17
step
Enter the building |goto 69.09,28.70 < 15 |walk
Follow the path |goto 72.71,25.85 < 10 |walk
talk Lord Baurles K. Wishock##1439
|tip Inside the building.
turnin A Noble Brew##336 |goto 75.23,31.67
step
Leave the Petitioner's Chamber |goto 72.80,26.02 < 10 |walk |only if subzone("Petitioner's Chamber")
Follow the path |goto 72.72,22.92 < 10 |walk
Continue following the path |goto 70.17,11.34 < 10 |walk
talk Milton Sheaf##1440
|tip Inside the building.
turnin An Old History Book##337 |goto 74.17,7.49
accept Southshore##538 |goto 74.17,7.49
step
Enter the building |goto Wetlands 10.79,59.77 < 10 |walk
talk Vincent Hyal##5082
|tip Inside the building.
turnin James Hyal##1301 |goto Wetlands 10.81,60.42
accept James Hyal##1302 |goto Wetlands 10.81,60.42
step
_NOTE:_
Be Ready to Attack Tapoke "Slim" Jahn
|tip He is standing inside the building, near the entrance of the inn in Menethil Harbor.
|tip You can see him from where you turn in and accept quests in the next guide step.
|tip Immediately after you accept the quest in the next guide step, Tapoke "Slim" Jahn will stealth and start walking toward the building entrance.
|tip Follow him and attack him after he leaves the inn.
|tip He will summon another enemy to help him fight.
|tip Crowd control or ignore his helper, and just focus on killing Tapoke "Slim" Jahn as quickly as you can.
|tip He will surrender at ~15% health and his helper will disappear.
|tip As a Mage, you can try to Sheep him immediately once he becomes attackable, to prevent him from summoning his helper.		|only if Mage
Click Here to Continue |confirm |q 1249 |future
step
talk Mikhail##4963
|tip Inside the building.
turnin The Missing Diplomat##1248 |goto 10.60,60.77
accept The Missing Diplomat##1249 |goto 10.60,60.77
step
kill Tapoke "Slim" Jahn##4962
|tip He stealths inside the inn and walks out of the building to this location.
|tip He unstealths and tries to run away, so you will have to attack him.
|tip He will summon another enemy to help him fight.
|tip Crowd control or ignore his helper, and just focus on killing Tapoke "Slim" Jahn as quickly as you can.
|tip He will surrender at ~15% health and his helper will disappear.
|tip As a Mage, you can try to Sheep him immediately once he becomes attackable, to prevent him from summoning his helper.		|only if Mage
|tip If you have trouble, try to find someone to help you.
Defeat Tapoke Jahn |q 1249/1 |goto 10.79,59.60
step
Enter the building |goto 10.79,59.77 < 10 |walk
talk Mikhail##4963
|tip Inside the building.
turnin The Missing Diplomat##1249 |goto 10.60,60.77
step
talk Tapoke "Slim" Jahn##4962
|tip Inside the building.
accept The Missing Diplomat##1250 |goto 10.54,60.26
step
talk Mikhail##4963
|tip Inside the building.
turnin The Missing Diplomat##1250 |goto 10.60,60.77
accept The Missing Diplomat##1264 |goto 10.60,60.77
step
talk Innkeeper Helbrek##1464
|tip Inside the building.
home Deepwater Tavern |goto 10.70,60.95
step
Leave the building |goto Wetlands 10.79,59.77 < 10 |walk |only if subzone("Deepwater Tavern")
talk Bethaine Flinthammer##10046
|tip Stable your permanent pet.
|tip You are about to tame a temporary pet soon, so you can learn "Bite 5".
Click Here to Continue |confirm |goto Wetlands 10.53,59.73 |q 564 |future
|only if Hunter
step
_NOTE:_
Tame a Plains Creeper
|tip Use your "Tame Beast" ability on a Plains Creeper.
|tip They look like grey spiders around this area.
|tip Make sure to tame a level 32 Plains Creeper.
Learn the "Bite 5" Pet Ability
|tip Kill enemies around this area until you see a message in your chat saying you learned "Bite 5".
|tip You will teach "Bite 5" to your permanent pet soon.
Click Here to Continue |confirm |goto Arathi Highlands 42.24,58.83 |q 564 |future
|only if Hunter
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Hillsbrad Foothills (32-33)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Hillsbrad Foothills",
condition_suggested=function() return level >= 32 and level <= 33 and not completedq(510) end,
next="Leveling Guides\\Arathi Highlands (33-33)",
hardcore = true,
},[[
step
talk Darren Malvew##2382
accept Costly Menace##564 |goto Hillsbrad Foothills 52.42,55.96
step
talk Loremaster Dibbs##2277
turnin Southshore##538 |goto 50.57,57.09
step
talk Wesley##9978
|tip Abandon your temporary pet and get your permanent pet from the stable.
|tip Teach "Bite 5" to your permanent pet.
Click Here to Continue |confirm |goto Hillsbrad Foothills 50.42,58.80 |q 536 |future
|only if Hunter
step
Enter the building |goto Hillsbrad Foothills 50.45,58.55 < 10 |walk
talk Lieutenant Farren Orinelle##2228
|tip Inside the building.
accept Down the Coast##536 |goto Hillsbrad Foothills 51.46,58.38
step
talk Chef Jessen##2430
|tip Inside the building.
accept Soothing Turtle Bisque##555 |goto 51.89,58.68
stickystart "Kill_Torn_Fin_Oracles"
step
Leave the building |goto 50.45,58.55 < 10 |walk |only if subzone("Southshore") and _G.IsIndoors()
kill 10 Torn Fin Tidehunter##2377 |q 536/1 |goto 46.55,64.38
|tip Enemies near the murloc huts tend to pull in groups. |only if hardcore
|tip Torn Fin Oracles may heal when at low health. |only if hardcore
|tip Torn Fin Tidehunters may root you in place. |only if hardcore
|tip Enemies around this area may run away in fear when at low health. |only if hardcore
|tip You can find more in the water along the shore.
You can find more around: |notinsticky
[43.51,67.70]
[37.04,68.74]
step
label "Kill_Torn_Fin_Oracles"
kill 10 Torn Fin Oracle##2376 |q 536/2 |goto 46.55,64.38
|tip You can find more in the water along the shore.
|tip Enemies near the murloc huts tend to pull in groups. |only if hardcore |notinsticky
|tip Torn Fin Oracles may heal when at low health. |only if hardcore |notinsticky
|tip Torn Fin Tidehunters may root you in place. |only if hardcore |notinsticky
|tip Enemies around this area may run away in fear when at low health. |only if hardcore |notinsticky
You can find more around: |notinsticky
[43.51,67.70]
[37.04,68.74]
step
Enter the building |goto 50.45,58.55 < 10 |walk
talk Lieutenant Farren Orinelle##2228
|tip Inside the building.
turnin Down the Coast##536 |goto 51.46,58.38
accept Farren's Proof##559 |goto 51.46,58.38
step
Leave the building |goto 50.45,58.55 < 10 |walk |only if subzone("Southshore") and _G.IsIndoors()
Kill Torn Fin enemies around this area
|tip You can find more in the water along the shore.
|tip Enemies near the murloc huts tend to pull in groups. |only if hardcore
|tip Torn Fin Oracles may heal when at low health. |only if hardcore
|tip Torn Fin Tidehunters may root you in place. |only if hardcore
|tip Enemies around this area may run away in fear when at low health. |only if hardcore
collect 10 Murloc Head##3716 |q 559/1 |goto 46.55,64.38
You can find more around: |notinsticky
[43.51,67.70]
[37.04,68.74]
step
Enter the building |goto 50.45,58.55 < 10 |walk
talk Lieutenant Farren Orinelle##2228
|tip Inside the building.
turnin Farren's Proof##559 |goto 51.46,58.38
accept Farren's Proof##560 |goto 51.46,58.38
step
Leave the building |goto 50.45,58.55 < 10 |walk |only if subzone("Southshore") and _G.IsIndoors()
talk Marshal Redpath##2263
turnin Farren's Proof##560 |goto 49.48,58.73
accept Farren's Proof##561 |goto 49.48,58.73
step
Enter the building |goto 49.00,59.12 < 10 |walk
talk Magistrate Henry Maleb##2276
|tip Inside the building.
accept Syndicate Assassins##505 |goto 48.14,59.11
step
Leave the building |goto 49.00,59.12 < 10 |walk |only if subzone("Southshore Town Hall")
Enter the building |goto 50.45,58.55 < 10 |walk
talk Lieutenant Farren Orinelle##2228
|tip Inside the building.
turnin Farren's Proof##561 |goto 51.46,58.38
accept Stormwind Ho!##562 |goto 51.46,58.38
stickystart "Kill_Daggerspine_Sirens"
step
Leave the building |goto 50.45,58.55 < 10 |walk |only if subzone("Southshore") and _G.IsIndoors()
kill 10 Daggerspine Shorehunter##2369 |q 562/1 |goto 53.42,64.21
|tip You can find more in the water along the shore.
|tip Daggerspine enemies may run away in fear when at low health.	|only if hardcore
|tip Daggerspine Siren are ranged attackers that deal heavy damage.	|only if hardcore
|tip Watch for patrols and respawn while in the area.			|only if hardcore
You can find more around: |notinsticky
[57.57,66.32]
[60.95,75.24]
step
label "Kill_Daggerspine_Sirens"
kill 10 Daggerspine Siren##2371 |q 562/2 |goto 53.42,64.21
|tip You can find more in the water along the shore.
|tip Daggerspine enemies may run away in fear when at low health.	|only if hardcore |notinsticky
|tip Daggerspine Siren are ranged attackers that deal heavy damage.	|only if hardcore |notinsticky
|tip Watch for patrols and respawn while in the area.			|only if hardcore |notinsticky
You can find more around: |notinsticky
[57.57,66.32]
[60.95,75.24]
step
Kill enemies around this area
|tip You can find more in the water along the shore.
|tip You should already be level 33, or pretty close.
|tip Daggerspine enemies may run away in fear when at low health.	|only if hardcore |notinsticky
|tip Daggerspine Siren are ranged attackers that deal heavy damage.	|only if hardcore |notinsticky
|tip Watch for patrols and respawn while in the area.			|only if hardcore |notinsticky
ding 33 |goto 53.42,64.21
You can find more around: |notinsticky
[57.57,66.32]
[60.95,75.24]
step
Enter the building |goto 50.45,58.55 < 10 |walk
talk Lieutenant Farren Orinelle##2228
|tip Inside the building.
turnin Stormwind Ho!##562 |goto 51.46,58.38
accept Reassignment##563 |goto 51.46,58.38
step
Leave the building |goto 50.45,58.55 < 10 |walk |only if subzone("Southshore") and _G.IsIndoors()
Enter the building |goto 49.31,55.49 < 10 |walk
talk Micha Yance##2381
|tip Inside the building.
buy Soothing Spices##3713 |q 555/2 |goto 48.94,55.03
|tip Be careful not to accidentally sell this to a vendor.
step
_NOTE:_
Incoming Cave Step
|tip The next step has you venturing into a cave.
|tip While inside, there are constant patrols and inconsistent respawns of the yetis.
|tip The quest is optional.
|tip If you end up skipping, abandon the quest "A King's Tribute".
|tip You will also need to grind 2,500 xp.
Click Here to Continue |confirm |q 689 |future
|only if hardcore
step
Leave the building |goto 49.31,55.49 < 10 |walk |only if subzone("Southshore") and _G.IsIndoors()
click Alterac Granite##2714+
|tip They look like flat grey stones standing upright near the walls inside the cave.
|tip Watch for patrols and respawns while inside the cave. |only if hardcore
collect 5 Alterac Granite##4521 |q 689/1 |goto 46.18,31.83
stickystart "Kill_Hulking_Mountain_Lions"
step
Leave the cave |goto 46.18,31.83 < 15 |walk |only if subzone("Darrow Hill") and _G.IsIndoors()
kill 8 Mountain Lion##2406 |q 564/1 |goto Alterac Mountains 43.94,77.87
You can find more around: |notinsticky
[Alterac Mountains 37.69,85.48]
[Alterac Mountains 32.86,83.10]
step
label "Kill_Hulking_Mountain_Lions"
kill 10 Hulking Mountain Lion##2407 |q 564/2 |goto 43.94,77.87
You can find more around: |notinsticky
[37.69,85.48]
[32.86,83.10]
stickystart "Kill_Syndicate_Thieves"
stickystart "Kill_Syndicate_Footpads"
step
click Syndicate Documents##1738
|tip Be careful, the enemies in these camps respawn pretty quickly.
|tip If you have trouble, try to find someone to help you.
accept Foreboding Plans##510 |goto 47.91,82.13
accept Encrypted Letter##511 |goto 47.91,82.13
If it's not here, check the other camp at [58.32,67.92]
step
label "Kill_Syndicate_Thieves"
Follow the path up |goto 53.84,65.36 < 30 |only if walking and not subzone("Sofera's Naze")
kill 8 Syndicate Thief##2241 |q 505/2 |goto 58.32,67.92
|tip Focus on killing them in this camp. |notinsticky
|tip The next step in the guide is nearby this camp. |notinsticky
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
|tip Enemies near the camp tend to pull in a group.		|only if hardcore |notinsticky
step
label "Kill_Syndicate_Footpads"
Follow the path up |goto 53.84,65.36 < 30 |only if walking and not subzone("Sofera's Naze")
kill 12 Syndicate Footpad##2240 |q 505/1 |goto 58.32,67.92
|tip Focus on killing them in this camp. |notinsticky
|tip The next step in the guide is nearby this camp. |notinsticky
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
|tip Enemies near the camp tend to pull in a group.		|only if hardcore |notinsticky
step
kill Snapjaw##2408+
collect 10 Turtle Meat##3712 |q 555/1 |goto Hillsbrad Foothills 70.16,11.90
|tip Be careful not to accidentally sell these to a vendor.
|tip There may be a patrolling elite enemy in the area.
You can find more around: |notinsticky
[Alterac Mountains 73.90,66.37]
[Alterac Mountains 80.00,58.78]
[Alterac Mountains 84.47,51.55]
[Alterac Mountains 89.72,47.03]
step
Follow the path north to the road |goto Alterac Mountains 80.36,53.97 < 100 |only if walking and not zone("Western Plaguelands")
Follow the road |goto Alterac Mountains 80.02,42.29 < 40 |only if walking and not zone("Western Plaguelands")
talk Bibilfaz Featherwhistle##12596
fpath Chillwind Camp |goto Western Plaguelands 42.93,85.06
step
talk Darren Malvew##2382
turnin Costly Menace##564 |goto Hillsbrad Foothills 52.42,55.96
step
talk Loremaster Dibbs##2277
turnin Encrypted Letter##511 |goto 50.57,57.09
accept Letter to Stormpike##514 |goto 50.57,57.09
step
Enter the building |goto 50.45,58.55 < 10 |walk
talk Chef Jessen##2430
|tip Inside the building.
turnin Soothing Turtle Bisque##555 |goto 51.89,58.68
step
Leave the building |goto 50.45,58.55 < 10 |walk |only if subzone("Southshore") and _G.IsIndoors()
talk Phin Odelic##2711
accept Hints of a New Plague?##659 |goto 50.34,59.05
step
Enter the building |goto 49.02,59.12 < 10 |walk
talk Magistrate Henry Maleb##2276
|tip Inside the building.
turnin Syndicate Assassins##505 |goto 48.14,59.11
turnin Foreboding Plans##510 |goto 48.14,59.11
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Arathi Highlands (33-33)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Arathi Highlands",
condition_suggested=function() return level == 33 and not completedq(681) end,
next="Leveling Guides\\Dustwallow Marsh (33-33)",
hardcore = true,
},[[
step
talk Captain Nials##2700
accept Northfold Manor##681 |goto Arathi Highlands 45.83,47.55
step
talk Skuerto##2789
turnin Malin's Request##690 |goto 46.65,47.01
step
Leave Refuge Pointe |goto 48.35,44.93 < 40 |only if walking and subzone("Refuge Pointe")
talk Quae##2712
turnin Hints of a New Plague?##659 |goto 60.19,53.85
accept Hints of a New Plague?##658 |goto 60.19,53.85
stickystart "Kill_Syndicate_Highwaymen"
step
kill 6 Syndicate Mercenary##2589 |q 681/2 |goto 32.67,29.22
|tip They are also inside the buildings.					|only if not hardcore
|tip They can also be found inside buildings, but it's dangerous to enter.	|only if hardcore
|tip Enemies tend to be bunched together inside buildings. |only if hardcore
step
label "Kill_Syndicate_Highwaymen"
kill 10 Syndicate Highwayman##2586 |q 681/1 |goto 32.67,29.22
|tip They are usually stealthed, so be careful.
|tip They are also inside the buildings. |notinsticky
|tip You can find more stealted along the small hill ridges surrounding this village.
step
talk Captain Nials##2700
turnin Northfold Manor##681 |goto 45.83,47.55
step
talk Vikki Lonsav##2808
|tip Buy enough ammo to fill your ammo bag, plus 10-12 extra stacks.
|tip You will be out questing for a while without access to an arrow vendor.
Visit the Vendor |vendor Vikki Lonsav##2808 |goto Arathi Highlands 46.45,47.60 |q 658
|only if Hunter
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Dustwallow Marsh (33-33)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Arathi Highlands",
condition_suggested=function() return level == 33 and not completedq(1253) end,
next="Leveling Guides\\Thousand Needles (33-34)",
hardcore = true,
},[[
step
talk Baldruc##4321
fpath Theramore |goto Dustwallow Marsh 67.48,51.30
step
Enter the building |goto 66.12,51.56 < 10 |walk
talk Helenia Olden##4897
|tip Inside the building.
buy 3 Soothing Spices##3713 |goto 66.44,51.46 |q 1218 |future
|tip Be careful not to accidentally sell these to a vendor.
step
Enter the building |goto 65.99,45.20 < 10 |walk
talk Fiora Longears##4456
|tip Inside the building.
accept Highperch Venom##1135 |goto Dustwallow Marsh/0 66.46,45.15
step
talk Innkeeper Janene##6272
|tip Inside the building.
home Theramore Isle |goto 66.59,45.22
step
Leave the building |goto 65.99,45.20 < 10 |walk |only if subzone("Theramore Isle") and _G.IsIndoors()
Enter the building |goto 67.81,47.69 < 15 |walk
Run up the stairs |goto 68.17,48.77 < 7 |walk
talk Clerk Lendry##5083
|tip Upstairs inside the building.
turnin James Hyal##1302 |goto 67.88,48.24
step
talk Commander Samaul##4964
|tip Upstairs inside the building.
turnin The Missing Diplomat##1264 |goto 68.02,48.71
accept The Missing Diplomat##1265 |goto 68.02,48.71
step
Leave the building |goto 67.81,47.69 < 15 |walk |only if subzone("Foothold Citadel")
Leave Theramore Isle and follow the road |goto 64.82,46.60 < 40 |only if walking and subzone("Theramore Isle")
talk "Swamp Eye" Jarl##4792
accept Soothing Spices##1218 |goto 55.44,26.27
step
talk "Swamp Eye" Jarl##4792
turnin Soothing Spices##1218 |goto 55.44,26.27
step
click Loose Dirt
accept The Orc Report##1219 |goto 55.44,25.93
step
talk Mudcrush Durtfeet##4503
|tip Follow the road to this location.
|tip Be careful to avoid Brackenwall Village and enemies along the way.
|tip The enemies in this zone are a good bit higher level than you.
accept Hungry!##1177 |goto 35.15,38.25
step
click Suspicious Hoofprint
accept Suspicious Hoofprints##1284 |goto 29.70,47.63
|tip This requires that you complete the "James Hyal" questline started in the "Stranglethorn Vale (32-32)" guide.
step
click Theramore Guard Badge
|tip It looks like a tiny metal object on the floor.
accept Lieutenant Paval Reethe##1252 |goto 29.83,48.24
|tip This requires that you complete the "James Hyal" questline started in the "Stranglethorn Vale (32-32)" guide.
step
click Black Shield
accept The Black Shield##1253 |goto 29.63,48.59
|tip This requires that you complete the "James Hyal" questline started in the "Stranglethorn Vale (32-32)" guide.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Thousand Needles (33-34)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Thousand Needles",
condition_suggested=function() return level >= 33 and level <= 34 and not completedq(1175) end,
next="Leveling Guides\\Dustwallow Marsh (34-34)",
hardcore = true,
},[[
step
Ride an elevator down |goto Thousand Needles 31.72,23.63 < 30 |only if walking
click Henrig Lonebrow's Journal
|tip It looks like a small brown book in a dead dwarf's hand.
|tip If someone looted it recently, it can take a few minutes to reappear.
collect Henrig Lonebrow's Journal##5791 |goto Thousand Needles 30.73,24.35 |q 1100 |future
step
use Henrig Lonebrow's Journal##5791
accept Lonebrow's Journal##1100
step
talk Thyssiana##4319
fpath Thalanaar |goto Feralas 89.50,45.85
step
talk Falfindel Waywarder##4048
turnin Lonebrow's Journal##1100 |goto 89.64,46.56
turnin Reclaiming the Charred Vale##1059 |goto 89.64,46.56
step
Follow the path up |goto Thousand Needles 14.00,32.15 < 20 |only if walking and not subzone("Highperch")
Kill Highperch enemies around this area
|tip They look like wyverns.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect 10 Highperch Venom Sac##5809 |q 1135/1 |goto Thousand Needles 11.09,35.88
step
Kill enemies around this area
|tip You should already be level 34, or pretty close.
|tip Watch for patrols and respawns while in the area. |only if hardcore
ding 34 |goto 11.09,35.88
step
Leave Highperch |goto 13.79,33.69 < 20 |only if walking and subzone("Highperch")
talk Kravel Koalbeard##4452
|tip Avoid Freewind Post while you travel here.
accept Rocket Car Parts##1110 |goto 77.79,77.27
step
talk Fizzle Brassbolts##4454
accept Salt Flat Venom##1104 |goto 78.06,77.13
step
talk Wizzle Brassbolts##4453
turnin The Brassbolts Brothers##1179 |goto 78.14,77.12
accept Hardened Shells##1105 |goto 78.14,77.12
step
talk Pozzik##4630
accept Load Lightening##1176 |goto 80.18,75.89
step
talk Trackmaster Zherin##4629
accept A Bump in the Road##1175 |goto 81.64,77.95
stickystart "Collect_Rocket_Car_Parts"
stickystart "Kill_Saltstone_Crystalhides"
step
kill 6 Saltstone Gazer##4150 |q 1175/3 |goto 77.51,87.20
stickystart "Collect_Hollow_Vulture_Bones"
stickystart "Collect_Hardened_Tortoise_Shells"
stickystart "Collect_Salty_Scorpid_Venom"
stickystart "Kill_Saltstone_Basilisks"
step
label "Collect_Hollow_Vulture_Bones"
Kill Salt Flats enemies around this area
|tip They look like vultures.
|tip You can rarely find individual ones all around Shimmering Flats.
|tip However, this is the only location where there are multiple of them.
collect 10 Hollow Vulture Bone##5848 |q 1176/1 |goto 87.45,65.73
|tip Work on other quests in the northern part of Shimmering Flats, and keep revisiting this area until you have them all.
step
label "Collect_Hardened_Tortoise_Shells"
Kill Sparkleshell enemies around this area
|tip They look like turtles.
collect 9 Hardened Tortoise Shell##5795 |q 1105/1 |goto 82.53,55.37
You can find more around: |notinsticky
[77.41,53.72]
[73.05,56.51]
[74.82,63.33]
step
label "Collect_Salty_Scorpid_Venom"
Kill Scorpid enemies around this area
'|kill Scorpid Reaver##4140, Scorpid Terror##4139, Vile Sting##5937
|tip They look like scorpions.
collect 6 Salty Scorpid Venom##5794 |q 1104/1 |goto 83.06,61.38
You can find more around: |notinsticky
[77.95,53.29]
[73.56,56.98]
[71.30,66.70]
[77.61,68.70]
step
label "Kill_Saltstone_Basilisks"
kill 10 Saltstone Basilisk##4147 |q 1175/1 |goto 77.73,59.22
You can find more around: |notinsticky
[73.41,57.27]
[70.97,66.69]
[77.48,52.40]
step
label "Kill_Saltstone_Crystalhides"
kill 10 Saltstone Crystalhide##4151 |q 1175/2 |goto 77.51,87.20
step
label "Collect_Rocket_Car_Parts"
click Rocket Car Rubble##19868+
|tip They look like various machine parts scattered on the ground.
|tip You can find them all throughout the Shimmering Flats.
collect 30 Rocket Car Parts##5798 |q 1110/1 |goto 83.06,61.38
You can find more around: |notinsticky
[77.95,53.29]
[73.56,56.98]
[71.30,66.70]
[77.61,68.70]
step
talk Kravel Koalbeard##4452
|tip Avoid Freewind Post while you travel here.
turnin Rocket Car Parts##1110 |goto 77.79,77.27
accept Wharfmaster Dizzywig##1111 |goto 77.79,77.27
accept Hemet Nesingwary##5762 |goto 77.79,77.27
step
talk Fizzle Brassbolts##4454
turnin Salt Flat Venom##1104 |goto 78.06,77.13
step
talk Wizzle Brassbolts##4453
turnin Hardened Shells##1105 |goto 78.14,77.12
step
talk Pozzik##4630
turnin Load Lightening##1176 |goto 80.18,75.88
accept Goblin Sponsorship##1178 |goto 80.18,75.88
step
talk Trackmaster Zherin##4629
turnin A Bump in the Road##1175 |goto 81.63,77.95
step
talk Bera Stonehammer##7823
fpath Gadgetzan |goto Tanaris 51.01,29.34
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Dustwallow Marsh (34-34)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Dustwallow Marsh",
condition_suggested=function() return level == 34 and not completedq(1112) end,
next="Leveling Guides\\Stranglethorn Vale (34-35)",
hardcore = true,
},[[
step
talk Fiora Longears##4456
|tip Inside the building.
turnin Highperch Venom##1135 |goto Dustwallow Marsh/0 66.46,45.15
step
Leave the building |goto 65.99,45.20 < 10 |walk |only if subzone("Theramore Isle") and _G.IsIndoors()
talk Theramore Lieutenant##4947
turnin The Orc Report##1219 |goto 65.07,47.13
accept Captain Vimes##1220 |goto 65.07,47.13
step
Enter the building |goto 67.78,47.59 < 15 |walk
Run up the stairs |goto 68.17,48.76 < 10 |walk
talk Captain Garran Vimes##4944
|tip Upstairs inside the building.
turnin Captain Vimes##1220 |goto 68.21,48.62
turnin Suspicious Hoofprints##1284 |goto 68.21,48.62
turnin Lieutenant Paval Reethe##1252 |goto 68.21,48.62
accept Lieutenant Paval Reethe##1259 |goto 68.21,48.62
turnin The Black Shield##1253 |goto 68.21,48.62
accept The Black Shield##1319 |goto 68.21,48.62
step
talk Adjutant Tesoran##4948
|tip Upstairs inside the building.
turnin Lieutenant Paval Reethe##1259 |goto 68.05,48.11
accept Daelin's Men##1285 |goto 68.05,48.11
step
talk Captain Garran Vimes##4944
|tip Upstairs inside the building.
turnin Daelin's Men##1285 |goto 68.21,48.62
step
Leave the building |goto 67.78,47.59 < 15 |walk |only if subzone("Foothold Citadel")
Follow the road and enter the building |goto 64.69,49.97 < 10 |walk
talk Caz Twosprocket##4941
|tip Inside the building.
turnin The Black Shield##1319 |goto 64.75,50.43
accept The Black Shield##1320 |goto 64.75,50.43
step
Follow the road and enter the building |goto 67.78,47.59 < 15 |walk
Run up the stairs |goto 68.17,48.76 < 7 |walk
talk Captain Garran Vimes##4944
|tip Upstairs inside the building.
turnin The Black Shield##1320 |goto 68.21,48.62
step
Run up the ramp and jump over the wall to leave Theramore Isle |goto Dustwallow Marsh 65.64,45.37 < 10 |only if walking and subzone("Theramore Isle")
Follow the beach north to reach Ratchet in the Barrens |goto Dustwallow Marsh 64.60,39.77 < 40 |only if walking and zone("Dustwallow Marsh")
Avoid the murloc islands |goto Dustwallow Marsh 59.97,14.53 < 40 |only if walking and zone("Dustwallow Marsh")
Avoid the murloc islands and follow the path north toward Ratchet |goto The Barrens 64.04,58.31 < 40 |only if walking and zone("Dustwallow Marsh")
talk Klannoc Macleod##6236
turnin The Islander##1718 |goto The Barrens 68.62,49.17
accept The Affray##1719 |goto The Barrens 68.62,49.17
|only if Warrior
step
Step on the Grate to Begin the Affray |q 1719/1 |goto 68.61,48.72
|only if Warrior
step
kill Affray Challenger##6240+
|tip You will have to kill six of them before Big Will will appear.
|tip You will fight them one at a time.
kill Big Will##6238 |q 1719/2 |goto 68.61,48.72
|tip It may take a while before he appears.
|only if Warrior
step
talk Klannoc Macleod##6236
|tip You will learn Berserker Stance from completing this quest.
turnin The Affray##1719 |goto 68.62,49.17
accept The Windwatcher##1791 |goto 68.62,49.17
|only if Warrior
step
Enter the building |goto The Barrens 62.08,39.26 < 15 |walk
talk Innkeeper Wiley##6791
|tip Inside the building.
home Ratchet |goto The Barrens 62.05,39.41
|only if Warrior
step
Run up the ramp and jump over the wall to leave Theramore Isle |goto Dustwallow Marsh 65.64,45.37 < 10		|only if walking and subzone("Theramore Isle")
Follow the beach north to reach Ratchet in the Barrens |goto Dustwallow Marsh 64.60,39.77 < 40			|only if walking and zone("Dustwallow Marsh")
Avoid the murloc islands |goto Dustwallow Marsh 59.97,14.53 < 40						|only if walking and zone("Dustwallow Marsh")
Avoid the murloc islands and follow the path north toward Ratchet |goto The Barrens 64.04,58.31 < 40		|only if walking and zone("Dustwallow Marsh") |notravel
Enter the building |goto The Barrens 62.08,39.26 < 15 |walk
talk Innkeeper Wiley##6791
|tip Inside the building.
home Ratchet |goto The Barrens 62.05,39.41
|only if not Warrior
step
talk Fuzruckle##3496
|tip Deposit these items into the bank.
bank Alterac Granite##4521 |goto The Barrens 62.64,37.42 |q 689 |future
|tip You should have 5 of these.
bank Cleverly Encrypted Letter##3521 |goto The Barrens 62.64,37.42 |q 514 |future
bank Farren's Report##3721 |goto The Barrens 62.64,37.42 |q 563 |future
step
talk Bragok##16227
fpath Ratchet |goto 63.09,37.16
step
Enter the building |goto 62.89,36.52 < 10 |walk
talk Gazlowe##3391
|tip Upstairs inside the building.
turnin Goblin Sponsorship##1178 |goto 62.68,36.23
accept Goblin Sponsorship##1180 |goto 62.68,36.23
step
talk Wharfmaster Dizzywig##3453
turnin The Barrens Port##1039 |goto 63.35,38.45
accept Passage to Booty Bay##1040 |goto 63.35,38.45
turnin Wharfmaster Dizzywig##1111 |goto 63.35,38.45
accept Parts for Kravel##1112 |goto 63.35,38.45
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Stranglethorn Vale (34-35)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stranglethorn Vale",
condition_suggested=function() return level >= 34 and level <= 35 and not completedq(575) end,
next="Leveling Guides\\Duskwood (35-35)",
hardcore = true,
},[[
step
talk Malissa##3135
|tip Walking around here.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Malissa##3135 |goto Duskwood 79.44,44.44 |q 1180
|only if Rogue
step
talk Wharfmaster Lozgil##4631
turnin Goblin Sponsorship##1180 |goto Stranglethorn Vale 26.35,73.56
accept Goblin Sponsorship##1181 |goto Stranglethorn Vale 26.35,73.56
|tip This requires that you complete the "Load Lightening" questline started in the "Thousand Needles (33-34)" guide.
step
talk Caravaneer Ruzzgot##3945
turnin Passage to Booty Bay##1040 |goto 27.37,74.08
|tip This quest is received in the Dustwallow Marsh (34-34) guide.
accept The Caravan Road##1041 |goto 27.37,74.08
step
Enter the building |goto Stranglethorn Vale 28.11,74.98 < 10 |walk
talk Zarena Cromwind##2482
|tip Inside the building.
buy Big Stick##12251 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Zarena Cromwind##2482 |goto Stranglethorn Vale 28.34,75.46 |q 605 |future
|only if Warrior and itemcount(12251) == 0
step
Enter the building |goto Stranglethorn Vale 27.08,77.62 < 7 |walk |only if not subzone ("The Salty Sailor Tavern")
talk Innkeeper Skindle##6807
|tip Inside the building.
home Booty Bay |goto Stranglethorn Vale 27.04,77.31
step
talk Crank Fizzlebub##2498
|tip Inside the building.
accept Singing Blue Shards##605 |goto 27.12,77.21
step
talk Krazek##773
|tip Upstairs inside the building, on the top floor.
accept Investigate the Camp##201 |goto 26.94,77.21
accept Supplies to Private Thorsen##198 |goto 26.94,77.21
accept The Haunted Isle##616 |goto 26.94,77.21
step
talk Kebok##737
|tip Upstairs inside the building, on the top floor.
accept Hostile Takeover##213 |goto 27.00,77.12
step
talk Baron Revilgaz##2496
|tip Upstairs on the balcony of the building.
turnin The Haunted Isle##616 |goto 27.23,76.87
accept The Stone of the Tides##578 |goto 27.23,76.87
turnin Goblin Sponsorship##1181 |goto 27.23,76.87
accept Goblin Sponsorship##1182 |goto 27.23,76.87
step
_Destroy This Item:_
|tip It is no longer needed.
trash Library Scrip##3898
step
talk Viznik Goldgrubber##2625
|tip Deposit these items into the bank.
bank Kravel's Parts##5800 |goto 26.54,76.57 |q 1112 |future
step
Run up the ramp |goto 27.85,76.76 < 10 |only if walking
Cross the bridge |goto 28.15,76.52 < 10 |only if walking
Enter the building |goto 28.21,77.33 < 7 |walk
talk Drizzlik##2495
|tip Inside the building.
accept Supply and Demand##575 |goto 28.29,77.59
step
Enter the building and run up the stairs |goto 27.52,77.86 < 7 |only if walking
talk Gyll##2859
|tip Upstairs on the balcony of the building.
fpath Booty Bay |goto 27.53,77.79
step
Follow the path up into the Rebel Camp |goto 39.05,5.20 < 20 |only if walking
talk Private Thorsen##738
|tip He periodically walks along the path to the south, from the Rebel Camp.
|tip If he's not here, skip this step, you'll have another chance to turn in this quest later.
turnin Supplies to Private Thorsen##198 |goto 37.98,3.42
step
talk Sergeant Yohwa##733
accept The Second Rebellion##203 |goto 38.02,3.33
accept Bad Medicine##204 |goto 38.02,3.33
step
Leave the Rebel Camp |goto 39.29,5.56 < 30 |only if walking and subzone("Rebel Camp")
Locate the Hunters' Camp |q 201/1 |goto 35.55,10.55
step
talk Hemet Nesingwary##715
turnin Hemet Nesingwary##5762 |goto 35.66,10.81
accept Raptor Mastery##194 |goto 35.66,10.81
step
talk Ajeck Rouack##717
accept Tiger Mastery##186 |goto 35.61,10.62
step
talk Sir S. J. Erlgadin##718
accept Panther Mastery##191 |goto 35.55,10.55
stickystart "Kill_Stranglethorn_Tigers"
step
Follow the path up |goto 30.79,8.27 < 20 |only if walking
kill 10 Panther##736 |q 191/1 |goto 30.02,10.56
You can find more around: |notinsticky
[28.35,12.13]
[28.55,16.11]
[30.33,15.29]
step
label "Kill_Stranglethorn_Tigers"
kill 10 Stranglethorn Tiger##682 |q 186/1 |goto 30.02,10.56
You can find more around: |notinsticky
[28.35,12.13]
[28.55,16.11]
[30.33,15.29]
step
kill 10 Stranglethorn Raptor##685 |q 194/1 |goto 26.04,16.19
step
kill Crystal Spine Basilisk##689+
collect 10 Singing Crystal Shard##3918 |q 605/1 |goto 27.06,18.51
You can find more around [25.11,17.42]
step
Kill enemies around this area
|tip You should already be level 35, or pretty close.
|tip You will be completing some difficult quest soon, so being a level higher will help.
ding 35 |goto 27.06,18.51
You can find more around [25.11,17.42]
step
Locate the Haunted Island |q 578/1 |goto 21.33,21.93
step
talk Hemet Nesingwary##715
turnin Raptor Mastery##194 |goto 35.66,10.81
accept Raptor Mastery##195 |goto 35.66,10.81
step
talk Ajeck Rouack##717
turnin Tiger Mastery##186 |goto 35.61,10.62
accept Tiger Mastery##187 |goto 35.61,10.62
step
talk Sir S. J. Erlgadin##718
turnin Panther Mastery##191 |goto 35.55,10.55
accept Panther Mastery##192 |goto 35.55,10.55
step
map Stranglethorn Vale
path follow strictbounce; loop off; ants straight; dist 70; markers none
path	32.29,7.85	33.67,8.61	35.19,9.28	36.74,9.43	37.75,10.14
path	39.11,11.77	40.34,13.97
kill River Crocolisk##1150+
|tip On the shore along the river around this area.
|tip They can be on both sides of the river.
collect 2 Large River Crocolisk Skin##4053 |q 575/1
stickystart "Collect_Jungle_Remedies"
stickystart "Kill_Kurzen_Jungle_Fighters"
step
Follow the path |goto 40.33,8.32 < 40 |only if walking and not subzone("Kurzen's Compound")
click Kurzen Supplies##264
|tip In front of the building.
|tip Be careful to stay out of sight of the enemies near the doorway inside the building.
collect Venom Fern Extract##2634 |q 204/2 |goto 44.10,9.56
step
label "Collect_Jungle_Remedies"
kill Kurzen Medicine Man##940+
|tip Try to interrupt their spell casts, or drain their mana if you can.
|tip They can heal themselves and other enemies.
collect 7 Jungle Remedy##2633 |q 204/1 |goto 43.88,10.71
step
label "Kill_Kurzen_Jungle_Fighters"
kill 15 Kurzen Jungle Fighter##937 |q 203/1 |goto 43.88,10.71
|tip If you don't have help, stay on western outskirts, around this area, and just wait for the enemies to respawn.
|tip They respawn pretty quickly.
stickystart "Collect_Tumbled_Crystals"
step
Follow the path up |goto 42.25,18.10 < 10 |only if walking
kill Foreman Cozzle##4723
|tip Inside the building at the top of the platform.
|tip He's level 38, but you should be able to kill him at this level.
|tip Be careful not to accidentally aggro him while killing other enemies near the building.
|tip If you have trouble, try to find someone to help you.
collect Cozzle's Key##5851 |goto 42.65,18.35 |q 1182
|only if not hardcore
step
Enter the building |goto 43.45,20.36 < 10 |walk
click Cozzle's Footlocker##20691
|tip Inside the building.
collect Fuel Regulator Blueprints##5852 |q 1182/1 |goto 43.34,20.34
|only if not hardcore
step
label "Collect_Tumbled_Crystals"
kill Venture Co. Geologist##1096+
collect 8 Tumbled Crystal##4106 |q 213/1 |goto 44.63,21.45
|tip These are ranged attackers that deal heavy damage.			|only if hardcore |notinsticky
|tip Enemies around this area may run away in fear when at low health.	|only if hardcore |notinsticky
step
Follow the path up into the Rebel Camp |goto 39.05,5.20 < 20 |only if walking
talk Sergeant Yohwa##733
turnin The Second Rebellion##203 |goto 38.02,3.33
turnin Bad Medicine##204 |goto 38.02,3.33
step
talk Corporal Kaleb##770
accept Krazek's Cookery##210 |goto 37.74,3.30
step
talk Crank Fizzlebub##2498
|tip Inside the building.
turnin Singing Blue Shards##605 |goto 27.12,77.21
step
talk Krazek##773
|tip Upstairs inside the building, on the top floor.
turnin Investigate the Camp##201 |goto 26.94,77.21
turnin Krazek's Cookery##210 |goto 26.94,77.21
step
talk Kebok##737
|tip Upstairs inside the building, on the top floor.
turnin Hostile Takeover##213 |goto 27.00,77.12
step
talk Baron Revilgaz##2496
|tip Upstairs on the balcony of the building.
turnin Goblin Sponsorship##1182 |goto 27.23,76.87	|only if not hardcore
accept Goblin Sponsorship##1183 |goto 27.23,76.87	|only if not hardcore
turnin The Stone of the Tides##578 |goto 27.23,76.87
step
talk Viznik Goldgrubber##2625
|tip Collect these items from the bank.
collect 5 Alterac Granite##4521 |goto 26.54,76.57 |q 689
collect Cleverly Encrypted Letter##3521 |goto 26.54,76.57 |q 514
collect Farren's Report##3721 |goto 26.54,76.57 |q 563
step
Run up the ramp and cross the bridge |goto 28.15,76.52 < 10 |only if walking
Enter the building |goto 28.21,77.33 < 7 |walk
talk Drizzlik##2495
|tip Inside the building.
turnin Supply and Demand##575 |goto 28.29,77.59
step
Enter the building |goto Stranglethorn Vale 28.11,74.98 < 10 |walk
talk Zarena Cromwind##2482
|tip Inside the building.
buy Big Stick##12251 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Zarena Cromwind##2482 |goto Stranglethorn Vale 28.34,75.46 |q 1183
|only if Warrior and itemcount(12251) == 0
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Duskwood (35-35)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Duskwood",
condition_suggested=function() return level == 35 and not completedq(514) end,
next="Leveling Guides\\Desolace (35-37)",
hardcore = true,
},[[
step
talk Malissa##3135
|tip Walking around here.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Malissa##3135 |goto Duskwood 79.44,44.44 |q 1041
|only if Rogue
step
Enter the building |goto Duskwood 72.92,46.81 < 10 |walk
talk Clerk Daltry##267
|tip Inside the building.
turnin The Caravan Road##1041 |goto Duskwood 72.53,46.85
accept The Carevin Family##1042 |goto Duskwood 72.53,46.85
step
Enter the building |goto 75.23,48.25 < 10 |walk
talk Jonathan Carevin##661
|tip Inside the building.
turnin The Carevin Family##1042 |goto 75.32,49.02
accept The Scythe of Elune##1043 |goto 75.32,49.02
step
Enter the mine |goto 73.04,75.09 < 10 |walk
|tip Enemies tend to pull in groups around here. |only if hardcore
click Mound of Dirt##19030
|tip Inside the mine.
|tip Try not to linger around the cave longer than needed as the respawns are inconsistent. |only if hardcore
Find Evidence of the Scythe of Elune |q 1043/1 |goto 73.53,79.14
step
Leave the mine |goto 73.04,75.09 < 10 |walk |only if subzone("Roland's Doom")
Enter the building |goto 75.23,48.25 < 10 |walk
talk Jonathan Carevin##661
|tip Inside the building.
turnin The Scythe of Elune##1043 |goto 75.32,49.02
step
Enter the building |goto Stormwind City 54.08,59.01 < 10 |walk
talk Auctioneer Jaxon##15659
|tip Inside the building.
|tip Buy these items from the auction house.
|tip If they're not available, or you can't afford them, skip this step.
|tip You will be able to kill enemies soon to get them, but it will be slower.
collect 8 Liferoot##3357 |goto Stormwind City 53.61,59.76 |q 1712 |future
|only if Warrior and not selfmade
step
Enter Stormwind Keep |goto Stormwind City 69.08,28.70 < 15 |walk
Follow the path |goto Stormwind City 75.95,17.58 < 10 |walk
talk Major Samuelson##2439
|tip Inside the building.
turnin Reassignment##563 |goto Stormwind City 72.60,15.87
step
Leave Stormwind Keep |goto 69.08,28.70 < 15 |walk |only if subzone("Stormwind Keep")
Run up the stairs and enter the building |goto Ironforge 38.51,85.81 < 7 |walk
talk Grand Mason Marblesten##2790
|tip He walks around inside the building.
turnin A King's Tribute##689 |goto Ironforge 39.04,88.05
|tip The prerequisite for this quest was accepted in the "Wetlands (24-25)" guide.
step
Watch the dialogue
talk Grand Mason Marblesten##2790
|tip He walks around inside the building.
accept A King's Tribute##700 |goto 39.04,88.05
step
Follow the path |goto 44.56,49.58 < 10 |walk
talk King Magni Bronzebeard##2784
turnin A King's Tribute##700 |goto 39.09,56.20
step
talk Roetten Stonehammer##5637
|tip He walks around inside the building.
accept Reclaimers' Business in Desolace##1453 |goto 67.91,17.49
step
talk Prospector Stormpike##1356
|tip Inside the building.
turnin Letter to Stormpike##514 |goto 74.64,11.73
step
talk Bath'rah the Windwatcher##6176
|tip Inside the building.
|tip Follow the river north to travel to this location.
|tip Avoid Tarren Mill as you travel here.
turnin The Windwatcher##1791 |goto Alterac Mountains 80.50,66.92
accept Cyclonian##1712 |goto Alterac Mountains 80.50,66.92
|only if Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Desolace (35-37)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Desolace",
condition_suggested=function() return level >= 35 and level <= 37 and not completedq(1187) end,
next="Leveling Guides\\Stranglethorn Vale (37-38)",
hardcore = true,
},[[
step
talk Fahran Silentblade##3969
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Fahran Silentblade##3969 |goto Ashenvale 36.49,49.46 |q 1453
|only if Rogue
step
talk Innkeeper Lyshaerya##11103
|tip Inside the building.
home Nijel's Point |goto Desolace 66.27,6.56
step
talk Kreldig Ungor##5638
turnin Reclaimers' Business in Desolace##1453 |goto 66.20,9.63
accept The Karnitol Shipwreck##1454 |goto 66.20,9.63
accept Reagents for Reclaimers Inc.##1458 |goto 66.20,9.63
step
talk Captain Pentigast##5396
accept Strange Alliance##1382 |goto 66.66,10.93
step
talk Corporal Melkins##5752
accept Centaur Bounty##1387 |goto 66.74,10.87
step
talk Vahlarriel Demonslayer##5642
accept Vahlarriel's Search##1437 |goto 66.44,11.82
stickystart "Collect_Hatefury_Horns"
step
Follow the path down |goto 67.05,13.04 < 20 |only if walking and subzone("Nijel's Point")
Kill Hatefury enemies around this area
collect 10 Hatefury Claw##6246 |q 1458/1 |goto 75.60,23.34
|tip Hatefury Rogues will pop in and out of stealth periodically. |only if hardcore |notinsticky
You can find more around: |notinsticky
[79.65,19.76]
[77.19,15.26]
[72.61,18.28]
step
label "Collect_Hatefury_Horns"
Kill Hatefury enemies around this area |notinsticky
collect 10 Hatefury Horn##6247 |q 1458/2 |goto 75.60,23.34
|tip Hatefury Rogues will pop in and out of stealth periodically. |only if hardcore |notinsticky
You can find more around: |notinsticky
[79.65,19.76]
[77.19,15.26]
[72.61,18.28]
step
Kill enemies around this area
|tip Getting this far into level 35 will allow you to reach level 36 after turning in quests soon.
|tip Hatefury Rogues will pop in and out of stealth periodically. |only if hardcore |notinsticky
ding 35,64500 |goto 75.60,23.34
You can find more around: |notinsticky
[79.65,19.76]
[77.19,15.26]
[72.61,18.28]
step
Follow the path up into Nijel's Point |goto 67.43,15.57 < 20 |only if walking
talk Kreldig Ungor##5638
turnin Reagents for Reclaimers Inc.##1458 |goto 66.20,9.63
accept Reagents for Reclaimers Inc.##1459 |goto 66.20,9.63
stickystart "Collect_Aged_Kodo_Hides"
step
Kill Scorpashi enemies around this area
'|kill Scorpashi Snapper##4696, Scorpashi Lasher##4697, Scorpashi Venomlash##4699
|tip They look like yellow scorpions.
|tip They share spawn points with basilisk enemies, so kill those too, if you can't find any.
collect 10 Scorpashi Venom##6248 |q 1459/1 |goto 72.00,31.00
You can find more around: |notinsticky
[65.00,23.00]
[59.00,21.00]
step
click Malem Chest##50961
turnin Vahlarriel's Search##1437 |goto 56.54,17.83
accept Vahlarriel's Search##1465 |goto 56.54,17.83
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
accept Bone Collector##5501 |goto 62.33,38.98
step
talk Azore Aldamort##11863
accept Sceptre of Light##5741 |goto 38.88,27.17
stickystop "Collect_Aged_Kodo_Hides"
step
click Karnitol's Chest##35251
turnin The Karnitol Shipwreck##1454 |goto 36.11,30.45
accept The Karnitol Shipwreck##1455 |goto 36.11,30.45
step
click Rackmore's Log##177787
accept Claim Rackmore's Treasure!##6161 |goto 36.07,30.41
step
Kill Drysnap enemies around this area
|tip They look like lobsters underwater around this area.
|tip Pull enemies to the top of the water so your breath meter doesn't deteriorate while fighting. |only if hardcore
collect Rackmore's Silver Key##15878 |q 6161/1 |goto 32.78,31.37
stickystart "Collect_Aged_Kodo_Hides"
step
Leave the water |goto 36.05,31.01 < 40 |only if walking and subzone("Sar'theris Strand")
talk Smeed Scrabblescrew##11596
|tip Avoid Ghost Walker Post as you travel here.
accept Kodo Roundup##5561 |goto 60.86,61.86
stickystart "Collect_Kodo_Bones"
step
use the Kodo Kombobulator##13892
|tip Use it on Kodo enemies around this area.
|tip You can find more all around this bone graveyard area.
Tame #5# Kodos |q 5561/1 |goto 54.45,63.19
|tip You must bring them back to Smeed Scrabblescrew to tame them.
|tip Talk to the kodos after you bring them to Smeed Scrabblescrew.
Bring the Kodos back to [60.73,61.96]
step
talk Smeed Scrabblescrew##11596
turnin Kodo Roundup##5561 |goto 60.86,61.86
step
label "Collect_Kodo_Bones"
click Kodo Bones##176751
|tip They look like large white horned animal skulls on the ground around this area.
|tip A Kodo Apparition may appear and attack you.
collect 10 Kodo Bone##13703 |q 5501/1 |goto 51.31,58.04
step
label "Collect_Aged_Kodo_Hides"
kill Aged Kodo##4700+
collect 3 Aged Kodo Hide##6249 |q 1459/2 |goto 51.41,58.45
stickystart "Reach_Friendly_Reputation_With_The_Gelkis_Clan_Centaur"
step
Kill Magram enemies around this area
|tip The ones in the outskirts of the village are a bit lower level and easier to grind.
|tip Be careful to avoid the Magram Pack Runners that walk around this area with 2 high level hyena guards.
|tip Magram Stormers are ranged attackers that deal heavy damage. |only if hardcore
collect 15 Centaur Ear##6067 |q 1387/1 |goto 70.30,73.77
step
label "Reach_Friendly_Reputation_With_The_Gelkis_Clan_Centaur"
Kill Magram enemies around this area |notinsticky
|tip The ones in the outskirts of the village are a bit lower level and easier to grind.			|notinsticky
|tip Be careful to avoid the Magram Pack Runners that walk around this area with 2 high level hyena guards.	|notinsticky
|tip Magram Stormers are ranged attackers that deal heavy damage.						|only if hardcore |notinsticky
Reach Friendly Reputation with the Gelkis Clan Centaur |q 1382/1 |goto 70.30,73.77
step
Follow the road |goto 50.33,75.54 < 30 |only if walking
talk Uthek the Wise##5397
turnin Strange Alliance##1382 |goto 36.23,79.25
accept Raid on the Kolkar##1384 |goto 36.23,79.25
step
talk Kreldig Ungor##5638
turnin The Karnitol Shipwreck##1455 |goto 66.20,9.63
accept The Karnitol Shipwreck##1456 |goto 66.20,9.63
turnin Reagents for Reclaimers Inc.##1459 |goto 66.20,9.63
step
talk Corporal Melkins##5752
turnin Centaur Bounty##1387 |goto 66.74,10.87
step
talk Vahlarriel Demonslayer##5642
turnin Vahlarriel's Search##1465 |goto 66.44,11.82
accept Vahlarriel's Search##1438 |goto 66.44,11.82
step
Kill Kolkar enemies around this area
|tip Watch for patrols and respawns here.				|only if hardcore
|tip Kolkar Windchasers are ranged attackers that deal heavy damage.	|only if hardcore
|tip Enemies may run away in fear when at low health.			|only if hardcore
collect 10 Crude Charm##6079 |q 1384/1 |goto 70.03,41.94
You can find more around: |notinsticky
[72.07,47.01]
[73.61,50.00]
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Bone Collector##5501 |goto 62.33,38.98
step
Follow the path |goto 56.06,29.54 < 10 |only if walking
kill Burning Blade Seer##13019
|tip At the top of the tower.
|tip Watch for patrols and respawns while in the area. |only if hardcore
|tip Burning Blade Adepts/Augurs are ranged attackers that deal heavy damage |only if hardcore
|tip Be careful while traveling through the area. |only if hardcore
|tip Enemies are often hidden around corners resulting in undesirable adds in fights. |only if hardcore
collect Sceptre of Light##15750 |q 5741/1 |goto 55.17,30.15
step
Enter the building |goto 55.48,27.83 < 10 |walk
|tip Watch for the patrol that walks counter clock-wise around this building. |only if hardcore
talk Dalinda Malem##5644
|tip Inside the building.
|tip If she's not here, someone may be escorting her.
|tip Wait until she respawns.
turnin Vahlarriel's Search##1438 |goto 54.86,26.13
accept Search for Tyranis##1439 |goto 54.86,26.13
step
Leave the building |goto 55.48,27.83 < 10 |walk
Enter the building |goto 53.73,29.42 < 10 |walk
|tip Watch for the patrol that walks clock-wise around this building. |only if hardcore
kill Tyranis Malem##5643
|tip Inside the building.
|tip Try to pull him toward the building entrance, so you don't accidentally aggro other enemies.
collect Tyranis' Pendant##6767 |q 1439/1 |goto 53.01,29.08
step
Leave the building |goto 53.73,29.42 < 10 |walk
Enter the building |goto 55.48,27.83 < 10 |walk
|tip Watch for the patrol that walks counter clock-wise around this building. |only if hardcore
talk Dalinda Malem##5644
|tip Inside the building.
|tip If she's not here, someone may be escorting her.
|tip Wait until she respawns.
|tip Clear enemies inside the building if you end up having to wait. |only if hardcore
turnin Search for Tyranis##1439 |goto 54.86,26.13
accept Return to Vahlarriel##1440 |goto 54.86,26.13 |noautoaccept
|tip This is an escort quest.
|tip Kill all enemies in this room before starting the quest.
step
Watch the dialogue
|tip Follow Dalinda Malem and protect her as she walks.
|tip She eventually walks to this location.
Rescue Dalinda Malem |q 1440/1 |goto 58.26,30.95
step
talk Azore Aldamort##11863
turnin Sceptre of Light##5741 |goto 38.89,27.17
accept Book of the Ancients##6027 |goto 38.89,27.17
step
Kill Slitherblade enemies around this area
|tip Underwater.
|tip Pull enemies to the top of the water so your breath meter doesn't deteriorate while fighting. |only if hardcore
collect Rackmore's Golden Key##15881 |q 6161/2 |goto 35.20,24.86
stickystart "Collect_Karnitols_Satchel"
step
click Serpent Statue
|tip You will be attacked immediately, so make sure you are ready before hand.
kill Lord Kragaru##12369
|tip He's level 38, but you should be able to kill him at this level.
|tip If you have trouble, try to find someone to help you.
collect Book of the Ancients##15803 |q 6027/1 |goto 28.19,6.62
step
click Rackmore's Chest##177786
|tip On the ground at the base of the tree.
|tip Enemies around this area may run away when at low health.			|only if hardcore
|tip Destroy totems that Slitherblade Oracles summon.				|only if hardcore
|tip Slitherblade Sorceress' are ranged attackers that deal heavy damage.	|only if hardcore
turnin Claim Rackmore's Treasure!##6161 |goto 30.00,8.70
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 37.
|tip Grinding a bit here will reduce the amount you have to grind all at once later.
|tip Enemies around this area may run away when at low health.			|only if hardcore
|tip Destroy totems that Slitherblade Oracles summon.				|only if hardcore
|tip Slitherblade Sorceress' are ranged attackers that deal heavy damage.	|only if hardcore
ding 37 |goto 28.92,7.85
step
label "Collect_Karnitols_Satchel"
Kill Slitherblade enemies around this area
|tip Only Slitherblade Tidehunters and Slitherblade Sea Witches will drop the quest item.
|tip They share spawn points with other types of naga on this island.
|tip Kill all types of naga on this island, to try to get more to spawn.
|tip Enemies around this area may run away when at low health.			|only if hardcore |notinsticky
|tip Destroy totems that Slitherblade Oracles summon.				|only if hardcore |notinsticky
|tip Slitherblade Sorceress' are ranged attackers that deal heavy damage.	|only if hardcore |notinsticky
collect Karnitol's Satchel##6245 |q 1456/1 |goto 28.19,6.62
You can find more underwater around [32.18,9.57]
step
Follow the path up |goto 40.99,28.91 < 20 |only if walking
talk Azore Aldamort##11863
turnin Book of the Ancients##6027 |goto 38.89,27.17
step
Follow the path through the mountains |goto 41.53,65.03 < 70 |only if walking and not subzone("Gelkis Village")
talk Uthek the Wise##5397
turnin Raid on the Kolkar##1384 |goto 36.22,79.25
accept Stealing Supplies##1370 |goto 36.22,79.25
step
Follow the road |goto 47.02,75.18 < 40 |only if walking and not subzone("Magram Village")
click Sack of Meat##22245+
|tip They look like tan leather bags on the ground near the buildings around this area.
|tip Not all of the tan bags you see will be clickable.
|tip The ones in the outskirts of the village are a bit lower level and easier to grind.			|notinsticky
|tip Be careful to avoid the Magram Pack Runners that walk around this area with 2 high level hyena guards.	|notinsticky
|tip Magram Stormers are ranged attackers that deal heavy damage.						|only if hardcore |notinsticky
collect 6 Crudely Dried Meat##6069 |q 1370/1 |goto 70.90,75.47
step
Follow the road |goto 48.39,75.67 < 40 |only if walking and not subzone("Gelkis Village")
talk Uthek the Wise##5397
turnin Stealing Supplies##1370 |goto 36.22,79.25
accept Ongeku##1373 |goto 36.22,79.25 |only if not hardcore
step
talk Kreldig Ungor##5638
turnin The Karnitol Shipwreck##1456 |goto 66.20,9.63
accept The Karnitol Shipwreck##1457 |goto 66.20,9.63
step
talk Vahlarriel Demonslayer##5642
turnin Return to Vahlarriel##1440 |goto 66.44,11.82
step
Enter the building |goto Tanaris 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Collect these items from the bank.
collect Kravel's Parts##5800 |goto Tanaris 52.30,28.91 |q 1112
step
talk Gimblethorn##7799
|tip Inside the building.
|tip Deposit these items into the bank.
bank Karnitol's Satchel##6245 |goto 52.30,28.91 |q 1457 |future
step
talk Kravel Koalbeard##4452
turnin Parts for Kravel##1112 |goto Thousand Needles 77.79,77.26
step
Watch the dialogue
talk Kravel Koalbeard##4452
accept Delivery to the Gnomes##1114 |goto 77.79,77.27
step
talk Fizzle Brassbolts##4454
turnin Delivery to the Gnomes##1114 |goto 78.06,77.12
step
talk Kravel Koalbeard##4452
accept The Rumormonger##1115 |goto 77.79,77.27
step
talk Pozzik##4630
turnin Goblin Sponsorship##1183 |goto 80.18,75.88
accept The Eighteenth Pilot##1186 |goto 80.18,75.88
|only if not hardcore
step
talk Razzeric##4706
turnin The Eighteenth Pilot##1186 |goto 80.33,76.09
accept Razzeric's Tweaking##1187 |goto 80.33,76.09
|only if not hardcore
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Stranglethorn Vale (37-38)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stranglethorn Vale",
condition_suggested=function() return level >= 37 and level <= 38 and not completedq(577) end,
next="Leveling Guides\\Swamp of Sorrows (38-39)",
hardcore = true,
},[[
step
Enter the building |goto Stranglethorn Vale 28.11,74.98 < 10 |walk
talk Zarena Cromwind##2482
|tip Inside the building.
buy Big Stick##12251 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Zarena Cromwind##2482 |goto Stranglethorn Vale 28.34,75.46 |q 577 |future
|only if Warrior and itemcount(12251) == 0
step
talk Malissa##3135
|tip Walking around here.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Malissa##3135 |goto Duskwood 79.44,44.44 |q 577 |future
|only if Rogue
step
Run up the ramp |goto Stranglethorn Vale 27.85,76.76 < 10 |only if walking
Cross the bridge |goto Stranglethorn Vale 28.15,76.53 < 10 |only if walking
Enter the building |goto Stranglethorn Vale 28.21,77.33 < 7 |walk
talk Drizzlik##2495
|tip Inside the building.
accept Some Assembly Required##577 |goto Stranglethorn Vale 28.29,77.59
step
Enter the building |goto 27.08,77.62 < 7 |walk
talk Innkeeper Skindle##6807
|tip Inside the building.
home Booty Bay |goto 27.04,77.31
step
talk Krazek##773
|tip Upstairs inside the building, on the top floor.
turnin The Rumormonger##1115 |goto 26.94,77.21
step
talk Kebok##737
|tip Upstairs inside the building, on the top floor.
accept Bloodscalp Ears##189 |goto 27.00,77.12
step
talk Baron Revilgaz##2496
|tip Upstairs on the balcony of the building.
accept Water Elementals##601 |goto 27.23,76.87
step
Follow the path up into the Rebel Camp |goto 39.06,5.21 < 20 |only if walking
talk Brother Nimetz##739
accept Kurzen's Mystery##207 |goto 37.83,3.56
step
talk Sergeant Yohwa##733
accept Special Forces##574 |goto 38.02,3.33
step
talk Lieutenant Doren##469
accept Bookie Herod##200 |goto 38.04,3.01
|tip This requires you to complete the quest "Jungle Secrets" in the "Stranglethorn Vale (32-32)" guide.
step
Follow the path |goto 40.32,8.35 < 50 |only if walking and not subzone("Kurzen's Compound")
Enter the building |goto 44.02,9.46 < 10 |walk
click Bookie Herod's Records
|tip Upstairs inside the building.
turnin Bookie Herod##200 |goto 43.67,9.37
accept The Hidden Key##328 |goto 43.67,9.37
step
label "Collect_Liferoot_Warrior"
kill Kurzen Medicine Man##940+
|tip They share spawn points with the other enemies around this area, so kill those too, if you can't find any.
collect 8 Liferoot##3357 |q 1712/1 |goto Stranglethorn Vale 44.34,10.02
|tip You need these for an important class quest soon.
|tip Be careful not to accidentally sell these to a vendor.
|only if Warrior
stickystart "Collect_Silk_Cloth"
stickystart "Kill_Kurzen_Headshrinkers"
stickystart "Kill_Kurzen_Commandos"
step
Enter the cave |goto Stranglethorn Vale 45.82,8.18 < 40 |walk
Follow the path |goto Stranglethorn Vale 46.65,6.99 < 15 |walk
Follow the path down |goto Stranglethorn Vale 47.78,7.81 < 10 |walk
Follow the path |goto Stranglethorn Vale 48.78,8.64 < 10 |walk
click Bookie Herod's Strongbox##288
|tip Downstairs inside the cave.
|tip Kurzen Headshrinkers are ranged attackers that deal heavy damage.	|only if hardcore
|tip Watch for stealthed Kurzen Commandos while traversing the cave.	|only if hardcore
|tip Enemies may flee when at low health in the cave.			|only if hardcore
turnin The Hidden Key##328 |goto Stranglethorn Vale 49.61,7.57
accept The Spy Revealed!##329 |goto Stranglethorn Vale 49.61,7.57
step
Follow the path up |goto 48.20,8.53 < 10 |c |q 574
step
label "Collect_Silk_Cloth"
Kill Kurzen enemies around this area |notinsticky
|tip Inside the cave. |notinsticky
|tip Kurzen Headshrinkers will not drop Silk Cloth. |notinsticky
|tip Kurzen Headshrinkers are ranged attackers that deal heavy damage.	|only if hardcore |notinsticky
|tip Watch for stealthed Kurzen Commandos while traversing the cave.	|only if hardcore |notinsticky
|tip Enemies may flee when at low health in the cave.			|only if hardcore |notinsticky
collect 15 Silk Cloth##4306 |goto 46.48,7.08 |q 4449 |future
|tip Be careful not to accidentally sell these to a vendor.
|tip You will need these for a quest in Searing Gorge later.
step
label "Kill_Kurzen_Headshrinkers"
kill 6 Kurzen Headshrinker##941 |q 574/2 |goto 46.48,7.08
|tip Inside the cave, on the top level.
|tip Watch for stealthed Kurzen Commandos while traversing the cave.	|only if hardcore |notinsticky
|tip Enemies may flee when at low health in the cave.			|only if hardcore |notinsticky
step
label "Kill_Kurzen_Commandos"
kill 10 Kurzen Commando##938 |q 574/1 |goto 46.48,7.08
|tip They are stealthed upstairs inside the cave, on the top level.
|tip Kurzen Headshrinkers are ranged attackers that deal heavy damage.	|only if hardcore |notinsticky
|tip Enemies may flee when at low health in the cave.			|only if hardcore |notinsticky
step
Leave the cave |goto 45.82,8.18 < 40 |walk |only if subzone("The Stockpile")
Follow the path up |goto Stranglethorn Vale 42.25,18.10 < 10 |only if walking
kill Foreman Cozzle##4723
|tip Inside the building at the top of the platform.
|tip Be careful not to accidentally aggro him while killing other enemies near the building.
|tip Try to clear all enemies as you travel up as they can aggro randomly through the floor.
|tip If you have trouble, try to find someone to help you.
collect Cozzle's Key##5851 |goto 42.65,18.35 |q 1182
|only if hardcore
step
Enter the building |goto 43.45,20.36 < 10 |walk
click Cozzle's Footlocker##20691
|tip Inside the building.
collect Fuel Regulator Blueprints##5852 |q 1182/1 |goto 43.34,20.34
|only if hardcore
step
kill 10 Shadowmaw Panther##684 |q 192/1 |goto 49.23,22.66
|tip They are stealthed around this area.
|tip They share spawn points with Stranglethorn Tigresses, so kill those too, if you can't find any.
|tip Be careful to avoid the level 40 elite non-stealthed black panther, Bhag'thera, if you see him.
You can find more around [46.42,27.34]
step
kill Snapjaw Crocolisk##1152+
|tip Underwater and on the shores near the water around this area.
collect 5 Snapjaw Crocolisk Skin##4104 |q 577/1 |goto 39.28,30.27
You can find more around: |notinsticky
[40.03,24.70]
[41.52,19.48]
step
kill 10 Lashtail Raptor##686 |q 195/1 |goto 38.29,19.37
You can find more around: |notinsticky
[38.52,26.06]
[35.81,26.67]
[32.72,24.28]
[30.55,24.12]
step
kill 10 Elder Stranglethorn Tiger##1085 |q 187/1 |goto 34.68,18.95
You can find more around [31.55,19.39]
step
talk Hemet Nesingwary##715
turnin Raptor Mastery##195 |goto 35.66,10.81
accept Raptor Mastery##196 |goto 35.66,10.81
step
talk Ajeck Rouack##717
turnin Tiger Mastery##187 |goto 35.62,10.62
accept Tiger Mastery##188 |goto 35.62,10.62
step
talk Sir S. J. Erlgadin##718
turnin Panther Mastery##192 |goto 35.55,10.55
step
kill Sin'Dall##729
|tip He looks like an orange tiger that walks around this area.
|tip He's usually on top of this hill, though.
collect Paw of Sin'Dall##3879 |q 188/1 |goto 32.21,17.39
stickystart "Collect_Bloodscalp_Ears"
step
click Moon Over the Vale##57
|tip Enemies are close togheter around this area.				|only if hardcore
|tip Try to pull form the North Eastern end of the ruins while clearing.	|only if hardcore
collect The First Troll Legend##2005 |q 207/1 |goto 29.48,19.15
stickystop "Collect_Bloodscalp_Ears"
step
click Gri'lek the Wanderer##179426
|tip Underwater.
|tip Be careful to avoid the elite murlocs nearby.
|tip Swim down when near the coordinate provided for the step.		|only if hardcore
|tip You should be able to easily avoid the elite enemies if doing so.	|only if hardcore
collect The Second Troll Legend##2006 |q 207/2 |goto 24.75,22.84
step
kill Lesser Water Elemental##691+
|tip These enemies are immune to frost damage.
collect 6 Water Elemental Bracers##3923 |q 601/1 |goto 21.13,22.70
stickystart "Collect_Bloodscalp_Ears"
step
Follow the path up |goto 21.42,10.16 < 15 |only if walking and not subzone("Ruins of Zul'Kunda")
Continue up the path |goto 23.84,10.65 < 20 |only if walking
click The Emperor's Tomb##54
|tip Watch for patrols and respawns while traveling through this area.					|only if hardcore
|tip Be wary of Bloodscalp Headhunters as they are ranged attackers and may aggro from a distance.	|only if hardcore
|tip Bloodscalp enemies enrage to deal more damage when at low health.					|only if hardcore
collect The Fourth Troll Legend##2008 |q 207/4 |goto 24.70,8.93
step
Follow the path |goto 24.51,11.72 < 15 |only if walking
click Fall of Gurubashi##52
|tip Watch for patrols and respawns while traveling through this area.					|only if hardcore
|tip Be wary of Bloodscalp Headhunters as they are ranged attackers and may aggro from a distance.	|only if hardcore
|tip Bloodscalp enemies enrage to deal more damage when at low health.					|only if hardcore
collect The Third Troll Legend##2007 |q 207/3 |goto 22.95,12.02
stickystart "Collect_Bloodscalp_Tusks_Warrior"
step
label "Collect_Bloodscalp_Ears"
Kill Bloodscalp enemies around this area
|tip Watch for patrols and respawns while traveling through this area.					|only if hardcore |notinsticky
|tip Be wary of Bloodscalp Headhunters as they are ranged attackers and may aggro from a distance.	|only if hardcore |notinsticky
|tip Bloodscalp enemies enrage to deal more damage when at low health.					|only if hardcore |notinsticky
collect 15 Bloodscalp Ear##1519 |q 189/1 |goto 25.21,11.30
step
label "Collect_Bloodscalp_Tusks_Warrior"
Kill Bloodscalp enemies around this area
collect 9 Bloodscalp Tusk##3901 |q 1712/2 |goto Stranglethorn Vale 25.21,11.30
|only if Warrior
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 38.
|tip Grinding a bit here will reduce the amount you have to grind all at once later.
ding 38 |goto Stranglethorn Vale 28.36,11.33
You can find more around [Stranglethorn Vale 26.26,16.06]
step
talk Ajeck Rouack##717
turnin Tiger Mastery##188 |goto 35.62,10.62
step
Follow the path up into the Rebel Camp |goto 39.04,5.19 < 20 |only if walking
talk Brother Nimetz##739
turnin Kurzen's Mystery##207 |goto 37.83,3.56
accept Troll Witchery##205 |goto 37.83,3.56
step
talk Lieutenant Doren##469
turnin Special Forces##574 |goto 38.04,3.01
turnin The Spy Revealed!##329 |goto 38.04,3.01
accept Patrol Schedules##330 |goto 38.04,3.01
step
talk Corporal Sethman##1422
turnin Patrol Schedules##330 |goto 37.66,3.39
accept Report to Doren##331 |goto 37.66,3.39
step
talk Lieutenant Doren##469
turnin Report to Doren##331 |goto 38.04,3.01
step
talk Corporal Bluth##734
|tip Buy enough ammo to fill your ammo bag, plus 6-8 extra stacks.
|tip You will be questing and grinding for a while without access to an arrow vendor.
Visit the Vendor |vendor Corporal Bluth##734 |goto Stranglethorn Vale 37.96,2.99 |q 205
|only if Hunter
step
talk Krazek##773
|tip Upstairs inside the building, on the top floor.
accept Dream Dust in the Swamp##1116 |goto Stranglethorn Vale 26.94,77.21
step
talk Kebok##737
|tip Upstairs inside the building, on the top floor.
turnin Bloodscalp Ears##189 |goto 27.00,77.12
step
talk Baron Revilgaz##2496
|tip Upstairs on the balcony of the building.
turnin Goblin Sponsorship##1182 |goto 27.23,76.87 |only if hardcore
accept Goblin Sponsorship##1183 |goto 27.23,76.87 |only if hardcore
turnin Water Elementals##601 |goto 27.23,76.87
accept Magical Analysis##602 |goto 27.23,76.87
step
talk Viznik Goldgrubber##2625
|tip Deposit these items into the bank.
bank Bag of Water Elemental Bracers##3960 |goto 26.54,76.57 |q 602 |future
bank Silk Cloth##4306 |goto 26.54,76.57 |q 4449 |future
|tip You should have 15 of these.
step
Run up the ramp |goto 27.85,76.74 < 10 |only if walking
Cross the bridge |goto 28.15,76.53 < 10 |only if walking
Enter the building |goto 28.21,77.33 < 7 |walk
talk Drizzlik##2495
|tip Inside the building.
turnin Some Assembly Required##577 |goto 28.29,77.59
step
Enter the building |goto Stranglethorn Vale 28.11,74.98 < 10 |walk
talk Zarena Cromwind##2482
|tip Inside the building.
buy Big Stick##12251 |n
|tip If you can afford it.
|tip It may not be available to buy, since it's a limited supply item.
|tip If you have better, skip this step.
Visit the Vendor |vendor Zarena Cromwind##2482 |goto Stranglethorn Vale 28.34,75.46 |q 602
|only if Warrior and itemcount(12251) == 0
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Swamp of Sorrows (38-39)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Swamp of Sorrows",
condition_suggested=function() return level >= 38 and level <= 39 and not completedq(525) end,
next="Leveling Guides\\Alterac Mountains (39-39)",
hardcore = true,
},[[
step
talk Jasper Fel##1325
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Jasper Fel##1325 |goto Stormwind City/0 78.32,58.97 |q 1448 |future
|only if Rogue
step
Enter the building |goto Stormwind City 63.60,22.83 < 10 |walk
talk Brohann Caskbelly##5384
|tip Inside the building.
accept In Search of The Temple##1448 |goto Stormwind City 64.33,20.66
step
Enter the building |goto 39.84,85.25 < 10 |walk
talk Angus Stern##1141
|tip Inside the building.
accept Morgan Stern##1260 |goto 41.50,89.39
step
Enter the building |goto Stormwind City 50.94,57.84 < 7 |walk
talk Frederick Stover##1298
buy Massive Longbow##11307 |n
|tip If you can afford it.
|tip It's a limited supply item, so it may not be for sale.
|tip You can't use it until level 42, but it's good to have waiting to use, and you can only buy it in Stormwind City and Ironforge.
|tip We will check vendors for it along the way, if it's not here right now.
|tip If you have better, skip this step.
Visit the Vendor |vendor Frederick Stover##1298 |goto Stormwind City 49.98,57.64 |q 1260
|only if Hunter and itemcount(11307) == 0
step
Enter the building |goto Stormwind City 29.14,74.17 < 10 |walk
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
|tip If you can afford them.
|tip Buy all of the Grimoires for spells that are upgrades for the spells you use with your pet.
|tip After buying them, make sure to use them in your bags to learn the spells.
Visit the Vendor |vendor Spackle Thornberry##5520 |goto Stormwind City 25.66,77.66 |q 1260
|only if Warlock
step
Enter the building |goto Duskwood 75.56,45.37 < 10 |walk
talk Alyssa Eva##1673
|tip Inside the building.
|tip If you can afford it.
|tip Stock up on a couple of Runes of Teleportation to use to travel faster while leveling.
Visit the Vendor |vendor Alyssa Eva##1673 |goto Duskwood 76.28,45.27 |q 1260
|only if Mage
step
Follow the road through Deadwind Pass |goto 87.73,40.68 < 40 |only if walking and not zone("Swamp of Sorrows")
Cross the bridge |goto Deadwind Pass/0 41.89,34.66 < 20 |only if walking and not zone("Swamp of Sorrows")
Continue following the road into Swamp of Sorrows |goto Deadwind Pass 52.04,43.41 < 30 |only if walking and not zone("Swamp of Sorrows")
Kill Whelp enemies around this area
|tip They look like tiny flying dragons.
|tip There's not enough whelps here to complete the quest without waiting for respawns.
|tip Kill all of the whelps you can find, then skip to the next step.
|tip We'll come back later to finish up the quest.
collect 10 Speck of Dream Dust##5803 |q 1116/1 |goto Swamp of Sorrows 14.74,60.20
step
Follow the path |goto 17.74,55.71 < 40 |only if walking and subzone("Itharius's Cave")
talk Watcher Biggs##5476
accept Encroaching Wildlife##1396 |goto 26.74,59.83
stickystart "Kill_Young_Sawtooth_Crocolisks"
stickystart "Kill_Sorrow_Spinners"
stickystart "Kill_Swamp_Jaguars"
step
path	follow strict;	loop;	ants curved;	dist 30
path	32.39,35.38		33.15,43.58		37.34,46.76		42.24,33.84
path	47.11,38.83		49.86,40.28		54.02,39.21		55.84,35.85
kill Noboru the Cudgel##5477
|tip He looks like a larger Lost One creature that walks around this area with 2 bodyguards.
collect Noboru's Cudgel##6196 |q 1392 |future
step
use Noboru's Cudgel##6196
accept Noboru the Cudgel##1392
step
talk Magtoor##1776
turnin Noboru the Cudgel##1392 |goto 25.99,31.40
accept Draenethyst Crystals##1389 |goto 25.99,31.40
step
label "Kill_Young_Sawtooth_Crocolisks"
kill 8 Young Sawtooth Crocolisk##1084 |q 1396/1 |goto 24.26,41.68
You can find more around: |notinsticky
[26.24,52.44]
[31.68,47.06]
[30.90,39.17]
[35.26,34.86]
step
label "Kill_Sorrow_Spinners"
kill 10 Sorrow Spinner##858 |q 1396/2 |goto 21.91,40.55
|tip They look like spiders.
You can find more around: |notinsticky
[26.91,46.17]
[24.13,61.24]
[38.10,30.72]
step
label "Kill_Swamp_Jaguars"
kill 10 Swamp Jaguar##767 |q 1396/3 |goto 22.74,42.75
You can find more around: |notinsticky
[30.59,51.52]
[37.17,47.91]
[43.06,42.32]
[37.77,38.04]
[37.85,31.20]
step
Kill Whelp enemies around this area
|tip They look like tiny flying dragons.
collect 10 Speck of Dream Dust##5803 |q 1116/1 |goto 14.74,60.20
step
Follow the path |goto 17.74,55.71 < 40 |only if walking and subzone("Itharius's Cave")
talk Watcher Biggs##5476
turnin Encroaching Wildlife##1396 |goto 26.74,59.83
accept The Lost Caravan##1421 |goto 26.74,59.83
stickystart "Collect_Draenethyst_Crystals"
step
kill Ongeku##5622
|tip He walks around this area, and can spawn in multiple locations.
|tip Watch for enemies around the buildings here as they tend to aggro in groups. |only if hardcore
|tip Pull carefully while in the area. |only if hardcore
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect Draenethyst Shard##6190 |q 1373/1 |goto 61.31,23.25
Also check around [65.12,22.22]
|only if not hardcore
step
click Caravan Chest##28024
|tip Watch for enemies around the buildings here as they tend to aggro in groups. |only if hardcore
|tip Pull carefully while in the area. |only if hardcore
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect Wizards' Reagents##6170 |q 1421/1 |goto 64.46,18.34
step
talk Galen Goodward##5391
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait until he respawns.
|tip Clear nearby enemies while waiting. |only if hardcore
|tip He walks through enemies to the south, so you may want to clear a path before accepting this quest.
accept Galen's Escape##1393 |goto 65.41,18.23 |noautoaccept
|only if not hardcore
step
Watch the dialogue
|tip Follow Galen Goodward and protect him as he walks.
|tip He eventually walks to this location.
Escort Galen Out of the Fallow Sanctuary |q 1393/1 |goto 53.05,29.64
|only if not hardcore
step
label "Collect_Draenethyst_Crystals"
click Draenethyst Crystal##22550+
|tip They look like large clusters of blue crystals on the ground around this area.
|tip Watch for enemies around the buildings here as they tend to aggro in groups. |only if hardcore |notinsticky
|tip Pull carefully while in the area. |only if hardcore |notinsticky
|tip Watch for patrols and respawns while in the area. |only if hardcore |notinsticky
collect 6 Draenethyst Crystal##6071 |q 1389/1 |goto 55.74,27.60
You can find more around [63.50,22.72]
step
Search for the Temple of Atal'Hakkar |q 1448/1 |goto 66.68,49.62
step
click Galen's Strongbox##32569
turnin Galen's Escape##1393 |goto 47.81,39.76
|only if not hardcore
step
talk Magtoor##1776
turnin Draenethyst Crystals##1389 |goto 25.99,31.40
step
talk Watcher Biggs##5476
turnin The Lost Caravan##1421 |goto 26.74,59.83
step
talk Krazek##773
|tip Upstairs inside the building, on the top floor.
turnin Dream Dust in the Swamp##1116 |goto Stranglethorn Vale 26.94,77.21
step
Watch the dialogue
talk Krazek##773
|tip Upstairs inside the building, on the top floor.
accept Rumors for Kravel##1117 |goto 26.94,77.21
step
Enter the building |goto Stormwind City 50.94,57.84 < 7 |walk
talk Frederick Stover##1298
buy Massive Longbow##11307 |n
|tip If you can afford it.
|tip It's a limited supply item, so it may not be for sale.
|tip You can't use it until level 42, but it's good to have waiting to use, and you can only buy it in Stormwind City and Ironforge.
|tip We will check vendors for it along the way, if it's not here right now.
|tip If you have better, skip this step.
Visit the Vendor |vendor Frederick Stover##1298 |goto Stormwind City 49.98,57.64 |q 1448
|only if Hunter and itemcount(11307) == 0
step
Enter the building |goto Stormwind City 55.30,68.14 < 10 |walk
talk Olivia Burnside##2455
|tip Inside the building.
|tip Collect these items from the bank.
collect Karnitol's Satchel##6245 |goto Stormwind City 57.66,72.78 |q 1457
collect Bag of Water Elemental Bracers##3960 |goto Stormwind City 57.66,72.78 |q 602
step
talk Jasper Fel##1325
|tip Inside the building.
|tip You're about to travel to an area where there aren't poison vendors nearby.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Jasper Fel##1325 |goto Stormwind City/0 78.32,58.97 |q 1448
|only if Rogue
step
talk Olivia Burnside##2455
|tip Inside the building.
|tip Deposit these items into the bank.
bank Goblin Rumors##5804 |goto 57.66,72.78 |q 1117 |future
step
Enter the building |goto 54.07,59.02 < 10 |walk
talk Auctioneer Jaxon##15659
|tip Buy these items from the Auction House.
|tip If you can't get them, you can skip this step. They just make some quests easier to do later, but you can still get it done without them.
collect 2 Elixir of Water Breathing##5996 |goto 53.61,59.76 |q 668 |future
|only if not (Druid or Warlock)	and not selfmade
step
Enter the building |goto Stormwind City 73.64,43.52 < 10 |walk
talk Heinrich Stone##1324
|tip Inside the building.
buy Rondel##2534 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Heinrich Stone##1324 |goto Stormwind City 74.37,42.56 |q 668 |future
|only if Rogue and itemcount(2534) == 0
step
Enter the building |goto Stormwind City 63.59,22.85 < 10 |walk
talk Brohann Caskbelly##5384
|tip Inside the building.
turnin In Search of The Temple##1448 |goto Stormwind City 64.33,20.66
accept To The Hinterlands##1449 |goto Stormwind City 64.33,20.66
step
talk Roetten Stonehammer##5637
|tip He walks around inside the building.
turnin The Karnitol Shipwreck##1457 |goto Ironforge 67.91,17.52
step
talk Prospector Stormpike##1356
|tip Inside the building.
accept Further Mysteries##525 |goto 74.64,11.74
step
Enter the building |goto Ironforge 72.16,67.56 < 7 |walk
talk Skolmin Goldfury##5122
buy Massive Longbow##11307 |n
|tip If you can afford it.
|tip It's a limited supply item, so it may not be for sale.
|tip You can't use it until level 42, but it's good to have waiting to use, and you can only buy it in Stormwind City and Ironforge.
|tip We will check vendors for it along the way, if it's not here right now.
|tip If you have better, skip this step.
Visit the Vendor |vendor Skolmin Goldfury##5122 |goto Ironforge 71.76,66.70 |q 500 |future
|only if Hunter and itemcount(11307) == 0
step
Enter the building |goto Ironforge 26.10,72.19 < 15 |walk
talk Auctioneer Redmuse##8720
|tip Inside the building.
|tip Buy these items from the Auction House.
|tip If you can't get them, you can kill enemies for them later, but it will likely take a long time.
|tip You need these for your Whirlwind weapon class quest, which gives a big weapon upgrade.
collect 8 Thundering Charm##4480 |goto Ironforge 24.16,74.67 |q 1714 |future
collect 8 Burning Charm##4479 |goto Ironforge 24.16,74.67 |q 1714 |future
collect 8 Cresting Charm##4481 |goto Ironforge 24.16,74.67 |q 1714 |future
collect 2 Nature Protection Potion##6052 |goto Ironforge 24.16,74.67 |q 1713 |future
|tip You will have to kill a level 40 elite enemy soon, which hits hard and deals only Nature damage.
|tip These will help you to have more time to kill it to be able to get a big weapon upgrade.
|tip Alternatively, if you can easily get a friend to help you kill it very soon, you can skip buying the potions.
|only if Warrior and not selfmade
step
kill Cresting Exile##2761+
collect 8 Cresting Charm##4481 |goto Arathi Highlands 66.71,30.04 |q 1714 |future
|only if Warrior
step
kill Thundering Exile##2762+
collect 8 Thundering Charm##4480 |goto 52.05,50.59 |q 1714 |future
|only if Warrior
step
kill Burning Exile##2760+
|tip Be careful to avoid Refuge Point while traveling here.
collect 8 Burning Charm##4479 |goto 25.40,30.28 |q 1714 |future
|only if Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Alterac Mountains (39-39)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Alterac Mountains",
condition_suggested=function() return level == 39 and not completedq(554) end,
next="Leveling Guides\\Arathi Highlands (39-40)",
hardcore = true,
},[[
step
Enter the building |goto Hillsbrad Foothills 50.45,58.55 < 10 |walk
talk Innkeeper Anderson##2352
|tip Inside the building.
home Southshore |goto Hillsbrad Foothills 51.17,58.93
step
Leave the building |goto 50.45,58.55 < 10 |walk |only if subzone("Southshore") and _G.IsIndoors()
talk Marshal Redpath##2263
accept Crushridge Bounty##500 |goto 49.48,58.73
step
Enter the building |goto 49.01,59.12 < 10 |walk
talk Magistrate Henry Maleb##2276
|tip Inside the building.
turnin Further Mysteries##525 |goto 48.14,59.11
accept Dark Council##537 |goto 48.14,59.11
accept Noble Deaths##512 |goto 48.14,59.11
step
Leave the building |goto 49.01,59.12 < 10 |walk |only if subzone("Southshore Town Hall")
talk Archmage Ansirem Runeweaver##2543
turnin Magical Analysis##602 |goto Alterac Mountains 18.84,78.49
step
Watch the dialogue
talk Archmage Ansirem Runeweaver##2543
accept Ansirem's Key##603 |goto 18.84,78.49
stickystart "Collect_Alterac_Signet_Rings"
step
Follow the past up the coast |goto 23.21,51.60 < 70 |only if walking and subzone("Dalaran")
Enter the building |goto 39.45,15.38 < 10 |walk
kill Nagaz##2320
|tip Inside the building.
|tip Be careful, some enemies around this area can be stealthed.	|only if not hardcore
|tip There are several enemies between the door and Nagaz.		|only if hardcore
|tip You will almost always aggro another enemy from inside.		|only if hardcore
|tip Enemies may run away in fear when at low health.			|only if hardcore
|tip Clear enemies outside before pulling from inside.			|only if hardcore
|tip Watch for respawns while you are attempting to clear your way.	|only if hardcore
collect Head of Nagaz##3672 |q 537/2 |goto 39.22,14.31
step
click Worn Wooden Chest##1765
|tip Inside the building.
|tip Try not to linger while inside the building.	|only if hardcore
|tip Enemies tend to respawn quickly around here.	|only if hardcore
collect Ensorcelled Parchment##3706 |goto 39.18,14.66 |q 551 |future
step
use the Ensorcelled Parchment##3706
accept The Ensorcelled Parchment##551
|only if itemcount(3706) > 0
step
kill 4 Argus Shadow Mage##2318 |q 537/1 |goto 62.31,43.49
|tip Inside the buildings around this area.
|tip These enemies deal a lot of damage.		|only if hardcore
|tip Watch for stealthed enemies.			|only if hardcore
|tip Watch for respawns and patrols around here.	|only if hardcore
You can usually find another one around [57.51,46.13]
step
label "Collect_Alterac_Signet_Rings"
Kill Syndicate enemies around this area
|tip Be careful, some of them can be stealthed.		|notinsticky
|tip These enemies deal a lot of damage.		|only if hardcore |notinsticky
|tip Watch for respawns and patrols around here.	|only if hardcore |notinsticky
collect 7 Alterac Signet Ring##3505 |q 512/1 |goto 62.31,43.49
You can find more around [58.20,44.87]
step
Kill Crushridge enemies around this area
|tip They look like ogres.
|tip Watch for respawns and patrols around here.	|only if hardcore
collect 9 Dirty Knucklebones##2843 |q 500/1 |goto 52.61,53.78
You can find more around [46.79,59.62]
step
use a Nature Protection Potion##6052
|tip You are about to accept a quest soon to kill a level 40 elite enemy.
|tip You will need to use another Nature Protection Potion during the fight, so use one now, and wait until your potion cooldown is finished before accepting the quest in the next step.
|tip The potion lasts 1 hour, so you have plenty of time to get to the quest location in a few steps.
Click Here to Continue |confirm |q 1713 |future
|only if Warrior and itemcount(6052) > 0
step
click Bah'rah's Cauldron
|tip Follow the river north to travel to this location.
|tip Complete the "Essence of the Exile" quest.
collect Essence of the Exile##6851 |q 1712/3 |goto Alterac Mountains 79.32,66.81
|only if Warrior
step
talk Bath'rah the Windwatcher##6176
|tip Inside the building.
turnin Cyclonian##1712 |goto 80.50,66.92
accept The Summoning##1713 |goto 80.50,66.92 |noautoaccept
|tip Make sure your potion cooldown is finished before accepting this quest.
|only if Warrior
step
Watch the dialogue
|tip Follow Bath'rah the Windwatcher as he walks.
|tip He will summon Cyclonian, a level 40 elite.
kill Cyclonian##6239
|tip Use the other Nature Protection Potion when the effect of the first one ends. |only if itemcount(6052) > 0
|tip If you have trouble, try to find someone to help you.
collect Whirlwind Heart##6894 |q 1713/1 |goto 80.60,62.52
|only if Warrior
step
talk Bath'rah the Windwatcher##6176
|tip Inside the building.
turnin The Summoning##1713 |goto 80.50,66.92
accept Whirlwind Weapon##1792 |goto 80.50,66.92 |instant
|only if Warrior
step
Avoid Tarren Mill and follow the path the Hinterlands |goto Hillsbrad Foothills 84.06,32.80 < 70 |only if walking and not zone("The Hinterlands")
Follow the path up |goto The Hinterlands 13.50,47.99 < 20 |only if walking
talk Falstad Wildhammer##5635
turnin To The Hinterlands##1449 |goto The Hinterlands 11.81,46.76
accept Gryphon Master Talonaxe##1450 |goto The Hinterlands 11.81,46.76
step
talk Guthrum Thunderfist##8018
|tip At the top of the path.
fpath Aerie Peak |goto 11.07,46.15
step
Enter the building |goto 11.00,45.67 < 10 |walk
talk Gryphon Master Talonaxe##5636
|tip Inside the building.
turnin Gryphon Master Talonaxe##1450 |goto 9.76,44.48
accept Rhapsody Shindigger##1451 |goto 9.76,44.48
step
Follow the path up |goto 20.81,47.82 < 20 |only if walking
talk Rhapsody Shindigger##5634
turnin Rhapsody Shindigger##1451 |goto 26.94,48.59
accept Rhapsody's Kalimdor Kocktail##1452 |goto 26.94,48.59
step
talk Marshal Redpath##2263
turnin Crushridge Bounty##500 |goto Hillsbrad Foothills 49.48,58.73
step
Enter the building |goto 49.01,59.12 < 10 |walk
talk Magistrate Henry Maleb##2276
|tip Inside the building.
turnin Dark Council##537 |goto 48.14,59.11
turnin Noble Deaths##512 |goto 48.14,59.11
step
Leave the building |goto 49.01,59.12 < 10 |walk |only if subzone("Southshore Town Hall")
talk Loremaster Dibbs##2277
turnin The Ensorcelled Parchment##551 |goto 50.57,57.09
accept Stormpike's Deciphering##554 |goto 50.57,57.09
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Arathi Highlands (39-40)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Arathi Highlands",
condition_suggested=function() return level >= 39 and level <= 40 and not completedq(661) end,
next="Leveling Guides\\Dustwallow Marsh (40-40)",
hardcore = true,
},[[
step
map Hillsbrad Foothills
path follow strict; loop off; ants straight; dist 40; markers none
path	55.64,19.67	55.67,24.84	55.96,29.02	57.76,36.69	62.45,41.43
path	65.74,42.56	68.19,45.57	72.49,48.23	77.21,53.20	80.37,55.32
path	81.99,56.91
map Arathi Highlands
path	20.22,29.62	21.63,31.75	22.57,34.04	22.76,38.68	23.72,43.33
path	25.44,46.63	26.54,49.19	31.09,51.86	34.82,52.25	38.27,53.51
path	39.53,54.77	43.02,55.12	45.37,58.95	46.82,59.78	48.79,59.23
path	50.81,59.99	52.10,61.37	55.34,62.36	56.58,62.96	57.64,62.70
path	59.19,62.94	60.56,61.21	61.12,59.49	60.24,59.11
kill Forsaken Courier##2714
|tip She walks one-way on the road from Go'Shek Farms in Arathi Highlands to Tarren Mill in Hillsbrad Foothills.
|tip She walks with a group of 4 bodyguards with her.
|tip Kite her away from her bodyguards, so you can fight her alone.
|tip If she makes it to Tarren Mill, she respawns at the small house in Arathi Highlands and starts the walk over again.
|tip If you make it to the small house in Arathi Highlands, and still haven't found her, kill orcs nearby the house until she spawns.
|tip If you have trouble, try to find someone to help you.
|tip The Sealed Folder is not a guaranteed drop, you may need to kill her more than once.
collect Sealed Folder##4482 |q 658/1
step
talk Apprentice Kryten##2788
accept Worth Its Weight in Gold##691 |goto Arathi Highlands 46.20,47.75
step
click Shards of Myzrael##138492
accept The Princess Trapped##642 |goto 62.50,33.80
step
Avoid Hammerfall |goto 72.95,40.77 < 50 |only if walking
Kill Drywhisker enemies around this area
|tip You can find more in the cave at the top of the path referenced below.
|tip Be mindful of your surroundings. |only if hardcore
|tip Specifically, watch out for Drywhisker Surveyors as they are casters that deal heavy damage. |only if hardcore
collect 12 Mote of Myzrael##4435 |q 642/1 |goto 76.13,44.11
You can find more:
Around [78.07,35.28]
Up the path that starts at [80.84,39.91]
step
Follow the path up |goto 80.90,39.96 < 10 |only if walking and not _G.IsIndoors()
Enter the cave |goto 82.66,36.16 < 15 |walk |only if not _G.IsIndoors()
click Iridescent Shards
|tip Upstairs inside the cave.
|tip Watch for patrols and respawns while in the cave.		|only if hardcore
|tip Drywhisker Surveyors are casters that deal heavy damage.	|only if hardcore
turnin The Princess Trapped##642 |goto 84.31,30.92
accept Stones of Binding##651 |goto 84.31,30.92
step
Leave the cave |goto 82.69,36.21 < 15 |walk |only if subzone("Drywhisker Gorge") and _G.IsIndoors()
Avoid Hammerfall |goto 73.48,41.26 < 50 |only if walking and (subzone("Drywhisker Gorge") or subzone("Hammerfall"))
click Stone of East Binding##2691
collect Cresting Key##4484 |q 651/2 |goto 66.75,29.75
step
talk Quae##2712
turnin Hints of a New Plague?##658 |goto 60.19,53.85
accept Hints of a New Plague?##657 |goto 60.19,53.85
step
_NOTE:_
Incoming Escort Quest
|tip This quest has enemies that will ambush you in 2's and 3's.
|tip The difficulty may vary depending on the levels of control your class has.
|tip Skipping this will result in a loss of 6,400 xp.
|tip Be sure to turn in the quest before the escort if you decide not to do the quest.
Click Here to Continue |confirm |q 660 |future
|only if hardcore
step
talk Kinelory##2713
|tip This is an escort quest.
|tip If she's not here, someone may be escorting her.
|tip Wait for her to respawn.
turnin Hints of a New Plague?##657 |goto 60.24,53.92
accept Hints of a New Plague?##660 |goto 60.24,53.92 |noautoaccept
step
Watch the dialogue
|tip Follow Kinelory and protect her as she walks.
|tip She eventually walks back to this location.
|tip If you have trouble, try to find someone to help you.
Protect Kinelory |q 660/1 |goto 60.24,53.92
step
talk Quae##2712
turnin Hints of a New Plague?##660 |goto 60.19,53.85
accept Hints of a New Plague?##661 |goto 60.19,53.85
step
_NOTE:_
Incoming Cave Step
|tip The next quest has you venturing into a cave that is dangerous.
|tip You'll be farming for a low drop rate item in this area.
|tip The quest is optional, so if you decide to skip you will need to grind 4,000 xp.
|tip Abandon the quest Worth Its Weight in Gold if you decide you don't want to do it as well.
Click Here to Continue |confirm |q 691 |future
|only if hardcore
stickystart "Collect_Witherbark_Medicine_Pouches"
stickystart "Collect_Witherbark_Tusks"
step
Enter the cave |goto 68.32,75.18 < 15 |walk
kill Witherbark Shadow Hunter##2557+
|tip Inside the cave.
|tip These tend to have a low drop rate.
|tip Watch for patrols and respawns while in the cave.		|only if hardcore
|tip Enemies may run away in fear at low health.		|only if hardcore
|tip Destroy totems that Witherbark Witch Doctores create.	|only if hardcore
|tip Witherbark Axe Throwers are ranged attackers.		|only if hardcore
collect Shadow Hunter Knife##5040 |q 691/3 |goto 67.59,78.45
|tip Be careful not to accidentally sell this to a vendor.
step
label "Collect_Witherbark_Medicine_Pouches"
Leave the cave |goto 68.32,75.18 < 15 |walk |only if subzone("Witherbark Village") and _G.IsIndoors()
kill Witherbark Witch Doctor##2555+
|tip Inside and outside the cave. |notinsticky
|tip Be mindful of your surroundings as it's easy to be overwhelmed. |only if hardcore |notinsticky
|tip Witherbark Witch Doctors, Axe Throwers and Headhunters are all ranged enemies to look out for. |only if hardcore |notinsticky
collect 4 Witherbark Medicine Pouch##4522 |q 691/2 |goto 66.66,64.37
You can find more outside the cave around: |notinsticky
[61.45,72.04]
[64.79,72.83]
[70.29,68.39]
[72.11,64.09]
[70.82,60.27]
step
label "Collect_Witherbark_Tusks"
Kill Witherbark enemies around this area |notinsticky
|tip Inside and outside the cave. |notinsticky
|tip Be mindful of your surroundings as it's easy to be overwhelmed. |only if hardcore |notinsticky
|tip Witherbark Witch Doctors, Axe Throwers and Headhunters are all ranged enemies to look out for. |only if hardcore |notinsticky
collect 10 Witherbark Tusk##4503 |q 691/1 |goto 66.66,64.37
You can find more outside the cave around: |notinsticky
[61.45,72.04]
[64.79,72.83]
[70.29,68.39]
[72.11,64.09]
[70.82,60.27]
step
click Stone of Outer Binding##2690
collect Thundering Key##4485 |q 651/3 |goto 52.04,50.77
step
talk Apprentice Kryten##2788
turnin Worth Its Weight in Gold##691 |goto 46.20,47.75
step
talk Skuerto##2789
accept Wand over Fist##693 |goto 46.65,47.01
step
Leave Refuge Pointe |goto 43.94,50.56 < 30 |only if walking and subzone("Refuge Pointe")
Enter the cave |goto 53.75,77.37 < 15 |walk
Follow the path |goto 54.63,79.26 < 10 |walk
kill Kor'gresh Coldrage##2793
|tip Inside the cave.
collect Trelane's Wand of Invocation##4525 |q 693/1 |goto 54.75,81.87
step
Leave the cave |goto 53.68,77.23 < 15 |walk |only if subzone("Boulderfist Hall") and _G.IsIndoors()
Kill enemies around this area
|tip Getting this far into level 39 will allow you to reach level 40 after turning in quests soon.
|tip You are about to have to complete a fairly difficult escort quest, and a handful of quests underwater, so it will help to be a level higher.
ding 39,80000 |goto 52.56,75.33
step
Leave the cave |goto 53.68,77.23 < 15 |walk |only if subzone("Boulderfist Hall") and _G.IsIndoors()
talk Skuerto##2789
turnin Wand over Fist##693 |goto 46.65,47.01
step
talk Vikki Lonsav##2808
|tip Buy enough ammo to fill your ammo bag, plus 4-6 extra stacks.
|tip You will be questing for a while without access to an ammo vendor.
Visit the Vendor |vendor Vikki Lonsav##2808 |goto 46.45,47.60 |q 651
|only if Hunter
step
Leave Refuge Pointe |goto Arathi Highlands 43.94,50.56 < 30 |only if walking and subzone("Refuge Pointe")
click Stone of West Binding
collect Burning Key##4483 |q 651/1 |goto Arathi Highlands 25.45,30.16
step
click Stone of Inner Binding##2702
turnin Stones of Binding##651 |goto 36.19,57.37
step
Follow the path |goto 31.22,65.35 < 30 |only if walking and not subzone("Faldir's Cove")
Enter the tunnel |goto 21.58,75.61 < 15 |only if walking and not subzone("Faldir's Cove")
Leave the tunnel |goto 22.00,79.55 < 15 |only if walking and not subzone("Faldir's Cove")
talk Lolo the Lookout##2766
|tip He walks around this area.
accept Land Ho!##663 |goto 31.78,82.70
step
talk Shakes O'Breen##2610
turnin Land Ho!##663 |goto 32.28,81.38
step
talk First Mate Nilzlix##2767
|tip He walks around this area.
accept Deep Sea Salvage##662 |goto 32.77,81.47
step
talk Captain Steelgut##2769
accept Drowned Sorrows##664 |goto 34.00,80.79
step
talk Professor Phizzlethorpe##2768
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait until he respawns.
accept Sunken Treasure##665 |goto 33.87,80.55 |noautoaccept
step
Watch the dialogue
|tip Follow Professor Phizzlethorpe as he walks.
|tip He eventually walks back to this location.
Kill the enemies that attack
|tip Two level 40 water elementals will attack.
|tip They will be immune to Frost damage.
|tip If you have trouble, try to find someone to help you.
Defend Professor Phizzlethorpe |q 665/1 |goto 33.87,80.55
step
talk Doctor Draxlegauge##2774
turnin Sunken Treasure##665 |goto 33.86,80.45
accept Sunken Treasure##666 |goto 33.86,80.45
step
Equip the Goggles of Gem Hunting
|tip They should be in your bags.
Click Here After Equipping The Goggles |confirm |q 666
step
use an Elixir of Water Breathing##5996
|tip You should have these from purchasing them earlier in the guide from the auction house in Stormwind City.
Gain Water Breathing |havebuff Water Breathing##7178 |goto 28.42,84.79 |q 666
|only if not (Druid or Warlock) and itemcount(5996) > 0 and not selfmade
stickystart "Collect_Elven_Gems"
stickystart "Kill_Daggerspine_Sorceresses"
stickystart "Kill_Daggerspine_Raiders"
step
click Maiden's Folly Log##2709
|tip It looks like a large brown book in a grey metal cauldron.
|tip On the middle floor of the sunken ship.
collect Maiden's Folly Log##4489 |q 662/2 |goto 23.41,85.10
step
click Maiden's Folly Charts##2707
|tip It looks like a tan scroll laying flat on a wooden ledge.
|tip On the middle floor of the sunken ship.
collect Maiden's Folly Charts##4487 |q 662/1 |goto 23.04,84.51
step
click Spirit of Silverpine Charts##2708
|tip It looks like a tan scroll laying flat on a wooden crate next to a cannon.
|tip On the middle floor of the sunken ship.
collect Spirit of Silverpine Charts##4488 |q 662/3 |goto 20.45,85.60
step
click Spirit of Silverpine Log##2710
|tip It looks like an open book laying on the ground.
|tip At the very bottom of the ship.
collect Spirit of Silverpine Log##4490 |q 662/4 |goto 20.65,85.10
step
label "Collect_Elven_Gems"
click Calcified Elven Gem##2712+
|tip They look like large gray stones on the ground underwater around this area.
|tip If you are wearing the Goggles of Gem Hunting, they will appear on your minimap as yellow dots.
collect 10 Elven Gem##4492 |q 666/1 |goto 25.03,85.70
You can find more around: |notinsticky
[24.65,90.70]
[18.60,90.36]
[19.70,84.18]
step
label "Kill_Daggerspine_Sorceresses"
kill 3 Daggerspine Sorceress##2596 |q 664/2 |goto 22.83,87.29
|tip Underwater around this area. |notinsticky
step
label "Kill_Daggerspine_Raiders"
kill 10 Daggerspine Raider##2595 |q 664/1 |goto 22.83,87.29
|tip Underwater around this area. |notinsticky
step
talk First Mate Nilzlix##2767
|tip He walks around this area.
turnin Deep Sea Salvage##662 |goto 32.80,81.48
step
talk Captain Steelgut##2769
turnin Drowned Sorrows##664 |goto 34.00,80.79
step
talk Doctor Draxlegauge##2774
turnin Sunken Treasure##666 |goto 33.85,80.45
|tip The Gnomish Zapper reward may be a decent upgrade.	|only if Priest
accept Sunken Treasure##668 |goto 33.85,80.45
step
Equip Your Regular Head Armor
Click Here After Equipping Your Regular Head Armor |confirm |q 668
step
talk Shakes O'Breen##2610
turnin Sunken Treasure##668 |goto 32.29,81.38
accept Sunken Treasure##669 |goto 32.29,81.38
step
talk Phin Odelic##2711
turnin Hints of a New Plague?##661 |goto Hillsbrad Foothills 50.34,59.04
step
_NOTE:_
You Have Access to Stronger Ammo
|tip Now that you're level 40, you can purchase stronger bullets or arrows.
|tip When you restock ammo at vendors, make sure to buy level 40 ammo.
Click Here to Continue |confirm |q 669
|only if Hunter
step
Enter the building |goto Stormwind City 43.02,34.40 < 10 |walk
talk Duthorian Rall##6171
|tip Inside the building.
accept The Tome of Nobility##1661 |goto Stormwind City 39.81,29.80
|only if Paladin
step
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Nobility##1661 |goto 39.81,29.80
|only if Paladin
step
Enter the building |goto Stormwind City 29.14,74.17 < 10 |walk
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
|tip If you can afford them.
|tip Buy all of the Grimoires for spells that are upgrades for the spells you use with your pet.
|tip After buying them, make sure to use them in your bags to learn the spells.
Visit the Vendor |vendor Spackle Thornberry##5520 |goto Stormwind City 25.66,77.66 |q 669
|only if Warlock
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Dustwallow Marsh (40-40)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Arathi Highlands",
condition_suggested=function() return level == 40 and not completedq(1287) end,
next="Leveling Guides\\Desolace (40-41)",
hardcore = true,
},[[
step
talk Pozzik##4630
turnin Goblin Sponsorship##1183 |goto Thousand Needles 80.18,75.88
accept The Eighteenth Pilot##1186 |goto 80.18,75.88
|only if hardcore
step
talk Razzeric##4706
turnin The Eighteenth Pilot##1186 |goto 80.33,76.09
accept Razzeric's Tweaking##1187 |goto 80.33,76.09
|only if hardcore
step
Enter the building |goto Dustwallow Marsh 67.81,47.70 < 15 |walk
Run up the stairs |goto Dustwallow Marsh 68.17,48.76 < 7 |walk
talk Captain Garran Vimes##4944
|tip Upstairs inside the building.
accept The Deserters##1286 |goto Dustwallow Marsh 68.21,48.62
step
Leave the building |goto 67.81,47.70 < 15 |walk |only if subzone("Foothold Citadel")
Enter the building |goto 66.00,45.20 < 10 |walk
talk Morgan Stern##4794
|tip Inside the building.
turnin Morgan Stern##1260 |goto 66.34,45.47
accept Mudrock Soup and Bugs##1204 |goto 66.34,45.47
step
talk Innkeeper Janene##6272
|tip Inside the building.
home Theramore Isle |goto 66.59,45.22
step
Leave the building |goto 66.00,45.20 < 10	|walk |only if subzone("Theramore Isle") and _G.IsIndoors()
Leave Theramore Isle |goto 64.81,46.60 < 40	|only if walking and subzone("Theramore Isle")
Enter the building |goto 59.90,40.92 < 10	|walk
Explore Sentry Point |q 1265/1			|goto 59.66,41.25
step
talk Archmage Tervosh##4967
|tip Inside the building.
|tip This quest seems buggy currently.
|tip If he doesn't appear, walk out of the tower to the main road, then walk back into the tower.
turnin The Missing Diplomat##1265 |goto 59.66,41.25
accept The Missing Diplomat##1266 |goto 59.66,41.25
|tip He may also be found at:
[66.4,49.2]
[45.2,24.4]
step
Watch the dialogue
|tip Inside the building.
|tip Archmage Tervosh will give you a defense buff.
Gain the Proudmoore's Defense Buff |havebuff Proudmoore's Defense##7120 |goto 59.66,41.25
step
|goto 45,24
confirm always
step
Kill Mudrock enemies around this area
|tip They look like tortoises.
|tip You can find more in the water nearby.
|tip They seem to respawn fairly quickly.
collect 8 Forked Mudrock Tongue##5883 |q 1204/1 |goto 64.79,42.00
You can find more around: |notinsticky
[63.08,35.77]
[61.72,30.64]
[61.92,25.24]
[61.52,21.12]
[60.33,18.47]
step
Kill Mirefin enemies around this area
collect 12 Mirefin Head##5847 |q 1177/1 |goto 57.93,15.70
|tip Enemies tend to group up around here, so pull carefully when able. |only if hardcore
You can find more around: |notinsticky
[54.42,15.92]
step
Follow the path up |goto 57.90,18.51 < 20 |only if walking and subzone("Dreadmurk Shore")
talk "Swamp Eye" Jarl##4792
accept Jarl Needs Eyes##1206 |goto 55.44,26.27
step
talk "Stinky" Ignatz##4880
|tip Kill the raptors near him before accepting the quest.
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait for him to respawn.
accept Stinky's Escape##1222 |goto 46.88,17.52 |noautoaccept
step
Watch the dialogue
|tip Follow and protect "Stinky" Ignatz as he walks.
|tip He eventually walks to this location.
Help Stinky Find Bogbean Leaves |q 1222/1 |goto 48.86,24.65
step
Kill Darkmist enemies around this area
|tip They look like green spiders.
|tip Inside and outside the mine.							|only if not hardcore
|tip They are inside and outside the mine, but it is safer to be outside of the mine.	|only if hardcore
collect 40 Unpopped Darkmist Eye##5884 |q 1206/1 |goto 33.22,22.76
step
talk "Swamp Eye" Jarl##4792
turnin Jarl Needs Eyes##1206 |goto 55.44,26.27
step
_Destroy or Sell These Items:_
|tip They are no longer needed.
trash Unpopped Darkmist Eye##5884
step
talk Private Hendel##4966
turnin The Missing Diplomat##1266 |goto 45.22,24.64
accept The Missing Diplomat##1324 |goto 45.22,24.64 |noautoaccept
|tip Private Hendel and the 2 Theramore Sentries nearby will attack you, so be prepared.
|tip Focus on killing Private Hendel.  His helpers will stop attacking once he surrenders.
step
kill Private Hendel##4966
|tip Focus on killing Private Hendel.  His helpers will stop attacking once he surrenders.
|tip He will eventually surrender.
Subdue Private Hendel |q 1324/1 |goto 45.22,24.64
step
Watch the dialogue
talk Archmage Tervosh##4967
|tip He will appear nearby where Private Hendel surrendered.
turnin The Missing Diplomat##1324 |goto 45.22,24.64
step
Watch the dialogue
talk Lady Jaina Proudmoore##4968
|tip She will appear nearby where Private Hendel surrendered.
accept The Missing Diplomat##1267 |goto 45.22,24.24 |instant
step
talk Mudcrush Durtfeet##4503
turnin Hungry!##1177 |goto 35.15,38.25
step
Enter the building |goto 35.73,53.99 < 10 |walk
talk Balos Jacken##5089
|tip Upstairs inside the building.
|tip He will eventually surrender.
turnin The Deserters##1286 |goto 36.09,54.30
accept The Deserters##1287 |goto 36.09,54.30
step
click Gizmorium Shipping Crate##20727
collect Seaforium Booster##5862 |q 1187/1 |goto Dustwallow Marsh 54.07,56.48
step
talk Morgan Stern##4794
|tip Inside the building.
turnin Mudrock Soup and Bugs##1204 |goto 66.34,45.47
accept ... and Bugs##1258 |goto 66.34,45.47
turnin Stinky's Escape##1222 |goto 66.34,45.47
step
Leave the building |goto 66.00,45.20 < 10 |walk |only if subzone("Theramore Isle") and _G.IsIndoors()
Enter the building |goto 67.81,47.70 < 15 |walk
Run up the stairs |goto 68.17,48.76 < 7 |walk
talk Captain Garran Vimes##4944
|tip Upstairs inside the building.
turnin The Deserters##1287 |goto 68.21,48.62
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Desolace (40-41)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Desolace",
condition_suggested=function() return level >= 40 and level <= 41 and not completedq(1467) end,
next="Leveling Guides\\Badlands (41-42)",
hardcore = true,
},[[
step
talk Ardwyn Cailen##1312
|tip Inside the building.
buy Blackbone Wand##5239 |n
|tip It costs 3g 48s 58c so don't travel if you don't want to spend the money.
Visit the Vendor |vendor Ardwyn Cailen##1312 |goto Stormwind City 42.8,65.6
|only if Priest
step
talk Innkeeper Lyshaerya##11103
|tip Inside the building.
home Nijel's Point |goto Desolace 66.27,6.55 |q 1467 |future
step
talk Brother Anton##1182
|tip Inside the building.
accept Down the Scarlet Path##261 |goto Desolace 66.52,7.91
step
talk Kreldig Ungor##5638
accept Reagents for Reclaimers Inc.##1466 |goto 66.20,9.63
step
Avoid Ghost Walker Post and follow the path |goto 48.99,53.86 < 40 |only if walking
talk Hornizz Brimbuzzle##6019
accept Ghost-o-plasm Round Up##6134 |goto 47.83,61.82
step
Follow the path up and over the mountain |goto 46.76,67.06 < 15 |only if walking
talk Uthek the Wise##5397
turnin Ongeku##1373 |goto 36.22,79.25
accept Khan Jehn##1374 |goto 36.22,79.25
|only if not hardcore
stickystart "Collect_Nether_Wings"
stickystart "Collect_Felhound_Brains"
step
Follow the road |goto 46.98,75.20 < 40 |only if walking and not subzone("Mannoroc Coven") and not hardcore
Follow the path up |goto 52.07,82.38 < 20 |only if walking
kill Doomwarder Captain##4680+
|tip There aren't many available, so you may have to wait for them to respawn.
|tip Work on the other steps around this area while waiting.
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
collect 10 Doomwarder Blood##6252 |q 1466/3 |goto 51.71,83.27
step
label "Collect_Nether_Wings"
Kill Nether enemies around this area
|tip They look like succubi.
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
collect 10 Nether Wing##6251 |q 1466/2 |goto 51.03,71.80
You can find more around: |notinsticky
[49.69,77.79]
[52.10,82.27]
[54.01,77.40]
[54.26,70.63]
step
label "Collect_Felhound_Brains"
Kill enemies around this area
|tip Only enemies that look like felhounds will drop the quest item.
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
collect 10 Felhound Brain##6250 |q 1466/1 |goto 51.06,80.69
You can find more around: |notinsticky
[53.78,84.41]
[53.57,77.87]
[56.41,78.38]
[56.11,72.79]
step
Kill enemies around this area
|tip You should already be level 41, or pretty close.
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
ding 41 |goto 51.03,71.80
You can find more around: |notinsticky
[49.69,77.79]
[52.10,82.27]
[54.01,77.40]
[54.26,70.63]
stickystart "Kill_Undead_Ravagers"
step
Enter the Valley of Bones |goto 59.06,89.28 < 40 |only if walking
use the Crate of Ghost Magnets##15848
|tip Kill any nearby enemies before using it.
|tip Use it next to the huge bones on the ground around this area.
kill Magrami Spectre##11560+
|tip They continuously walk to the spinning object that appears on the ground.
|tip They will become hostile when they reach the spinning object.
|tip Pull them away from the spinning object to fight them.
|tip They will not aggro in groups if they are still yellow/neutral.
|tip If they are red/hostile, they will pull together.
|tip If you have to wait until they despawn and use the quest item again, that's okay.
|tip Be patient and pull carefully.
|tip Watch for respawns while in the area.	|only if hardcore
collect 8 Ghost-o-plasm##15849 |q 6134/1 |goto 63.81,91.27
step
label "Kill_Undead_Ravagers"
kill 30 Undead Ravager##11561 |q 261/1 |goto 63.96,91.95
|tip They look like brown skeletons.
|tip Watch for respawns while in the area.	|only if hardcore |notinsticky
You can find more around: |notinsticky
[59.78,89.83]
[64.52,82.42]
step
Leave the Valley of Bones and follow the path up |goto 65.27,85.25 < 20 |only if walking and subzone("Valley of Bones")
kill Khan Jehn##5601
|tip He walks in and out of this tent.
collect Khan Jehn's Head##6072 |q 1374/1 |goto 66.39,80.08
|only if not hardcore
step
talk Hornizz Brimbuzzle##6019
turnin Ghost-o-plasm Round Up##6134 |goto 47.83,61.83
step
Follow the path up and over the mountain |goto 46.76,67.06 < 15 |only if walking
talk Uthek the Wise##5397
turnin Khan Jehn##1374 |goto 36.22,79.25
|only if not hardcore
step
Follow the road into Feralas and run down the path |goto Feralas 47.56,37.72 < 30 |only if walking
Ride the boat or swim across the water |goto Feralas 43.39,42.75 < 40 |only if walking
talk Fyldren Moonfeather##8019
|tip As you travel here, stay on the road and avoid enemies.
|tip They are dangerous to you at this level.
fpath Feathermoon |goto Feralas 30.24,43.25
step
talk Faralorn##7942
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 10-12 extra stacks.
|tip You will be questing for a long time without easy access to an ammo vendor.
Visit the Vendor |vendor Faralorn##7942 |goto Feralas 30.65,43.43 |q 261
|only if Hunter
step
talk Antarius##10059
|tip Stable your permanent pet.
|tip You are about to tame a temporary pet, so you can learn "Bite 6".
Click Here to Continue |confirm |goto 31.47,43.15 |q 261
|only if Hunter
step
_NOTE:_
Tame a Longtooth Runner
|tip Use your "Tame Beast" ability on a Longtooth Runner.
|tip They look like grey wolves around this area.
Learn the "Bite 6" Pet Ability
|tip Kill enemies around this area until you see a message in your chat saying you learned "Bite 6".
|tip You will teach "Bite 6" to your permanent pet soon.
Click Here to Continue |confirm |goto 29.06,46.80 |q 261
|only if Hunter
step
talk Antarius##10059
|tip Abandon your temporary pet and get your permanent pet from the stable.
|tip Teach "Bite 6" to your permanent pet.
Click Here to Continue |confirm |goto 31.47,43.15 |q 261
|only if Hunter
step
Enter the building |goto Tanaris 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Collect these items from the bank.
collect Goblin Rumors##5804 |goto Tanaris 52.30,28.91 |q 1117
step
talk Gimblethorn##7799
|tip Inside the building.
|tip Deposit these items into the bank.
bank Sample Elven Gem##4502 |goto 52.30,28.91 |q 669 |future
step
talk Kravel Koalbeard##4452
turnin Rumors for Kravel##1117 |goto Thousand Needles 77.79,77.27
step
Watch the dialogue
talk Kravel Koalbeard##4452
accept Back to Booty Bay##1118 |goto 77.79,77.27
step
talk Fizzle Brassbolts##4454
accept Martek the Exiled##1106 |goto 78.06,77.12
|tip You must have completed "Salt Flat Venom" and "Hardened Shells" from the "Thousand Needles (33-34)" guide.
|tip This also requires completing "Martek the Exiled" from the "Desolace (40-41)" guide.
step
talk Razzeric##4706
turnin Razzeric's Tweaking##1187 |goto 80.33,76.10
accept Safety First##1188 |goto 80.33,76.10
step
talk Brother Anton##1182
|tip Inside the building.
turnin Down the Scarlet Path##261 |goto Desolace 66.52,7.91
step
talk Kreldig Ungor##5638
turnin Reagents for Reclaimers Inc.##1466 |goto 66.20,9.63
accept Reagents for Reclaimers Inc.##1467 |goto 66.20,9.63
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Badlands (41-42)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Badlands",
condition_suggested=function() return level >= 41 and level <= 42 and not completedq(739) end,
next="Leveling Guides\\Stranglethorn Vale (42-43)",
hardcore = true,
},[[
step
Run up the stairs and enter the building |goto Ironforge 61.32,88.17 < 7 |walk
talk Brenwyn Wintersteel##5120
buy Falchion##2528 |n
|tip If you can afford it.
|tip You will use it when you reach level 41.
|tip If you have better, skip this step.
Visit the Vendor |vendor Brenwyn Wintersteel##5120 |goto Ironforge 62.37,88.68 |q 1467
|only if Rogue and itemcount(2528) == 0
step
Enter the building |goto Ironforge 34.11,62.34 < 10 |walk
talk Bailey Stonemantle##2461
|tip Inside the building.
|tip Deposit these items into the bank.
bank Kravel's Scheme##5826 |goto Ironforge 35.92,60.14 |q 1118 |future
bank Seaforium Booster##5862 |goto Ironforge 35.92,60.14 |q 1188 |future
step
talk Tynnus Venomsprout##5169
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Tynnus Venomsprout##5169 |goto Ironforge 52.94,13.66
|only if Rogue
step
talk Roetten Stonehammer##5637
|tip He walks around inside the building.
turnin Reagents for Reclaimers Inc.##1467 |goto 67.91,17.52
step
talk Prospector Stormpike##1356
|tip Inside the building.
turnin Stormpike's Deciphering##554 |goto 74.64,11.74
accept Ironband Wants You!##707 |goto 74.64,11.74
step
Enter the building |goto Ironforge 72.16,67.56 < 7 |walk
talk Skolmin Goldfury##5122
buy Massive Longbow##11307 |n
|tip If you can afford it.
|tip It's a limited supply item, so it may not be for sale.
|tip You can't use it until level 42, but it's good to have waiting to use, and you can only buy it in Stormwind City and Ironforge.
|tip We will check vendors for it along the way, if it's not here right now.
|tip If you have better, skip this step.
Visit the Vendor |vendor Skolmin Goldfury##5122 |goto Ironforge 71.76,66.70 |q 2500 |future
|only if Hunter and itemcount(11307) == 0
step
Run up the stairs and enter the building |goto Ironforge 23.09,17.43 < 7 |walk
talk Harick Boulderdrum##5133
|tip Downstairs inside the building.
buy Blackbone Wand##5239 |n
|tip If you can afford it.
|tip If you have better, skip this step.
Visit the Vendor |vendor Harick Boulderdrum##5133 |goto Ironforge 23.13,15.94 |q 2500 |future
|only if Priest and itemcount(5239) == 0
step
Enter the building |goto Loch Modan 36.63,48.52 < 10 |walk
talk Ghak Healtouch##1470
|tip Inside the building.
accept Badlands Reagent Run##2500 |goto Loch Modan 37.07,49.38
step
talk Prospector Ironband##1344
turnin Ironband Wants You!##707 |goto 65.93,65.62
accept Find Agmond##738 |goto 65.93,65.62
stickystart "Collect_Buzzard_Gizzards"
stickystart "Collect_Crag_Coyote_Fangs"
step
Follow the path |goto Badlands 51.77,33.17 < 15 |only if walking
click Crumpled Map##2868
accept A Sign of Hope##720 |goto Badlands 53.03,33.93
step
Leave Hammertoe's Digsite |goto 51.48,33.23 < 20 |only if walking and subzone("Hammertoe's Digsite")
talk Prospector Ryedol##2910
turnin A Sign of Hope##720 |goto 53.42,43.40
accept A Dwarf and His Tools##719 |goto 53.42,43.40
step
talk Sigrun Ironhew##2860
accept Mirages##718 |goto 53.80,43.31
step
Kill Shadowforge enemies around this area
|tip They look like dwarves.
collect Ryedol's Lucky Pick##4616 |q 719/1 |goto 52.59,32.20
step
click Excavation Supply Crate##2867
|tip It looks like a wooden crate.
|tip It may spawn in other locations in this camp.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Supply Crate##4629 |q 718/1 |goto 66.61,22.02
step
Follow the path |goto 56.21,27.40 < 50 |only if walking and subzone("Camp Kosh")
talk Prospector Ryedol##2910
turnin A Dwarf and His Tools##719 |goto 53.42,43.40
step
talk Sigrun Ironhew##2860
turnin Mirages##718 |goto 53.80,43.31
accept Scrounging##733 |goto 53.80,43.31
step
talk Rigglefuzz##2817
accept Barbecued Buzzard Wings##703 |goto 42.39,52.93
step
talk Martek the Exiled##4618
turnin Martek the Exiled##1106 |goto 42.22,52.69
accept Indurium##1108 |goto 42.22,52.69
stickystart "Collect_Buzzard_Wings"
step
click Battered Dwarven Skeleton##2875
|tip Watch for patrols and respawns while in the area.	|only if hardcore
turnin Find Agmond##738 |goto 50.89,62.41
accept Murdaloc##739 |goto 50.89,62.41
stickystart "Kill_Stonevault_Bonesnapper"
stickystart "Collect_Iridium_Flakes"
step
kill Murdaloc##2945 |q 739/1 |goto 49.63,66.30
|tip He walks around this area.
step
label "Kill_Stonevault_Bonesnapper"
kill 12 Stonevault Bonesnapper##2893 |q 739/2 |goto 50.51,69.96
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
step
label "Collect_Iridium_Flakes"
Kill Stonevault enemies around this area
|tip Watch for respawns while in the area. |only if hardcore |notinsticky
collect 10 Indurium Flake##5797 |q 1108/1 |goto 50.51,69.96
You can find more around [64.40,43.22]
step
talk Martek the Exiled##4618
turnin Indurium##1108 |goto 42.21,52.70
step
Watch the dialogue
talk Martek the Exiled##4618
accept News for Fizzle##1137 |goto 42.21,52.70
step
talk Lotwil Veriatus##2921
accept Study of the Elements: Rock##710 |goto 25.95,44.87
stickystart "Collect_Small_Stone_Shards"
step
Kill Rock Elemental enemies around this area
collect 5 Rock Elemental Shard##7848 |q 2500/3 |goto 19.46,43.02
You can find more around [13.98,39.71]
step
label "Collect_Small_Stone_Shards"
kill Lesser Rock Elemental##2735+ |notinsticky
collect 10 Small Stone Shard##4626 |q 710/1 |goto 19.46,43.02
You can find more around [13.98,39.71]
step
talk Lotwil Veriatus##2921
turnin Study of the Elements: Rock##710 |goto 25.95,44.87
accept Study of the Elements: Rock##711 |goto 25.95,44.87
step
kill Rock Elemental##92+
collect 3 Large Stone Slab##4627 |q 711/1 |goto 39.30,77.11
You can find more around [43.56,84.04]
step
talk Lotwil Veriatus##2921
turnin Study of the Elements: Rock##711 |goto 25.95,44.87
accept Study of the Elements: Rock##712 |goto 25.95,44.87
step
label "Collect_Buzzard_Gizzards"
Kill Buzzard enemies around this area
collect 5 Buzzard Gizzard##7847 |q 2500/1 |goto 16.82,59.84
You can find more around: |notinsticky
[12.45,69.20]
[17.43,48.90]
[25.63,62.04]
[33.36,59.65]
[28.67,72.03]
[24.51,74.45]
[18.90,77.65]
step
label "Collect_Buzzard_Wings"
Kill Buzzard enemies around this area
collect 4 Buzzard Wing##3404 |q 703/1 |goto 16.82,59.84
|tip Be careful to not accidentally sell these to a vendor.
You can find more around: |notinsticky
[12.45,69.20]
[17.43,48.90]
[25.63,62.04]
[33.36,59.65]
[28.67,72.03]
[24.51,74.45]
[18.90,77.65]
step
label "Collect_Crag_Coyote_Fangs"
Kill Coyote enemies around this area
collect 10 Crag Coyote Fang##7846 |q 2500/2 |goto 23.75,55.12
You can find more around: |notinsticky
[14.18,65.72]
[31.58,65.16]
stickystart "Collect_Scrap_Metal"
step
kill Greater Rock Elemental##2736+
|tip If you have trouble, try to find someone to help you.
|tip These enemies can be tough, and are a bit higher level. |only if hardcore
|tip If you'd rather not risk it, skip this step and abandon the "Study of the Elements: Rock" quest. |only if hardcore
collect 5 Bracers of Rock Binding##4628 |q 712/1 |goto 5.40,76.83
You can find more up the path that starts at [13.20,83.27]
step
label "Collect_Scrap_Metal"
Kill Dustbelcher enemies around this area
|tip Watch for patrols and respawns here.	|only if hardcore
collect 7 Scrap Metal##4630 |q 733/1 |goto 11.29,75.60
step
talk Lotwil Veriatus##2921
turnin Study of the Elements: Rock##712 |goto 25.95,44.87
step
Kill enemies around this area
|tip Grinding a bit here will reduce the amount you have to grind all at once later.
|tip Don't turn in quests yet, unless you don't mind grinding more later. You will turn in quests after grinding.
ding 42 |goto 30.24,59.90
You can sell items at [42.47,52.50]
|tip Make sure not to accidentally sell Buzzard Wings if you sell items.
step
talk Rigglefuzz##2817
turnin Barbecued Buzzard Wings##703 |goto 42.39,52.93
step
_Destroy or Sell These Items:_
|tip They are no longer needed.
trash Buzzard Wing##3404
step
talk Sigrun Ironhew##2860
turnin Scrounging##733 |goto 53.80,43.31
step
Allow Enemies to Kill You
|tip Make sure to die around this location.
|tip We are going to get the Thorium Point flight path in Searing Gorge.
|tip Don't worry about the resurrection sickness, you will be traveling around a bit.
|tip By the time you need to kill enemies again, it will be gone.
Die on Purpose |complete isdead |goto Searing Gorge 67.82,51.45 |q 2500
|only if not hardcore
step
talk Spirit Healer##6491
Tell her _"Return me to life."_
Resurrect at the Spirit Healer |complete not isdead |goto 35.50,22.79 |q 2500 |zombiewalk
|only if not hardcore
step
talk Lanie Reed##2941
fpath Thorium Point |goto 37.94,30.86
|only if not hardcore
step
Enter the building |goto Loch Modan 35.23,47.74 < 10 |walk
talk Innkeeper Hearthstove##6734
|tip Inside the building.
home Stoutlager Inn |goto Loch Modan 35.53,48.40
step
Leave the building |goto 35.23,47.74 < 10 |walk |only if subzone("Stoutlager Inn")
Enter the building |goto 36.63,48.52 < 10 |walk
talk Ghak Healtouch##1470
|tip Inside the building.
turnin Badlands Reagent Run##2500 |goto 37.07,49.38
step
talk Prospector Ironband##1344
turnin Murdaloc##739 |goto 65.93,65.62
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Stranglethorn Vale (42-43)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stranglethorn Vale",
condition_suggested=function() return level >= 42 and level <= 43 and not completedq(607) end,
next="Leveling Guides\\Swamp of Sorrows (43-43)",
hardcore = true,
},[[
step
Enter the building |goto Stormwind City 50.94,57.84 < 7 |walk
talk Frederick Stover##1298
buy Massive Longbow##11307 |n
|tip If you can afford it.
|tip It's a limited supply item, so it may not be for sale.
|tip You can't use it until level 42, but it's good to have waiting to use, and you can only buy it in Stormwind City and Ironforge.
|tip We will check vendors for it along the way, if it's not here right now.
|tip If you have better, skip this step.
Visit the Vendor |vendor Frederick Stover##1298 |goto Stormwind City 49.98,57.64 |q 1363 |future
|only if Hunter and itemcount(11307) == 0
step
talk Jasper Fel##1325
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Jasper Fel##1325 |goto Stormwind City/0 78.32,58.97 |q 669
|only if Rogue
step
Enter the building |goto Stormwind City 55.29,68.12 < 10 |walk
talk Olivia Burnside##2455
|tip Inside the building.
|tip Collect these items from the bank.
collect Sample Elven Gem##4502 |goto Stormwind City 57.66,72.78 |q 669
collect Kravel's Scheme##5826 |goto Stormwind City 57.66,72.78 |q 1118
step
Enter the building |goto 41.16,63.63 < 10 |walk
talk Mazen Mac'Nadir##338
|tip Inside the building.
accept Mazen's Behest##1363 |goto 41.52,64.38
step
talk Acolyte Dellis##5386
|tip Upstairs inside the building.
turnin Mazen's Behest##1363 |goto 40.97,63.83
accept Mazen's Behest##1364 |goto 40.97,63.83
step
Run up the ramp and enter the building |goto 39.32,81.50 < 10 |only if walking
talk High Sorcerer Andromath##5694
|tip Upstairs inside the building.
accept Vital Supplies##1477 |goto 37.52,81.67
step
talk Kebok##737
|tip Upstairs inside the building, on the top floor.
accept Skullsplitter Tusks##209 |goto Stranglethorn Vale 27.00,77.13
step
talk Fleet Master Seahorn##2487
|tip Upstairs on the balcony of the building, on the top floor.
turnin Sunken Treasure##669 |goto 27.17,77.01
step
Enter the building |goto 27.08,77.62 < 7 |walk |only if not subzone("The Salty Sailor Tavern")
talk Crank Fizzlebub##2498
|tip Inside the building, on the bottom floor.
turnin Back to Booty Bay##1118 |goto 27.12,77.21
step
Watch the dialogue
talk Crank Fizzlebub##2498
|tip Inside the building, on the bottom floor.
accept Venture Company Mining##600 |goto 27.12,77.21
step
talk Innkeeper Skindle##6807
|tip Inside the building, on the bottom floor.
home Booty Bay |goto 27.04,77.31
step
talk Catelyn the Blade##2542
|tip Upstairs inside the building, on the middle floor.
turnin Ansirem's Key##603 |goto 27.28,77.53
accept "Pretty Boy" Duncan##610 |goto 27.28,77.53
step
Enter the building |goto 27.64,77.09 < 7 |walk
talk "Sea Wolf" MacKinley##2501
|tip Inside the building.
accept Scaring Shaky##606 |goto 27.78,77.07
step
Run up the ramp and cross the bridge |goto 28.16,76.54 < 10 |only if walking
Enter the building |goto 28.21,77.32 < 7 |walk
talk Drizzlik##2495
|tip Inside the building.
accept Excelsior##628 |goto 28.29,77.59
step
talk First Mate Crazz##2490
accept The Bloodsail Buccaneers##595 |goto 28.10,76.22
step
Enter the tunnel to leave Booty Bay |goto 28.00,73.46 < 15 |only if walking and subzone("Booty Bay")
kill "Pretty Boy" Duncan##2545
|tip Watch for respawns while you make you way here.	|only if hardcore
|tip Enemies tend to be bunched up at the camp.		|only if hardcore
collect Catelyn's Blade##4027 |q 610/1 |goto 27.38,69.41
step
click Bloodsail Correspondence##2083
turnin The Bloodsail Buccaneers##595 |goto 27.28,69.52
accept The Bloodsail Buccaneers##597 |goto 27.28,69.52
step
Enter the tunnel to enter Booty Bay |goto 29.56,72.51 < 15 |only if walking and not subzone("Booty Bay")
talk First Mate Crazz##2490
turnin The Bloodsail Buccaneers##597 |goto 28.10,76.21
accept The Bloodsail Buccaneers##599 |goto 28.10,76.21
step
Enter the building |goto 27.08,77.62 < 7 |walk
talk Catelyn the Blade##2542
|tip Upstairs inside the building, on the middle floor.
turnin "Pretty Boy" Duncan##610 |goto 27.28,77.53
accept The Curse of the Tides##611 |goto 27.28,77.53
step
talk Fleet Master Seahorn##2487
|tip Upstairs on the balcony of the building, on the top floor.
turnin The Bloodsail Buccaneers##599 |goto 27.17,77.01
step
Enter the tunnel to leave Booty Bay |goto 28.00,73.46 < 15 |only if walking and subzone("Booty Bay")
kill Elder Mistvale Gorilla##1557+
collect 5 Mistvale Giblets##3919 |q 606/1 |goto 31.72,67.03
You can find more around: |notinsticky
[33.79,64.66]
[32.18,59.97]
step
Follow the road to this location and follow the path |goto 38.57,40.68 < 100 |only if walking
kill 10 Jungle Stalker##687 |q 196/1 |goto 33.70,38.83
|tip Be careful to avoid Tethis.
|tip He looks like a level 43 elite blue raptor that walks around this area.
You can find more around: |notinsticky
[31.79,41.74]
[28.91,44.29]
[27.19,49.65]
step
Kill Venture Co. enemies around this area
|tip This area is dangerous.						|only if hardcore
|tip Venture Co. Tinkerers are ranged attackers that deal heavy damage.	|only if hardcore
|tip They also  may summon a companion to fight at their side.		|only if hardcore
|tip Enemies may run away in fear at low health here.			|only if hardcore
collect 10 Singing Blue Crystal##3917 |q 600/1 |goto 41.22,43.95
stickystart "Collect_Skullsplitter_Tusks"
step
Kill Skullspliter enemies around this area
|tip Only the Mystics and Witch Doctors will drop these.
|tip Watch for patrols and respawns while here.					|only if hardcore |notinsticky
|tip Skullsplitter Mystics are ranged attackers that may heal at low health.	|only if hardcore |notinsticky
|tip Enemies tend to bunch together.						|only if hardcore |notinsticky
|tip Enemies around here may run away in fear when at low health.		|only if hardcore |notinsticky
collect 4 Skullsplitter Fetish##2466 |q 205/1 |goto 42.69,36.60
You can find more around: |notinsticky
[45.93,32.79]
[47.39,39.42]
[45.33,42.07]
step
label "Collect_Skullsplitter_Tusks"
Kill Skullspliter enemies around this area
|tip Watch for patrols and respawns while here.					|only if hardcore |notinsticky
|tip Skullsplitter Mystics are ranged attacks that may heal at low health.	|only if hardcore |notinsticky
|tip Enemies tend to bunch together.						|only if hardcore |notinsticky
|tip Enemies around here may run away in fear when at low health.		|only if hardcore |notinsticky
collect 18 Skullsplitter Tusk##1524 |q 209/1 |goto 42.69,36.60
You can find more around: |notinsticky
[45.93,32.79]
[47.39,39.42]
[45.33,42.07]
step
Follow the path up into the Rebel Camp |goto 39.04,5.15 < 30 |only if walking and not subzone("Rebel Camp")
talk Brother Nimetz##739
turnin Troll Witchery##205 |goto 37.83,3.56
step
Leave the Rebel Camp |goto 39.28,5.59 < 40 |only if walking and subzone("Rebel Camp")
talk Sir S. J. Erlgadin##718
accept Panther Mastery##193 |goto 35.55,10.55
|only if hardcore
step
talk Hemet Nesingwary##715
turnin Raptor Mastery##196 |goto 35.66,10.81
accept Raptor Mastery##197 |goto 35.66,10.81 |only if hardcore
step
kill Elder Saltwater Crocolisk##2635
|tip They are level 38 elites, but you should be able to kill one at this level.
|tip They share spawns with Saltwater Crocolisks, so kill those also, if you can't find any.
|tip If you have trouble, try to find someone to help you.
collect Elder Crocolisk Skin##4105 |q 628/1 |goto 29.86,25.63
Also check around: |notinsticky
[29.29,22.16]
[25.39,19.18]
step
_NOTE:_
Incoming Underwater Quest
|tip The quest has you going underwater in an area surrounded by elites.
|tip While it is easy to avoid them, they may still aggro.
|tip You may want to skip this quest if you don't have a potion of water breathing to use for it.
|tip If you do skip the next step, you will need to grind 3,150 xp to make up for it.
Click Here to Continue |confirm |q 611 |future
step
click Altar of the Tides##2576
|tip It's important to pay attention to your breath during this step.
|tip It looks like a stone table underwater.
|tip Try to swim down directly on top of the stone table to avoid aggroing the elite murlocs nearby.
|tip If you can't do it without aggroing any murlocs, you should be able to kill them one at a time at this level.
|tip If you have trouble, try to find someone to help you, or skip the quest and abandon it.
kill Gazban##2624
|tip He looks like a level 40 (non-elite) goblin that appears after you click the altar.
|tip Try to pull him away to fight him on the surface of the water, away from the elite murlocs.
collect Stone of the Tides##4034 |q 611/1 |goto 24.96,23.58
step
talk Crank Fizzlebub##2498
|tip Inside the building, on the bottom floor.
turnin Venture Company Mining##600 |goto 27.12,77.21
step
talk Krazek##773
|tip Upstairs inside the building, on the top floor.
accept Tran'rek##2864 |goto 26.94,77.21
step
talk Kebok##737
|tip Upstairs inside the building, on the top floor.
turnin Skullsplitter Tusks##209 |goto 27.00,77.13
step
talk Baron Revilgaz##2496
|tip Upstairs, on the balcony of the building, on the top floor.
turnin The Curse of the Tides##611 |goto 27.23,76.87
step
Run up the ramp and cross the bridge |goto 28.15,76.52 < 10 |only if walking
Enter the building |goto 28.21,77.33 < 7 |walk
talk Drizzlik##2495
|tip Inside the building.
turnin Excelsior##628 |goto 28.29,77.59
step
Enter the building |goto Stranglethorn Vale 28.11,75.00 < 10 |walk
talk Haren Kanmae##2839
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 8-10 extra stacks.
|tip You are about to have a long grind.
Visit the Vendor |vendor Haren Kanmae##2839 |goto Stranglethorn Vale 28.31,74.56 |q 606
|only if Hunter
step
talk "Shaky" Phillipe##2502
turnin Scaring Shaky##606 |goto Stranglethorn Vale 26.90,73.59
accept Return to MacKinley##607 |goto Stranglethorn Vale 26.90,73.59
step
Enter the tunnel to leave Booty Bay |goto 28.00,73.46 < 15 |only if walking and subzone("Booty Bay")
Kill enemies around this area
|tip This is a bit longer grind, but grinding some now will reduce the amount you have to grind all at once later.
|tip The next few levels will have a lot of grinding in them, so if you prefer, you could run dungeons to get to level 47, and then you shouldn't need to grind.
ding 43 |goto 31.72,67.03
You can find more around: |notinsticky
[33.79,64.66]
[32.18,59.97]
step
Enter the tunnel to enter Booty Bay |goto 29.56,72.51 < 15 |only if walking and not subzone("Booty Bay")
Enter the building |goto 27.64,77.09 < 7 |walk
talk "Sea Wolf" MacKinley##2501
|tip Inside the building.
turnin Return to MacKinley##607 |goto 27.78,77.07
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Swamp of Sorrows (43-43)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stranglethorn Vale",
condition_suggested=function() return level == 43 and not completedq(1395) end,
next="Leveling Guides\\Tanaris (43-44)",
hardcore = true,
},[[
step
talk Malissa##3135
|tip Walking around here.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
|tip Buy enough your journey to Tanaris.
Visit the Vendor |vendor Malissa##3135 |goto Duskwood 79.44,44.44 |q 1477
|only if Rogue
step
talk Watchmaster Sorigal##5464
turnin Vital Supplies##1477 |goto Duskwood 75.77,46.15
step
Cross the bridge and follow the road |goto Deadwind Pass 41.83,34.69 < 30 |only if walking and not zone("Swamp of Sorrows")
Follow the road into Swamp of Sorrows |goto Deadwind Pass 52.29,43.58 < 40 |only if walking and not zone("Swamp of Sorrows")
Enter Misty Valley |goto Swamp of Sorrows 18.23,43.64 < 70 |only if walking and not subzone("Misty Valley")
Kill enemies around this area
|tip They look like swamp elementals.
collect Khadgar's Essays on Dimensional Convergence##6065 |q 1364/1 |goto Swamp of Sorrows 13.02,35.77
step
Leave Misty Valley |goto Swamp of Sorrows 18.23,43.64 < 70 |only if walking and subzone("Misty Valley")
talk Watcher Biggs##5476
accept Driftwood##1398 |goto 26.74,59.83
stickystart "Collect_Pristine_Crawler_Legs"
step
click Sundried Driftwood##24798+
|tip They look like wooden logs on the ground around this area.
|tip You can find them along this entire coast.
|tip Avoid Stonard as you travel here.					|only if not subzone("Misty Reed Strand")
|tip Murlocs at the Misty Reed Strand may run away in fear when at low health.	|only if hardcore
collect 8 Sundried Driftwood##6146 |q 1398/1 |goto 92.69,66.61
You can find more around: |notinsticky
[94.31,56.26]
[87.05,79.49]
[82.89,91.19]
step
label "Collect_Pristine_Crawler_Legs"
Kill Crawler enemies around this area
|tip They look like crabs.
|tip Silt Crawlers have a higher drop rate than Monstrous Crawlers.
|tip You can find more in the water along the shore.
|tip Avoid Stonard as you travel here. |notinsticky			|only if not subzone("Misty Reed Strand")
|tip Murlocs at the Misty Reed Strand may run away in fear when at low health.	|only if hardcore |notinsticky
collect 12 Pristine Crawler Leg##5938 |q 1258/1 |goto 84.82,85.11
You can find more around: |notinsticky
[87.37,78.50]
[94.25,58.94]
[94.49,45.41]
[90.25,26.39]
[81.33,10.31]
step
talk Watcher Biggs##5476
|tip Avoid Stonard as you travel here.
turnin Driftwood##1398 |goto 26.74,59.83
accept Deliver the Shipment##1425 |goto 26.74,59.83
step
Follow the path |goto Blasted Lands 53.29,12.23 < 40 |only if walking and not subzone("Nethergarde Keep")
Enter Nethergarde Keep |goto Blasted Lands 62.61,19.83 < 30 |only if walking
Enter the building |goto Blasted Lands 66.38,18.99 < 10 |walk
talk Watcher Mahar Ba##5385
|tip Inside the tower, at the top.
turnin Mazen's Behest##1364 |goto Blasted Lands 67.65,19.16
step
Leave the building |goto 66.38,18.99 < 10 |walk |only if subzone("Nethergarde Keep") and _G.IsIndoors()
talk Quartermaster Lungertz##5393
turnin Deliver the Shipment##1425 |goto 66.52,21.38
step
talk Alexandra Constantine##8609
|tip On top of the wooden platform, outside behind the building.
fpath Nethergarde Keep |goto 65.54,24.33
step
talk Watchmaster Sorigal##5464
|tip This quest is timed, so we will accept it now and quickly fly back to Nethergarde Keep to turn it in.
accept Supplies for Nethergarde##1395 |goto Duskwood 75.77,46.15
step
talk Quartermaster Lungertz##5393
turnin Supplies for Nethergarde##1395 |goto Blasted Lands 66.52,21.38
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Tanaris (43-44)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Tanaris",
condition_suggested=function() return level >= 43 and level <= 44 and not completedq(1707) end,
next="Leveling Guides\\Stranglethorn Vale (44-45)",
hardcore = true,
},[[
step
Enter the building |goto Stranglethorn Vale 27.64,77.09 < 7 |walk
talk "Sea Wolf" MacKinley##2501
|tip Inside the building.
accept Stoley's Debt##2872 |goto Stranglethorn Vale  27.78,77.07
step
Enter the building |goto Dustwallow Marsh 66.00,45.20 < 10 |walk
talk Morgan Stern##4794
|tip Inside the building.
turnin ... and Bugs##1258 |goto Dustwallow Marsh 66.34,45.47
step
Enter the building |goto Tanaris 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Collect these items from the bank.
collect Seaforium Booster##5862 |goto Tanaris 52.30,28.91 |q 1188
step
talk Shreev##4708
turnin Safety First##1188 |goto 50.96,27.24
accept Safety First##1189 |goto 50.96,27.24
step
talk Tran'rek##7876
turnin Tran'rek##2864 |goto 51.57,26.76
step
talk Fizzle Brassbolts##4454
turnin News for Fizzle##1137 |goto Thousand Needles 78.06,77.13
step
talk Razzeric##4706
turnin Safety First##1189 |goto 80.33,76.09
step
talk Pozzik##4630
accept Keeping Pace##1190 |goto 80.18,75.88
|tip You must have completed "Salt Flat Venom" and "Hardened Shells" from the "Thousand Needles (33-34)" guide.
|tip This also requires completing "Martek the Exiled" and "Indurium" from the "Desolace (40-41)" and Badlands (41-42) guides.
step
talk Zamek##4709
|tip Click "Complete Quest" to complete "Zamek's Distraction".
Click Here After Completing Zamek's Distraction |confirm |goto 79.81,77.02 |q 1190
step
Enter the building |goto 77.52,77.60 < 10 |walk
click Rizzle's Unguarded Plans##20805
|tip Inside the building.
|tip Wait for Rizzle Brassbolts to run out of the building.
turnin Keeping Pace##1190 |goto 77.22,77.42
accept Rizzle's Schematics##1194 |goto 77.22,77.42
step
talk Pozzik##4630
turnin Rizzle's Schematics##1194 |goto 80.18,75.88
step
_Destroy This Item:_
|tip It is no longer needed.
trash Sample of Indurium Ore##5866
step
talk Spigot Operator Luglunket##7408
accept Water Pouch Bounty##1707 |goto Tanaris 52.48,28.44
step
talk Chief Engineer Bilgewhizzle##7407
accept Wastewander Justice##1690 |goto 52.46,28.51
step
talk Senior Surveyor Fizzledowser##7724
accept Gadgetzan Water Survey##992 |goto 50.21,27.48
|only if not hardcore
step
Kill Roc enemies around this area
|tip They look like red birds.
|tip Skip this step if you run out of birds to kill at this location.
|tip You will finish the quest later.
collect 3 Roc Gizzard##6257 |q 1452/1 |goto 49.47,35.83
step
use the Untapped Dowsing Widget##8584
|tip Avoid the elite enemies nearby this location while traveling here.
|tip Use it in the water.
|tip Once you get the Tapped Dowsing Widget, run away to safety immediately.
|tip Multiple higher level enemies appear after using the item.
collect Tapped Dowsing Widget##8585 |q 992/1 |goto 39.09,29.17
|only if not hardcore
step
talk Senior Surveyor Fizzledowser##7724
turnin Gadgetzan Water Survey##992 |goto 50.21,27.48
|only if not hardcore
stickystart "Collect_Wastewander_Water_Pouches"
stickystart "Kill_Wastewander_Bandits"
stickystart "Kill_Wastewander_Thives"
step
talk Yeh'kinya##8579
accept Screecher Spirits##3520 |goto 66.99,22.36
stickystop "Collect_Wastewander_Water_Pouches"
stickystop "Kill_Wastewander_Bandits"
stickystop "Kill_Wastewander_Thives"
step
Enter the building |goto 66.99,23.87 < 10 |walk
talk Stoley##7881
|tip Inside the building.
turnin Stoley's Debt##2872 |goto 67.11,23.98
stickystart "Kill_Wastewander_Bandits"
stickystart "Kill_Wastewander_Thives"
step
label "Collect_Wastewander_Water_Pouches"
Kill Wastewander enemies around this area
collect 10 Wastewander Water Pouch##8483 |goto 59.82,24.34
|tip Be careful not to accidentally sell these to a vendor.
|tip You are gathering extra of these, so you can turn in multiple quests at the same time.
You can find more around [63.51,30.31]
|only if haveq(1707) or haveq(379)
step
label "Kill_Wastewander_Bandits"
kill 10 Wastewander Bandit##5618 |q 1690/1 |goto 59.82,24.34
|tip They may run away in fear at low health.	|only if hardcore |notinsticky
You can find more around [63.51,30.31]
step
label "Kill_Wastewander_Thives"
kill 10 Wastewander Thief##5616 |q 1690/2 |goto 59.82,24.34
|tip They may run away in fear at low health.	|only if hardcore |notinsticky
You can find more around [63.51,30.31]
step
Kill Roc enemies around this area
|tip They look like red birds.
|tip They share spawn points with hyenas, so kill those too, if you can't find any.
collect 3 Roc Gizzard##6257 |q 1452/1 |goto 49.47,35.83
step
talk Chief Engineer Bilgewhizzle##7407
turnin Wastewander Justice##1690 |goto 52.46,28.51
step
talk Spigot Operator Luglunket##7408
turnin Water Pouch Bounty##1707 |goto 52.48,28.44
step
_Destroy This Item:_
|tip It is no longer needed.
|tip You can loot it to destroy it.
trash Gadgetzan Water Co. Care Package##8484
step
Enter the building |goto 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Deposit these items into the bank.
bank Yeh'kinya's Bramble##10699 |goto 52.30,28.91 |q 3520 |future
bank Roc Gizzard##6257 |goto 52.30,28.91 |q 1452 |future
|tip You should have 3 of these.
step
Kill Wastewander enemies around this area
|tip You are about to have to complete some difficult quests in Stranglethorn Vale soon, so this level and the next level will have a lot of grinding to get you to level 45, to make the quests more manageable.
|tip Alternatively, you could run some dungeons instead, if you prefer.				|only if not hardcore
|tip If you choose to grind, on the bright side, you'll be increasing your rep with Gadgetzan.
|tip Wastelander Rogues may be stealthed.						|only if hardcore
|tip Wastelander Shadow Mages are ranged attackers with a minion that must be killed.	|only if hardcore
|tip Watch for patrols and respawns while around here.					|only if hardcore
collect Wastewander Water Pouch##8483+ |n
|tip You can turn in stacks of 5 water pouches in Gadgetzan for 380 xp.
|tip Collect enough stacks of them so that when you turn them in after grinding, you will hit level 44.
|tip If you need to sell items while grinding, kill enemies as you walk to and from Gadgetzan.
ding 44 |goto 62.72,36.93
You can find more around:
[60.32,37.26]
[63.92,29.67]
[61.06,32.82]
[63.51,32.92]
Turn the Water Pouches in at [52.49,28.45]
You can sell items in Gadgetzan at [51.46,28.81]
You can buy arrows at [67.01,21.99]
step
Enter the building |goto 52.38,27.91 < 10 |walk
talk Innkeeper Fizzgrimble##7733
|tip Inside the building.
home Gadgetzan |goto 52.51,27.92
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Stranglethorn Vale (44-45)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stranglethorn Vale",
condition_suggested=function() return level >= 44 and level <= 45 and not completedq(1122) end,
next="Leveling Guides\\Feralas (45-48)",
hardcore = true,
},[[
step
talk Jasper Fel##1325
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Jasper Fel##1325 |goto Stormwind City/0 78.32,58.97 |q 609 |future
|only if Rogue
step
Enter the building |goto Stranglethorn Vale 27.64,77.09 < 7 |walk
talk "Sea Wolf" MacKinley##2501
|tip Inside the building.
accept Voodoo Dues##609 |goto Stranglethorn Vale 27.78,77.07
step
Enter the building |goto 27.08,77.62 < 7 |walk
talk Whiskey Slim##2491
|tip Inside the building, on the bottom floor.
accept Whiskey Slim's Lost Grog##580 |goto 27.13,77.45
step
talk Crank Fizzlebub##2498
|tip Inside the building, on the bottom floor.
accept Zanzil's Secret##621 |goto 27.12,77.21
step
talk Deeg##2488
|tip Upstairs inside the building, on the top floor.
accept Up to Snuff##587 |goto 26.92,77.35
step
talk Fleet Master Seahorn##2487
|tip Upstairs on the balcony of the building, on the top floor.
accept The Bloodsail Buccaneers##604 |goto 27.17,77.01
step
talk Privateer Bloads##2494
|tip He walks around this area.
accept Akiris by the Bundle##617 |goto 26.76,76.38
He sometimes walks to [27.43,76.78]
step
Run up the ramp and follow the path |goto 28.07,76.49 < 10 |only if walking
talk Dizzy One-Eye##2493
|tip Outside, next to the building.
accept Keep An Eye Out##576 |goto 28.59,75.90
stickystart "Collect_Snuff"
stickystart "Collect_Dizzys_Eye"
stickystart "Kill_Bloodsail_Swashbucklers"
step
Enter the tunnel to leave Booty Bay |goto 28.00,73.46 < 15 |only if walking and subzone("Booty Bay")
Follow the path |goto 32.89,73.75 < 40 |only if walking and not subzone("Wild Shore")
click Bloodsail Charts##2086
|tip It looks like a brown piece of paper.
|tip It can spawn on any of the objects in these 2 small camps.
collect Bloodsail Charts##3920 |q 604/2 |goto 29.59,80.83
Also check around: |notinsticky
[27.15,82.69]
[27.74,83.13]
step
click Bloodsail Orders##2087
|tip It looks like a white unrolled scroll.
|tip It can spawn on any of the objects in these 2 small camps.
|tip Enemies tend to bunch together around here.				|only if hardcore |notinsticky
|tip Bloodsail Warlocks are ranged attackers with pets that deal heavy damage.	|only if hardcore |notinsticky
collect Bloodsail Orders##3921 |q 604/3 |goto 29.59,80.80
Also check around: |notinsticky
[27.18,82.66]
[27.74,83.13]
step
label "Collect_Snuff"
Kill Bloodsail enemies around this area
|tip Enemies tend to bunch together around here.				|only if hardcore |notinsticky
|tip Bloodsail Warlocks are ranged attackers with pets that deal heavy damage.	|only if hardcore |notinsticky
collect 15 Snuff##3910 |q 587/1 |goto 27.07,82.90
You can find more around: |notinsticky
[29.78,81.38]
[32.96,73.85]
step
label "Collect_Dizzys_Eye"
Kill Bloodsail enemies around this area
|tip Enemies tend to bunch together around here.				|only if hardcore |notinsticky
|tip Bloodsail Warlocks are ranged attackers with pets that deal heavy damage.	|only if hardcore |notinsticky
collect Dizzy's Eye##3897 |q 576/1 |goto 27.07,82.90
You can find more around: |notinsticky
[29.78,81.38]
[32.96,73.85]
step
label "Kill_Bloodsail_Swashbucklers"
kill 10 Bloodsail Swashbuckler##1563 |q 604/1 |goto 27.07,82.90
|tip Enemies tend to bunch together around here.				|only if hardcore |notinsticky
|tip Bloodsail Warlocks are ranged attackers with pets that deal heavy damage.	|only if hardcore |notinsticky
You can find more around: |notinsticky
[29.78,81.38]
[32.96,73.85]
step
Follow the path |goto 32.75,73.68 < 40 |only if walking and subzone("Wild Shore")
Enter the tunnel to enter Booty Bay |goto 29.56,72.51 < 15 |only if walking and not subzone("Booty Bay")
talk Dizzy One-Eye##2493
|tip Outside, next to the building.
turnin Keep An Eye Out##576 |goto 28.59,75.90
step
Enter the building |goto 27.08,77.62 < 7 |walk |only if not subzone("The Salty Sailor Tavern")
talk Innkeeper Skindle##6807
|tip Inside the building, on the bottom floor.
home Booty Bay |goto 27.04,77.31
step
talk Deeg##2488
|tip Upstairs inside the building, on the top floor.
turnin Up to Snuff##587 |goto 26.92,77.35
step
talk Fleet Master Seahorn##2487
|tip Upstairs on the balcony of the building.
turnin The Bloodsail Buccaneers##604 |goto 27.17,77.01
accept The Bloodsail Buccaneers##608 |goto 27.17,77.01 |only if not hardcore
step
Enter the tunnel to leave Booty Bay |goto 28.00,73.46 < 15 |only if walking and subzone("Booty Bay")
kill Naga Explorer##1907+
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect 10 Akiris Reed##4029 |q 617/1 |goto 27.88,62.75
You can find more around: |notinsticky
[27.00,63.02]
[25.43,62.88]
[26.04,60.45]
stickystart "Collect_Zanzils_Mixture"
step
Cross the bridge |goto 27.20,58.95 < 20 |only if walking and subzone("Southern Savage Coast")
kill Jon-Jon the Crow##2536
|tip There may be 2 adds around him that will pull if you attack him.	|only if hardcore
|tip Clear the area before attempting to kill.				|only if hardcore
collect Jon-Jon's Golden Spyglass##3925 |q 609/2 |goto 34.93,51.85
step
kill Maury "Club Foot" Wilkins##2535
|tip There may be 2 adds around him that will pull if you attack him.	|only if hardcore
|tip Clear the area before attempting to kill.				|only if hardcore
collect Maury's Clubbed Foot##3924 |q 609/1 |goto 35.25,51.26
step
Follow the path |goto 33.73,53.77 < 30 |only if walking and not subzone("Ruins of Aboraz")
kill Chucky "Ten Thumbs"##2537
collect Chucky's Huge Ring##3926 |q 609/3 |goto 40.00,58.24
step
label "Collect_Zanzils_Mixture"
Kill Zanzil enemies around this area
|tip Be careful to not attack Zanzil the Outcast in the ruins.	|only if subzone("Ruins of Aboraz")
|tip He summons a lot of enemies.				|only if subzone("Ruins of Aboraz")
collect 12 Zanzil's Mixture##4016 |q 621/1 |goto 40.00,58.24
You can find more around [34.12,51.96]
step
Follow the path back to the road |goto 37.84,56.28 < 20 |only if walking and subzone("Ruins of Aboraz")
Follow the road to this location and follow the path |goto 38.57,40.68 < 100 |only if walking
kill Tethis##730
|tip He looks like a blue raptor that walks around this area.
|tip Be sure to clear non-elite enemies nearby before pulling.
|tip He is a level 43 elite, but you should be able to kill him at this level.
|tip If you have trouble, try to find someone to help you.
|tip If you don't want to risk trying to kill him, skip the quest and abandon "Raptor Mastery". |only if hardcore
collect Talon of Tethis##3877 |q 197/1 |goto 32.22,40.89
You can also find him around: |notinsticky
[31.17,43.40]
[28.74,44.84]
step
kill Bhag'thera##728
|tip He looks like an unstealthed black panther.
|tip Be sure to clear non-elite enemies nearby before pulling.
|tip He is a level 40 elite, so you should be able to kill him pretty easily.
|tip If you have trouble, try to find someone to help you.
|tip He can spawn in multiple locations.
|tip If you don't want to risk trying to kill him, skip the quest and abandon "Panther Mastery". |only if hardcore
collect Fang of Bhag'thera##3876 |q 193/1 |goto 46.37,29.05
Cross this tree bridge to get to the other locations: [48.92,28.04]
You can also find him around: |notinsticky
[49.60,24.03]
[48.99,20.20]
step
talk Hemet Nesingwary##715
turnin Raptor Mastery##197 |goto 35.66,10.81
step
talk Sir S. J. Erlgadin##718
turnin Panther Mastery##193 |goto 35.55,10.55
step
talk Crank Fizzlebub##2498
|tip Inside the building, on the bottom floor.
turnin Zanzil's Secret##621 |goto 27.12,77.21
step
talk Privateer Bloads##2494
|tip He walks around this area.
turnin Akiris by the Bundle##617 |goto 26.76,76.38
accept Akiris by the Bundle##623 |goto 26.76,76.38
He sometimes walks to [27.43,76.78]
step
Enter the building |goto 27.64,77.09 < 7 |walk
talk "Sea Wolf" MacKinley##2501
|tip Inside the building.
turnin Voodoo Dues##609 |goto 27.78,77.07
step
Enter the building |goto Stranglethorn Vale 28.10,75.00 < 15 |walk
talk Haren Kanmae##2839
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 10-12 extra stacks.
|tip You are around to have a long grind.
Visit the Vendor |vendor Haren Kanmae##2839 |goto Stranglethorn Vale 28.31,74.56 |q 623
|only if Hunter
step
Enter the tunnel to leave Booty Bay |goto Stranglethorn Vale 28.00,73.46 < 15 |only if walking and subzone("Booty Bay")
Kill enemies around this area
|tip This is a longer grind, but you are about to have to complete some difficult quests on the boats south of Booty Bay, so being a level higher will help. |only if not hardcore
|tip Grinding now will also reduce the amount you have to grind all at once later.
|tip Alternatively, you could run a dungeon, if you prefer.
ding 45 |goto Stranglethorn Vale 31.72,67.03
You can find more around: |notinsticky
[Stranglethorn Vale 33.79,64.66]
[Stranglethorn Vale 32.18,59.97]
step
Enter the tunnel to enter Booty Bay |goto 29.56,72.51 < 15 |only if walking
Enter Booty Bay |complete subzone("Booty Bay") |goto 24.70,75.54 |q 1119 |future
|only if not subzone("Booty Bay")
step
Swim out of Booty Bay |goto 24.70,75.54 < 40 |only if walking and subzone("Booty Bay")
Run up the ramp to board the ship |goto 29.89,89.33 < 10 |only if walking
kill Captain Keelhaul##2548 |q 608/2 |goto 29.20,88.34
|tip He walks around this area, downstairs inside the ship.
|tip On the middle floor.
|tip If you have trouble, try to find someone to help you.
|only if not hardcore
step
click Cortello's Riddle##2554
|tip It looks like a white rolled up scroll.
|tip It can spawn in multiple locations on any floor downstairs inside the ship.
collect Cortello's Riddle##4056 |goto 29.20,88.60 |q 624 |future |or
|tip
Click Here if the Scroll is Not On This Ship |confirm |or
|only if not (haveq(624) or completedq(624)) and not hardcore
step
Run up the ramp to board the ship |goto 30.17,89.43 < 10 |only if walking
kill Fleet Master Firallon##2546 |q 608/3 |goto 30.58,90.64
|tip Downstairs inside the ship.
|tip On the middle floor.
|tip He's level 48, but you should be able to kill him at this level.
|tip If you have trouble, try to find someone to help you.
|only if not hardcore
step
click Cortello's Riddle
|tip It looks like a white rolled up scroll.
|tip It can spawn in multiple locations on any floor downstairs inside the ship.
collect Cortello's Riddle##4056 |goto 30.64,90.17 |q 624 |future |or
|tip
Click Here if the Scroll is Not On This Ship |confirm |or
|only if not (haveq(624) or completedq(624)) and not hardcore
step
Run up the ramp to board the ship |goto 33.66,87.48 < 10 |only if walking
kill Captain Stillwater##2550 |q 608/1 |goto 32.87,88.20
|tip Downstairs inside the ship.
|tip On the middle floor.
|tip If you have trouble, try to find someone to help you.
|only if not hardcore
step
click Cortello's Riddle
|tip It looks like a white rolled up scroll.
|tip It can spawn in multiple locations on any floor downstairs inside the ship.
collect Cortello's Riddle##4056 |goto 33.39,88.17 |q 624 |future
|tip If you still can't find it, skip the quest.
|only if not (haveq(624) or completedq(624)) and not hardcore
step
use Cortello's Riddle##4056
accept Cortello's Riddle##624
|only if not hardcore
step
use the Hearthstone##6948
Hearth to Booty Bay |goto 27.07,77.28 < 30 |noway |c |q 608
|only if subzone("Wild Shore")
step
_WARNING:_
|tip Do NOT accept the quest in the next step, if you are not planning to continue for at least 1 hour more.
|tip The quest has a time limit of 2 hours to complete, and it continues counting down even when you're logged out.
|tip You will turn the quest in fairly soon, so you shouldn't need the full 2 hours.
Click Here to Continue |confirm |q 1119 |future
step
talk Crank Fizzlebub##2498
|tip Inside the building, on the bottom floor.
accept Zanzil's Mixture and a Fool's Stout##1119 |goto 27.12,77.21
step
talk Fleet Master Seahorn##2487
|tip Upstairs, on the balcony of the building.
turnin The Bloodsail Buccaneers##608 |goto 27.17,77.00
|only if not hardcore
step
click A Soggy Scroll##2553
|tip Underwater, under the bridge.
turnin Cortello's Riddle##624 |goto Swamp of Sorrows 22.86,48.19
accept Cortello's Riddle##625 |goto Swamp of Sorrows 22.86,48.19
|only if not hardcore
step
talk Privateer Groy##2616
|tip He walks around this area.
turnin Akiris by the Bundle##623 |goto Dustwallow Marsh 68.84,53.22
Also check around [Dustwallow Marsh 68.02,51.44]
step
Enter the cave |goto 31.71,65.74 < 15 |walk
click Musty Scroll##2555
|tip Inside the cave.
turnin Cortello's Riddle##625 |goto 31.10,66.15
accept Cortello's Riddle##626 |goto 31.10,66.15
|only if not hardcore
step
talk Kravel Koalbeard##4452
turnin Zanzil's Mixture and a Fool's Stout##1119 |goto Thousand Needles 77.79,77.27
step
Watch the dialogue
talk Kravel Koalbeard##4452
accept Get the Gnomes Drunk##1120 |goto 77.79,77.27
step
talk Gnome Pit Boss##4495
turnin Get the Gnomes Drunk##1120 |goto 77.56,76.94
step
talk Kravel Koalbeard##4452
accept Report Back to Fizzlebub##1122 |goto 77.79,77.27
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Feralas (45-48)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Stranglethorn Vale",
condition_suggested=function() return level >= 45 and level <= 48 and not completedq(4281) end,
next="Leveling Guides\\Tanaris (48-49)",
hardcore = true,
},[[
step
talk Curgle Cranklehop##7763
accept Handle With Care##3022 |goto Tanaris 52.35,26.91
step
Enter the building |goto 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Collect these items from the bank.
collect Yeh'kinya's Bramble##10699 |goto 52.30,28.91 |q 3520
step
talk Gimblethorn##7799
|tip Inside the building.
|tip Deposit these items into the bank.
bank Fool's Stout Report##5807 |goto 52.30,28.91 |q 1122 |future
step
talk Pratt McGrubben##7852
accept The Mark of Quality##2821 |goto Feralas 30.63,42.71
step
talk Innkeeper Shyria##7736
|tip Inside the building.
home Feathermoon Stronghold |goto 30.97,43.49
step
Enter the building |goto 30.77,45.23 < 15 |walk
talk Latronicus Moonspear##7877
|tip Inside the building.
accept The Missing Courier##4124 |goto 30.38,46.17
step
talk Shandris Feathermoon##3936
|tip Inside the building.
accept The Ruins of Solarsal##2866 |goto 30.28,46.17
step
talk Troyas Moonbreeze##7764
|tip Inside the building.
accept In Search of Knowledge##2939 |goto 31.78,45.50
step
talk Angelas Moonbreeze##7900
|tip Inside the building.
accept The High Wilderness##2982 |goto 31.83,45.61
step
talk Ginro Hearthkindle##7880
|tip Upstairs inside the building.
turnin The Missing Courier##4124 |goto 31.86,45.13
accept The Missing Courier##4125 |goto 31.86,45.13
step
click Solarsal Gazebo##142179
|tip You have to be standing inside of it to be able to click it.
turnin The Ruins of Solarsal##2866 |goto 26.32,52.34
accept Return to Feathermoon Stronghold##2867 |goto 26.32,52.34
step
talk Shandris Feathermoon##3936
|tip Inside the building.
turnin Return to Feathermoon Stronghold##2867 |goto 30.28,46.17
accept Against the Hatecrest##3130 |goto 30.28,46.17
step
talk Latronicus Moonspear##7877
|tip Inside the building.
turnin Against the Hatecrest##3130 |goto 30.38,46.17
accept Against the Hatecrest##2869 |goto 30.38,46.17
step
Kill Hatecrest enemies around this area
|tip Hatecrest Screamers's may heal during fighting.	|only if hardcore
|tip Hatecrest Sirens are ranged attackers.		|only if hardcore
|tip Enemies may run away in fear at low health here.	|only if hardcore
collect 10 Hatecrest Naga Scale##9247 |q 2869/1 |goto 28.66,53.05
You can find more around [26.21,51.95]
step
talk Latronicus Moonspear##7877
|tip Inside the building.
turnin Against the Hatecrest##2869 |goto 30.38,46.17
accept Against Lord Shalzaru##2870 |goto 30.38,46.17
step
talk Faralorn##7942
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 15-20 extra stacks.
|tip You have a long grind soon.
Visit the Vendor |vendor Faralorn##7942 |goto Feralas 30.65,43.43 |q 2870
|only if Hunter
step
_NOTE:_
Incoming Cave Step
|tip The cave you're about to be sent into has inconsistent spawn rates.
|tip Over all it's pretty dangerous.
|tip The quest is optional.
|tip If you do skip you will need to grind 6,800 xp.
Click Here to Continue |confirm |q 2870 |future
|only if hardcore
step
Follow the path |goto Feralas 25.48,64.99 < 20 |only if walking
Enter the cave |goto Feralas 26.09,67.26 < 20 |walk
kill Lord Shalzaru##8136
|tip Inside the cave.
|tip This cave is dangerous. |only if hardcore
|tip It's easy to be overwhelmed by patrolling or casting enemies. |only if hardcore
|tip Be mindful while you progress through the cave. |only if hardcore
|tip If you have trouble, try to find someone to help you.
collect Mysterious Relic##9248 |q 2870/1 |goto Feralas 28.49,70.45
stickystart "Accept_Find_OOX_22"
step
Leave the cave |goto 26.09,67.26 < 20 |walk |only if subzone("Shalzaru's Lair")
Kill enemies around this area
|tip You will need to go to higher level zones soon, and there's not enough quests to get you to a high enough level.
|tip We are grinding for a while now, to reduce the amount you have to grind all at once later.
|tip If you prefer, you can run dungeons until you reach level 46.
ding 46 |goto 26.39,54.22
You can buy arrows at [30.65,43.43]				|only if Hunter
|only if hardcore
step
label "Accept_Find_OOX_22"
Leave the cave |goto 26.09,67.26 < 20 |walk |only if subzone("Shalzaru's Lair")
Kill enemies around this area |notinsticky
collect OOX-22/FE Distress Beacon##8705 |n
|tip Any enemy in Feralas can drop this item.
use the OOX-22/FE Distress Beacon##8705
accept Find OOX-22/FE!##2766 |goto 26.09,67.26
step
_NOTE:_
During the Next Step
|tip You will be swimming to a sunken boat on the shore on the other side of the water.
|tip You will get fatigued while swimming and may get very close to dying, if you're not careful.
|tip If you want to be safer while swimming, look at your world map and only swim in the sections of water with lines in it.
|tip Doing this will prevent fatigue, or greatly reduce the amount you experience, making the swim much safer.
Click to Continue |confirm |q 4125
|only if hardcore
step
Leave the cave |goto 26.09,67.26 < 20 |walk |only if subzone("Shalzaru's Lair")
click Wrecked Row Boat##164909
|tip Underwater.
|tip You can ride the boat and follow the coast or swim across. |only if hardcore
|tip Swimming across takes you through a fatigue zone which can be dangerous. |only if hardcore
|tip Use a healing potion when you're low health from the Fatigue from swimming across.
|tip You will make it out of the Fatigue zone shortly after.
|tip Be careful of the elementals and giants near the boat. |only if hardcore
|tip You will be hearthing back to Feathermoon Stronghold after this step is finished.
turnin The Missing Courier##4125 |goto 45.45,64.97
accept Boat Wreckage##4127 |goto 45.45,64.97
step
talk Faralorn##7942
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 6-8 extra stacks.
|tip You will be questing a while.
Visit the Vendor |vendor Faralorn##7942 |goto Feralas 30.65,43.43 |q 2870
|only if Hunter
step
talk Ginro Hearthkindle##7880
|tip Upstairs inside the building.
turnin Boat Wreckage##4127 |goto Feralas 31.86,45.13
accept The Knife Revealed##4129 |goto Feralas 31.86,45.13
step
Enter the building |goto 30.77,45.23 < 15 |walk
talk Latronicus Moonspear##7877
|tip Inside the building.
turnin Against Lord Shalzaru##2870 |goto 30.38,46.17
accept Delivering the Relic##2871 |goto 30.38,46.17
step
talk Vestia Moonspear##7878
|tip Inside the building.
turnin Delivering the Relic##2871 |goto 30.08,45.06
step
Enter the building |goto 32.34,43.69 < 10 |walk
talk Quintis Jonespyre##7879
|tip Upstairs inside the building.
turnin The Knife Revealed##4129 |goto 32.45,43.79
step
Watch the dialogue
talk Quintis Jonespyre##7879
|tip Upstairs inside the building.
accept Psychometric Reading##4130 |goto 32.45,43.79
step
talk Ginro Hearthkindle##7880
|tip Upstairs inside the building.
turnin Psychometric Reading##4130 |goto 31.86,45.13
accept The Woodpaw Gnolls##4131 |goto 31.86,45.13
step
Run onto the dock and ride the boat or swim across the water |goto 31.03,39.92 < 40 |only if walking and subzone("Feathermoon Stronghold")
Kill Screecher enemies around this area
|tip Vale Screechers and Rogue Vale Screechers will count for the quest.
|tip They look like thin flying dragons.
use Yeh'kinya's Bramble##10699
|tip Use it on their corpses.
talk Screecher Spirit##8612+
|tip They appear after using Yeh'kinya's Bramble on the corpses.
Collect #3# Screecher Spirits |q 3520/1 |goto 46.26,40.14
You can find more around: |notinsticky
[45.86,37.59]
[44.46,36.19]
[42.49,36.47]
stickystart "Collect_Thick_Yeti_Hides"
step
Follow the path up |goto 47.11,44.49 < 30 |only if walking and subzone("The Forgotten Coast")
Run through the tunnel |goto 55.15,56.36 < 15 |only if walking
talk Homing Robot OOX-22/FE##7807
|tip This NPC offers an escort quest.
|tip If it's not here, someone may be escorting it.
|tip Wait until it respawns.
turnin Find OOX-22/FE!##2766 |goto 53.35,55.70
|tip You will complete the escort quest later when you're higher level, to make it easier.
step
label "Collect_Thick_Yeti_Hides"
Kill Feral Scar enemies around this area
|tip They look like yetis.
|tip Watch for patrols and respawns while here.	|only if hardcore
collect 10 Thick Yeti Hide##8973 |q 2821/1 |goto 56.20,57.02
You can find more through the tunnel at [55.14,56.36]
step
Follow the path up |goto 54.10,68.24 < 40 |only if walking and not subzone("Frayfeather Highlands")
click Hippogryph Egg##141931
collect Hippogryph Egg##8564 |goto 56.66,75.90 |q 2741 |future
|tip You will use this for a future quest.
|tip Be careful not to accidentally sell this to a vendor.
You can find more around: |notinsticky
[58.49,76.10]
[57.99,76.30]
[58.27,76.72]
[57.30,77.37]
[57.02,78.21]
stickystart "Kill_Gordunni_Warlocks"
step
kill 8 Gordunni Shaman##5236 |q 2982/2 |goto 59.67,66.85
|tip They share spawn points with the other ogres, so kill those too, if you can't find any.
|tip Watch for patrols and respawn while in the area.	|only if hardcore
stickystart "Kill_Gordunni_Brutes"
stickystart "Collect_Ironfur_Livers"
stickystart "Collect_Groddoc_Livers"
step
label "Kill_Gordunni_Warlocks"
kill 8 Gordunni Warlock##5240 |q 2982/1 |goto 59.22,64.15
|tip Watch for patrols and respawn while in the area.	|only if hardcore |notinsticky
You can find more around [61.03,55.64]
step
label "Kill_Gordunni_Brutes"
kill 8 Gordunni Brute##5232 |q 2982/3 |goto 61.00,55.61
|tip Watch for patrols and respawn while in the area.	|only if hardcore |notinsticky
You can find more around [59.28,63.51]
step
label "Collect_Ironfur_Livers"
kill Ironfur Bear##5268+
|tip They look like bears.
collect 3 Ironfur Liver##6258 |q 1452/2 |goto 60.27,60.56
You can find more around: |notinsticky
[58.52,60.59]
[57.74,56.51]
step
label "Collect_Groddoc_Livers"
kill Groddoc Ape##5260+
|tip They look like gorillas.
|tip They share spawn points with Ironfur Bears, so kill those too, if you can't find any.
collect 3 Groddoc Liver##6259 |q 1452/3 |goto 60.27,60.56
You can find more around: |notinsticky
[58.52,60.59]
[57.74,56.51]
step
Cross the bridge and follow the road |goto 63.40,52.43 < 20 |only if walking and not subzone("Grimtotem Compound")
Kill enemies around this area
|tip Clear the area around the large cage, to make the next step easier.
Click Here After You Clear the Enemies |confirm |goto 66.69,46.57 |q 2969 |future
step
Follow the path up |goto 65.66,46.77 < 10 |only if walking
talk Kindal Moonweaver##7956
accept Freedom for All Creatures##2969 |goto 65.94,45.65
step
click Cage Door
|tip Follow the Captured Sprite Darters and protect them.
|tip You have to make sure at least 6 of them survive.
|tip HURRY!  You must complete the quest and turn it in before the timer ends.
|tip Watch for patrols and respawn while in the area.	|only if hardcore
Save at Least 6 Sprite Darters from Capture |q 2969/1 |goto 66.67,46.75
step
Follow the path up |goto 65.66,46.77 < 10 |only if walking
talk Kindal Moonweaver##7956
|tip HURRY!  You must turn it in before the timer ends.
turnin Freedom for All Creatures##2969 |goto 65.94,45.65
step
talk Jer'kai Moonweaver##7957
accept Doling Justice##2970 |goto 65.95,45.61
stickystart "Kill_Grimtotem_Raiders"
stickystart "Kill_Grimtotem_Naturalists"
step
kill 6 Grimtotem Shaman##7727 |q 2970/3 |goto 66.89,46.43
|tip Watch for patrols and respawn while in the area.	|only if hardcore |notinsticky
|tip Grimtotem Shaman may heal when at low health.	|only if hardcore |notinsticky
|tip Enemies may run away in fear at low health.	|only if hardcore |notinsticky
You can find more: |notinsticky
Around [68.71,47.04]
Around [69.59,39.44]
Up the path at [68.26,39.25]
step
label "Kill_Grimtotem_Raiders"
kill 10 Grimtotem Raider##7725 |q 2970/2 |goto 66.89,46.43
|tip Watch for patrols and respawn while in the area.	|only if hardcore |notinsticky
|tip Grimtotem Shaman may heal when at low health.	|only if hardcore |notinsticky
|tip Enemies may run away in fear at low health.	|only if hardcore |notinsticky
You can find more: |notinsticky
Around [68.71,47.04]
Around [69.59,39.44]
Up the path at [68.26,39.25]
step
label "Kill_Grimtotem_Naturalists"
kill 12 Grimtotem Naturalist##7726 |q 2970/1 |goto 66.89,46.43
|tip Watch for patrols and respawn while in the area.	|only if hardcore |notinsticky
|tip Grimtotem Shaman may heal when at low health.	|only if hardcore |notinsticky
|tip Enemies may run away in fear at low health.	|only if hardcore |notinsticky
You can find more: |notinsticky
Around [68.71,47.04]
Around [69.59,39.44]
Up the path at [68.26,39.25]
step
Follow the path up |goto 65.66,46.77 < 10 |only if walking
talk Jer'kai Moonweaver##7957
turnin Doling Justice##2970 |goto 65.95,45.61
accept Doling Justice##2972 |goto 65.95,45.61
step
click Large Leather Backpacks##164953
|tip Clear Woodpaw enemies around the area before attempting to gather.	|only if hardcore
turnin The Woodpaw Gnolls##4131 |goto 73.31,56.31
accept The Writhing Deep##4135 |goto 73.31,56.31
step
use the Undelivered Parcel##11463
accept Thalanaar Delivery##4281
step
_NOTE:_
Incoming Cave Step
|tip The next step has you traveling into a cave with enemies that run away in fear quickly when at low health.
|tip Zukk'ash Stingers patrol the tunnels and may deal heavy damage upon death.
|tip Enemies also have larger than normal aggro radius, so it may require careful navigation as well.
|tip Not completing the quest will make it impossible to complete a few other quests in the guide.
|tip It will also end up making you need to grind 13,560 xp to catch up.
Click Here to Continue |confirm |q 4265 |future
|only if hardcore
step
Follow the path up |goto 72.11,62.68 < 40 |only if walking
Enter the cave at the bottom of the path |goto 73.17,63.88 < 7 |walk
Follow the path down |goto 72.69,64.56 < 7 |walk
click Zukk'ash Pod##164954
|tip Inside the cave.
|tip Watch for patrols and respawns while in the area.			|only if hardcore
|tip Enemies may run away in fear at low health.			|only if hardcore
|tip Zukk'ash Stingers deal heavy damage when they are about to die.	|only if hardcore
turnin The Writhing Deep##4135 |goto 72.08,63.75
accept Freed from the Hive##4265 |goto 72.08,63.75
step
Watch the dialogue
|tip Inside the cave.
|tip Watch for patrols and respawns while in the area.			|only if hardcore
|tip Enemies may run away in fear at low health.			|only if hardcore
|tip Zukk'ash Stingers deal heavy damage when they are about to die.	|only if hardcore
Free Raschal |q 4265/1 |goto 72.08,63.81
step
talk Faralorn##7942
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 10-12 extra stacks.
|tip You have a longer grind coming up soon.
Visit the Vendor |vendor Faralorn##7942 |goto Feralas 30.65,43.43 |q 2821
|only if Hunter
step
talk Pratt McGrubben##7852
turnin The Mark of Quality##2821 |goto Feralas 30.63,42.71
step
talk Angelas Moonbreeze##7900
|tip Inside the building.
turnin The High Wilderness##2982 |goto 31.83,45.61
accept The Sunken Temple##3445 |goto 31.83,45.61
step
talk Ginro Hearthkindle##7880
|tip Upstairs inside the building.
turnin Freed from the Hive##4265 |goto 31.86,45.13
accept A Hero's Welcome##4266 |goto 31.86,45.13
step
Enter the building |goto 30.76,45.23 < 15 |walk
talk Shandris Feathermoon##3936
|tip Inside the building.
turnin A Hero's Welcome##4266 |goto 30.28,46.17
accept Rise of the Silithid##4267 |goto 30.28,46.17
step
Kill enemies around this area
|tip Inside and outside the cave.
|tip You will need to go to higher level zones soon, and there's not enough quests to get you to a high enough level.
|tip We are grinding for a while now, to reduce the amount you have to grind all at once later.
|tip If you prefer, you can run dungeons until you reach level 47.
|tip You are about to take a long flight to Darnassus, so grinding now is also to make sure your hearthstone is available to use to return quickly to Feralas afterward.
ding 47 |goto 26.09,67.26
You can buy arrows at [30.65,43.43]				|only if Hunter
|only if not hardcore
step
Kill enemies around this area
|tip You will need to go to higher level zones soon, and there's not enough quests to get you to a high enough level.
|tip We are grinding for a while now, to reduce the amount you have to grind all at once later.
|tip If you prefer, you can run dungeons until you reach level 47.
ding 47 |goto 26.39,54.22
You can buy arrows at [30.65,43.43]				|only if Hunter
|only if hardcore
step
_NOTE:_
Run Back to Feathermoon Stronghold
|tip Do NOT use your hearthstone to return to Feathermoon Stronghold.
|tip You are about to take a long flight to Darnassus, so you'll want to make sure your hearthstone is available to use to return quickly to Feralas afterward.
|tip If you reached level 47 and your hearthstone is still not ready to be used, continue grinding until it's ready.
|tip You have another very long grind when you return from Darnassus, but it is the last long grind you will have to do.
Click Here to Continue |confirm |q 4267
step
talk Faralorn##7942
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 18-20 extra stacks.
|tip You have a long grind coming up soon.
Visit the Vendor |vendor Faralorn##7942 |goto Feralas 30.65,43.43 |q 4267
|only if Hunter
step
talk Erelas Ambersky##7916
|tip Inside the building.
turnin Handle With Care##3022 |goto Teldrassil 55.50,92.05
accept Favored of Elune?##3661 |goto Teldrassil 55.50,92.05
step
talk Daryn Lightwind##7907
|tip Upstairs inside the building.
turnin In Search of Knowledge##2939 |goto 55.41,92.23
step
click Feralas: A History
|tip Upstairs inside the building.
accept Feralas: A History##2940 |goto 55.22,91.46
step
talk Daryn Lightwind##7907
|tip Upstairs inside the building.
turnin Feralas: A History##2940 |goto 55.41,92.23
accept The Borrower##2941 |goto 55.41,92.23
step
talk Kyrai##3561
|tip Upstairs inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Kyrai##3561 |goto Darnassus 32.55,19.74 |q 4267
|only if Rogue
step
talk Garryeth##4209
|tip Deposit these items into the bank.
bank A Short Note##9329 |goto Darnassus 39.60,41.98 |q 2941 |future
bank Yeh'kinya's Bramble##10699 |goto Darnassus 39.60,41.98 |q 3520 |future
bank Hippogryph Egg##8564 |goto Darnassus 39.60,41.98 |q 2741 |future
bank Ironfur Liver##6258 |goto Darnassus 39.60,41.98 |q 1452 |future
|tip You should have 3 of these.
bank Groddoc Liver##6259 |goto Darnassus 39.60,41.98 |q 1452 |future
|tip You should have 3 of these.
step
Cross the bridge |goto 38.60,48.01 < 30 |only if walking
Enter the building |goto 39.06,77.04 < 15 |walk
Run up the ramp |goto 40.46,91.67 < 10 |walk
talk Gracina Spiritmight##7740
|tip Upstairs inside the building.
turnin Rise of the Silithid##4267 |goto 41.85,85.62
step
talk Tyrande Whisperwind##7999
|tip Upstairs inside the building.
turnin Doling Justice##2972 |goto 39.10,81.59
step
Kill enemies around this area
|tip Inside and outside the cave.
|tip You will need to go to higher level zones soon, and there's not enough quests to get you to a high enough level.
|tip We are grinding a lot now to get you to a good level to continue questing the rest of the way to 60.
|tip If you prefer, you can run dungeons.
|tip This is the last very long grind you have to do.
ding 48 |goto Feralas 26.09,67.26				|only if level < 48
ding 48,68000 |goto Feralas 26.09,67.26
You can buy arrows at [30.65,43.43]				|only if Hunter
|only if not hardcore
step
Kill enemies around this area
|tip You will need to go to higher level zones soon, and there's not enough quests to get you to a high enough level.
|tip We are grinding a lot now to get you to a good level to continue questing the rest of the way to 60.
|tip If you prefer, you can run dungeons.
|tip This is the last very long grind you have to do.
ding 48,68000 |goto 26.39,54.22
You can buy arrows at [30.65,43.43]				|only if Hunter
|only if hardcore
step
talk Falfindel Waywarder##4048
turnin Thalanaar Delivery##4281 |goto 89.64,46.57
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Tanaris (48-49)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Tanaris",
condition_suggested=function() return level >= 48 and level <= 49 and not completedq(162) end,
next="Leveling Guides\\The Hinterlands (49-50)",
hardcore = true,
},[[
step
talk Marin Noggenfogger##7564
accept The Thirsty Goblin##2605 |goto Tanaris 51.81,28.66
step
Enter the building |goto 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Collect these items from the bank.
collect A Short Note##9329 |goto 52.30,28.91 |q 2941
collect Yeh'kinya's Bramble##10699 |goto 52.30,28.91 |q 3520
collect Hippogryph Egg##8564 |goto 52.30,28.91 |q 2741 |future
step
talk Chief Engineer Bilgewhizzle##7407
accept More Wastewander Justice##1691 |goto 52.46,28.51
step
Enter the building |goto 52.38,27.91 < 10 |walk
talk Innkeeper Fizzgrimble##7733
|tip Inside the building.
home Gadgetzan |goto 52.51,27.91
step
talk Andi Lynn##11758
accept The Dunemaul Compound##5863 |goto 52.82,27.40
step
click Egg-O-Matic##142071
accept The Super Egg-O-Matic##2741 |goto 52.37,26.97 |instant
step
_Destroy This Item:_
|tip It is no longer needed.
trash Egg Crate##8647
step
talk Curgle Cranklehop##7763
turnin The Borrower##2941 |goto 52.36,26.91
accept The Super Snapper FX##2944 |goto 52.36,26.91
step
click Wanted Poster##142122
accept WANTED: Caliph Scorpidsting##2781 |goto 51.84,27.02
accept WANTED: Andre Firebeard##2875 |goto 51.84,27.02
|only if not hardcore
step
talk Tran'rek##7876
accept Thistleshrub Valley##3362 |goto 51.57,26.76
step
talk Senior Surveyor Fizzledowser##7724
accept Gadgetzan Water Survey##992 |goto 50.21,27.48
|only if hardcore
step
use the Untapped Dowsing Widget##8584
|tip Avoid the elite enemies nearby this location while traveling here.
|tip Use it in the water.
|tip Two level 48 enemies appear after using the item.
|tip Be ready to run, if you can't kill the enemies.
collect Tapped Dowsing Widget##8585 |q 992/1 |goto 39.09,29.17
|only if hardcore
step
talk Senior Surveyor Fizzledowser##7724
turnin Gadgetzan Water Survey##992 |goto 50.21,27.48		|only if hardcore
accept Noxious Lair Investigation##82 |goto 50.21,27.48
step
talk Haughty Modiste##15165
accept Pirate Hats Ahoy!##8365 |goto 66.56,22.27
step
talk Yeh'kinya##8579
turnin Screecher Spirits##3520 |goto 66.99,22.36
step
talk Jabbey##8139
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 12-15 extra stacks.
|tip You will be questing for a long time without an arrow vendor nearby.
Visit the Vendor |vendor Jabbey##8139 |goto Tanaris 67.01,21.99 |q 8365
|only if Hunter
step
Enter the building |goto Tanaris 66.99,23.87 < 10 |walk
talk Security Chief Bilgewhizzle##7882
|tip Inside the building.
accept Southsea Shakedown##8366 |goto Tanaris 67.06,23.89
step
talk Stoley##7881
|tip Inside the building.
accept Stoley's Shipment##2873 |goto 67.11,23.98
stickystart "Kill_Wastewander_Rogues"
stickystart "Kill_Wastewander_Assassins"
stickystart "Kill_Wastewander_Shadow_Mages"
step
path	follow loose;	loop;	ants curved;	dist 40
path	63.84,31.89		63.30,37.23		62.29,37.83		59.52,41.19
path	58.71,38.17		61.87,33.42
kill Caliph Scorpidsting##7847
|tip He walks in a counter-clockwise pattern, so this path will help you find him faster.
|tip He walks with 2 stealthed guards with him, so be careful.
|tip If you have trouble, try to find someone to help you.
collect Caliph Scorpidsting's Head##8723 |q 2781/1
|only if not hardcore
step
label "Kill_Wastewander_Rogues"
kill 8 Wastewander Rogue##5615 |q 1691/1 |goto 60.87,32.74
|tip They are stealthed around this area.
|tip Wastelander Shadow Mages are ranged attackers with a minion that must be killed.	|only if hardcore
|tip Watch for patrols and respawns while around here.					|only if hardcore
You can find more around: |notinsticky
[61.84,34.67]
[59.99,37.02]
[58.85,36.63]
[58.81,39.22]
[60.52,39.06]
[63.40,37.65]
[64.43,39.57]
[65.32,36.89]
step
label "Kill_Wastewander_Assassins"
kill 6 Wastewander Assassin##5623 |q 1691/2 |goto 60.87,32.74
|tip Wastelander Rogues may be stealthed.						|only if hardcore |notinsticky
|tip Wastelander Shadow Mages are ranged attackers with a minion that must be killed.	|only if hardcore |notinsticky
|tip Watch for patrols and respawns while around here.					|only if hardcore |notinsticky
You can find more around: |notinsticky
[61.84,34.67]
[59.99,37.02]
[58.85,36.63]
[58.81,39.22]
[60.52,39.06]
[63.40,37.65]
[64.43,39.57]
[65.32,36.89]
step
label "Kill_Wastewander_Shadow_Mages"
kill 10 Wastewander Shadow Mage##5617 |q 1691/3 |goto 60.87,32.74
|tip Wastelander Rogues may be stealthed.						|only if hardcore |notinsticky
|tip Watch for patrols and respawns while around here.					|only if hardcore |notinsticky
You can find more around: |notinsticky
[61.84,34.67]
[59.99,37.02]
[58.85,36.63]
[58.81,39.22]
[60.52,39.06]
[63.40,37.65]
[64.43,39.57]
[65.32,36.89]
stickystart "Collect_Southsea_Pirate_Hats"
stickystart "Kill_Southsea_Pirates"
stickystart "Kill_Southsea_Freebooters"
stickystart "Kill_Southsea_Dock_Workers"
stickystart "Kill_Southsea_Swashbucklers"
stickystart "Collect_Ship_Schedule"
step
Enter the tunnel |goto 68.62,41.46 < 20 |only if walking and not subzone("Lost Rigger Cove")
Enter the building |goto 72.61,46.82 < 10 |walk
click Stolen Cargo##142181
|tip Upstairs inside the building.
collect Stoley's Shipment##9244 |q 2873/1 |goto 72.19,46.77
step
kill Andre Firebeard##7883
|tip Try to pull him away to fight him alone.
|tip If you have trouble, try to find someone to help you.
collect Firebeard's Head##9246 |q 2875/1 |goto 73.37,47.14
|only if not hardcore
step
label "Collect_Southsea_Pirate_Hats"
Kill Southsea enemies around this area
collect 20 Southsea Pirate Hat##20519 |q 8365/1 |goto 73.26,46.42
|tip Enemies may will flee when at low health.				|only if hardcore |notinsticky
|tip Avoid entering buildings when possible.				|only if hardcore |notinsticky
|tip Enemies tend to bunch up and pull in groups inside them.		|only if hardcore |notinsticky
You can find more around [72.29,44.64]
step
label "Kill_Southsea_Pirates"
kill 10 Southsea Pirate##7855 |q 8366/1 |goto 73.26,46.42
|tip Enemies may will flee when at low health.				|only if hardcore |notinsticky
|tip Avoid entering buildings when possible.				|only if hardcore |notinsticky
|tip Enemies tend to bunch up and pull in groups inside them.		|only if hardcore |notinsticky
You can find more around [72.29,44.64]
step
label "Kill_Southsea_Freebooters"
kill 10 Southsea Freebooter##7856 |q 8366/2 |goto 73.26,46.42
|tip Enemies may will flee when at low health.				|only if hardcore |notinsticky
|tip Avoid entering buildings when possible.				|only if hardcore |notinsticky
|tip Enemies tend to bunch up and pull in groups inside them.		|only if hardcore |notinsticky
You can find more around [72.29,44.64]
step
label "Kill_Southsea_Dock_Workers"
kill 10 Southsea Dock Worker##7857 |q 8366/3 |goto 73.76,47.42
|tip Enemies may will flee when at low health.				|only if hardcore |notinsticky
|tip Avoid entering buildings when possible.				|only if hardcore |notinsticky
|tip Enemies tend to bunch up and pull in groups inside them.		|only if hardcore |notinsticky
|tip You can find more up on the wooden platforms nearby.
step
label "Kill_Southsea_Swashbucklers"
kill 10 Southsea Swashbuckler##7858 |q 8366/4 |goto 75.19,45.96
|tip Enemies may will flee when at low health.				|only if hardcore |notinsticky
|tip Avoid entering buildings when possible.				|only if hardcore |notinsticky
|tip Enemies tend to bunch up and pull in groups inside them.		|only if hardcore |notinsticky
You can find more in the buildings around [72.96,47.07]
step
label "Collect_Ship_Schedule"
Kill Southsea enemies around this area
|tip Enemies will flee when at low health.				|only if hardcore |notinsticky
|tip Avoid entering buildings when possible.				|only if hardcore |notinsticky
|tip Enemies tend to bunch up and pull in groups inside them.		|only if hardcore |notinsticky
collect Pirate's Footlocker##9276 |n
use Pirate's Footlocker##9276+
collect Ship Schedule##9250 |goto 73.26,46.42 |q 2876 |future
|tip It may take a long time to get it, but it is a good grind to do to get a lot of extra xp built up.
|tip If you grind over 2 bars of XP and still haven't found it, skip the quest.
You can find more around [72.29,44.64]
step
use the Ship Schedule##9250
accept Ship Schedules##2876
|only if itemcount(9250) > 0
step
talk Chief Engineer Bilgewhizzle##7407
turnin WANTED: Caliph Scorpidsting##2781 |goto 52.46,28.51 |only if not hardcore
turnin More Wastewander Justice##1691 |goto 52.46,28.51
step
talk Marvon Rivetseeker##7771
turnin The Sunken Temple##3445 |goto 52.71,45.93
accept The Stone Circle##3444 |goto 52.71,45.93
accept Gahz'ridian##3161 |goto 52.71,45.93
step
Kill Centipaar enemies around this area
|tip Centipaar Swarmers summon adds as you fight them.	|only if hardcore
|tip Centipaar Workers run away in fear when at low health.	|only if hardcore
collect 5 Centipaar Insect Parts##8587 |q 82/1 |goto 35.74,42.06
stickystart "Kill_Dunemaul_Brutes"
stickystart "Kill_Dunemaul_Enforcers"
step
Enter the cave |goto 41.09,57.35 < 20 |walk
kill Gor'marok the Ravager##12046 |q 5863/3 |goto 41.50,57.81
|tip Inside the small cave.
step
click Gahz'ridian##140971+
|tip They look like small piles of sand on the ground around this area.
collect 30 Gahz'ridian Ornament##8443 |q 3161/1 |goto 40.45,72.67
You can find more around [46.96,65.87]
step
label "Kill_Dunemaul_Brutes"
kill 10 Dunemaul Brute##5474 |q 5863/1 |goto 40.45,72.67
You can find more around: |notinsticky
[46.96,65.87]
[40.04,55.70]
step
label "Kill_Dunemaul_Enforcers"
kill 10 Dunemaul Enforcer##5472 |q 5863/2 |goto 40.45,72.67
You can find more around: |notinsticky
[46.96,65.87]
[40.04,55.70]
stickystart "Kill_Gnarled_Thistleshrubs"
stickystart "Kill_Thistleshrub_Rootshapers"
step
kill Thistleshrub Dew Collector##5481+
collect Laden Dew Gland##8428 |q 2605/1 |goto 29.97,66.48
You can find more around: |notinsticky
[28.18,64.79]
[30.54,64.66]
step
label "Kill_Gnarled_Thistleshrubs"
kill 8 Gnarled Thistleshrub##5490 |q 3362/1 |goto 29.97,66.48
You can find more around: |notinsticky
[28.18,64.79]
[30.54,64.66]
step
label "Kill_Thistleshrub_Rootshapers"
kill 8 Thistleshrub Rootshaper##5485 |q 3362/2 |goto 29.97,66.48
You can find more around: |notinsticky
[28.18,64.79]
[30.54,64.66]
step
Kill enemies around this area
|tip You should already be level 49, or pretty close.
|tip As you grind, keep an eye out for a turtle named Tooga, who offers a quest.
|tip Make a mental note of where he is, if you see him.  You will be searching for him in the next step.
ding 49 |goto 29.97,66.48
You can find more around: |notinsticky
[28.18,64.79]
[30.54,64.66]
step
talk Tooga##5955
|tip He looks like a turtle that walks around this area.
|tip This is an escort quest.
|tip If you can't find him, someone may be escorting him.
|tip Just keep grinding enemies around this area until you find him.
accept Tooga's Quest##1560 |goto 28.5,63.1 |noautoaccept
Also check around: |notinsticky
[29.97,66.48]
[30.54,64.66]
[31.79,74.15]
[29.58,74.73]
stickystart "Lead_Tooga_To_Torta"
step
talk Marvon Rivetseeker##7771
turnin Gahz'ridian##3161 |goto 52.71,45.93 |notravel |only if haveq(1560)
turnin Gahz'ridian##3161 |goto 52.71,45.93 |only if not haveq(1560)
step
label "Lead_Tooga_To_Torta"
Lead Tooga to Torta |q 1560/1 |goto 66.57,25.67 |notravel
|tip He will follow you.
|tip Protect Tooga as you walk, and try to stay fairly close to him.
|tip If you get too far away from him, you will fail the quest.
|tip Torta looks like a turtle that walks around this area.
step
talk Torta##6015
|tip She looks like a turtle that walks around this area.
turnin Tooga's Quest##1560 |goto 66.57,25.67
step
Enter the building |goto 66.99,23.87 < 10 |walk
talk Security Chief Bilgewhizzle##7882
|tip Inside the building.
turnin WANTED: Andre Firebeard##2875 |goto 67.06,23.89 |only if not hardcore
turnin Southsea Shakedown##8366 |goto 67.06,23.89
turnin Ship Schedules##2876 |goto 67.06,23.89
step
talk Stoley##7881
|tip Inside the building.
turnin Stoley's Shipment##2873 |goto 67.11,23.97
accept Deliver to MacKinley##2874 |goto 67.11,23.97
step
talk Yorba Screwspigot##9706
|tip Inside the building.
accept Yuka Screwspigot##4324 |goto 67.03,24.01
step
talk Haughty Modiste##15165
turnin Pirate Hats Ahoy!##8365 |goto 66.56,22.27
step
talk Marin Noggenfogger##7564
turnin The Thirsty Goblin##2605 |goto 51.81,28.66
accept In Good Taste##2606 |goto 51.81,28.66
step
Enter the building |goto 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Deposit these items into the bank.
bank Stoley's Bottle##9245 |goto 52.30,28.91 |q 2874 |future
step
talk Sprinkle##7583
turnin In Good Taste##2606 |goto 51.06,26.87
accept Sprinkle's Secret Ingredient##2641 |goto 51.06,26.87
step
talk Alchemist Pestlezugg##5594
|tip Inside the building.
turnin Noxious Lair Investigation##82 |goto 50.89,26.96
step
talk Senior Surveyor Fizzledowser##7724
accept The Scrimshank Redemption##10 |goto 50.21,27.48
step
talk Tran'rek##7876
turnin Thistleshrub Valley##3362 |goto 51.57,26.76
step
talk Andi Lynn##11758
turnin The Dunemaul Compound##5863 |goto 52.82,27.40
step
use the OOX-17/TN Distress Beacon##8623
accept Find OOX-17/TN!##351
|only if itemcount(8623) > 0
step
talk Homing Robot OOX-17/TN##7784
|tip This NPC offers an escort quest.
|tip If it's not here, someone may be escorting it.
|tip Wait until it appears again.
turnin Find OOX-17/TN!##351 |goto 60.23,64.72
step
Follow the path down |goto 55.87,70.27 < 30 |only if walking
Enter the cave |goto 55.78,68.91 < 10 |c |q 10
step
Follow the path down |goto 55.93,68.37 < 7 |walk
Continue following the path down |goto 56.17,68.34 < 7 |walk
Follow the path |goto 56.55,68.72 < 7 |walk
Follow the path up |goto 57.19,70.16 < 7 |walk
Follow the path down |goto 57.61,70.67 < 7 |walk
Follow the path |goto 57.38,71.30 < 7 |walk
click Scrimshank's Surveying Gear##144053
|tip Inside the cave.
|tip Hazzali Workers run away quickly when low health.		|only if hardcore
|tip Hazzali Swarmers spawn adds while you fight them.		|only if hardcore
|tip Watch for patrols and respawns while in the cave.		|only if hardcore
collect Scrimshank's Surveying Gear##8593 |q 10/1 |goto 55.97,71.18
step
talk Senior Surveyor Fizzledowser##7724
turnin The Scrimshank Redemption##10 |goto 50.21,27.48
accept Insect Part Analysis##110 |goto 50.21,27.48
step
talk Alchemist Pestlezugg##5594
|tip Inside the building.
turnin Insect Part Analysis##110 |goto 50.89,26.96
accept Insect Part Analysis##113 |goto 50.89,26.96
step
talk Senior Surveyor Fizzledowser##7724
turnin Insect Part Analysis##113 |goto 50.21,27.48
accept Rise of the Silithid##162 |goto 50.21,27.48
step
Enter the building |goto 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Deposit these items into the bank.
bank Insect Analysis Report##8594 |goto 52.30,28.91 |q 162 |future
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\The Hinterlands (49-50)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."The Hinterlands",
condition_suggested=function() return level >= 49 and level <= 50 and not completedq(626) end,
next="Leveling Guides\\Tanaris (50-50)",
hardcore = true,
},[[
step
Enter the building |goto Tanaris 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Collect these items from the bank.
collect 3 Roc Gizzard##6257 |goto Tanaris 52.30,28.91 |q 1452
collect 3 Ironfur Liver##6258 |goto Tanaris 52.30,28.91 |q 1452
collect 3 Groddoc Liver##6259 |goto Tanaris 52.30,28.91 |q 1452
step
click Marvon's Chest##149036
collect Stone Circle##10556 |q 3444/1 |goto The Barrens 62.50,38.54
step
talk Tynnus Venomsprout##5169
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Tynnus Venomsprout##5169 |goto Ironforge 52.94,13.66 |q 2988 |future
|only if Rogue
step
Enter the building |goto Hillsbrad Foothills 49.30,55.47 < 10 |walk
talk Sarah Raycroft##3541
|tip Upstairs inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 12-15 stacks.
|tip You will be questing for a while.
Visit the Vendor |vendor Sarah Raycroft##3541 |goto Hillsbrad Foothills 49.14,55.06 |q 2988 |future
|only if Hunter
step
Enter the building |goto Hillsbrad Foothills 50.45,58.55 < 10 |walk
talk Jaysin Lanyda##3542
|tip Upstairs inside the building.
|tip If you can afford it.
|tip Stock up on a couple of Runes of Teleportation to use to travel faster while leveling.
Visit the Vendor |vendor Jaysin Lanyda##3542 |goto Hillsbrad Foothills 50.82,59.02 |q 2988 |future
|only if Mage
step
Enter the building |goto The Hinterlands 11.00,45.67 < 10 |walk
talk Gryphon Master Talonaxe##5636
|tip Inside the building.
accept Witherbark Cages##2988 |goto The Hinterlands 9.76,44.48
step
Leave the building |goto 11.00,45.67 < 10 |walk |only if subzone("Aerie Peak") and _G.IsIndoors()
Enter the building |goto 14.19,45.18 < 30 |walk |only if not subzone("Wildhammer Keep")
talk Fraggar Thundermantle##7884
|tip Inside the building.
accept Troll Necklace Bounty##2880 |goto 14.83,44.56
stickystart "Collect_Wildkin_Feathers"
step
Leave the building |goto 14.19,45.18 < 30 |walk |only if subzone("Wildhammer Keep")
Follow the path up |goto 20.81,47.82 < 30 |only if walking
talk Rhapsody Shindigger##5634
turnin Rhapsody's Kalimdor Kocktail##1452 |goto 26.94,48.59
step
Watch the dialogue
talk Rhapsody Shindigger##5634
accept Rhapsody's Tale##1469 |goto 26.94,48.59
stickystart "Collect_Troll_Tribal_Necklaces"
step
click Third Witherbark Cage##144068
|tip Enemies may run away in fear around this area.	|only if hardcore
Check the Third Cage |q 2988/3 |goto 31.99,57.38
step
click First Witherbark Cage##144066
|tip Enemies may run away in fear around this area.	|only if hardcore
Check the First Cage |q 2988/1 |goto 23.28,58.75
step
click Second Witherbark Cage##144067
|tip Enemies may run away in fear around this area.	|only if hardcore
Check the Second Cage |q 2988/2 |goto 23.13,58.76
step
label "Collect_Troll_Tribal_Necklaces"
Kill Witherbark enemies around this area
|tip They look like trolls.
|tip Witherbark enemies may run away in fear around this area.	|only if hardcore
collect 5 Troll Tribal Necklace##9259 |q 2880/1 |goto 23.73,57.89
|tip Be careful not to accidentally sell these to a vendor.
You can find more around [32.03,58.00]
step
Enter the building |goto 14.19,45.18 < 30 |walk |only if not subzone("Wildhammer Keep")
talk Fraggar Thundermantle##7884
|tip Inside the building.
turnin Troll Necklace Bounty##2880 |goto 14.83,44.56
accept Skulk Rock Clean-up##2877 |goto 14.83,44.56
stickystop "Collect_Wildkin_Feathers"
step
Leave the building |goto 14.19,45.18 < 30 |walk |only if subzone("Wildhammer Keep")
Follow the path up |goto 12.95,48.19 < 30 |only if walking
Enter the building at the top of the path |goto 11.00,45.67 < 10 |walk
talk Gryphon Master Talonaxe##5636
|tip Inside the building.
turnin Witherbark Cages##2988 |goto 9.76,44.48
accept The Altar of Zul##2989 |goto 9.76,44.48		|only if not hardcore
step
label "Collect_Wildkin_Feathers"
click Wildkin Feather##153239+
|tip They look large brown and white feathers on the ground around this area.
|tip They can be found around most of the Hinterlands, except in the eastern part.
|tip If you have trouble seeing them, reduce the "Ground Clutter" setting to "1" in the System > Graphics game settings menu.
collect 15 Wildkin Feather##10819 |q 3661/1 |goto 15.76,53.78
You can find more around: |notinsticky
[22.17,55.01]
[28.43,54.20]
[33.90,48.74]
[33.03,43.66]
step
click Violet Tragan##141853+
|tip They look like large brown and white mushrooms underwater around this area.
collect Violet Tragan##8526 |q 2641/1 |goto 41.01,59.77
step
Run up the stairs |goto 47.74,66.71 < 30 |only if walking
|tip Clear enemies as you make your way up.	|only if hardcore
Search the Altar of Zul |q 2989/1 |goto 48.85,68.45
|tip There are elite enemies at the top of the temple.
|tip Complete the quest goal and immediately run away to safety.
|only if not hardcore
stickystart "Kill_Jade_Oozes"
step
kill 10 Green Sludge##2655 |q 2877/1 |goto 48.95,52.71
You can find more around: |notinsticky
[47.11,41.36]
step
label "Kill_Jade_Oozes"
kill 10 Jade Ooze##2656 |q 2877/2 |goto 48.95,52.71
You can find more around: |notinsticky
[47.11,41.36]
step
Kill enemies around this area
|tip Watch for respawns while in the area.	|only if hardcore
collect OOX-09/HL Distress Beacon##8704 |goto 47.11,41.36 |q 485 |future
|tip If you grind over 1 bar of XP and still haven't found it, skip the quest.
step
use the OOX-09/HL Distress Beacon##8704
accept Find OOX-09/HL!##485
step
talk Homing Robot OOX-09/HL##7806
turnin Find OOX-09/HL!##485 |goto 49.35,37.66
stickystart "Collect_Snapshot_Of_Gammerita"
step
Follow the path down |goto 71.50,65.09 < 30 |only if walking and not subzone("The Overlook Cliffs")
click Pupellyverbos Port+
|tip They look like small dark blue bottles on the ground around this area.
|tip If you have trouble seeing them, reduce the "Ground Clutter" setting to "0" in the System > Graphics game settings menu.
|tip Be careful to avoid Gammmerita, it's the only turtle that will attack you.
|tip It looks like a blue turtle that walks around this area.
|tip Avoid the guards of the Horde town nearby.
collect 12 Pupellyverbos Port##3900 |q 580/1 |goto 81.08,55.81
You can find more around: |notinsticky
[79.46,62.41]
[78.49,69.25]
[78.44,75.71]
step
label "Collect_Snapshot_Of_Gammerita"
use the Super Snapper FX##9328
|tip Use it on Gammerita.
|tip It looks like a blue turtle that walks around this area.
|tip Use it as far away from it as you can.
|tip Run away when it attacks you after using the item.
collect Snapshot of Gammerita##9330 |q 2944/1 |goto 75.62,67.03
You can also find it around: |notinsticky
[75.62,67.03]
[80.79,55.59]
step
click Cortello's Treasure##2556
|tip Underwater, at the bottom of the waterfall.
turnin Cortello's Riddle##626 |goto 80.81,46.81
|only if not hardcore
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 50.
|tip You are about to go to Un'Goro Crater, and it will help to be level 50 already.
|tip Be careful to avoid Gammerita, an elite blue turtle that walks around this area.
|tip Avoid Revantusk Village, a Horde town to the south.
ding 50 |goto 77.95,62.56 |q 2944
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Tanaris (50-50)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."The Hinterlands",
condition_suggested=function() return level == 49 and not completedq(3444) end,
next="Leveling Guides\\Un'Goro Crater (50-50)",
hardcore = true,
},[[
step
talk Sprinkle##7583
turnin Sprinkle's Secret Ingredient##2641 |goto Tanaris 51.06,26.87
step
Watch the dialogue
talk Sprinkle##7583
accept Delivery for Marin##2661 |goto 51.06,26.87
step
talk Marin Noggenfogger##7564
turnin Delivery for Marin##2661 |goto 51.81,28.66
accept Noggenfogger Elixir##2662 |goto 51.81,28.66
step
Watch the dialogue
talk Marin Noggenfogger##7564
turnin Noggenfogger Elixir##2662 |goto 51.81,28.66
step
Enter the building |goto 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Deposit these items into the bank.
bank Super Snapper FX##9328 |goto 52.30,28.91 |q 2944 |future
bank Snapshot of Gammerita##9330 |goto 52.30,28.91 |q 2944 |future
bank Atal'ai Tablet Fragment##6287 |goto 52.30,28.91 |q 1469 |future
bank Pupellyverbos Port##3900 |goto 52.30,28.91 |q 580 |future
|tip You should have 12 of these.
bank Wildkin Feather##10819 |goto 52.30,28.91 |q 3661 |future
|tip You should have 15 of these.
step
talk Marvon Rivetseeker##7771
turnin The Stone Circle##3444 |goto 52.71,45.92
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Un'Goro Crater (50-50)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Un'Goro Crater",
condition_suggested=function() return level == 50 and not completedq(1469) end,
next="Leveling Guides\\Searing Gorge (50-51)",
hardcore = true,
},[[
step
Follow the path down into Un'Goro Crater |goto Tanaris 27.04,56.57 < 40 |only if walking and not zone("Un'Goro Crater")
talk Torwa Pathfinder##9619
accept The Apes of Un'Goro##4289 |goto Un'Goro Crater 71.64,75.96
accept The Fare of Lar'korwi##4290 |goto Un'Goro Crater 71.64,75.96
stickystart "Collect_A_Mangled_Journal"
stickystart "Accept_Willidens_Journal"
stickystart "Collect_Power_Crystals"
stickystart "Collect_UnGoro_Soil"
step
click A Wrecked Raft##161505
accept It's a Secret to Everybody##3844 |goto 63.02,68.50
step
click A Small Pack##161504
|tip Underwater.
turnin It's a Secret to Everybody##3844 |goto 63.12,69.02
accept It's a Secret to Everybody##3845 |goto 63.12,69.02
step
click Fresh Threshadon Carcass##166863
|tip Avoid the elite t-rex that sometimes walks near this location.
collect Piece of Threshadon Carcass##11504 |q 4290/1 |goto 68.75,56.66
step
Follow the path up into Marshal's Refuge |goto 46.01,13.45 < 20 |only if walking and not subzone("Marshal's Refuge")
talk Muigin##9119
accept Muigin and Larion##4141 |goto 42.94,9.64
stickystart "Collect_Bloodpetals"
step
talk Torwa Pathfinder##9619
turnin The Fare of Lar'korwi##4290 |goto 71.64,75.97
accept The Scent of Lar'korwi##4291 |goto 71.64,75.97
step
kill Lar'korwi Mate##9683
|tip Stand on the pile of purple eggs to get it to appear.
collect 2 Ravasaur Pheromone Gland##11509 |q 4291/1 |goto 67.32,73.05
You can find more eggs at: |notinsticky
[62.87,80.48]
[60.92,72.23]
[66.60,66.73]
step
talk Torwa Pathfinder##9619
turnin The Scent of Lar'korwi##4291 |goto 71.63,75.97
accept The Bait for Lar'korwi##4292 |goto 71.63,75.97
step
label "Collect_Power_Crystals"
click Power Crystal+
|tip They look clusters of red, yellow, green, or blue crystals on the ground around this area.
|tip They tend to be around the base of trees, or near the cliffs surrounding Un'Goro Crater.
|tip Stick to searching around the eastern side of the zone, since there are lower level enemies there, and the crystals can spawn anywhere in the zone.
|tip Kill enemies here and there as you search around, to continue gaining experience.
collect 7 Red Power Crystal##11186 |q 4284 |future |only if itemcount(11186) < 7
collect 7 Yellow Power Crystal##11188 |q 4284 |future |only if itemcount(11188) < 7
collect 7 Green Power Crystal##11185 |q 4284 |future |only if itemcount(11185) < 7
collect 7 Blue Power Crystal##11184 |q 4284 |future |only if itemcount(11184) < 7
|only if (itemcount(11186) < 7) or (itemcount(11188) < 7) or (itemcount(11185) < 7) or (itemcount(11184) < 7)
step
label "Collect_Bloodpetals"
Kill Bloodpetal enemies around this area
|tip They look like walking plants.
collect 15 Bloodpetal##11316 |q 4141/1 |goto 71.46,38.72
|tip Watch for Devilsaur (large t-rex) patrols while around here.	|only if hardcore
You can find more around: |notinsticky
[66.08,35.13]
[69.26,24.59]
[55.87,34.69]
step
label "Collect_A_Mangled_Journal"
Kill enemies around this area
|tip Any enemy in Un'Goro Crater can drop the quest item.
|tip Watch for Devilsaur (large t-rex) patrols while around here.	|only if hardcore
collect A Mangled Journal##11116 |goto 71.46,38.72 |q 3884 |future
You can find more around: |notinsticky
[66.08,35.13]
[69.26,24.59]
[55.87,34.69]
step
label "Accept_Willidens_Journal"
use A Mangled Journal##11116
accept Williden's Journal##3884
|only if itemcount(11116) > 0
step
Follow the path up into Marshal's Refuge |goto 46.01,13.45 < 20 |only if walking and not subzone("Marshal's Refuge")
talk Muigin##9119
turnin Muigin and Larion##4141 |goto 42.94,9.64
accept A Visit to Gregan##4142 |goto 42.94,9.64
stickystop "Collect_UnGoro_Soil"
step
use A Small Pack##11107
collect Large Compass##11104 |q 3845/1
collect Curled Map Parchment##11105 |q 3845/2
collect Lion-headed Key##11106 |q 3845/3
step
_Destroy This Item:_
|tip It is no longer needed.
trash Faded Photograph##11108
step
talk Linken##8737
turnin It's a Secret to Everybody##3845 |goto 44.66,8.11
accept It's a Secret to Everybody##3908 |goto 44.66,8.11
step
talk Williden Marshal##9270
turnin Williden's Journal##3884 |goto 43.95,7.14
step
Enter the cave |goto 43.47,6.81 < 15 |walk |only if subzone("Marshal's Refuge") and not _G.IsIndoors()
talk J.D. Collie##9117
|tip Inside the cave.
accept Crystals of Power##4284 |goto 41.92,2.70
step
talk J.D. Collie##9117
|tip Inside the cave.
turnin Crystals of Power##4284 |goto 41.92,2.70
step
_Destroy These Items:_
|tip They are no longer needed.
trash Red Power Crystal##11186
trash Yellow Power Crystal##11188
trash Green Power Crystal##11185
trash Blue Power Crystal##11184
step
Leave the cave |goto 43.47,6.81 < 15 |walk |only if subzone("Marshal's Refuge") and _G.IsIndoors()
talk Gryfe##10583
fpath Marshal's Refuge |goto 45.23,5.84
step
label "Collect_UnGoro_Soil"
click Un'Goro Dirt Pile##157936+
|tip They look like piles of dark brown dirt on the ground around this area.
|tip You can find them all over the entire zone.
Kill enemies around this area
|tip Any enemy in Un'Goro Crater can drop the quest item.
collect 20 Un'Goro Soil##11018 |q 3761 |future
|tip Be careful not to accidentally sell these to a vendor.
|sticky only
step
Enter the building |goto Tanaris 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
|tip Collect these items from the bank.
collect 15 Silk Cloth##4306 |goto Tanaris 52.30,28.91 |q 4449 |future
collect Fool's Stout Report##5807 |goto Tanaris 52.30,28.91 |q 1122
collect Stoley's Bottle##9245 |goto Tanaris 52.30,28.91 |q 2874
collect Atal'ai Tablet Fragment##6287 |goto Tanaris 52.30,28.91 |q 1469
collect 12 Pupellyverbos Port##3900 |goto Tanaris 52.30,28.91 |q 580
step
talk Gimblethorn##7799
|tip Inside the building.
|tip Deposit these items into the bank.
bank Linken's Training Sword##11133 |goto 52.30,28.91 |q 3908 |future
bank Un'Goro Soil##11018 |goto 52.30,28.91 |q 3764 |future
|tip As many as you have.
bank Torwa's Pouch##11568 |goto 52.30,28.91 |q 4292 |future
bank Bloodpetal##11316 |goto 52.30,28.91 |q 4142 |future
step
Enter the building |goto Stranglethorn Vale 27.64,77.09 < 7 |walk
talk "Sea Wolf" MacKinley##2501
|tip Inside the building.
turnin Deliver to MacKinley##2874 |goto Stranglethorn Vale 27.78,77.07
step
Enter the building |goto 27.08,77.62 < 7 |walk
talk Whiskey Slim##2491
|tip Inside the building, on the bottom floor.
turnin Whiskey Slim's Lost Grog##580 |goto 27.14,77.45
step
talk Crank Fizzlebub##2498
|tip Inside the building, on the bottom floor.
turnin Report Back to Fizzlebub##1122 |goto 27.12,77.21
step
Enter the building |goto Stormwind City 53.44,64.92 < 10 |walk
talk Innkeeper Allison##6740
|tip Inside the building.
home Stormwind City |goto Stormwind City 52.62,65.70
step
Enter the building |goto 63.60,22.83 < 10 |walk
talk Brohann Caskbelly##5384
|tip Inside the building.
turnin Rhapsody's Tale##1469 |goto 64.33,20.66
step
talk Jasper Fel##1325
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Jasper Fel##1325 |goto Stormwind City/0 78.32,58.97 |q 7723 |future
|only if Rogue
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Searing Gorge (50-51)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Searing Gorge",
condition_suggested=function() return level >= 50 and level <= 51 and not completedq(3182) end,
next="Leveling Guides\\Blasted Lands (51-51)",
hardcore = true,
},[[
step
Enter the Badlands |goto Loch Modan 46.94,78.53 < 50 |only if walking and hardcore
Follow the path up into Thorium Point |goto Searing Gorge 31.51,33.47 < 20 |only if walking and hardcore
talk Hansel Heavyhands##14627
accept Curse These Fat Fingers##7723 |goto Searing Gorge 38.57,27.80
accept Fiery Menace!##7724 |goto Searing Gorge 38.57,27.80
accept Incendosaurs? Whateverosaur is More Like It##7727 |goto Searing Gorge 38.57,27.80
step
click Wanted/Missing/Lost & Found##179827
accept STOLEN: Smithing Tuyere and Lookout's Spyglass##7728 |goto 37.63,26.53
accept JOB OPPORTUNITY: Culling the Competition##7729 |goto 37.63,26.53
step
talk Lanie Reed##2941
fpath Thorium Point |goto 37.94,30.86
|only if hardcore
step
talk Kalaran Windblade##8479
accept Divine Retribution##3441 |goto 39.05,38.99
step
talk Kalaran Windblade##8479
Ask him _"Tell me what drives this vengeance?"_
Listen to Kalaran's Story |q 3441/1 |goto 39.05,38.99
step
talk Kalaran Windblade##8479
turnin Divine Retribution##3441 |goto 39.05,38.99
accept The Flawless Flame##3442 |goto 39.05,38.99
stickystart "Collect_Smithing_Tuyere"
stickystart "Collect_Grimesilt_Outhouse_Key"
stickystart "Collect_Golem_Oil"
stickystart "Collect_Hearts_Of_Flame"
stickystart "Kill_Greater_Lava_Spiders"
stickystart "Kill_Heavy_War_Golems"
stickystart "Kill_Dark_Iron_Taskmasters"
stickystart "Kill_Dark_Iron_Slavers"
step
kill Dark Iron Lookout##8566+
|tip They are around the watch towers on the cliff surrounding the huge pit.
collect Lookout's Spyglass##18960 |q 7728/2 |goto 33.03,53.44
You can find more around: |notinsticky
[35.40,59.82]
[43.47,63.52]
[52.47,57.97]
step
label "Collect_Smithing_Tuyere"
kill Dark Iron Steamsmith##5840+
|tip They have a roughly 5 minute respawn time.
|tip Work on the other quests around this area while waiting for them to respawn.
collect Smithing Tuyere##18959 |q 7728/1 |goto 39.13,49.64
You can find more around [42.86,51.59]
step
label "Collect_Grimesilt_Outhouse_Key"
Kill Dark Iron enemies around this area
collect Grimesilt Outhouse Key##11818 |goto 39.13,49.64 |q 4451 |future
You can find more around: |notinsticky
[42.59,50.65]
[43.93,40.43]
step
use the Grimesilt Outhouse Key##11818
accept The Key to Freedom##4451
step
label "Collect_Golem_Oil"
Kill enemies around this area
|tip Only Tempered War Golems, Heavy War Golems, and Magma Elementals will drop the quest item.
collect 4 Golem Oil##10511 |q 3442/2 |goto 48.59,38.32
You can find more around: |notinsticky
[43.27,39.20]
[36.56,40.58]
[32.26,46.19]
[25.43,53.98]
[31.52,72.23]
step
label "Collect_Hearts_Of_Flame"
Kill Elemental enemies around this area
|tip Heavy War Golems will not drop this quest item.
collect 4 Heart of Flame##10509 |q 3442/1 |goto 42.58,38.58
You can find more around: |notinsticky
[39.22,41.58]
[31.18,43.67]
[25.43,53.98]
[31.52,72.23]
step
talk Kalaran Windblade##8479
turnin The Flawless Flame##3442 |goto 39.05,38.99
accept Forging the Shaft##3443 |goto 39.05,38.99
stickystart "Collect_Thorium_Plated_Daggers"
step
label "Kill_Greater_Lava_Spiders"
kill 20 Greater Lava Spider##5858 |q 7724/1 |goto 28.78,44.44
You can find more around: |notinsticky
[29.23,55.00]
[29.51,72.50]
step
label "Kill_Heavy_War_Golems"
kill 20 Heavy War Golem##5854 |q 7723/1	|goto 32.42,49.43
You can find more around: |notinsticky
[37.02,42.98]
[47.99,38.64]
step
Jump down onto the metal walkway here |goto 49.32,43.74 < 15 |only if walking
Enter the cave |goto 49.58,45.49 < 10 |c |q 7727
|only if not (subzone("The Slag Pit") and _G.IsIndoors())
stickystop "Collect_Thorium_Plated_Daggers"
step
Jump down from the bridge inside the cave here |goto 47.73,41.92 < 10 |walk
kill 20 Incendosaur##9318 |q 7727/1 |goto 51.73,37.16
|tip Inside the cave.
You can find more around: |notinsticky
[50.37,24.75]
[45.03,21.73]
step
label "Collect_Thorium_Plated_Daggers"
Follow the path |goto 50.14,38.78 < 15 |walk
Continue following the path |goto 47.13,43.05 < 15 |walk
Leave the cave |goto 47.52,46.46 < 15 |walk
Enter the cave at the other entrance |goto 49.60,45.50 < 15 |walk
Kill Dark Iron enemies around this area
|tip They look like dwarves.
|tip Inside the cave, all throughout. |notinsticky
|tip Watch out for patrols and respawns.	|only if hardcore |notinsticky
collect 8 Thorium Plated Dagger##10551 |q 3443/1 |goto 43.38,34.94
step
label "Kill_Dark_Iron_Taskmasters"
kill 15 Dark Iron Taskmaster##5846 |q 7729/1 |goto 43.38,34.94
|tip Inside the cave, all throughout. |notinsticky
|tip Watch out for patrols and respawns.	|only if hardcore |notinsticky
|tip You can also find some outside, near Thorium Point. |notinsticky
step
label "Kill_Dark_Iron_Slavers"
kill 15 Dark Iron Slaver##5844 |q 7729/2 |goto 43.38,34.94
|tip Inside the cave, all throughout. |notinsticky
|tip Watch out for patrols and respawns.	|only if hardcore |notinsticky
|tip You can also find some outside, near Thorium Point. |notinsticky
step
Leave the cave |goto 49.58,45.49 < 10 |c |only if (subzone("The Slag Pit") and _G.IsIndoors())
talk Hansel Heavyhands##14627
turnin Curse These Fat Fingers##7723 |goto 38.59,27.81
turnin Fiery Menace!##7724 |goto 38.59,27.81
turnin Incendosaurs? Whateverosaur is More Like It##7727 |goto 38.59,27.81
step
talk Taskmaster Scrange##14626
turnin STOLEN: Smithing Tuyere and Lookout's Spyglass##7728 |goto 38.98,27.51
turnin JOB OPPORTUNITY: Culling the Competition##7729 |goto 38.98,27.51
step
talk Kalaran Windblade##8479
turnin Forging the Shaft##3443 |goto 39.06,38.99
accept The Flame's Casing##3452 |goto 39.06,38.99 |only if not hardcore
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 51.
|tip You are about to have to kill a bunch of elite enemies for a quest, so being a level higher will help.
|tip The quest leads to many other quests that give a lot of xp, so it's important to get done.
|tip Watch of patrols and respawns while around the area.	|only if hardcore
ding 51 |goto 39.13,49.64 |q 4451 |future
You can find more around: |notinsticky
[42.59,50.65]
[43.93,40.43]
step
Kill Twilight enemies around this area
|tip They are elite enemies, so you may need help with this.
|tip If you have trouble, try to find someone to help you.
|tip Doing this quest unlocks more quests that give easy experience, so it's important to get it done.
collect Symbol of Ragnaros##10552 |q 3452/1 |goto 24.62,35.13
You can find more inside the cave at [21.89,36.36]
You can find more up the path that starts at [24.23,33.12]
|only if not hardcore
step
talk Kalaran Windblade##8479
turnin The Flame's Casing##3452 |goto 39.05,38.99
accept The Torch of Retribution##3453 |goto 39.05,38.99
|only if not hardcore
step
Watch the dialogue
Witness the Creation of the Torch |q 3453/1 |goto 39.05,38.99
|only if not hardcore
step
talk Kalaran Windblade##8479
turnin The Torch of Retribution##3453 |goto 39.05,38.99
accept The Torch of Retribution##3454 |goto 39.05,38.99
|only if not hardcore
step
click Torch of Retribution##149047
turnin The Torch of Retribution##3454 |goto 39.06,39.06
|only if not hardcore
step
talk Kalaran Windblade##8479
accept Squire Maltrake##3462 |goto 39.05,39.00
|only if not hardcore
step
talk Squire Maltrake##8509
turnin Squire Maltrake##3462 |goto 39.16,38.99
accept Set Them Ablaze!##3463 |goto 39.16,38.99
|only if not hardcore
step
Run up the ramp |goto 33.50,53.64 < 15 |only if walking
click Sentry Brazier##149025
|tip On the metal platform of the tower.
|tip You have to equip the Torch of Retribution.
|tip Remember to re-equip your normal weapon after.
Set the Northern Tower Ablaze |q 3463/4 |goto 33.31,54.49
|only if not hardcore
step
Run up the ramp |goto 35.92,59.85 < 15 |only if walking
click Sentry Brazier##149025
|tip On the metal platform of the tower.
|tip You have to equip the Torch of Retribution.
|tip Remember to re-equip your normal weapon after.
Set the Western Tower Ablaze |q 3463/1 |goto 35.67,60.68
|only if not hardcore
step
Follow the path |goto 35.00,72.13 < 50 |only if walking
Run up the ramp |goto 44.10,61.85 < 15 |only if walking
click Sentry Brazier##149025
|tip On the metal platform of the tower.
|tip You have to equip the Torch of Retribution.
|tip Remember to re-equip your normal weapon after.
Set the Southern Tower Ablaze |q 3463/2 |goto 44.03,60.91
|only if not hardcore
step
Cross the hanging bridge |goto 52.48,57.95 < 15 |only if walking
Run up the ramp |goto 50.19,55.61 < 15 |only if walking
click Sentry Brazier##149025
|tip On the metal platform of the tower.
|tip You have to equip the Torch of Retribution.
|tip Remember to re-equip your normal weapon after.
Set the Eastern Tower Ablaze |q 3463/3 |goto 50.06,54.74
|only if not hardcore
step
click Wooden Outhouse##173265
turnin The Key to Freedom##4451 |goto 65.53,62.23
accept Caught!##4449 |goto 65.54,62.24
step
Kill Dark Iron enemies around this area
|tip Kill all of the Dark Iron dwarves in this camp.
|tip You need to kill 8 Dark Iron Geologists for the quest, but there's not enough to kill, without waiting for respawns.
|tip The Geologists share spawn points with the Watchmen, so kill those too.
|tip We will clear the camp now, and come back to kill the rest soon, after completing another quest nearby.
|tip Continue to the next guide step after you clear the camp of dwarves.
Click Here to Continue |confirm |goto 63.13,60.28 |q 4449
step
Follow the path up |goto 67.59,70.55 < 20 |c |q 3181 |future
|only if not hardcore
step
map Searing Gorge
path follow strictbounce; loop off; ants straight; dist 30; markers none
path	69.89,76.37	70.62,74.78	70.52,73.19	68.80,71.78	73.37,73.97
path	73.26,76.28	72.73,78.31	72.96,80.31	73.48,82.34
kill Margol the Rager##5833
|tip It's a level 48 elite, but you should be able to kill it at this level.
|tip Clear enemies around the area before attempting to kill it.
|tip It looks like a blue dinosaur that walks on the path around this area.
|tip If you have trouble, try to find someone to help you.
collect Margol's Horn##10000 |q 3181 |future
|only if not hardcore
step
use Margol's Horn##10000
accept The Horn of the Beast##3181
|only if not hardcore
step
kill 8 Dark Iron Geologist##5839 |q 4449/1 |goto 63.13,60.28
|tip They share spawn points with the Dark Iron Watchmen, so kill those too, if you can't find any.
|tip Enemies tend to bunch together so be prepared for adds.	|only if hardcore
step
click Wooden Outhouse##173265
|tip You should have the Silk Cloth already from a previous guide.
turnin Caught!##4449 |goto 65.54,62.24
step
talk Dorius Stonetender##8284
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait until he respawns.
accept Suntara Stones##3367 |goto 63.92,60.98 |noautoaccept
step
Watch the dialogue
|tip Follow Dorius Stonetender and protect him as he walks.
|tip You will be attacked by groups of enemies along the way, so be ready.
|tip He eventually walks to this location.
Escort Dorius |q 3367/1 |goto 74.42,19.41
step
click Singed Letter
turnin Suntara Stones##3367 |goto 74.45,19.29
accept Suntara Stones##3368 |goto 74.45,19.29
step
Follow the path |goto 67.18,34.60 < 50 |only if walking and subzone("Dustfire Valley")
talk Squire Maltrake##8509
turnin Set Them Ablaze!##3463 |goto 39.17,39.00
|only if not hardcore
step
_Destroy This Item:_
|tip It is no longer needed.
trash Torch of Retribution##10515
|only if not hardcore
step
Watch the dialogue
click Hoard of the Black Dragonflight
accept Trinkets...##3481 |goto 38.86,38.99
|only if not hardcore
step
click Hoard of the Black Dragonflight
turnin Trinkets...##3481 |goto 38.86,38.99
|only if not hardcore
step
use the Hoard of the Black Dragonflight##10569
collect Black Dragonflight Molt##10575 |q 4022 |future
|tip Keep this, you'll need it for a future quest.
|only if not hardcore
step
Follow the path up into Thorium Point |goto Searing Gorge 31.51,33.47 < 20 |only if walking and zone("Searing Gorge")
talk Master Smith Burninate##14624
|tip Buy enough ammo to fill your ammo bag, plus 6-8 extra stacks.
|tip You will be questing a while.
Visit the Vendor |vendor Master Smith Burninate##14624 |goto Searing Gorge 38.80,28.49 |q 2783 |future
|only if Hunter
step
Follow the path up into Thorium Point |goto Searing Gorge 31.51,33.47 < 20 |only if walking and zone("Searing Gorge")
talk Mountaineer Pebblebitty##3836
turnin The Horn of the Beast##3181 |goto Loch Modan 18.19,84.00
accept Proof of Deed##3182 |goto Loch Modan 18.19,84.00
|only if not hardcore
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Blasted Lands (51-51)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Blasted Lands",
condition_suggested=function() return level == 51 and not completedq(2877) end,
next="Leveling Guides\\Western Plaguelands (51-52)",
hardcore = true,
},[[
step
Enter the building |goto Blasted Lands 66.40,18.98 < 10 |walk
talk Ambassador Ardalan##7826
|tip Inside the building, at the top.
accept Petty Squabbles##2783 |goto Blasted Lands 67.57,19.29
step
Leave the building |goto 66.40,18.98 < 10 |walk |only if subzone("Nethergarde Keep") and _G.IsIndoors()
Leave Nethergarde Keep |goto 62.83,19.77 < 30 |only if walking and subzone("Nethergarde Keep")
talk Fallen Hero of the Horde##7572
turnin Petty Squabbles##2783 |goto Swamp of Sorrows 34.29,66.13
accept A Tale of Sorrow##2801 |goto Swamp of Sorrows 34.29,66.13
step
talk Fallen Hero of the Horde##7572
Tell him _"Please continue, Hero..."_
Listen to a Tale of Sorrow |q 2801/1 |goto 34.29,66.13
step
talk Fallen Hero of the Horde##7572
turnin A Tale of Sorrow##2801 |goto 34.29,66.13
step
talk Bloodmage Drazial##7505
accept Snickerfang Jowls##2581 |goto Blasted Lands 50.55,14.21
accept A Boar's Vitality##2583 |goto Blasted Lands 50.55,14.21
accept The Decisive Striker##2585 |goto Blasted Lands 50.55,14.21
step
talk Bloodmage Lynnore##7506
accept The Basilisk's Bite##2601 |goto 50.64,14.30
accept Vulture's Vigor##2603 |goto 50.64,14.30
stickystart "Collect_Blasted_Boar_Lungs"
stickystart "Collect_Scorpok_Pincers"
stickystart "Collect_Basilisk_Brains"
stickystart "Collect_Vulture_Gizzards"
step
Kill Snickerfang enemies around this area
|tip They look like hyenas.
|tip They share spawn locations with other enemies.
|tip If you can't find any at these locations, kill other enemies to get them to spawn.
|tip You will collect enough of these to turn in all 5 quests at once. |notinsticky
collect 5 Snickerfang Jowl##8391 |goto 47.21,21.18 |q 2581
You can find more around: |notinsticky
[44.82,24.87]
[45.44,35.35]
[50.96,38.09]
step
label "Collect_Blasted_Boar_Lungs"
Kill Boar enemies around this area
|tip They share spawn locations with other enemies. |notinsticky
|tip If you can't find any at these locations, kill other enemies to get them to spawn. |notinsticky
|tip You will collect enough of these to turn in all 5 quests at once. |notinsticky
collect 6 Blasted Boar Lung##8392 |goto 57.51,28.74 |q 2583
You can find more around: |notinsticky
[61.82,28.49]
[59.11,35.83]
[59.52,43.48]
step
label "Collect_Scorpok_Pincers"
kill Scorpok Stinger##5988+
|tip They look like scorpions.
|tip They share spawn locations with other enemies. |notinsticky
|tip If you can't find any at these locations, kill other enemies to get them to spawn. |notinsticky
|tip You will collect enough of these to turn in all 5 quests at once. |notinsticky
collect 6 Scorpok Pincer##8393 |goto 49.10,18.12 |q 2585
You can find more around: |notinsticky
[45.29,21.33]
[44.61,29.11]
[52.04,30.03]
[56.81,21.17]
step
label "Collect_Basilisk_Brains"
Kill Redstone enemies around this area
|tip They look like basilisks.
|tip They share spawn locations with other enemies. |notinsticky
|tip If you can't find any at these locations, kill other enemies to get them to spawn. |notinsticky
|tip You will collect enough of these to turn in all 5 quests at once. |notinsticky
collect 11 Basilisk Brain##8394 |goto 55.08,28.94 |q 2601
You can find more around: |notinsticky
[61.75,27.98]
[59.71,43.76]
step
label "Collect_Vulture_Gizzards"
kill Black Slayer##5982+
|tip Bonepickers will also drop the quest item.
|tip They look like vultures.
|tip You will collect enough of these to turn in all 5 quests at once. |notinsticky
|tip These usually take the longest to collect, by far.
|tip You can try to buy them from the auction house, if you don't want to spend the time to collect them. |only if not selfmade
collect 14 Vulture Gizzard##8396 |goto 48.50,19.78 |q 2603
You can find more around: |notinsticky
[45.45,35.25]
[53.42,37.61]
[55.04,43.80]
[59.33,42.05]
[56.46,36.51]
[58.82,27.97]
[62.28,26.43]
step
talk Kum'isha the Collector##7363
|tip He walks around this area.
accept Everything Counts In Large Amounts##3501 |goto 51.80,35.64
|only if itemcount(10593) > 0
step
talk Kum'isha the Collector##7363
|tip He walks around this area.
turnin Everything Counts In Large Amounts##3501 |goto 51.80,35.64
|only if haveq(3501) or completedq(3501)
step
talk Bloodmage Lynnore##7506
turnin The Basilisk's Bite##2601 |goto 50.64,14.30
turnin Vulture's Vigor##2603 |goto 50.64,14.30
step
talk Bloodmage Drazial##7505
turnin Snickerfang Jowls##2581 |goto 50.55,14.21
turnin A Boar's Vitality##2583 |goto 50.55,14.21
turnin The Decisive Striker##2585 |goto 50.55,14.21
step
_Destroy or Sell These Items:_
|tip They are no longer needed.
trash Snickerfang Jowl##8391
trash Blasted Boar Lung##8392
trash Scorpok Pincer##8393
trash Basilisk Brain##8394
trash Vulture Gizzard##8396
step
talk Curator Thorius##8256
|tip He walks around this area inside the building.
turnin Proof of Deed##3182 |goto Ironforge 72.01,15.53	|only if not hardcore
turnin Suntara Stones##3368 |goto Ironforge 72.01,15.53
accept At Last!##3201 |goto Ironforge 72.01,15.53	|only if not hardcore
step
talk Laris Geardawdle##9616
|tip Inside the building.
accept A Little Slime Goes a Long Way##4512 |goto 75.77,23.37
step
talk Historian Karnik##2916
|tip Inside the building.
accept Passing the Burden##3448 |goto 77.53,11.83
|only if not ZGV.IsClassicSoD
step
Enter the building |goto Ironforge 53.24,7.33 < 7 |walk
talk Jubahl Corpseseeker##6382
|tip Inside the building.
|tip If you can afford them.
|tip Buy all of the Grimoires for spells that are upgrades for the spells you use with your pet.
|tip After buying them, make sure to use them in your bags to learn the spells.
Visit the Vendor |vendor Jubahl Corpseseeker##6382 |goto Ironforge 52.70,6.08 |q 3448
|only if Warlock
step
Run up the stairs and enter the building |goto Ironforge 32.02,5.49 < 7 |walk
talk Tymor##8507
|tip Inside the building.
turnin Passing the Burden##3448 |goto Ironforge 30.96,4.82
accept Arcane Runes##3449 |goto Ironforge 30.96,4.82
accept An Easy Pickup##3450 |goto Ironforge 30.96,4.82
|only if not ZGV.IsClassicSoD
step
Enter the building |goto 20.65,53.22 < 7 |walk
talk Innkeeper Firebrew##5111
|tip Inside the building.
home Ironforge |goto 18.16,51.46
step
Enter the building |goto 26.18,72.17 < 15 |walk
talk Auctioneer Redmuse##8720
|tip Inside the building.
|tip Buy it from the Auction House.
|tip It is needed for a quest in Un'Goro Crater.
|tip If you can't get one, it's okay, but you will need to skip a quest later.
collect Mithril Casing##10561 |goto 24.16,74.67 |q 4244 |future
|only if not selfmade
step
Enter the building |goto 66.40,82.48 < 10 |walk
talk Xiggs Fuselighter##8517
|tip Inside the building.
turnin An Easy Pickup##3450 |goto 70.88,94.55
accept Signal for Pickup##3451 |goto 70.88,94.55
|only if not ZGV.IsClassicSoD
step
talk Xiggs Fuselighter##8517
|tip Inside the building.
turnin Signal for Pickup##3451 |goto 70.88,94.55
|only if not ZGV.IsClassicSoD
step
map Ironforge
path	follow strict;	loop on;	ants curved;	dist 30;	markers none
path	57.32,78.92		50.14,81.06		39.59,79.17		34.35,74.44
path	24.69,55.32		24.38,38.36		27.70,25.23		32.24,22.90
path	34.74,33.94		40.38,37.68		48.22,31.09		55.91,35.09
path	57.34,48.56		48.22,57.86		46.33,47.76		39.94,44.41
path	38.43,38.33		34.49,32.86		33.42,21.18		39.45,12.40
path	44.31,10.79		53.02,10.57		58.98,13.76		70.47,33.88
path	71.16,44.77		70.12,55.01		67.38,65.14
talk Courier Hammerfall##10877
|tip He looks like a dwarf that walks in a counter-clockwise path around Ironforge.
|tip This step's path will take you clockwise to help you find him faster.
accept A Call to Arms: The Plaguelands!##5090
step
Enter the building |goto Ironforge 34.09,62.38 < 10 |walk
talk Bailey Stonemantle##2461
|tip Inside the building.
|tip Deposit these items into the bank.
bank Mithril Casing##10561 |goto Ironforge 35.92,60.14 |q 4244 |future
bank Black Dragonflight Molt##10575 |goto Ironforge 35.92,60.14 |q 4022 |future
bank Drawing Kit##10445 |goto Ironforge 35.92,60.14 |q 3449 |future
bank Standard Issue Flare Gun##10444 |goto Ironforge 35.92,60.14 |q 3449 |future
step
talk Bailey Stonemantle##2461
|tip Inside the building.
|tip Collect these items from the bank.
collect Super Snapper FX##9328 |goto 35.92,60.14 |q 2944
collect Snapshot of Gammerita##9330 |goto 35.92,60.14 |q 2944
collect 15 Wildkin Feather##10819 |goto 35.92,60.14 |q 3661
step
talk Tynnus Venomsprout##5169
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Tynnus Venomsprout##5169 |goto Ironforge 52.94,13.66 |q 3201
|only if Rogue
step
talk Mountaineer Pebblebitty##3836
turnin At Last!##3201 |goto Loch Modan 18.19,84.00
step
Enter the building |goto The Hinterlands 11.00,45.67 < 10 |walk
talk Gryphon Master Talonaxe##5636
|tip Inside the building.
turnin The Altar of Zul##2989 |goto The Hinterlands 9.76,44.48
|only if not hardcore
step
Leave the building |goto 11.00,45.67 < 10 |walk |only if subzone("Aerie Peak") and _G.IsIndoors()
Enter the building |goto 14.19,45.18 < 30 |walk |only if not subzone("Wildhammer Keep")
talk Fraggar Thundermantle##7884
|tip Inside the building.
turnin Skulk Rock Clean-up##2877 |goto 14.83,44.56
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Western Plaguelands (51-52)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Western Plaguelands",
condition_suggested=function() return level >= 51 and level <= 52 and not completedq(4493) end,
next = ZGV.IsClassicSoD
and "Leveling Guides\\Felwood (52-52)"
or "Leveling Guides\\Azshara (52-52)",
hardcore = true,
},[[
step
talk Commander Ashlam Valorfist##10838
turnin A Call to Arms: The Plaguelands!##5090 |goto Western Plaguelands 42.70,84.03
accept Clear the Way##5092 |goto Western Plaguelands 42.70,84.03
stickystart "Kill_Slavering_Ghouls"
step
kill 10 Skeletal Flayer##1783 |q 5092/1 |goto 48.51,81.13
|tip Watch for respawns while in the area.	|only if hardcore
You can find more around [50.64,77.01]
step
label "Kill_Slavering_Ghouls"
kill 10 Slavering Ghoul##1791 |q 5092/2 |goto 48.51,81.13
|tip Watch for respawns while in the area.	|only if hardcore |notinsticky
You can find more around [50.64,77.01]
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 52.
|tip Getting this far into level 51 will allow you to reach level 52 after turning in quests soon.
|tip Watch for respawns while in the area.	|only if hardcore
ding 51,149000 |goto 48.51,81.13
You can find more around [50.64,77.01]
step
talk Commander Ashlam Valorfist##10838
turnin Clear the Way##5092 |goto 42.70,84.03
accept The Scourge Cauldrons##5215 |goto 42.70,84.03
step
talk High Priestess MacDonnell##11053
turnin The Scourge Cauldrons##5215 |goto 42.97,84.50
step
talk Erelas Ambersky##7916
|tip Inside the building.
turnin Favored of Elune?##3661 |goto Teldrassil 55.50,92.05
accept Moontouched Wildkin##978 |goto Teldrassil 55.50,92.05
step
talk Daryn Lightwind##7907
|tip Upstairs inside the building.
turnin The Super Snapper FX##2944 |goto 55.41,92.23
accept Return to Troyas##2943 |goto 55.41,92.23
step
talk Garryeth##4209
|tip Inside the building.
|tip Collect these items from the bank.
collect Insect Analysis Report##8594 |goto Darnassus 39.60,41.98 |q 162
collect Linken's Training Sword##11133 |goto Darnassus 39.60,41.98 |q 3908
collect Bloodpetal##11316 |goto Darnassus 39.60,41.98 |q 4142
step
Enter the building |goto 39.04,76.77 < 15 |walk
talk Gracina Spiritmight##7740
|tip Upstairs inside the building.
turnin Rise of the Silithid##162 |goto 41.84,85.62
accept March of the Silithid##4493 |goto 41.84,85.62
step
talk Innkeeper Shaussiy##6737
|tip Inside the building.
home Auberdine |goto Darkshore 37.04,44.13
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Azshara (52-52)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Azshara",
condition_suggested=function() return level == 52 and not completedq(5536) end,
next="Leveling Guides\\Felwood (52-52)",
hardcore = true,
hideif=ZGV.IsClassicSoD,
},[[
step
talk Jarrodenus##12577
fpath Talrendis Point |goto Azshara 11.90,77.59
|only if hardcore
step
talk Loh'atu##11548
accept Spiritual Unrest##5535 |goto Azshara 11.37,78.16
accept A Land Filled with Hatred##5536 |goto Azshara 11.37,78.16
stickystart "Kill_Highborne_Lichlings"
step
Follow the path up |goto 13.45,73.32 < 30 |only if walking
kill 6 Highborne Apparition##6116 |q 5535/1 |goto 14.66,72.47
|tip Watch for patrols and respawns while in the area.	|only if hardcore
You can find more around [17.21,68.82]
step
label "Kill_Highborne_Lichlings"
kill 6 Highborne Lichling##6117 |q 5535/2 |goto 17.21,68.82
|tip Watch for patrols and respawns while in the area.	|only if hardcore |notinsticky
You can find more around [14.66,72.47]
stickystart "Kill_Haldarr_Trickster"
stickystart "Kill_Haldarr_Felsworns"
step
Follow the path up |goto 19.36,62.52 < 30 |only if walking
kill 6 Haldarr Satyr##6125 |q 5536/1 |goto 19.82,61.38
|tip Watch for respawns while in the area.	|only if hardcore
step
label "Kill_Haldarr_Trickster"
kill 2 Haldarr Trickster##6126 |q 5536/2 |goto 19.82,61.38
|tip Watch for respawns while in the area.	|only if hardcore |notinsticky
step
label "Kill_Haldarr_Felsworns"
kill 2 Haldarr Felsworn##6127 |q 5536/3 |goto 19.82,61.38
|tip Watch for respawns while in the area.	|only if hardcore |notinsticky
step
talk Loh'atu##11548
turnin Spiritual Unrest##5535 |goto 11.37,78.17
turnin A Land Filled with Hatred##5536 |goto 11.37,78.17
step
talk Brinna Valanaar##14301
|tip Buy enough ammo to fill your ammo bag, plus 12-15 extra stacks.
|tip You will be questing a while without easy access to an ammo vendor.
Visit the Vendor |vendor Brinna Valanaar##14301 |goto Azshara 12.00,78.38 |q 4101 |future
|only if Hunter
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Felwood (52-52)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Felwood",
condition_suggested=function() return level == 52 and not completedq(8462) end,
next="Leveling Guides\\Winterspring (52-52)",
hardcore = true,
},[[
step
talk Arathandris Silversky##9528
|tip She walks around this area.
accept Cleansing Felwood##4101 |goto Felwood 54.15,86.83
step
talk Greta Mosshoof##10922
|tip She walks around this area.
accept Forces of Jaedenar##5155 |goto 51.21,82.11
step
Enter the building |goto 51.27,81.69 < 10 |walk
talk Eridan Bluewind##9116
|tip Inside the building.
accept The Corruption of the Jadefire##4421 |goto 51.35,81.51
step
use the Package of Empty Ooze Containers##11912
collect 6 Empty Cursed Ooze Jar##11914 |q 4512
collect 6 Empty Tainted Ooze Jar##11948 |q 4512
step
kill Cursed Ooze##7086+
use the Empty Cursed Ooze Jar##11914+
|tip Use them on their corpses.
collect 6 Filled Cursed Ooze Jar##11947 |q 4512/1 |goto 41.22,71.29
You can find more around: |notinsticky
[38.97,72.26]
[40.06,67.15]
[41.93,67.38]
stickystart "Kill_Jadefire_Felsworns"
stickystart "Kill_Jadefire_Shadowstalkers"
stickystart "Kill_Jadefire_Rogues"
step
Follow the path |goto 36.85,66.92 < 30 |only if walking
kill Xavathras##9454 |q 4421/4 |goto 32.24,67.10
|tip Watch for stealthed enemies in the area.		|only if hardcore
|tip Enemies have abnormal aggro radius around here.	|only if hardcore
step
label "Kill_Jadefire_Felsworns"
kill 11 Jadefire Felsworn##7109 |q 4421/1 |goto 32.90,66.62
|tip Watch for stealthed enemies in the area.		|only if hardcore |notinsticky
|tip Enemies have abnormal aggro radius around here.	|only if hardcore |notinsticky
You can find more around: |notinsticky
[37.36,67.64]
step
label "Kill_Jadefire_Shadowstalkers"
kill 9 Jadefire Shadowstalker##7110 |q 4421/2 |goto 32.90,66.62
|tip They are stealthed around this area.
|tip Enemies have abnormal aggro radius around here.	|only if hardcore |notinsticky
You can find more around: |notinsticky
[37.36,67.64]
step
label "Kill_Jadefire_Rogues"
kill 9 Jadefire Rogue##7106 |q 4421/3 |goto 32.90,66.62
|tip Watch for stealthed enemies in the area.		|only if hardcore |notinsticky
|tip Enemies have abnormal aggro radius around here.	|only if hardcore |notinsticky
You can find more around: |notinsticky
[37.36,67.64]
step
Leave the Ruins of Constellas and follow the road north |goto 42.64,65.46 < 50 |only if walking and subzone("Ruins of Constellas")
kill Tainted Ooze##7092+
use the Empty Tainted Ooze Jar##11948+
|tip Use them on their corpses.
collect 6 Filled Tainted Ooze Jar##11949 |q 4512/2 |goto 40.76,59.25
You can find more around [40.28,55.59]
stickystart "Kill_Jaedenar_Guardians"
stickystart "Kill_Jaedenar_Adepts"
stickystart "Kill_Jaedenar_Cultists"
step
kill 4 Jaedenar Hound##7125 |q 5155/1 |goto 38.87,58.49
|tip You can find more in the caves nearby in this area.
|tip Watch for patrols and respawns while in the area.		|only if hardcore
|tip Watch for Jaedenar Adepts as they are ranged attackers.	|only if hardcore
|tip Enemies may run away in fear when at low health.		|only if hardcore
You can find more around: |notinsticky
[37.87,60.72]
[35.12,60.26]
step
label "Kill_Jaedenar_Guardians"
kill 4 Jaedenar Guardian##7113 |q 5155/2 |goto 38.87,58.49
|tip You can find more in the caves nearby in this area. |notinsticky
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
|tip Watch for Jaedenar Adepts as they are ranged attackers.	|only if hardcore |notinsticky
|tip Enemies may run away in fear when at low health.		|only if hardcore |notinsticky
You can find more around: |notinsticky
[37.87,60.72]
[35.12,60.26]
step
label "Kill_Jaedenar_Adepts"
kill 6 Jaedenar Adept##7115 |q 5155/3 |goto 38.87,58.49
|tip You can find more in the caves nearby in this area. |notinsticky
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
|tip Enemies may run away in fear when at low health.		|only if hardcore |notinsticky
You can find more around: |notinsticky
[37.87,60.72]
[35.12,60.26]
step
label "Kill_Jaedenar_Cultists"
kill 6 Jaedenar Cultist##7112 |q 5155/4 |goto 38.87,58.49
|tip You can find more in the caves nearby in this area. |notinsticky
|tip Watch for patrols and respawns while in the area.		|only if hardcore |notinsticky
|tip Watch for Jaedenar Adepts as they are ranged attackers.	|only if hardcore |notinsticky
|tip Enemies may run away in fear when at low health.		|only if hardcore |notinsticky
You can find more around: |notinsticky
[37.87,60.72]
[35.12,60.26]
step
Leave Jaedenar and follow the road south |goto 41.37,57.71 < 50 |only if walking and subzone("Jaedenar")
talk Greta Mosshoof##10922
|tip She walks around this area.
turnin Forces of Jaedenar##5155 |goto 51.21,82.11
accept Collection of the Corrupt Water##5157 |goto 51.21,82.11
step
Enter the building |goto 51.27,81.69 < 10 |walk
talk Eridan Bluewind##9116
|tip Inside the building.
turnin The Corruption of the Jadefire##4421 |goto 51.35,81.51
accept Further Corruption##4906 |goto 51.35,81.51
step
talk Taronn Redfeather##10921
|tip Inside the building.
accept Verifying the Corruption##5156 |goto 50.89,81.62
step
talk Grazle##11554
accept Timbermaw Ally##8460 |goto 50.93,85.01
stickystart "Kill_Deadwood_Pathfinders"
stickystart "Kill_Deadwood_Gardeners"
step
Follow the path |goto 49.02,89.29 < 50 |only if walking and not subzone("Deadwood Village")
kill 6 Deadwood Warrior##7153 |q 8460/1 |goto 48.32,92.99
|tip Watch for enemies grouped at the camps here as they may pull in groups.	|only if hardcore
|tip Deadwood Gardeners may reduce the healing on you.				|only if hardcore
|tip Deadwood Pathfinders are ranged attackers.				|only if hardcore
You can find more around: |notinsticky
[46.51,88.13]
[48.77,89.62]
step
label "Kill_Deadwood_Pathfinders"
kill 6 Deadwood Pathfinder##7155 |q 8460/2 |goto 48.32,92.99
|tip Watch for enemies grouped at the camps here as they may pull in groups.	|only if hardcore |notinsticky
|tip Deadwood Gardeners may reduce the healing on you.				|only if hardcore |notinsticky
You can find more around: |notinsticky
[46.51,88.13]
[48.77,89.62]
step
label "Kill_Deadwood_Gardeners"
kill 6 Deadwood Gardener##7154 |q 8460/3 |goto 48.32,92.99
|tip Watch for enemies grouped at the camps here as they may pull in groups.	|only if hardcore |notinsticky
|tip Deadwood Pathfinders are ranged attackers.				|only if hardcore |notinsticky
You can find more around: |notinsticky
[46.51,88.13]
[48.77,89.62]
step
Leave Deadwood Village |goto 49.56,88.70 < 50 |only if walking and subzone("Deadwood Village")
talk Grazle##11554
turnin Timbermaw Ally##8460 |goto 50.93,85.02
accept Speak to Nafien##8462 |goto 50.93,85.02
step
Kill Deadwood enemies around this area
Reach Unfriendly Reputation with the Timbermaw Hold Faction |complete rep('Timbermaw Hold') >= Unfriendly |goto 48.32,92.99
|tip You are about to go through a long tunnel soon, full of level 52-54 enemies.
|tip If you are not at least Unfriendly with this faction, you will be attacked.
|tip Watch for enemies grouped at the camps here as they may pull in groups.	|only if hardcore
|tip Deadwood Gardeners may reduce the healing on you.				|only if hardcore
|tip Deadwood Pathfinders are ranged attackers.				|only if hardcore
You can find more around: |notinsticky
[46.51,88.13]
[48.77,89.62]
step
Leave Deadwood Village and follow the road north |goto 51.01,84.64 < 50 |only if walking and subzone("Deadwood Village")
Follow the path into Jaedenar |goto 38.37,59.85 < 30 |walk
use the Empty Canteen##12922
|tip Watch for patrols and respawns while in the area.		|only if hardcore
|tip Watch for Jaedenar Adepts as they are ranged attackers.	|only if hardcore
|tip Enemies may run away in fear when at low health.		|only if hardcore
collect Corrupt Moonwell Water##12907 |q 5157/1 |goto 35.20,59.87
stickystart "Kill_Entropic_Beasts"
stickystart "Kill_Entropic_Horrors"
step
Leave Jaedenar and follow the road north |goto 41.37,57.71 < 50 |only if walking and subzone("Jaedenar")
Explore the Craters in Shatter Scar Vale |q 5156/3 |goto 41.54,42.98
|tip Be careful to avoid the elite Infernal Sentries around this area.
step
label "Kill_Entropic_Beasts"
kill 2 Entropic Beast##9878 |q 5156/1 |goto 41.36,41.19
|tip Be careful to avoid the elite Infernal Sentries around this area. |notinsticky
You can find more around [43.63,40.55]
step
label "Kill_Entropic_Horrors"
kill 2 Entropic Horror##9879 |q 5156/2 |goto 41.36,41.19
|tip Be careful to avoid the elite Infernal Sentries around this area. |notinsticky
You can find more around [43.63,40.55]
stickystart "Kill_Jadefire_Hellcallers"
stickystart "Kill_Jadefire_Betrayers"
stickystart "Kill_Jadefire_Tricksters"
step
Follow the path up into Jadefire Run |goto 43.07,21.32 < 30 |only if walking and not subzone("Jadefire Run")
Follow the path |goto 39.79,20.32 < 30 |only if walking
kill Xavaric##10648 |q 4906/4 |goto 39.07,22.35
|tip Watch for enemies near the camps as they tend to pull in groups.	|only if hardcore
|tip He us level 55 with 2 enemies near him.  Try to pull him with only 1 extra enemy.  If you're not confident you can kill him, skip the quest.
collect Flute of Xavaric##11668 |goto 39.07,22.35 |q 939 |future
step
use the Flute of Xavaric##11668
accept Flute of Xavaric##939
step
Kill Jadefire enemies around this area
|tip Watch for enemies near the camps as they tend to pull in groups.	|only if hardcore
collect 5 Jadefire Felbind##11674 |q 939/1 |goto 40.73,19.72
You can find more around: |notinsticky
[42.87,15.21]
[39.10,21.69]
step
label "Kill_Jadefire_Hellcallers"
kill 8 Jadefire Hellcaller##7111 |q 4906/1 |goto 40.73,19.72
|tip Watch for enemies near the camps as they tend to pull in groups.	|only if hardcore |notinsticky
|tip They share spawn points with the others, so kill those also, if you can't find any. |notinsticky
You can find more around: |notinsticky
[42.87,15.21]
[39.10,21.69]
step
label "Kill_Jadefire_Betrayers"
kill 8 Jadefire Betrayer##7108 |q 4906/2 |goto 40.73,19.72
|tip Watch for enemies near the camps as they tend to pull in groups.	|only if hardcore |notinsticky
|tip They share spawn points with the others, so kill those also, if you can't find any. |notinsticky
You can find more around: |notinsticky
[42.87,15.21]
step
label "Kill_Jadefire_Tricksters"
kill 8 Jadefire Trickster##7107 |q 4906/3 |goto 40.73,19.72
|tip Watch for enemies near the camps as they tend to pull in groups.	|only if hardcore |notinsticky
|tip They share spawn points with the others, so kill those also, if you can't find any. |notinsticky
You can find more around: |notinsticky
[42.87,15.21]
step
Kill Warpwood enemies around this area
|tip Inside and outside the cave.
|tip Watch for patrols and respawns while here.	|only if hardcore
collect 15 Blood Amber##11503 |q 4101/1 |goto 55.78,16.85
step
Leave the cave |goto 55.88,17.15 < 40 |walk |only if subzone("Irontree Cavern")
Follow the road |goto 53.91,12.80 < 50 |only if walking and (subzone("Irontree Cavern") or subzone("Irontree Woods"))
Follow the path to Talonbranch Glade |goto 61.80,16.20 < 70 |only if walking and not subzone("Talonbranch Glade")
talk Mishellena##12578
fpath Talonbranch Glade |goto 62.49,24.24
step
Follow the road up |goto 64.61,14.86 < 30 |only if walking
talk Nafien##15395
turnin Speak to Nafien##8462 |goto 64.77,8.13
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Winterspring (52-52)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Winterspring",
condition_suggested=function() return level == 52 and not completedq(978) end,
next="Leveling Guides\\Felwood Part 1 (52-53)",
hardcore = true,
},[[
step
Enter the tunnel |goto Felwood 65.13,8.01 < 10 |walk |only if not zone("Moonglade")
Run down the stairs and follow the path |goto Felwood 65.36,2.34 < 10 |walk |only if not zone("Moonglade")
Leave the tunnel |goto Moonglade 35.75,72.48 < 10 |walk |only if not zone("Moonglade")
talk Sindrayl##10897
fpath Moonglade |goto Moonglade 48.10,67.34
step
Enter the tunnel |goto Moonglade 35.74,72.49 < 10 |walk |only if not zone("Winterspring")
Follow the path |goto Felwood 66.26,2.90 < 10 |walk |only if not zone("Winterspring")
Leave the tunnel |goto Felwood 68.40,5.84 < 10 |walk |only if not zone("Winterspring")
talk Donova Snowden##9298
turnin It's a Secret to Everybody##3908 |goto Winterspring 31.27,45.16
step
Watch the dialogue
talk Donova Snowden##9298
accept The Videre Elixir##3909 |goto 31.27,45.16
step
click Moontouched Feather+
|tip They look like large blue feathers on the ground around this area.
collect 10 Moontouched Feather##12383 |q 978/1 |goto 31.35,45.53
You can find more at: |notinsticky
[30.95,47.02]
[29.39,46.67]
[30.18,45.24]
[30.30,44.03]
[31.42,43.31]
[32.02,44.25]
[32.79,44.36]
[33.07,44.01]
[34.85,43.20]
step
talk Azzleby##11119
|tip Avoid higher level enemies while following the road to this location.
|tip Stable your permanent pet.
|tip You are about to tame a temporary pet, so you can learn "Bite 7".
Click Here to Continue |confirm |goto Winterspring 60.39,37.92 |q 978
|only if Hunter
step
talk Maethrya##11138
|tip Avoid higher level enemies while following the road to this location.
fpath Everlook |goto Winterspring 62.33,36.61
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Felwood Part 1 (52-53)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Felwood",
condition_suggested=function() return level >= 52 and level <= 53 and not completedq(5882) end,
next="Leveling Guides\\Feralas (53-53)",
hardcore = true,
},[[
step
_NOTE:_
Tame a Felpaw Ravager
|tip Use your "Tame Beast" ability on a Felpaw Ravager.
|tip They look like grey wolves around this area.
Learn the "Bite 7" Pet Ability
|tip Kill enemies around this area until you see a message in your chat saying you learned "Bite 7".
|tip You will teach "Bite 7" to your permanent pet soon.
Click Here to Continue |confirm |goto Felwood 62.21,19.91 |q 978
|only if Hunter
step
talk Azzleby##11119
|tip Abandon your temporary pet and get your permanent pet from the stable.
|tip Teach "Bite 7" to your permanent pet.
Click Here to Continue |confirm |goto Winterspring 60.39,37.92 |q 978
|only if Hunter
step
Follow the road south to Emerald Sanctuary |goto Felwood 60.92,15.98 < 50 |only if walking and subzone("Talonbranch Glade")
talk Greta Mosshoof##10922
|tip She walks around this area.
turnin Collection of the Corrupt Water##5157 |goto Felwood 51.21,82.11
accept Seeking Spiritual Aid##5158 |goto Felwood 51.21,82.11
step
Enter the building |goto 51.26,81.70 < 10 |walk
talk Eridan Bluewind##9116
|tip Inside the building.
turnin Flute of Xavaric##939 |goto 51.35,81.51
accept Felbound Ancients##4441 |goto 51.35,81.51
turnin Further Corruption##4906 |goto 51.35,81.51
step
talk Taronn Redfeather##10921
|tip Inside the building.
turnin Verifying the Corruption##5156 |goto 50.89,81.62
step
talk Arathandris Silversky##9528
|tip She walks around this area.
turnin Cleansing Felwood##4101 |goto 54.15,86.83
step
talk Arathandris Silversky##9528
|tip She walks around this area.
Tell her _"I need a Cenarion beacon."_
collect Cenarion Beacon##11511 |goto 54.15,86.83 |q 5882 |future
step
Follow the path |goto 49.02,89.29 < 50 |only if walking and not subzone("Deadwood Village")
Kill enemies around this area
|tip Watch for enemies grouped at the camps here as they may pull in groups.	|only if hardcore
|tip Deadwood Gardeners may reduce the healing on you.				|only if hardcore
|tip Deadwood Pathfinders are ranged attackers.					|only if hardcore
collect 6 Corrupted Soul Shard##11515 |goto 48.32,92.99 |q 5882 |future
You can find more around: |notinsticky
[46.51,88.13]
[48.77,89.62]
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 53.
|tip Grinding a bit here will reduce the amount you have to grind all at once later.
|tip Watch for enemies grouped at the camps here as they may pull in groups.	|only if hardcore
|tip Deadwood Gardeners may reduce the healing on you.				|only if hardcore
|tip Deadwood Pathfinders are ranged attackers.					|only if hardcore
ding 53 |goto 48.32,92.99 |q 5882 |future
You can find more around: |notinsticky
[46.51,88.13]
[48.77,89.62]
step
Leave Deadwood Village |goto 49.56,88.70 < 50 |only if walking and subzone("Deadwood Village")
talk Arathandris Silversky##9528
|tip She walks around this area.
accept Salve via Hunting##5882 |goto 54.15,86.83 |instant
step
_Destroy These Items:_
|tip They are no longer needed.
trash Cenarion Beacon##11511
trash Cenarion Plant Salve##11516
trash Corrupted Soul Shard##11515
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Feralas (53-53)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Feralas",
condition_suggested=function() return level == 53 and not completedq(2942) end,
next="Leveling Guides\\Azshara (53-54)",
hardcore = true,
},[[
step
talk Fahran Silentblade##3969
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Fahran Silentblade##3969 |goto Ashenvale 36.49,49.46 |q 2943
|only if Rogue
step
talk Pratt McGrubben##7852
accept Improved Quality##7733 |goto Feralas 30.63,42.71
step
talk Innkeeper Shyria##7736
|tip Inside the building.
home Feathermoon Stronghold |goto 30.97,43.49
step
talk Troyas Moonbreeze##7764
|tip Inside the building.
turnin Return to Troyas##2943 |goto 31.78,45.50
step
Watch the dialogue
talk Troyas Moonbreeze##7764
|tip Inside the building.
accept The Stave of Equinex##2879 |goto 31.78,45.50
step
Run onto the dock and ride the boat or swim across the water |goto 31.03,39.92 < 40 |only if walking and subzone("Feathermoon Stronghold")
talk Zorbin Fandazzle##14637
accept Zapped Giants##7003 |goto 44.81,43.42
accept Fuel for the Zapping##7721 |goto 44.81,43.42
stickystart "Collect_Water_Elemental_Cores"
step
use Zorbin's Ultra-Shrinker##18904
|tip Use it on Wave Striders around this area.
|tip They look like tall green giants that walks on the shore and in the water around this area.
|tip This quest item only lasts for 2 hours.
|tip If you need a new one, abandon the quest and accept it again from the goblin in the previous guide step.
|tip Watch out for the water elementals here as they are immune to frost damage.	|only if hardcore
kill Zapped Wave Strider##14638+
collect 15 Miniaturization Residue##18956 |q 7003/1 |goto 44.38,50.11
You can find more around: |notinsticky
[46.63,59.79]
[45.36,67.94]
[40.03,37.38]
[36.09,33.74]
step
label "Collect_Water_Elemental_Cores"
Kill Sea enemies around this area
|tip They look like water elementals.
|tip Up and down this whole shore.
|tip They are immune to frost damage.	|only if hardcore
collect 10 Water Elemental Core##18958 |q 7721/1 |goto 46.73,60.23
You can find more around: |notinsticky
[46.30,52.00]
[40.71,37.59]
step
talk Zorbin Fandazzle##14637
turnin Zapped Giants##7003 |goto 44.81,43.42
turnin Fuel for the Zapping##7721 |goto 44.81,43.42
step
_Destroy This Item:_
|tip It is no longer needed.
trash Zorbin's Ultra-Shrinker##18904
step
Follow the road |goto 47.18,44.52 < 30 |only if walking and subzone("The Forgotten Coast")
Discover Dire Maul |goto 59.12,44.62 < 20 |q 5527 |future
|tip Run slightly onto the huge ramp to discover the Dire Maul dungeon.
|tip As soon as you reach the ramp and discover Dire Maul, run away from the ogres and go back to the road.
|tip You need to discover the Dire Maul dungeon to be able to accept a quest later in the guide.
stickystart "Collect_Perfect_Yeti_Hide"
step
Follow the road around and run up the path to the yeti cave |goto 51.42,32.47 < 20 |only if walking
Kill Rage Scar enemies around this area
|tip Inside and outside the cave.
|tip Watch for patrols and respawns while here.	|only if hardcore
collect 10 Rage Scar Yeti Hide##18947 |q 7733/1 |goto 53.17,31.82
step
label "Collect_Perfect_Yeti_Hide"
Kill Rage Scar enemies around this area |notinsticky
|tip Inside and outside the cave. |notinsticky
collect Pristine Yeti Hide##18969 |goto 53.17,31.82 |q 7735 |future
|tip You can also get this item by skinning enemies. |only if skill('Skinning') > 0
step
use the Pristine Yeti Hide##18969
accept Pristine Yeti Hide##7735
step
talk Rockbiter##7765
accept The Giant Guardian##2844 |goto 42.38,22.00
step
Jump onto this break in the wall from the nearby ledge |goto 44.62,9.81 < 3 |only if walking
click Evoroot##164798
|tip Inside the building.
collect Evoroot##11242 |goto 44.55,10.13 |q 3909
step
Jump out of the building |goto 44.64,9.95 < 7 |only if walking and subzone("Ruins of Ravenwind")
Jump up on the ledge |goto 40.33,11.04 < 7 |only if walking
Jump across here |goto 40.59,11.45 < 7 |only if walking
Jump up here |goto 40.97,11.87 < 7 |only if walking
click Flame of Samha
collect Samha Essence##9257 |goto 40.54,12.65 |q 2879
step
click Flame of Imbel##142187
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Imbel Essence##9256 |goto 39.93,9.44 |q 2879
step
click Flame of Lahassa##142186
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Lahassa Essence##9255 |goto 37.76,12.17 |q 2879
step
click Flame of Byltan##142185
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Byltan Essence##9258 |goto 38.50,15.80 |q 2879
step
use Troyas' Stave##9263
collect Stave of Equinex##9306 |q 2879/1 |goto 38.87,13.23
step
click Equinex Monolith##144063
|tip Watch for patrols and respawns while in the area.	|only if hardcore
turnin The Stave of Equinex##2879 |goto 38.87,13.23
accept The Morrow Stone##2942 |goto 38.87,13.23
step
Follow the path up |goto 39.94,13.34 < 30 |only if walking
talk Shay Leafrunner##7774
|tip Watch for patrols and respawns while in the area.	|only if hardcore
turnin The Giant Guardian##2844 |goto 38.22,10.30
accept Wandering Shay##2845 |goto 38.22,10.30
step
click Shay's Chest##144054
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Shay's Bell##9189 |q 2845/1 |goto 38.25,10.29
step
use Shay's Bell##9189
|tip Shay Leafrunner will follow you.
|tip Protect her as you walk.
|tip She will sometimes wander off and stop following you.
|tip You will see a message in your chat when she wanders off.
|tip When this happens, use Shay's Bell to get her to start following you again.
|tip This quest is timed, so try to hurry.
Take Shay Leafrunner to Rockbiter's Camp |q 2845/2 |goto 42.38,22.00
step
talk Rockbiter##7765
turnin Wandering Shay##2845 |goto 42.38,22.00
step
talk Gregan Brewspewer##7775
turnin A Visit to Gregan##4142 |goto 45.12,25.57
step
talk Gregan Brewspewer##7775
|tip Complete the repeatable "The Videre Elixir" quest.
collect Videre Elixir##11243 |q 3909/1 |goto 45.12,25.57
step
Kill enemies around this area
|tip Grind enemies until your Hearthstone is ready to use.
|tip You will be hearthing back to Feathermoon Stronghold.
|tip The guide doesn't take into account this grind, so any extra xp you get now will put you a little bit ahead, and reduce any grinding you have to do later.
|tip This step will complete when your Hearthstone is ready to use.
Grind XP Until You Can Hearth to Feathermoon Stronghold |complete C_Container.GetItemCooldown(6948) == 0 |goto 39.46,13.80 |q 2942
step
talk Pratt McGrubben##7852
turnin Improved Quality##7733 |goto 30.63,42.71
turnin Pristine Yeti Hide##7735 |goto 30.63,42.71
step
talk Troyas Moonbreeze##7764
|tip Inside the building.
turnin The Morrow Stone##2942 |goto 31.78,45.50
|tip The Cairnstone Sliver want is a potential upgrade. |only if Priest
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Azshara (53-54)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Azshara",
condition_suggested=function() return level >= 53 and level <= 54 and not completedq(3461) end,
next="Leveling Guides\\Un'Goro Crater (54-55)",
hardcore = true,
},[[
step
talk Islen Waterseer##5901
turnin Seeking Spiritual Aid##5158 |goto The Barrens 65.83,43.78
step
Watch the dialogue
talk Islen Waterseer##5901
accept Cleansed Water Returns to Felwood##5159 |goto 65.83,43.78
step
Enter the building |goto 62.08,39.26 < 15 |walk
talk Innkeeper Wiley##6791
|tip Inside the building.
home Ratchet |goto 62.05,39.41
step
Enter the building |goto 62.52,38.58 < 10 |walk
talk Liv Rizzlefix##8496
|tip Inside the building.
accept Volcanic Activity##4502 |goto 62.45,38.74
step
talk Fuzruckle##3496
|tip Collect these items from the bank.
collect Drawing Kit##10445 |goto 62.64,37.42 |q 3449
collect Standard Issue Flare Gun##10444 |goto 62.64,37.42 |q 3449
|only if not ZGV.IsClassicSoD
step
talk Fuzruckle##3496
|tip Desposit these items into the bank.
bank Eridan's Vial##11682 |goto 62.64,37.42 |q 4441 |future
bank Filled Cursed Ooze Jar##11947 |goto 62.64,37.42 |q 4512 |future
|tip You should have 6 of these.
bank Filled Tainted Ooze Jar##11949 |goto 62.64,37.42 |q 4512 |future
|tip You should have 6 of these.
bank Moontouched Feather##12383 |goto 62.64,37.42 |q 978 |future
|tip You should have 10 of these.
bank Purified Moonwell Water##12906 |goto 62.64,37.42 |q 5159 |future
bank Videre Elixir##11243 |goto 62.64,37.42 |q 3909 |future
|tip You should have 3 of these.
step
talk Fahran Silentblade##3969
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
|tip You're about to travel to Un'goro where there aren't any poison vendors nearby.
Visit the Vendor |vendor Fahran Silentblade##3969 |goto Ashenvale 36.49,49.46 |q 3449
|only if Rogue
|only if not ZGV.IsClassicSoD
step
talk Brinna Valanaar##14301
|tip Buy enough ammo to fill your ammo bag, plus 15-20 extra stacks.
|tip You will be questing and grinding a while.
Visit the Vendor |vendor Brinna Valanaar##14301 |goto Azshara 12.00,78.38 |q 3449
|only if Hunter
|only if not ZGV.IsClassicSoD
step
Follow the path |goto Azshara/0 20.32,67.98 < 25 |only if walking
Continue following the path |goto 25.14,60.44 < 25 |only if walking
Continue following the path |goto 29.22,55.93 < 25 |only if walking
Follow the path down |goto 32.50,56.40 < 25 |only if walking
click Rune of Beth'Amara##149481
|tip Spitelash Sirens may heal while fighting.		|only if hardcore
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Rubbing: Rune of Beth'Amara##10563 |q 3449/1 |goto Azshara 36.87,53.19
|only if not ZGV.IsClassicSoD
step
click Rune of Markri##149482
|tip Spitelash Sirens may heal while fighting.		|only if hardcore
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Rubbing: Rune of Markri##10565 |q 3449/3 |goto 39.30,55.48
|only if not ZGV.IsClassicSoD
step
click Rune of Sael'hai##149483
|tip Spitelash Sirens may heal while fighting.		|only if hardcore
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Rubbing: Rune of Sael'hai##10566 |q 3449/4 |goto 42.34,64.13
|only if not ZGV.IsClassicSoD
step
click Rune of Jin'yael##149480
|tip Spitelash Sirens may heal while fighting.		|only if hardcore
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Rubbing: Rune of Jin'yael##10564 |q 3449/2 |goto 39.56,50.31
|only if not ZGV.IsClassicSoD
step
Follow the path down |goto 40.50,47.76 < 30 |only if walking |only if (subzone("Ruins of Eldarath ") or subzone("Temple of Zin-Malor") or subzone("The Shattered Strand")) and walking
Follow the path |goto 46.94,41.46 < 30 |only if walking |only if walking and (subzone("Ruins of Eldarath ") or subzone("Temple of Zin-Malor") or subzone("The Shattered Strand"))
Follow the path |goto 45.16,36.79 < 40 |only if walking |only if walking and (subzone("Ruins of Eldarath ") or subzone("Temple of Zin-Malor") or subzone("The Shattered Strand"))
talk Kim'jael##8420
|tip On top of the big hill.
accept Kim'jael Indeed!##3601 |goto 53.45,21.82
|only if not ZGV.IsClassicSoD
step
click Kim'jael's Equipment##153123
|tip They look like wooden boxes on the ground around this area.
|tip Some of them may be empty.
|tip They respawn, and can contain new items, so check them repeatedly.
|tip Blood Elf Reclaimers are ranged attackers that deal heavy damage.	|only if hardcore
|tip Enemies may bunch together so be careful.				|only if hardcore
|tip Watch for patrols and respawns while in the area.			|only if hardcore
collect Kim'Jael's Compass##10717 |q 3601/1 |goto 56.09,30.20
collect Kim'Jael's Scope##10715 |q 3601/2 |goto 56.09,30.20
collect Kim'Jael's Stuffed Chicken##10722 |q 3601/3 |goto 56.09,30.20
collect Kim'Jael's Wizzlegoober##10718 |q 3601/4 |goto 56.09,30.20
You can find more around: |notinsticky
[56.29,28.76]
[57.03,28.30]
[58.55,29.05]
[58.76,28.71]
[59.61,30.93]
|only if not ZGV.IsClassicSoD
step
talk Kim'jael##8420
|tip On top of the big hill.
turnin Kim'jael Indeed!##3601 |goto 53.45,21.82
accept Kim'jael's "Missing" Equipment##5534 |goto 53.45,21.82
|only if not ZGV.IsClassicSoD
step
Follow the path down |goto 45.27,37.16 < 50 |only if walking and not subzone("The Shattered Strand")
Kill Spitelash enemies around this area
|tip The Spitelash Sirens and Spitelash Myrmidons have the highest drop rate, so try to focus on killing those.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Some Rune##13815 |q 5534/1 |goto 47.65,43.93
You can find more around: |notinsticky
[46.76,53.80]
[48.51,64.11]
|only if not ZGV.IsClassicSoD
step
Follow the path up |goto 45.95,38.62 < 30 |only if walking and subzone("The Shattered Strand")
talk Kim'jael##8420
|tip On top of the big hill.
turnin Kim'jael's "Missing" Equipment##5534 |goto 53.45,21.82
|only if not ZGV.IsClassicSoD
step
Kill enemies around this area
|tip You are about to go back to Un'Goro Crater soon, and have to fight higher level enemies, so being a level higher is important.
|tip This is the last long grind you will have to do before reaching level 60.
|tip These Blood Elves drop Runecloth, and you will need 240 Runecloth for cloth turn ins in the major cities, for a quick burst of xp.
|tip If you'd rather run dungeons to reach level 54, skip this step and run dungeons after you hearth back to Ratchet soon.
|tip Blood Elf Reclaimers are ranged attackers that deal heavy damage.	|only if hardcore
|tip Enemies may bunch together so be careful.				|only if hardcore
|tip Watch for patrols and respawns while in the area.			|only if hardcore
ding 54 |goto 56.94,29.30
It's a long run, but you can get more arrows at [12.00,78.38]		|only if Hunter
|only if not ZGV.IsClassicSoD
step
Follow the path down to the beach |goto 45.27,37.16 < 50 |only if walking and not subzone("The Shattered Strand")
use the Standard Issue Flare Gun##10444
|tip Use it on the wooden platform.
|tip Follow the beach/water to this tiny island, avoiding enemies.
|tip If you find it too difficult and dangerous to get to the island, skip the quest. |only if hardcore
talk Pilot Xiggs Fuselighter##8392
|tip He appears nearby.
|tip It takes a little while for him to show up.
turnin Arcane Runes##3449 |goto 77.80,91.32
accept Return to Tymor##3461 |goto 77.80,91.32
|only if not ZGV.IsClassicSoD
step
_Destroy This Item:_
|tip It is no longer needed.
trash Standard Issue Flare Gun##10444
|only if not ZGV.IsClassicSoD
step
talk Fuzruckle##3496
|tip Deposit these items into the bank.
bank Drawing Kit##10445 |goto The Barrens 62.64,37.42 |q 3461 |future
|only if not ZGV.IsClassicSoD
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Un'Goro Crater (54-55)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Un'Goro Crater",
condition_suggested=function() return level >= 54 and level <= 55 and not completedq(7800) end,
next="Leveling Guides\\Felwood Part 2 (55-55)",
hardcore = true,
},[[
step
talk Fuzruckle##3496
|tip Collect these items from the bank.
collect Un'Goro Soil##11018 |goto The Barrens 62.64,37.42 |q 3764 |future
|tip As many as you have.
collect Torwa's Pouch##11568 |goto The Barrens 62.64,37.42 |q 4292
collect Mithril Casing##10561 |goto The Barrens 62.64,37.42 |q 4244 |future
step
talk Tran'rek##7876
accept Super Sticky##4504 |goto Tanaris 51.57,26.76
step
talk Alchemist Pestlezugg##5594
|tip Inside the building.
turnin March of the Silithid##4493 |goto 50.89,26.96
accept Bungle in the Jungle##4496 |goto 50.89,26.96
step
talk Williden Marshal##9270
accept Expedition Salvation##3881 |goto Un'Goro Crater 43.95,7.14
step
talk Hol'anyee Marshal##9271
accept Alien Ecology##3883 |goto 43.89,7.24
step
talk Spark Nilminer##9272
accept Roll the Bones##3882 |goto 43.50,7.42
step
Enter the cave |goto 43.47,6.79 < 15 |walk
talk J.D. Collie##9117
|tip Inside the cave.
accept The Northern Pylon##4285 |goto 41.92,2.70
step
Leave the cave |goto 43.47,6.79 < 15 |walk |only if subzone("Marshal's Refuge") and _G.IsIndoors()
click Beware of Pterrordax##174682
accept Beware of Pterrordax##4501 |goto 43.55,8.42
step
talk Shizzle##9998
accept Shizzle's Flyer##4503 |goto 44.24,11.59
step
talk Karna Remtravel##9618
accept Chasing A-Me 01##4243 |goto 46.38,13.45
stickystart "Collect_UnGoro_Soil"
stickystart "Collect_Webbed_Pterrordax_Scales"
step
Run around the huge tree and follow the path up |goto 54.83,13.49 < 40 |only if walking
click Northern Crystal Pylon##164955
Choose _"I want to examine this pylon."_
Discover and Examine the Northern Crystal Pylon |q 4285/1 |goto 56.48,12.45
step
kill Pterrordax##9166+
|tip Kill all of them around this area.
|tip You will kill more of these later, so you don't need to complete the quest now.
Clike Here to Continue |confirm |goto 56.71,9.55 |q 4501
stickystop "Collect_Webbed_Pterrordax_Scales"
step
Kill Tar enemies around this area
collect 12 Super Sticky Tar##11834 |q 4504/1 |goto 59.96,30.56
You can find more around: |notinsticky
[59.75,24.49]
[63.54,23.41]
stickystart "Collect_UnGoro_Thunderer_Pelts"
stickystart "Collect_UnGoro_Stomper_Pelts"
step
kill Un'Goro Gorilla##6514+
|tip Inside and outside the cave.
|tip The gorillas share spawn points.
|tip They will call for help at low health, which will cause nearby gorillas to come to their aid.	|only if hardcore
|tip If you can't find any more of these, kill the other types of gorillas to get them to spawn.
collect 2 Un'Goro Gorilla Pelt##11478 |q 4289/1 |goto 64.02,16.32
step
label "Collect_UnGoro_Stomper_Pelts"
kill Un'Goro Stomper##6513+
|tip Inside and outside the cave. |notinsticky
|tip The gorillas share spawn points. |notinsticky
|tip Watch for patrols and respawns while in the area.	|only if hardcore |notinsticky
|tip If you can't find any more of these, kill the other types of gorillas to get them to spawn. |notinsticky
collect 2 Un'Goro Stomper Pelt##11479 |q 4289/2 |goto 64.02,16.32
step
label "Collect_UnGoro_Thunderer_Pelts"
kill Un'Goro Thunderer##6516+
|tip Inside and outside the cave. |notinsticky
|tip The gorillas share spawn points. |notinsticky
|tip Be mindful of your surroundings while fighting the Gorillas. |only if hardcore |notinsticky
|tip They can call for help, which will aggro gorillas that are a decent bit away from you. |only if hardcore |notinsticky
|tip If you can't find any more of these, kill the other types of gorillas to get them to spawn. |notinsticky
collect 2 Un'Goro Thunderer Pelt##11480 |q 4289/3 |goto 64.02,16.32
step
Enter the cave |goto 63.88,16.44 < 15 |walk |only if not _G.IsIndoors()
Follow the path inside the cave |goto 65.87,16.75 < 10 |walk
talk A-Me 01##9623
|tip Inside the cave.
|tip She gives an escort quest.
|tip If she's not here, someone may be escorting her.
|tip Wait until she respawns.
|tip If you have to wait, clear enemies between this spot and the cave entrance while waiting. |only if hardcore
turnin Chasing A-Me 01##4243 |goto 67.65,16.76
accept Chasing A-Me 01##4244 |goto 67.65,16.76 |only if (itemcount(10561) > 0) or (haveq(4244) or completedq(4244))
step
_NOTE:_
Grind to Catch Up XP
|tip You don't have the Mithril Casing item, so you're unable to complete 2 quests from A-Me 01.
|tip Grind 12,000 xp on the apes inside and outside this cave to make up for the lost xp.
Click Here to Continue After Grinding |confirm |q 4491 |future
|only if (itemcount(10561) == 0) and (completedq(4243) and not (haveq(4244) or completedq(4244)))
step
talk A-Me 01##9623
|tip Inside the cave.
|tip This is an escort quest.
|tip If she's not here, someone may be escorting her.
|tip Wait until she respawns.
|tip If you are waiting, clear enemies between this spot and the cave entrance while waiting.	|only if hardcore
turnin Chasing A-Me 01##4244 |goto 67.65,16.76
|tip If you don't have the Mithril Casing to complete this quest, abandon the quest and grind 12,000 xp on the apes.  |only if (itemcount(10561) == 0) and not completedq(4244)
|tip This will make up for skipping this quest, and the escort quest followup. |only if (itemcount(10561) == 0) and not completedq(4244)
accept Chasing A-Me 01##4245 |goto 67.65,16.76 |noautoaccept
|only if haveq(4244) or completedq(4244)
step
Watch the dialogue
|tip Follow A-Me 01 and protect her as she walks.
|tip She eventually walks to this location.
Protect A-Me 01 Until You Reach Karna Remtravel |q 4245/1 |goto 46.32,13.68
|only if haveq(4245) or completedq(4245)
step
talk Karna Remtravel##9618
turnin Chasing A-Me 01##4245 |goto 46.38,13.45
|only if haveq(4245) or completedq(4245)
step
Enter the cave |goto 43.47,6.79 < 15 |walk
talk J.D. Collie##9117
|tip Inside the cave.
turnin The Northern Pylon##4285 |goto 41.92,2.70
accept The Eastern Pylon##4287 |goto 41.92,2.70
accept The Western Pylon##4288 |goto 41.92,2.70
stickystart "Collect_Dinosaur_Bones"
stickystart "Collect_Webbed_Diemetradon_Scales"
step
Leave the cave |goto 43.47,6.79 < 15 |walk |only if subzone("Marshal's Refuge") and _G.IsIndoors()
click Crate of Foodstuffs##249
collect Crate of Foodstuffs##11113 |q 3881/1 |goto 68.51,36.54
step
Follow the path up |goto 76.66,48.69 < 20 |only if walking
click Eastern Crystal Pylon##164957
Choose _"I want to examine this pylon."_
Discover and Examine the Eastern Crystal Pylon |q 4287/1 |goto 77.24,49.97
step
use Torwa's Pouch##11568
collect Preserved Threshadon Meat##11569 |q 4292
collect Preserved Pheromone Mixture##11570 |q 4292
step
use the Preserved Threshadon Meat##11569
|tip Use this first.
use the Preserved Pheromone Mixture##11570
|tip Use this second.
kill Lar'korwi##9684
|tip Be sure to heal up before engaging.
|tip He's level 56, but you should be able to kill him at this level.
|tip If you have trouble, try to find someone to help you.
collect Lar'korwi's Head##11510 |q 4292/1 |goto 79.92,49.90
|only if not hardcore
step
talk Torwa Pathfinder##9619
turnin The Apes of Un'Goro##4289 |goto 71.64,75.97
turnin The Bait for Lar'korwi##4292 |goto 71.63,75.96
accept The Mighty U'cha##4301 |goto 71.64,75.97
stickystart "Collect_Webbed_Pterrordax_Scales"
step
Follow the path up |goto 58.01,85.25 < 20 |only if walking
kill 10 Pterrordax##9166 |q 4501/1 |goto 56.23,90.09
You can find more: |notinsticky
Up the path that starts at [51.26,86.64]
Up the path that starts at [45.88,86.65]
stickystop "Collect_Webbed_Pterrordax_Scales"
stickystart "Collect_Gorishi_Scent_Gland"
step
Enter the cave |goto 49.95,81.70 < 10 |walk
Follow the path down |goto 49.48,83.08 < 7 |walk
use the Unused Scraping Vial##11132
|tip Inside the cave.
|tip This cave is dangerous. |only if hardcore
|tip Be mindful of patrolling enemies while you travel through. |only if hardcore
collect Hive Wall Sample##11131 |q 3883/1 |goto 48.74,85.21
step
Leave the cave |goto 49.94,81.65 < 10 |c |q 4496
|only if subzone("The Slithering Scar") and _G.IsIndoors()
step
label "Collect_Gorishi_Scent_Gland"
Kill Gorishi enemies around this area
|tip You can find more inside the insect cave in the ground nearby. |only if not hardcore
|tip There are more inside the cave, but it is safer outside. |only if hardcore
collect Gorishi Scent Gland##11837 |q 4496/1 |goto 50.66,77.01
stickystart "Kill_Frenzied_Pterrordax"
step
Leave the cave |goto 49.94,81.65 < 10 |only if subzone("The Slithering Scar") and _G.IsIndoors()
click Research Equipment##161521
collect Research Equipment##11112 |q 3881/2 |goto 38.47,66.11
step
talk Krakle##10302
accept Finding the Source##974 |goto 30.93,50.43
stickystart "Collect_Webbed_Pterrordax_Scales"
step
Follow the path up |goto 24.20,61.28 < 20 |only if walking
click Western Crystal Pylon##164956
Choose _"I want to examine this pylon."_
Discover and Examine the Western Crystal Pylon |q 4288/1 |goto 23.79,59.19
step
label "Kill_Frenzied_Pterrordax"
kill 15 Frenzied Pterrordax##9167 |q 4501/2 |goto 21.75,59.39
You can find more around: |notinsticky
[23.26,49.89]
[22.81,41.53]
[23.36,41.24]
[39.05,47.06]
[28.28,33.06]
[34.49,37.63]
[31.25,44.33]
step
label "Collect_Webbed_Pterrordax_Scales"
Kill Pterrordax enemies around this area
|tip They look like pterodactyls.
collect 8 Webbed Pterrordax Scale##11831 |q 4503/2 |goto 24.15,38.86
You can find more around: |notinsticky
[39.05,47.06]
[28.28,33.06]
[34.49,37.63]
[31.25,44.33]
step
label "Collect_Dinosaur_Bones"
Kill Diemetradon enemies around this area
collect 8 Dinosaur Bone##11114 |q 3882/1 |goto 59.18,53.99
You can find more around: |notinsticky
[56.74,63.47]
[49.24,61.78]
[50.79,67.25]
[45.26,68.91]
[41.52,56.95]
step
label "Collect_Webbed_Diemetradon_Scales"
Kill Diemetradon enemies around this area
collect 8 Webbed Diemetradon Scale##11830 |q 4503/1 |goto 59.18,53.99
You can find more around: |notinsticky
[56.74,63.47]
[49.24,61.78]
[50.79,67.25]
[45.26,68.91]
[41.52,56.95]
step
label "Collect_UnGoro_Soil"
click Un'Goro Dirt Pile##157936+
|tip They look like piles of dark brown dirt on the ground around this area.
|tip You can find them all over the entire zone.
Kill enemies around this area
|tip Any enemy in Un'Goro Crater can drop the quest item.
collect 25 Un'Goro Soil##11018 |q 3764 |future
|tip Be careful not to accidentally sell these to a vendor.
step
talk Shizzle##9998
turnin Shizzle's Flyer##4503 |goto 44.23,11.59
step
talk Spraggle Frock##9997
turnin Beware of Pterrordax##4501 |goto 43.62,8.50
accept Lost!##4492 |goto 43.62,8.50
step
talk Spark Nilminer##9272
turnin Roll the Bones##3882 |goto 43.50,7.43
step
talk Hol'anyee Marshal##9271
turnin Alien Ecology##3883 |goto 43.89,7.24
step
talk Williden Marshal##9270
turnin Expedition Salvation##3881 |goto 43.95,7.14
step
Enter the cave |goto 43.47,6.79 < 15 |walk
talk J.D. Collie##9117
|tip Inside the cave.
turnin The Eastern Pylon##4287 |goto 41.92,2.70
turnin The Western Pylon##4288 |goto 41.92,2.70
accept Making Sense of It##4321 |goto 41.92,2.70
step
talk J.D. Collie##9117
|tip Inside the cave.
turnin Making Sense of It##4321 |goto 41.92,2.70
step
_Destroy This Item:_
|tip It is no longer needed.
trash Crystal Pylon User's Manual##11482
stickystart "Collect_UnGoro_Ash"
step
Leave the cave |goto 43.47,6.79 < 15 |walk |only if subzone("Marshal's Refuge") and _G.IsIndoors()
Follow the path up |goto 52.84,42.05 < 20 |only if walking
Follow the path up |goto 52.33,45.52 < 10 |only if walking
Continue up the path |goto 51.18,47.35 < 10 |only if walking
use Krakle's Thermometer##12472
|tip At the top of the mountain.
Find the Hottest Area of Fire Plume Ridge |q 974/1 |goto 49.70,45.74
step
label "Collect_UnGoro_Ash"
Kill enemies around this area
|tip They look like fire elementals on and around this volcano mountain.
|tip Avoid the elite enemy in the cave at the top of the mountain.
collect 9 Un'Goro Ash##11829 |q 4502/1 |goto 50.98,47.18
step
Enter the cave |goto 52.44,51.07 < 15 |walk
talk Ringo##9999
|tip Inside the cave.
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait until he respawns.
turnin Lost!##4492 |goto 51.90,49.85
accept A Little Help From My Friends##4491 |goto 51.90,49.85 |noautoaccept
step
Leave the cave |goto 52.50,51.16 < 15 |walk
Follow the path down |goto 54.19,50.77 < 15 |only if walking
Follow the path |goto 56.72,43.18 < 50 |only if walking
Follow the path up |goto 46.04,13.45 < 20 |only if walking
Watch the dialogue
|tip Ringo will follow you, protect him as you walk.
|tip He will faint multiple times as he walks, so make sure he is with you at all times.
|tip You will see a message in your chat when he faints.
use Spraggle's Canteen##11804
|tip Use it on Ringo to revive him when he faints.
Escort Ringo to Spraggle Frock at Marshal's Refuge |q 4491/1 |goto 43.62,8.51
step
Watch the dialogue
talk Spraggle Frock##9997
turnin A Little Help From My Friends##4491 |goto 43.62,8.51
step
_Destroy This Item:_
|tip It is no longer needed.
trash Spraggle's Canteen##11804
step
Enter the cave |goto 63.94,16.39 < 15 |walk
Follow the path |goto 65.98,15.65 < 10 |walk
Continue following the path |goto 69.08,17.63 < 10 |walk
Continue following the path |goto 69.41,16.57 < 10 |walk
Continue following the path |goto 68.61,13.57 < 10 |walk
|tip Un'goro Gorilla will call for support when at low health, aggroing nearby allies onto you.	|only if hardcore
|tip Watch for patrols and respawn while in the area.	|only if hardcore
kill U'cha##9622
|tip Upstairs inside the cave.
collect U'cha's Pelt##11476 |q 4301/1 |goto 68.15,12.58
step
Leave the cave |goto 63.88,16.43 < 15 |walk |only if subzone("Fungal Rock") and _G.IsIndoors()
talk Torwa Pathfinder##9619
turnin The Mighty U'cha##4301 |goto 71.63,75.96
step
talk Krakle##10302
turnin Finding the Source##974 |goto 30.93,50.44
accept The New Springs##980 |goto 30.93,50.44
step
Kill enemies around this area
|tip Getting this far into level 54 will allow you to reach level 55 when turning in quests soon.
|tip You should already be pretty close to reaching level 55.
ding 54,163500 |goto 46.34,17.42
step
talk Tran'rek##7876
turnin Super Sticky##4504 |goto Tanaris 51.57,26.76
step
talk Alchemist Pestlezugg##5594
|tip Inside the building.
turnin Bungle in the Jungle##4496 |goto 50.89,26.96
step
Enter the building |goto 52.21,28.57 < 10 |walk
talk Gimblethorn##7799
|tip Inside the building.
collect Eridan's Vial##11682 |goto 52.30,28.91 |q 4441
collect 10 Moontouched Feather##12383 |goto 52.30,28.91 |q 978
collect Purified Moonwell Water##12906 |goto 52.30,28.91 |q 5159
collect 3 Videre Elixir##11243 |goto 52.30,28.91 |q 3909
step
Enter the building |goto The Barrens 62.52,38.57 < 10 |walk
talk Liv Rizzlefix##8496
|tip Inside the building.
turnin Volcanic Activity##4502 |goto The Barrens 62.45,38.73
step
talk Erelas Ambersky##7916
|tip Inside the building.
turnin Moontouched Wildkin##978 |goto Teldrassil 55.50,92.04
accept Find Ranshalla##979 |goto Teldrassil 55.50,92.04
step
talk Daryn Lightwind##7907
|tip Upstairs inside the building.
accept Starfall##5250 |goto 55.41,92.23
step
map Darnassus
path	follow strict; loop on; ants curved; dist 20; markers none
path	36.00,41.30		38.50,47.91		40.25,73.62		49.94,80.49
path	54.88,74.47		57.42,82.41		67.68,57.45		62.02,52.75
path	61.79,40.59		43.80,41.10		36.79,14.21		39.17,20.89
path	49.77,18.95		52.37,18.62		54.33,10.03		57.70,7.66
path	65.06,16.66		60.60,22.94		61.80,32.53		61.54,40.48
talk Herald Moonstalker##10878
|tip She looks like a night elf that walks in a large path around Darnassus.
accept The New Frontier##1047
step
Enter the building |goto Darnassus 39.04,76.76 < 15 |walk
use Eridan's Vial##11682
|tip Inside the building.
collect Vial of Blessed Water##5646 |q 4441/1 |goto Darnassus 39.51,83.92
step
Leave the building |goto 39.04,76.76 < 15 |walk |only if subzone("Temple of the Moon")
Enter the building |goto 35.52,10.70 < 10 |walk
talk Arch Druid Fandral Staghelm##3516
|tip He walks around inside the building, at the top.
turnin The New Frontier##1047 |goto 34.82,9.25
accept The New Frontier##6761 |goto 34.82,9.25
accept Un'Goro Soil##3764 |goto 34.82,9.25
step
talk Jenal##9047
|tip On the ground, outside the building.
turnin Un'Goro Soil##3764 |goto 31.49,8.23
step
_Destroy or Sell These Items:_
|tip They are no longer needed.
trash Un'Goro Soil##11018
step
Enter the building |goto 35.52,10.70 < 10 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building, on the middle floor.
turnin The New Frontier##6761 |goto 35.38,8.40
accept Rabine Saturna##6762 |goto 35.38,8.40
step
talk Arch Druid Fandral Staghelm##3516
|tip He walks around inside the building, at the top.
accept Morrowgrain Research##3781 |goto 34.80,9.25
step
talk Mathrengyl Bearwalker##4217
|tip Inside the tower, on the middle level.
turnin Morrowgrain Research##3781 |goto 35.37,8.40
step
talk Cyroen##4220
|tip Inside the building, on the bottom floor.
|tip If you can afford it.
|tip Stock up on a couple of Runes of Teleportation to use to travel faster while leveling.
Visit the Vendor |vendor Cyroen##4220 |goto Darnassus 33.85,9.51 |q 5159
|only if Mage
step
talk Auctioneer Golothas##8723
|tip Inside the building.
|tip Buy these items from the auction house or collect them from your bank.
|tip You will turn them in for a lot of experience.
|tip If you have any in your bank, get them out before you buy more.
|tip If you can't get them, it's okay, but you may have to grind a bit later to make up for it.
collect 60 Wool Cloth##2592 |goto Darnassus 56.24,54.04 |q 7792 |future
collect 60 Silk Cloth##4306 |goto Darnassus 56.24,54.04 |q 7798 |future
collect 60 Mageweave Cloth##4338 |goto Darnassus 56.24,54.04 |q 7799 |future
collect 60 Runecloth##14047 |goto Darnassus 56.24,54.04 |q 7800 |future
|only if not selfmade
step
Run up the ramp |goto 61.25,23.25 < 10 |only if walking
talk Raedon Duskstriker##14725
accept A Donation of Wool##7792 |goto 64.02,23.00 |instant
|only if itemcount(2592) >= 60
step
talk Raedon Duskstriker##14725
accept A Donation of Silk##7798 |goto 64.02,23.00 |instant
|only if itemcount(4306) >= 60
step
talk Raedon Duskstriker##14725
accept A Donation of Mageweave##7799 |goto 64.02,23.00 |instant
|only if itemcount(4338) >= 60
step
talk Raedon Duskstriker##14725
accept A Donation of Runecloth##7800 |goto 64.02,23.00 |instant
|only if itemcount(14047) >= 60
step
talk Kyrai##3561
|tip Upstairs inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Kyrai##3561 |goto Darnassus 32.55,19.74 |q 5159
|only if Rogue
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Felwood Part 2 (55-55)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Felwood",
condition_suggested=function() return level == 55 and not completedq(8465) end,
next="Leveling Guides\\Winterspring (55-55)",
hardcore = true,
},[[
step
talk Greta Mosshoof##10922
turnin Cleansed Water Returns to Felwood##5159 |goto Felwood 51.21,82.11
accept Dousing the Flames of Protection##5165 |goto Felwood 51.21,82.11
step
Enter the building |goto 51.26,81.69 < 10 |walk
talk Eridan Bluewind##9116
|tip Inside the building.
turnin Felbound Ancients##4441 |goto 51.35,81.51
step
Watch the dialogue
talk Eridan Bluewind##9116
|tip Inside the building.
accept Purified!##4442 |goto 51.35,81.51
step
talk Eridan Bluewind##9116
|tip Inside the building.
turnin Purified!##4442 |goto 51.35,81.51
step
_Destroy These Items:_
|tip They are no longer needed.
trash Flute of the Ancients##11445
stickystart "Collect_Blood_Red_Key"
stickystart "Accept_A_Strange_Red_Key"
step
Follow the road to Jaedenar and follow path |goto 38.40,59.74 < 30 |only if walking and not subzone("Shadow Hold")
Enter the cave |goto 35.41,58.69 < 10 |walk |only if not subzone("Shadow Hold")
|tip The Shadow Hold is dangerous. |only if hardcore
|tip Keep an eye out for patrolling enemies as well as enemy casters while inside. |only if hardcore
|tip Clear enemies
click Brazier of Pain##176158
|tip Downstairs inside the cave, on the top level.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
Extinguish the Brazier of Pain |q 5165/1 |goto 36.27,56.29
step
click Brazier of Hatred##176161
|tip Downstairs inside the cave, on the top level.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
Extinguish the Brazier of Hatred |q 5165/4 |goto 36.48,55.18
step
Run around the hole in the floor and follow the path down |goto 38.25,54.06 < 10 |c |q 5165
step
click Brazier of Suffering##176160
|tip Downstairs inside the cave, on the bottom level.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
Extinguish the Brazier of Suffering |q 5165/3 |goto 36.73,53.26
step
click Brazier of Malice
|tip Downstairs inside the cave, on the bottom level.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
Extinguish the Brazier of Malice |q 5165/2 |goto 37.68,52.69
step
label "Collect_Blood_Red_Key"
Kill enemies around this area
|tip All around inside the cave, on both levels.
|tip Once you get this item, you will accept a quest from it that you will turn in on the top level of the cave.
|tip Watch for patrols and respawns while in the area.	|only if hardcore |notinsticky
collect Blood Red Key##13140 |goto 36.29,55.96 |q 5202 |future
step
label "Accept_A_Strange_Red_Key"
use the Blood Red Key##13140
accept A Strange Red Key##5202
|only if itemcount(13140) > 0
step
talk Captured Arko'narin##11016
|tip Inside a yellow wooden cage.
|tip Downstairs inside the cave, on the top level.
turnin A Strange Red Key##5202 |goto 36.21,55.50
step
Follow the path up |goto 35.94,56.76 < 10 |walk
Leave the cave |complete not subzone("Shadow Hold") |goto 35.42,58.81 |q 5165
step
Leave Jaedenar and follow the road north |goto 38.40,59.74 < 30 |only if walking and subzone("Jaedenar")
Follow the road |goto 64.18,15.20 < 30 |only if walking
talk Nafien##15395
accept Deadwood of the North##8461 |goto 64.77,8.13
stickystart "Kill_Deadwood_Avengers"
stickystart "Kill_Deadwood_Shamans"
step
kill 6 Deadwood Den Watcher##7156 |q 8461/1 |goto 63.08,8.82
|tip They will call for help when at low health so pull them away from other Deadwood enemies.	|only if hardcore
|tip Be careful pulling enemies near buildings.							|only if hardcore
|tip Watch for respawns while in the area.							|only if hardcore
You can find more around: |notinsticky
[60.37,8.40]
[60.18,6.14]
[62.67,12.48]
step
label "Kill_Deadwood_Avengers"
kill 6 Deadwood Avenger##7157 |q 8461/2 |goto 63.08,8.82
|tip Be careful pulling enemies near buildings.	|only if hardcore |notinsticky
|tip Watch for respawns while in the area.	|only if hardcore |notinsticky
You can find more around: |notinsticky
[60.37,8.40]
[60.18,6.14]
[62.67,12.48]
step
label "Kill_Deadwood_Shamans"
kill 6 Deadwood Shaman##7158 |q 8461/3 |goto 63.08,8.82
|tip Be careful pulling enemies near buildings.	|only if hardcore |notinsticky
|tip Watch for respawns while in the area.	|only if hardcore |notinsticky
You can find more around: |notinsticky
[60.37,8.40]
[60.18,6.14]
[62.67,12.48]
step
Follow the road |goto 64.18,15.20 < 30 |only if walking
talk Nafien##15395
|tip You may have Deadwood Headdress Feathers from killing Deadwood enemies nearby.
|tip Turn in any feathers you have with the "Feathers for Nafien" repeatable quest.
turnin Deadwood of the North##8461 |goto 64.77,8.13
accept Speak to Salfa##8465 |goto 64.77,8.13
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Winterspring (55-55)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Winterspring",
condition_suggested=function() return level == 55 and not completedq(3942) end,
next="Leveling Guides\\Felwood Part 3 (55-55)",
hardcore = true,
},[[
step
Enter the tunnel to leave Felwood |goto Felwood 65.13,8.01 < 10 |walk |only if not zone("Winterspring")
Leave the tunnel to enter Winterspring |goto Felwood 68.40,5.84 < 10 |walk |only if not zone("Winterspring")
talk Salfa##11556
turnin Speak to Salfa##8465 |goto Winterspring 27.74,34.50
step
talk Donova Snowden##9298
turnin The New Springs##980 |goto 31.27,45.16
accept Strange Sources##4842 |goto 31.27,45.16
turnin The Videre Elixir##3909 |goto 31.27,45.16
accept Meet at the Grave##3912 |goto 31.27,45.16 |only if not hardcore
accept Threat of the Winterfall##5082 |goto 31.27,45.16
stickystart "Kill_Winterfall_Pathfinders"
stickystart "Kill_Winterfall_Den_Watchers"
stickystart "Collect_Empty_Firewater_Flask"
stickystart "Accept_Winterfall_Firewater"
step
kill 8 Winterfall Totemic##7441 |q 5082/3 |goto 30.57,37.17
|tip They share spawn points with the other Winterfall enemies.
|tip Kill the other types also, to get more to spawn.
You can find more around: |notinsticky
[39.46,43.70]
[41.78,43.14]
step
label "Kill_Winterfall_Pathfinders"
kill 8 Winterfall Pathfinder##7442 |q 5082/1 |goto 30.57,37.17
|tip They share spawn points with the other Winterfall enemies.	|notinsticky
|tip Kill the other types also, to get more to spawn.		|notinsticky
You can find more around: |notinsticky
[39.46,43.70]
[41.78,43.14]
step
label "Kill_Winterfall_Den_Watchers"
kill 8 Winterfall Den Watcher##7440 |q 5082/2 |goto 30.57,37.17
|tip They share spawn points with the other Winterfall enemies. |notinsticky
|tip Kill the other types also, to get more to spawn.		|notinsticky
You can find more around: |notinsticky
[39.46,43.70]
[41.78,43.14]
step
label "Collect_Empty_Firewater_Flask"
Kill Winterfall enemies around this area
collect Empty Firewater Flask##12771 |goto 30.57,37.17 |q 5083 |future
You can find more around: |notinsticky
[39.46,43.70]
[41.78,43.14]
step
label "Accept_Winterfall_Firewater"
use the Empty Firewater Flask##12771
accept Winterfall Firewater##5083
|only if itemcount(12771) > 0
step
talk Donova Snowden##9298
turnin Threat of the Winterfall##5082 |goto 31.27,45.16
turnin Winterfall Firewater##5083 |goto 31.27,45.16
accept Falling to Corruption##5084 |goto 31.27,45.16 |only if not hardcore
step
Enter the tunnel to leave Winterspring |goto 27.89,34.44 < 10 |walk |only if not zone("Felwood")
Leave the tunnel to enter Felwood |goto Felwood 65.13,8.01 < 10 |walk |only if not zone("Felwood")
click Deadwood Cauldron##176091
|tip Try to kite the enemies near the cauldron away one at a time to fight them alone, until you can kill the rest.
|tip If you have trouble, try to find someone to help you.
turnin Falling to Corruption##5084 |goto Felwood 60.20,5.87
accept Mystery Goo##5085 |goto Felwood 60.20,5.87
|only if not hardcore
step
Follow the road |goto 64.18,15.20 < 30 |only if walking and not zone("Winterspring")
Enter the tunnel to leave Felwood |goto 65.13,8.01 < 10 |walk |only if not zone("Winterspring")
Leave the tunnel to enter Winterspring |goto 68.40,5.84 < 10 |walk |only if not zone("Winterspring")
talk Donova Snowden##9298
turnin Mystery Goo##5085 |goto Winterspring 31.27,45.16
accept Toxic Horrors##5086 |goto Winterspring 31.27,45.16
|only if not hardcore
step
use the Videre Elixir##11243
|tip You will die.										|only if not hardcore
|tip You will not die.  You will be taken down to 1 hp, and given a temporary debuff.		|only if hardcore
Drink the Videre Elixir |complete isdead |goto Tanaris 54.03,28.73 |q 3912
step
talk Gaeriyan##9299
|tip He looks like a human ghost that walks around this small area.
turnin Meet at the Grave##3912 |goto 53.93,23.34 |zombiewalk
accept A Grave Situation##3913 |goto 53.93,23.34 |zombiewalk
step
click A Conspicuous Gravestone
turnin A Grave Situation##3913 |goto 53.82,29.06
accept Linken's Sword##3914 |goto 53.82,29.06
step
talk Linken##8737
turnin Linken's Sword##3914 |goto Un'Goro Crater 44.66,8.10
accept A Gnome's Assistance##3941 |goto Un'Goro Crater 44.66,8.10
step
Enter the cave |goto 43.47,6.79 < 15 |walk
talk J.D. Collie##9117
|tip Inside the cave.
turnin A Gnome's Assistance##3941 |goto 41.92,2.70
step
Watch the dialogue
talk J.D. Collie##9117
|tip Inside the cave.
accept Linken's Memory##3942 |goto 41.92,2.70
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Felwood Part 3 (55-55)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Felwood",
condition_suggested=function() return level == 55 and not completedq(4084) end,
next="Leveling Guides\\Winterspring (55-56)",
hardcore = true,
},[[
step
Leave the cave |goto Un'Goro Crater 43.47,6.79 < 15 |walk |only if subzone("Marshal's Refuge") and _G.IsIndoors()
talk Greta Mosshoof##10922
turnin Dousing the Flames of Protection##5165 |goto Felwood 51.21,82.11
step
Enter the building |goto 51.26,81.70 < 10 |walk
talk Eridan Bluewind##9116
|tip Inside the building.
turnin Linken's Memory##3942 |goto 51.35,81.51
accept Silver Heart##4084 |goto 51.35,81.51
|only if not hardcore
stickystart "Collect_Toxic_Horror_Droplets"
stickystart "Collect_Silvery_Claws"
step
Kill Irontree enemies around this area
|tip They look like walking trees with no leaves.
collect Irontree Heart##11173 |q 4084/2 |goto 51.57,20.70
|only if not hardcore
step
label "Collect_Toxic_Horror_Droplets"
kill Toxic Horror##7132+
|tip All around this green lake.
collect 3 Toxic Horror Droplet##12822 |q 5086/1 |goto 49.42,23.51
|only if not hardcore
step
label "Collect_Silvery_Claws"
Kill enemies around this area
|tip Only enemies that look like bears and wolves will drop the quest item.
collect 11 Silvery Claws##11172 |q 4084/1 |goto 53.31,27.49
You can find more around: |notinsticky
[56.10,22.91]
[57.71,18.14]
[61.26,15.96]
|only if not hardcore
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Winterspring (55-56)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Winterspring",
condition_suggested=function() return level >= 55 and level <= 56 and not completedq(4902) end,
next="Leveling Guides\\Western Plaguelands (56-56)",
hardcore = true,
},[[
step
Follow the road |goto Felwood 64.18,15.20 < 30 |only if walking and not zone("Winterspring")
Enter the tunnel to leave Felwood |goto Felwood 65.13,8.01 < 10 |walk |only if not zone("Winterspring")
Leave the tunnel to enter Winterspring |goto Felwood 68.40,5.84 < 10 |walk |only if not zone("Winterspring")
talk Donova Snowden##9298
turnin Toxic Horrors##5086 |goto Winterspring 31.27,45.16
accept Winterfall Runners##5087 |goto Winterspring 31.27,45.16
|only if not hardcore
step
kill Winterfall Runner##10916+
|tip They look like a group of 3 white furbolgs that walk back and forth along this road.
|tip Check these locations, and if you don't find them, wait at the location in this step closest to Everlook.
|tip They will eventually walk past this location.
collect Winterfall Crate##12829 |q 5087/1 |goto 30.04,42.55
You can also find them around: |notinsticky
[46.96,39.54]
[53.55,33.96]
If you don't want to wait for the patrol, there's also usually one in Felwood around [Felwood 60.23,5.75]
|only if not hardcore
step
Follow the path up |goto 53.48,28.64 < 50 |only if walking and not subzone("Starfall Village")
Enter the building |goto 51.39,29.82 < 15 |only if walking
talk Wynd Nightchaser##11079
|tip Inside the building.
turnin Starfall##5250 |goto 51.97,30.39
accept The Ruins of Kel'Theril##5244 |goto 51.97,30.39
step
talk Jaron Stoneshaper##10301
|tip Inside the building.
turnin The Ruins of Kel'Theril##5244 |goto 52.14,30.43
accept Troubled Spirits of Kel'Theril##5245 |goto 52.14,30.43
accept Enraged Wildkin##4861 |goto 52.14,30.43
step
click Highborne Relic Fragment##175892
|tip Two enemies will appear and attack you.
collect Second Relic Fragment##12897 |q 5245/2 |goto 50.88,41.71
step
click Highborne Relic Fragment##175892
|tip Two enemies will appear and attack you.
collect Fourth Relic Fragment##12899 |q 5245/4 |goto 52.42,41.50
step
click Highborne Relic Fragment##175892
|tip Two enemies will appear and attack you.
collect Third Relic Fragment##12898 |q 5245/3 |goto 53.31,43.43
step
click Highborne Relic Fragment##175892
|tip Two enemies will appear and attack you.
collect First Relic Fragment##12896 |q 5245/1 |goto 55.14,42.98
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 56.
|tip You are about to have to go to an area with higher level enemies, so being a level higher will help.
|tip Watch for respawns while here.	|only if hardcore
ding 56 |goto 50.88,41.71
You can find more around: |notinsticky
[52.42,41.50]
[53.31,43.43]
[55.14,42.98]
step
Enter Everlook |goto 60.56,38.20 < 10 |only if walking
talk Umi Rumplesnicker##10305
accept Are We There, Yeti?##3783 |goto 60.88,37.62
step
Enter the building |goto 61.32,38.72 < 10 |walk
talk Innkeeper Vizzie##11118
|tip Inside the building.
home Everlook |goto 61.36,38.83
step
Enter the building |goto 61.33,37.35 < 10 |walk
talk Izzy Coppergrab##13917
|tip Inside the building.
|tip Deposit these items into the bank.
bank Irontree Heart##11173 |goto 61.45,36.98 |q 4084 |only if not hardcore
bank Silvery Claws##11172 |goto 61.45,36.98 |q 4084 |only if not hardcore
|tip You should have 11 of these.
bank Jaron's Pick##12891 |goto 61.45,36.98 |q 5245
bank First Relic Fragment##12896 |goto 61.45,36.98 |q 5245
bank Second Relic Fragment##12897 |goto 61.45,36.98 |q 5245
bank Third Relic Fragment##12898 |goto 61.45,36.98 |q 5245
bank Fourth Relic Fragment##12899 |goto 61.45,36.98 |q 5245
step
Leave Everlook |goto 60.56,38.20 < 10 |only if walking and subzone("Everlook")
Kill Ice Thistle enemies around this area
|tip Watch for patrols and respawns while here.	|only if hardcore
collect 10 Thick Yeti Fur##12366 |q 3783/1 |goto 66.79,43.34
You can find more inside the cave at [67.65,41.75]
step
Leave the cave |goto 67.65,41.75 < 30 |walk |only if subzone("Ice Thistle Hills") and _G.IsIndoors()
click Damaged Crate##175587
turnin Enraged Wildkin##4861 |goto 59.00,59.78
accept Enraged Wildkin##4863 |goto 59.00,59.78
step
click Jaron's Wagon##175586
turnin Enraged Wildkin##4863 |goto 61.41,60.68
accept Enraged Wildkin##4864 |goto 61.41,60.68
step
click Jaron's Supplies##175629
collect Jaron's Supplies##12525 |q 4864/1 |goto 61.39,60.73
step
talk Ranshalla##10300
turnin Find Ranshalla##979 |goto 63.07,59.47
accept Guardians of the Altar##4901 |goto 63.07,59.47
stickystart "Collect_Blue_Feathered_Amulet"
step
Watch the dialogue
|tip Follow Ranshalla and protect her as she walks.
|tip Let her get attacked first, so she will help you fight.
click Fire of Elune+
|tip They look like brown torch poles in each of the caves she walks into.
|tip Click them to get her to start walking again.
click Altar of Elune
|tip It looks like a stone table, at this location, that she eventually walks to.
Discover the Secret of the Altar of Elune |q 4901/1 |goto 64.86,63.69
|tip If you have trouble, try to find someone to help you.
step
label "Collect_Blue_Feathered_Amulet"
Kill Owlbeast enemies around this area |notinsticky
|tip Watch for respawns while here.	|only if hardcore|notinsticky
collect Blue-feathered Amulet##12524 |q 4864/2 |goto 65.42,60.38
|tip If you have trouble, try to find someone to help you. |notinsticky
step
Cross the bridge |goto 62.42,67.44 < 40 |only if walking
Discover Darkwhisper Gorge |q 4842/1 |goto 59.84,74.12
step
talk Gregor Greystone##10431
|tip Inside the building.
accept The Everlook Report##6028 |goto 61.35,38.97
accept Duke Nicholas Zverenhoff##6030 |goto 61.35,38.97
step
talk Jessica Redpath##11629
|tip Inside the building.
accept Sister Pamela##5601 |goto 61.28,38.98
step
Enter the building |goto 61.33,37.35 < 10 |walk
talk Izzy Coppergrab##13917
|tip Inside the building.
|tip Collect these items from the bank.
collect Black Dragonflight Molt##10575 |goto 61.45,36.98 |q 4022 |future |only if not hardcore
collect 6 Filled Cursed Ooze Jar##11947 |goto 61.45,36.98 |q 4512
collect 6 Filled Tainted Ooze Jar##11949 |goto 61.45,36.98 |q 4512
collect Drawing Kit##10445 |goto 61.45,36.98 |q 3461
step
talk Izzy Coppergrab##13917
|tip Inside the building.
|tip Deposit these items into the bank.
bank Studies in Spirit Speaking##15790 |goto 61.45,36.98 |q 6030
step
talk Umi Rumplesnicker##10305
turnin Are We There, Yeti?##3783 |goto 60.88,37.62
step
Leave Everlook |goto 60.56,38.20 < 10 |only if walking and subzone("Everlook")
Follow the path up |goto 53.48,28.64 < 50 |only if walking and not subzone("Starfall Village")
Enter the building |goto 51.39,29.82 < 15 |only if walking
talk Jaron Stoneshaper##10301
|tip Inside the building.
turnin Enraged Wildkin##4864 |goto 52.14,30.43
step
talk Natheril Raincaller##2084
|tip Inside the building.
|tip Buy enough ammo to fill your ammo bag, plus 10-12 extra stacks.
|tip You will be questing a while.
Visit the Vendor |vendor Natheril Raincaller##2084 |goto Winterspring 51.45,30.83 |q 4842
|only if Hunter
step
talk Donova Snowden##9298
turnin Strange Sources##4842 |goto Winterspring 31.27,45.16
turnin Winterfall Runners##5087 |goto Winterspring 31.27,45.16 |only if not hardcore
step
talk Erelas Ambersky##7916
|tip Inside the building.
turnin Guardians of the Altar##4901 |goto Teldrassil 55.50,92.05
accept Wildkin of Elune##4902 |goto Teldrassil 55.50,92.05
step
Enter the building |goto Darnassus 35.52,10.70 < 10 |walk
talk Arch Druid Fandral Staghelm##3516
|tip He walks around inside the building, at the top.
turnin Wildkin of Elune##4902 |goto Darnassus 34.82,9.25
step
talk Kyrai##3561
|tip Upstairs inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Kyrai##3561 |goto Darnassus 32.55,19.74 |q 6028
|only if Rogue
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Western Plaguelands (56-56)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Western Plaguelands",
condition_suggested=function() return level == 56 and not completedq(5217) end,
next="Leveling Guides\\Burning Steppes (56-57)",
hardcore = true,
},[[
step
talk High Priestess MacDonnell##11053
accept Target: Felstone Field##5216 |goto Western Plaguelands 42.97,84.50
step
talk Argent Officer Pureheart##10840
turnin The Everlook Report##6028 |goto 42.97,83.55
step
kill Cauldron Lord Bilemaw##11075
collect Felstone Field Cauldron Key##13194 |q 5216/1 |goto 37.03,57.11
step
click Scourge Cauldron##176392
turnin Target: Felstone Field##5216 |goto 37.19,56.87
accept Return to Chillwind Camp##5217 |goto 37.19,56.87
step
Enter the building |goto 38.04,54.61 < 10 |walk
talk Janice Felstone##10778
|tip Upstairs inside the building.
accept Better Late Than Never##5021 |goto 38.40,54.05
step
Enter the building |goto 38.52,55.33 < 10 |walk
click Janice's Parcel##175894
|tip Inside the building.
turnin Better Late Than Never##5021 |goto 38.73,55.24
accept Better Late Than Never##5022 |goto 38.73,55.24
step
talk High Priestess MacDonnell##11053
turnin Return to Chillwind Camp##5217 |goto 42.97,84.50
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Burning Steppes (56-57)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Burning Steppes",
condition_suggested=function() return level >= 56 and level <= 57 and not completedq(7811) end,
next="Leveling Guides\\Western Plaguelands (57-57)",
hardcore = true,
},[[
step
talk Laris Geardawdle##9616
|tip Inside the building.
turnin A Little Slime Goes a Long Way##4513 |goto Ironforge 75.77,23.37
step
Run up the stairs and enter the building |goto 32.00,5.50 < 7 |walk
talk Tymor##8507
|tip Inside the building.
turnin Return to Tymor##3461 |goto 30.97,4.82
|only if not ZGV.IsClassicSoD
step
Enter the building |goto 20.65,53.22 < 7 |walk
talk Innkeeper Firebrew##5111
|tip Inside the building.
home Ironforge |goto 18.16,51.46
step
Enter the building |goto 34.08,62.40 < 10 |walk
talk Bailey Stonemantle##2461
|tip Inside the building.
|tip Deposit these items into the bank.
bank Janice's Parcel##12724 |goto 35.92,60.14 |q 5022
step
Leave the bank |goto 34.29,62.11 < 10 |walk |only if subzone("Vault of Ironforge")
Enter the High Seat |goto 44.57,49.50 < 10 |walk |only if not subzone("The High Seat")
talk Royal Historian Archesonus##8879
|tip Inside the building.
accept The Smoldering Ruins of Thaurissan##3702 |goto 38.37,55.31
step
talk Royal Historian Archesonus##8879
|tip Inside the building.
Tell her _"I am ready, Historian Archesonus."_
Listen to the Story of Thaurissan |q 3702/1 |goto 38.37,55.31
step
talk Royal Historian Archesonus##8879
|tip Inside the building.
turnin The Smoldering Ruins of Thaurissan##3702 |goto 38.37,55.31
accept The Smoldering Ruins of Thaurissan##3701 |goto 38.37,55.31
step
talk Tynnus Venomsprout##5169
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Tynnus Venomsprout##5169 |goto Ironforge 52.94,13.66 |q 3823 |future
|only if Rogue
step
Follow the path up into Morgan's Vigil |goto Burning Steppes 82.85,63.33 < 20 |only if walking
talk Borgus Stoutarm##2299
fpath Morgan's Vigil |goto Burning Steppes 84.33,68.33
step
talk Oralius##9177
accept Extinguish the Firegut##3823 |goto 84.56,68.68
accept FIFTY! YEP!##4283 |goto 84.56,68.68
step
_NOTE:_
Incoming Important Quest
|tip The quest "Dragonkin Mencae" is part of a huge chain of quests, but requires that you kill elite enemies.
|tip Skipping the quest will result in needing to grind 20,720 xp.
|tip Try to find help.
Click Here to Continue |confirm |q 4182 |future
|only if hardcore
step
talk Helendis Riverhorn##9562
accept Dragonkin Menace##4182 |goto 85.82,68.94
|only if not hardcore
stickystart "Kill_Firegut_Brutes"
stickystart "Kill_Firegut_Ogre_Mages"
step
kill 7 Firegut Ogre##7033 |q 3823/2 |goto 75.39,38.44
|tip You can find more all around on this mountain, and in the caves on the mountain.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
step
label "Kill_Firegut_Brutes"
kill 7 Firegut Brute##7035 |q 3823/3 |goto 75.39,38.44
|tip You can find more all around on this mountain, and in the caves on the mountain. |notinsticky
|tip Watch for patrols and respawns while in the area.	|only if hardcore |notinsticky
step
label "Kill_Firegut_Ogre_Mages"
kill 15 Firegut Ogre Mage##7034 |q 3823/1 |goto 75.39,38.44
|tip You can find more all around on this mountain, and in the caves on the mountain. |notinsticky
|tip Watch for patrols and respawns while in the area.	|only if hardcore |notinsticky
step
Follow the path up into Morgan's Vigil |goto 82.85,63.33 < 20 |only if walking
talk Oralius##9177
turnin Extinguish the Firegut##3823 |goto 84.56,68.68
accept Gor'tesh the Brute Lord##3824 |goto 84.56,68.68
step
Follow the path up |goto 63.93,29.93 < 20 |only if walking
talk Tinkee Steamboil##10267
accept Broodling Essence##4726 |goto 65.24,24.00
step
talk Maxwort Uberglint##9536
accept Tablet of the Seven##4296 |goto 65.16,23.92
step
Enter the cave |goto 65.52,23.08 < 15 |walk
talk Yuka Screwspigot##9544
|tip Inside the cave.
turnin Yuka Screwspigot##4324 |goto 66.06,21.95
stickystart "Kill_Black_Drake"
stickystart "Kill_Black_Wyrmkins"
stickystart "Kill_Black_Dragonspawns"
stickystart "Kill_Black_Broodlings"
step
use the Draco-Incarcinatrix 900##12284
|tip Use it on Broodling enemies around this area.
|tip They look like small flying dragons.
|tip They share spawn points with the scorpids and wolves, so kill those also, if you can't find any.
Kill Broodling enemies around this area
click Broodling Essence##175264+
|tip They look like red floating crystals that appear above their corpses after you kill them.
collect 8 Broodling Essence##12283 |q 4726/1 |goto 72.83,28.41
|tip Be careful, avoid the elite enemies around the area. |only if hardcore
You can find more around: |notinsticky
[80.05,27.94]
[87.34,32.01]
[91.96,35.64]
step
Enter the cave |goto 94.11,31.92 < 15 |walk
talk Cyrus Therepentous##9459
|tip Inside the cave.
accept A Taste of Flame##4022 |goto 95.06,31.57
|only if not hardcore
step
talk Cyrus Therepentous##9459
|tip Inside the cave.
Tell him _"I do not posess proof any proof, Cyrus."_
kill Frenzied Black Drake##9461
|tip This dragon is a 54 elite and will immediately attack you.
|tip You may need help with this.
|tip The molt item is not group loot, so only one person can loot it.
collect Black Dragonflight Molt##10575 |q 4022/1 |goto 95.06,31.57
|only if not hardcore
step
talk Cyrus Therepentous##9459
|tip Inside the cave.
Tell him _"I present you with proof of my deeds, Cyrus."_
Present the Proof |q 4022/2 |goto 95.06,31.57
|only if not hardcore
step
talk Cyrus Therepentous##9459
|tip Inside the cave.
turnin A Taste of Flame##4022 |goto 95.06,31.57
|only if not hardcore
step
label "Kill_Black_Drake"
kill Black Drake##7044 |q 4182/3 |goto 86.33,30.69
|tip They look like large red dragons flying low to the ground around this area.
|tip If you have trouble, try to find someone to help you. |notinsticky
|tip It's important to get this quest completed. |notinsticky
Also check around: |notinsticky
[89.89,37.22]
[89.50,56.92]
[81.84,58.36]
|only if not hardcore
step
label "Kill_Black_Wyrmkins"
kill 4 Black Wyrmkin##7041 |q 4182/4 |goto 84.25,27.76
|tip If you have trouble, try to find someone to help you. |notinsticky
|tip It's important to get this quest completed. |notinsticky
You can find more around: |notinsticky
[88.83,39.34]
[91.82,54.43]
|only if not hardcore
step
label "Kill_Black_Dragonspawns"
kill 10 Black Dragonspawn##7040 |q 4182/2 |goto 84.25,27.76
|tip If you have trouble, try to find someone to help you. |notinsticky
|tip It's important to get this quest completed. |notinsticky
You can find more around: |notinsticky
[88.83,39.34]
[91.82,54.43]
|only if not hardcore
step
label "Kill_Black_Broodlings"
kill 15 Black Broodling##7047 |q 4182/1 |goto 72.83,28.41
|tip Be careful, avoid the elite enemies around the area. |only if hardcore |notinsticky
You can find more around: |notinsticky
[80.05,27.94]
[87.34,32.01]
[91.96,35.64]
[89.92,45.69]
[84.65,61.84]
|only if not hardcore
stickystart "Recover_Information"
step
click Tablet of the Seven##169294
Choose _"Transcribe the tablet."_
collect Tablet Transcript##11470 |q 4296/1 |goto 54.09,40.73
step
label "Recover_Information"
click Thaurissan Relic##153556+
|tip They look like cylindrical grey stones sitting upright on the ground around this area.
Recover #12# Information |q 3701/1 |goto 68.42,37.33
You can find more around: |notinsticky
[66.04,44.05]
[62.21,40.68]
[58.93,42.59]
[57.80,37.02]
[52.89,35.96]
stickystart "Collect_Blackrock_Medallions"
step
kill Gor'tesh##9176
|tip He walks around this area, in and out of this building.
|tip Be careful.  He hits hard and has a guard that will pull with him.
|tip For hardcore, it may be worth skipping the quest (unless you have help), even though you'll have to grind to make up for it.	|only if harcore
|tip Watch for patrols and respawns while in the area.		|only if hardcore
collect Gor'tesh's Lopped Off Head##11080 |q 3824/1 |goto 39.26,55.36
step
label "Collect_Blackrock_Medallions"
Kill Blackrock enemies around this area
|tip They look like orcs and wolves.
|tip You can find more inside the buildings around this area.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect 50 Blackrock Medallion##11467 |q 4283/1 |goto 39.31,55.42
You can find more around: |notinsticky
[43.90,56.18]
[49.30,55.43]
[52.98,53.87]
step
Follow the path up into Morgan's Vigil |goto 82.85,63.33 < 20 |only if walking
talk Oralius##9177
turnin Gor'tesh the Brute Lord##3824 |goto 84.56,68.67
accept Ogre Head On A Stick = Party##3825 |goto 84.56,68.67
turnin FIFTY! YEP!##4283 |goto 84.56,68.67
step
_Destroy These Items:_
|tip They are no longer needed.
trash Blackrock Medallion##11467
step
talk Helendis Riverhorn##9562
turnin Dragonkin Menace##4182 |goto 85.82,68.95
accept The True Masters##4183 |goto 85.82,68.95
|only if not hardcore
step
Enter the building |goto Redridge Mountains 29.49,46.11 < 10 |walk
talk Magistrate Solomon##344
|tip Inside the building.
turnin The True Masters##4183 |goto Redridge Mountains 29.99,44.45
accept The True Masters##4184 |goto Redridge Mountains 29.99,44.45
|only if not hardcore
step
Leave the building |goto 29.49,46.11 < 10 |walk |only if subzone("Lakeshire Town Hall")
Enter the bank |goto Stormwind City 55.30,68.14 < 10 |walk
talk Olivia Burnside##2455
|tip Inside the building.
|tip Collect these items from the bank.
collect Janice's Parcel##12724 |goto Stormwind City 57.66,72.78 |q 5022
step
Enter the building |goto 47.79,31.24 < 10 |walk
talk Royal Factor Bathrilor##10782
|tip Upstairs inside the building.
turnin Better Late Than Never##5022 |goto 48.47,30.55
accept Good Natured Emma##5048 |goto 48.47,30.55
step
map Stormwind City
path	follow strict;	loop on;	ants curved;	dist 20;	markers none
path	52.46,41.98		48.29,49.03		50.15,51.53		55.04,47.69
path	57.64,47.70		59.73,51.45		57.66,55.16		60.62,60.33
path	57.16,54.48		57.05,54.37		55.65,53.48		52.74,55.15
path	50.88,51.60		49.66,51.59		48.32,48.32
talk Ol' Emma##3520
|tip She looks like an old human woman that walks in a counter-clockwise path around Stormwind City.
|tip This step's path will take you clockwise to help you find her faster.
|tip She sometimes stands upstairs inside the house that this path leads you to.
|tip Keep an eye on your minimap as you walk around, she will show up as a yellow dot.
turnin Good Natured Emma##5048
accept Good Luck Charm##5050
step
Enter Stormwind Keep |goto 69.09,28.71 < 15 |walk
talk Highlord Bolvar Fordragon##1748
|tip Inside the building.
turnin The True Masters##4184 |goto 78.22,17.99			|only if not hardcore
accept The True Masters##4185 |goto 78.22,17.99			|only if not hardcore
accept The First and the Last##6182 |goto 78.22,17.99
step
talk Lady Katrana Prestor##1749
|tip Inside the building.
Tell her _"Pardon the intrusion, Lady Prestor, but Highlord Bolvar suggested that I seek your advice."_
Seek Advice from Lady Prestor |q 4185/1 |goto 78.11,17.75
|only if not hardcore
step
talk Highlord Bolvar Fordragon##1748
|tip Inside the building.
|tip He may be bugged if another player has recently completed the Onyxia event.
|tip If so, you can skip this quest but you will need to grind a bit later to make up for skipping a few quests.
turnin The True Masters##4185 |goto 78.22,17.99
accept The True Masters##4186 |goto 78.22,17.99
|only if not hardcore
step
Leave Stormwind Keep |goto 69.01,28.80 < 15 |walk |only if subzone("Stormwind Keep")
Follow the path |goto 74.74,53.71 < 10 |only if walking
Enter the building |goto 77.12,58.01 < 10 |walk
talk Master Mathias Shaw##332
|tip Upstairs inside the building.
turnin The First and the Last##6182 |goto 75.79,59.85
accept Honor the Dead##6183 |goto 75.79,59.85
step
talk Master Mathias Shaw##332
|tip Upstairs inside the building.
turnin Honor the Dead##6183 |goto 75.79,59.85
accept Flint Shadowmore##6184 |goto 75.79,59.85
step
Leave the building |goto 77.12,58.01 < 10 |walk |only if subzone("SI:7")
Follow the path |goto 74.74,53.71 < 10 |only if walking and subzone("SI:7")
Enter the building |goto Redridge Mountains 29.49,46.11 < 10 |walk
talk Magistrate Solomon##344
|tip Inside the building.
turnin The True Masters##4186 |goto Redridge Mountains 29.99,44.45
accept The True Masters##4223 |goto Redridge Mountains 29.99,44.45
|only if not hardcore
step
Leave the building |goto 29.49,46.11 < 10 |walk |only if subzone("Lakeshire Town Hall")
talk Marshal Maxwell##9560
turnin The True Masters##4223 |goto Burning Steppes 84.75,69.02
accept The True Masters##4224 |goto Burning Steppes 84.75,69.02
|only if not hardcore
step
Kill enemies around this area
|tip You should already be level 57, or very close.					|only if not hardcore
|tip We are grinding here to catch up in XP after skipping a long quest chain.		|only if hardcore
ding 57 |goto 62.67,40.88
step
Follow the path up |goto 63.96,29.79 < 20 |only if walking
talk Tinkee Steamboil##10267
turnin Broodling Essence##4726 |goto 65.23,23.99
accept Felnok Steelspring##4808 |goto 65.23,23.99
step
talk Maxwort Uberglint##9536
turnin Tablet of the Seven##4296 |goto 65.15,23.91
step
talk Ragged John##9563
Tell him _"Official business, John.  I need some information about Marshal Windsor.  Tell me about the last time you saw him."_
Listen to Ragged John's Story |q 4224/1 |goto 65.01,23.76
|only if not hardcore
step
Cross the hanging bridge and follow the path up |goto 76.13,38.04 < 10 |only if walking
click Soft Dirt Mound
|tip On top of the mountain.
Plant Gor'tesh's Head |q 3825/1 |goto 80.99,46.78
step
Follow the path up |goto 82.85,63.31 < 20 |only if walking
talk Oralius##9177
turnin Ogre Head On A Stick = Party##3825 |goto 84.56,68.67
step
talk Marshal Maxwell##9560
turnin The True Masters##4224 |goto 84.74,69.01
step
Enter the building |goto Ironforge 34.08,62.40 < 10 |walk
talk Bailey Stonemantle##2461
|tip Inside the building.
|tip Collect these items from the bank.
collect Jaron's Pick##12891 |goto Ironforge 35.92,60.14 |q 5245
collect First Relic Fragment##12896 |goto Ironforge 35.92,60.14 |q 5245
collect Second Relic Fragment##12897 |goto Ironforge 35.92,60.14 |q 5245
collect Third Relic Fragment##12898 |goto Ironforge 35.92,60.14 |q 5245
collect Fourth Relic Fragment##12899 |goto Ironforge 35.92,60.14 |q 5245
collect Studies in Spirit Speaking##15790 |goto Ironforge 35.92,60.14 |q 6030
step
talk Bailey Stonemantle##2461
|tip Inside the building.
|tip Deposit these items into the bank.
bank Tinkee's Letter##12438 |goto 35.92,60.14 |q 4808
step
Leave the bank |goto 34.29,62.11 < 10 |walk |only if subzone("Vault of Ironforge")
Enter the High Seat |goto 44.57,49.50 < 10 |walk |only if not subzone("The High Seat")
talk Royal Historian Archesonus##8879
|tip Inside the building.
turnin The Smoldering Ruins of Thaurissan##3701 |goto 38.37,55.31
step
Enter the building |goto 26.11,72.17 < 15 |walk
talk Auctioneer Redmuse##8720
|tip Inside the building.
|tip Buy these items from the auction house or collect them from your bank.
|tip You will turn them in for a lot of experience.
|tip If you have any in your bank, get them out before you buy more.
|tip If you can't get them, it's okay, but you may have to grind a bit later to make up for it.
collect 60 Wool Cloth##2592 |goto 24.16,74.67 |q 7802 |future
collect 60 Silk Cloth##4306 |goto 24.16,74.67 |q 7803 |future
collect 60 Mageweave Cloth##4338 |goto 24.16,74.67 |q 7804 |future
collect 60 Runecloth##14047 |goto 24.16,74.67 |q 7805 |future
|only if not selfmade
step
talk Mistina Steelshield##14723
accept A Donation of Wool##7802 |goto 43.22,31.57 |instant
|only if itemcount(2592) >= 60
step
talk Mistina Steelshield##14723
accept A Donation of Silk##7803 |goto 43.22,31.57 |instant
|only if itemcount(4306) >= 60
step
talk Mistina Steelshield##14723
accept A Donation of Mageweave##7804 |goto 43.22,31.57 |instant
|only if itemcount(4338) >= 60
step
talk Mistina Steelshield##14723
accept A Donation of Runecloth##7805 |goto 43.22,31.57 |instant
|only if itemcount(14047) >= 60
step
Enter the building |goto 26.11,72.17 < 15 |walk
talk Auctioneer Redmuse##8720
|tip Inside the building.
|tip Buy these items from the auction house or collect them from your bank.
|tip You will turn them in for a lot of experience.
|tip If you have any in your bank, get them out before you buy more.
|tip If you can't get them, it's okay, but you may have to grind a bit later to make up for it.
collect 60 Wool Cloth##2592 |goto 24.16,74.67 |q 7807 |future
collect 60 Silk Cloth##4306 |goto 24.16,74.67 |q 7808 |future
collect 60 Mageweave Cloth##4338 |goto 24.16,74.67 |q 7809 |future
collect 60 Runecloth##14047 |goto 24.16,74.67 |q 7811 |future
|only if not selfmade
step
talk Bubulo Acerbus##14724
accept A Donation of Wool##7807 |goto 74.09,48.22 |instant
|only if itemcount(2592) >= 60
step
talk Bubulo Acerbus##14724
accept A Donation of Silk##7808 |goto 74.09,48.22 |instant
|only if itemcount(4306) >= 60
step
talk Bubulo Acerbus##14724
accept A Donation of Mageweave##7809 |goto 74.09,48.22 |instant
|only if itemcount(4338) >= 60
step
talk Bubulo Acerbus##14724
accept A Donation of Runecloth##7811 |goto 74.09,48.22 |instant
|only if itemcount(14047) >= 60
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Western Plaguelands (57-57)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Western Plaguelands",
condition_suggested=function() return level == 57 and not completedq(4985) end,
next="Leveling Guides\\Eastern Plaguelands (57-58)",
hardcore = true,
},[[
step
talk Cenarion Emissary Jademoon##15187
accept Taking Back Silithus##8275 |goto Ironforge 58.54,47.32
step
Enter the building |goto Hillsbrad Foothills 50.45,58.55 < 10 |walk
talk Innkeeper Anderson##2352
|tip Inside the building.
home Southshore |goto Hillsbrad Foothills 51.17,58.93
step
talk Tynnus Venomsprout##5169
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Tynnus Venomsprout##5169 |goto Ironforge 52.94,13.66 |q 5219 |futre
|only if Rogue
step
talk High Priestess MacDonnell##11053
accept Target: Dalson's Tears##5219 |goto Western Plaguelands 42.97,84.50
step
talk Commander Ashlam Valorfist##10838
accept All Along the Watchtowers##5097 |goto 42.70,84.03
step
talk Argent Officer Pureheart##10840
accept Argent Dawn Commission##5401 |goto 42.97,83.55 |instant
step
Equip the Argent Dawn Commission
|tip Wearing it will allow Minion's Scourgestones to drop from undead enemies in Western and Eastern Plaguelands.
Gain the Argent Dawn Commission Buff |havebuff Argent Dawn Commission##17670 |q 5408 |future
step
talk Flint Shadowmore##12425
turnin Flint Shadowmore##6184 |goto 43.61,84.51
accept The Eastern Plagues##6185 |goto 43.61,84.51
step
use the Beacon Torch##12815
|tip Use it in front of the tower entrance.
|tip Be careful, there is an elite enemy inside the tower.
|tip Avoid the doorway, making sure the elite inside can't see you.
|tip You can get closer to the tower safely, if the enemy inside can't see you.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
Mark Tower One |q 5097/1 |goto 40.13,71.52
step
use the Beacon Torch##12815
|tip Avoid the large group of enemies in the center of town as you travel here.
|tip Use it in front of the tower entrance.
|tip Be careful, there is an elite enemy inside the tower.
|tip Avoid the doorway, making sure the elite inside can't see you.
|tip You can get closer to the tower safely, if the enemy inside can't see you.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
Mark Tower Four |q 5097/4 |goto 46.70,71.10
step
Enter the building |goto 53.60,64.79 < 10 |walk
talk Mulgris Deepriver##10739
|tip Inside the building.
|tip Watch for respawns while clearing your way to Mulgris.	|only if hardcore
accept The Wildlife Suffers Too##4984 |goto 53.72,64.67
step
kill 8 Diseased Wolf##1817 |q 4984/1 |goto 42.74,54.83
|tip They share spawn points with Carrion Lurker spiders.
|tip Kill those as well, if you can't find any wolves.
You can find more around: |notinsticky
[45.96,48.00]
[46.92,39.81]
step
Enter the building |goto 47.52,50.94 < 10 |walk
click Mrs. Dalson's Diary##175926
|tip Inside the building.
|tip Skeletal Terrors will fear you while fighting.											|only if hardcore
|tip Blighted Zombies and Rotting Cadavers will give you the Volatile Infection debuff which will deal AOE damage every 15 seconds.	|only if hardcore
accept Mrs. Dalson's Diary##5058 |goto 47.79,50.67 |instant
step
kill Wandering Skeleton##10816
|tip It looks like a white skeleton that spawns here and walks around this area around the buildings nearby.
|tip You can wait here until it walks by here, or respawns, or you can search around the buildings.
|tip Skeletal Terrors will fear you while fighting.											|only if hardcore
|tip Blighted Zombies and Rotting Cadavers will give you the Volatile Infection debuff which will deal AOE damage every 15 seconds.	|only if hardcore
collect Dalson Outhouse Key##12738 |goto 47.85,49.32 |q 5060 |future
step
click Outhouse##175925
|tip Accept the "Locked Away" quest.
|tip Skeletal Terrors will fear you while fighting.											|only if hardcore
|tip Blighted Zombies and Rotting Cadavers will give you the Volatile Infection debuff which will deal AOE damage every 15 seconds.	|only if hardcore
kill Farmer Dalson##10836
collect Dalson Cabinet Key##12739 |goto 48.11,49.71 |q 5060 |future
step
Enter the building |goto 47.14,50.19 < 10 |walk
click Locked Cabinet##175924
|tip Upstairs inside the building.
|tip Skeletal Terrors will fear you while fighting.											|only if hardcore
|tip Blighted Zombies and Rotting Cadavers will give you the Volatile Infection debuff which will deal AOE damage every 15 seconds.	|only if hardcore
accept Locked Away##5060 |goto 47.37,49.65 |instant
step
kill Cauldron Lord Malvinious##11077
|tip Skeletal Terrors will fear you while fighting.											|only if hardcore
|tip Blighted Zombies and Rotting Cadavers will give you the Volatile Infection debuff which will deal AOE damage every 15 seconds.	|only if hardcore
collect Dalson's Tears Cauldron Key##13195 |q 5219/1 |goto 46.18,52.38
step
click Scourge Cauldron##177289
turnin Target: Dalson's Tears##5219 |goto 46.18,52.02
accept Return to Chillwind Camp##5220 |goto 46.18,52.02
step
Enter the building |goto 38.04,54.61 < 10 |walk
talk Janice Felstone##10778
|tip Upstairs inside the building.
|tip Skeletal Sorcerers are ranged attackers that deal heavy damage.	|only if hardcore
turnin Good Luck Charm##5050 |goto 38.40,54.05
accept Two Halves Become One##5051 |goto 38.40,54.05
step
kill Jabbering Ghoul##10801
|tip It looks like a green ghoul holding a pitchfork.
|tip He can possibly spawn in multiple locations, and may walk around this area.
|tip Skeletal Sorcerers are ranged attackers that deal heavy damage.	|only if hardcore
collect Good Luck Other-Half-Charm##12722 |goto 36.84,58.23 |q 5051
step
use the Good Luck Other-Half-Charm##12722
collect Good Luck Charm##12723 |q 5051/1
step
Enter the building |goto 38.04,54.61 < 10 |walk
talk Janice Felstone##10778
|tip Upstairs inside the building.
|tip Skeletal Sorcerers are ranged attackers that deal heavy damage.	|only if hardcore
turnin Two Halves Become One##5051 |goto 38.40,54.05
step
use the Beacon Torch##12815
|tip Use it in front of the tower entrance.
|tip Be careful, there is an elite enemy inside the tower.
|tip Avoid the doorway, making sure the elite inside can't see you.
|tip You can get closer to the tower safely, if the enemy inside can't see you.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
Mark Tower Three |q 5097/3 |goto 44.22,63.37
step
use the Beacon Torch##12815
|tip Use it in front of the tower entrance.
|tip Be careful, there is an elite enemy inside the tower.
|tip Avoid the doorway, making sure the elite inside can't see you.
|tip You can get closer to the tower safely, if the enemy inside can't see you.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
Mark Tower Two |q 5097/2 |goto 42.44,66.27
step
talk Commander Ashlam Valorfist##10838
turnin All Along the Watchtowers##5097 |goto 42.70,84.03
accept Scholomance##5533 |goto 42.70,84.03
step
_Destroy This Item:_
|tip It is no longer needed.
trash Beacon Torch##12815
step
talk Alchemist Arbington##11056
turnin Scholomance##5533 |goto 42.67,83.77
accept Skeletal Fragments##5537 |goto 42.67,83.77
step
talk High Priestess MacDonnell##11053
turnin Return to Chillwind Camp##5220 |goto 42.97,84.50
accept Target: Writhing Haunt##5222 |goto 42.97,84.50
step
talk Nathaniel Dumah##11616
accept A Plague Upon Thee##5903 |goto 43.42,84.84
step
Kill Skeletal enemies around this area
|tip Only enemies that look like skeletons will drop the quest item.
|tip They share spawn points with the ghoul enemies, so kill those too, if you can't find any.
|tip Watch for respawns while here.	|only if hardcore
collect 15 Skeletal Fragments##14619 |q 5537/1 |goto 49.56,80.05
You can find more inside and outside the crypt at [54.33,79.90]
step
Leave the crypt |complete not subzone("Crypt") |goto 54.32,79.90 |q 5537
step
kill Cauldron Lord Razarch##11076
|tip Watch for stealthed enemies while in the field.						|only if hardcore
|tip Freezing Ghouls may incapacitate you, so fight them with full health when possible.	|only if hardcore
collect Writhing Haunt Cauldron Key##13197 |q 5222/1 |goto 53.02,66.06
step
click Scourge Cauldron##176393
|tip Watch for stealthed enemies while in the field.						|only if hardcore
|tip Freezing Ghouls may incapacitate you, so fight them with full health when possible.	|only if hardcore
turnin Target: Writhing Haunt##5222 |goto 53.02,65.72
accept Return to Chillwind Camp##5223 |goto 53.02,65.72
step
Enter the building |goto 53.60,64.79 < 10 |walk
talk Mulgris Deepriver##10739
|tip Inside the building.
|tip Watch for stealthed enemies while in the field.						|only if hardcore
|tip Freezing Ghouls may incapacitate you, so fight them with full health when possible.	|only if hardcore
turnin The Wildlife Suffers Too##4984 |goto 53.72,64.67
accept The Wildlife Suffers Too##4985 |goto 53.72,64.67
step
kill 8 Diseased Grizzly##1816 |q 4985/1 |goto 56.81,63.63
|tip They share spawn points with Plague Lurker spiders.
|tip Kill those as well, if you can't find any bears.
You can find more around: |notinsticky
[58.69,58.24]
[57.20,52.78]
[61.55,52.23]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Eastern Plaguelands (57-58)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Eastern Plaguelands",
condition_suggested=function() return level >= 57 and level <= 58 and not completedq(5211) end,
next="Leveling Guides\\Western Plaguelands (58-59)",
hardcore = true,
},[[
step
Cross into Eastern Plaguelands and follow the river north |goto Western Plaguelands 69.30,45.04 < 50 |only if walking and zone("Western Plaguelands")
talk Tirion Fordring##1855
|tip He walks around this area.
accept Demon Dogs##5542 |goto Eastern Plaguelands 7.56,43.70
accept Blood Tinged Skies##5543 |goto Eastern Plaguelands 7.56,43.70
accept Carrion Grubbage##5544 |goto Eastern Plaguelands 7.56,43.70
stickystart "Kill_Plaguebats"
stickystart "Kill_Plaguehound_Runts"
stickystart "Collect_Slabs_Of_Carrion_Worm_Meat"
step
click Mangled Human Remains
|tip It looks like a human skeleton on the ground.
|tip Do not get too close to the building.	|only if hardcore
collect SI:7 Insignia (Turyen)##16002 |q 6185/3 |goto 28.81,74.88
step
Uncover the Blightcaller |q 6185/4 |goto 27.28,74.96
|tip Be careful to stay out of range of the elite enemies nearby.
step
click Mangled Human Remains
|tip It looks like a human skeleton on the ground.
|tip Be careful to stay out of range of the elite enemies nearby.
collect SI:7 Insignia (Fredo)##16001 |q 6185/2 |goto 27.28,74.96
step
click Mangled Human Remains
|tip It looks like a human skeleton on the ground.
collect SI:7 Insignia (Rutger)##16003 |q 6185/1 |goto 28.81,79.85
step
talk Pamela Redpath##10926
|tip She walks around this area inside this crumbled house.
turnin Sister Pamela##5601 |goto 36.45,90.80
accept Pamela's Doll##5149 |goto 36.45,90.80
stickystop "Kill_Plaguebats"
stickystop "Kill_Plaguehound_Runts"
stickystop "Collect_Slabs_Of_Carrion_Worm_Meat"
stickystart "Collect_Pamelas_Dolls_Left_Side"
stickystart "Collect_Pamelas_Dolls_Right_Side"
step
click Pamela's Doll's Head##176116
|tip It looks like a brown ball, with two X's for eyes, with flies buzzing around it.
|tip It can be in any of the 3 buildings around this area.
|tip Enemies may spawn after interacting with the doll.	|only if hardcore
collect Pamela's Doll's Head##12886 |goto 39.07,91.53 |q 5149
step
label "Collect_Pamelas_Dolls_Left_Side"
click Pamela's Doll's Left Side##176142
|tip It looks like a brown half of a doll, with one arm and one leg, with flies buzzing around it.
|tip It can be in any of the 3 buildings around this area.
|tip Enemies may spawn after interacting with the doll.	|only if hardcore
collect Pamela's Doll's Left Side##12887 |goto 39.07,91.53 |q 5149
step
label "Collect_Pamelas_Dolls_Right_Side"
click Pamela's Doll's Right Side##176143
|tip It looks like a brown half of a doll, with one arm and one leg, with flies buzzing around it.
|tip It can be in any of the 3 buildings around this area.
|tip Enemies may spawn after interacting with the doll.	|only if hardcore
collect Pamela's Doll's Right Side##12888 |goto 39.07,91.53 |q 5149
step
use Pamela's Doll's Head##12886
collect Pamela's Doll##12885 |q 5149/1
step
talk Pamela Redpath##10926
|tip She walks around this area inside this crumbled house.
turnin Pamela's Doll##5149 |goto 36.45,90.80
accept Auntie Marlene##5152 |goto 36.45,90.80
accept Uncle Carlin##5241 |goto 36.45,90.80
stickystart "Kill_Plaguehound_Runts"
stickystart "Collect_Slabs_Of_Carrion_Worm_Meat"
step
label "Kill_Plaguebats"
kill 30 Plaguebat##8600 |q 5543/1 |goto 43.24,82.95
You can find more around: |notinsticky
[42.24,69.81]
[35.16,74.32]
[27.42,69.07]
[19.99,68.52]
[18.56,77.87]
[33.76,82.90]
step
label "Kill_Plaguehound_Runts"
kill 20 Plaguehound Runt##8596 |q 5542/1 |goto 43.24,82.95
You can find more around: |notinsticky
[42.24,69.81]
[27.42,69.07]
[19.99,68.52]
[18.56,77.87]
[33.76,82.90]
step
label "Collect_Slabs_Of_Carrion_Worm_Meat"
kill Carrion Grub##8603+
collect 15 Slab of Carrion Worm Meat##13853 |q 5544/1 |goto 43.24,82.95
You can find more around: |notinsticky
[42.24,69.81]
[35.16,74.32]
[27.42,69.07]
[19.99,68.52]
[18.56,77.87]
[33.76,82.90]
step
kill 5 Plaguehound##8597 |q 5542/2 |goto 70.01,68.38
You can find more around: |notinsticky
[76.41,66.59]
[71.11,56.12]
step
talk Caretaker Alen##11038
|tip He walks around this area.
accept Zaeldarr the Outcast##6021 |goto 79.54,63.77
accept The Restless Souls##5281 |goto 79.54,63.77
step
talk Duke Nicholas Zverenhoff##11039
turnin Duke Nicholas Zverenhoff##6030 |goto 81.43,59.82
step
talk Carlin Redpath##11063
turnin Uncle Carlin##5241 |goto 81.52,59.77
accept Defenders of Darrowshire##5211 |goto 81.52,59.77
step
talk Khaelyn Steelwing##12617
fpath Light's Hope Chapel |goto 81.63,59.28
stickystart "Kill_Frenzied_Plaguehounds"
step
Kill enemies around this area
|tip Only enemies that look like ghouls will count.
|tip They share spawn points with Scourge Guards, so kill them too.
talk Darrowshire Spirit##11064+
|tip They appear after you kill the ghouls.
Free #15# Darrowshire Spirits |q 5211/1 |goto 66.88,40.62
step
talk Aurora Skycaller##10304
turnin Troubled Spirits of Kel'Theril##5245 |goto 53.51,22.00
step
_Destroy This Item:_
|tip It is no longer needed.
trash Jaron's Pick##12891
step
Kill enemies around this area
|tip You should already be pretty close to reaching level 58.
ding 58 |goto 66.88,40.62
step
label "Kill_Frenzied_Plaguehounds"
kill 5 Frenzied Plaguehound##8598 |q 5542/3 |goto 62.63,47.95
|tip When fighting near the road, watch for a group of elite patrols and avoid them.	|only if hardcore
You can find more around: |notinsticky
[51.17,43.24]
[49.69,35.97]
step
click Large Termite Mound##177464+
|tip They look like large brown and white stones cracked open with green goo leaking out of the top of them around this area.
|tip When fighting near the road, watch for a group of elite patrols and avoid them.	|only if hardcore
collect 100 Plagueland Termites##15043 |q 5903/1 |goto 45.90,34.10
You can find more around: |notinsticky
[42.19,38.20]
[42.84,34.28]
[40.61,31.38]
[36.03,31.81]
[32.08,35.71]
[26.47,37.57]
[25.22,37.89]
[28.46,32.49]
[26.16,29.78]
[23.87,25.24]
[22.45,21.52]
[20.40,27.00]
step
Enter the building |goto 14.59,33.47 < 10 |walk
talk Egan##11140
|tip Inside the building.
turnin The Restless Souls##5281 |goto 14.45,33.74
step
talk Augustus the Touched##12384
|tip Inside the building.
accept Augustus' Receipt Book##6164 |goto 14.45,33.48
step
Enter the building |goto 17.56,33.03 < 10 |walk
click Augustus' Receipt Book
|tip Upstairs inside the building.
collect Augustus' Receipt Book##15884 |q 6164/1 |goto 17.43,31.09
step
Enter the building |goto 14.59,33.47 < 10 |walk
talk Augustus the Touched##12384
|tip Inside the building.
turnin Augustus' Receipt Book##6164 |goto 14.45,33.48
step
Follow the path |goto 11.93,61.49 < 40 |only if walking
talk Tirion Fordring##1855
|tip He walks around this area.
|tip Run all the way around the mountain.
turnin Demon Dogs##5542 |goto 7.57,43.70
turnin Blood Tinged Skies##5543 |goto 7.57,43.70
turnin Carrion Grubbage##5544 |goto 7.57,43.70
accept Redemption##5742 |goto 7.57,43.70
step
talk Tirion Fordring##1855
|tip He walks around this area.
|tip Type "/sit" into your chat, or press X.
|tip You must be sitting for the dialogue option to appear when you talk to him.
Tell him _"I am ready to hear your tale, Tirion."_
Listen to Tirion's Tale |q 5742/1 |goto 7.57,43.70
step
talk Tirion Fordring##1855
|tip He walks around this area.
turnin Redemption##5742 |goto 7.57,43.70
step
Enter the crypt |goto 27.86,85.48 < 10 |walk
kill Zaeldarr the Outcast##12250
|tip Downstairs inside the crypt.
collect Zaeldarr's Head##15785 |q 6021/1 |goto 27.46,84.88
step
talk Caretaker Alen##11038
|tip He walks around this area.
turnin Zaeldarr the Outcast##6021 |goto 79.54,63.77
step
talk Carlin Redpath##11063
turnin Defenders of Darrowshire##5211 |goto 81.52,59.76
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Western Plaguelands (58-59)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Western Plaguelands",
condition_suggested=function() return level >= 58 and level <= 59 and not completedq(7795) end,
next="Leveling Guides\\Winterspring (59-59)",
hardcore = true,
},[[
step
talk High Priestess MacDonnell##11053
turnin Return to Chillwind Camp##5223 |goto Western Plaguelands 42.97,84.50
accept Target: Gahrron's Withering##5225 |goto Western Plaguelands 42.97,84.50
step
talk Alchemist Arbington##11056
turnin Skeletal Fragments##5537 |goto 42.67,83.77
step
talk Flint Shadowmore##12425
turnin The Eastern Plagues##6185 |goto 43.61,84.51
accept The Blightcaller Cometh##6186 |goto 43.61,84.51
step
talk Nathaniel Dumah##11616
turnin A Plague Upon Thee##5903 |goto 43.42,84.84
accept A Plague Upon Thee##5904 |goto 43.42,84.84
step
_Destroy These Items:_
|tip They are no longer needed.
trash Plagueland Termites##15043
step
Enter the building |goto 49.29,78.56 < 10 |walk
talk Marlene Redpath##10927
|tip Upstairs inside the building.
turnin Auntie Marlene##5152 |goto 49.17,78.58
accept A Strange Historian##5153 |goto 49.17,78.58
step
click Joseph Redpath's Monument
collect Joseph's Wedding Ring##12894 |q 5153/1 |goto 49.68,76.77
step
Cross the bridge |goto 49.22,73.14 < 30 |only if walking and subzone("Sorrow Hill")
Enter the building |goto 39.57,68.38 < 10 |walk
talk Chromie##10667
|tip Upstairs inside the building.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
turnin A Strange Historian##5153 |goto 39.45,66.76
accept The Annals of Darrowshire##5154 |goto 39.45,66.76
accept A Matter of Time##4971 |goto 39.45,66.76
step
use the Temporal Displacer##12627
|tip Use it near the cylinder structures with blue light shining out of them around this area.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
kill 15 Temporal Parasite##10717 |q 4971/1 |goto 45.02,62.68
You can find more around: |notinsticky
[46.77,62.41]
[47.93,63.01]
[48.14,66.12]
[49.95,66.69]
[48.97,68.53]
step
Be careful to avoid the enemies nearby and enter the building |goto 44.09,69.22 < 10 |walk
click Musty Tome+
|tip They look like blue books on the floor inside this building.
|tip Only one of them is the real book, and it's random.
|tip If you click fake books, enemies will spawn, so try to only click the real book.
|tip To identify the real book, zoom in your view, mouse over the books to highlight them, and look at the book pages.
|tip The fake books will have very blurry pages, with the top half of pages shaded darker than the bottom half of pages.
|tip The real book pages look sharper, with more clear horizontal lines, and the top half and bottom half of the pages are not shaded differently.
|tip If the correct book isn't there, click other books and kill enemies until the correct book appears.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Annals of Darrowshire##12900 |q 5154/1 |goto 43.52,69.55
step
Leave the building and be careful to avoid the enemies nearby |goto 44.09,69.22 < 10 |walk |only if subzone("Ruins of Andorhal") and _G.IsIndoors()
Enter the building |goto 39.57,68.38 < 10 |walk
talk Chromie##10667
|tip Upstairs inside the building.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
turnin A Matter of Time##4971 |goto 39.45,66.76
turnin The Annals of Darrowshire##5154 |goto 39.45,66.76
accept Counting Out Time##4972 |goto 39.45,66.76
accept Brother Carlin##5210 |goto 39.45,66.76
step
click Small Lockbox##175802+
|tip They look like small grey metal chests on the ground inside the crumbled buildings around this area.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect 5 Andorhal Watch##12638 |q 4972/1 |goto 38.29,69.63
You can find more at: |notinsticky
[38.88,68.06]
[40.27,68.17]
[40.85,67.14]
[40.32,66.48]
step
Enter the building |goto 39.57,68.38 < 10 |walk
talk Chromie##10667
|tip Upstairs inside the building.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
turnin Counting Out Time##4972 |goto 39.45,66.76
step
Enter the building |goto 53.60,64.79 < 10 |walk
talk Mulgris Deepriver##10739
|tip Inside the building.
|tip Freezing Ghouls may incapacitate you, so fight them with full health when possible.	|only if hardcore
turnin The Wildlife Suffers Too##4985 |goto 53.72,64.67
accept Glyphed Oaken Branch##4986 |goto 53.72,64.67
step
kill Cauldron Lord Soulwrath##11078
|tip He walks around this area.
collect Gahrron's Withering Cauldron Key##13196 |q 5225/1 |goto 62.78,58.75
step
click Scourge Cauldron##176392
turnin Target: Gahrron's Withering##5225 |goto 62.56,58.57
accept Return to Chillwind Point##5226 |goto 62.56,58.57
step
click Northridge Lumber Mill Crate##177490
|tip Inside the building.
Choose _"Place Termite Barrel on the crate."_
click Termite Barrel##
|tip It appears on top of the crate.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
turnin A Plague Upon Thee##5904 |goto 48.35,32.00
accept A Plague Upon Thee##6389 |goto 48.35,32.00
step
talk Kirsta Deepshadow##11610
accept Unfinished Business##6004 |goto 51.92,28.06
stickystart "Kill_Scarlet_Hunters"
stickystart "Kill_Scarlet_Mages"
stickystart "Kill_Scarlet_Knights"
step
kill 2 Scarlet Medic##10605 |q 6004/1 |goto 51.67,44.39
|tip They share spawn points with other Scarlet enemies, so kill them too, if you can't find any.
step
label "Kill_Scarlet_Hunters"
kill 2 Scarlet Hunter##1831 |q 6004/2 |goto 51.67,44.39
|tip They share spawn points with other Scarlet enemies, so kill them too, if you can't find any. |notinsticky
step
label "Kill_Scarlet_Mages"
kill 2 Scarlet Mage##1826 |q 6004/3 |goto 50.47,41.12
|tip They share spawn points with other Scarlet enemies, so kill them too, if you can't find any. |notinsticky
step
label "Kill_Scarlet_Knights"
kill 2 Scarlet Knight##1833 |q 6004/4 |goto 50.47,41.12
|tip They share spawn points with other Scarlet enemies, so kill them too, if you can't find any. |notinsticky
step
Follow the path |goto 50.41,29.78 < 40 |only if walking
talk Kirsta Deepshadow##11610
turnin Unfinished Business##6004 |goto 51.92,28.06
accept Unfinished Business##6023 |goto 51.92,28.06
step
Run around the mountain and follow the path up |goto 55.23,34.61 < 30 |only if walking
kill Huntsman Radley##11613 |q 6023/1 |goto 57.83,36.09
step
kill Cavalier Durgen##11611 |q 6023/2 |goto 54.37,23.77
|tip He walks back and forth, between this spot and the top of the tower.
|tip Wait outside the tower near this spot, he will eventually walk outside.
|tip Pull him away into the road nearby, so you can fight him alone.
step
talk Kirsta Deepshadow##11610
turnin Unfinished Business##6023 |goto 51.92,28.06
step
talk High Priestess MacDonnell##11053
turnin Return to Chillwind Camp##5226 |goto 42.97,84.50
step
talk Commander Ashlam Valorfist##10838
accept Mission Accomplished!##5237 |goto 42.70,84.03 |instant
step
talk Nathaniel Dumah##11616
turnin A Plague Upon Thee##6389 |goto 43.42,84.83
step
talk Carlin Redpath##11063
turnin Brother Carlin##5210 |goto Eastern Plaguelands 81.52,59.77
accept Villains of Darrowshire##5181 |goto Eastern Plaguelands 81.52,59.77
step
click Horgus' Skull
|tip Underwater.
collect Skull of Horgus##12956 |q 5181/1 |goto 51.11,49.94
step
Jump down carefully here |goto 53.38,65.50 < 20 |only if walking
click Shattered Sword of Marduk
collect Shattered Sword of Marduk##12957 |q 5181/2 |goto 53.92,65.76
step
Leave the canyon |goto 49.23,74.85 < 40 |only if walking and subzone("The Infectis Scar")
talk Carlin Redpath##11063
turnin Villains of Darrowshire##5181 |goto 81.51,59.77
step
Kill enemies around this area
|tip You should already be level 59, or very close.
|tip Enemies may be stealthed around here.	|only if hardcore
|tip Watch for patrols and respawns while here.	|only if hardcore
ding 59 |goto 60.06,68.31
step
talk Jasper Fel##1325
|tip Inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Jasper Fel##1325 |goto Stormwind City/0 78.32,58.97 |q 6186
|only if Rogue
step
Enter the building |goto Stormwind City 55.30,68.12 < 10 |walk
talk Olivia Burnside##2455
|tip Inside the building.
|tip Collect these items from the bank.
collect Tinkee's Letter##12438 |goto Stormwind City 57.66,72.78 |q 4808
step
Enter Stormwind Keep |goto 69.08,28.69 < 15 |walk
talk Highlord Bolvar Fordragon##1748
|tip Inside the building.
turnin The Blightcaller Cometh##6186 |goto 78.22,17.98
step
Leave Stormwind Keep |goto 69.08,28.69 < 15 |walk |only if subzone("Stormwind Keep")
Enter the building |goto 54.06,59.00 < 10 |walk
talk Auctioneer Jaxon##15659
|tip Inside the building.
|tip Buy these items from the auction house or collect them from your bank.
|tip You will turn them in for a lot of experience.
|tip If you have any in your bank, get them out before you buy more.
|tip If you can't get them, it's okay, but you may have to grind a bit later to make up for it.
collect 60 Wool Cloth##2592 |goto 53.61,59.76 |q 7791 |future
collect 60 Silk Cloth##4306 |goto 53.61,59.76 |q 7793 |future
collect 60 Mageweave Cloth##4338 |goto 53.61,59.76 |q 7794 |future
collect 60 Runecloth##14047 |goto 53.61,59.76 |q 7795 |future
|only if not selfmade
step
Enter the building |goto 44.52,73.91 < 10 |walk
talk Clavicus Knavingham##14722
|tip Upstairs inside the building.
accept A Donation of Wool##7791 |goto 44.27,73.97 |instant
|only if itemcount(2592) >= 60
step
talk Clavicus Knavingham##14722
|tip Upstairs inside the building.
accept A Donation of Silk##7793 |goto 44.27,73.97 |instant
|only if itemcount(4306) >= 60
step
talk Clavicus Knavingham##14722
|tip Upstairs inside the building.
accept A Donation of Mageweave##7794 |goto 44.27,73.97 |instant
|only if itemcount(4338) >= 60
step
talk Clavicus Knavingham##14722
|tip Upstairs inside the building.
accept A Donation of Runecloth##7795 |goto 44.27,73.97 |instant
|only if itemcount(14047) >= 60
step
Enter the building |goto The Barrens 62.08,39.26 < 15 |walk
talk Innkeeper Wiley##6791
|tip Inside the building.
home Ratchet |goto The Barrens 62.05,39.41
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Winterspring (59-59)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Winterspring",
condition_suggested=function() return level == 59 and not completedq(5163) end,
next="Leveling Guides\\Silithus (59-60)",
hardcore = true,
},[[
step
Enter Everlook |goto Winterspring 60.56,38.20 < 10 |only if walking
talk Umi Rumplesnicker##10305
accept Are We There, Yeti?##977 |goto Winterspring 60.88,37.62
step
talk Felnok Steelspring##10468
turnin Felnok Steelspring##4808 |goto 61.63,38.61
accept Chillwind Horns##4809 |goto 61.63,38.61
step
Leave Everlook |goto 60.56,38.20 < 10 |only if walking and subzone("Everlook")
kill Chillwind Chimaera##7448+
|tip They look like chimaeras.
|tip They share spawn points with the bears, so kill them too.
collect 8 Uncracked Chillwind Horn##12444 |q 4809/1 |goto 59.97,21.54
You can find more around: |notinsticky
[54.75,22.59]
[59.18,18.02]
[60.13,12.28]
[57.99,14.79]
step
Run around the mountain |goto 62.28,36.37 < 50 |only if walking and subzone("Winterfall Village")
Kill Ice Thistle enemies around this area
|tip Inside and outside the cave.
|tip Only the Matriarchs or Patriarchs will drop the quest item.
|tip Watch for patrols and respawns while here.	|only if hardcore
collect 2 Pristine Yeti Horn##12367 |q 977/1 |goto 67.65,41.75
step
Leave the cave |goto 67.70,41.57 < 30 |walk |only if subzone("Ice Thistle Hills") and _G.IsIndoors()
Enter Everlook |goto 60.56,38.20 < 10 |only if walking
talk Umi Rumplesnicker##10305
turnin Are We There, Yeti?##977 |goto 60.88,37.62
accept Are We There, Yeti?##5163 |goto 60.88,37.62
step
use Umi's Mechanical Yeti##12928
|tip Use it on Legacki.
Scare Legacki |q 5163/1 |goto 61.54,38.62
step
talk Felnok Steelspring##10468
turnin Chillwind Horns##4809 |goto 61.63,38.61
step
Enter the building |goto 61.33,37.35 < 10 |walk
talk Izzy Coppergrab##13917
|tip Inside the building.
|tip Collect these items from the bank.
collect Irontree Heart##11173 |goto 61.45,36.98 |q 4084
collect 11 Silvery Claws##11172 |goto 61.45,36.98 |q 4084
|only if not hardcore
step
Leave Everlook |goto 60.56,38.20 < 10 |only if walking and subzone("Everlook")
Follow the road and enter the building |goto Moonglade 51.47,41.45 < 15 |walk
talk Rabine Saturna##11801
|tip Inside the building.
turnin Rabine Saturna##6762 |goto Moonglade 51.68,45.09
accept Wasteland##1124 |goto Moonglade 51.68,45.09
step
talk Rabine Saturna##11801
|tip Inside the building.
Ask him _"Have you ever heard of a place called Dire Maul?"_
Watch the Dialogue
accept A Reliquary of Purity##5527 |goto 51.68,45.09
|tip If you didn't discover the Dire Maul dungeon earlier in the guide, you won't be able to accept this quest.
step
Enter the building |goto Darnassus 35.52,10.70 < 10 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
turnin Glyphed Oaken Branch##4986 |goto Darnassus 35.38,8.40
step
talk Kyrai##3561
|tip Upstairs inside the building.
|tip Stock up on poisons.
|tip Open your poison crafting window and purchase the ingredients you need.
Visit the Vendor |vendor Kyrai##3561 |goto Darnassus 32.55,19.74 |q 4084
|only if Rogue
step
Enter the building |goto Felwood 51.26,81.70 < 10 |walk
talk Eridan Bluewind##9116
|tip Inside the building.
turnin Silver Heart##4084 |goto Felwood 51.35,81.51
accept Aquementas##4005 |goto Felwood 51.35,81.51
|only if not hardcore
step
use the Umi's Mechanical Yeti##12928
|tip Use it on Sprinkle.
Scare Sprinkle |q 5163/2 |goto Tanaris 51.06,26.87
step
use Eridan's Supplies##11617
collect Irontree Heart##11173 |q 4005
collect 11 Silvery Claws##11172 |q 4005
collect Book of Aquor##11169 |q 4005
|only if not hardcore
step
Enter the tunnel |goto 68.62,41.46 < 15 |only if walking
Follow the path |goto 73.19,45.54 < 20 |only if walking
Continue following the path |goto 72.22,48.95 < 30 |only if walking
use the Book of Aquor##11169
Watch the dialogue
|tip Aquementas will appear and approach from the east and attack you.
kill Aquementas##9453
collect Silver Totem of Aquementas##11522 |q 4005/1 |goto 70.42,49.90
|only if not hardcore
step
Enter the cave |goto Un'Goro Crater 43.44,6.77 < 15 |walk
talk J.D. Collie##9117
|tip Inside the cave.
turnin Aquementas##4005 |goto Un'Goro Crater 41.92,2.70
accept Linken's Adventure##3961 |goto Un'Goro Crater 41.92,2.70
|only if not hardcore
step
_Destroy These Items:_
|tip They are no longer needed.
trash Irontree Heart##11173
trash 11 Silvery Claws##11172
trash Book of Aquor##11169
|only if not hardcore
step
Leave the cave |goto 43.44,6.77 < 15 |walk |only if subzone("Marshal's Refuge") and _G.IsIndoors()
talk Linken##8737
turnin Linken's Adventure##3961 |goto 44.66,8.10
|only if not hardcore
step
use the Umi's Mechanical Yeti##12928
|tip Use it on Quixxil.
Scare Quixxil |q 5163/3 |goto 43.67,9.38
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Silithus (59-60)",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Silithus",
condition_suggested=function() return level >= 59 and level <= 60 and not completedq(1185) end,
hardcore = true,
},[[
step
talk Layo Starstrike##13220
|tip Inside the building.
turnin Wasteland##1124 |goto Silithus 81.87,18.93
accept The Spirits of Southwind##1125 |goto 81.87,18.93
step
talk Windcaller Proudhorn##15191
turnin Taking Back Silithus##8275 |goto 51.15,38.29
accept Securing the Supply Lines##8280 |goto 51.15,38.29
step
talk Beetix Ficklespragg##15189
|tip She walks around this area upstairs inside the building.
accept Deadly Desert Venom##8277 |goto 51.71,38.58
step
talk Geologist Larksbane##15183
accept The Twilight Mystery##8284 |goto 49.67,37.46
step
talk Bor Wildmane##15306
accept Secret Communication##8318 |goto 48.57,37.78
step
Enter the building |goto 49.60,36.02 < 10 |only if walking
talk Commander Mar'alith##15181
|tip Outside, on the balcony of the building.
accept Dearest Natalia##8304 |goto 49.19,34.18
step
Follow the path up |goto 50.57,35.93 < 10 |only if walking
talk Cloud Skydancer##15177
fpath Cenarion Hold |goto 50.58,34.45
step
Enter the building |goto 63.45,54.09 < 10 |walk
click Dusty Reliquary
|tip Inside the building.
|tip The 'Tortured' enemies around here will summon Hive'Ashi Drones.	|only if hardcore
|tip Watch for respawns while in the area.				|only if hardcore
collect Reliquary of Purity##22201 |q 5527/1 |goto 63.23,55.35
stickystart "Kill_Tortured_Druids"
stickystart "Kill_Tortured_Sentinels"
step
label "Kill_Tortured_Druids"
kill 8 Tortured Druid##12178 |q 1125/1 |goto 62.96,53.11
|tip The 'Tortured' enemies around here will summon Hive'Ashi Drones.	|only if hardcore
|tip Watch for respawns while in the area.				|only if hardcore
|tip You can find more inside the buildings around this area.
step
label "Kill_Tortured_Sentinels"
kill 8 Tortured Sentinel##12179 |q 1125/2 |goto 62.96,53.11
|tip The 'Tortured' enemies around here will summon Hive'Ashi Drones.	|only if hardcore
|tip Watch for respawns while in the area.				|only if hardcore
|tip You can find more inside the buildings around this area.
step
_NOTE:_
Incoming Difficult Quest
|tip The next quest has you traveling back to the area full of Tortured enemies.
|tip Interacting with the Hive'Ashi Pod will spawn 3 Ambushers which may be very difficult to handle solo.
|tip The quest is optional, but you will need to grind an extra, 16,550 xp to make up for skipping it.
|tip You will likely want to skip this quest if you cannot find help.
Click Here to Continue |confirm |q 1126 |future
stickystart "Collect_Stonelash_Scorpid_Stingers"
stickystart "Collect_Sand_Skitterer_Fangs"
stickystart "Kill_Dredge_Strikers"
step
talk Layo Starstrike##13220
|tip Inside the building.
turnin The Spirits of Southwind##1125 |goto 81.87,18.93
accept Hive in the Tower##1126 |goto 81.87,18.93
step
Enter the building |goto 60.45,52.83 < 10 |walk
|tip This quest is dangerous. |only if hardcore
|tip Three silithid will ambush you when you enter the tower.
|tip Make sure you have cooldowns and healing potions prepared for the encounter if possible. |only if hardcore
click Hive'Ashi Pod##178553
|tip Remember, 3 Hive'Ashi Ambushers will spawn upon interacting with this object.	|only if hardcore
|tip They will keep spawning until you loot the item and retreat.			|only if hardcore
|tip Skip this quest if you can't find help.						|only if hardcore
|tip At the top of the tower.
kill Hive'Ashi Ambusher##13301+
collect Encrusted Silithid Object##17346 |q 1126/1 |goto 60.35,52.55
stickystop "Collect_Stonelash_Scorpid_Stingers"
stickystop "Collect_Sand_Skitterer_Fangs"
stickystop "Kill_Dredge_Strikers"
step
Kill Hive'Ashi enemies around this area
|tip You may need help with this.
collect Brann Bronzebeard's Lost Letter##20461 |goto 55.97,49.86 |q 8308 |future
|tip This has a low drop rate.
You can find more around: |notinsticky
[52.57,52.85]
[48.18,44.34]
|only if not hardcore
step
use Brann Bronzebeard's Lost Letter##20461
accept Brann Bronzebeard's Lost Letter##8308
|only if not hardcore
stickystart "Collect_Stonelash_Scorpid_Stingers"
stickystart "Collect_Sand_Skitterer_Fangs"
stickystart "Kill_Dredge_Strikers"
step
talk Layo Starstrike##13220
|tip Inside the building.
turnin Hive in the Tower##1126 |goto 81.87,18.93
accept Umber, Archivist##6844 |goto 81.87,18.93
step
Run around the mountain |goto 69.55,30.94 < 70 |only if walking
Kill Twilight enemies around this area
collect 10 Encrypted Twilight Text##20404 |q 8318/1 |goto 66.89,19.00
|tip Watch for respawns around this area.	|only if hardcore
|tip It's easy to get overwhelmed by adds here.	|only if hardcore
You can find more inside the cave at [68.88,15.22]
|tip If you enter the cave, make sure you keep an escape route clear. |only if hardcore
step
label "Collect_Stonelash_Scorpid_Stingers"
kill Stonelash Scorpid##11735+
|tip They look like scorpions.
collect 8 Stonelash Scorpid Stinger##20373 |q 8277/1 |goto 60.63,17.19
You can find more around: |notinsticky
[51.92,17.95]
[52.50,30.60]
[68.54,32.78]
[59.11,23.46]
step
label "Collect_Sand_Skitterer_Fangs"
kill Sand Skitterer##11738+
|tip They look like spiders.
collect 8 Sand Skitterer Fang##20376 |q 8277/2 |goto 60.63,17.19
You can find more around: |notinsticky
[51.92,17.95]
[52.50,30.60]
[68.54,32.78]
[59.11,23.46]
step
label "Kill_Dredge_Strikers"
kill 15 Dredge Striker##11740 |q 8280/1 |goto 60.63,17.19
You can find more around: |notinsticky
[51.92,17.95]
[52.50,30.60]
[68.54,32.78]
[59.11,23.46]
step
talk Windcaller Proudhorn##15191
turnin Securing the Supply Lines##8280 |goto 51.15,38.29
accept Stepping Up Security##8281 |goto 51.15,38.29
step
talk Beetix Ficklespragg##15189
|tip She walks around this area upstairs inside the building.
turnin Deadly Desert Venom##8277 |goto 51.71,38.58
accept Noggle's Last Hope##8278 |goto 51.71,38.58
step
talk Bor Wildmane##15306
turnin Secret Communication##8318 |goto 48.58,37.78
step
click Twilight Tablet Fragment+
|tip They look like small blue-glowing broken pieces of stone tablets on the ground around this area.
collect 8 Twilight Tablet Fragment##20378 |q 8284/1 |goto 24.33,11.94
step
Kill Twilight enemies around this area
|tip Watch for patrols and respawns while in the area.	|only if hardcore
|tip Enemies tend to be close together.			|only if hardcore
collect 10 Encrypted Twilight Text##20404 |goto 27.34,33.46 |q 8323 |future
stickystart "Collect_Stonelash_Pincer_Stingers"
step
kill 20 Dredge Crusher##11741 |q 8281/1 |goto 27.26,43.55
You can find more around: |notinsticky
[36.54,50.40]
[37.93,60.76]
[47.11,59.42]
[57.55,60.78]
step
label "Collect_Stonelash_Pincer_Stingers"
kill Stonelash Pincer##11736+
collect 3 Stonelash Pincer Stinger##20374 |q 8278/2 |goto 27.26,43.55
You can find more around: |notinsticky
[36.54,50.40]
[37.93,60.76]
[47.11,59.42]
[57.55,60.78]
stickystart "Collect_Stonelash_Flayer_Stingers"
stickystart "Collect_Rock_Stalker_Fangs"
step
talk Rutgar Glyphshaper##15170
turnin Brann Bronzebeard's Lost Letter##8308 |goto 41.28,88.45
|only if hardcore
step
talk Rutgar Glyphshaper##15170
Tell him _"Hello, Rutgar. The Commander has sent me here to gather some information about his missing wife."_
Question Rutgar |q 8304/2 |goto 41.28,88.45
step
talk Frankal Stonebridge##15171
Tell him _"Hello, Frankal. I've heard that you might have some information as to the whereabouts of Mistress Natalia Mar'alith."_
Question Frankal |q 8304/1 |goto 40.82,88.85
step
label "Collect_Stonelash_Flayer_Stingers"
kill Stonelash Flayer##11737+
collect 3 Stonelash Flayer Stinger##20375 |q 8278/1 |goto 45.44,86.38
You can find more around: |notinsticky
[45.15,82.20]
[36.97,86.68]
[28.44,80.89]
[35.23,71.64]
step
label "Collect_Rock_Stalker_Fangs"
kill Rock Stalker##11739+
collect 3 Rock Stalker Fang##20377 |q 8278/3 |goto 45.44,86.38
You can find more around: |notinsticky
[45.15,82.20]
[36.97,86.68]
[28.44,80.89]
[35.23,71.64]
step
talk Windcaller Proudhorn##15191
turnin Stepping Up Security##8281 |goto 51.15,38.29
step
talk Beetix Ficklespragg##15189
|tip She walks around this area upstairs inside the building.
turnin Noggle's Last Hope##8278 |goto 51.71,38.58
step
talk Geologist Larksbane##15183
turnin The Twilight Mystery##8284 |goto 49.67,37.46
accept The Deserter##8285 |goto 49.67,37.46
step
Enter the building |goto 49.61,36.05 < 10 |only if walking
talk Commander Mar'alith##15181
|tip Outside, on the balcony of the building.
turnin Dearest Natalia##8304 |goto 49.19,34.18
step
Enter the cave |goto 66.32,70.03 < 15 |walk
talk Hermit Ortell##15194
|tip Inside the cave.
turnin The Deserter##8285 |goto 67.19,69.76
accept The Twilight Lexicon##8279 |goto 67.19,69.76
step
kill Twilight Keeper Havunth##11804
|tip He looks like an orc that walks around this area wearing a bright purple robe.
|tip You can wait around this spot to avoid going into the camp looking for him.
collect Twilight Lexicon - Chapter 3##20396 |q 8279/3 |goto 42.00,44.13
step
kill Twilight Keeper Mayna##15200
|tip She walks around this area.
collect Twilight Lexicon - Chapter 1##20394 |q 8279/1 |goto 26.46,36.45
step
kill Twilight Keeper Exeter##11803
collect Twilight Lexicon - Chapter 2##20395 |q 8279/2 |goto 16.09,86.37
step
Run around the bug area |goto 55.17,63.52 < 70 |only if walking
Enter the cave |goto 66.32,70.03 < 15 |walk
talk Hermit Ortell##15194
|tip Inside the cave.
turnin The Twilight Lexicon##8279 |goto 67.19,69.76
accept A Terrible Purpose##8287 |goto 67.19,69.76
accept True Believers##8323 |goto 67.19,69.76
step
talk Hermit Ortell##15194
|tip Inside the cave.
turnin True Believers##8323 |goto 67.19,69.76
step
Follow the path up into Cenarion Hold |goto 45.64,43.35 < 50 |only if walking and not subzone("Cenarion Hold")
Enter the building |goto 49.61,36.05 < 10 |only if walking
talk Commander Mar'alith##15181
|tip Outside, on the balcony of the building.
turnin A Terrible Purpose##8287 |goto 49.19,34.18
step
talk Umi Rumplesnicker##10305
turnin Are We There, Yeti?##5163 |goto Winterspring 60.88,37.62
step
Follow the road |goto Moonglade 40.73,35.75 < 70 |only if walking and not Druid
talk Umber##11939
|tip He walks around this area.
turnin Umber, Archivist##6844 |goto Moonglade 44.89,35.59
accept Uncovering Past Secrets##6845 |goto Moonglade 44.89,35.59
step
Enter the building |goto 51.47,41.44 < 10 |walk
talk Rabine Saturna##11801
|tip Inside the building.
turnin A Reliquary of Purity##5527 |goto 51.68,45.08
turnin Uncovering Past Secrets##6845 |goto 51.68,45.08
step
talk Umber##11939
|tip He walks around this area.
accept Under the Chitin Was...##1185 |goto 44.89,35.59 |instant
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Ruins of Ahn'Qiraj Cloak Quest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Ruins of Ahn'Qiraj class-specific cloak.",
condition_end=function() return completedq(8692,8696,8691,8695,8689,8693,8690,8694,8557) end,
},[[
step
Reach Level 60 |ding 60
|tip Use the leveling guides to accomplish this.
step
talk Keyl Swiftclaw##15500
accept Cloak of Unending Life##8692 |goto Silithus 51.76,39.53 |only Druid
accept Cloak of the Unseen Path##8696 |goto 51.76,39.53 |only Hunter
accept Drape of Vaulted Secrets##8691 |goto 51.76,39.53 |only Mage
accept Cape of Eternal Justice##8695 |goto 51.76,39.53 |only Paladin
accept Shroud of Infinite Wisdom##8689 |goto 51.76,39.53 |only Priest
accept Cloak of Veiled Shadows##8693 |goto 51.76,39.53 |only Rogue
accept Cloak of the Gathering Storm##8690 |goto 51.76,39.53 |only Shaman
accept Shroud of Unspoken Names##8694 |goto 51.76,39.53 |only Warlock
accept Drape of Unyielding Strength##8557 |goto 51.76,39.53 |only Warrior
stickystart "Collect_Idols"
stickystart "Collect_First_Scarab_Set"
stickystart "Collect_Second_Scarab_Set"
stickystart "Reach_Revered_Reputation"
step
collect 1 Qiraji Regal Drape##20889 |q 8692/1 |only Druid
collect 1 Qiraji Regal Drape##20889 |q 8696/1 |only Hunter
collect 1 Qiraji Martial Drape##20885 |q 8691/1 |only Mage
collect 1 Qiraji Regal Drape##20889 |q 8695/1 |only Paladin
collect 1 Qiraji Martial Drape##20885 |q 8689/1 |only Priest
collect 1 Qiraji Martial Drape##20885 |q 8693/1 |only Rogue
collect 1 Qiraji Regal Drape##20889 |q 8690/1 |only Shaman
collect 1 Qiraji Regal Drape##20889 |q 8694/1 |only Warlock
collect 1 Qiraji Martial Drape##20885 |q 8557/1 |only Warrior
|tip This has a chance to drop from General Rajaxx, Kurinnaxx, Ayamiss the Hunter, and Buru the Gorger in the Ruins of Ahn'Qiraj raid.
step
label "Collect_Idols"
collect 2 Vermillion Idol##20872 |q 8692/2 |only Druid
collect 2 Lambent Idol##20868 |q 8696/2 |only Hunter
collect 2 Alabaster Idol##20873 |q 8691/2 |only Mage
collect 2 Obsidian Idol##20871 |q 8695/2 |only Paladin
collect 2 Jasper Idol##20870 |q 8689/2 |only Priest
collect 2 Azure Idol##20866 |q 8693/2 |only Rogue
collect 2 Obsidian Idol##20871 |q 8690/2 |only Shaman
collect 2 Amber Idol##20869 |q 8694/2 |only Warlock
collect 2 Onyx Idol##20867 |q 8557/2 |only Warrior
|tip These have a chance to drop from trash mobs and Scarab Coffers in the Ruins of Ahn'Qiraj raid.
step
label "Collect_First_Scarab_Set"
collect 5 Bone Scarab##20864 |q 8692/3 |only Druid
collect 5 Stone Scarab##20858 |q 8696/3 |only Hunter
collect 5 Stone Scarab##20858 |q 8691/3 |only Mage
collect 5 Gold Scarab##20859 |q 8695/3 |only Paladin
collect 5 Gold Scarab##20859 |q 8689/3 |only Priest
collect 5 Bronze Scarab##20861 |q 8693/3 |only Rogue
collect 5 Clay Scarab##20863 |q 8690/3 |only Shaman
collect 5 Bronze Scarab##20861 |q 8694/3 |only Warlock
collect 5 Bone Scarab##20864 |q 8557/3 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Collect_Second_Scarab_Set"
collect 5 Silver Scarab##20860 |q 8692/4 |only Druid
collect 5 Crystal Scarab##20862 |q 8696/4 |only Hunter
collect 5 Crystal Scarab##20862 |q 8691/4 |only Mage
collect 5 Clay Scarab##20863 |q 8695/4 |only Paladin
collect 5 Clay Scarab##20863 |q 8689/4 |only Priest
collect 5 Ivory Scarab##20865 |q 8693/4 |only Rogue
collect 5 Gold Scarab##20859 |q 8690/4 |only Shaman
collect 5 Ivory Scarab##20865 |q 8694/4 |only Warlock
collect 5 Silver Scarab##20860 |q 8557/4 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Reach_Revered_Reputation"
Reach Revered Reputation with the Cenarion Circle |complete rep("Cenarion Circle") >= Revered |or
'|complete completedq(8692,8696,8691,8695,8689,8693,8690,8694,8557) |or
step
talk Keyl Swiftclaw##15500
turnin Cloak of Unending Life##8692 |goto 51.76,39.53 |only Druid
turnin Cloak of the Unseen Path##8696 |goto 51.76,39.53 |only Hunter
turnin Drape of Vaulted Secrets##8691 |goto 51.76,39.53 |only Mage
turnin Cape of Eternal Justice##8695 |goto 51.76,39.53 |only Paladin
turnin Shroud of Infinite Wisdom##8689 |goto 51.76,39.53 |only Priest
turnin Cloak of Veiled Shadows##8693 |goto 51.76,39.53 |only Rogue
turnin Cloak of the Gathering Storm##8690 |goto 51.76,39.53 |only Shaman
turnin Shroud of Unspoken Names##8694 |goto 51.76,39.53 |only Warlock
turnin Drape of Unyielding Strength##8557 |goto 51.76,39.53 |only Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Ruins of Ahn'Qiraj Ring Quest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Ruins of Ahn'Qiraj class-specific ring.",
condition_end=function() return completedq(8700,8704,8699,8703,8697,8701,8698,8702,8556) end,
},[[
step
Reach Level 60 |ding 60
|tip Use the leveling guides to accomplish this.
step
talk Windcaller Yessendra##15498
accept Band of Unending Life##8700 |goto Silithus 52.04,38.15 |only Druid
accept Signet of the Unseen Path##8704 |goto 52.04,38.15 |only Hunter
accept Band of Vaulted Secrets##8699 |goto 52.04,38.15 |only Mage
accept Ring of Eternal Justice##8703 |goto 52.04,38.15 |only Paladin
accept Ring of Infinite Wisdom##8697 |goto 52.04,38.15 |only Priest
accept Band of Veiled Shadows##8701 |goto 52.04,38.15 |only Rogue
accept Ring of the Gathering Storm##8698 |goto 52.04,38.15 |only Shaman
accept Ring of Unspoken Names##8702 |goto 52.04,38.15 |only Warlock
accept Signet of Unyielding Strength##8556 |goto 52.04,38.15 |only Warrior
stickystart "Collect_Idols"
stickystart "Collect_First_Scarab_Set"
stickystart "Collect_Second_Scarab_Set"
stickystart "Reach_Honored_Reputation"
step
collect 1 Qiraji Magisterial Ring##20884 |q 8700/1 |only Druid
collect 1 Qiraji Ceremonial Ring##20888 |q 8704/1 |only Hunter
collect 1 Qiraji Magisterial Ring##20884 |q 8699/1 |only Mage
collect 1 Qiraji Magisterial Ring##20884 |q 8703/1 |only Paladin
collect 1 Qiraji Ceremonial Ring##20888 |q 8697/1 |only Priest
collect 1 Qiraji Ceremonial Ring##20888 |q 8701/1 |only Rogue
collect 1 Qiraji Magisterial Ring##20884 |q 8698/1 |only Shaman
collect 1 Qiraji Ceremonial Ring##20888 |q 8702/1 |only Warlock
collect 1 Qiraji Magisterial Ring##20884 |q 8556/1 |only Warrior
|tip This has a chance to drop from Ayamiss the Hunter, Buru the Gorger, Moam, General Rajax, Kurinnaxx, and Ossirian the Unscarred in the Ruins of Ahn'Qiraj raid.
step
label "Collect_Idols"
collect 2 Alabaster Idol##20873 |q 8700/2 |only Druid
collect 2 Amber Idol##20869 |q 8704/2 |only Hunter
collect 2 Azure Idol##20866 |q 8699/2 |only Mage
collect 2 Vermillion Idol##20872 |q 8703/2 |only Paladin
collect 2 Obsidian Idol##20871 |q 8697/2 |only Priest
collect 2 Onyx Idol##20867 |q 8701/2 |only Rogue
collect 2 Vermillion Idol##20872 |q 8698/2 |only Shaman
collect 2 Jasper Idol##20870 |q 8702/2 |only Warlock
collect 2 Lambent Idol##20868 |q 8556/2 |only Warrior
|tip These have a chance to drop from trash mobs and Scarab Coffers in the Ruins of Ahn'Qiraj raid.
step
label "Collect_First_Scarab_Set"
collect 5 Bronze Scarab##20861 |q 8700/3 |only Druid
collect 5 Gold Scarab##20859 |q 8704/3 |only Hunter
collect 5 Gold Scarab##20859 |q 8699/3 |only Mage
collect 5 Silver Scarab##20860 |q 8703/3 |only Paladin
collect 5 Silver Scarab##20860 |q 8697/3 |only Priest
collect 5 Stone Scarab##20858 |q 8701/3 |only Rogue
collect 5 Silver Scarab##20860 |q 8698/3 |only Shaman
collect 5 Stone Scarab##20858 |q 8702/3 |only Warlock
collect 5 Bronze Scarab##20861 |q 8556/3 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Collect_Second_Scarab_Set"
collect 5 Ivory Scarab##20865 |q 8700/4 |only Druid
collect 5 Clay Scarab##20863 |q 8704/4 |only Hunter
collect 5 Clay Scarab##20863 |q 8699/4 |only Mage
collect 5 Bone Scarab##20864 |q 8703/4 |only Paladin
collect 5 Bone Scarab##20864 |q 8697/4 |only Priest
collect 5 Crystal Scarab##20862 |q 8701/4 |only Rogue
collect 5 Bronze Scarab##20861 |q 8698/4 |only Shaman
collect 5 Crystal Scarab##20862 |q 8702/4 |only Warlock
collect 5 Ivory Scarab##20865 |q 8556/4 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Reach_Honored_Reputation"
Reach Honored Reputation with the Cenarion Circle |complete rep("Cenarion Circle") >= Honored |or
'|complete completedq(8700,8704,8699,8703,8697,8701,8698,8702,8556) |or
step
talk Windcaller Yessendra##15498
turnin Band of Unending Life##8700 |goto 52.04,38.15 |only Druid
turnin Signet of the Unseen Path##8704 |goto 52.04,38.15 |only Hunter
turnin Band of Vaulted Secrets##8699 |goto 52.04,38.15 |only Mage
turnin Ring of Eternal Justice##8703 |goto 52.04,38.15 |only Paladin
turnin Ring of Infinite Wisdom##8697 |goto 52.04,38.15 |only Priest
turnin Band of Veiled Shadows##8701 |goto 52.04,38.15 |only Rogue
turnin Ring of the Gathering Storm##8698 |goto 52.04,38.15 |only Shaman
turnin Ring of Unspoken Names##8702 |goto 52.04,38.15 |only Warlock
turnin Signet of Unyielding Strength##8556 |goto 52.04,38.15 |only Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Ruins of Ahn'Qiraj Weapon Quest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Ruins of Ahn'Qiraj class-specific cloak.",
condition_end=function() return completedq(8708,8712,8707,8711,8705,8709,8706,8710,8558) end,
},[[
step
Reach Level 60 |ding 60
|tip Use the leveling guides to accomplish this.
step
talk Warden Haro##15499
accept Mace of Unending Life##8708 |goto Silithus 51.14,38.95 |only Druid
accept Scythe of the Unseen Path##8712 |goto 51.14,38.95 |only Hunter
accept Blade of Vaulted Secrets##8707 |goto 51.14,38.95 |only Mage
accept Blade of Eternal Justice##8711 |goto 51.14,38.95 |only Paladin
accept Gavel of Infinite Wisdom##8705 |goto 51.14,38.95 |only Priest
accept Dagger of Veiled Shadows##8709 |goto 51.14,38.95 |only Rogue
accept Hammer of the Gathering Storm##8706 |goto 51.14,38.95 |only Shaman
accept Kris of Unspoken Names##8710 |goto 51.14,38.95 |only Warlock
accept Sickle of Unyielding Strength##8558 |goto 51.14,38.95 |only Warrior
stickystart "Collect_Idols"
stickystart "Collect_First_Scarab_Set"
stickystart "Collect_Second_Scarab_Set"
stickystart "Reach_Exalted_Reputation"
step
collect 1 Qiraji Ornate Hilt##20890 |q 8708/1 |only Druid
collect 1 Qiraji Spiked Hilt##20886 |q 8712/1 |only Hunter
collect 1 Qiraji Ornate Hilt##20890 |q 8707/1 |only Mage
collect 1 Qiraji Spiked Hilt##20886 |q 8711/1 |only Paladin
collect 1 Qiraji Ornate Hilt##20890 |q 8705/1 |only Priest
collect 1 Qiraji Spiked Hilt##20886 |q 8709/1 |only Rogue
collect 1 Qiraji Spiked Hilt##20886 |q 8706/1 |only Shaman
collect 1 Qiraji Ornate Hilt##20890 |q 8710/1 |only Warlock
collect 1 Qiraji Spiked Hilt##20886 |q 8558/1 |only Warrior
|tip This has a chance to drop from Ayamiss the Hunter, Buru the Gorger, Moam, General Rajax, Kurinnaxx, and Ossirian the Unscarred in the Ruins of Ahn'Qiraj raid.
step
label "Collect_Idols"
collect 2 Jasper Idol##20870 |q 8708/2 |only Druid
collect 2 Azure Idol##20866 |q 8712/2 |only Hunter
collect 2 Obsidian Idol##20871 |q 8707/2 |only Mage
collect 2 Amber Idol##20869 |q 8711/2 |only Paladin
collect 2 Lambent Idol##20868 |q 8705/2 |only Priest
collect 2 Vermillion Idol##20872 |q 8709/2 |only Rogue
collect 2 Amber Idol##20869 |q 8706/2 |only Shaman
collect 2 Onyx Idol##20867 |q 8710/2 |only Warlock
collect 2 Alabaster Idol##20873 |q 8558/2 |only Warrior
|tip These have a chance to drop from trash mobs and Scarab Coffers in the Ruins of Ahn'Qiraj raid.
step
label "Collect_First_Scarab_Set"
collect 5 Crystal Scarab##20862 |q 8708/3 |only Druid
collect 5 Silver Scarab##20860 |q 8712/3 |only Hunter
collect 5 Silver Scarab##20860 |q 8707/3 |only Mage
collect 5 Bronze Scarab##20861 |q 8711/3 |only Paladin
collect 5 Bronze Scarab##20861 |q 8705/3 |only Priest
collect 5 Gold Scarab##20859 |q 8709/3 |only Rogue
collect 5 Bronze Scarab##20861 |q 8706/3 |only Shaman
collect 5 Gold Scarab##20859 |q 8710/3 |only Warlock
collect 5 Crystal Scarab##20862 |q 8558/3 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Collect_Second_Scarab_Set"
collect 5 Stone Scarab##20858 |q 8708/4 |only Druid
collect 5 Bone Scarab##20864 |q 8712/4 |only Hunter
collect 5 Bone Scarab##20864 |q 8707/4 |only Mage
collect 5 Ivory Scarab##20865 |q 8711/4 |only Paladin
collect 5 Ivory Scarab##20865 |q 8705/4 |only Priest
collect 5 Clay Scarab##20863 |q 8709/4 |only Rogue
collect 5 Ivory Scarab##20865 |q 8706/4 |only Shaman
collect 5 Clay Scarab##20863 |q 8710/4 |only Warlock
collect 5 Stone Scarab##20858 |q 8558/4 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Reach_Exalted_Reputation"
Reach Exalted Reputation with the Cenarion Circle |complete rep("Cenarion Circle") >= Exalted |or
'|complete completedq(8708,8712,8707,8711,8705,8709,8706,8710,8558) |or
step
talk Warden Haro##15499
turnin Mace of Unending Life##8708 |goto 51.14,38.95 |only Druid
turnin Scythe of the Unseen Path##8712 |goto 51.14,38.95 |only Hunter
turnin Blade of Vaulted Secrets##8707 |goto 51.14,38.95 |only Mage
turnin Blade of Eternal Justice##8711 |goto 51.14,38.95 |only Paladin
turnin Gavel of Infinite Wisdom##8705 |goto 51.14,38.95 |only Priest
turnin Dagger of Veiled Shadows##8709 |goto 51.14,38.95 |only Rogue
turnin Hammer of the Gathering Storm##8706 |goto 51.14,38.95 |only Shaman
turnin Kris of Unspoken Names##8710 |goto 51.14,38.95 |only Warlock
turnin Sickle of Unyielding Strength##8558 |goto 51.14,38.95 |only Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Temple of Ahn'Qiraj Shoulder Quest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Temple of Ahn'Qiraj class-specific shoulders.",
condition_end=function() return completedq(8669,8659,8625,8630,8594,8641,8602,8664,8544) end,
},[[
step
Reach Level 60 |ding 60
|tip Use the leveling guides to accomplish this.
step
talk Andorgos##15502
|tip She is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
accept Genesis Shoulderpads##8669 |only Druid
accept Striker's Pauldrons##8659 |only Hunter
accept Enigma Shoulderpads##8625 |only Mage
accept Avenger's Pauldrons##8630 |only Paladin
accept Mantle of the Oracle##8594 |only Priest
accept Deathdealer's Spaulders##8641 |only Rogue
accept Stormcaller's Pauldrons##8602 |only Shaman
accept Doomcaller's Mantle##8664 |only Warlock
accept Conqueror's Spaulders##8544 |only Warrior
stickystart "Collect_Idols"
stickystart "Collect_First_Scarab_Set"
stickystart "Collect_Second_Scarab_Set"
stickystart "Reach_Neutral_Reputation"
step
collect 1 Qiraji Bindings of Dominance##20932 |q 8669/1 |only Druid
collect 1 Qiraji Bindings of Command##20928 |q 8659/1 |only Hunter
collect 1 Qiraji Bindings of Dominance##20932 |q 8625/1 |only Mage
collect 1 Qiraji Bindings of Dominance##20932 |q 8630/1 |only Paladin
collect 1 Qiraji Bindings of Command##20928 |q 8594/1 |only Priest
collect 1 Qiraji Bindings of Command##20928 |q 8641/1 |only Rogue
collect 1 Qiraji Bindings of Dominance##20932 |q 8602/1 |only Shaman
collect 1 Qiraji Bindings of Dominance##20932 |q 8664/1 |only Warlock
collect 1 Qiraji Bindings of Command##20928 |q 8544/1 |only Warrior
|tip This has a chance to drop from Princess Huhuran and Viscidus in the Ruins of Ahn'Qiraj raid.
step
label "Collect_Idols"
collect 2 Idol of Strife##20881 |q 8669/2 |only Druid
collect 2 Idol of War##20882 |q 8659/2 |only Hunter
collect 2 Idol of Death##20876 |q 8625/2 |only Mage
collect 2 Idol of Life##20879 |q 8630/2 |only Paladin
collect 2 Idol of Rebirth##20878 |q 8594/2 |only Priest
collect 2 Idol of the Sun##20874 |q 8641/2 |only Rogue
collect 2 Idol of Life##20879 |q 8602/2 |only Shaman
collect 2 Idol of the Sage##20877 |q 8664/2 |only Warlock
collect 2 Idol of Night##20875 |q 8544/2 |only Warrior
|tip These have a chance to drop from trash mobs and Scarab Coffers in the Ruins of Ahn'Qiraj raid.
step
label "Collect_First_Scarab_Set"
collect 5 Gold Scarab##20859 |q 8669/3 |only Druid
collect 5 Crystal Scarab##20862 |q 8659/3 |only Hunter
collect 5 Stone Scarab##20858 |q 8625/3 |only Mage
collect 5 Gold Scarab##20859 |q 8630/3 |only Paladin
collect 5 Silver Scarab##20860 |q 8594/3 |only Priest
collect 5 Silver Scarab##20860 |q 8641/3 |only Rogue
collect 5 Gold Scarab##20859 |q 8602/3 |only Shaman
collect 5 Bronze Scarab##20861 |q 8664/3 |only Warlock
collect 5 Clay Scarab##20863 |q 8544/3 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Collect_Second_Scarab_Set"
collect 5 Bone Scarab##20864 |q 8669/4 |only Druid
collect 5 Ivory Scarab##20865 |q 8659/4 |only Hunter
collect 5 Bronze Scarab##20861 |q 8625/4 |only Mage
collect 5 Crystal Scarab##20862 |q 8630/4 |only Paladin
collect 5 Ivory Scarab##20865 |q 8594/4 |only Priest
collect 5 Clay Scarab##20863 |q 8641/4 |only Rogue
collect 5 Crystal Scarab##20862 |q 8602/4 |only Shaman
collect 5 Bone Scarab##20864 |q 8664/4 |only Warlock
collect 5 Stone Scarab##20858 |q 8544/4 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Reach_Neutral_Reputation"
Reach Neutral Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Neutral |or
'|complete completedq(8669,8659,8625,8630,8594,8641,8602,8664,8544) |or
step
talk Andorgos##15502
|tip She is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
turnin Genesis Shoulderpads##8669 |only Druid
turnin Striker's Pauldrons##8659 |only Hunter
turnin Enigma Shoulderpads##8625 |only Mage
turnin Avenger's Pauldrons##8630 |only Paladin
turnin Mantle of the Oracle##8594 |only Priest
turnin Deathdealer's Spaulders##8641 |only Rogue
turnin Stormcaller's Pauldrons##8602 |only Shaman
turnin Doomcaller's Mantle##8664 |only Warlock
turnin Conqueror's Spaulders##8544 |only Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Temple of Ahn'Qiraj Boots Quest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Temple of Ahn'Qiraj class-specific boots.",
condition_end=function() return completedq(8665,8626,8634,8655,8596,8637,8621,8660,8559) end,
},[[
step
Reach Level 60 |ding 60
|tip Use the leveling guides to accomplish this.
step
talk Kandrostrasz##15503
|tip He is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
accept Genesis Boots##8665 |only Druid
accept Striker's Footguards##8626 |only Hunter
accept Enigma Boots##8634 |only Mage
accept Avenger's Greaves##8655 |only Paladin
accept Footwraps of the Oracle##8596 |only Priest
accept Deathdealer's Boots##8637 |only Rogue
accept Stormcaller's Footguards##8621 |only Shaman
accept Doomcaller's Footwraps##8660 |only Warlock
accept Conqueror's Greaves##8559 |only Warrior
stickystart "Collect_Idols"
stickystart "Collect_First_Scarab_Set"
stickystart "Collect_Second_Scarab_Set"
stickystart "Reach_Neutral_Reputation"
step
collect 1 Qiraji Bindings of Dominance##20932 |q 8665/1 |only Druid
collect 1 Qiraji Bindings of Command##20928 |q 8626/1 |only Hunter
collect 1 Qiraji Bindings of Dominance##20932 |q 8634/1 |only Mage
collect 1 Qiraji Bindings of Dominance##20932 |q 8655/1 |only Paladin
collect 1 Qiraji Bindings of Command##20928 |q 8596/1 |only Priest
collect 1 Qiraji Bindings of Command##20928 |q 8637/1 |only Rogue
collect 1 Qiraji Bindings of Dominance##20932 |q 8621/1 |only Shaman
collect 1 Qiraji Bindings of Dominance##20932 |q 8660/1 |only Warlock
collect 1 Qiraji Bindings of Command##20928 |q 8559/1 |only Warrior
|tip This has a chance to drop from Princess Huhuran and Viscidus in the Ruins of Ahn'Qiraj raid.
step
label "Collect_Idols"
collect 2 Idol of Rebirth##20878 |q 8665/2 |only Druid
collect 2 Idol of Life##20879 |q 8626/2 |only Hunter
collect 2 Idol of the Sun##20874 |q 8634/2 |only Mage
collect 2 Idol of the Sage##20877 |q 8655/2 |only Paladin
collect 2 Idol of Death##20876 |q 8596/2 |only Priest
collect 2 Idol of Strife##20881 |q 8637/2 |only Rogue
collect 2 Idol of the Sage##20877 |q 8621/2 |only Shaman
collect 2 Idol of Night##20875 |q 8660/2 |only Warlock
collect 2 Idol of War##20882 |q 8559/2 |only Warrior
|tip These have a chance to drop from trash mobs and Scarab Coffers in the Ruins of Ahn'Qiraj raid.
step
label "Collect_First_Scarab_Set"
collect 5 Stone Scarab##20858 |q 8665/3 |only Druid
collect 5 Stone Scarab##20858 |q 8626/3 |only Hunter
collect 5 Silver Scarab##20860 |q 8634/3 |only Mage
collect 5 Bronze Scarab##20861 |q 8655/3 |only Paladin
collect 5 Bronze Scarab##20861 |q 8596/3 |only Priest
collect 5 Crystal Scarab##20862 |q 8637/3 |only Rogue
collect 5 Bronze Scarab##20861 |q 8621/3 |only Shaman
collect 5 Clay Scarab##20863 |q 8660/3 |only Warlock
collect 5 Ivory Scarab##20865 |q 8559/3 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Collect_Second_Scarab_Set"
collect 5 Silver Scarab##20860 |q 8665/4 |only Druid
collect 5 Bone Scarab##20864 |q 8626/4 |only Hunter
collect 5 Crystal Scarab##20862 |q 8634/4 |only Mage
collect 5 Clay Scarab##20863 |q 8655/4 |only Paladin
collect 5 Gold Scarab##20859 |q 8596/4 |only Priest
collect 5 Bone Scarab##20864 |q 8637/4 |only Rogue
collect 5 Clay Scarab##20863 |q 8621/4 |only Shaman
collect 5 Ivory Scarab##20865 |q 8660/4 |only Warlock
collect 5 Gold Scarab##20859 |q 8559/4 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Reach_Neutral_Reputation"
Reach Neutral Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Neutral |or
'|complete completedq(8665,8626,8634,8655,8596,8637,8621,8660,8559) |or
step
talk Kandrostrasz##15503
|tip He is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
turnin Genesis Boots##8665 |only Druid
turnin Striker's Footguards##8626 |only Hunter
turnin Enigma Boots##8634 |only Mage
turnin Avenger's Greaves##8655 |only Paladin
turnin Footwraps of the Oracle##8596 |only Priest
turnin Deathdealer's Boots##8637 |only Rogue
turnin Stormcaller's Footguards##8621 |only Shaman
turnin Doomcaller's Footwraps##8660 |only Warlock
turnin Conqueror's Greaves##8559 |only Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Temple of Ahn'Qiraj Helm Quest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Temple of Ahn'Qiraj class-specific helm.",
condition_end=function() return completedq(8667,8657,8632,8628,8592,8639,8623,8662,8561) end,
},[[
step
Reach Level 60 |ding 60
|tip Use the leveling guides to accomplish this.
step
talk Andorgos##15502
|tip She is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
accept Genesis Helm##8667 |only Druid
accept Striker's Diadem##8657 |only Hunter
accept Enigma Circlet##8632 |only Mage
accept Avenger's Crown##8628 |only Paladin
accept Tiara of the Oracle##8592 |only Priest
accept Deathdealer's Helm##8639 |only Rogue
accept Stormcaller's Diadem##8623 |only Shaman
accept Doomcaller's Circlet##8662 |only Warlock
accept Conqueror's Crown##8561 |only Warrior
stickystart "Collect_Idols"
stickystart "Collect_First_Scarab_Set"
stickystart "Collect_Second_Scarab_Set"
stickystart "Reach_Friendly_Reputation"
step
collect 1 Vek'lor's Diadem##20930 |q 8667/1 |only Druid
collect 1 Vek'lor's Diadem##20930 |q 8657/1 |only Hunter
collect 1 Vek'nilash's Circlet##20926 |q 8632/1 |only Mage
collect 1 Vek'lor's Diadem##20930 |q 8628/1 |only Paladin
collect 1 Vek'nilash's Circlet##20926 |q 8592/1 |only Priest
collect 1 Vek'lor's Diadem##20930 |q 8639/1 |only Rogue
collect 1 Vek'lor's Diadem##20930 |q 8623/1 |only Shaman
collect 1 Vek'nilash's Circlet##20926 |q 8662/1 |only Warlock
collect 1 Vek'nilash's Circlet##20926 |q 8561/1 |only Warrior
|tip This has a chance to drop from Emperor Vek'lor and Emperor Vek'nilash in the Ruins of Ahn'Qiraj raid.
step
label "Collect_Idols"
collect 2 Idol of Life##20879 |q 8667/2 |only Druid
collect 2 Idol of Strife##20881 |q 8657/2 |only Hunter
collect 2 Idol of Night##20875 |q 8632/2 |only Mage
collect 2 Idol of Rebirth##20878 |q 8628/2 |only Paladin
collect 2 Idol of the Sage##20877 |q 8592/2 |only Priest
collect 2 Idol of War##20882 |q 8639/2 |only Rogue
collect 2 Idol of Rebirth##20878 |q 8623/2 |only Shaman
collect 2 Idol of Death##20876 |q 8662/2 |only Warlock
collect 2 Idol of the Sun##20874 |q 8561/2 |only Warrior
|tip These have a chance to drop from trash mobs and Scarab Coffers in the Ruins of Ahn'Qiraj raid.
step
label "Collect_First_Scarab_Set"
collect 5 Gold Scarab##20859 |q 8667/3 |only Druid
collect 5 Bronze Scarab##20861 |q 8657/3 |only Hunter
collect 5 Bronze Scarab##20861 |q 8632/3 |only Mage
collect 5 Stone Scarab##20858 |q 8628/3 |only Paladin
collect 5 Silver Scarab##20860 |q 8592/3 |only Priest
collect 5 Clay Scarab##20863 |q 8639/3 |only Rogue
collect 5 Stone Scarab##20858 |q 8623/3 |only Shaman
collect 5 Silver Scarab##20860 |q 8662/3 |only Warlock
collect 5 Crystal Scarab##20862 |q 8561/3 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Collect_Second_Scarab_Set"
collect 5 Clay Scarab##20863 |q 8667/4 |only Druid
collect 5 Ivory Scarab##20865 |q 8657/4 |only Hunter
collect 5 Ivory Scarab##20865 |q 8632/4 |only Mage
collect 5 Crystal Scarab##20862 |q 8628/4 |only Paladin
collect 5 Bone Scarab##20864 |q 8592/4 |only Priest
collect 5 Gold Scarab##20859 |q 8639/4 |only Rogue
collect 5 Crystal Scarab##20862 |q 8623/4 |only Shaman
collect 5 Bone Scarab##20864 |q 8662/4 |only Warlock
collect 5 Stone Scarab##20858 |q 8561/4 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Reach_Friendly_Reputation"
Reach Friendly Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Friendly |or
'|complete completedq(8667,8657,8632,8628,8592,8639,8623,8662,8561) |or
step
talk Andorgos##15502
|tip She is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
turnin Genesis Helm##8667 |only Druid
turnin Striker's Diadem##8657 |only Hunter
turnin Enigma Circlet##8632 |only Mage
turnin Avenger's Crown##8628 |only Paladin
turnin Tiara of the Oracle##8592 |only Priest
turnin Deathdealer's Helm##8639 |only Rogue
turnin Stormcaller's Diadem##8623 |only Shaman
turnin Doomcaller's Circlet##8662 |only Warlock
turnin Conqueror's Crown##8561 |only Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Temple of Ahn'Qiraj Legs Quest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Temple of Ahn'Qiraj class-specific legs.",
condition_end=function() return completedq(8668,8658,8631,8629,8593,8640,8624,8663,8560) end,
},[[
step
Reach Level 60 |ding 60
|tip Use the leveling guides to accomplish this.
step
talk Kandrostrasz##15503
|tip He is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
accept Genesis Trousers##8668 |only Druid
accept Striker's Leggings##8658 |only Hunter
accept Enigma Leggings##8631 |only Mage
accept Avenger's Legguards##8629 |only Paladin
accept Trousers of the Oracle##8593 |only Priest
accept Deathdealer's Leggings##8640 |only Rogue
accept Stormcaller's Leggings##8624 |only Shaman
accept Doomcaller's Trousers##8663 |only Warlock
accept Conqueror's Legguards##8560 |only Warrior
stickystart "Collect_Idols"
stickystart "Collect_First_Scarab_Set"
stickystart "Collect_Second_Scarab_Set"
stickystart "Reach_Friendly_Reputation"
step
collect 1 Skin of the Great Sandworm##20931 |q 8668/1 |only Druid
collect 1 Skin of the Great Sandworm##20931 |q 8658/1 |only Hunter
collect 1 Ouro's Intact Hide##20927 |q 8631/1 |only Mage
collect 1 Skin of the Great Sandworm##20931 |q 8629/1 |only Paladin
collect 1 Ouro's Intact Hide##20927 |q 8593/1 |only Priest
collect 1 Ouro's Intact Hide##20927 |q 8640/1 |only Rogue
collect 1 Skin of the Great Sandworm##20931 |q 8624/1 |only Shaman
collect 1 Skin of the Great Sandworm##20931 |q 8663/1 |only Warlock
collect 1 Ouro's Intact Hide##20927 |q 8560/1 |only Warrior
|tip This has a chance to drop from Ouro in the Ruins of Ahn'Qiraj raid.
step
label "Collect_Idols"
collect 2 Idol of War##20882 |q 8668/2 |only Druid
collect 2 Idol of the Sun##20874 |q 8658/2 |only Hunter
collect 2 Idol of the Sage##20877 |q 8631/2 |only Mage
collect 2 Idol of Strife##20881 |q 8629/2 |only Paladin
collect 2 Idol of Life##20879 |q 8593/2 |only Priest
collect 2 Idol of Night##20875 |q 8640/2 |only Rogue
collect 2 Idol of Strife##20881 |q 8624/2 |only Shaman
collect 2 Idol of Rebirth##20878 |q 8663/2 |only Warlock
collect 2 Idol of Death##20876 |q 8560/2 |only Warrior
|tip These have a chance to drop from trash mobs and Scarab Coffers in the Ruins of Ahn'Qiraj raid.
step
label "Collect_First_Scarab_Set"
collect 5 Stone Scarab##20858 |q 8668/3 |only Druid
collect 5 Silver Scarab##20860 |q 8658/3 |only Hunter
collect 5 Silver Scarab##20860 |q 8631/3 |only Mage
collect 5 Ivory Scarab##20865 |q 8629/3 |only Paladin
collect 5 Gold Scarab##20859 |q 8593/3 |only Priest
collect 5 Stone Scarab##20858 |q 8640/3 |only Rogue
collect 5 Ivory Scarab##20865 |q 8624/3 |only Shaman
collect 5 Gold Scarab##20859 |q 8663/3 |only Warlock
collect 5 Bronze Scarab##20861 |q 8560/3 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Collect_Second_Scarab_Set"
collect 5 Crystal Scarab##20862 |q 8668/4 |only Druid
collect 5 Bone Scarab##20864 |q 8658/4 |only Hunter
collect 5 Bone Scarab##20864 |q 8631/4 |only Mage
collect 5 Bronze Scarab##20861 |q 8629/4 |only Paladin
collect 5 Clay Scarab##20863 |q 8593/4 |only Priest
collect 5 Crystal Scarab##20862 |q 8640/4 |only Rogue
collect 5 Bronze Scarab##20861 |q 8624/4 |only Shaman
collect 5 Clay Scarab##20863 |q 8663/4 |only Warlock
collect 5 Ivory Scarab##20865 |q 8560/4 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Reach_Friendly_Reputation"
Reach Friendly Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Friendly |or
'|complete completedq(8668,8658,8631,8629,8593,8640,8624,8663,8560) |or
step
talk Kandrostrasz##15503
|tip He is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
turnin Genesis Trousers##8668 |only Druid
turnin Striker's Leggings##8658 |only Hunter
turnin Enigma Leggings##8631 |only Mage
turnin Avenger's Legguards##8629 |only Paladin
turnin Trousers of the Oracle##8593 |only Priest
turnin Deathdealer's Leggings##8640 |only Rogue
turnin Stormcaller's Leggings##8624 |only Shaman
turnin Doomcaller's Trousers##8663 |only Warlock
turnin Conqueror's Legguards##8560 |only Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Temple of Ahn'Qiraj Chest Quest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Temple of Ahn'Qiraj class-specific chest.",
condition_end=function() return completedq(8666,8656,8633,8627,8603,8638,8622,8661,8562) end,
},[[
step
Reach Level 60 |ding 60
|tip Use the leveling guides to accomplish this.
step
talk Vethsera##15504
|tip She is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
accept Genesis Vest##8666 |only Druid
accept Striker's Hauberk##8656 |only Hunter
accept Enigma Robes##8633 |only Mage
accept Avenger's Breastplate##8627 |only Paladin
accept Vestments of the Oracle##8603 |only Priest
accept Deathdealer's Vest##8638 |only Rogue
accept Stormcaller's Hauberk##8622 |only Shaman
accept Doomcaller's Robes##8661 |only Warlock
accept Conqueror's Breastplate##8562 |only Warrior
stickystart "Collect_Idols"
stickystart "Collect_First_Scarab_Set"
stickystart "Collect_Second_Scarab_Set"
stickystart "Reach_Honored_Reputation"
step
collect 1 Husk of the Old God##20933 |q 8666/1 |only Druid
collect 1 Carapace of the Old God##20929 |q 8656/1 |only Hunter
collect 1 Husk of the Old God##20933 |q 8633/1 |only Mage
collect 1 Carapace of the Old God##20929 |q 8627/1 |only Paladin
collect 1 Husk of the Old God##20933 |q 8603/1 |only Priest
collect 1 Carapace of the Old God##20929 |q 8638/1 |only Rogue
collect 1 Carapace of the Old God##20929 |q 8622/1 |only Shaman
collect 1 Husk of the Old God##20933 |q 8661/1 |only Warlock
collect 1 Carapace of the Old God##20929 |q 8562/1 |only Warrior
|tip This has a chance to drop from C'Thun in the Ruins of Ahn'Qiraj raid.
step
label "Collect_Idols"
collect 2 Idol of Rebirth##20878 |q 8666/2 |only Druid
collect 2 Idol of Life##20879 |q 8656/2 |only Hunter
collect 2 Idol of the Sun##20874 |q 8633/2 |only Mage
collect 2 Idol of the Sage##20877 |q 8627/2 |only Paladin
collect 2 Idol of Death##20876 |q 8603/2 |only Priest
collect 2 Idol of Strife##20881 |q 8638/2 |only Rogue
collect 2 Idol of the Sage##20877 |q 8622/2 |only Shaman
collect 2 Idol of Night##20875 |q 8661/2 |only Warlock
collect 2 Idol of War##20882 |q 8562/2 |only Warrior
|tip These have a chance to drop from trash mobs and Scarab Coffers in the Ruins of Ahn'Qiraj raid.
step
label "Collect_First_Scarab_Set"
collect 5 Bronze Scarab##20861 |q 8666/3 |only Druid
collect 5 Gold Scarab##20859 |q 8656/3 |only Hunter
collect 5 Gold Scarab##20859 |q 8633/3 |only Mage
collect 5 Silver Scarab##20860 |q 8627/3 |only Paladin
collect 5 Stone Scarab##20858 |q 8603/3 |only Priest
collect 5 Bronze Scarab##20861 |q 8638/3 |only Rogue
collect 5 Silver Scarab##20860 |q 8622/3 |only Shaman
collect 5 Crystal Scarab##20862 |q 8661/3 |only Warlock
collect 5 Silver Scarab##20860 |q 8562/3 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Collect_Second_Scarab_Set"
collect 5 Ivory Scarab##20865 |q 8666/4 |only Druid
collect 5 Clay Scarab##20863 |q 8656/4 |only Hunter
collect 5 Clay Scarab##20863 |q 8633/4 |only Mage
collect 5 Bone Scarab##20864 |q 8627/4 |only Paladin
collect 5 Crystal Scarab##20862 |q 8603/4 |only Priest
collect 5 Ivory Scarab##20865 |q 8638/4 |only Rogue
collect 5 Bone Scarab##20864 |q 8622/4 |only Shaman
collect 5 Stone Scarab##20858 |q 8661/4 |only Warlock
collect 5 Bone Scarab##20864 |q 8562/4 |only Warrior
|tip These have a chance to drop from trash mobs in the Ruins of Ahn'Qiraj and Temple of Ahn'Qiraj raids.
step
label "Reach_Honored_Reputation"
Reach Honored Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Honored |or
'|complete completedq(8666,8656,8633,8627,8603,8638,8622,8661,8562) |or
step
talk Vethsera##15504
|tip She is located inside the Temple of Ahn'Qiraj raid.
|tip After killing The Prophet Skeram, run up the stairs and into the left-side alcove inside the temple entrance.
accept Genesis Vest##8666 |only Druid
accept Striker's Hauberk##8656 |only Hunter
accept Enigma Robes##8633 |only Mage
accept Avenger's Breastplate##8627 |only Paladin
accept Vestments of the Oracle##8603 |only Priest
accept Deathdealer's Vest##8638 |only Rogue
accept Stormcaller's Hauberk##8622 |only Shaman
accept Doomcaller's Robes##8661 |only Warlock
accept Conqueror's Breastplate##8562 |only Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Scepter of the Shifting Sands",{
author="support@zygorguides.com",
description="This guide will walk you through completing the Scepter of the Shifting Sands questline.",
condition_end=function() return completedq(8745) end,
},[[
step
talk Baristolth of the Shifting Sands##15180
accept What Tomorrow Brings##8286 |goto Silithus 49.45,36.45
step
Follow the path |goto Tanaris 61.19,50.58 < 75 |only if walking
Discover the Brood of Nozdormu |q 8286/1 |goto 64.24,50.26
step
talk Baristolth of the Shifting Sands##15180
turnin What Tomorrow Brings##8286 |goto Silithus 49.45,36.45
accept Only One May Rise##8288 |goto 49.45,36.45
step
kill Broodlord Lashlayer##12017
|tip It's the third boss in the Blackwing Lair raid.
|tip You will need a raid group for this.
collect 1 Head of the Broodlord Lashlayer##20383 |q 8288/1
step
talk Baristolth of the Shifting Sands##15180
turnin Only One May Rise##8288 |goto 49.45,36.45
accept The Path of the Righteous##8301 |goto 49.45,36.45
stickystart "Reach_Neutral_With_Brood_Of_Nozdormu"
step
Kill Silithid enemies around this area
|tip They look like large bugs.
|tip These enemies are elite and may require a group to kill.
collect 200 Silithid Carapace Fragment##20384 |q 8301/1 |goto 45.22,26.25
You can find more around:
[25.15,59.22]
[57.64,81.91]
step
talk Baristolth of the Shifting Sands##15180
turnin The Path of the Righteous##8301 |goto 49.45,36.45
step
label "Accept_The_Hand_of_the_Righteous"
talk Baristolth of the Shifting Sands##15180
accept The Hand of the Righteous##8302 |goto 49.45,36.45 |or
'|complete rep("Brood of Nozdormu") >= Neutral |or
step
Kill Silithid enemies around this area
|tip They look like large bugs.
|tip These enemies are elite and may require a group to kill.
|tip You will repeat this quest until neutral with the Brood of Nozdormu faction.
|tip This requires around 41,400 carapace fragments, so it's best to find a group.
collect 200 Silithid Carapace Fragment##20384 |q 8302/1 |goto 45.22,26.25 |or
You can find more around:
[25.15,59.22]
[57.64,81.91]
'|complete rep("Brood of Nozdormu") >= Neutral |or
step
talk Baristolth of the Shifting Sands##15180
turnin The Hand of the Righteous##8302 |goto 49.45,36.45 |next "Accept_The_Hand_of_the_Righteous" |or
|tip Each time you turn in this quest you will receive a "Proxy of Nozdormu" item.
|tip Target a friend and use the item to deputize them so they can collect carapace fragments as well.
|tip You must use or destroy your previous "Proxy of Nozdormu" before you can complete this quest.
'|complete rep("Brood of Nozdormu") >= Neutral |or
step
label "Reach_Neutral_With_Brood_Of_Nozdormu"
Reach Neutral Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Neutral
step
talk Baristolth of the Shifting Sands##15180
accept Anachronos##8303 |goto 49.45,36.45
step
talk Anachronos##15192
turnin Anachronos##8303 |goto Tanaris 65.27,50.03
accept Long Forgotten Memories##8305 |goto 65.27,50.03
step
click Crystalline Tear
|tip It's a small red crystal on the ground.
turnin Long Forgotten Memories##8305 |goto Silithus 28.67,89.14
accept A Pawn on the Eternal Board##8519 |goto 28.67,89.14
step
talk Anachronos##15192
turnin A Pawn on the Eternal Board##8519 |goto Tanaris 65.27,50.03
accept The Charge of the Dragonflights##8555 |goto 65.27,50.03
step
talk Anachronos##15192
turnin The Charge of the Dragonflights##8555 |goto 65.27,50.03
stickystart "Collect_Deeprock_Salt"
stickystart "Collect_Arcanite_Bar"
stickystart "Collect_Elementium_Ore"
stickystart "Collect_Azerothian_Diamond"
stickystart "Collect_Blue_Sapphire"
step
_Collect the Following Items:_
collect 20 Goblin Rocket Fuel##9061 |q 8586 |future
|tip These are required to complete the quest "Dirge's Kickin' Chimaerok Chops." |notinsticky
|tip You can create them with Alchemy or purchase them from the Auction House. |only if not selfmade
|tip You can create them with Alchemy. |only if selfmade
|tip Each one requires one Firebloom, one Volatile Rum, and one Leaded Vial to craft.
step
label "Collect_Deeprock_Salt"
_Collect the Following Items:_ |notinsticky
Kill Rock Elemental enemies around this area
collect 20 Deeprock Salt##8150 |goto Badlands 14.16,39.38 |q 8586 |future
|tip You can also purchase these from the Auction House. |only if not selfmade
|tip These are required to complete the quest "Dirge's Kickin' Chimaerok Chops." |notinsticky
step
label "Collect_Arcanite_Bar"
_Collect the Following Items:_ |notinsticky
collect 20 Arcanite Bar##12360 |q 8728 |future
|tip These are required to complete the quest "The Good News and The Bad News." |notinsticky
|tip You can create them with Alchemy or purchase them from the Auction House. |only if not selfmade
|tip You can create them with Alchemy. |only if selfmade
|tip Each one requires one Arcane Crystal and one Thorium Bar to craft.
step
label "Collect_Elementium_Ore"
_Collect the Following Items:_ |notinsticky
kill Blackwing Technician##13996+
|tip These spawn and flee from Vaelastrasz the Corrupt's room in Blackwing Lair.
|tip You must kill them quickly before they flee to safety.
collect 10 Elementium Ore##18562 |q 8728 |future
|tip These are required to complete the quest "The Good News and The Bad News." |notinsticky
|tip You can also purchase these from the Auction House. |only if not selfmade
step
label "Collect_Azerothian_Diamond"
_Collect the Following Items:_ |notinsticky
collect 10 Azerothian Diamond##12800 |q 8728 |future
|tip These are required to complete the quest "The Good News and The Bad News." |notinsticky
|tip These can be mined from any type of Thorium Vein.
|tip They can also be contained inside Gray Sacks of Gems dropped by Onyxia, Nefarian, and the various World Bosses.
step
label "Collect_Blue_Sapphire"
_Collect the Following Items:_ |notinsticky
collect 10 Blue Sapphire##12361 |q 8728 |future
|tip These are required to complete the quest "The Good News and The Bad News." |notinsticky
|tip These can be mined from any type of Thorium Vein.
|tip They can also be contained inside Gray Sacks of Gems dropped by Onyxia, Nefarian, and the various World Bosses.
step
talk Spirit of Azuregos##15481
|tip He walks all over the area.
|tip You will need to search around.
|tip Make sure you talk to the spirit version.
Tell him _"How did you know? I mean, yes... Yes I am looking for that shard. Do you have it?"_
collect 1 Magical Ledger##20949 |goto Azshara 55.58,79.77
step
use the Magical Ledger##20949
accept Azuregos's Magical Ledger##8575
step
talk Narain Soothfancy##11811
|tip Inside the building.
turnin Azuregos's Magical Ledger##8575 |goto Tanaris 65.24,18.58
step
talk Narain Soothfancy##11811
|tip Inside the building.
accept Translating the Ledger##8576 |goto 65.24,18.58
step
talk Narain Soothfancy##11811
|tip Inside the building.
turnin Translating the Ledger##8576 |goto 65.24,18.58
step
talk Narain Soothfancy##11811
|tip Inside the building.
accept Stewvul, Ex-B.F.F.##8577 |goto 65.24,18.58
accept Never Ask Me About My Business##8584 |goto 65.24,18.58
accept Draconic for Dummies##8597 |goto 65.24,18.58
step
talk Meridith the Mermaiden##15526
|tip Underwater.
accept Love Song for Narain##8599 |goto 59.43,96.04
step
talk Narain Soothfancy##11811
|tip Inside the building.
turnin Love Song for Narain##8599 |goto 65.24,18.58
step
talk Meridith the Mermaiden##15526
|tip Underwater.
Tell her _"That would be wonderful! Thank you, Merideth."_
Gain the "Siren's Song" Buff |havebuff Siren's Song##25678 |goto 59.43,96.04 |q 8597
step
click Freshly Dug Dirt
|tip Quickly swim southeast to the pair of secret islands.
|tip The buff will expire in three minutes.
|tip On the island south of the metal rig.
turnin Draconic for Dummies##8597
accept rAnS0m##8598
step
talk Narain Soothfancy##11811
|tip Inside the building.
turnin rAnS0m##8598 |goto Tanaris 65.24,18.58
accept Decoy!##8606 |goto 65.24,18.58
step
talk Dirge Quikcleave##8125
|tip Inside the building.
turnin Never Ask Me About My Business##8584 |goto 52.63,28.12
accept The Isle of Dread!##8585 |goto 52.63,28.12
stickystart "Kill_Number_Two"
step
Cross the bridge |goto Winterspring 61.24,74.20 < 50 |only if walking
Follow the path |goto 63.43,72.69 < 40 |only if walking
Follow the path up |goto 66.02,72.69 < 40 |only if walking
use Narain's Special Kit##21042
Open Narain's Special Kit |complete itemcount(21042) == 0 |goto 67.55,72.84 |q 8606
step
use Narain's Turban##21039
Transform into Narain Soothfancy |havebuff Narain!##25688 |goto 67.55,72.84 |q 8606
step
use the Bag of Gold##21041
Place the Bag of Loot |complete itemcount(21041) == 0 |goto 67.55,72.84 |q 8606
|tip Placing the Bag of Loot will summon Number Two.
step
label "Kill_Number_Two"
Watch the dialogue |notinsticky
kill Number Two##15554 |q 8606/1 |goto 67.23,72.60
|tip You will need a group of at least three people to kill it.
stickystart "Collect_Chimaerok_Tenderloin"
step
Follow the path up |goto Feralas 34.14,77.78 < 50 |only if walking
kill Lord Lakmaeran##12803
|tip You will need a group for this, preferrably at least ten people.
collect 1 Lakmaeran's Carcass##21027 |q 8585/1 |goto 29.34,72.63
step
label "Collect_Chimaerok_Tenderloin"
Kill Chimaerok enemies around this area
|tip You will need a group for this, preferrably at least ten people. |notinsticky
collect 20 Chimaerok Tenderloin##21024 |q 8585/2 |goto 28.51,74.88
step
talk Dirge Quikcleave##8125
|tip Inside the building.
turnin The Isle of Dread!##8585 |goto Tanaris 52.63,28.12
accept Dirge's Kickin' Chimaerok Chops##8586 |goto 52.63,28.12
step
talk Narain Soothfancy##11811
|tip Inside the building.
turnin Decoy!##8606 |goto 65.24,18.58
accept The Only Prescription##8620 |goto 65.24,18.58
step
Enter the building |goto Dustwallow Marsh 77.25,17.41
kill Doctor Weavil##15552
|tip Upstairs inside the building.
|tip You will need a sizeable group to kill him.
collect 1 Draconic for Dummies##21103 |goto 77.85,17.12 |q 8620
step
kill Onyxia##10184
|tip Inside Onxyia's Lair.
collect 2 Draconic for Dummies##21103 |goto Kalimdor 56.58,71.55 |q 8620
step
Cross the bridge |goto Winterspring 62.43,67.46 < 50 |only if walking
Kill enemies around this area
collect 3 Draconic for Dummies##21103 |goto 60.59,78.67 |q 8620
|tip Any elite demon in Darkwhisper Gorge can drop this.
step
click Draconic for Dummies
|tip You will need a group or stealth to survive the opposing faction's city. |only Alliance
collect 8 Draconic for Dummies##21103 |goto Undercity 77.05,38.93 |q 8620
step
click Inconspicuous Crate
turnin Stewvul, Ex-B.F.F.##8577 |goto Silverpine Forest 46.19,86.67
accept Scrying Goggles? No Problem!##8578 |goto 46.19,86.67
step
Kill Rock Elemental enemies around this area
collect 20 Deeprock Salt##8150 |q 8586/2 |goto Badlands 14.16,39.38
|tip You can also purchase these from the Auction House. |only if not selfmade
step
kill Ebonroc##14601
|tip It is the fifth boss of the Blackwing Lair raid.
collect 6 Draconic for Dummies##21103 |q 8620
stickystart "Collect_Draconic_Scrying_Goggles"
step
kill Ragnaros##11502
|tip He is the final boss of the Molten Core raid.
collect 5 Draconic for Dummies##21103 |q 8620
step
label "Collect_Draconic_Scrying_Goggles"
Kill enemies inside Molten Core
collect 1 Narain's Scrying Goggles##20951 |q 8578/1
|tip These goggles have a chance to drop from trash mobs inside the Molten Core raid.
step
Enter Stormwind Keep |goto Stormwind City 69.37,28.39 < 20 |only if walking
click Draconic for Dummies
|tip You will need a group or stealth to survive the opposing faction's city. |only Horde
|tip It's the open book on the corner of the statue.
Choose _<Take this book for the good of Azeroth!>_
collect 7 Draconic for Dummies##21103 |goto Stormwind City 71.97,6.88 |q 8620
step
Watch the dialogue
talk Malfurion Stormrage##15362
|tip Inside the Sunken Temple dungeon.
|tip He will appear in front of Shade of Eranikus when you walk near.
accept Eranikus, Tyrant of the Dream##8733
step
Kill enemies around this area
collect 4 Draconic for Dummies##21103 |goto Blasted Lands 44.40,56.63 |q 8620
|tip Any elite demon in The Tainted Scar can drop this.
step
talk Forest Wisp##15624
turnin Eranikus, Tyrant of the Dream##8733 |goto Teldrassil 37.56,47.93
accept Tyrande and Remulos##8734 |goto 37.56,47.93
step
talk Keeper Remulos##11832
turnin Tyrande and Remulos##8734 |goto Moonglade 36.19,41.81
accept The Nightmare's Corruption##8735 |goto 36.19,41.81
step
Follow the path |goto Ashenvale 89.00,41.02 < 50 |only if walking
Kill Emeraldon enemies around this area
|tip You will need a group for this.
collect 1 Fragment of the Nightmare's Corruption##21147 |goto 93.61,39.65 |q 8735/1
step
Kill Jademir enemies around this area
|tip You will need a group for this.
collect 1 Fragment of the Nightmare's Corruption##21148 |goto Feralas 50.70,12.50 |q 8735/3
step
Follow the path up |goto Duskwood 47.36,61.77 < 40 |only if walking
Enter the Twilight Grove |goto 46.49,55.22 < 30 |only if walking
kill Twilight Corrupter##15625
|tip You will need a group for this.
collect 1 Fragment of the Nightmare's Corruption##21149 |goto 48.98,34.39 |q 8735/2
step
Cross the bridge |goto The Hinterlands 60.64,38.41 < 20 |only if walking
Kill Verdantine enemies around this area
|tip You will need a group for this.
collect 1 Fragment of the Nightmare's Corruption##21146 |goto 62.91,30.32 |q 8735/4
step
talk Keeper Remulos##11832
turnin The Nightmare's Corruption##8735 |goto Moonglade 36.19,41.81
accept The Nightmare Manifests##8736 |goto 36.19,41.81
step
Defend Nighthaven from Eranikus |q 8736/1 |goto 48.04,34.31
|tip You will need a raid to accomplish this.
|tip You cannot let Keeper Remulos die or kill Eranikus.
step
talk Keeper Remulos##11832
turnin The Nightmare Manifests##8736 |goto 36.19,41.81
accept The Champion Returns##8741 |goto 36.19,41.81
step
collect 20 Goblin Rocket Fuel##9061 |q 8586/1
|tip You can create them with Alchemy or purchase them from the Auction House. |only if not selfmade
|tip You can create them with Alchemy. |only if selfmade
|tip Each one requires one Firebloom, one Volatile Rum, and one Leaded Vial to craft.
step
talk Dirge Quikcleave##8125
|tip Inside the building.
turnin Dirge's Kickin' Chimaerok Chops##8586 |goto Tanaris 52.63,28.12
accept Return to Narain##8587 |goto 52.63,28.12
step
use the Magical Book Binding##21112
collect 1 Draconic For Dummies: Volume II##21111 |q 8620/1
step
talk Narain Soothfancy##11811
|tip Inside the building.
turnin Scrying Goggles? No Problem!##8578 |goto 65.24,18.58
turnin Return to Narain##8587 |goto 65.24,18.58
turnin The Only Prescription##8620 |goto  65.24,18.58
step
talk Anachronos##15192
turnin The Champion Returns##8741 |goto 65.27,50.03
step
talk Vaelastrasz the Corrupt##13020
|tip The second boss inside the Blackwing Lair raid.
accept Nefarius's Corruption##8730
|tip You will only have five hours to kill Nefarian, collect the Red Scepter Shard, and turn in this quest.
step
kill Nefarian##11583
|tip He is the final boss inside the Blackwing Lair raid.
|tip You must kill him and turn in this quest within the five hour time limit.
collect 1 Red Scepter Shard##21138
|tip Only one person in the raid can loot this item per reset.
step
talk Anachronos##15192
turnin Nefarius's Corruption##8730 |goto 65.27,50.03
|tip You must turn in this quest within the five hour time limit.
step
talk Narain Soothfancy##11811
|tip Inside the building.
accept The Good News and The Bad News##8728 |goto 65.24,18.58
stickystart "Collect_Elementium_Ores"
stickystart "Collect_Azerothian_Diamonds"
stickystart "Collect_Blue_Sapphires"
step
_Collect the Following Items:_ |notinsticky
collect 20 Arcanite Bar##12360 |q 8728/1
|tip These are required to complete the quest "The Good News and The Bad News." |notinsticky
|tip You can create them with Alchemy or purchase them from the Auction House. |only if not selfmade
|tip You can create them with Alchemy. |only if selfmade
|tip Each one requires one Arcane Crystal and one Thorium Bar to craft.
step
label "Collect_Elementium_Ores"
_Collect the Following Items:_ |notinsticky
kill Blackwing Technician##13996+
|tip These spawn and flee from Vaelastrasz the Corrupt's room in Blackwing Lair.
|tip You must kill them quickly before they flee to safety.
collect 10 Elementium Ore##18562 |q 8728/2
|tip These are required to complete the quest "The Good News and The Bad News." |notinsticky
|tip You can also purchase these from the Auction House. |only if not selfmade
step
label "Collect_Azerothian_Diamonds"
_Collect the Following Items:_ |notinsticky
collect 10 Azerothian Diamond##12800 |q 8728/3
|tip These are required to complete the quest "The Good News and The Bad News." |notinsticky
|tip These can be mined from any type of Thorium Vein.
|tip They can also be contained inside Gray Sacks of Gems dropped by Onyxia, Nefarian, and the various World Bosses.
step
label "Collect_Blue_Sapphires"
_Collect the Following Items:_ |notinsticky
collect 10 Blue Sapphire##12361 |q 8728/4
|tip These are required to complete the quest "The Good News and The Bad News." |notinsticky
|tip These can be mined from any type of Thorium Vein.
|tip They can also be contained inside Gray Sacks of Gems dropped by Onyxia, Nefarian, and the various World Bosses.
step
talk Narain Soothfancy##11811
|tip Inside the building.
turnin The Good News and The Bad News##8728 |goto 65.24,18.58
accept The Wrath of Neptulon##8729 |goto 65.24,18.58
step
use the Arcanite Buoy##21136
kill Maws##15571
|tip Using the buoy will summon it.
|tip You will need a raid to defeat it.
collect 1 Blue Scepter Shard##21137 |goto Azshara 65.88,54.05
step
talk Anachronos##15192
turnin The Wrath of Neptulon##8729 |goto Tanaris 65.27,50.03
step
talk Anachronos##15192
accept The Might of Kalimdor##8742 |goto 65.27,50.03
step
click The Scarab Gong##180717
accept Bang a Gong!##8743 |goto Silithus 25.71,90.86
step
click The Scarab Gong##180717
turnin Bang a Gong!##8743 |goto 25.71,90.86
step
talk Jonathan the Revelator##15693
accept Treasure of the Timeless One##8745 |goto 25.94,90.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Signet Ring of the Bronze Dragonflight",{
author="support@zygorguides.com",
description="This guide will walk you through acquiring and upgrading a Signet Ring of the Bronze Dragonflight.",
condition_end=function() return completedq(8761,8751,8756,8765,8764,8766) end,
},[[
step
Reach Neutral Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Neutral |or
|tip Killing trash and bosses inside the "Temple of Ahn'Qiraj" and "Ruins of Ahn'Qiraj" raids grants reputation.
|tip Completing the repeatable quest "The Hand of the Righteous" in Cenarion Hold also grants reputation.
|tip You can gain reputation by completing Ahn'Qiraj raid quests and the Scepter of the Shifting Sands questline too.
'|complete completedq(8757,8747,8752) |or
step
_Choose a path:_
|tip Accepting one of these quests will lock you into that questline until you complete it.
|tip You can switch to a different ring after you complete your first questline.
talk Anachronos##15192
accept The Path of the Invoker##8757 |goto Tanaris 65.27,50.03 |noautoaccept |or
|tip This quest grants an intellect-based caster ring.
accept The Path of the Protector##8747 |goto 65.27,50.03 |noautoaccept |or
|tip This quest grants a strength-based defensive ring.
accept The Path of the Conqueror##8752 |goto 65.27,50.03 |noautoaccept |or
|tip This quest grants an agility-based offensive ring.
step
Reach Friendly Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Friendly |or
|tip Killing trash and bosses inside the "Temple of Ahn'Qiraj" and "Ruins of Ahn'Qiraj" raids grants reputation.
|tip Completing the repeatable quest "The Hand of the Righteous" in Cenarion Hold also grants reputation.
|tip You can gain reputation by completing Ahn'Qiraj raid quests and the Scepter of the Shifting Sands questline too.
'|complete completedq(8758,8748,8753) |or
step
talk Anachronos##15192
accept The Path of the Invoker##8758 |goto 65.27,50.03 |only if completedq(8757)
accept The Path of the Protector##8748 |goto 65.27,50.03 |only if completedq(8747)
accept The Path of the Conqueror##8753 |goto 65.27,50.03 |only if completedq(8752)
step
Reach Honored Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Honored |or
|tip Killing trash and bosses inside the "Temple of Ahn'Qiraj" and "Ruins of Ahn'Qiraj" raids grants reputation.
|tip Completing the repeatable quest "The Hand of the Righteous" in Cenarion Hold also grants reputation.
|tip You can gain reputation by completing Ahn'Qiraj raid quests and the Scepter of the Shifting Sands questline too.
'|complete completedq(8759,8749,8754) |or
step
talk Anachronos##15192
accept The Path of the Invoker##8759 |goto 65.27,50.03 |only if completedq(8757)
accept The Path of the Protector##8749 |goto 65.27,50.03 |only if completedq(8747)
accept The Path of the Conqueror##8754 |goto 65.27,50.03 |only if completedq(8752)
step
Reach Revered Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Revered |or
|tip Killing trash and bosses inside the "Temple of Ahn'Qiraj" and "Ruins of Ahn'Qiraj" raids grants reputation.
|tip Completing the repeatable quest "The Hand of the Righteous" in Cenarion Hold also grants reputation.
|tip You can gain reputation by completing Ahn'Qiraj raid quests and the Scepter of the Shifting Sands questline too.
'|complete completedq(8760,8750,8755) |or
step
talk Anachronos##15192
accept The Path of the Invoker##8760 |goto 65.27,50.03 |only if completedq(8757)
accept The Path of the Protector##8750 |goto 65.27,50.03 |only if completedq(8747)
accept The Path of the Conqueror##8755 |goto 65.27,50.03 |only if completedq(8752)
step
Reach Exalted Reputation with the Brood of Nozdormu |complete rep("Brood of Nozdormu") >= Exalted |or
|tip Killing trash and bosses inside the "Temple of Ahn'Qiraj" and "Ruins of Ahn'Qiraj" raids grants reputation.
|tip Completing the repeatable quest "The Hand of the Righteous" in Cenarion Hold also grants reputation.
|tip You can gain reputation by completing Ahn'Qiraj raid quests and the Scepter of the Shifting Sands questline too.
'|complete completedq(8761,8751,8756) |or
step
talk Anachronos##15192
accept The Grand Invoker##8761 |goto 65.27,50.03 |only if completedq(8757)
accept The Protector of Kalimdor##8751 |goto 65.27,50.03 |only if completedq(8747)
accept The Qiraji Conqueror##8756 |goto 65.27,50.03 |only if completedq(8752)
step
Click Here to Change Paths |confirm
|tip You will need to provide 15 Bronze Scarabs, 15 Crystal Scarabs, and 15 Clay Scarabs in addition to your ring. |only if completedq(8761)
|tip You will need to provide 15 Stone Scarabs, 15 Gold Scarabs, and 15 Silver Scarabs in addition to your ring. |only if completedq(8751)
|tip You will need to provide 15 Bone Scarabs, 15 Ivory Scarabs, and 15 Stone Scarabs in addition to your ring. |only if completedq(8756)
stickystart "Collect_Crystal_Scarabs"
stickystart "Collect_Clay_Scarabs"
stickystart "Collect_Stone_Scarabs_8764"
stickystart "Collect_Gold_Scarabs"
stickystart "Collect_Silver_Scarabs"
stickystart "Collect_Bone_Scarabs"
stickystart "Collect_Ivory_Scarabs"
stickystart "Collect_Stone_Scarabs_8766"
step
collect 15 Bronze Scarab##20861 |q 8765 |future
step
label "Collect_Crystal_Scarabs"
collect 15 Crystal Scarab##20862 |q 8765 |future
step
label "Collect_Clay_Scarabs"
collect 15 Clay Scarab##20863 |q 8765 |future
step
label "Collect_Stone_Scarabs_8764"
collect 15 Stone Scarab##20858 |q 8764 |future
step
label "Collect_Gold_Scarabs"
collect 15 Gold Scarab##20859 |q 8764 |future
step
label "Collect_Silver_Scarabs"
collect 15 Silver Scarab##20860 |q 8764 |future
step
label "Collect_Bone_Scarabs"
collect 15 Bone Scarab##20864 |q 8766 |future
step
label "Collect_Ivory_Scarabs"
collect 15 Ivory Scarab##20865 |q 8766 |future
step
label "Collect_Stone_Scarabs_8766"
collect 15 Stone Scarab##20858 |q 8766 |future
step
talk Anachronos##15192
accept The Changing of Paths - Invoker No More##8765 |only if completedq(8761)
accept The Changing of Paths - Protector No More##8764 |only if completedq(8751)
accept The Changing of Paths - Conqueror No More##8766 |only if completedq(8756)
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Ahn'Qiraj Gear\\Cenarion Battlegear",{
author="support@zygorguides.com",
description="This guide will walk you through acquiring and the four pieces of Cenarion Battlegear.",
condition_end=function() return completedq(8548,8572,8573,8574) end,
},[[
step
talk Windcaller Kaldon##15540
accept Cenarion Battlegear##8800 |goto Silithus 49.98,36.36
step
talk Vargus##15176
turnin Cenarion Battlegear##8800 |goto 51.22,38.85
step
talk Vargus##15176
accept Volunteer's Battlegear##8548 |goto 51.22,38.85
stickystart "Collect_Cenarion_Logistics_Badge_8548"
stickystart "Collect_Cenarion_Tactical_Badge_8548"
stickystart "Reach_Friendly_Reputation"
step
collect 5 Cenarion Combat Badge##20802 |q 8548/1
|tip Use the "Cenarion Field Duty Combat Assignments" leveling guide to collect these.
step
label "Collect_Cenarion_Logistics_Badge_8548"
collect 3 Cenarion Logistics Badge##20800 |q 8548/2
|tip Use the "Cenarion Field Duty Logistics Assignments" leveling guide to collect these.
step
label "Collect_Cenarion_Tactical_Badge_8548"
collect 7 Cenarion Tactical Badge##20801 |q 8548/3
|tip Use the "Cenarion Field Duty Tactical Assignments" leveling guide to collect these.
step
label "Reach_Friendly_Reputation"
Reach Friendly Reputation with the Cenarion Circle |complete rep("Cenarion Circle") >= Friendly
|tip Killing Twilight enemies in Silithus grants 1 reputation each until Honored.
|tip Killing Twilight Flamereavers in Silithus grants 1 reputation each until Revered.
|tip Killing mobs and bosses in the "Ruins of Ahn'Qiraj" and "Temple of Ahn'Qiraj" raids grants various levels of reputation until Exalted.
|tip Completing the repeatable quests "Field Duty" and "Encrypted Twilight Texts" in Cenarion Hold also grants reputation.
step
talk Vargus##15176
turnin Volunteer's Battlegear##8548 |goto 51.22,38.85
step
talk Vargus##15176
accept Veteran's Battlegear##8572 |goto 51.22,38.85
stickystart "Collect_Cenarion_Logistics_Badge_8572"
stickystart "Collect_Cenarion_Tactical_Badge_8572"
stickystart "Reach_Honored_Reputation"
step
collect 7 Cenarion Combat Badge##20802 |q 8572/1
|tip Use the "Cenarion Field Duty Combat Assignments" leveling guide to collect these.
step
label "Collect_Cenarion_Logistics_Badge_8572"
collect 4 Cenarion Logistics Badge##20800 |q 8572/2
|tip Use the "Cenarion Field Duty Logistics Assignments" leveling guide to collect these.
step
label "Collect_Cenarion_Tactical_Badge_8572"
collect 4 Cenarion Tactical Badge##20801 |q 8572/3
|tip Use the "Cenarion Field Duty Tactical Assignments" leveling guide to collect these.
step
label "Reach_Honored_Reputation"
Reach Honored Reputation with the Cenarion Circle |complete rep("Cenarion Circle") >= Honored
|tip Killing Twilight enemies in Silithus grants 1 reputation each until Honored.
|tip Killing Twilight Flamereavers in Silithus grants 1 reputation each until Revered.
|tip Killing mobs and bosses in the "Ruins of Ahn'Qiraj" and "Temple of Ahn'Qiraj" raids grants various levels of reputation until Exalted.
|tip Completing the repeatable quests "Field Duty" and "Encrypted Twilight Texts" in Cenarion Hold also grants reputation.
step
talk Vargus##15176
turnin Veteran's Battlegear##8572 |goto 51.22,38.85
step
talk Vargus##15176
accept Champion's Battlegear##8573 |goto 51.22,38.85
stickystart "Collect_Cenarion_Logistics_Badge_8573"
stickystart "Collect_Cenarion_Tactical_Badge_8573"
stickystart "Collect_Mark_of_Cenarius_8573"
stickystart "Reach_Honored_Reputation"
step
collect 15 Cenarion Combat Badge##20802 |q 8573/1
|tip Use the "Cenarion Field Duty Combat Assignments" leveling guide to collect these.
step
label "Collect_Cenarion_Logistics_Badge_8573"
collect 20 Cenarion Logistics Badge##20800 |q 8573/2
|tip Use the "Cenarion Field Duty Logistics Assignments" leveling guide to collect these.
step
label "Collect_Cenarion_Tactical_Badge_8573"
collect 20 Cenarion Tactical Badge##20801 |q 8573/3
|tip Use the "Cenarion Field Duty Tactical Assignments" leveling guide to collect these.
step
label "Collect_Mark_of_Cenarius_8573"
collect 1 Mark of Cenarius##21508 |q 8573/4
|tip Use the "Cenarion Field Duty Tactical Assignments" leveling guide to collect these.
|tip This item is a reward exclusive to the followup tactical assignment quest "The Four Dukes."
step
label "Reach_Revered_Reputation"
Reach Revered Reputation with the Cenarion Circle |complete rep("Cenarion Circle") >= Revered
|tip Killing Twilight enemies in Silithus grants 1 reputation each until Honored.
|tip Killing Twilight Flamereavers in Silithus grants 1 reputation each until Revered.
|tip Killing mobs and bosses in the "Ruins of Ahn'Qiraj" and "Temple of Ahn'Qiraj" raids grants various levels of reputation until Exalted.
|tip Completing the repeatable quests "Field Duty" and "Encrypted Twilight Texts" in Cenarion Hold also grants reputation.
step
talk Vargus##15176
turnin Champion's Battlegear##8573 |goto 51.22,38.85
step
talk Vargus##15176
accept Stalwart's Battlegear##8574 |goto 51.22,38.85
stickystart "Collect_Cenarion_Logistics_Badge_8574"
stickystart "Collect_Cenarion_Tactical_Badge_8574"
stickystart "Collect_Mark_of_Remulos_8574"
stickystart "Reach_Honored_Reputation"
step
collect 15 Cenarion Combat Badge##20802 |q 8574/1
|tip Use the "Cenarion Field Duty Combat Assignments" leveling guide to collect these.
step
label "Collect_Cenarion_Logistics_Badge_8574"
collect 20 Cenarion Logistics Badge##20800 |q 8574/2
|tip Use the "Cenarion Field Duty Logistics Assignments" leveling guide to collect these.
step
label "Collect_Cenarion_Tactical_Badge_8574"
collect 17 Cenarion Tactical Badge##20801 |q 8574/3
|tip Use the "Cenarion Field Duty Tactical Assignments" leveling guide to collect these.
step
label "Collect_Mark_of_Remulos_8574"
collect 1 Mark of Remulos##21515 |q 8574/4
|tip Use the "Cenarion Field Duty Logistics Assignments" leveling guide to collect these.
|tip This item is a reward exclusive to the followup logistics assignment quest "The Ultimate Deception."
step
label "Reach_Exalted_Reputation"
Reach Exalted Reputation with the Cenarion Circle |complete rep("Cenarion Circle") >= Exalted
|tip Killing Twilight enemies in Silithus grants 1 reputation each until Honored.
|tip Killing Twilight Flamereavers in Silithus grants 1 reputation each until Revered.
|tip Killing mobs and bosses in the "Ruins of Ahn'Qiraj" and "Temple of Ahn'Qiraj" raids grants various levels of reputation until Exalted.
|tip Completing the repeatable quests "Field Duty" and "Encrypted Twilight Texts" in Cenarion Hold also grants reputation.
step
talk Vargus##15176
turnin Stalwart's Battlegear##8574 |goto 51.22,38.85
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Cenarion Field Duty Combat Assignments",{
author="support@zygorguides.com",
description="This guide will walk you through completing various combat assignments for the Cenarion Circle.",
},[[
step
label "Accept_Field_Duty"
talk Windcaller Kaldon##15540
accept Field Duty##8507 |goto Silithus 49.98,36.34
step
use the Unsigned Field Duty Papers##21143
collect 1 Prepared Field Duty Papers##23024 |q 8507
step
talk Captain Blackanvil##15440
accept Field Duty Papers##8508 |goto 32.96,52.08
step
collect 1 Signed Field Duty Papers##20810 |q 8507/1
step
talk Windcaller Kaldon##15540
|tip Choose a combat assignment.
|tip Combat Assignments require you to kill various elite silithid in Silithus hives.
turnin Field Duty##8507 |goto 49.98,36.34
step
label "Begin_Combat_Assignment"
use the Combat Assignment##20808
Open the Combat Assignment |complete itemcount(20808) == 0
step
use the Hive'Zora Dossier##22650 |only if itemcount(22650) >= 0
use the Hive'Ashi Dossier##22648 |only if itemcount(22648) >= 0
use the Hive'Regal Dossier##22649 |only if itemcount(22649) >= 0
Open the Dossier |complete itemcount(22650) == 0 and itemcount(22648) == 0 and itemcount(22649) == 0
step
use the Combat Task Briefing I##21749
accept Target: Hive'Ashi Defenders##8770
|only if itemcount(21749) >= 1 or haveq(8770)
step
use the Combat Task Briefing II##21750
accept Target: Hive'Ashi Sandstalkers##8771
|only if itemcount(21750) >= 1 or haveq(8771)
step
use the Combat Task Briefing III##20942
accept Target: Hive'Ashi Workers##8502
|only if itemcount(20942) >= 1 or haveq(8502)
step
use the Combat Task Briefing IV##21248
accept Target: Hive'Zora Reavers##8773
|only if itemcount(21248) >= 1 or haveq(8773)
step
use the Combat Task Briefing V##21249
accept Target: Hive'Zora Hive Sisters##8539
|only if itemcount(21249) >= 1 or haveq(8539)
step
use the Combat Task Briefing VI##21250
accept Target: Hive'Zora Waywatchers##8772
|only if itemcount(21250) >= 1 or haveq(8772)
step
use the Combat Task Briefing VII##21251
accept Target: Hive'Zora Tunnelers##8687
|only if itemcount(21251) >= 1 or haveq(8687)
step
use the Combat Task Briefing VIII##21252
accept Target: Hive'Regal Ambushers##8774
|only if itemcount(21252) >= 1 or haveq(8774)
step
use the Combat Task Briefing IX##21253
accept Target: Hive'Regal Spitfires##8775
|only if itemcount(21253) >= 1 or haveq(8775)
step
use the Combat Task Briefing X##21255
accept Target: Hive'Regal Slavemakers##8776
|only if itemcount(21255) >= 1 or haveq(8776)
step
use the Combat Task Briefing XI##21256
accept Target: Hive'Regal Burrowers##8777
|only if itemcount(21256) >= 1 or haveq(8777)
step
use the Combat Task Briefing XII##20941
accept Target: Hive'Ashi Stingers##8501
|only if itemcount(20941) >= 1 or haveq(8501)
stickystart "Kill_30_Hive'Ashi_Sandstalkers"
stickystart "Kill_30_Hive'Ashi_Workers"
stickystart "Kill_30_Hive'Zora_Reavers"
stickystart "Kill_30_Hive'Zora_Hive_Sisters"
stickystart "Kill_30_Hive'Zora_Waywatchers"
stickystart "Kill_30_Hive'Zora_Tunnelers"
stickystart "Kill_30_Hive'Regal_Ambushers"
stickystart "Kill_30_Hive'Regal_Spitfires"
stickystart "Kill_30_Hive'Regal_Slavemakers"
stickystart "Kill_30_Hive'Regal_Burrowers"
stickystart "Kill_30_Hive'Ashi_Stingers"
step
kill 30 Hive'Ashi Defender##11722 |q 8770/1 |goto 45.06,25.78
|tip These enemies are elite and may require a group to kill.
|only if haveq(8770)
step
label "Kill_30_Hive'Ashi_Sandstalkers"
kill 30 Hive'Ashi Sandstalker##11723 |q 8771/1  |goto 45.06,25.78
|tip These enemies are elite and may require a group to kill. |notinsticky
|tip They are stealthed all over the hive.
|only if haveq(8771)
step
label "Kill_30_Hive'Ashi_Workers"
kill 30 Hive'Ashi Worker##11721 |q 8502/1 |goto 45.06,25.78
|tip These enemies are elite and may require a group to kill. |notinsticky
|only if haveq(8502)
step
label "Kill_30_Hive'Zora_Reavers"
kill 30 Hive'Zora Reaver##11728 |q 8773/1 |goto 25.15,59.72
|tip These enemies are elite and may require a group to kill. |notinsticky
|only if haveq(8773)
step
label "Kill_30_Hive'Zora_Hive_Sisters"
kill 30 Hive'Zora Hive Sister##11729 |q 8539/1 |goto 25.15,59.72
|tip These enemies are elite and may require a group to kill. |notinsticky
|only if haveq(8539)
step
label "Kill_30_Hive'Zora_Waywatchers"
kill 30 Hive'Zora Waywatcher##11725 |q 8772/1 |goto 25.15,59.72
|tip These enemies are elite and may require a group to kill. |notinsticky
|only if haveq(8772)
step
label "Kill_30_Hive'Zora_Tunnelers"
kill 30 Hive'Zora Tunneler##11726 |q 8687/1 |goto 25.20,55.37
|tip These enemies are elite and may require a group to kill. |notinsticky
|tip They only spawn inside the hive.
|only if haveq(8687)
step
label "Kill_30_Hive'Regal_Ambushers"
kill 30 Hive'Regal Ambusher##11730 |q 8774/1 |goto 57.57,80.69
|tip These enemies are elite and may require a group to kill. |notinsticky
|tip They are stealthed all over the hive.
|only if haveq(8774)
step
label "Kill_30_Hive'Regal_Spitfires"
kill 30 Hive'Regal Spitfire##11732 |q 8775/1 |goto 57.57,80.69
|tip These enemies are elite and may require a group to kill. |notinsticky
|only if haveq(8775)
step
label "Kill_30_Hive'Regal_Slavemakers"
kill 30 Hive'Regal Slavemaker##11733 |q 8776/1 |goto 57.57,80.69
|tip These enemies are elite and may require a group to kill. |notinsticky
|only if haveq(8776)
step
label "Kill_30_Hive'Regal_Burrowers"
kill 30 Hive'Regal Burrower##11731 |q 8777/1 |goto 62.05,80.40
|tip These enemies are elite and may require a group to kill. |notinsticky
|tip They only spawn inside the hive.
|only if haveq(8777)
step
label "Kill_30_Hive'Ashi_Stingers"
kill 30 Hive'Ashi Stinger##11698 |q 8501/1 |goto 47.91,26.31
|tip These enemies are elite and may require a group to kill. |notinsticky
|tip They only spawn inside the hive.
|only if haveq(8501)
step
talk Commander Mar'alith##15181
turnin Target: Hive'Ashi Defenders##8770 |goto 49.20,34.19 |only if haveq(8770)
turnin Target: Hive'Ashi Sandstalkers##8771 |goto 49.20,34.19 |only if haveq(8771)
turnin Target: Hive'Ashi Workers##8502 |goto 49.20,34.19 |only if haveq(8502)
turnin Target: Hive'Zora Reavers##8773 |goto 49.20,34.19 |only if haveq(8773)
turnin Target: Hive'Zora Hive Sisters##8539 |goto 49.20,34.19 |only if haveq(8539)
turnin Target: Hive'Zora Waywatchers##8772 |goto 49.20,34.19 |only if haveq(8772)
turnin Target: Hive'Zora Tunnelers##8687 |goto 49.20,34.19 |only if haveq(8687)
turnin Target: Hive'Regal Ambushers##8774 |goto 49.20,34.19 |only if haveq(8774)
turnin Target: Hive'Regal Spitfires##8775 |goto 49.20,34.19 |only if haveq(8775)
turnin Target: Hive'Regal Slavemakers##8776 |goto 49.20,34.19 |only if haveq(8776)
turnin Target: Hive'Regal Burrowers##8777 |goto 49.20,34.19 |only if haveq(8777)
turnin Target: Hive'Ashi Stingers##8501 |goto 49.20,34.19 |only if haveq(8501)
'|complete not haveq(8770,8771,8502,8773,8539,8772,8687,8774,8775,8776,8777,8501) |next "Accept_Field_Duty"
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Cenarion Field Duty Tactical Assignments",{
author="support@zygorguides.com",
description="This guide will walk you through completing various tactical assignments for the Cenarion Circle.",
},[[
step
label "Accept_Field_Duty"
talk Windcaller Kaldon##15540
accept Field Duty##8507 |goto Silithus 49.98,36.34
step
use the Unsigned Field Duty Papers##21143
collect 1 Prepared Field Duty Papers##23024 |q 8507
step
talk Captain Blackanvil##15440
accept Field Duty Papers##8508 |goto 32.96,52.08
step
collect 1 Signed Field Duty Papers##20810 |q 8507/1
step
talk Windcaller Kaldon##15540
|tip Choose a tactical assignment.
|tip Tactical Assignments require you to fight Twilight Hammer elementals or collect reports from Silithus hives.
turnin Field Duty##8507 |goto 49.98,36.34
step
label "Begin_Tactical_Assignment"
use the Tactical Assignment##20809
Open the Tactical Assignment |complete itemcount(20809) == 0
step
use the Tactical Task Briefing I##21245
accept Azure Templar##8737
|only if itemcount(21245) >= 1 or haveq(8737)
step
use the Tactical Task Briefing III##21751
accept Earthen Templar##8536
|only if itemcount(21751) >= 1 or haveq(8536)
step
use the Tactical Task Briefing VI##21165
accept Hive'Zora Scout Report##8534
|only if itemcount(21165) >= 1 or haveq(8534)
step
use the Tactical Task Briefing VII##21166
accept Hive'Regal Scout Report##8738
|only if itemcount(21166) >= 1 or haveq(8738)
step
use the Tactical Task Briefing IX##20944
accept Twilight Marauders##8740
|only if itemcount(20944) >= 1 or haveq(8740)
step
kill Azure Templar##15211 |q 8737/1 |goto 38.29,46.46
|tip Kill Twilight enemies around the area until you collect a Twilight Cultist robe, cowl, and mantle.
|tip Equip all three pieces and interact with the Lesser Wind Stone to summon a Templar.
|tip The Templar is random, so you may need to do this more than one time.
|only if haveq(8737)
step
kill Earthen Templar##15307 |q 8536/1 |goto 38.29,46.46
|tip Kill Twilight enemies around the area until you collect a Twilight Cultist robe, cowl, and mantle.
|tip Equip all three pieces and interact with the Lesser Wind Stone to summon a Templar.
|tip The Templar is random, so you may need to do this more than one time.
|only if haveq(8536)
step
Enter the cave |goto 25.37,55.22 < 20 |walk
Follow the path |goto 26.51,56.73 < 10 |walk
Follow the path down |goto 25.56,61.87 < 10 |walk
|tip There are elite enemies around this area. |only if hardcore
|tip It's adviced to venture into these areas with a group when possible. |only if hardcore
talk Cenarion Scout Azenel##15610
Tell her _"I'm here to retrieve your report."_
collect Hive'Zora Scout Report##21158 |q 8534/1 |goto 23.63,62.43
|only if haveq(8534)
step
Enter the cave |goto 54.88,88.05 < 20 |walk
Follow the path down |goto 53.57,88.96 < 10 |walk
Follow the path down |goto 53.12,93.24 < 10 |walk
|tip There are elite enemies around this area. |only if hardcore
|tip It's adviced to venture into these areas with a group when possible. |only if hardcore
talk Cenarion Scout Landion##15609
Tell him _"I'm here to retrieve your report."_
collect Hive'Regal Scout Report##21160 |q 8738/1 |goto 53.71,97.48
|only if haveq(8738)
stickystart "Kill_Twilight_Marauders"
step
kill Twilight Marauder Morna##15541 |q 8740/1
She can also spawn at:
[38.81,78.19]
[23.63,45.32]
|only if haveq(8740)
step
label "Kill_Twilight_Marauders"
kill 5 Twilight Marauder##15542 |q 8740/2 |goto 68.76,35.99
|tip They spawn with Twilight Marauder Morna.
They can also spawn at: |notinsticky
[38.81,78.19] |notinsticky
[23.63,45.32] |notinsticky
|only if haveq(8740)
step
talk Bor Wildmane##15306
turnin Azure Templar##8737 |goto 48.57,37.78 |only if haveq(8737) |next "Open_Followup_Tactical_Assignment"
turnin Earthen Templar##8536 |goto 48.57,37.78 |only if haveq(8536) |next "Open_Followup_Tactical_Assignment"
|only if haveq(8737,8536)
step
talk Windcaller Proudhorn##15191
turnin Hive'Zora Scout Report##8534 |goto 51.15,38.29 |only if haveq(8534) |next "Open_Followup_Tactical_Assignment"
turnin Hive'Regal Scout Report##8738 |goto 51.15,38.29 |only if haveq(8738) |next "Open_Followup_Tactical_Assignment"
turnin Twilight Marauders##8740 |goto 51.15,38.29 |only if haveq(8740) |next "Open_Followup_Tactical_Assignment"
|only if haveq(8534,8738,8740)
step
label "Open_Followup_Tactical_Assignment"
use the Followup Tactical Assignment##21133
Open the Followup Tactical Assignment |complete itemcount(21133) == 0
step
use the Tactical Task Briefing II##20945
accept Crimson Templar##8537
|only if itemcount(20945) >= 1 or haveq(8537)
step
use the Tactical Task Briefing IV##20947
accept Hoary Templar##8535
|only if itemcount(20947) >= 1 or haveq(8535)
step
use the Tactical Task Briefing V##20948
accept The Four Dukes##8538
|only if itemcount(20948) >= 1 or haveq(8538)
step
use the Tactical Task Briefing VIII##21167
accept Hive'Ashi Scout Report##8739
|only if itemcount(21167) >= 1 or haveq(8739)
step
use the Tactical Task Briefing X##20943
accept Twilight Battle Orders##8498
|only if itemcount(20943) >= 1 or haveq(8498)
step
kill Crimson Templar##15209 |q 8537/1 |goto 38.29,46.46
|tip Kill Twilight enemies around the area until you collect a Twilight Cultist robe, cowl, and mantle.
|tip Equip all three pieces and interact with the Lesser Wind Stone to summon a Templar.
|tip The Templar is random, so you may need to do this more than one time.
|only if haveq(8537)
step
kill Hoary Templar##15212 |q 8535/1 |goto 38.29,46.46
|tip Kill Twilight enemies around the area until you collect a Twilight Cultist robe, cowl, and mantle.
|tip Equip all three pieces and interact with the Lesser Wind Stone to summon a Templar.
|tip The Templar is random, so you may need to do this more than one time.
|only if haveq(8535)
stickystart "Kill_The_Duke_of_Fathoms"
stickystart "Kill_The_Duke_of_Zephyrs"
stickystart "Kill_The_Duke_of_Shards"
step
kill The Duke of Cynders##15206 |q 8538/1 |goto 37.63,44.80
|tip Dukes are level 62 elites and will require a group.
|tip Kill Twilight enemies around the area until you collect a Twilight Cultist robe, cowl, and mantle.
|tip Equip all three pieces along with a Medallion of Station and interact with the Wind Stone to summon a Duke.
|tip You can acquire a Medalion of Station by bringing 3 Abyssal Crests and 1 Large Brilliant Shard to Aurel Goldleaf next to the mailbox in Cenarion Hold.
|tip Abyssal Crests are dropped by templars summoned with a Twilight Cultist set at a Lesser Windstone.
|tip The duke is random, so you may need to do this more than one time.
|only if haveq(8538)
step
label "Kill_The_Duke_of_Fathoms"
kill The Duke of Fathoms##15207 |q 8538/2 |goto 37.63,44.80
|tip Dukes are level 62 elites and will require a group. |notinsticky
|tip Kill Twilight enemies around the area until you collect a Twilight Cultist robe, cowl, and mantle. |notinsticky
|tip Equip all three pieces along with a Medallion of Station and interact with the Wind Stone to summon a Duke. |notinsticky
|tip You can acquire a Medalion of Station by bringing 3 Abyssal Crests and 1 Large Brilliant Shard to Aurel Goldleaf next to the mailbox in Cenarion Hold. |notinsticky
|tip Abyssal Crests are dropped by templars summoned with a Twilight Cultist set at a Lesser Windstone. |notinsticky
|tip The duke is random, so you may need to do this more than one time. |notinsticky
|only if haveq(8538)
step
label "Kill_The_Duke_of_Zephyrs"
kill The Duke of Zephyrs##15220 |q 8538/3 |goto 37.63,44.80
|tip Dukes are level 62 elites and will require a group. |notinsticky
|tip Kill Twilight enemies around the area until you collect a Twilight Cultist robe, cowl, and mantle. |notinsticky
|tip Equip all three pieces along with a Medallion of Station and interact with the Wind Stone to summon a Duke. |notinsticky
|tip You can acquire a Medalion of Station by bringing 3 Abyssal Crests and 1 Large Brilliant Shard to Aurel Goldleaf next to the mailbox in Cenarion Hold. |notinsticky
|tip Abyssal Crests are dropped by templars summoned with a Twilight Cultist set at a Lesser Windstone. |notinsticky
|tip The duke is random, so you may need to do this more than one time. |notinsticky
|only if haveq(8538)
step
label "Kill_The_Duke_of_Shards"
kill The Duke of Shards##15208 |q 8538/4 |goto 37.63,44.80
|tip Dukes are level 62 elites and will require a group. |notinsticky
|tip Kill Twilight enemies around the area until you collect a Twilight Cultist robe, cowl, and mantle. |notinsticky
|tip Equip all three pieces along with a Medallion of Station and interact with the Wind Stone to summon a Duke. |notinsticky
|tip You can acquire a Medalion of Station by bringing 3 Abyssal Crests and 1 Large Brilliant Shard to Aurel Goldleaf next to the mailbox in Cenarion Hold. |notinsticky
|tip Abyssal Crests are dropped by templars summoned with a Twilight Cultist set at a Lesser Windstone. |notinsticky
|tip The duke is random, so you may need to do this more than one time. |notinsticky
|only if haveq(8538)
step
Enter the cave |goto 43.95,16.03 < 20 |walk
talk Cenarion Scout Jalia##15611
|tip She is stealthed.
Tell her _"I'm here to retrieve your report."_
collect Hive'Ashi Scout Report##21161 |q 8739/1 |goto 43.94,13.81
|only if haveq(8739)
step
kill Twilight Prophet##15308
|tip She patrols in and between the points indicated with a group of bodyguards.
|tip You may need to search around for her, especially during peak hours.
|tip She is elite, so you may need a group.
collect Twilight Battle Orders##20803 |q 8498/1 |goto 39.29,42.97
You can also find her here:
[25.95,34.98]
[19.15,83.78]
|only if haveq(8498)
step
talk Bor Wildmane##15306
turnin Crimson Templar##8537 |goto 48.57,37.78 |only if haveq(8537)
turnin Hoary Templar##8535 |goto 48.57,37.78 |only if haveq(8535)
|only if haveq(8537,8535)
step
talk Commander Mar'alith##15181
turnin The Four Dukes##8538 |goto 49.20,34.19 |only if haveq(8538)
turnin Twilight Battle Orders##8498 |goto 49.20,34.19 |only if haveq(8498)
|only if haveq(8538,8498)
step
talk Windcaller Proudhorn##15191
turnin Hive'Ashi Scout Report##8739 |goto 51.15,38.29
|only if haveq(8739)
step
collect 1 Tactical Assignment##20809 |next "Begin_Tactical_Assignment"
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Cenarion Field Duty Logistics Assignments",{
author="support@zygorguides.com",
description="This guide will walk you through completing various logistics assignments for the Cenarion Circle.",
},[[
step
label "Accept_Field_Duty"
talk Windcaller Kaldon##15540
accept Field Duty##8507 |goto Silithus 49.98,36.34
step
use the Unsigned Field Duty Papers##21143
collect 1 Prepared Field Duty Papers##23024 |q 8507
step
talk Captain Blackanvil##15440
accept Field Duty Papers##8508 |goto 32.96,52.08
step
collect 1 Signed Field Duty Papers##20810 |q 8507/1
step
talk Windcaller Kaldon##15540
|tip Choose a logistics assignment.
|tip Logistics Assignments require you to donate various materials to the Cenarion effort.
turnin Field Duty##8507 |goto 49.98,36.34
step
label "Begin_Logistics_Assignment"
use the Logistics Assignment##21132
Open the Logistics Assignment |complete itemcount(21132) == 0
step
use the Logistics Task Briefing IV##21257
accept The Ironforge Brigade Needs Explosives!##8778
|only if itemcount(21257) >= 1 or haveq(8778)
step
use the Logistics Task Briefing V##21259
accept Scrying Materials##8779
|only if itemcount(21259) >= 1 or haveq(8779)
step
use the Logistics Task Briefing VI##21260
accept Arms for the Field##8781
|only if itemcount(21260) >= 1 or haveq(8781)
step
use the Logistics Task Briefing VII##21263
accept Armor Kits for the Field##8780
|only if itemcount(21263) >= 1 or haveq(8780)
step
use the Logistics Task Briefing X##20806
accept Bandages for the Field##8496
|only if itemcount(20806) >= 1 or haveq(8496)
stickystart "Collect_5_Goblin_Rocket_Fuel"
stickystart "Collect_10_Dense_Blasting_Powder"
step
collect 6 Oil of Immolation##8956 |q 8778/1
|tip Craft them with Alchemy or purchase them from the Auction House. |only if not selfmade
|tip You can create them with Alchemy. |only if selfmade
|tip Each one requires 1 Firebloom, 1 Goldthorn, and 1 Crystal Vial to create.
|only if haveq(8778)
step
label "Collect_5_Goblin_Rocket_Fuel"
collect 5 Goblin Rocket Fuel##9061 |q 8778/2
|tip Craft them with Alchemy or purchase them from the Auction House. |only if not selfmade
|tip You can create them with Alchemy. |only if selfmade
|tip Each one requires 1 Firebloom, 1 Volatile Rum, and 1 Leaded Vial to create.
|only if haveq(8778)
step
label "Collect_10_Dense_Blasting_Powder"
collect 10 Dense Blasting Powder##15992 |q 8778/3
|tip Craft them with Engineering or purchase them from the Auction House.
|tip Each one requires 2 Dense Stone to create.
|only if haveq(8778)
stickystart "Collect_1_Large_Radiant_Shard"
stickystart "Collect_1_Huge_Emerald"
step
collect 1 Large Brilliant Shard##14344 |q 8779/1
|tip Disenchant item level 56-65 rare items or purchase it from the Auction House. |only if not selfmade
|tip Disenchant item level 56-65 rare items. |only if selfmade
|tip Blackrock Depths and Dire Maul are good sources for these items.
|only if haveq(8779)
step
label "Collect_1_Large_Radiant_Shard"
collect 1 Large Radiant Shard##11178 |q 8779/2
|tip Disenchant item level 46-50 rare items or purchase it from the Auction House. |only if not selfmade
|tip Disenchant item level 46-50 rare items. |only if selfmade
|tip Zul'Farrak, Dire Maul, and Stratholme are good sources for these items.
|only if haveq(8779)
step
label "Collect_1_Huge_Emerald"
collect 1 Huge Emerald##12364 |q 8779/3
|tip Gather it with Mining or purchase it from the Auction House. |only if not selfmade
|tip Gather it with Mining. |only if selfmade
|tip It can be mined from any type of Thorium vein.
|only if haveq(8779)
step
collect 2 Moonsteel Broadsword##3853 |q 8781/1
|tip Craft them with Blacksmithing or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Blacksmithing. |only if selfmade
|tip Each one requires 8 Steel Bars, 2 Strong Flux, 2 Heavy Grinding Stones, 3 Moonstone, and 3 Heavy Leather to create.
|only if haveq(8781)
stickystart "Collect_8_Heavy_Armor_Kits"
step
collect 8 Rugged Armor Kit##15564 |q 8780/1
|tip Craft them with Leatherworking or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Leatherworking. |only if selfmade
|tip Each one requires 5 Rugged Leather to create.
|only if haveq(8780)
step
label "Collect_8_Heavy_Armor_Kits"
collect 8 Heavy Armor Kit##4265 |q 8780/2
|tip Craft them with Leatherworking or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Leatherworking. |only if selfmade
|tip Each one requires 5 Heavy Leather and 1 Fine Thread to create.
|only if haveq(8780)
stickystart "Collect_30_Heavy_Mageweave_Bandage"
stickystart "Collect_30_Heavy_Silk_Bandage"
step
collect 30 Heavy Runecloth Bandage##14530 |q 8496/1
|tip Craft them with First Aid or purchase them from the Auction House. |only if not selfmade
|tip Craft them with First Aid. |only if selfmade
|tip Each one requires 2 Runecloth to create.
|only if haveq(8496)
step
label "Collect_30_Heavy_Mageweave_Bandage"
collect 30 Heavy Mageweave Bandage##8545 |q 8496/2
|tip Craft them with First Aid or purchase them from the Auction House. |only if not selfmade
|tip Craft them with First Aid. |only if selfmade
|tip Each one requires 2 Mageweave Cloth to create.
|only if haveq(8496)
step
label "Collect_30_Heavy_Silk_Bandage"
collect 30 Heavy Silk Bandage##6451 |q 8496/3
|tip Craft them with First Aid or purchase them from the Auction House. |only if not selfmade
|tip Craft them with First Aid. |only if selfmade
|tip Each one requires 2 Silk Cloth to create.
|only if haveq(8496)
step
talk Geologist Larksbane##15183
turnin Scrying Materials##8779 |goto 49.67,37.35 |next "Open_Followup_Logistics_Assignment"
|only if haveq(8779)
step
talk Windcaller Proudhorn##15191
turnin Bandages for the Field##8496 |goto 51.15,38.29 |next "Open_Followup_Logistics_Assignment"
|only if haveq(8496)
step
talk Arcanist Nozzlespring##15444
turnin The Ironforge Brigade Needs Explosives!##8778 |goto 32.54,52.03 |next "Open_Followup_Logistics_Assignment"
|only if haveq(8778)
step
talk Janela Stouthammer##15443
turnin Arms for the Field##8781 |goto 32.88,52.53 |next "Open_Followup_Logistics_Assignment" |only if haveq(8781)
turnin Armor Kits for the Field##8780 |goto 32.88,52.53 |next "Open_Followup_Logistics_Assignment" |only if haveq(8780)
|only if haveq(8781,8780)
step
label "Open_Followup_Logistics_Assignment"
use the Followup Logistics Assignment##20805
Open the Followup Logistics Assignment |complete itemcount(20805) == 0
step
use the Logistics Task Briefing I##20807
accept Desert Survival Kits##8497
|only if itemcount(20807) >= 1 or haveq(8497)
step
use the Logistics Task Briefing II##20939
accept Boots for the Guard##8805
|only if itemcount(20939) >= 1 or haveq(8805)
step
use the Logistics Task Briefing III##20940
accept Grinding Stones for the Guard##8541
|only if itemcount(20940) >= 1 or haveq(8541)
step
use the Logistics Task Briefing VIII##21262
accept Uniform Supplies##8782
|only if itemcount(21262) >= 1 or haveq(8782)
step
use the Logistics Task Briefing IX##21265
accept Extraordinary Materials##8783
|only if itemcount(21265) >= 1 or haveq(8783)
step
use the Logistics Task Briefing XI##21514
accept The Ultimate Deception##8829
|only if itemcount(21514) >= 1 or haveq(8829)
stickystart "Collect_Powerful_Anti-Venom"
stickystart "Collect_Smoked_Desert_Dumplings"
step
kill Toxic Horror##7132+
collect 4 Globe of Water##7079 |q 8497/1 |goto Felwood 48.75,24.16
|tip You can also purchase these from the Auction House. |only if not selfmade
|only if haveq(8497)
step
label "Collect_Powerful_Anti-Venom"
collect 4 Powerful Anti-Venom##19440 |q 8497/2
|tip Craft them with First Aid or purchase them from the Auction House. |only if not selfmade
|tip Craft them with First Aid. |only if selfmade
|tip Each one requires 1 Huge Venom Sac to create.
|only if haveq(8497)
step
label "Collect_Smoked_Desert_Dumplings"
collect 4 Smoked Desert Dumplings##20452 |q 8497/3
|tip Craft them with Cooking or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Cooking. |only if selfmade
|tip Each one requires 1 Sandworm Meat and 1 Soothing Spices to create.
|only if haveq(8497)
step
collect 3 Ornate Mithril Boots##7936 |q 8805/1
|tip Craft them with Blacksmithing or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Blacksmithing. |only if selfmade
|tip Each one requires 14 Mithril Bars, 2 Truesilver Bars, 4 Thick Leather, 1 Solid Grinding Stone, and 1 Aquamarine to create.
|only if haveq(8805)
stickystart "Collect_Solid_Grinding_Stone"
stickystart "Collect_Heavy_Grinding_Stone"
step
collect 10 Dense Grinding Stone##12644 |q 8541/1
|tip Craft them with Blacksmithing or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Blacksmithing. |only if selfmade
|tip Each one requires 4 Dense Stone to create.
|only if haveq(8541)
step
label "Collect_Solid_Grinding_Stone"
collect 10 Solid Grinding Stone##7966 |q 8541/2
|tip Craft them with Blacksmithing or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Blacksmithing. |only if selfmade
|tip Each one requires 4 Solid Stone to create.
|only if haveq(8541)
step
label "Collect_Heavy_Grinding_Stone"
collect 10 Heavy Grinding Stone##3486 |q 8541/3
|tip Craft them with Blacksmithing or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Blacksmithing. |only if selfmade
|tip Each one requires 3 Heavy Stone to create.
|only if haveq(8541)
stickystart "Collect_Bolt_of_Runecloth"
stickystart "Collect_Ironweb_Spider_Silk"
step
collect 1 Mooncloth##14342 |q 8782/1
|tip Craft it with Tailoring or purchase it from the Auction House. |only if not selfmade
|tip Craft them with Tailoring. |only if selfmade
|tip It requires 2 Felcloth and a daily Tailoring cooldown to create.
|only if haveq(8782)
step
label "Collect_Bolt_of_Runecloth"
collect 2 Bolt of Runecloth##14048 |q 8782/2
|tip Craft them with Tailoring or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Tailoring. |only if selfmade
|tip Each one requires 5 Runecloth to create.
|only if haveq(8782)
step
label "Collect_Ironweb_Spider_Silk"
kill Plague Lurker##1824+
collect 1 Ironweb Spider Silk##14227 |q 8782/3 |goto Western Plaguelands 62.20,49.48
|tip You can also purchase it from the Auction House. |only if not selfmade
|only if haveq(8782)
stickystart "Collect_Enchanted_Leather"
step
collect 10 Enchanted Thorium Bar##12655 |q 8783/1
|tip Craft them with Enchanting or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Enchanting. |only if selfmade
|tip Each one requires 1 Thorium Bar and 3 Dream Dust to create.
|only if haveq(8783)
step
label "Collect_Enchanted_Leather"
collect 10 Solid Grinding Stone##12810 |q 8783/2
|tip Craft them with Enchanting or purchase them from the Auction House. |only if not selfmade
|tip Craft them with Enchanting. |only if selfmade
|tip Each one requires 1 Rugged Leather and 1 Lesser Eternal Essence to create.
|only if haveq(8783)
stickystart "Collect_Frayed_Abomination_Stitching"
stickystart "Collect_Twilight_Cultist_Robe"
step
collect 1 Skin of Shadow##12753 |q 8829/1
|tip This has a chance to drop from Risen Bonewarders and Risen Constructs in the Scholomance dungeon.
|only if haveq(8829)
step
label "Collect_Frayed_Abomination_Stitching"
collect 3 Frayed Abomination Stitching##12735 |q 8829/2
|tip These drop from Abomination enemies as well as Ramstein the Gorger in the Undead Stratholme dungeon.
|only if haveq(8829)
step
label "Collect_Twilight_Cultist_Robe"
Kill Twilight enemies around this area
collect 1 Twilight Cultist Robe##20407 |q 8829/3 |goto Silithus 38.64,44.97
|tip You can also purchase it from the Auction House. |only if not selfmade
|only if haveq(8829)
step
talk Calandrath##15174
|tip Inside the building.
turnin Desert Survival Kits##8497 |goto  51.87,39.14
|only if haveq(8497)
step
talk Vish Kozus##15182
|tip At the top of the tower.
turnin Grinding Stones for the Guard##8541 |goto 50.75,33.65 |only if haveq(8541)
turnin Boots for the Guard##8805 |goto  50.75,33.65 |only if haveq(8805)
|only if haveq(8541,8805)
step
talk Windcaller Proudhorn##15191
turnin Uniform Supplies##8782 |goto 51.15,38.29
|only if haveq(8782)
step
talk Vargus##15176
turnin Extraordinary Materials##8783 |goto 51.23,38.86
|only if haveq(8783)
step
talk Aurel Goldleaf##15282
turnin The Ultimate Deception##8829 |goto 51.96,38.15
|only if haveq(8829)
step
collect 1 Logistics Assignment##21132 |next "Begin_Logistics_Assignment"
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Druid Class Quests",{
author="support@zygorguides.com",
description="This guide will walk you through completing various Druid Class Quests.",
},[[
step
ding 10
step
talk Denatharion##4218
accept Heeding the Call##5923 |goto Darnassus/0 34.77,7.36
|only if NightElf Druid
step
Follow the road |goto 54.81,58.48 < 30 |only if walking
Enter Darnassus |goto 36.06,54.39 < 20 |only if walking
Enter the building |goto Darnassus 35.52,10.72 < 15 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
turnin Heeding the Call##5923 |goto Darnassus 35.38,8.41
accept Moonglade##5921 |goto Darnassus 35.38,8.41
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Moonglade##5921 |goto Moonglade 56.21,30.64
accept Great Bear Spirit##5929 |goto Moonglade 56.21,30.64
|only if NightElf Druid
step
Follow the path |goto 42.47,34.44 < 20 |only if walking
talk Great Bear Spirit##11956
Ask it _"What do you represent, spirit?"_
Seek Out the Great Bear Spirit and Learn what it Has to Share with You About the Nature of the Bear |q 5929/1 |goto 39.11,27.51
|only if NightElf Druid
step
Enter the building |goto 56.13,30.98 < 15 |walk
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Great Bear Spirit##5929 |goto 56.21,30.64
accept Back to Darnassus##5931 |goto 56.21,30.64
|only if NightElf Druid
step
talk Sindrayl##10897
fpath Moonglade |goto 48.10,67.34
|only if NightElf Druid
step
Enter the building |goto Darnassus 35.52,10.72 < 15 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
turnin Back to Darnassus##5931 |goto Darnassus 35.38,8.41
accept Body and Heart##6001 |goto Darnassus 35.38,8.41
|only if NightElf Druid
step
Enter the cave |goto Darkshore 43.06,45.55 < 15 |walk
use the Cenarion Moondust##15208
|tip Inside the cave.
kill Lunaclaw##12138
|tip This enemy is level 12. |only if hardcore
|tip The area is surrounded by level 13 enemies. |only if hardcore
|tip The Owlbear enemies around here aggro from quite a bit away, so it may be safe to level up to 11 or even 12 before attempting the quest. |only if hardcore
Face Lunaclaw and Earn the Strength of Body and Heart it Possesses |q 6001/1 |goto Darkshore 43.48,45.96
|only if NightElf Druid
step
Leave the cave |goto 42.97,45.44 < 15 |walk
Enter the building |goto Darnassus 35.52,10.72 < 15 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
turnin Body and Heart##6001 |goto Darnassus 35.38,8.41
|only if NightElf Druid
step
ding 14
step
collect 5 Earthroot##2449 |q 6123 |future
|tip You can gather these with the Herbalism Profession.
|tip Refer to the Earthroot Gathering Guide to accomplish this.
|tip You can also purchase them from the Auction House. |only if not selfmade
step
Enter the building |goto Darnassus 35.52,10.72 < 7 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
accept Lessons Anew##6121 |goto Darnassus 35.38,8.41
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Lessons Anew##6121 |goto Moonglade 56.21,30.64
accept The Principal Source##6122 |goto Moonglade 56.21,30.64
|only if NightElf Druid
step
Follow the road |goto Darkshore 40.33,46.35 < 30 |only if walking
Follow the path |goto Darkshore 46.41,32.14 < 30 |only if walking
Follow the path up |goto Darkshore 54.64,31.76 < 20 |only if walking
use the Empty Cliffspring Falls Sampler##15844
|tip At the entrance of the cave.
|tip There may be around 4 naga around the cave entrance. |only if hardcore
|tip Pull them carefully before attempting to fill the sampler. |only if hardcore
|tip Stormscale Sirens are ranged attackers that may heal. |only if hardcore
|tip Enemies around here may run away in fear when at low health. |only if hardcore
collect Filled Cliffspring Falls Sampler##15845 |q 6122/1 |goto Darkshore 54.93,33.32
|only if NightElf Druid
step
Follow the road |goto 47.10,26.84 < 30 |only if walking
Follow the path |goto 42.21,42.33 < 30 |only if walking
Enter the building |goto 37.77,41.36 < 10 |walk
talk Alanndarian Nightsong##3702
|tip Inside the building.
turnin The Principal Source##6122 |goto 37.69,40.66
accept Gathering the Cure##6123 |goto 37.69,40.66
|only if NightElf Druid
step
Leave the building |goto 37.77,41.36 < 10 |walk
Follow the road |goto 40.04,46.77 < 30 |only if walking
click Lunar Fungal Bloom##177750+
|tip They look like clusters of small white-spotted mushrooms on the ground inside the small caves around this area.
|tip Watch for respawns while in the area. |only if hardcore
|tip Owlbear enemies around here have an abnormal aggro radius. |only if hardcore
collect 12 Lunar Fungus##15851 |q 6123/2 |goto 43.07,45.55
You can find more small caves at: |notinsticky
[43.07,49.24]
[43.38,50.50]
[42.71,52.28]
[45.22,53.45]
[46.30,45.56]
[45.52,50.24]
|only if NightElf Druid
step
Follow the road |goto 39.93,46.07 < 30 |only if walking
Enter the building |goto 37.77,41.36 < 10 |walk
talk Alanndarian Nightsong##3702
|tip Inside the building.
turnin Gathering the Cure##6123 |goto 37.69,40.66
accept Curing the Sick##6124 |goto 37.69,40.66
|only if NightElf Druid
step
Leave the building |goto 37.77,41.34 < 10 |walk
Follow the road |goto 39.55,45.39 < 30 |only if walking
use the Curative Animal Salve##15826
|tip Use it on Sickly Deer around this area.
|tip They look like green diseased deer in areas with trees.
|tip They are spread out all throughout Darkshore.
Cure #10# Sickly Deer |q 6124/1 |goto 41.51,46.08
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Curing the Sick##6124 |goto Moonglade 56.21,30.64
accept Power over Poison##6125 |goto Moonglade 56.21,30.64
|only if NightElf Druid
step
Enter the building |goto Darnassus 35.52,10.72 < 7 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
turnin Power over Poison##6125 |goto Darnassus 35.38,8.41
|only if NightElf Druid
step
ding 16
step
Enter the building |goto Darnassus 35.49,10.63 < 7 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
accept A Lesson to Learn##26 |goto Darnassus 35.37,8.39
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin A Lesson to Learn##26 |goto Moonglade 56.21,30.64
accept Trial of the Lake##29 |goto Moonglade 56.21,30.64
|only if NightElf Druid
step
click Bauble Container
|tip It looks like a wicker basket vase on the ground underwater.
|tip They spawn randomly, so you may have to search around this area.
|tip Don't linger in the water for any reason. |only if hardcore
collect Shrine Bauble##15877 |goto 54.33,55.65 |q 29 |future
|only if NightElf Druid
step
use the Shrine Bauble##15877
Complete the Trial of the Lake |q 29/1 |goto 35.92,41.38
|only if NightElf Druid
step
talk Tajarri##11799
turnin Trial of the Lake##29 |goto 36.51,40.11
accept Trial of the Sea Lion##272 |goto 36.51,40.11
|only if NightElf Druid
step
Follow the road |goto Darkshore 40.23,46.41 < 30 |only if walking
Follow the path |goto Darkshore 48.43,24.86 < 30 |only if walking
click Strange Lockbox
|tip Underwater.
|tip If you fight enemies around here, make sure you do so above water. |only if hardcore
collect Half Pendant of Aquatic Agility##15883 |goto Darkshore 48.87,11.32 |q 272
|only if NightElf Druid
step
click Strange Lockbox
|tip Underwater.
|tip If you fight enemies around here, make sure you do so above water. |only if hardcore
|tip You should wait until you quest into Loch Modan to do this portion of the quest. |only if hardcore
collect Half Pendant of Aquatic Endurance##15882 |goto Westfall 17.87,33.11 |q 272
|only if NightElf Druid
step
use the Half Pendant of Aquatic Agility##15883
collect Pendant of the Sea Lion##15885 |q 272/1 |goto Moonglade 35.92,41.42
|only if NightElf Druid
step
talk Dendrite Starblaze##11802
|tip Upstairs inside the building.
turnin Trial of the Sea Lion##272 |goto 56.21,30.64
accept Aquatic Form##5061 |goto 56.21,30.64
|only if NightElf Druid
step
Enter the building |goto Darnassus 35.49,10.63 < 7 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
turnin Aquatic Form##5061 |goto Darnassus 35.37,8.39
|only if NightElf Druid
step
ding 52
step
Enter the building |goto Darnassus 35.52,10.72 < 15 |walk
talk Mathrengyl Bearwalker##4217
|tip Upstairs inside the building.
accept Torwa Pathfinder##9063|goto Darnassus 35.38,8.41
|only if NightElf Druid
step
talk Torwa Pathfinder##9619
turnin Torwa Pathfinder##9063 |goto Un'Goro Crater 71.63,75.96
accept Bloodpetal Poison##9052 |goto Un'Goro Crater 71.63,75.96
|only if NightElf Druid
step
Kill Gorishi enemies around this area
|tip Gorishi Workers may call for help when at low health. |only if hardcore |notinsticky
|tip Watch for patrols and respawns while in the cave. 	|only if hardcore |notinsticky
collect 8 Gorishi Sting##22435 |q 9052/1 |goto 50.4,78.6
|only if NightElf Druid
step
click Bloodcap
|tip They look like vines entwined in a ball.
|tip They are all over Un'Goro Crater.
collect 8 Bloodcap##22434 |q 9052/2 |goto 71.9,57.4
You Can Find More Around [53.5,14.9]
[34.6,30.6]
|only if NightElf Druid
step
talk Torwa Pathfinder##9619
turnin Bloodpetal Poison##9052 |goto 71.63,75.96
accept Toxic Test##9051 |goto 71.63,75.96
|only if NightElf Druid
step
use the Devilsaur Barb##22432
|tip Use it on roaming Devilsaur around Un'Goro Crater.
|tip Root the Devisaur before trying to use the Barb and run away after you accomplish this. |only if hardcore
Stab a Devilsaur with the Barb |q 9051/1 |goto 67.31,33.89
|only if NightElf Druid
step
talk Torwa Pathfinder##9619
turnin Toxic Test##9051 |goto 71.63,75.96
accept A Better Ingredient##9053 |goto 71.63,75.96
|only if NightElf Druid
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Sunken Temple dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 9053
|only if NightElf Druid and hardcore
step
Run up the stairs |goto Swamp of Sorrows/0 69.36,56.89 < 7 |walk
Enter the building and swim under the water |goto 70.54,49.78 < 7 |walk
Run down the stairs |goto 72.69,42.22 < 7 |walk
Follow the path |goto 75.69,45.78 < 7 |walk
Follow the path |goto 78.62,47.47 < 7 |walk
Follow the path |goto 80.22,49.62 < 7 |walk
Follow the path |goto 81.33,42.38 < 7 |walk
Run down the stairs |goto 78.86,40.74 < 7 |walk
Run down the ramp |goto 76.85,38.82 < 7 |walk
Enter The Temple of Atal'Hakkar Dungeon with Your Group |goto The Temple of Atal'Hakkar/0 0.00,0.00 < 500 |c |q 9053 |future
|only if NightElf Druid
step
Inside the Temple of Atal'Hakkar Dungeon:
kill Atal'alarion##8580
|tip Refer to the Temple of Atal'Hakkar Dungeon Guide to accomplish that.
collect Putrid Vine##22444 |q 9053/1
|only if NightElf Druid
step
Leave the Temple of Atal'Hakkar Dungeon
Click Here to Continue |confirm |q 9053 |future
|only if NightElf Druid
step
talk Torwa Pathfinder##9619
turnin A Better Ingredient##9053 |goto Un'Goro Crater 71.63,75.96
|only if NightElf Druid
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Priest Class Quests",{
author="support@zygorguides.com",
description="This guide will walk you through completing various Priest Class Quests.",
},[[
step
ding 10
step
Enter the building |goto Dun Morogh 46.95,52.05 < 7 |walk
talk Maxan Anvol##1226
|tip Inside the building.
accept Desperate Prayer##5637 |goto Dun Morogh 47.34,52.18
|only if Dwarf Priest
step
Enter the building |goto Stormwind City 43.04,34.51 < 7 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin Desperate Prayer##5637 |goto Stormwind City 38.58,26.02
|only if Dwarf Priest
step
Enter the building |goto Elwynn Forest 42.95,65.64 < 7 |walk
talk Priestess Josetta##377
|tip Upstairs inside the building.
accept Desperate Prayer##5637 |goto Elwynn Forest 43.29,65.72
|only if Human Priest
step
Enter the building |goto Stormwind City 43.04,34.51 < 7 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin Desperate Prayer##5637 |goto Stormwind City 38.58,26.02
|only if Human Priest
step
Enter the building |goto Teldrassil 55.76,57.24 < 7 |walk
talk Laurna Morninglight##3600
|tip Inside the building.
accept Returning Home##5629 |goto Teldrassil 55.57,56.75
|only if NightElf Priest
step
talk Priestess Alathea##11401
|tip Upstairs inside the building.
turnin Returning Home##5629 |goto Darnassus 39.53,81.18
|only if NightElf Priest
step
ding 20
step
Enter the building |goto Stormwind City 43.04,34.51 < 7 |walk
talk High Priestess Laurena##376
|tip Inside the building.
accept A Lack of Fear##5647 |goto Stormwind City 38.58,26.02
|only if Dwarf Priest
step
talk High Priest Rohan##11406
|tip Inside the building.
turnin A Lack of Fear##5647 |goto Ironforge 24.72,8.14
|only if Dwarf Priest
step
talk High Priest Rohan##11406
|tip Inside the building.
accept Arcane Feedback##5676
|only if Human Priest
step
Enter the building |goto Stormwind City 43.04,34.51 < 7 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin Arcane Feedback##5676 |goto Stormwind City 38.58,26.02
|only if Human Priest
step
Enter the building |goto Stormwind City 43.04,34.51 < 7 |walk
talk High Priestess Laurena##376
|tip Inside the building.
accept Elune's Grace##5673 |goto Stormwind City 38.58,26.02
|only if NightElf Priest
step
talk Priestess Alathea##11401
|tip Upstairs inside the building.
turnin Elune's Grace##5673 |goto Darnassus 39.53,81.18
|only if NightElf Priest
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Warrior Class Quests",{
author="support@zygorguides.com",
description="This guide will walk you through completing various Warrior Class Quests.",
},[[
step
ding 10
step
talk Lyria Du Lac##913
accept A Warrior's Training##1638 |goto Elwynn Forest 41.09,65.77 |or
'|complete completedq(1679) |or
|only if Human Warrior
step
Enter the building |goto Stormwind City 71.60,39.93 < 7 |walk
talk Harry Burlguard##6089
|tip Inside the building.
turnin A Warrior's Training##1638 |goto Stormwind City 74.25,37.26
accept Bartleby the Drunk##1639 |goto Stormwind City 74.25,37.26 |or
'|complete completedq(1678) |or
|only if Human Warrior
step
talk Bartleby##6090
|tip He walks around this area inside the building.
turnin Bartleby the Drunk##1639 |goto 73.83,37.17
accept Beat Bartleby##1640 |goto 73.83,37.17 |or
'|complete completedq()
|tip He will attack you immediately after you accept this quest.
|only if Human Warrior
step
talk Bartleby##6090
|tip He walks around this area inside the building.
turnin Beat Bartleby##1640 |goto 73.83,37.17
accept Bartleby's Mug##1665 |goto 73.83,37.17
|only if Human Warrior
step
talk Harry Burlguard##6089
|tip Inside the building.
turnin Bartleby's Mug##1665 |goto 74.25,37.26
|only if Human Warrior
step
talk Granis Swiftaxe##1229
|tip Inside the building.
accept Muren Stormpike##1679 |goto Dun Morogh 47.36,52.65 |or
'|complete completedq(1638) |or
|only if (Dwarf Warrior) or (Gnome Warrior)
step
talk Muren Stormpike##6114
|tip Upstairs inside the building.
turnin Muren Stormpike##1679 |goto Ironforge 70.78,90.27
accept Vejrek##1678 |goto 70.78,90.27 |or
'|complete completedq(1665) |or
|only if (Dwarf Warrior) or (Gnome Warrior)
step
Follow the path up |goto Dun Morogh 27.97,56.18 < 20 |only if walking
kill Vejrek##6113
|tip Inside the hut.
collect Vejrek's Head##6799 |q 1678/1 |goto Dun Morogh 27.83,57.95 |or
'|complete completedq(1665)
|only if (Dwarf Warrior) or (Gnome Warrior)
step
talk Muren Stormpike##6114
|tip Upstairs inside the building.
turnin Vejrek##1678 |goto Ironforge/0 70.78,90.29 |or
'|complete completedq(1665)
|only if (Dwarf Warrior) or (Gnome Warrior)
step
talk Kyra Windblade##3598
accept Elanaria##1684 |goto Teldrassil 56.22,59.19
|only if NightElf Warrior
step
talk Elanaria##4088
turnin Elanaria##1684 |goto Darnassus 57.29,34.61
accept Vorlus Vilehoof##1683 |goto 57.29,34.61
|only if NightElf Warrior
step
Follow the path |goto Teldrassil 48.78,61.64
Follow the path up |goto 49.02,63.24
Continue up the path |goto 47.98,64.47
kill Vorlus Vilehoof##6128
collect Horn of Vorlus##6805 |q 1683/1 |goto 47.26,63.52
|only if NightElf Warrior
step
talk Elanaria##4088
turnin Vorlus Vilehoof##1683 |goto Darnassus 57.29,34.61
|only if NightElf Warrior
step
ding 30
step
_NOTE:_
Incoming Difficult Quest
|tip You're going to be tasked with surviving the Affray, which is a combat trial.
|tip You'll be tasked with killing waves of enemies with very little downtime afforded in between.
|tip If possible, you may want to get help for this.
Click Here to Continue |confirm |q 1718 |future
|only if Warrior and hardcore
step
Enter the building |goto Stormwind City 77.97,48.19 < 7 |walk
talk Wu Shen##5479
|tip Upstairs inside the building.
accept The Islander##1718 |goto 78.68,45.80
|only if Warrior
step
talk Klannoc Macleod##6236
turnin The Islander##1718 |goto The Barrens 68.62,49.17
accept The Affray##1719 |goto The Barrens 68.62,49.17
|only if Warrior
step
Step on the Grate to Begin the Affray |q 1719/1 |goto 68.61,48.72
|only if Warrior
step
kill Affray Challenger##6240+
|tip You will have to kill six of them before Big Will will appear.
|tip They will fight them one at a time.
|tip Avoid using AoE abilities as they may aggro the other affray contestants. |only if hardcore
|tip When you defeat an enemy, don't stand near the grate or it will force the next opponent. |only if hardcore
|tip Eat or Bandage after each opponent. |only if hardcore
|tip Step back after each opponent spawns. |only if hardcore
kill Big Will##6238 |q 1719/2 |goto 68.61,48.72
|tip It may take a while before he appears.
|only if Warrior
step
talk Klannoc Macleod##6236
turnin The Affray##1719 |goto 68.62,49.17
|only if Warrior
step
ding 38
step
collect 8 Liferoot##3357 |q 1712 |future
|tip If you have the Herbalism profession, you can gather these.
|tip Search the guide menu for the item(s) to use the farming guides.
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Warrior
step
talk Klannoc Macleod##6236
accept The Windwatcher##1791 |goto 68.62,49.17
|only if Warrior
step
Follow the path |goto Hillsbrad Foothills 70.63,10.06
talk Bath'rah the Windwatcher##6176
turnin The Windwatcher##1791 |goto Alterac Mountains 80.50,66.92
accept Cyclonian##1712 |goto 80.50,66.92
|only if Warrior
step
kill Burning Exile##2760
collect 8 Burning Charm##4479 |q 1712 |future |goto Arathi Highlands 26.6,31.8
|only if Warrior
step
kill Thundering Exile##2762
collect 8 Thundering Charm##4480 |q 1712 |future |goto Arathi Highlands 52.6,52.2
|only if Warrior
step
kill Cresting Exile##2761
collect 8 Cresting Charm##4481 |q 1712 |future |goto Arathi Highlands 68.0,30.0
|only if Warrior
step
Kill Bloodscalp enemies around this area
collect 30 Bloodscalp Tusk##3901 |q 1712/2 |goto Stranglethorn Vale 25.85,11.25
|only if Warrior
step
click Bath'rah's Cauldron##89931
accept Essence of the Exile##1714 |goto Alterac Mountains 79.31,66.81
collect Essence of the Exile##6851 |q 1712/3 |goto Alterac Mountains 79.31,66.81
|only if Warrior
step
_NOTE:_
Incoming Difficult Quest
|tip "The Summoning" quest coming up after Cyclonian has you facing a level 40 elite enemy.
|tip You will likely need help with this.
Click Here to Continue |confirm |q 1713 |future
|only if Warrior and hardcore
step
talk Bath'rah the Windwatcher##6176
turnin Cyclonian##1712 |goto 80.50,66.92
accept The Summoning##1713 |goto 80.50,66.92
|only if Warrior
step
Follow Bath'rah the Windwatcher
Watch the Dialogue
kill Cyclonian##6239
|tip You may need help with this.
|tip This is a level 40 Elite enemy. |only if hardcore
collect Whirlwind Heart##6894 |q 1713/1 |goto 80.57,62.56
|only if Warrior
step
talk Bath'rah the Windwatcher##6176
turnin The Summoning##1713 |goto 80.50,66.92
accept Whirlwind Weapon##1792 |goto 80.50,66.92
|only if Warrior
step
ding 52
step
Enter the building |goto Stormwind City 77.97,48.19 < 7 |walk
talk Wu Shen##5479
|tip Upstairs inside the building.
accept A Troubled Spirit##8417 |goto 78.68,45.80
|only if Warrior
step
talk Fallen Hero of the Horde##7572
turnin A Troubled Spirit##8417 |goto Swamp of Sorrows 34.29,66.15
accept Warrior Kinship##8423 |goto 34.29,66.15
|only if Warrior
step
kill 7 Helboar##5993 |q 8423/1 |goto Blasted Lands 51.34,53.45
|only if Warrior
step
talk Fallen Hero of the Horde##7572
turnin Warrior Kinship##8423 |goto Swamp of Sorrows 34.29,66.15
accept War on the Shadowsworn##8424 |goto 34.29,66.15
|only if Warrior
stickystart "Kill_Shadowsworn_Cultitst"
stickystart "Kill_Shadowsworn_Thug"
step
kill 20	Shadowsworn Adept##6006 |q 8424/1 |goto Blasted Lands 65.17,32.83
|tip Watch for patrols and respawns around this area. |only if hardcore
|only if Warrior
step
label "Kill_Shadowsworn_Cultitst"
kill 10 Shadowsworn Cultist##6004 |q 8424/2 |goto Blasted Lands 65.17,32.83
|tip Watch for patrols and respawns around this area. |only if hardcore |notinsticky
|only if Warrior
step
label "Kill_Shadowsworn_Thug"
kill 20 Shadowsworn Thug##6005 |q 8424/3 |goto Blasted Lands 65.17,32.83
|tip Watch for patrols and respawns around this area. |only if hardcore |notinsticky
|only if Warrior
step
talk Fallen Hero of the Horde##7572
turnin War on the Shadowsworn##8424 |goto Swamp of Sorrows 34.29,66.15
accept Voodoo Feathers##8425 |goto 34.29,66.15
|only if Warrior
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Sunken Temple dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 9053
|only if Warrior and hardcore
step
Run up the stairs |goto Swamp of Sorrows/0 69.36,56.89 < 7 |walk
Enter the building and swim under the water |goto 70.54,49.78 < 7 |walk
Run down the stairs |goto 72.69,42.22 < 7 |walk
Follow the path |goto 75.69,45.78 < 7 |walk
Follow the path |goto 78.62,47.47 < 7 |walk
Follow the path |goto 80.22,49.62 < 7 |walk
Follow the path |goto 81.33,42.38 < 7 |walk
Run down the stairs |goto 78.86,40.74 < 7 |walk
Run down the ramp |goto 76.85,38.82 < 7 |walk
Enter The Temple of Atal'Hakkar Dungeon with Your Group |goto The Temple of Atal'Hakkar/0 0.00,0.00 < 500 |c |q 9053 |future
|only if Warrior
step
Inside the Temple of Atal'Hakkar:
collect 2 Amber Voodoo Feather##20606 |q 8425/1
|tip These come from Gasher and Zul'Lor.
|only if Warrior
step
Inside the Temple of Atal'Hakkar:
collect 2 Blue Voodoo Feather##20607 |q 8425/2
|tip These come from Mijan and Hukku.
|only if Warrior
step
Inside the Temple of Atal'Hakkar:
collect 2 Green Voodoo Feather##20608 |q 8425/3
|tip These come from Zolo and Loro.
|only if Warrior
step
talk Fallen Hero of the Horde##7572
turnin Voodoo Feathers##8425 |goto Swamp of Sorrows 34.29,66.15
|only if Warrior
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Hunter Class Quests",{
author="support@zygorguides.com",
description="This guide will walk you through completing various Hunter Class Quests.",
},[[
step
ding 10
step
talk Dazalar##3601
accept Taming the Beast##6063 |goto Teldrassil 56.68,59.49
|only if NightElf Hunter
step
use the Taming Rod##15921
|tip Use it on a Webwood Lurker around this area.
Tame a Webwood Lurker |q 6063/1 |goto 59.81,59.06
|tip Dismiss it after you tame it.
|tip It may attack you after you dismiss it.
|only if NightElf Hunter
step
talk Dazalar##3601
turnin Taming the Beast##6063 |goto 56.68,59.49
accept Taming the Beast##6101 |goto 56.68,59.49
|only if NightElf Hunter
step
use the Taming Rod##15922
|tip Use it on a Nightsaber Stalker around this area.
Tame a Nightsaber Stalker |q 6101/1 |goto 55.95,71.98
|tip Dismiss it after you tame it.
|tip It may attack you after you dismiss it.
|only if NightElf Hunter
step
talk Dazalar##3601
turnin Taming the Beast##6101 |goto 56.68,59.49
accept Taming the Beast##6102 |goto 56.68,59.49
|only if NightElf Hunter
step
Follow the road |goto 54.81,58.48 < 30 |only if walking
use the Taming Rod##15923
|tip Use it on a Strigid Screecher around this area.
Tame a Strigid Screecher |q 6102/1 |goto 43.99,51.16
|only if NightElf Hunter
step
Follow the road |goto 45.10,49.62 < 30 |only if walking
talk Dazalar##3601
turnin Taming the Beast##6102 |goto 56.68,59.49
accept Training the Beast##6103 |goto 56.68,59.49
|only if NightElf Hunter
step
Follow the road |goto 54.81,58.48 < 30 |only if walking
Enter Darnassus |goto 36.06,54.39 < 20 |only if walking
Run up the ramp |goto Darnassus 45.70,17.69 < 15 |only if walking
talk Jocaste##4146
|tip Inside the building.
turnin Training the Beast##6103 |goto Darnassus 40.38,8.56
|only if NightElf Hunter
step
talk Grif Wildheart##1231
accept Taming the Beast##6064 |goto Dun Morogh 45.81,53.03
|only if Dwarf Hunter
step
use the Taming Rod##15911
|tip Use it on a Large Crag Boar around this area.
Tame a Large Crag Boar |q 6064/1 |goto 48.26,56.81
|tip Dismiss it after you tame it.
|tip It may attack you after you dismiss it.
|only if Dwarf Hunter
step
talk Grif Wildheart##1231
turnin Taming the Beast##6064 |goto 45.81,53.04
accept Taming the Beast##6084 |goto 45.81,53.04
|only if Dwarf Hunter
step
use the Taming Rod##15913
|tip Use it on a Snow Leopard around this area.
Tame a Snow Leopard |q 6084/1 |goto 48.68,58.93
|tip Dismiss it after you tame it.
|tip It may attack you after you dismiss it.
|only if Dwarf Hunter
step
talk Grif Wildheart##1231
turnin Taming the Beast##6084 |goto 45.81,53.04
accept Taming the Beast##6085 |goto 45.81,53.04
|only if Dwarf Hunter
step
use the Taming Rod##15908
|tip Use it on an Ice Claw Bear around this area.
Tame an Ice Claw Bear |q 6085/1 |goto 49.06,62.12
You can usually find another one around [50.11,53.57]
|only if Dwarf Hunter
step
talk Grif Wildheart##1231
turnin Taming the Beast##6085 |goto 45.81,53.04
accept Training the Beast##6086 |goto 45.81,53.04
|only if Dwarf Hunter
step
Enter the building |goto Ironforge 66.34,82.50 < 7 |walk
talk Belia Thundergranite##10090
|tip Inside the building.
turnin Training the Beast##6086 |goto Ironforge 70.87,85.80
|only if Dwarf Hunter
step
ding 50
|only if not hardcore
step
ding 52
|only if hardcore
step
talk Dorion##4205
|tip Upstairs inside the building.
accept The Hunter's Charm##8151 |goto Darnassus 42.21,7.26
|only if Hunter
step
Follow the path up |goto Azshara 42.09,42.45
talk Ogtinc##8405
turnin The Hunter's Charm##8151 |goto 42.40,42.62
accept Courser Antlers##8153 |goto 42.40,42.62
|only if Hunter
step
kill Mosshoof Courser##8761
|tip They are scattered all over the area.
|tip These have a low drop rate. |only if hardcore
collect 2 Perfect Courser Antler##20017 |q 8153/1 |goto 49.47,17.62
|only if Hunter
step
Follow the path up |goto Azshara 42.09,42.45
talk Ogtinc##8405
turnin Courser Antlers##8153 |goto 42.40,42.62
accept Wavethrashing##8231 |goto 42.40,42.62
|only if Hunter
step
Jump down here carefully |goto 33.68,48.68 < 10 |only if walking
Follow the path down |goto Azshara 40.54,47.84 < 15 |only if walking
Kill Wavethrasher enemies around this area
|tip They look like 3 headed beasts. |only if hardcore
|tip They are underwater around this area.
|tip Watch for patroling elites while here. |only if hardcore
|tip When you fight them, be sure that you arne't underwater. |only if hardcore
|tip These enemies cannot be tracked. |only if hardcore
|tip They also have a very low spawn rate. |only if hardcore
collect 6 Wavethrasher Scale##20087 |q 8231/1 |goto 52.61,41.87
|tip These may have a low drop rate.
You can find more around here [59.77,37.36]
[67.20,33.08]
|tip The coordinates below are a bit further out, but there are more.
[72.19,35.39]
[84.34,33.76]
[86.73,25.65]
|only if Hunter
step
Follow the path up |goto Azshara 42.09,42.45
talk Ogtinc##8405
turnin Wavethrashing##8231 |goto 42.40,42.62
accept The Green Drake##8232 |goto 42.40,42.62
|only if Hunter
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Sunken Temple dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 8232
|only if Hunter and hardcore
step
Run up the stairs |goto Swamp of Sorrows/0 69.36,56.89 < 7 |walk
Enter the building and swim under the water |goto 70.54,49.78 < 7 |walk
Run down the stairs |goto 72.69,42.22 < 7 |walk
Follow the path |goto 75.69,45.78 < 7 |walk
Follow the path |goto 78.62,47.47 < 7 |walk
Follow the path |goto 80.22,49.62 < 7 |walk
Follow the path |goto 81.33,42.38 < 7 |walk
Run down the stairs |goto 78.86,40.74 < 7 |walk
Run down the ramp |goto 76.85,38.82 < 7 |walk
Enter The Temple of Atal'Hakkar Dungeon with Your Group |goto The Temple of Atal'Hakkar/0 0.00,0.00 < 500 |c |q 8232 |future
|only if Hunter
step
Inside the Temple of Atal'Hakkar:
kill Morphaz##5719
collect Tooth of Morphaz##20019 |q 8232/1
|only if Hunter
step
Follow the path up |goto Azshara 42.09,42.45
talk Ogtinc##8405
turnin The Green Drake##8232 |goto 42.40,42.62
|only if Hunter
step
ding 60
step
_NOTE:_
Incoming Raid Steps
|tip The upcoming quest steps will send you into the Molten Core and Onyxia's Lair raids.
|tip You will need a group to complete them.
Click Here to Continue |confirm |q 7635 |future
|only if Hunter
step
Inside the Molten Core Raid:
kill Majordomo Executus##12018
collect Ancient Petrified Leaf##18703 |n
use the Ancient Petrified Leaf##18703
accept The Ancient Leaf##7632
|only if Hunter
step
talk Vartus the Ancient##14524
|tip Kill enemies around the area for him to appear.
turnin The Ancient Leaf##7632 |goto Felwood 48.99,24.44
accept An Introduction##7633 |goto 48.99,24.44
accept Stave of the Ancients##7636 |goto 48.99,24.44
|only if Hunter
step
talk Stoma the Ancient##14525
|tip Kill enemies around the area for him to appear.
accept A Proper String##7635 |goto Felwood 48.31,24.43
|only if Hunter
step
label "Simone_the_Inconspicuous_1"
map Un'Goro Crater
path loop off; dist 20
path	40.60,79.81	39.66,80.76	40.56,83.56	44.20,84.60	44.70,84.97
path	47.33,83.43	48.29,83.07	49.48,82.62	52.88,82.85	54.39,80.58
path	53.25,76.57	52.94,71.85	52.49,70.68	50.94,68.32	48.26,68.82
path	46.33,66.62	45.54,65.95	44.59,63.45	41.43,62.58	41.03,62.86
path	39.76,60.14	40.27,55.85	39.31,48.70	38.48,45.86	38.04,41.96
path	36.18,39.79	35.09,38.14	33.26,37.56	31.74,42.57	31.26,43.64
path	31.58,44.98
Follow the path
talk Simone the Inconspicuous##14527
|tip Use the "Track Demons" ability from the Survival Branch to accomplish this.
|tip She patrols all around Un'Goro Crater.
Tell her _"Show me your real face, demon."_
kill Simone the Inconspicuous##14527
|tip This must be done alone or it will despawn.
collect Simone's Head##18952 |q 7636/1 |next "Klinfran_the_Crazed_1" |or
'|goto 31.58,44.98 < 20 |noway |or |c |next "Simone_the_Inconspicuous_2"
|only if Hunter
step
label "Simone_the_Inconspicuous_2"
map Un'Goro Crater
path loop off; dist 20
path	34.12,41.24	35.41,41.78	36.58,44.59	37.39,46.16	37.11,50.89
path	38.49,51.80	39.14,53.13	38.36,56.24	38.06,60.14	38.74,65.34
path	39.38,67.27	39.65,69.63	40.89,73.47	41.67,73.78	42.23,75.22
path	42.32,77.27	41.33,78.48	40.66,79.79
Follow the path
talk Simone the Inconspicuous##14527
|tip Use the "Track Demons" ability from the Survival Branch to accomplish this.
|tip She patrols all around Un'Goro Crater.
Tell her _"Show me your real face, demon."_
kill Simone the Inconspicuous##14527
|tip This must be done alone or it will despawn.
collect Simone's Head##18952 |q 7636/1 |next "Klinfran_the_Crazed_1" |or
'|goto 40.66,79.79 < 20 |noway |or |c |next "Simone_the_Inconspicuous_1"
|only if Hunter
step
label "Klinfran_the_Crazed_1"
map Burning Steppes
path dist 25
path	30.95,53.11	28.61,51.69	26.37,50.79	24.46,49.56	22.35,49.13
path	19.24,49.41	17.32,53.62	17.55,57.76	19.13,59.29	21.32,59.59
path	24.15,62.26	25.60,62.31	25.54,64.65	27.14,62.05	28.46,59.49
path	28.81,56.98	30.04,55.63	29.20,51.92
Follow the path
talk Franklin the Friendly##14529
|tip Use the "Track Demons" ability from the Survival Branch to accomplish this.
|tip He patrols around Burning Steppes.
Tell him _"Show me your real face, demon."_
kill Klinfran the Crazed##14534
|tip This must be done alone or it will despawn.
collect Klinfran's Head##18953 |q 7636/2
|only if Hunter
step
map Silithus
path dist 20
path	27.18,84.28	25.70,86.85	25.51,88.41	22.00,86.39	21.41,83.81
path	21.45,81.74	23.00,79.45	24.79,76.13	26.93,75.99	28.43,76.18
path	28.98,80.30	29.15,81.69	26.81,84.80
Follow the path
talk Nelson the Nice##14536
|tip Use the "Track Demons" ability from the Survival Branch to accomplish this.
|tip He walks around the area.
Tell him _"Show me your real face, demon."_
kill Solenor the Slayer##14530
|tip This must be done alone or it will despawn.
collect Solenor's Head##18954 |q 7636/3 |goto Silithus 26.0,81.2
|only if Hunter
step
map Winterspring
path dist 17
path	57.82,21.11	58.43,21.89	58.74,22.81	59.05,23.60	59.71,24.17
path	60.19,23.60	60.38,22.81	60.15,21.85	60.63,21.54	60.84,21.21
path	60.33,20.38	59.94,19.05	59.71,17.37	60.14,16.22	60.62,15.32
path	60.87,14.53	60.51,13.36	59.83,12.09	59.33,12.32	58.73,12.74
path	58.15,13.34	57.93,14.47	58.11,15.96	58.50,17.78	58.22,19.31
path	57.98,20.53
Follow the path
talk Artorius the Amiable##14531
|tip Use the "Track Demons" ability from the Survival Branch to accomplish this.
|tip He walks around the area.
Tell him _"Show me your real face, demon."_
kill Artorius the Doombringer##14535
|tip This must be done alone or it will despawn and be on a 3 hour timer.
collect Artorius's Head##18955 |q 7636/4 |goto Winterspring 58.2,15.6
|only if Hunter
step
Inside the Onyxia's Lair Raid:
kill Onyxia##10184
collect Mature Black Dragon Sinew##18705 |q 7635/1
|tip This isn't a 100% drop rate.
|only if Hunter
step
talk Vartus the Ancient##14524
|tip Kill enemies around the area for him to appear.
turnin Stave of the Ancients##7636  |goto Felwood 48.99,24.44
|only if Hunter
step
talk Stoma the Ancient##14525
|tip Kill enemies around the area for him to appear.
turnin A Proper String##7635 |goto Felwood 48.31,24.43
|only if Hunter
step
use the Ancient Rune Etched Stave##18707
collect Rhok'delar, Longbow of the Ancient Keepers##18713 |n
collect Lok'delar, Stave of the Ancient Keepers##18715 |n
|only if Hunter
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Rogue Class Quests",{
author="support@zygorguides.com",
description="This guide will walk you through completing various Rogue Class Quests.",
},[[
step
ding 10
step
talk Hogral Bakkan##1234
accept Road to Salvation##2218 |goto Dun Morogh/0 47.56,52.61
|only if Rogue
step
talk Hulfdan Blackbeard##5165
|tip Downstairs inside the building.
turnin Road to Salvation##2218 |goto Ironforge/0 51.94,14.82
accept Simple Subterfugin'##2238 |goto 51.94,14.82
|only if Rogue
step
talk Onin##6886
|tip On top of the platform.
turnin Simple Subterfugin'##2238 |goto Dun Morogh/0 25.16,44.45
accept Onin's Report##2239 |goto 25.16,44.45
|only if Rogue
step
talk Hulfdan Blackbeard##5165
|tip Downstairs inside the building.
turnin Onin's Report##2239 |goto Ironforge/0 51.94,14.82
|only if Rogue
step
ding 16
|only if not hardcore
step
ding 21
|tip We are waiting until 21 because the quest sends you to an area with level 23s.
|only if hardcore
step
talk Lord Tony Romano##13283
|tip Inside the building.
Train the "Pick Lock" Ability |complete knowspell(1804) |goto Stormwind City 78.31,57.04
|only if Rogue
step
talk Gerald Crawley##3090
|tip Inside the building.
buy 1 Thieves' Tools##5060 |goto Redridge Mountains 25.09,41.15
|only if Rogue
step
Follow the road |goto Redridge Mountains 35.02,44.11 < 30 |only if walking
Follow the path |goto Redridge Mountains 43.30,37.54 < 30 |only if walking
click Practice Lockbox+
|tip They look like grey metal chests.
|tip Inside the building.
|tip Keep clicking them until you reach Lockpicking skill level 75.
Click Here After Reaching Level 75 Lockpicking |confirm |goto Redridge Mountains 51.97,45.15 |q 2607 |future
|only if Rogue
step
Follow the path |goto Stormwind City 74.74,53.70 < 7 |only if walking
Enter the building |goto Stormwind City 77.14,58.02 < 7 |walk
talk Master Mathias Shaw##332
|tip Upstairs inside the building.
accept Mathias and the Defias##2360 |goto Stormwind City 75.78,59.85
|only if Rogue
step
Leave the building |goto 77.11,58.00 < 7 |walk
Follow the path |goto 74.67,53.63 < 7 |only if walking
Leave Stormwind |goto 71.10,88.88 < 30 |only if walking
Follow the road |goto Elwynn Forest 27.55,77.78 < 30 |only if walking
Enter Westfall |goto Elwynn Forest 20.73,79.79 < 20 |only if walking
talk Thor##523
fpath Sentinel Hill |goto Westfall 56.56,52.64
|only if Rogue
step
talk Agent Kearnen##7024
turnin Mathias and the Defias##2360 |goto 68.49,70.08
accept Klaven's Tower##2359 |goto 68.49,70.08
|only if Rogue
step
collect Defias Tower Key##7923 |q 2359/2 |goto 71.63,73.91
|tip Use your "Pickpocket" ability on Malformed Defias Drone.
|tip He walks around this area.
|tip Look out for the pair of Defias Drones patrolling as well. |only if hardcore
|only if Rogue
step
Enter the building |goto 69.97,74.07 < 7 |walk
click Duskwood Chest##123214
|tip Upstairs inside the building.
|tip You will get a debuff after opening it.
|tip Use your "Sap" ability on Klaven Mortwake nearby before clicking the chest.
|tip He is elite, but you should be fine.
|tip If you have trouble, try to find someone to help you.
collect Klaven Mortwake's Journal##7908 |q 2359/1 |goto 70.41,73.93
|only if Rogue
step
Leave the building |goto 69.95,74.04 < 7 |walk
Follow the path |goto Stormwind City 74.74,53.70 < 7 |only if walking
Enter the building |goto Stormwind City 77.14,58.02 < 7 |walk
talk Master Mathias Shaw##332
|tip Upstairs inside the building.
turnin Klaven's Tower##2359 |goto Stormwind City 75.78,59.85
accept The Touch of Zanzil##2607 |goto Stormwind City 75.78,59.85
|only if Rogue
step
talk Doc Mixilpixil##7207
|tip Downstairs inside the building.
turnin The Touch of Zanzil##2607 |goto 78.04,58.77
accept The Touch of Zanzil##2608 |goto 78.04,58.77
|only if Rogue
step
Watch the dialogue
|tip Use the "/lay" emote while targeting Doc Mixilpixil.
Complete the Diagnosis |q 2608/1 |goto 78.04,58.77
|only if Rogue
step
talk Doc Mixilpixil##7207
|tip Downstairs inside the building.
turnin The Touch of Zanzil##2608 |goto 78.04,58.77
|only if Rogue
step
Remove the Touch of Zanzil |nobuff Touch of Zanzil##9991
|tip You will still have the "Touch of Zanzil" debuff.
|tip There is a quest to remove the buff.
|tip The quest makes you gather items in Stormwind City, but gathering the items can cost a lot of silver.
|tip To remove the buff without doing the quest and wasting money, you have 2 options:
|tip If you have First Aid leveled, create an "Anti-Venom" and use it on yourself.
|tip You can also try to buy one from the Auction House, they're usually cheap. |only if not selfmade
|tip Alternatively, try to ask a Druid player to use their "Cure Poison" ability on you.
|only if Rogue
step
ding 50
|only if not hardcore
step
ding 52
|tip We are waiting until 52 because there are higher level enemies around the are which you'll be questing.
|only if hardcore
step
talk Lord Tony Romano##13283
|tip Inside the building.
accept A Simple Request##8233 |goto Stormwind City 78.32,57.04
|only if Rogue
step
Follow the road up |goto Hillsbrad Foothills 75.51,23.52 < 10 |only if walking
Enter the cave |goto 77.82,19.27 < 10 |walk
Follow the path |goto Alterac Mountains 81.71,77.48 < 10 |only if walking
Enter the building |goto 85.46,79.39 < 10 |walk
talk Lord Jorach Ravenholdt##6768
turnin A Simple Request##8233 |goto 86.03,78.88
accept Sealed Azure Bag##8234 |goto 86.03,78.88
|only if Rogue
step
kill Timbermaw Shaman##6188
|tip You can also Pickpocket them.
|tip Watch for patrols and respawns while in the area. |only if hardcore
collect Sealed Azure Bag##19775 |q 8234/1 |goto Azshara 43.77,25.56
You can find more around:
[41.49,19.55]
|only if Rogue
step
talk Sanath Lim-yo##8395
accept Meeting with the Master##3503 |goto 28.11,50.09
|only if Rogue
step
Follow the path up |goto 26.48,44.23 < 15 |only if walking
talk Archmage Xylem##8379
|tip Inside the tower.
turnin Sealed Azure Bag##8234 |goto 29.71,40.52
accept Encoded Fragments##8235 |goto 29.71,40.52
|only if Rogue
step
Follow the path down |goto 27.04,43.31 < 15 |only if walking
talk Nyrill##8399
accept Return Trip##3421 |goto 36.13,67.82
|only if Rogue
step
kill Forest Ooze##8766
|tip Pickpocket them before killing them.
|tip Kill Mistwing Ravagers if you run out of oozes to kill. |only if hardcore
collect 10 Encoded Fragment##20023 |q 8235/1 |goto 73.4,25.2
You can find more around
[80.13,24.75]
[72.71,23.53]
[74.59,13.08]
[66.10,22.93]
|only if Rogue
step
talk Sanath Lim-yo##8395
accept Meeting with the Master##3503 |goto 28.11,50.09
|only if Rogue
step
Follow the path up |goto 26.48,44.23 < 15 |only if walking
talk Archmage Xylem##8379
|tip Inside the tower.
turnin Encoded Fragments##8235 |goto 29.71,40.52
accept The Azure Key##8236 |goto 29.71,40.52
|only if Rogue
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Sunken Temple dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 8236
|only if Rogue and hardcore
step
Run up the stairs |goto Swamp of Sorrows/0 69.36,56.89 < 7 |walk
Enter the building and swim under the water |goto 70.54,49.78 < 7 |walk
Run down the stairs |goto 72.69,42.22 < 7 |walk
Follow the path |goto 75.69,45.78 < 7 |walk
Follow the path |goto 78.62,47.47 < 7 |walk
Follow the path |goto 80.22,49.62 < 7 |walk
Follow the path |goto 81.33,42.38 < 7 |walk
Run down the stairs |goto 78.86,40.74 < 7 |walk
Run down the ramp |goto 76.85,38.82 < 7 |walk
Enter The Temple of Atal'Hakkar Dungeon with Your Group |goto The Temple of Atal'Hakkar/0 0.00,0.00 < 500 |c |q 8232 |future
|only if Rogue
step
Inside the Temple of Atal'Hakkar:
kill Morphaz##5719
|tip Refer to the Temple of Atal'Hakkar Dungeon guide to accomplish this.
collect Azure Key##20022 |q 8236/1
|only if Rogue
step
Follow the road up |goto Hillsbrad Foothills 75.51,23.52 < 10 |only if walking
Enter the cave |goto 77.82,19.27 < 10 |walk
Follow the path |goto Alterac Mountains 81.71,77.48 < 10 |only if walking
Enter the building |goto 85.46,79.39 < 10 |walk
talk Lord Jorach Ravenholdt##6768
turnin The Azure Key##8236|goto 86.03,78.88
|only if Rogue
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Mage Class Quests",{
author="support@zygorguides.com",
description="This guide will walk you through completing various Mage Class Quests.",
},[[
step
ding 10
step
talk Zaldimar Wefhellt##328
|tip Upstairs inside the building.
accept Speak with Jennea##1860 |goto Elwynn Forest 43.25,66.19
|only if Mage
step
talk Jennea Cannon##5497
|tip Upstairs inside the tower.
turnin Speak with Jennea##1860 |goto Stormwind City 38.54,79.35
accept Mirror Lake##1861 |goto 38.54,79.35
|only if Mage
step
use Jennea's Flask##7207
|tip Use it while in the water.
collect Mirror Lake Water Sample##7206 |q 1861/1 |goto Elwynn Forest 28.78,61.47
step
talk Jennea Cannon##5497
|tip Upstairs inside the tower.
turnin Mirror Lake##1861 |goto Stormwind City 38.54,79.35
|only if Mage
step
ding 15
step
talk Dink##7312
|tip Inside the building
accept Report to Jennea##1919 |goto Ironforge 27.18,8.58
|only if Gnome Mage
step
talk Zaldimar Wefhellt##328
|tip Upstairs inside the building.
accept Report to Jennea##1919 |goto Elwynn Forest 43.25,66.19
|only if Human Mage
step
talk Jennea Cannon##5497
|tip Upstairs inside the tower.
turnin Report to Jennea##1919 |goto Stormwind City 38.54,79.35
accept Investigate the Blue Recluse##1920 |goto 38.54,79.35
|only if Mage
step
click Chest of Containment Coffers##105174
|tip Upstairs inside the tower.
collect Chest of Containment Coffers##7247 |q 1920/2 |goto 38.59,79.06
|only if Mage
step
click Cantation of Manifestation##105175
|tip Upstairs inside the tower.
collect Cantation of Manifestation##7308 |q 1920/3 |goto 38.70,78.78
|only if Mage
step
Enter the building |goto 39.90,85.36 < 5 |walk
use Cantation of Manifestation##7308
|tip Inside the building.
|tip This will cause Rift Spawns to appear.
use Chest of Containment Coffers##7247
kill Rift Spawn##6492
click Filled Containment Coffer##103574
collect 1 Filled Containment Coffer##7292 |complete itemcount(7292) >= 1 |q 1920/1 |goto 40.64,91.92
|only if Mage
step
use Cantation of Manifestation##7308
|tip Inside the building.
|tip This will cause Rift Spawns to appear.
use Chest of Containment Coffers##7247
kill Rift Spawn##6492
click Filled Containment Coffer##103574
collect 2 Filled Containment Coffer##7292 |complete itemcount(7292) >= 2 |q 1920/1|goto 40.46,92.81
|only if Mage
step
use Cantation of Manifestation##7308
|tip Downstairs inside the building.
|tip This will cause Rift Spawns to appear.
use Chest of Containment Coffers##7247
kill Rift Spawn##6492
click Filled Containment Coffer##103574
collect 3 Filled Containment Coffer##7292 |complete itemcount(7292) >= 3 |q 1920/1 |goto 40.46,90.90
|only if Mage
step
talk Jennea Cannon##5497
|tip Upstairs inside the tower.
turnin Investigate the Blue Recluse##1920 |goto 38.54,79.35
accept Gathering Materials##1921 |goto 38.54,79.35
|only if Mage
stickystart "Collect_10_Linen"
step
Enter the mine |goto Loch Modan 35.47,19.08 < 8 |walk
click Miners' League Crates##271
|tip Inside the mine.
|tip Keep an eye out for patrols and casters. |only if hardcore
collect 6 Charged Rift Gem##7249 |q 1921/2 |goto 35.85,22.58
|only if Mage
step
label "Collect_10_Linen"
collect 10 Linen Cloth##2589 |q 1921/1
|tip These drop from Tunnel Rat enemies inside the cave.
|tip Keep an eye out for patrols and casters while in the cave. |only if hardcore |notinsticky
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Mage
step
talk Wynne Larson##1309
|tip Inside the building
turnin Gathering Materials##1921 |goto Stormwind City 41.57,76.35
accept Manaweave Robe##1941 |goto 41.57,76.35
|only if Mage
step
ding 26
step
talk Jennea Cannon##5497
|tip Upstairs inside the tower.
accept High Sorcerer Andromath##1939 |goto Stormwind City 38.54,79.35
|only if Mage
step
talk High Sorcerer Andromath##5694
|tip Upstairs inside the tower.
turnin High Sorcerer Andromath##1939 |goto 37.52,81.64
accept Ur's Treatise on Shadow Magic##1938 |goto 37.52,81.64
|only if Mage
step
click Ur's Treatise on Shadow Magic##103628
|tip Upstairs inside the tower.
collect Ur's Treatise on Shadow Magic##7266 |q 1938/1 |goto Redridge Mountains 78.87,47.64
|only if Mage
step
talk High Sorcerer Andromath##5694
|tip Upstairs inside the tower.
turnin Ur's Treatise on Shadow Magic##1938 |goto Stormwind City 37.52,81.64
accept Pristine Spider Silk##1940 |goto 37.52,81.64
|only if Mage
step
Kill enemies around this area
collect 8 Pristine Spider Silk##7267 |q 1940/1 |goto Duskwood 31.38,26.95
You can find more around here [34.42,56.77]
|only if Mage
step
talk Wynne Larson##1309
|tip Inside the building
turnin Pristine Spider Silk##1940 |goto Stormwind City 41.57,76.35
Watch the dialogue
accept Astral Knot Garment##1942 |goto 41.57,76.35
|only if Mage
step
ding 30
|only if not hardcore
step
ding 34
|tip We are waiting until this level because you will be traveling through higher level areas.
|only if not hardcore
step
talk Jennea Cannon##5497
|tip Upstairs inside the tower.
accept Journey to the Marsh##1947 |goto Stormwind City 38.54,79.35
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Journey to the Marsh##1947 |goto Dustwallow Marsh 46.06,57.09
Watch the Dialogue
accept Hidden Secrets##1949 |goto 46.06,57.09
|only if Mage
step
talk Magus Tirth##6548
turnin Hidden Secrets##1949 |goto Thousand Needles 78.29,75.70
accept Get the Scoop##1950 |goto Thousand Needles 78.29,75.70
|only if Mage
step
talk "Plucky" Johnson##6626
|tip Use the "/beckon" Emote to turn him back to a human.
Tell him to _"Please tell me the Phrase..."_
Learn the Secret Phrase |q 1950/1 |goto 79.6,75.6
|only if Mage
step
talk Magus Tirth##6548
turnin Get the Scoop##1950 |goto Thousand Needles 78.29,75.70
accept Rituals of Power##1951 |goto 78.29,75.70
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
accept Items of Power##1948 |goto Dustwallow Marsh 46.06,57.09
|only if Mage
step
Kill Witherbark enemies around this area
|tip They look like trolls.
collect 10 Witherbark Totem Stick##7273 |q 1948 |goto Arathi Highlands 66.66,64.37
|only if Mage
step
use the Witherbark Totem Stick##7273
|tip Clear the enemies around the stones before doing so.
click Bolt Charged Bramble##103662
|tip On top of the rock at the center of the Outer Binding Circle.
collect Bolt Charged Bramble##7272 |q 1948/2 |goto 52.06,50.69
|only if Mage
step
collect 1 Jade##1529 |q 1948
|tip You should have collected this earlier.
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Items of Power##1948 |goto Dustwallow Marsh 46.06,57.09
|only if Mage
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Scarlet Monastery (Library) dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 1951
|only if Mage and hardcore
step
Enter the building |goto Tirisfal Glades/0 82.65,32.88 < 7 |walk
Enter the Portal |goto 85.33,32.27 < 7 |walk
Enter the Scarlet Monastery - Library Dungeon with Your Group |goto Scarlet Monastery/0 0.00,0.00 < 500 |c |noway |q 1951
step
Inside the Scarlet Monastery Library Dungeon:
click Rituals of Power##103664
|tip In the Athenaeum, to the left of the doorway.
collect Rituals of Power##7274 |q 1951/1
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Rituals of Power##1951  |goto Dustwallow Marsh 46.06,57.09
accept Mage's Wand##1952 |goto 46.06,57.09
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Mage's Wand##1952 |goto 46.06,57.09 |noautoaccept
|only if Mage
step
ding 40
|only if Mage and not hardcore
step
ding 45
|tip We are waiting until level 45 because there is an elite enemy that will need to be killed.
|tip It will be level 40, but you may need help as it still hits hard.
|only if Mage and hardcore
step
talk Jennea Cannon##5497
|tip Upstairs inside the tower.
accept Return to the Marsh##1953 |goto Stormwind City 38.54,79.35
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Return to the Marsh##1953 |goto Dustwallow Marsh 46.06,57.09
accept The Infernal Orb##1954 |goto 46.06,57.09
|only if Mage
step
kill Burning Blade Summoner##4668
|tip You may have to look around for them. |only if hardcore
|tip Watch out for patrols and respawns while in the area. |only if hardcore
collect Infernal Orb##7291 |q 1954/1 |goto Desolace 53.34,79.05
|only if Mage
step
_NOTE:_
Incoming Elite Quest
|tip During the quest "The Exorcism", you will be tasked with killing The Demon of the Orb, which is a level 40 elite enemy.
|tip It will deal a lot of a damage.
|tip If you are unable to get help, you should have your best healing potions ready.
Click Here to Continue |confirm |q 1955 |future
|only if Mage and hardcore
step
talk Tabetha##6546
|tip Inside the building.
turnin The Infernal Orb##1954 |goto Dustwallow Marsh 46.06,57.09
accept The Exorcism##1955 |goto 46.06,57.09
|only if Mage
step
kill Demon of the Orb##6549 |q 1955/1 |goto 46.04,57.10
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin The Exorcism##1955 |goto Dustwallow Marsh 46.06,57.09
accept Power in Uldaman##1956 |goto 46.06,57.09
|only if Mage
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Uldaman dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 1956
|only if Mage and hardcore
step
Enter the Uldaman Dungeon with Your Group |goto Uldaman/0 0.00,0.00 < 500 |c |q 1956
step
Inside the Uldaman Dungeon:
kill Obsidian Sentinel##7023
|tip Use the Uldaman Dungeon guide to accomplish this.
collect Obsidian Power Source##8053 |q 1956/1
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Power in Uldaman##1956 |goto Dustwallow Marsh 46.06,57.09
accept Mana Surges##1957 |goto 46.06,57.09
|only if Mage
step
kill Mana Surge##6550
|tip They will spawn continuously as you kill them.
Slay #12# Manage Surges |q 1957/1 |goto 45.85,56.76
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Mana Surges##1957 |goto Dustwallow Marsh 46.06,57.09
Watch the Dialogue
accept Celestial Power##1958 |goto 46.06,57.09
|only if Mage
step
ding 46
step
talk Jennea Cannon##5497
|tip Upstairs inside the tower.
accept Tabetha's Task##2861 |goto Stormwind City 38.54,79.35
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Tabetha's Task##2861 |goto Dustwallow Marsh 46.06,57.09
accept Tiara of the Deep##2846 |goto 46.06,57.09
|only if Mage
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Zul'Farrak dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 2846
|only if Mage and hardcore
step
Enter the Zul'Farrak Dungeon with Your Group |goto Zul'Farrak/0 0.00,0.00 < 500 |c |q 2846
step
Inside the Zul'Farrak Dungeon:
kill Hydromancer Velratha##7795
collect Tiara of the Deep##9234 |q 2846/1
|only if Mage
step
talk Tabetha##6546
|tip Inside the building.
turnin Tiara of the Deep##2846 |goto Dustwallow Marsh 46.06,57.09
|only if Mage
step
ding 60
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Dire Maul (North) dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 7463 |future
|only if Mage and hardcore
step
Run up the ramp |goto Feralas/0 59.13,44.67 < 20 |only if walking
Follow the path |goto 59.52,39.51 < 15 |only if walking
Continue following the path |goto 61.72,38.78 < 15 |only if walking
Continue following the path |goto 61.15,34.87 < 7 |only if walking
click Door |goto 62.49,24.89 < 5 |walk
|tip You need a Crescent Key to unlock this door.
|tip This drops from Pusillin in the "Dire Maul - East" dungeon.
Enter the Dire Maul - North Dungeon with Your Group |goto Dire Maul/0 0.00,0.00 < 500 |c |q 7463 |future
step
Inside the Dire Maul North Dungeon:
talk Lorekeeper Lydros##14368
|tip Through the Conservatory Door in the courtyard.
accept Arcane Refreshment##7463
|only if Mage
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Dire Maul (East) dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 7463 |future
|only if Mage and hardcore
step
Run up the ramp |goto Feralas/0 59.13,44.67 < 20 |only if walking
Follow the path |goto 59.52,39.51 < 15 |only if walking
Continue following the path |goto 61.72,38.78 < 15 |only if walking
Continue following the path |goto 61.15,34.87 < 7 |only if walking
Continue following the path |goto 64.85,30.18 < 7 |only if walking
Enter the Dire Maul - East Dungeon with Your Group |goto Dire Maul/0 0.00,0.00 < 500 |c |q 7463 |future
step
Inside the Dire Maul East Dungeon:
kill Hydrospawn##13280
|tip Refer to the Dire Maul East Dungeon guide to accomplish this.
collect Hydrospawn Essence##18299
|only if Mage
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Dire Maul (North) dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 7463 |future
|only if Mage and hardcore
step
Run up the ramp |goto Feralas/0 59.13,44.67 < 20 |only if walking
Follow the path |goto 59.52,39.51 < 15 |only if walking
Continue following the path |goto 61.72,38.78 < 15 |only if walking
Continue following the path |goto 61.15,34.87 < 7 |only if walking
click Door |goto 62.49,24.89 < 5 |walk
|tip You need a Crescent Key to unlock this door.
|tip This drops from Pusillin in the "Dire Maul - East" dungeon.
Enter the Dire Maul - North Dungeon with Your Group |goto Dire Maul/0 0.00,0.00 < 500 |c |q 7463 |future
step
Inside the Dire Maul North Dungeon:
talk Lorekeeper Lydros##14368
|tip Through the Conservatory Door in the courtyard.
turnin Arcane Refreshment##7463
|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Paladin Class Quests",{
author="support@zygorguides.com",
description="This guide will walk you through completing various Paladin Class Quests.",
},[[
step
ding 12
step
Enter the building |goto Stormwind City 43.44,35.14 < 7 |walk
talk Duthorian Rall##6171
|tip Inside the building.
accept The Tome of Divinity##1641 |goto Stormwind City 39.81,29.80
|only if Human Paladin
step
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Divinity##1641 |goto 39.81,29.80
|only if Human Paladin
step
use the Tome of Divinity##6775
accept The Tome of Divinity##1642
|only if Human Paladin
step
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Divinity##1642 |goto 39.81,29.80
accept The Tome of Divinity##1643 |goto 39.81,29.80
|only if Human Paladin
step
Leave the building |goto 43.06,34.49 < 7 |walk
talk Stephanie Turner##6174
turnin The Tome of Divinity##1643 |goto 57.08,61.74
accept The Tome of Divinity##1644 |goto 57.08,61.74
|only if Human Paladin
step
Enter the building |goto 53.99,58.98 < 7 |walk
talk Auctioneer Jaxon##15659
|tip Inside the building.
|tip Buy these items from the Auction House.
|tip Or, refer to the Linen Cloth farming guide to accomplish this.
collect 10 Linen Cloth##2589 |q 1644/1 |goto 53.61,59.76
|only if Human Paladin and selfmade
step
Leave the building |goto 53.86,58.92 < 7 |walk
talk Stephanie Turner##6174
turnin The Tome of Divinity##1644 |goto 57.08,61.74
accept The Tome of Divinity##1780 |goto 57.08,61.74
|only if Human Paladin
step
Enter the building |goto 43.44,35.14 < 7 |walk
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Divinity##1780 |goto 39.81,29.80
accept The Tome of Divinity##1781 |goto 39.81,29.80
|only if Human Paladin
step
talk Gazin Tenorm##6173
|tip Inside the building.
turnin The Tome of Divinity##1781 |goto 38.55,26.45
accept The Tome of Divinity##1786 |goto 38.55,26.45
|only if Human Paladin
step
Leave the building |goto 43.06,34.49 < 7 |walk
Leave Stormwind City |goto 71.05,88.81 < 30 |only if walking
Follow the road |goto Elwynn Forest 42.70,67.19 < 30 |only if walking
Follow the path |goto Elwynn Forest 69.14,70.95 < 30 |only if walking
use the Symbol of Life##6866
|tip Watch for Defias Rogue Wizards around here. |only if hardcore
|tip They are ranged attackers with an abnormal sized aggro radius. |only if hardcore
|tip Use it on Henze Faulk's corpse.
Ressurect Henze Faulk |q 1786/1 |goto Elwynn Forest 72.60,51.41
|only if Human Paladin
step
talk Henze Faulk##6172
turnin The Tome of Divinity##1786 |goto 72.60,51.41
accept The Tome of Divinity##1787 |goto 72.60,51.41
|only if Human Paladin
step
kill Defias Rogue Wizard##474+
|tip They are ranged attackers with an abnormal sized aggro radius. |only if hardcore
collect Defias Script##6846 |q 1787/1 |goto 74.07,51.57
|only if Human Paladin
step
Follow the road |goto 70.14,70.84 < 30 |only if walking
Continue following the road |goto 42.19,64.92 < 30 |only if walking
Enter Stormwind City |goto 32.07,49.32 < 30 |only if walking
Enter the building |goto Stormwind City 43.44,35.14 < 7 |walk
talk Gazin Tenorm##6173
|tip Inside the building.
turnin The Tome of Divinity##1787 |goto Stormwind City 38.56,26.47
accept The Tome of Divinity##1788 |goto Stormwind City 38.56,26.47
|only if Human Paladin
step
talk Duthorian Rall##6171
|tip Inside the building.
turnin The Tome of Divinity##1788 |goto 39.81,29.80
|only if Human Paladin
step
Enter the building |goto Ironforge 27.28,12.31 < 10 |walk
talk Brandur Ironhammer##5149
|tip Inside the building.
accept Tome of Divinity##2997 |goto Ironforge 23.12,6.14
|only if Dwarf Paladin
step
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
turnin Tome of Divinity##2997 |goto 27.64,12.19
accept The Tome of Divinity##1645 |goto 27.64,12.19
|only if Dwarf Paladin
step
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
accept The Tome of Divinity##1646 |goto 27.64,12.19
|only if Dwarf Paladin
step
use the Tome of Divinity##6916
accept The Tome of Divinity##1646
|only if Dwarf Paladin
step
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
turnin The Tome of Divinity##1646 |goto 27.64,12.19
accept The Tome of Divinity##1647 |goto 27.64,12.19
|only if Dwarf Paladin
step
talk John Turner##6175
|tip He walks around this area
turnin The Tome of Divinity##1647 |goto 21.55,50.80
accept The Tome of Divinity##1648 |goto 21.55,50.80
You can also find him around: |notinsticky
[22.93,61.36]
[32.40,78.58]
[43.09,84.17]
|only if Dwarf Paladin
step
Enter the building |goto 26.14,72.21 < 10 |walk
talk Auctioneer Redmuse##8720
|tip Inside the building.
collect 10 Linen Cloth##2589 |q 1648/1 |goto 24.25,74.57
|tip Buy them from the Auction House.
|only if Dwarf Paladin and selfmade
step
talk John Turner##6175
|tip He walks around this area
turnin The Tome of Divinity##1648 |goto 21.55,50.80
accept The Tome of Divinity##1778 |goto 21.55,50.80
You can also find him around: |notinsticky
[22.93,61.36]
[32.40,78.58]
[43.09,84.17]
|only if Dwarf Paladin
step
Enter the building |goto Ironforge 27.28,12.31 < 10 |only if walking
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
turnin The Tome of Divinity##1778 |goto 27.64,12.19
accept The Tome of Divinity##1779 |goto 27.64,12.19
|only if Dwarf Paladin
step
talk Muiredon Battleforge##6178
|tip Upstairs inside the building.
turnin The Tome of Divinity##1779 |goto 23.53,8.29
accept The Tome of Divinity##1783 |goto 23.53,8.29
|only if Dwarf Paladin
step
Follow the road |goto Dun Morogh 49.69,46.36 < 30 |only if walking
Follow the path |goto Dun Morogh 73.14,49.95 < 30 |only if walking
use the Symbol of Life##6866
|tip Use it on Narm Faulk's corpse.
Resseurect Narm Faulk |q 1783/1 |goto Dun Morogh 78.32,58.09
|only if Dwarf Paladin
step
talk Narm Faulk##6177
turnin The Tome of Divinity##1783 |goto 78.32,58.09
accept The Tome of Divinity##1784 |goto 78.32,58.09
|only if Dwarf Paladin
step
kill Dark Iron Spy##6123+
collect Dark Iron Script##6847 |q 1784/1 |goto 77.39,61.27
|only if Dwarf Paladin
step
Follow the road |goto 72.88,49.82 < 30 |only if walking
Follow the path up |goto 47.25,41.65 < 20 |only if walking
Enter Ironforge |goto 53.47,34.90 < 20 |walk
Enter the building |goto Ironforge 27.28,12.31 < 15 |only if walking
talk Muiredon Battleforge##6178
|tip Upstairs inside the building.
turnin The Tome of Divinity##1784 |goto Ironforge 23.53,8.29
accept The Tome of Divinity##1785 |goto Ironforge 23.53,8.29
|only if Dwarf Paladin
step
talk Tiza Battleforge##6179
|tip Upstairs inside the building.
turnin The Tome of Divinity##1785 |goto 27.64,12.19
|only if Dwarf Paladin
step
ding 20
|only if not hardcore
step
ding 24
|tip We are waiting until 24 becuase there will be a difficult quest coming up.
|tip You will need to defeat 3 waves of enemies.
|tip The first wave has 3 enemies, the second has 4 and the final has 5.
|tip Even at this level, you may still need help with this.
|only if hardcore
step
talk Duthorian Rall##6171
|tip Inside the building.
accept The Tome of Valor##1794 |goto Stormwind City 39.81,29.80 |or
accept The Tome of Valor##1793 |goto Stormwind City 39.81,29.80 |or
|only if Paladin
step
use the Tome of Valor##6776
accept The Tome of Valor##1649
|only if Paladin
step
talk Duthorian Rall##6171
turnin The Tome of Valor##1649 |goto Stormwind City 39.81,29.80
accept The Tome of Valor##1650 |goto Stormwind City 39.81,29.80
|only if Paladin
step
Follow the path up |goto Westfall 38.34,81.95 < 15 |only if walking
Follow the path down |goto 40.13,86.97 < 15 |only if walking
talk Daphne Stilwell##6182
|tip She walks around the area.
turnin The Tome of Valor##1650 |goto 42.71,88.40
accept The Tome of Valor##1651 |goto 42.71,88.40
|only if Paladin
step
kill Defias Raider##6180
|tip You may need help with this.
|tip They spawn in waves, the first has 3, the second has 4 and the third has 5.
Protect Daphne Stillwell from the Defias |q 1651/1 |goto 42.29,88.57
|only if Paladin
step
talk Daphne Stilwell##6182
|tip She walks around the area.
turnin The Tome of Valor##1651 |goto 42.71,88.40
accept The Tome of Valor##1652 |goto 42.71,88.40
|only if Paladin
step
talk Duthorian Rall##6171
turnin The Tome of Valor##1652 |goto Stormwind City 39.81,29.80
accept The Test of Righteousness##1653 |goto Stormwind City 39.81,29.80
|only if Paladin
step
talk Jordan Stilwell##6181
turnin The Test of Righteousness##1653 |goto Dun Morogh 52.48,36.92
accept The Test of Righteousness##1654 |goto  52.48,36.92
|only if Paladin
step
_NOTE:_
Incoming Dungeon Steps
|tip The next couple of steps will be taking you to the Deadmines and Shadowfang Keep dungeons.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 1654 |future
|only if Paladin and hardcore
step
Enter the building |goto Westfall/0 42.57,71.83 < 5 |walk
Jump down here |goto 43.42,72.89 < 5 |walk
Follow the path |goto 42.40,75.87 < 10 |walk
Follow the path |goto 41.79,78.54 < 10 |walk
Jump down here |goto 39.64,78.12 < 10 |walk
Enter the Deadmines Dungeon with Your Group |goto The Deadmines/0 0.00,0.00 < 500 |c |q 1654
step
Inside the Deadmines Dungeon:
|tip You can skip this step for now and do it later if you're unable to get a group. |only if hardcore
kill Goblin Woodcarver##641
collect Whitestone Oak Lumber##6994 |q 1654/1
|only if Paladin
step
Enter the Shadowfang Keep Dungeon with Your Group |goto Shadowfang Keep/0 0.00,0.00 < 500 |c |q 1654
step
Inside the Shadowfang Keep Dungeon:
|tip You can skip this step for now and do it later if you're unable to get a group. |only if hardcore
click Jordan's Smithing Hammer##91138
|tip Inside the stable area of the dungeon.
collect Jordan's Smithing Hammer##6895 |q 1654/3
|only if Paladin
step
_NOTE:_
Incoming Elite Area
|tip The area you're about to venture into is surrounded by level 20 elite enemies.
|tip If you're able, you may want to get help before continuing.
Click Here to Continue |confirm |q 1655 |future
|only if Paladin and hardcore
step
talk Bailor Stonehand##6241
|tip Inside the building.
accept Bailor's Ore Shipment##1655 |goto Loch Modan 35.96,44.92
|only if Paladin
step
click Bailor's Ore##92420
|tip It looks like a crate next to a tree stump.
collect Jordan's Ore Shipment##6992 |q 1655/1 |goto 71.62,21.55
|only if Paladin
step
talk Bailor Stonehand##6241
|tip Inside the building.
|tip You may need help with this.
turnin Bailor's Ore Shipment##1655 |goto Loch Modan 35.96,44.92
collect Jordan's Ore Shipment##6992 |q 1654/2
|only if Paladin
step
talk Thundris Windweaver##3649
|tip Inside the building.
accept Seeking the Kor Gem##1442 |goto Darkshore 37.40,40.13
|only if Paladin
step
_NOTE:_
Incoming Elite Area
|tip The area you're about to venture into is surrounded by level 22 elite enemies.
|tip If you're able, you may want to get help before continuing.
Click Here to Continue |confirm |q 1442 |future
|only if Paladin and hardcore
step
Follow the path |goto Ashenvale 14.11,14.87 < 15 |only if walking
Jump down into the water |goto Kalimdor 43.97,35.37 < 20 |walk
Enter the underwater cave |goto 43.94,35.27 < 7 |walk
Kill Blackfathom enemies around this area
|tip They are elite enemies.
|tip You may need help with this. |only if not hardcore
|tip You will likely need help with this task unless you are overleveled. |only if hardcore
collect Corrupted Kor Gem##6995 |q 1442/1 |goto 43.82,35.14
|only if Paladin
step
talk Thundris Windweaver##3649
|tip Inside the building.
accept Seeking the Kor Gem##1442 |goto Darkshore 37.40,40.13
collect Purified Kor Gem##7083 |q 1654/4
|only if Paladin
step
talk Jordan Stilwell##6181
turnin The Test of Righteousness##1654 |goto Dun Morogh 52.48,36.92
accept The Test of Righteousness##1806 |goto 52.48,36.92
|only if Paladin
step
Watch the dialogue
talk Jordan Stilwell##6181
turnin The Test of Righteousness##1806 |goto 52.48,36.92
|only if Paladin
step
ding 40
step
talk Duthorian Rall##6171
|tip Inside the building.
accept The Tome of Nobility##1661 |goto Stormwind City 39.82,29.81
turnin The Tome of Nobility##1661 |goto 39.82,29.81
|only if Paladin
step
ding 52
step
talk Lord Grayson Shadowbreaker##928
|tip Inside the building.
accept Chillwind Point##8415 |goto Stormwind City 37.14,33.25
|only if Paladin
step
talk Commander Ashlam Valorfist
turnin Chillwind Point##8415 |goto Western Plaguelands 42.70,84.03
accept Dispelling Evil##8414 |goto 42.70,84.03
|only if Paladin
step
Kill enemies around this area
|tip Avoid Flesh Golems that patrol around the area.
collect 20 Minion's Scourgestone##12840 |q 8414/1 |goto 40.65,70.27
You can find more around here [44.38,69.97]
|only if Paladin
step
talk High Priest Thel'danis##1854
|tip He patrols around the area.
turnin Dispelling Evil##8414 |goto 52.09,83.35
accept Inert Scourgestones##8416 |goto 52.09,83.35
|only if Paladin
step
talk Commander Ashlam Valorfist##10838
turnin Inert Scourgestones##8416 |goto 42.70,84.03
accept Forging the Mightstone##8418 |goto 42.70,84.03
|only if Paladin
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Sunken Temple dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 8236
|only if Paladin and hardcore
step
Run up the stairs |goto Swamp of Sorrows/0 69.36,56.89 < 7 |walk
Enter the building and swim under the water |goto 70.54,49.78 < 7 |walk
Run down the stairs |goto 72.69,42.22 < 7 |walk
Follow the path |goto 75.69,45.78 < 7 |walk
Follow the path |goto 78.62,47.47 < 7 |walk
Follow the path |goto 80.22,49.62 < 7 |walk
Follow the path |goto 81.33,42.38 < 7 |walk
Run down the stairs |goto 78.86,40.74 < 7 |walk
Run down the ramp |goto 76.85,38.82 < 7 |walk
Enter The Temple of Atal'Hakkar Dungeon with Your Group |goto The Temple of Atal'Hakkar/0 0.00,0.00 < 500 |c |q 8232 |future
|only if Paladin
stickystart "Blue_Voodoo_Feathers"
stickystart "Green_Voodoo_Feathers"
step
Inside the Temple of Atal'Hakkar:
collect 2 Amber Voodoo Feather##20606 |q 8418/1
|tip These come from Gasher and Zul'Lor.
|only if Paladin
step
label "Blue_Voodoo_Feathers"
Inside the Temple of Atal'Hakkar:
collect 2 Blue Voodoo Feather##20607 |q 8418/2
|tip These come from Mijan and Hukku.
|only if Paladin
step
label "Green_Voodoo_Feathers"
Inside the Temple of Atal'Hakkar:
collect 2 Green Voodoo Feather##20608 |q 8418/3
|tip These come from Zolo and Loro.
|only if Paladin
step
talk Commander Ashlam Valorfist##10838
turnin Forging the Mightstone##8418 |goto Western Plaguelands 42.70,84.03
|only if Paladin
step
ding 60
step
talk Duthorian Rall##6171
|tip Inside the building.
accept Lord Grayson Shadowbreaker##7638 |goto Stormwind City 39.82,29.80
|only if Paladin
step
talk Lord Grayson Shadowbreaker##928
|tip Inside the building.
turnin Lord Grayson Shadowbreaker##7638 |goto 37.14,33.27
accept Emphasis on Sacrifice##7637 |goto 37.14,33.27
|only if Paladin
step
Collect 150 Gold |complete _G.GetMoney() >= 1500000 |q 7637 |future
|only if Paladin
step
talk High Priest Rohan##11406
|tip He walks around inside the building.
turnin Emphasis on Sacrifice##7637 |goto Ironforge 26.98,7.30
accept To Show Due Judgment##7639 |goto 26.98,7.30
|only if Paladin
step
talk Lord Grayson Shadowbreaker##928
|tip Inside the building.
turnin To Show Due Judgment##7639|goto Stormwind City 37.14,33.27
accept Exorcising Terrordale##7640 |goto  37.14,33.27
|only if Paladin
step
use the Exorcism Censer##18752
|tip Use it on the green circles on the ground around this area.
|tip The green circles can also appear inside buildings.
kill 25 Terrordale Spirit##14564 |q 7640/1 |goto Eastern Plaguelands 19.58,32.25
|tip 3 will spawn at a time.
|tip You may need help with this.
You can find more around here [17.92,31.06]
|only if Paladin
step
talk Lord Grayson Shadowbreaker##928
|tip Inside the building.
turnin xorcising Terrordale##7640|goto Stormwind City 37.14,33.27
accept The Work of Grimand Elmore##7641 |goto  37.14,33.27
|only if Paladin
step
talk Grimand Elmore##1416
|tip Inside the building.
turnin The Work of Grimand Elmore##7641 |goto 51.74,12.07
accept Collection of Goods##7642 |goto 51.74,12.07
|only if Paladin
step
Collect 150 Gold |complete _G.GetMoney() >= 1500000 |q 7642/5 |future
|only if Paladin
step
collect 10 Arthas##8836 |q 7642/2
|tip If you have the Herbalism profession, you can gather these.
|tip Search the guide menu for the item(s) to use the farming guides.
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Paladin
step
collect 40 Runecloth##14047 |q 7642/3
|tip Search the guide menu for the item(s) to use the farming guides.
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Paladin
step
collect 6 Arcanite Bar##12360 |q 7642/4
|tip These are made by Alchemists.
|tip It takes 1 Thorium Bar and 1 Arcane Crystal to make one.
|tip Try to find a Alchemist to create one for you.
|only if Paladin
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Stratholme (Undead) dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 7642
|only if Paladin and hardcore
step
click Elders' Square Service Gate |goto Eastern Plaguelands/0 47.88,23.87 < 10 |walk
|tip This requires the Key to the City, which drops from Magistrate barthilas in Stratholme - Live.
Enter the Stratholme - Undead Dungeon with Your Group |goto Stratholme/0 0.00,0.00 < 500 |c |q 7642
step
Inside the Stratholme - Undead Dungeon:
click Stratholme Supply Crate
|tip They look like brown boxes along the walls of the dungeon.
collect 5 Stratholme Holy Water##13180 |q 7642/1
|only if Paladin
step
talk Grimand Elmore##1416
|tip Inside the building.
turnin Collection of Goods##7642 |goto Stormwind City 51.74,12.07
|only if Paladin
step
Follow Grimand Elmore
Watch the dialogue
accept Grimand's Finest Work##7648 |goto 51.74,12.07
|only if Paladin
step
talk Lord Grayson Shadowbreaker##928
|tip Inside the building.
turnin Grimand's Finest Work##7648 |goto Stormwind City 37.14,33.27
accept Ancient Equine Spirit##7643 |goto  37.14,33.27
|only if Paladin
step
talk Argent Quartermaster Lightspark##10857
buy 20 Enriched Manna Biscuit##13724 |q 7643 |future |goto Western Plaguelands 42.84,83.72
|tip You must be Friendy with The Argent Dawn to purchase these.
|tip Quest at Light's Hope Chapel in Eastern Plaguelands to accomplish this.
|only if Paladin
step
Collect 50 Gold |complete _G.GetMoney() >= 500000 |q 7637 |future
|only if Paladin
step
talk Merideth Carlson##2357
|tip Standing inside the stable.
accept Manna-Enriched Horse Feed##7645 |goto Hillsbrad Foothills 52.18,55.50
|only if Paladin
step
talk Merideth Carlson##2357
|tip Standing inside the stable.
turnin Manna-Enriched Horse Feed##7645 |goto Hillsbrad Foothills 52.18,55.50
|only if Paladin
step
collect Manna-Enriched Horse Feed##18775 |q 7643/1
|only if Paladin
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Diremaul (West) dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 7643
|only if Paladin and hardcore
step
Run up the ramp |goto Feralas/0 59.13,44.67 < 20 |only if walking
Follow the path |goto 59.52,39.51 < 15 |only if walking
Continue following the path |goto 61.72,38.78 < 15 |only if walking
Continue following the path |goto 61.15,34.87 < 7 |only if walking
click Door |goto 60.32,30.16 < 10 |walk
|tip You need a Crescent Key to unlock this door.
|tip This drops from Pusillin in the "Dire Maul - East" dungeon.
Enter the Dire Maul - West Dungeon with Your Group |goto Dire Maul/0 0.00,0.00 < 500 |c |q 7643
step
Inside the Diremaul - West Dungeon:
kill Tendris Warpwood##11489
talk Ancient Equine Spirit##14566
|tip It appears after you kill Tendris Warpwood.
turnin Ancient Equine Spirit##7643
accept Blessed Arcanite Barding##7644
|only if Paladin
step
talk Lord Grayson Shadowbreaker##928
|tip Inside the building.
turnin Blessed Arcanite Barding##7644 |goto Stormwind City 37.14,33.27
accept The Divination Scryer##7646 |goto  37.14,33.27
|only if Paladin
step
collect 1 Azerothian Diamond##12800 |q 7646/1
|tip These are gathered with the mining profession.
|tip Refer to the Thorium farming guide to gather them.
|tip You can also purchase it from the auction house. |only if not selfmade
|only if Paladin
step
collect 1 Pristine Black Diamond##18335 |q 7646/2
|tip These are a random world drop.
|tip High level instance enemies have a chance to drop them.
|tip You can also purchase them from the auction house. |only if not selfmade
|only if Paladin
step
talk Lord Grayson Shadowbreaker##928
|tip Inside the building.
turnin The Divination Scryer##7646 |goto Stormwind City 37.14,33.27
accept Judgment and Redemption##7647 |goto  37.14,33.27
|only if Paladin
step
use Lord Grayson's Satchel##18804
collect Divination Scryer##18746
collect Blessed Arcanite Barding##18792 |q 7647/2
|only if Paladin
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Scholomance dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 7647
|only if Paladin and hardcore
step
Enter the Scholomance Dungeon with Your Group |goto Scholomance/0 0.00,0.00 < 500 |c
|tip This requires the Skeleton Key from the quest "The Key to Scholomance".
|only if Paladin
step
Inside the Scholomance Dungeon:
use the Divination Scryer##18746
|tip Use it in the room with the boss Rattlegore after you have cleared it.
Kill enemies around this area
|tip They will spawn in waves.
|tip Make sure your group is prepared before using the Divination Scryer.
|tip If you wipe you will need to abandon and restart the quest.
kill Death Knight Darkreaver##14516
collect Charger's Lost Soul##18749 |q 7647/1
|only if Paladin
step
Inside the Scholomance Dungeon:
use the Charger's Lost Soul##18749
talk Darkreaver's Fallen Charger##14568
turnin Judgment and Redemption##7647
|only if Paladin
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Warlock Class Quests",{
author="support@zygorguides.com",
description="This guide will walk you through completing various Warlock Class Quests.",
},[[
step
talk Drusilla La Salle##459
accept The Stolen Tome##1598 |goto Elwynn Forest 49.87,42.65
|only if Human Warlock
step
click Stolen Books##83763
collect Powers of the Void##6785 |q 1598/1 |goto 56.71,43.95
|only if Human Warlock
step
talk Drusilla La Salle##459
turnin The Stolen Tome##1598 |goto 49.87,42.65
|only if Human Warlock
step
talk Alamar Grimm##460
|tip Upstairs inside the building.
accept Beginnings##1599 |goto Dun Morogh 28.65,66.14
|only if Gnome Warlock
step
Enter the cave |goto 26.80,79.86 < 15 |walk
Follow the path |goto 28.00,81.05 < 10 |walk
kill Frostmane Novice##946+
|tip Inside the cave.
|tip There's only a few of them.
collect 3 Feather Charm##6753 |q 1599/1 |goto 28.73,82.58
You can find more around: |notinsticky
[29.34,81.50]
[30.15,82.34]
[30.49,81.05]
|only if Gnome Warlock
step
Leave the cave |goto 26.80,79.86 < 15 |c |q 1599
|only if Gnome Warlock
step
talk Alamar Grimm##460
|tip Upstairs inside the building.
turnin Beginnings##1599 |goto 28.65,66.14
|only if Gnome Warlock
step
ding 10
step
Follow the path up |goto Dun Morogh 47.20,41.70 < 20 |only if walking
Enter Ironforge |goto Dun Morogh 53.47,34.90 < 20 |walk
talk Lago Blackwrench##6120
accept The Slaughtered Lamb##1715 |goto Ironforge 47.63,9.26
|only if Gnome Warlock
step
Follow the path |goto 72.81,50.26 < 15 |walk
Enter the Deeprun Tram |goto 77.02,51.26
Click Here After Entering Deeprun Tramp |confirm |q 1715
|only if Gnome Warlock
step
_Inside Deeprun Tram:_
Ride the Tram
|tip Ride the Deeprun Tram from Ironforge to Stormwind City.
Click Here After Riding the Tram |confirm |q 1715
|only if Gnome Warlock
step
_Inside Deeprun Tram:_
Enter Stormwind City |goto Stormwind City 62.94,9.36 < 2000 |noway |c |q 1715
|only if Gnome Warlock
step
Enter the building |goto Stormwind City 29.16,74.16 < 10 |walk
Follow the path down |goto Stormwind City 27.42,76.42 < 7 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin The Slaughtered Lamb##1715 |goto Stormwind City 25.26,78.56
accept Surena Caledon##1688 |goto Stormwind City 25.26,78.56
|only if Gnome Warlock
step
_NOTE:_
Incoming Difficult Quest
|tip The area where the next quest NPC is has a lot of potenial adds.
|tip Additionally, inside the building along side here are 2 other enemies.
Click Here to Continue |confirm |q 1688 |future
|only if (Gnome Warlock) and hardcore
step
Leave the building |goto 29.15,74.18 < 10 |walk
Leave Stormwind City |goto Stormwind City 71.02,89.03 < 30 |only if walking
Follow the road |goto Elwynn Forest 42.68,67.14 < 30 |only if walking
Follow the path |goto Elwynn Forest 64.57,74.00 < 30 |only if walking
Enter the building |goto Elwynn Forest 70.93,80.43 < 10 |walk
kill Surena Caledon##881
|tip Inside the building.
|tip There are other enemies inside the building that will pull with her. |only if hardcore
|tip If you clear the outer area, you might be able to utilize fear. |only if hardcore
|tip You may need help with this. |only if hardcore
collect Surena's Choker##6810 |q 1688/1 |goto Elwynn Forest 71.02,80.78
|only if Gnome Warlock
step
Follow the road |goto 65.65,74.10 < 30 |only if walking
Continue following the road |goto 42.11,64.65 < 30 |only if walking
Enter Stormwind City |goto 32.09,49.38 < 30 |only if walking
Enter the building |goto Stormwind City 29.15,74.18 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Surena Caledon##1688 |goto Stormwind City 25.26,78.56
accept The Binding##1689 |goto Stormwind City 25.26,78.56
|only if Gnome Warlock
step
Follow the path down |goto 25.05,79.31 < 5 |walk
Run down the stairs |goto 24.28,78.62 < 7 |c |q 1689
|only if Gnome Warlock
step
Run down the stairs |goto 26.15,79.33 < 7 |walk
use the Bloodstone Choker##6928
|tip Use it while standing on the pink symbol on the ground.
|tip Downstairs inside the building, inside the crypt.
kill Summoned Voidwalker##5676 |q 1689/1 |goto 25.11,77.46
|tip Don't forget to summon your imp. |only if hardcore
|only if Gnome Warlock
step
Follow the path up |goto 26.03,79.83 < 7 |walk
Run up the stairs |goto 23.31,79.68 < 7 |c |q 1689
|only if Gnome Warlock
step
talk Gakin the Darkbinder##6122
|tip Upstairs inside the building, in the basement above the crypt.
turnin The Binding##1689 |goto 25.25,78.53
|only if Gnome Warlock
step
Enter the building |goto Elwynn Forest 42.95,65.65 < 10 |walk
talk Remen Marcot##6121
|tip Downstairs inside the building.
accept Gakin's Summons##1685 |goto Elwynn Forest 44.49,66.27
|only if (Human Warlock) and not haveq(1688) and not completedq(1688)
step
Enter the building |goto Stormwind City 29.15,74.18 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Gakin's Summons##1685 |goto Stormwind City 25.26,78.56
accept Surena Caledon##1688 |goto Stormwind City 25.26,78.56
|only Human Warlock
step
_NOTE:_
Incoming Difficult Quest
|tip The area where the next quest NPC is has a lot of potenial adds.
|tip Additionally, inside the building along side here are 2 other enemies.
Click Here to Continue |confirm |q 1688 |future
|only if (Human Warlock) and hardcore
step
Leave the building |goto 29.15,74.18 < 10 |walk
Leave Stormwind City |goto Stormwind City 71.02,89.03 < 30 |only if walking
Follow the road |goto Elwynn Forest 42.68,67.14 < 30 |only if walking
Follow the path |goto Elwynn Forest 64.57,74.00 < 30 |only if walking
Enter the building |goto Elwynn Forest 70.93,80.43 < 10 |walk
kill Surena Caledon##881
|tip Inside the building.
|tip There are other enemies inside the building that will pull with her. |only if hardcore
|tip If you clear the outer area, you might be able to utilize fear.|only if hardcore
|tip You may need help with this. |only if hardcore
collect Surena's Choker##6810 |q 1688/1 |goto Elwynn Forest 71.02,80.78
|only if Human Warlock
step
Follow the road |goto 65.65,74.10 < 30 |only if walking
Continue following the road |goto 42.11,64.65 < 30 |only if walking
Enter Stormwind City |goto 32.09,49.38 < 30 |only if walking
Enter the building |goto Stormwind City 29.15,74.18 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Surena Caledon##1688 |goto Stormwind City 25.26,78.56
accept The Binding##1689 |goto Stormwind City 25.26,78.56
|only Human Warlock
step
Follow the path down |goto 25.05,79.31 < 7 |walk
Run down the stairs |goto 24.28,78.62 < 7 |walk
Run down the stairs |goto 26.15,79.33 < 7 |walk
use the Bloodstone Choker##6928
|tip Use it while standing on the pink symbol on the ground.
|tip Downstairs inside the building, inside the crypt.
kill Summoned Voidwalker##5676 |q 1689 |goto 25.11,77.46
|tip Don't forget to summon your imp. |only if hardcore
|only if Human Warlock
step
Follow the path up |goto 26.03,79.83 < 7 |walk
Run up the stairs |goto 23.31,79.68 < 7 |walk
talk Gakin the Darkbinder##6122
|tip Upstairs inside the building, in the basement above the crypt.
turnin The Binding##1689 |goto 25.25,78.53
|only if Human Warlock
step
ding 20
step
talk Lago Blackwrench##6120
accept Gakin's Summons##1717 |goto Ironforge 47.62,9.26
|only if Warlock and not haveq(1716) and not completedq(1716)
step
Enter the building |goto Stormwind City 29.14,74.17 < 7 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Gakin's Summons##1717 |goto Stormwind City 25.26,78.56
accept Devourer of Souls##1716 |goto Stormwind City 25.26,78.56
|only if Warlock
step
Leave the building |goto Stormwind City 29.14,74.17 < 7 |walk
Follow the road |goto Darkshore 39.98,47.69 < 30 |only if walking
Enter Ashenvale |goto Darkshore 43.05,93.50 < 30 |only if walking
Follow the road |goto Ashenvale 29.63,17.12 < 30 |only if walking
talk Daelyshia##4267
fpath Astranaar |goto Ashenvale 34.41,47.99
|only if Warlock
step
Follow the road |goto 38.91,57.93 < 30 |only if walking
Follow the road |goto 67.13,71.87 < 30 |only if walking
Enter the Barrens |goto The Barrens 48.99,5.39 < 20 |only if walking
Follow the road |goto The Barrens 48.55,13.02 < 30 |only if walking
Avoid the Crossroads |goto The Barrens 53.91,30.00 < 30 |only if walking
Follow the road |goto The Barrens 50.43,37.77 < 30 |only if walking
talk Takar the Seer##6244
turnin Devourer of Souls##1716 |goto The Barrens 49.31,57.10
accept Heartswood##1738 |goto The Barrens 49.31,57.10
|only if Warlock
step
Follow the road |goto 51.03,50.04 < 30 |only if walking
Avoid the Crossroads |goto 53.68,29.52 < 30 |only if walking
Follow the road |goto 51.18,15.34 < 30 |only if walking
Enter Ashenvale |goto 48.98,5.37 < 20 |only if walking
Follow the road |goto Ashenvale 68.53,84.01 < 30 |only if walking
Continue following the road |goto Ashenvale 66.87,71.29 < 30 |only if walking
Follow the path |goto Ashenvale 26.14,35.41 < 30 |only if walking
click Heartswood##93192
collect Heartswood##6912 |q 1738/1 |goto Ashenvale 31.49,31.45
|only if Warlock
step
Follow the road |goto 25.58,36.45 < 30 |only if walking
Enter the building |goto Stormwind City 29.14,74.17 < 7 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
turnin Heartswood##1738 |goto Stormwind City 25.26,78.56
accept The Binding##1739 |goto Stormwind City 25.26,78.56
|only if Warlock
step
Follow the path down |goto 24.96,79.42 < 7 |walk
Run down the stairs |goto 24.30,78.63 < 7 |walk
Run down the stairs |goto 26.16,79.32 < 7 |walk
use the Heartswood Core##6913
|tip Use it while standing on the pink symbol on the ground.
|tip Downstairs inside the building, inside the crypt.
kill Summoned Succubus##5677 |q 1739/1 |goto 25.11,77.46
|only if Warlock
step
Follow the path up |goto 26.03,79.83 < 7 |walk
Run up the stairs |goto 23.31,79.68 < 7 |walk
talk Gakin the Darkbinder##6122
|tip Upstairs inside the building, in the basement above the crypt.
turnin The Binding##1739 |goto 25.25,78.56
|only if Warlock
step
ding 30
step
Enter the building |goto Stormwind City 29.10,74.17 < 8 |walk
talk Gakin the Darkbinder##6122
|tip Inside the building.
accept Seeking Strahad##1798 |goto 25.25,78.54
|only if Warlock
step
Follow the path up |goto The Barrens 61.93,36.72 < 15
talk Strahad Farsan##6251
turnin Seeking Strahad##1798 |goto 62.63,35.50
accept Tome of the Cabal##1758 |goto 62.63,35.50
|only if Warlock
step
talk Krom Stoutarm##6294
|tip Inside the building.
turnin Tome of the Cabal##1758 |goto Ironforge 74.21,9.42
accept Tome of the Cabal##1802 |goto 74.21,9.42
|only if Warlock
step
Follow the path down |goto Hillsbrad Foothills 36.94,65.37 < 30 |only if walking
click Tome of the Cabal##92013
|tip It looks like a blue book on the ground next to some crates.
|tip Try to pull the murlocs away one at a time when possible. |only if hardcore
collect Moldy Tome##6931 |q 1802/1 |goto 27.78,72.78
|only if Warlock
step
Enter the cave |goto Thousand Needles 44.09,37.29 < 10 |walk
click Damaged Chest##92423
collect Tattered Manuscript##6997 |q 1802/2 |goto 43.43,32.69
|only if Warlock
step
talk Krom Stoutarm##6294
|tip Inside the building.
turnin Tome of the Cabal##1802 |goto Ironforge 74.21,9.42
accept Tome of the Cabal##1804 |goto 74.21,9.42
|only if Warlock
step
Follow the path up |goto Wetlands 42.83,41.04
Kill Dragonmaw enemies around this area
collect 3 Rod of Channeling##6930 |q 1804/1 |goto 45.09,43.08
|tip They drop from Dragonmaw Bonewarders and Shadowwarders.
You can find more around here [49.48,48.47]
|only if Warlock
step
Follow the path up |goto The Barrens 61.93,36.72 < 15
talk Strahad Farsan##6251
turnin Tome of the Cabal##1804 |goto 62.63,35.50
accept The Binding##1471 |goto 62.63,35.50
|only if Warlock
step
use the Tome of the Cabal##6999
|tip Use it inside the building.
kill Summoned Felhunter##6268 |q 1471/1 |goto 62.60,35.28
|only if Warlock
step
talk Strahad Farsan##6251
turnin The Binding##1471 |goto 62.63,35.50
|only if Warlock
step
ding 40
step
Enter the building |goto Stormwind City 29.07,74.24 < 8 |walk
talk Demisette Cloyce##461
|tip Inside the building.
accept Summon Felsteed##4487 |goto 25.30,78.23 |or
accept Summon Felsteed##4488 |goto 25.30,78.23 |or
|only if Warlock
step
Follow the path up |goto The Barrens 61.93,36.72 < 15
talk Strahad Farsan##6251
turnin Summon Felsteed##4487 |goto 62.63,35.50 |or
turnin Summon Felsteed##4488 |goto 62.63,35.50 |or
accept Summon Felsteed##4490 |goto 62.63,35.50
|only if Warlock
step
talk Strahad Farsan##6251
turnin Summon Felsteed##4490 |goto 62.63,35.50
|only if Warlock
step
ding 53
|only if not hardcore
step
ding 55
|only if hardcore
step
collect 1 Fel Cloth##14256 |q 8420 |future
|tip Search the guide menu for the item(s) to use the farming guides.
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Warlock
step
talk Niby the Almighty##14469
accept What Niby Commands##7601 |goto Felwood 41.38,44.86
|only if Warlock
step
talk Impsy##14470
turnin What Niby Commands##7601 |goto 41.36,45.02
accept Flawless Fel Essence##7602 |goto 41.36,45.02
accept Hot and Itchy##8420 |goto 41.36,45.02
'|accept The Wrong Stuff##8421 |or
|only if Warlock
step
talk Impsy##14470
turnin Hot and Itchy##8420 |goto 41.36,45.02 |only if haveq(8420) or completedq(8420)
accept The Wrong Stuff##8421 |goto 41.36,45.02
|only if Warlock
step
kill Tainted Ooze##7092+
collect 4 Bloodvenom Essence##20614 |q 8421/2 |goto 40.92,46.83
You can find more around here [41.93,49.75]
|only if Warlock
step
Kill enemies around this area
collect 10 Rotting Wood##20613 |q 8421/1 |goto 46.89,24.16
You can find more around here [52.81,21.50]
|only if Warlock
step
talk Impsy##14470
turnin The Wrong Stuff##8421 |goto 41.36,45.02
accept Trolls of a Feather##8422 |goto 41.36,45.02
|only if Warlock
step
Enter the building |goto 35.39,58.54 < 8 |walk
kill Jaedenar Legionnaire##9862
|tip They are found throughout the Shadow Hold.
|tip Watch for patrols and respawns while in the area.	|only if hardcore
collect Flawless Fel Essence (Jaedenar)##18622 |q 7602/2 |goto 36.25,55.94
|only if Warlock
step
Kill Legashi enemies around this area
collect Flawless Fel Essence (Azshara)##18624 |q 7602/1 |goto Azshara 52.03,18.65
You can find more around here
[61.22,24.87]
[66.09,16.86]
|only if Warlock
step
kill Felguard Sentry##6011
collect Flawless Fel Essence (Dark Portal)##18623 |q 7602/3 |goto Blasted Lands 61.32,54.18
You can find more around here [54.03,54.60]
|only if Warlock
step
_NOTE:_
Incoming Dungeon Step
|tip The next couple of steps will be taking you to the Sunken Temple dungeon.
|tip You will need a group to complete the dungeon as well as the quest.
|tip If you don't have a group, wait until you do before continuing.
Click Here to Continue |confirm |q 8236
|only if Warlock and hardcore
step
Run up the stairs |goto Swamp of Sorrows/0 69.36,56.89 < 7 |walk
Enter the building and swim under the water |goto 70.54,49.78 < 7 |walk
Run down the stairs |goto 72.69,42.22 < 7 |walk
Follow the path |goto 75.69,45.78 < 7 |walk
Follow the path |goto 78.62,47.47 < 7 |walk
Follow the path |goto 80.22,49.62 < 7 |walk
Follow the path |goto 81.33,42.38 < 7 |walk
Run down the stairs |goto 78.86,40.74 < 7 |walk
Run down the ramp |goto 76.85,38.82 < 7 |walk
Enter The Temple of Atal'Hakkar Dungeon with Your Group |goto The Temple of Atal'Hakkar/0 0.00,0.00 < 500 |c |q 8232 |future
|only if Warlock
stickystart "Blue_Voodoo_Feathers"
stickystart "Green_Voodoo_Feathers"
step
Inside the Temple of Atal'Hakkar Dungeon:
collect 2 Amber Voodoo Feather##20606 |q 8422/1
|tip These come from Gasher and Zul'Lor.
|only if Warlock
step
label "Blue_Voodoo_Feathers"
Inside the Temple of Atal'Hakkar Dungeon:
collect 2 Blue Voodoo Feather##20607 |q 8422/2
|tip These come from Mijan and Hukku.
|only if Warlock
step
label "Green_Voodoo_Feathers"
Inside the Temple of Atal'Hakkar Dungeon:
collect 2 Green Voodoo Feather##20608 |q 8422/3
|tip These come from Zolo and Loro.
|only if Warlock
step
talk Impsy##14470
turnin Flawless Fel Essence##7602 |goto Felwood 41.36,45.02
turnin Trolls of a Feather##8422 |goto 41.36,45.02
accept Kroshius' Infernal Core##7603 |goto 41.36,45.02
|only if Warlock
step
Follow the road |goto Felwood 38.76,41.70 < 25 |only if walking
Continue following the road |goto 39.01,37.86 < 25 |only if walking
Follow the path |goto 41.25,36.95 < 25 |only if walking
use the Fel Fire##18626
kill Kroshius##14467
|tip You may need help.
collect Kroshius' Infernal Core##18625 |q 7603/1 |goto 45.73,34.81
|only if Warlock
step
talk Niby the Almighty##14469
turnin Kroshius' Infernal Core##7603 |goto 41.38,44.86
|only if Warlock
step
ding 60
step
collect 35 Black Dragonscale##15416 |q 7628 |future
|tip These are gathered with the Skinning profession.
|tip Search the guide menu for the item(s) to use the farming guides.
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Warlock
step
collect 10 Elixir of Shadow Power##9264 |q 7626 |future
|tip These are with the Alchemy profession.
|tip It takes 3 Ghost Mushrooms and a Crystal Vial to make one.
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Warlock
step
collect 6 Large Brilliant Shard##14344 |q 7627 |future
|tip If you have the Enchanting profession, use your Disenchant ability on level 51-60 blue weapons and armor.
|tip You can also buy them from the Auction House. |only if not selfmade
|only if Warlock
step
collect 25 Dark Iron Ore##11370 |q 7627 |future
|tip If you have the Mining profession, you can gather these.
|tip Search the guide menu for the item(s) to use the farming guides.
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Warlock
step
collect 3 Arcanite Bar##12360 |q 7630 |future
|tip These are with the Alchemy profession.
|tip It takes 1 Thorium Bar and 1 Arcane Crystal to make one.
|tip Try to find a Alchemist to create one for you.
|tip You can also purchase them from the Auction House. |only if not selfmade
|only if Warlock
step
Collect 250 Gold |complete _G.GetMoney() >= 2500000 |q 7637 |future
|only if Warlock
step
talk Spackle Thornberry##5520
|tip Downstairs inside the building.
accept Mor'zul Bloodbringer##7562 |goto Stormwind City 25.66,77.66
|only if Warlock
step
Follow the path |goto Burning Steppes 15.46,40.26 < 15 |only if walking
talk Mor'zul Bloodbringer##14436
turnin Mor'zul Bloodbringer##7562 |goto 12.69,31.64
accept Rage of Blood##7563 |goto 12.69,31.64
|only if Warlock
step
Enter the cave |goto Winterspring 65.04,18.78 < 10 |walk
Kill Owlbeast enemies around this area
|tip Watch for respawns while in the area. |only if hardcore
collect 30 Raging Beast's Blood##18590 |goto 63.65,16.33
|only if Warlock
step
Follow the path |goto Burning Steppes 15.46,40.26 < 15 |only if walking
talk Mor'zul Bloodbringer##14436
turnin Rage of Blood##7563 |goto 12.69,31.64
accept Wildeyes##7564 |goto 12.69,31.64
|only if Warlock
step
talk Gorzeeki Wildeyes##14437
turnin Wildeyes##7564 |goto 12.43,31.63
accept Lord Banehollow##7623 |goto 12.43,31.63
|only if Warlock
step
talk Mor'zul Bloodbringer##14436
accept Bell of Dethmoora##7626 |goto 12.69,31.64
accept Wheel of the Black March##7627 |goto 12.69,31.64
accept Doomsday Candle##7628 |goto 12.69,31.64
|only if Warlock
step
talk Gorzeeki Wildeyes##14437
turnin Bell of Dethmoora##7626 |goto 12.43,31.63
turnin Wheel of the Black March##7627 |goto 12.43,31.63
turnin Doomsday Candle##7628 |goto 12.43,31.63
accept Arcanite##7630 |goto 12.43,31.63
|only if Warlock
step
talk Gorzeeki Wildeyes##14437
turnin Arcanite##7630 |goto 12.43,31.63
|only if Warlock
step
talk Gorzeeki Wildeyes##14437
buy 6 Shadowy Potion##18802 |q 7623 |goto 12.43,31.63
|only if Warlock
step
use the Shadowy Potion##18802
|tip use it before you enter Shadow Hold.
|tip It will make most enemies inside friendly for 20 minutes.
Enter the building |goto Felwood 35.42,58.61 < 10 |walk
Run down the ramp |goto 35.47,58.18 < 10 |walk
Run down the ramp |goto 36.04,56.42 < 10 |walk
Run up the ramp |goto 36.69,55.99 < 10 |walk
Follow the path down |goto 36.64,54.91 < 10 |walk
Run down the ramp |goto 38.19,54.10 < 5 |c |q 7623 |walk
|only if Warlock
step
Follow the path |goto 37.10,54.04 < 10 |walk
Cross the water |goto 37.61,52.21 < 10 |walk
Follow the path up |goto 36.26,52.52 < 10 |walk
Run down the ramp |goto 37.20,50.82 < 10 |walk
Continue down the ramp |goto 38.90,49.72 < 10 |c |q 7623 |walk
|only if Warlock
step
Follow the path	|goto 39.85,49.23 < 10 |walk
Follow the path |goto 40.04,47.80 < 10 |walk
Follow the path up |goto 38.56,46.06 < 10 |walk
Follow the path up |goto 37.43,46.24 < 10 |walk
Cross the bridge |goto 38.03,46.52 < 10 |walk
Cross the bridge |goto 37.33,47.22 < 10 |c |q 7623 |walk
|only if Warlock
step
use the Shadowy Potion##18802
|tip You need to have this buff for the next step.
Get the Taint of Shadow Buff |havebuff Taint of Shadow##23179
|only if Warlock
step
talk Lord Banehollow##9516
|tip Inside the cave.
turnin Lord Banehollow##7623 |goto 35.93,44.41
accept Ulathek the Traitor##7624 |goto 35.93,44.41
|only if Warlock
step
Cross the bridge |goto 36.20,46.09 < 10 |walk
Cross the bridge |goto 37.95,47.27 < 10 |walk
Run down the ramp |goto 37.94,45.39 < 10 |walk
Follow the path |goto 37.65,46.62 < 10 |walk
Continue following the path |goto 39.57,47.05 < 10 |walk
Cross the bridge |goto 40.06,48.94 < 10 |c |q 7624 |walk
talk Ulathek##14523
Remove the Taint of Shadow buff |nobuff Taint of Shadow##23179 |q 7624 |goto 39.89,49.17
|only if Warlock
step
Cross the bridge |goto 40.02,48.99 < 10 |walk
kill Ulathek##14523
collect The Traitor's Heart##18719 |q 7624/1 |goto 40.77,48.42
|only if Warlock
step
use the Shadowy Potion##18802
Get the Taint of Shadow Buff |havebuff Taint of Shadow##23179 |q 7624
|only if Warlock
step
Cross the bridge |goto 40.49,48.48 < 10 |walk
Run down the ramp |goto 40.04,47.71 < 10 |walk
Run up the ramp |goto 38.49,46.17 < 10 |walk
Follow the path |goto 38.22,46.82 < 10 |walk
run up the ramp |goto 37.35,45.87 < 10 |c |q 7625 |walk
|only if Warlock
step
Cross the bridge |goto 38.03,46.48 < 10 |walk
Cross the bridge |goto 37.46,47.35 < 10 |walk
talk Lord Banehollow##9516
|tip Inside the cave.
turnin Ulathek the Traitor##7624 |goto 35.93,44.41
accept Xorothian Stardust##7625 |goto 35.93,44.41
|only if Warlock
step
talk Ur'dan##14522
|tip Inside the cave.
buy Xorothian Stardust##18687 |q 7625/1 |goto 36.17,44.46
|only if Warlock
step
Follow the path |goto Burning Steppes 15.46,40.26 < 15 |only if walking
talk Gorzeeki Wildeyes##14437
turnin Xorothian Stardust##7625 |goto 12.43,31.63
accept Imp Delivery##7629 |goto 12.43,31.63
|only if Warlock
step
_NOTE:_
Incoming Dungeon Steps
|tip The next few steps will send you into 2 different dungeons: Scholomance and then Dire Maul - West.
|tip You will need a group for each instance.
Click Here to Continue |confirm |q 7629 |future
|only if Warlock
step
Enter the Scholomance Dungeon with Your Group |goto Scholomance/0 0.00,0.00 < 500 |c
|tip This requires the Skeleton Key from the quest "The Key to Scholomance".
|only if Warlock
step
Inside the Scholomance Dungeon:
use Imp in a Jar##18688
|tip Use it near the Alchemy Station at the start of the room with Ras Frostwhisper.
Watch the dialogue
Create the Parchment |q 7629/1
|only if Warlock
step
Follow the path |goto Burning Steppes 15.46,40.26 < 15 |only if walking
talk Gorzeeki Wildeyes##14437
turnin Imp Delivery##7629 |goto 12.43,31.63
|only if Warlock
step
talk Gorzeeki Wildeyes##14437
buy J'eevee's Jar##18663 |q 7631 |future |goto 12.43,31.63
buy Black Lodestone##18629 |q 7631 |future |goto 12.43,31.63
buy Xorothian glyphs##18670 |q 7631 |future |goto 12.43,31.63
|only if Warlock
step
talk Mor'zul Bloodbringer##14436
accept Dreadsteed of Xoroth##7631 |goto 12.69,31.64
|only if Warlock
step
Inside the Dire Maul - West Dungeon:
use J'eevee's Jar##18663
|tip Use it in the area where Immol'thar is.
|tip Clear the room before starting.
Kill enemies around this area
|tip Focus on Dread Guards as they appear.
|tip They will spawn in waves after using J'eevee's Jar.
|tip Recharge the Bell, Wheel and Candle as they run out of charges.
|tip They will tilt when they need to be recharged.
|tip Use the "Black Lodestone" to fix them, which costs a soul shard.
use Xorothian glyphs##18670
kill Xorothian Dreadsteed##14502
|tip At 50% health, Lord Hel'nurath will appear and need to be killed.
talk Dreadsteed Spirit##14504
turnin Dreadsteed of Xoroth##7631
|only if Warlock
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Extra Zones\\Westfall",{
author="support@zygorguides.com",
image=ZGV.IMAGESDIR.."Westfall",
condition_suggested=function() return level >= 15 and level <= 21 and not completedq(155) end,
},[[
step
talk Farmer Furlbrow##237
accept The Forgotten Heirloom##64 |goto Westfall 59.96,19.36
step
talk Verna Furlbrow##238
accept Westfall Stew##36 |goto 59.92,19.42
accept Poor Old Blanchy##151 |goto 59.92,19.42
stickystart "Collect_Handfuls_Of_Oats"
step
talk Farmer Saldean##233
accept The Killing Fields##9 |goto 56.04,31.23
step
Enter the building |goto 56.15,31.04 < 7 |walk
talk Salma Saldean##235
|tip Inside the building.
turnin Westfall Stew##36 |goto 56.42,30.52
accept Goretusk Liver Pie##22 |goto 56.42,30.52
accept Westfall Stew##38 |goto 56.42,30.52
stickystart "Collect_Goretusk_Livers"
stickystart "Collect_Goretusk_Snouts"
stickystart "Collect_Stringy_Vulture_Meat"
step
Leave the building |goto 56.15,31.04 < 7 |walk
talk Thor##523
fpath Sentinel Hill |goto 56.55,52.64
step
talk Scout Galiaan##878
accept Red Leather Bandanas##153 |goto 53.98,52.98
step
talk Gryan Stoutmantle##234
turnin Report to Gryan Stoutmantle##109 |goto 56.33,47.52
accept The People's Militia##12 |goto 56.33,47.52
step
talk Captain Danuvin##821
accept Patrolling Westfall##102 |goto 56.43,47.62
stickystart "Kill_Defias_Trappers"
stickystart "Kill_Defias_Smugglers"
step
Kill Defias enemies around this area
collect 15 Red Leather Bandana |q 153/1 |goto 49.35,47.19
You can find more around: |notinsticky
[50.73,40.31]
[46.51,38.74]
step
label "Kill_Defias_Trappers"
kill 15 Defias Trapper##504 |q 12/1 |goto 49.35,47.19
You can find more around: |notinsticky
[50.73,40.31]
[46.51,38.74]
step
label "Kill_Defias_Smugglers"
kill 15 Defias Smuggler##95 |q 12/2 |goto 49.35,47.19
You can find more around: |notinsticky
[50.73,40.31]
[46.51,38.74]
step
talk Gryan Stoutmantle##234
turnin The People's Militia##12 |goto Westfall 56.33,47.52
accept The People's Militia##13 |goto Westfall 56.33,47.52
step
talk Scout Galiaan##878
turnin Red Leather Bandanas##153 |goto 53.99,52.98
step
Enter the building |goto 56.53,47.39 < 7 |walk
talk Quartermaster Lewis##491
|tip Inside the building.
accept A Swift Message##6181 |goto 57.00,47.17
|only if Human
step
Leave the building |goto 56.53,47.39 < 10 |walk
talk Thor##523
turnin A Swift Message##6181 |goto 56.56,52.64
accept Continue to Stormwind##6281 |goto 56.56,52.64
|only if Human
step
Enter the building |goto Stormwind City 73.68,47.66 < 10 |walk
talk Osric Strang##1323
|tip Inside the building.
turnin Continue to Stormwind##6281 |goto Stormwind City 74.32,47.24
accept Dungar Longdrink##6261 |goto Stormwind City 74.32,47.24
|only if Human
step
Leave the building |goto 73.68,47.66 < 7 |walk
Run up the ramp |goto 62.46,62.32 < 15 |only if walking
talk Dungar Longdrink##352
turnin Dungar Longdrink##6261 |goto 66.27,62.13
accept Return to Lewis##6285 |goto 66.27,62.13
|only if Human
step
Enter the building |goto Westfall 56.51,47.40 < 10 |walk
talk Quartermaster Lewis##491
|tip Inside the building.
turnin Return to Lewis##6285 |goto Westfall 57.00,47.17
|only if Human
step
Leave the building |goto 56.51,47.40 < 10 |c |q 22
|only if Human
stickystart "Collect_Goretusk_Snouts"
stickystart "Collect_Stringy_Vulture_Meat"
step
label "Collect_Goretusk_Livers"
Kill Goretusk enemies around this area
|tip They look like boars.
collect 8 Goretusk Liver##723 |q 22/1 |goto 53.55,41.12
You can find more around: |notinsticky
[60.81,45.54]
[60.01,29.16]
step
label "Collect_Goretusk_Snouts"
Kill Goretusk enemies around this area
|tip They look like boars.
collect 3 Goretusk Snout##731 |q 38/3 |goto 53.55,41.12
You can find more around: |notinsticky
[60.81,45.54]
[60.01,29.16]
step
label "Collect_Stringy_Vulture_Meat"
Kill Fleshripper enemies around this area
|tip They look like vultures.
collect 3 Stringy Vulture Meat##729 |q 38/1 |goto 53.55,41.12
You can find more around: |notinsticky
[60.81,45.54]
[60.01,29.16]
[49.44,27.31]
step
Enter the building |goto 49.53,19.39 < 10 |walk
click Furlbrow's Wardrobe
|tip Inside the building.
collect Furlbrow's Pocket Watch##841 |q 64/1 |goto 49.36,19.24
step
Leave the building |goto 49.53,19.39 < 7 |walk
Kill Riverpaw enemies around this area
collect 8 Gnoll Paw##725 |q 102/1 |goto 52.06,14.98
You can find more around: |notinsticky
[56.88,13.69]
[44.90,13.81]
step
Kill Murloc enemies around this area
collect 3 Murloc Eye##730 |q 38/2 |goto 54.65,10.94
step
Follow the path up |goto 54.63,14.26 < 30 |c |q 151
step
label "Collect_Handfuls_Of_Oats"
click Sack of Oats+
|tip They look like tan grain bags on the ground around this area.
|tip They are spread out around Westfall, usually concentrated near and around farm areas.
|tip Keep an eye out for these as you run around completing other quests.
collect 8 Handful of Oats##1528 |q 151/1 |goto 50.51,20.69
You can find more around: |notinsticky
[57.38,18.41]
step
talk Farmer Furlbrow##237
turnin The Forgotten Heirloom##64 |goto 59.96,19.36
step
talk Verna Furlbrow##238
turnin Poor Old Blanchy##151 |goto 59.92,19.42
stickystart "Collect_Flasks_Of_Oil"
stickystart "Kill_Harvest_Watchers"
step
kill Harvest Watcher##114+
collect 3 Okra##732 |q 38/4 |goto 53.89,32.26
|tip Make sure not to sell these to a vendor.
You can find more around [51.03,22.94]
step
label "Collect_Flasks_Of_Oil"
kill Harvest Watcher##114+
collect 5 Flask of Oil##814 |goto 53.89,32.26 |q 103 |future
|tip Make sure not to sell these to a vendor.
You can find more around [51.03,22.94]
step
label "Kill_Harvest_Watchers"
kill 20 Harvest Watcher##114 |q 9/1 |goto 53.89,32.26
You can find more around [51.03,22.94]
step
talk Farmer Saldean##233
turnin The Killing Fields##9 |goto 56.04,31.23
step
Enter the building |goto 56.15,31.05 < 7 |walk
talk Salma Saldean##235
|tip Inside the building.
turnin Goretusk Liver Pie##22 |goto 56.42,30.52
turnin Westfall Stew##38 |goto 56.42,30.52
step
Leave the building |goto 56.15,31.05 < 7 |walk
talk Captain Danuvin##821
turnin Patrolling Westfall##102 |goto 56.42,47.62
stickystart "Kill_Defias_Looters"
step
kill 15 Defias Pillager##589 |q 13/1 |goto 44.91,69.38
step
label "Kill_Defias_Looters"
kill 15 Defias Looter##590 |q 13/2 |goto 44.91,69.38
step
talk Gryan Stoutmantle##234
turnin The People's Militia##13 |goto 56.33,47.52
accept The People's Militia##14 |goto 56.33,47.52
accept The Defias Brotherhood##65 |goto 56.33,47.52
step
Enter the building |goto 53.00,53.36 < 7 |walk
talk Innkeeper Heather##8931
|tip Inside the building.
home Sentinel Hill |goto 52.86,53.71
stickystart "Kill_Defias_Knuckledusters"
stickystart "Kill_Defias_Highwaymen"
step
Leave the building |goto 53.00,53.36 < 7 |walk
kill 5 Defias Pathstalker##121 |q 14/2 |goto 52.23,73.48
You can find more around: |notinsticky
[52.53,78.60]
[46.39,79.07]
step
label "Kill_Defias_Knuckledusters"
kill 5 Defias Knuckleduster##449 |q 14/3 |goto 52.23,73.48
You can find more around: |notinsticky
[52.53,78.60]
[46.39,79.07]
step
label "Kill_Defias_Highwaymen"
kill 15 Defias Highwayman##122 |q 14/1 |goto 52.23,73.48
You can find more around: |notinsticky
[52.53,78.60]
[46.39,79.07]
step
Leave the building |goto 53.00,53.36 < 7 |walk
talk Gryan Stoutmantle##234
turnin The People's Militia##14 |goto 56.33,47.52
step
Enter the building |goto Redridge Mountains 26.61,46.41 < 7 |walk
talk Wiley the Black##266
|tip Upstairs inside the building.
turnin The Defias Brotherhood##65 |goto Redridge Mountains 26.48,45.35
accept The Defias Brotherhood##132 |goto Redridge Mountains 26.48,45.35
step
Leave the building |goto 26.61,46.41 < 7 |walk
talk Gryan Stoutmantle##234
turnin The Defias Brotherhood##132 |goto Westfall 56.33,47.52
accept The Defias Brotherhood##135 |goto Westfall 56.33,47.52
step
Follow the path |goto Stormwind City 74.69,53.64 < 7 |walk
Enter the building |goto Stormwind City/0 77.14,58.04 < 7 |walk
talk Master Mathias Shaw##332
|tip Upstairs inside the building.
turnin The Defias Brotherhood##135 |goto Stormwind City 75.78,59.84
accept The Defias Brotherhood##141 |goto Stormwind City 75.78,59.84
step
talk Gryan Stoutmantle##234
turnin The Defias Brotherhood##141 |goto Westfall 56.33,47.52
accept The Defias Brotherhood##142 |goto Westfall 56.33,47.52
step
kill Defias Messenger##550
|tip He walks along the road between Jangolode Mine and Moonbrook.
|tip He walks into Gold Coast Quarry before traveling to either Jangolode Mine or Moonbrook.
|tip Run on the road while looking for him.
|tip He spawns around this location, so it may be easier to kill enemies around this area, waiting for him to either spawn or walk here.
collect A Mysterious Message##1381 |q 142/1 |goto 45.86,67.81
Also check around:
[37.79,44.43]
[30.42,42.34]
[44.44,25.91]
step
talk Gryan Stoutmantle##234
turnin The Defias Brotherhood##142 |goto 56.33,47.52
step
talk The Defias Traitor##467
|tip This is an escort quest.
|tip If he's not here, someone may be escorting him.
|tip Wait until he respawns.
accept The Defias Brotherhood##155 |goto 55.68,47.50 |noautoaccept
step
Watch the dialogue
|tip Follow the Defias Traitor and protect him as he walks.
|tip He eventually walks to this location.
Escort The Defias Traitor to Discover Where VanCleef is Hiding |q 155/1 |goto 42.54,71.69
step
talk Captain Grayson##392
accept Keeper of the Flame##103 |goto 30.02,86.02
step
talk Captain Grayson##392
turnin Keeper of the Flame##103 |goto 30.02,86.02
accept The Coastal Menace##104 |goto 30.02,86.02
step
kill Old Murk-Eye##391
|tip He walks along the beach around this area.
collect Scale of Old Murk-Eye |q 104/1 |goto 26.61,66.94
Also check around [34.95,84.87]
step
talk Captain Grayson##392
turnin The Coastal Menace##104 |goto 30.02,86.02
step
Leave the building |goto 53.00,53.36 < 7 |walk
talk Gryan Stoutmantle##234
turnin The Defias Brotherhood##155 |goto 56.33,47.52
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Blood Frenzy [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Blood Frenzy on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Wandering Swordsman##203079
|tip He looks like a human that walks around this area with a sword.
|tip He is a level 7 enemy.
Tell him _"Let's see what you've got (Start duel)."_
kill Wandering Swordsman##203079
click Swordsman's Reward##392029
|tip It looks like a small wooden chest that appears on the ground nearby after you defeat him.
collect Rune of Blood Frenzy##204441 |goto Dun Morogh 53.6,47.6
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Blood Frenzy [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Blood Frenzy on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Wandering Swordsman##203079
|tip He looks like a human that walks around this area with a sword.
|tip He is a level 7 enemy and can spawn in several locations.
Tell him _"Let's see what you've got (Start duel)."_
kill Wandering Swordsman##203079
click Swordsman's Reward##392029
|tip It looks like a small wooden chest that appears on the ground nearby after you defeat him.
collect Rune of Blood Frenzy##204441 |goto Elwynn Forest 41.6,76.6
Also check around: |notinsticky
[Elwynn Forest 40.6,74.4]
[Elwynn Forest 38.8,74.4]
[Elwynn Forest 38.4,76.8]
[Elwynn Forest 37.6,78.6]
[Elwynn Forest 36.2,80.6]
[Elwynn Forest 36.2,82.4]
[Elwynn Forest 29.8,76.4]
[Elwynn Forest 30.2,73.6]
[Elwynn Forest 24.6,75.2]
[Elwynn Forest 26.2,72.2]
[Elwynn Forest 25.6,69.6]
[Elwynn Forest 24.2,71.0]
[Elwynn Forest 22.2,73.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Blood Frenzy [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Blood Frenzy on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Wandering Swordsman##203079
|tip He looks like a human that walks around this area with a sword.
|tip He is a level 7 enemy and can spawn in several locations.
Tell him _"Let's see what you've got (Start duel)."_
kill Wandering Swordsman##203079
click Swordsman's Reward##392029
|tip It looks like a small wooden chest that appears on the ground nearby after you defeat him.
collect Rune of Blood Frenzy##204441 |goto Teldrassil 54.6,66.0
Also check around: |notinsticky
[Teldrassil 62.6,71.8]
[Teldrassil 43.8,76.8]
[Teldrassil 39.8,69.6]
[Teldrassil 39.6,37.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Consumed by Rage [Wetlands]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Consumed by Rage on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the cave |goto Wetlands 52.65,63.04 < 40 |walk
Follow the path through the cave |goto Wetlands 48.23,60.23 < 20 |walk
Follow the path down |goto Wetlands 46.05,60.82 < 15 |walk
kill Carrodin##211965
|tip It looks like a level 25 elite owl.
|tip Downstairs inside the cave, flying above the water.
collect Rune of Consuming Rage##210573 |goto Wetlands 47.31,64.91
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Devastate [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Devastate on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Murloc enemies around this area
collect Severed Murloc Head##204477 |goto Elwynn Forest 51.72,67.17
step
Kill Kobold enemies around this area
|tip Inside and outside the mine.
collect Severed Kobold Head##204476 |goto 39.01,82.52
step
Kill Riverpaw enemies around this area
|tip They look like gnolls.
collect Severed Gnoll Head##204478 |goto 26.87,84.60
step
talk Viktoria Woods##203226
|tip Choose the dialogue options to present the three items to her.
collect Monster Hunter's First Rune Fragment##204688 |goto Stormwind City 69.69,51.05
collect Monster Hunter's Second Rune Fragment##204689 |goto Stormwind City 69.69,51.05
collect Monster Hunter's Three Rune Fragment##204690 |goto Stormwind City 69.69,51.05
step
use the Monster Hunter's First Rune Fragment##204688
collect Rune of Devastate##204703
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Devastate [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Devastate on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Wendigo enemies around this area
|tip They look like white yetis.
|tip Inside and outside the cave.
collect Severed Wendigo Paw##208160 |goto Dun Morogh 42.23,53.96
step
Kill Frostmane enemies around this area
|tip They look like trolls.
|tip Inside and outside the cave.
collect Severed Troll Head##208159 |goto 24.77,50.88
step
Kill Rockjaw enemies around this area
|tip They look like troggs.
|tip Inside and outside the cave.
collect Pristine Trogg Heart##208158  |goto 70.72,56.46
step
talk Junni Steelpass##208652
|tip Choose the dialogue options to present the three items to her.
collect Monster Hunter's First Rune Fragment##204688 |goto 46.60,53.20
collect Monster Hunter's Second Rune Fragment##204689 |goto 46.60,53.20
collect Monster Hunter's Three Rune Fragment##204690 |goto 46.60,53.20
step
use the Monster Hunter's First Rune Fragment##204688
collect Rune of Devastate##204703
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Devastate [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Devastate on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Nightsaber##2042+
|tip They look like black tigers around this area.
collect Severed Tiger Head##208611 |goto Teldrassil 60.6,58.6
step
kill Strigid Owl##1995+
|tip They look like grey and white birds around this area.
collect Severed Owl Head##208610 |goto 60.6,58.6
step
kill Webwood Lurker##1998+
|tip They look like green spiders around this area.
collect Severed Spider Head##208612 |goto 60.6,58.6
step
talk Delwynna##209608
|tip Choose the dialogue options to present the three items to her.
|tip Upstairs inside the building.
collect Monster Hunter's First Rune Fragment##204688 |goto Darnassus 63.11,21.92
collect Monster Hunter's Second Rune Fragment##204689 |goto Darnassus 63.11,21.92
collect Monster Hunter's Three Rune Fragment##204690 |goto Darnassus 63.11,21.92
step
use the Monster Hunter's First Rune Fragment##204688
collect Rune of Devastate##204703
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Endless Rage [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Endless Rage on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Old Murk-Eye##391
|tip He looks like a level 20 grey murloc with purple fins.
|tip He walks along the beach around this area.
collect Rune of Endless Rage##208741 |goto Westfall 26.61,66.94
Also check around [Westfall 34.95,84.87]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Endless Rage [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Endless Rage on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Mo'grosh enemies around this area
|tip They look like level 18-19 elite ogres.
|tip You may need help with this.
collect Battle Totem##208843 |goto Loch Modan 71.61,23.81
step
use the Battle Totem##208843
|tip Use it on Haren Swifthoof.
|tip He looks like a Tauren with 2 orc guards that walks the east side of the loch.
|tip Using the Battle Totem on him will make his 2 guards disappear, so you can fight him alone.
kill Haren Swifthoof##2478
|tip You may need help with this.
collect Rune of Endless Rage##208741 |goto 61.4,21.0
Also check around: |notinsticky
[61.4,28.6]
[63.0,39.0]
[71.4,38.6]
[64.8,47.8]
[63.8,56.0]
[58.4,64.4]
[51.8,69.4]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Endless Rage [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Endless Rage on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path up to the cave |goto Darkshore 54.74,31.77 < 30 |only if walking
Enter the cave |goto Darkshore 54.97,33.38 < 20 |walk
Run down the spiral ramp and follow the path |goto Darkshore 55.03,35.37 < 20 |walk
kill Lady Sedorax##210451
|tip She is a level 18 elite enemy.
|tip She looks like a naga with pink fins that walks around this area.
|tip Downstairs inside the cave.
collect Rune of Endless Rage##208741 |goto Darkshore 55.40,36.23
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Flagellation [Duskwood]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Flagellation on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
You May Need Help
|tip The enemies you will encounter are higher level.
|tip You may need help to accomplish this.
Click Here to Continue |confirm
step
Enter the crypt |goto Duskwood 23.70,34.91 < 15 |walk
click Dusty Coffer
|tip It looks like a stone chest on a shelf.
|tip Inside the crypt.
collect Decrepit Phylactery##210568 |goto 26.09,30.86 |or
step
Leave the crypt |goto 23.70,34.91 < 15 |walk
Enter the crypt |goto 15.86,38.72 < 10 |walk
click Slumbering Bones##411328
|tip It looks like a skeleton sitting in a stone chair.
|tip Inside the crypt.
kill Awakened Lich##212261
|tip It is a level 25 elite enemy.
collect Rune of Flagellation##210569 |goto 18.13,37.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Frenzied Assault [Ironforge]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Frenzied Assault on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Bruuk Barleybeard##5570
|tip Inside the building.
Ask him _"How's business?"_
Click Here to Continue |confirm |goto Ironforge 72.53,76.95
step
talk Bruart##209004
|tip Inside the building.
Tell him _"Seems you've had a few too many. Time for you to leave."_
kill Bruart##209004
Click Here to Continue |confirm |goto 72.40,73.62
step
talk Bruuk Barleybeard##5570
|tip Inside the building.
Tell him _"I've taken care of Bruart. He shouldn't be a problem anymore."_
collect Rune of Frenzied Assault##204716 |goto 72.53,76.95
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Frenzied Assault [Stormwind City]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Frenzied Assault on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 21.49,59.69 < 10 |walk
talk Liv Bradford##203475
|tip Inside the building.
Ask her _"How's business?"_
Click Here to Continue |confirm |goto Stormwind City 22.60,64.59
step
talk Stuart##203478
|tip Inside the building.
Tell him _"Seems you've had a few too many. Time for you to leave."_
kill Stuart##203478
Click Here to Continue |confirm |goto 21.22,62.79
step
talk Liv Bradford##203475
|tip Inside the building.
Tell her _"I've taken care of Stuart. He shouldn't be a problem anymore."_
collect Rune of Frenzied Assault##204716 |goto 22.60,64.59
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Frenzied Assault [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Frenzied Assault on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Innkeeper Keldamyr##6736
|tip Upstairs inside the building.
Ask him _"How's business?"_
Click Here to Continue |confirm |goto Teldrassil 55.62,59.79
step
talk Syllart##209872
|tip Upstairs inside the building.
Tell him _"Seems you've had a few too many. Time for you to leave."_
kill Syllart##209872
Click Here to Continue |confirm |goto 56.23,59.58
step
talk Innkeeper Keldamyr##6736
|tip Upstairs inside the building.
Tell him _"I've taken care of Syllart. He shouldn't be a problem anymore."_
collect Rune of Frenzied Assault##204716 |goto 55.62,59.79
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Furious Thunder [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Furious Thunder on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Fyodi##208638
|tip It looks like a tan boar.
|tip It is a level 7 elite enemy.
|tip It may spawn in other locations around this area.
collect Rune of Furious Thunder##204809 |goto Dun Morogh 34.29,34.85
Also check around: |notinsticky
[31.87,38.45]
[30.02,39.08]
[33.82,37.26]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Furious Thunder [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Furious Thunder on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the mine |goto Elwynn Forest 38.31,81.54 < 15 |walk
kill Goldtooth##327
|tip He looks like a kobold that walks around this area.
|tip Inside the mine.
|tip He is a level 8 enemy.
collect Rune of Furious Thunder##204809 |goto Elwynn Forest 41.71,78.04
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Furious Thunder [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Furious Thunder on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Gnarlpine Cache##407734+
|tip They look like brown wooden chests.
|tip They are common and spawn randomly on the ground inside this cave.
|tip You don't need keys to open them.
|tip You may have to find and open multiple before you get the rune.
collect Rune of Furious Thunder##204809 |goto Teldrassil 44.35,57.93
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Quick Strike [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Quick Strike on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Defias enemies around this area
|tip They look like humans.
|tip They are level 11-13 enemies.
collect Gillsbane##209420 |goto Westfall 49.23,46.03
step
Equip the Gillsbane |equipped Gillsbane##209420
step
Kill Murloc enemies around this area
|tip Make sure to have the Gillsbane weapon equipped.
collect Soul of the Sea##209045 |goto 28.30,71.32
step
click Idol of the Deep##408799
|tip It looks like a medusa statue.
|tip Underwater.
collect Rune of Quick Strike##208778 |goto 26.0, 69.5
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Quick Strike [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Quick Strike on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path into the valley |goto Loch Modan 29.35,66.72 < 30 |only if walking
Kill Stonesplinter enemies around this area
|tip They look like troggs.
|tip If you have the 'Gillsbane' or the 'Gnarled Harpoon' this won't drop.
collect Skull-Shaped Geode##208847 |goto Loch Modan 32.42,73.99
step
kill Stonesplinter Skullthumper##1163+
|tip You need them to use their stun ability on you.
|tip The other types of troggs won't give you the item.
collect Cracked Skull-Shaped Geode##208848 |goto 35.98,83.11
step
use the Cracked Skull-Shaped Geode##208848
collect Rune of Quick Strike##208778
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Raging Blow [Ashenvale]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Raging Blow on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
You Will Need a Group
|tip You will need a group to help you for most things in this guide.
Click Here to Continue |confirm
step
Enter the building |goto Redridge Mountains 67.96,56.04 < 15 |walk
Run up the stairs |goto 69.83,55.72 < 10 |walk
click Wall-Mounted Shield##409754
|tip It looks like an shield hanging on the wall.
|tip Upstairs inside the building, in the large room.
collect Dragonslayer's Shield##209873 |goto 69.92,55.80 |q 78133 |future
step
Enter the building |goto Wetlands 47.00,17.44 < 10 |walk
talk Dark Iron Entrepreneur##3180
|tip Inside the building.
buy Dragonslayer's Lance##209874 |goto 46.55,18.36 |q 78134 |future
|tip It costs 75 silver.
step
_Inside the Shadowfang Keep Dungeon:_
|tip Use the Shadowfang Keep dungeon guide.
click Discarded Helm##409758
|tip It looks like a silver helmet sitting on a bench in the room with the boss named Commander Springvale.
|tip Commander Springvale is the fourth boss inside the dungeon.
collect Dragonslayer's Helm##209872 |q 78132 |future
step
talk Alonso##210995
accept Dragonslayer's Shield##78133 |goto Ashenvale 41.91,68.92
accept Dragonslayer's Lance##78134 |goto Ashenvale 41.91,68.92
accept Dragonslayer's Helm##78132 |goto Ashenvale 41.91,68.92
step
talk Alonso##210995
accept Alonso the Dragonslayer##78144 |goto 41.91,68.92
step
Watch the dialogue
|tip Follow Alonso as he walks.
Accompany Alonso to Slay the Dragon |q 78144/1
step
talk Alonso##210995
|tip Follow Alonso as he walks.
turnin Alonso the Dragonslayer##78144
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Single-Minded Fury",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Single-Minded Fury on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with Azeroth Commerce Authority |complete rep("Azeroth Commerce Authority") >= Friendly
|tip As you kill enemies anywhere in the world, you will loot "Waylaid Supplies" items.
|tip To gain reputation with this faction, turn them in to Supply Officers in the 3 major cities.
|tip You can turn in the Waylaid Supplies crates empty.
|tip However, if you fill the crates with the items they require (according to their tooltip), you will gain more reputation.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
step
buy Rune of Single-Minded Fury##211393
|tip You can buy it from Supply Officers in the 3 major cities.
|tip It costs 2 gold.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Victory Rush (Dwarf Only) [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Victory Rush on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.79,69.08 < 10 |walk
talk Thran Khorman##912
|tip Inside the building.
accept The Lost Rune##77655 |goto Dun Morogh 28.83,67.24
step
Kill Frostmane enemies around this area
|tip They look like trolls.
|tip Inside and outside the cave.
collect Rune of Victory Rush##204806 |goto 26.79,79.88 |q 77655
step
use the Rune of Victory Rush##204806
Learn: Engrave Gloves - Victory Rush |q 77655/1
step
Enter the building |goto 28.79,69.08 < 10 |walk
talk Thran Khorman##912
|tip Inside the building.
turnin The Lost Rune##77655 |goto 28.83,67.24
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Victory Rush (Gnome Only) [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Victory Rush on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.79,69.08 < 10 |walk
talk Thran Khorman##912
|tip Inside the building.
accept The Lost Rune##77656 |goto Dun Morogh 28.83,67.24
step
Kill Frostmane enemies around this area
|tip They look like trolls.
|tip Inside and outside the cave.
collect Rune of Victory Rush##204806 |goto 26.79,79.88 |q 77656
step
use the Rune of Victory Rush##204806
Learn: Engrave Gloves - Victory Rush |q 77656/1
step
Enter the building |goto 28.79,69.08 < 10 |walk
talk Thran Khorman##912
|tip Inside the building.
turnin The Lost Rune##77656 |goto 28.83,67.24
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Victory Rush (Human Only) [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Victory Rush on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Elwynn Forest 48.29,42.00 < 10 |walk
talk Llane Beshere##911
|tip Inside the building.
accept The Lost Rune##77616 |goto Elwynn Forest 50.24,42.28
step
Enter the mine |goto 47.67,31.88 < 15 |walk
click Kobold Stashbox##397987
|tip It looks like a wooden chest on the ground.
|tip Inside the mine.
collect Rune of Victory Rush##204806 |goto 50.63,27.27 |q 77616
step
use the Rune of Victory Rush##204806
Learn: Engrave Gloves - Victory Rush |q 77616/1
step
Enter the building |goto 48.29,42.00 < 10 |walk
talk Llane Beshere##911
|tip Inside the building.
turnin The Lost Rune##77616 |goto 50.24,42.28
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Victory Rush (Night Elf Only) [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Victory Rush on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building and follow the path |goto Teldrassil 59.33,40.62 < 15 |walk
talk Alyissia##3593
|tip Inside the building.
accept Amidst the Shadowed Webs##77575 |goto Teldrassil 59.64,38.44
step
kill Webwood Spider##1986+
|tip They look like green spiders.
|tip Inside and outside the cave.
collect Rune of Victory Rush##204806 |goto 56.78,31.54 |q 77575
step
use the Rune of Victory Rush##204806
Learn: Engrave Gloves - Victory Rush |q 77575/1
step
Enter the building and follow the path |goto 59.33,40.62 < 15 |walk
talk Alyissia##3593
|tip Inside the building.
turnin Amidst the Shadowed Webs##77575 |goto 59.64,38.44
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Warbringer [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Warbringer on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
collect 25 Shredder Autosalvage Unit##210147 |q 78267 |future
|tip These are made with the Engineering profession.
|tip The schematic drops from Sneed in the Deadmines dungeon.
|tip You can make them yourself, get a friend to help, or buy them from the Auction House.
|tip To make one, you need 1 Bronze Framework, 2 Whirring Bronze Gizmo, 1 Heavy Leather.
|tip You will use them to collect 16 quest items, but they can fail, so get 25 at a minimum.
|tip If you don't have enough, you may have to backtrack to make more later.
step
kill Venture Co. Light Shredder##214129+
|tip They look like grey metal humanoid machines that walk around this area.
|tip They are fairly uncommon, so you may have to search around.
use the Shredder Autosalvage Unit##210147+
|tip Use them on their corpses.
collect 16 Shredder Turbochargers##78267 |goto Stonetalon Mountains 60.69,52.32 |q 78267 |future
You can find more around: |notinsticky
[67.0,56.8]
[69.8,54.8]
[72.8,53.8]
[68.8,47.8]
[66.2,47.2]
step
kill Bluegill Oracle##1029+
|tip They wander all over the marsh area just east of the coast.
|tip You can also farm Bluegill Raiders along the coast south of Menethil Harbor.
collect 24 Fish Oil##17058 |goto Wetlands 16.12,31.71 |q 78265 |future
|tip You can also purchase these from the auction house.
You can find Bluegill Raiders at [12.61,64.82]
step
kill Dark Iron Insurgent##1169+
|tip They look like grey dwarves.
|tip Inside the cave.
collect 20 Dark Iron Ordinance##210138 |goto 63.35,77.50 |q 78266 |future
|tip The drop rate is very low.
You can find more in Loch Modan at [Loch Modan 58.61,15.88]
step
Collect 5 Gold |complete _G.GetMoney() >= 50000
|tip Grizzby won't speak with you unless you have at least 5 gold.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
|tip You may have to go through some dialogue prompts before he offers you a few turn-in quests.
accept Dark Iron Ordinance##78266 |goto The Barrens 61.92,39.32
accept Fish Oil##78265 |goto The Barrens 61.92,39.32
accept Shredder Turbochargers##78267 |goto The Barrens 61.92,39.32
accept Let Me Make You An Offer##78287 |goto The Barrens 61.92,39.32
step
Enter the building |goto Stormwind City/0 78.04,47.96 < 10
talk Master Wood##8383
|tip Inside the building.
turnin Let Me Make You An Offer##78287 |goto 79.17,47.65
accept You've Got Yourself A Deal##78297 |goto 79.17,47.65
step
Enter the building |goto The Barrens/0 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
turnin You've Got Yourself A Deal##78297 |goto 61.92,39.32
step
talk Grizzby##211653
|tip Inside the building.
buy Rune of the Warbringer##210825 |goto 61.92,39.32
|tip It costs 5 gold.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 2 Runes\\Blood Surge",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Blood Surge on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Crushridge enemies around this area
|tip They look like ogres and are elite.
collect Illegible Recipe##213422 |q 79624 |future |goto Alterac Mountains/0 44.09,46.63
step
use the Illegible Recipe##213422
accept Anyone Can Cook##79624 |goto 44.09,46.63
step
Follow the path up |goto Arathi Highlands 57.49,72.10 < 15 |only if walking
talk Skonk##217300
|tip He looks like an ogre.
turnin Anyone Can Cook##79624 |goto Arathi Highlands 57.66,74.64
accept A Quick Grocery Run##79677 |goto Arathi Highlands 57.66,74.64
step
kill Wild Gryphon##2347+
|tip They look like large eagles that fly low to the ground.
collect Hybrid Haunch##213526 |q 79677/1 |goto Hillsbrad Foothills 77.38,31.40
Also check around: |notinsticky
[Hillsbrad Foothills 84.33,32.54]
[Hillsbrad Foothills 88.19,40.58]
step
Follow the path |goto Arathi Highlands 31.22,65.35 < 30 |only if walking and not subzone("Faldir's Cove")
Enter the tunnel |goto Arathi Highlands 21.58,75.61 < 15 |only if walking and not subzone("Faldir's Cove")
Leave the tunnel |goto Arathi Highlands 22.00,79.55 < 15 |only if walking and not subzone("Faldir's Cove")
Enter the hole in the bottom of the sunken ship |goto 20.43,84.84 < 15 |walk
click Sealed Barrel##422911
|tip It looks like a wooden barrel floating in the water.
|tip Inside the sunken ship, on the bottom floor.
collect Smuggler's Spice Blend##213527 |q 79677/2 |goto Arathi Highlands 21.43,83.87
step
Enter the building |goto Badlands 42.96,29.99 < 30 |walk
Run down the stairs |goto Badlands 42.17,26.72 < 10 |walk
click Tapped Shadowforge Keg##422919
|tip It looks like a wooden barrel laying on its side.
|tip Inside the building, on the bottom floor.
collect Balmy Brew##213528 |q 79677/3 |goto Badlands 41.39,27.97
step
kill Deathstrike Tarantula##769+
|tip They look like green spiders around this area.
collect Viscous Venom##213529 |q 79677/4 |goto Swamp of Sorrows 61.94,65.63
step
Follow the path up |goto Arathi Highlands 57.49,72.10 < 15 |only if walking
talk Skonk##217300
|tip He looks like an ogre.
turnin A Quick Grocery Run##79677 |goto Arathi Highlands 57.66,74.64
accept Taste Testing##79678 |goto Arathi Highlands 57.66,74.64
|tip He will attack you.
step
Watch the dialogue
kill Skonk##217300
|tip He will eventually surrender.
Taste Test the Recipe with Skonk |q 79678/1 |goto 57.66,74.64
step
talk Skonk##217300
|tip He looks like an ogre.
turnin Taste Testing##79678 |goto 57.66,74.64
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 2 Runes\\Enraged Regeneration",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Enraged Regeneration on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
Click Here to Continue |confirm |q 79242 |future
step
click Extinguished Campfire##417353
|tip In the abandoned camp on top of the hill.
accept Highway Robbery##79229 |goto Desolace 47.50,54.61
|tip You need to be level 30 to be able to accept the quest.
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Highway Robbery##79229 |goto 62.33,38.98
accept On the Lam##79235 |goto 62.33,38.98
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin On the Lam##79235 |goto Stranglethorn Vale 26.99,77.28
accept Cherry for Your Thoughts?##79236 |goto Stranglethorn Vale 26.99,77.28
step
talk Nixxrax Fillamug##2832
|tip Inside the building, on the ground floor.
buy Cherry Grog##4600 |q 79236/1 |goto 27.04,77.17
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin Cherry for Your Thoughts?##79236 |goto 26.99,77.28
accept No Honor Among Thieves##79242 |goto 26.99,77.28
step
click Rowboat##420055 |goto Arathi Highlands 53.76,91.58
|tip It looks like a small brown wooden boat, in the water near the shore.
|tip You will be transported to another location.
Travel to the Remote Location |goto Arathi Highlands 89.61,77.88 < 200 |noway |c |q 79242
step
talk Illari Duskfeather##215655
|tip On the dock.
Find Illari Duskfeather |q 79242/1 |goto 93.87,71.55
step
talk Illari Duskfeather##215655
|tip Go through the dialogue prompts.
Tell her _"I sympathize with your plight, Illari. Kalimdor is ours, and ours alone."_
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if NightElf
step
talk Illari Duskfeather##215655
kill Illari Duskfeather##215655
|tip A Dropped Puch will appear on the ground near where she dies.
click Dropped Pouch##423569
|tip It looks like a small tan bag.
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if not NightElf
step
click Illari's Loot Cache##418855
|tip It looks like a grey metal chest.
turnin No Honor Among Thieves##79242 |goto 94.09,69.24
step
use the Jewel-Encrusted Box##212553
collect Rune of Healing Rage##212562
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 2 Runes\\Focused Rage [Arathi Highlands]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Focused Rage on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Witherbark enemies around this area
|tip They look like trolls.
collect Witherbark Mallet##216483 |goto Arathi Highlands 64.41,69.82
step
Enter the cave |goto 68.34,75.58 < 20 |walk
Follow the path up |goto 67.50,79.37 < 10 |walk
use the Witherbark Mallet##216483
|tip Use it next to the gong.
|tip Inside the cave.
|tip A Level 35 elite enemy will appear with 2 non-elite guards.
kill Witherbark Goliath##218032
collect Rune of Focused Rage##213109 |goto 69.47,81.88
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 2 Runes\\Intervene [Thousand Needles]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Intervene on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn These Abilities
|tip Make sure to learn these abilities from your class trainer:
|tip Execute, Shield Bash and Taunt.
|tip You will need them to get the rune.
Make Sure You Have This Equipment
|tip (1) One-Handed Weapon
|tip (1) Shield
Click Here to Continue |confirm
step
Use Your Execute Ability
|tip Use it on the Combat Dummy in front of the statue with its sword stuck in the ground.
Click Here the Continue |confirm |goto Thousand Needles 67.90,89.50
step
Use Your Taunt Ability
|tip Use it on the Combat Dummy in front of the statue that is holding two weapons.
Click Here the Continue |confirm |goto 67.90,89.50
step
Use Your Shield Bash Ability
|tip Use it on the Combat Dummy in front of the statue that is holding a shield.
collect Rune of Intervention##213111 |confirm |goto 67.90,89.50
step
click Warrior's Bounty##423920
|tip It looks like a treasure chest that appears on the ground.
collect Rune of Intervention##213111 |goto 67.90,89.50
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 2 Runes\\Precise Timing",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Precise Timing on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
collect Ariden's Sigil##216941 |goto Deadwind Pass 52.08,34.10
step
Equip Ariden's Sigil |equipped Ariden's Sigil##216941
|tip If you're with a group, only one of you needs to equip it.
step
Follow the path down |goto 44.14,32.57 < 30 |only if walking
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Curious Dalaran Relic##216945 |goto 42.59,27.49
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Odd Dalaran Relic##216948 |goto Swamp of Sorrows 69.37,23.84
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Glittering Dalaran Relic##216946 |goto Duskwood 24.74,46.14
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Slippery Dalaran Relic##216951 |goto Badlands 58.98,55.06
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Whirring Dalaran Relic##216947 |goto Arathi Highlands 60.74,40.79
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Heavy Dalaran Relic##216949 |goto The Barrens 52.14,36.59
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Creepy Dalaran Relic##216950 |goto Desolace 64.99,25.12
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
accept Curious Dalaran Relic##80147 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80149 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80098 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80152 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80148 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80150 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80151 |goto Deadwind Pass 52.08,34.10
step
talk Dalaran Agent##218920
accept A Service to Dalaran##80120 |goto Deadwind Pass 52.08,34.10
step
use the Supply Bag##217014
collect Rune of Ruthless Precision##213104
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 2 Runes\\Rallying Cry [Badlands]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Rallying Cry on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Wandering Swordsman##218273
|tip He looks like an armored Human.
|tip He can spawn in multiple locations throughout the Badlands, so you may need to search for him.
|tip It may be helpful to ask in the zone chat if other players have seen him recently.
collect Rune of the Commander##213110 |goto Badlands 35.60,59.60
Also check around: |notinsticky
[Badlands 33.80,69.20]
[Badlands 28.00,68.40]
[Badlands 25.20,60.20]
[Badlands 20.00,57.00]
[Badlands 14.40,44.80]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 3 Runes\\Rampage",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Rampage on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path up |goto Feralas 74.99,35.16 < 20 |only if walking
Follow the path |goto Feralas 76.29,32.74 < 20 |only if walking
Enter the cave |goto Feralas 74.79,27.41 < 20 |walk
kill Ohk'zi##222233
|tip He looks like alevel 43 elite ogre.
|tip Inside the cave.
collect Rune of the Unbridled##220682 |goto Feralas 74.86,24.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 3 Runes\\Sword and Board",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Sword and Board on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip You need to be level 50 to collect this rune.
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Start Gathering a Group
|tip You will be killing elite enemies and running multiple dungeons to get this rune.
|tip While you travel to accept the quest in the next step, start trying to put together a full dungeon group.
Click Here to Continue |confirm |q 82043 |future
step
talk Shadowtooth Emissary##222408
accept The Wild Gods##82043 |goto Felwood 51.57,81.96
step
Kill Vilbranch enemies around this area
|tip They look like elite trolls.
|tip You can find them all around the Jintha'Alor area.
collect Wildwhisper Draught##221261 |goto The Hinterlands 66.50,66.40 |q 82043
|tip Only 1 player in your dungeon group needs to collect this item.
|tip Everyone doesn't need to have it, so if someone else in your group gets it, you can continue to the next step.
step
Follow the path to the Razorfen Downs dungeon portal |goto The Barrens 44.90,88.86 < 50 |only if walking
Run through the giant skull and follow the path to the Razorfen Downs dungeon portal |goto The Barrens 49.27,93.08 < 20 |walk
Enter the Razorfen Downs Dungeon
|tip After running through the giant skull, the aypoint arrow won't work anymore, so follow the path until you come to a swirling portal.
|tip Enter the swirling portal to enter the dungeon.
Click Here to Continue |confirm |goto The Barrens 49.27,93.08 |q 82043
step
_Inside the Razorfen Downs Dungeon:_
|tip Use the Razorfen Downs dungeon guide.
kill Amnennar the Coldbringer##7358
|tip He's the final boss inside the dungeon.
use the Wildwhisper Draught##221261
|tip Use it after killing the boss.
|tip Have the person in your group use it that has this item, if you don't have it.
talk Spirit of Agamaggan##222522
turnin The Wild Gods##82043
accept The Wild Gods##82044
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You need to go to 1 of 3 different dungeons to collect the quest items.
|tip You can complete the same dungeon repeatedly to get all of the quest items.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Turnin_The_Wild_Gods"
talk Shadowtooth Emissary##222408
turnin The Wild Gods##82044 |goto Felwood 51.57,81.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 3 Runes\\Shield Mastery",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shield Mastery on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with the Emerald Wardens Faction |complete rep("Emerald Wardens") >= Friendly
|tip Use the following guides to accomplish this:
|tip Ashenvale Nightmare Invasion
|tip Duskwood Nightmare Invasion
step
_NOTE:_
Pick the Zone Closest to You
|tip There are Quartermaster NPCs in 4 different zones.
|tip All of them will sell you the item to learn your class rune.
|tip Pick the zone that's closest to you, to be lead to the Quartermaster in that zone.
Ashenvale		|confirm	|next "Ashenvale_Quartermaster"
Feralas			|confirm	|next "Feralas_Quartermaster"
Duskwood		|confirm	|next "Duskwood_Quartermaster"
The Hinterlands		|confirm	|next "The_Hinterlands_Quartermaster"
step
label "Ashenvale_Quartermaster"
talk Quartermaster Kyleen##222685
buy Rune of Affliction##221482		|goto Ashenvale 89.61,40.61		|only if Warlock
buy Rune of Alacrity##221512		|goto Ashenvale 89.61,40.61		|only if Rogue
buy Rune of Bloodshed##221517		|goto Ashenvale 89.61,40.61		|only if Druid
buy Rune of Burn##221483		|goto Ashenvale 89.61,40.61		|only if Shaman
buy Rune of Detonation##221515		|goto Ashenvale 89.61,40.61		|only if Hunter
buy Rune of the Hammer##223288		|goto Ashenvale 89.61,40.61		|only if Paladin
buy Rune of the Protector##221511	|goto Ashenvale 89.61,40.61		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Ashenvale 89.61,40.61		|only if Mage
step
label "Feralas_Quartermaster"
talk Quartermaster Valdane##222687
buy Rune of Affliction##221482		|goto Feralas 48.62,12.48		|only if Warlock
buy Rune of Alacrity##221512		|goto Feralas 48.62,12.48		|only if Rogue
buy Rune of Bloodshed##221517		|goto Feralas 48.62,12.48		|only if Druid
buy Rune of Burn##221483		|goto Feralas 48.62,12.48		|only if Shaman
buy Rune of Detonation##221515		|goto Feralas 48.62,12.48		|only if Hunter
buy Rune of the Hammer##223288		|goto Feralas 48.62,12.48		|only if Paladin
buy Rune of the Protector##221511	|goto Feralas 48.62,12.48		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Feralas 48.62,12.48		|only if Mage
step
label "Duskwood_Quartermaster"
Follow the path up into the Twilight Grove |goto Duskwood 46.83,59.43 < 30 |only if walking and not subzone ("Twilight Grove")
talk Quartermaster Falinar##222684
buy Rune of Affliction##221482		|goto Duskwood 45.76,51.35		|only if Warlock
buy Rune of Alacrity##221512		|goto Duskwood 45.76,51.35		|only if Rogue
buy Rune of Bloodshed##221517		|goto Duskwood 45.76,51.35		|only if Druid
buy Rune of Burn##221483		|goto Duskwood 45.76,51.35		|only if Shaman
buy Rune of Detonation##221515		|goto Duskwood 45.76,51.35		|only if Hunter
buy Rune of the Hammer##223288		|goto Duskwood 45.76,51.35		|only if Paladin
buy Rune of the Protector##221511	|goto Duskwood 45.76,51.35		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Duskwood 45.76,51.35		|only if Mage
step
label "The_Hinterlands_Quartermaster"
talk Quartermaster Alandra##222686
buy Rune of Affliction##221482		|goto The Hinterlands 61.41,34.64	|only if Warlock
buy Rune of Alacrity##221512		|goto The Hinterlands 61.41,34.64	|only if Rogue
buy Rune of Bloodshed##221517		|goto The Hinterlands 61.41,34.64	|only if Druid
buy Rune of Burn##221483		|goto The Hinterlands 61.41,34.64	|only if Shaman
buy Rune of Detonation##221515		|goto The Hinterlands 61.41,34.64	|only if Hunter
buy Rune of the Hammer##223288		|goto The Hinterlands 61.41,34.64	|only if Paladin
buy Rune of the Protector##221511	|goto The Hinterlands 61.41,34.64	|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto The Hinterlands 61.41,34.64	|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 3 Runes\\Gladiator Stance",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Gladiator Stance on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the large cage |goto Tanaris 51.81,27.03 < 10 |walk
talk Fizbuz Mithril##220984
|tip Inside the large cage.
accept The Old Champ##81682 |goto Tanaris 51.66,27.82
step
Follow the path up to the small cave |goto Azshara 27.15,61.55 < 30 |only if walking
Enter the small cave |goto Azshara 25.53,65.50 < 15 |walk
talk Kajind##221400
|tip Inside the small cave.
turnin The Old Champ##81682 |goto Azshara 25.42,66.36
accept Defanged##81697 |goto Azshara 25.42,66.36
step
kill Ceruleos##221651
|tip It looks like a blue dragon that patrols around this area.
collect Kajind's Blade##219935 |q 81697/1 |goto 36.0,68.8
Also check around: |notinsticky
[37.0,72.6] [40.0,71.8] [41.8,72.6]
step
Follow the path up to the small cave |goto 27.15,61.55 < 30 |only if walking
Enter the small cave |goto 25.53,65.50 < 15 |walk
talk Kajind##221400
|tip Inside the small cave.
turnin Defanged##81697 |goto 25.42,66.36
accept Return to the Arena##81801 |goto 25.42,66.36
step
Enter the large cage |goto Tanaris 51.81,27.03 < 10 |walk
talk Fizbuz Mithril##220984
|tip Inside the large cage.
turnin Return to the Arena##81801 |goto Tanaris 51.66,27.82
accept Fight Night##81877 |goto Tanaris 51.66,27.82
step
Kill the enemies that attack
|tip Inside the large cage.
|tip You will fight them one at a time.
kill Kajind##221829
|tip He will be the third enemy you fight.
Claim Victory in the Arena |q 81877/1 |goto 51.69,27.58
step
talk Fizbuz Mithril##220984
|tip Inside the large cage.
turnin Fight Night##81877 |goto 51.66,27.82
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 3 Runes\\Wrecking Crew",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Wrecking Crew on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Witherbark Scalper##2649+
|tip They look ike trolls wearing brown chest armor.
collect Geode Hammer##220912 |goto The Hinterlands 23.31,57.19
step
Equip the Geode Hammer |equipped Geode Hammer##220912
step
Kill enemies around this area
|tip Fight enemies until the Geode Hammer breaks.
collect Broken Geode Hammer##220914 |goto 23.31,57.19
step
use the Broken Geode Hammer##220914
collect Rune of Demolition##220913
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 3 Runes\\Taste for Blood",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Taste for Blood on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Find a Group to Help You
|tip You will need to kill a level 50 elite enemy.
Click Here to Continue |confirm
step
Jump down carefully through the hole in the ground onto the suspended block |goto Searing Gorge 35.03,42.62 < 7 |walk
Jump down using the nearby ledge and open the Quarry Gate |goto Searing Gorge 37.75,44.28 < 10 |walk
click Giant Golem Arm##441915
|tip Inside the Slag Pit cave.
collect Left Arm of the Obliterator##221257 |goto Searing Gorge 42.01,44.33
step
Go back through the Quarry Gate |goto 37.82,44.32 < 10 |walk
Run up the ramp |goto 44.22,24.36 < 15 |walk
click Giant Golem Foot##441912
|tip Inside the Slag Pit cave.
collect Right Foot of the Obliterator##221258 |goto 43.92,32.55
step
Jump off the bridge onto the path below |goto 47.73,41.89 < 10 |walk
click Giant Golem Arm##441914
|tip Inside the Slag Pit cave.
collect Right Arm of the Obliterator##221256 |goto 49.47,37.21
step
Follow the path |goto 51.28,34.36 < 30 |walk
click Giant Golem Foot##441913
|tip Inside the Slag Pit cave.
collect Left Foot of the Obliterator##221259 |goto 42.34,30.68
step
Follow the path to leave the cave |goto 47.53,46.58 < 20 |walk
Follow the path out of the canyon |goto 58.18,40.83 < 15 |only if walking
use the Left Foot of the Obliterator##221259
|tip Use it next to the Head of the Obliterator.
kill Iodax the Obliterator##222546
|tip He looks like a level 50 elite golem that appears.
collect Rune of the Bloodthirsty##221267 |goto 66.10,45.17
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 3 Runes\\Vigilance",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Vigilance on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Find a Group to Help You
|tip You will need to fight a level 46 elite enemy, so you may need help.
Click Here to Continue |confirm
step
Enter the cave |goto Feralas 77.01,61.56 < 10 |walk
kill Tyrant of the Hive##222726
|tip He looks like an armored insect person.
|tip He walks around this area inside the cave.
|tip He may spawn in multiple locations inside this cave.
collect Rune of the Watchman##221473 |goto Feralas 78.21,62.72
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 4 Runes\\Fresh Meat",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Fresh Meat on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill enemies around this area
|tip You must kill 5 enemies back-to-back to gain a buff.
|tip Inside and outside the building.
Gain the Rhythm of War Buff |havebuff Rhythm of War##459616 |goto Burning Steppes 41.49,35.17
step
collect Rune of the First Warrior##226680 |goto 37.86,31.87
|tip Use the "/salute" emote on the altar.
|tip Outside, behind the building.
|tip Kill the enemy that appears.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 4 Runes\\Sudden Death",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Sudden Death on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 55
|tip Use the leveling guides to accomplish this.
step
talk Wandering Swordsman##228611 |goto Silithus 46.60,41.20
|tip He can spawn in many locations across the zone.
Tell him _"Yes."
|tip You can choose any difficulty, it doesn't matter.
|tip You will be teleported away.
Begin the Trial |goto Silithus 11.88,95.06 < 50 |noway |c |q 84317 |future
Also check around: |notinsticky
[Silithus 47.2,53.0]	[Silithus 49.8,52.8]	[Silithus 55.4,53.2]	[Silithus 47.4,76.6]
[Silithus 46.0,82.6]	[Silithus 44.2,83.2]	[Silithus 42.6,82.8]	[Silithus 38.4,81.6]
[Silithus 37.0,67.4]	[Silithus 40.6,65.2]	[Silithus 33.6,56.8]	[Silithus 34.8,33.6]
[Silithus 35.0,28.2]	[Silithus 32.8,22.0]
step
kill Khonsu##224965
|tip Kill the Astral Wraiths that appear.
|tip On top of the pillar.
accept Infinite Midnight##84317 |goto 11.88,95.06
step
talk Khonsu##224965
|tip On top of the pillar.
turnin Infinite Midnight##84317 |goto 11.88,95.06
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 4 Runes\\Shockwave",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shockwave on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 58
|tip Use the leveling guides to accomplish this.
step
_NOTE:_
Begin Forming a Full Group to Help You
|tip The last quest to get this rune requires fighting a very difficult elite enemy.
|tip Try to find multiple healers, clases who can slow enemies, and extra DPS.
|tip He hits very hard and you will need to kite him around, so slowing him will help.
Click Here to Continue |confirm |q 84135 |future
step
click Half-Buried Mech##456682
|tip Swim along the coast to reach this location.
accept Beach Bot##84135 |goto Tanaris 59.23,91.55
step
click Half-Buried Mech##456682
turnin Beach Bot##84135 |goto Tanaris 59.23,91.55
accept Mechanical Romance##84137 |goto Tanaris 59.23,91.55
step
_NOTE:_
During the Next Steps
|tip The waypoint arrow is unable to work correctly, since you will be swimming too far off of the zone map.
Click Here to Continue |confirm |q 84137
step
_NOTE:_
Swim South Toward the Island
|tip Look toward the south, and a bit southwest.
|tip You should see an island in the distance.
use the Guided Buoyancy Accelerant##226856
|tip Use it to boost your swim speed when you start to get fatigued from swimming in the deeper water.
|tip As you swim, the light colored water on your minimap is safe, and the darker water will give you fatigue.
Click Here Once You Arrive At the Island |confirm |q 84137
step
_NOTE:_
talk Sebastian Jurgens##228956
|tip At the top of of a large platform in the water.
|tip The platform is to the south of the island.
turnin Mechanical Romance##84137
accept Frosty Favors##84138
step
_NOTE:_
Begin Traveling to Winterspring
|tip Try not to use your swim boost boost potion again.
|tip It only has a few charges, and you will need to use it again later.
Leave the South Seas |complete not subzone("South Seas") |q 84138
step
talk Numi##228216
|tip Inside the building.
turnin Frosty Favors##84138 |goto Winterspring 61.32,36.91
accept Red Bag Blues##84146 |goto Winterspring 61.32,36.91
step
Follow the path up |goto Burning Steppes 56.70,25.22 < 30 |only if walking
Locate Numi's Red Bag |q 84146/1 |goto Burning Steppes 52.95,24.39
|tip It looks like a red sack laying on a wooden table.
step
clicknpc Red Bag##218236
turnin Red Bag Blues##84146 |goto 52.95,24.39
accept Poacher's Den##84211 |goto 52.95,24.39
stickystart "Collect_Brass_Fitted_Flam_Tamp_Flanges"
step
Kill enemies around this area
|tip They look like humanoids.
click Vertically Composited Patch Hampler##456814+
|tip They look like long grey metal objects.
collect Vertically Composited Patch Hampler##226698 |q 84211/1 |goto 52.74,25.36
'|kill Blackrock Bootlegger##228610, Sulfuron Smuggler##228609
You can find more enemies around [47.22,26.53]
step
label "Collect_Brass_Fitted_Flam_Tamp_Flanges"
Kill enemies around this area |notinsticky
|tip They look like humanoids. |notinsticky
clicknpc Brass-fitted Flam-Tamp Flange##456815+
|tip They look like brown flat circular shaped objects.
collect Brass-fitted Flam-Tamp Flange##226699 |q 84211/2 |goto 52.74,25.36
'|kill Blackrock Bootlegger##228610, Sulfuron Smuggler##228609
You can find more enemies around [47.22,26.53]
step
talk Numi##228216
|tip Inside the building.
turnin Poacher's Den##84211 |goto Winterspring 61.32,36.91
accept Bookin' it Back##84212 |goto Winterspring 61.32,36.91
step
_NOTE:_
Finish Forming Your Group
|tip After you turn in this quest, the next quest requires you to defeat a very difficult elite enemy.
|tip You will need the help of a group soon.
Click Here to Continue |confirm |q 84212
step
Reach This Location |goto Tanaris 59.23,91.55 < 100 |c |q 84212
|tip Swim along the coast to reach this location.
|tip Save your swim speed boost potion.
|tip You will be swimming across to the remote island again, from this location.
step
_NOTE:_
Swim South Toward the Island
|tip Look toward the south, and a bit southwest.
|tip You should see an island in the distance.
use the Guided Buoyancy Accelerant##226856
|tip Use it to boost your swim speed when you start to get fatigued from swimming in the deeper water.
|tip As you swim, the light colored water on your minimap is safe, and the darker water will give you fatigue.
Click Here Once You Arrive At the Island |confirm |q 84212
step
_NOTE:_
talk Sebastian Jurgens##228956
|tip At the top of of a large platform in the water.
|tip The platform is to the south of the island.
turnin Bookin' it Back##84212
accept Rift Away##84213
step
_NOTE:_
Watch the dialogue
|tip Follow Sebastian Jurgens as he walks.
click Console##456918
|tip It looks like a large machine on the bottom floor of the platform in the water.
Select _"Westfall"_
Teleport to Westfall |complete zone("Westfall") |q 84213
|only if Alliance
step
talk Sebastian Jurgens##227996
|tip In the field nearby, after you teleport to Westfall.
|tip Click the machine next to him to summon the elite enemy.
kill Harvest Golem V000-A##212252
|tip This fight will have 3 phases.
|tip PHASE 1: Interrupt when it's casting abilities.
|tip PHASE 2: Kite it, so its armor stacks get removed.
|tip PHASE 3: Use your "Shield Wall" ability to survive its hits.
Demo the Technology |q 84213/1
|only if Alliance
step
click Mech Arm##459259
|tip It appears on the ground where you killed the golem.
turnin Rift Away##84213
|only if Alliance
step
_NOTE:_
Watch the dialogue
|tip Follow Sebastian Jurgens as he walks.
click Console##456918
|tip It looks like a large machine on the bottom floor of the platform in the water.
Select _"Tirisfal"_
Teleport to Tirisfal Glades |complete zone("Tirisfal Glades") |q 84213
|only if Horde
step
talk Sebastian Jurgens##227996
|tip In the field nearby, after you teleport to Tirisfal Glades.
|tip Click the machine next to him to summon the elite enemy.
kill Harvest Golem V000-A##212252
|tip This fight will have 3 phases.
|tip PHASE 1: Interrupt when it's casting abilities.
|tip PHASE 2: Kite it, so its armor stacks get removed.
|tip PHASE 3: Use your "Shield Wall" ability to survive its hits.
Demo the Technology |q 84213/1
|only if Horde
step
click Mech Arm##459259
|tip It appears on the ground where you killed the golem.
turnin Rift Away##84213
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warrior\\Phase 4 Runes\\Commanding Shout (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Commanding Shout skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Handbook of Commanding Shout##216746 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Handbook of Commanding Shout##216746 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Aegis [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Aegis on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Purify Spell
|tip Make sure you learn the Purify spell from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
Enter the mine |goto Elwynn Forest 61.71,53.87 < 15 |walk
collect Rune of Aegis##205685 |goto Elwynn Forest 61.97,47.31
|tip Use your "Purify" ability on the Wounded Adventurer.
|tip It looks like a green human soldier laying on the ground.
|tip Inside the mine.
|tip If he's kneeling, wait for him to respawn.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Aegis [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Aegis on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Purify Spell
|tip Make sure you learn the Purify spell from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
collect Rune of Aegis##205685 |goto Dun Morogh 25.60,43.43
|tip Use your "Purify" ability on the Wounded Adventurer.
|tip It looks like a gnome laying on the ground with smoke rising off of him.
|tip If he's kneeling, wait for him to respawn.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Avenger's Shield [Redridge Mountains]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Avenger's Shield on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Dro'zem the Blasphemous##214456
|tip He looks like an orc wearing a purple robe.
|tip He is a level 23 rare elite enemy, and can spawn in multiple locations.
collect Rune of the Avenger##211488 |goto Redridge Mountains 34.8,7.6
Also check around: |notinsticky
[57.4,41.4]
[63.2,43.0]
[78.2,68.8]
[78.0,72.4]
[74.6,76.8]
[75.6,82.0]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Beacon of Light",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Beacon of Light on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Honored Reputation with Azeroth Commerce Authority |complete rep("Azeroth Commerce Authority") >= Honored
|tip As you kill enemies anywhere in the world, you will loot "Waylaid Supplies" items.
|tip To gain reputation with this faction, turn them in to Supply Officers in the 3 major cities.
|tip You can turn in the Waylaid Supplies crates empty.
|tip However, if you fill the crates with the items they require (according to their tooltip), you will gain more reputation.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
step
buy Rune of Beckoning Light##211387
|tip You can buy it from Supply Officers in the 3 major cities.
|tip It costs 2 gold.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Crusader Strike (Human Only) [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Crusader Strike on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Elwynn Forest 48.30,42.00 < 10 |walk
talk Brother Sammuel##925
|tip Inside the building, on the ground floor.
accept Relics of the Light##77617 |goto Elwynn Forest 50.43,42.12
step
_NOTE:_
Learn the Judgement Ability
|tip Make sure to learn the Judgement ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm
step
Leave the building |goto 48.30,42.00 < 10 |walk |only if _G.IsIndoors()
kill Defias Thug##38+
collect Libram of Judgement##205420 |goto 56.09,42.35 |q 77617
You can find more around [53.20,50.30]
step
Equip the Libram of Judgement |equipped Libram of Judgement##205420 |q 77617
step
kill Defias Thug##38+
|tip Use your "Seal of Righteousness" ability, and then use your "Judgement" ability on them.
|tip You will gain a buff.
|tip Repeat this process until you have 10 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 56.09,42.35 |q 77617
You can find more around [53.20,50.30]
step
use the Libram of Judgement##205420
Learn the Spell: Engrave Gloves - Crusader Strike |q 77617/1
step
Enter the building |goto 48.30,42.00 < 10 |walk
talk Brother Sammuel##925
|tip Inside the building, on the ground floor.
turnin Relics of the Light##77617 |goto 50.43,42.12
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Crusader Strike (Dwarf Only) [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Crusader Strike on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.79,69.06 < 10 |walk
talk Bromos Grummner##926
|tip Inside the building.
accept Relics of the Light##77657 |goto Dun Morogh 28.83,68.33
step
_NOTE:_
Learn the Judgement Ability
|tip Make sure to learn the Judgement ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm |q 77657
step
kill Frostmane Troll Whelp##706+
collect Libram of Judgement##205420 |goto 21.04,76.30 |q 77657
You can find more around: |notinsticky
[22.77,79.78]
[26.81,79.90]
step
Equip the Libram of Judgement |equipped Libram of Judgement##205420 |q 77657
step
kill Frostmane Troll Whelp##706+
|tip Use your "Seal of Righteousness" ability, and then use your "Judgement" ability on them.
|tip You will gain a buff.
|tip Repeat this process until you have 10 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 21.04,76.30 |q 77657
You can find more around: |notinsticky
[22.77,79.78]
[26.81,79.90]
step
use the Libram of Judgement##205420
Learn the Spell: Engrave Gloves - Crusader Strike |q 77657/1
step
Enter the building |goto 28.79,69.06 < 10 |walk
talk Bromos Grummner##926
|tip Inside the building.
turnin Relics of the Light##77657 |goto 28.83,68.33
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Divine Sacrifice [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Divine Sacrifice on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
collect 25 Shredder Autosalvage Unit##210147 |q 78267 |future
|tip These are made with the Engineering profession.
|tip The schematic drops from Sneed in the Deadmines dungeon.
|tip You can make them yourself, get a friend to help, or buy them from the Auction House.
|tip To make one, you need 1 Bronze Framework, 2 Whirring Bronze Gizmo, 1 Heavy Leather.
|tip You will use them to collect 16 quest items, but they can fail, so get 25 at a minimum.
|tip If you don't have enough, you may have to backtrack to make more later.
step
kill Venture Co. Light Shredder##214129+
|tip They look like grey metal humanoid machines that walk around this area.
|tip They are fairly uncommon, so you may have to search around.
use the Shredder Autosalvage Unit##210147+
|tip Use them on their corpses.
collect 16 Shredder Turbochargers##78267 |goto Stonetalon Mountains 60.69,52.32 |q 78267 |future
You can find more around: |notinsticky
[67.0,56.8]
[69.8,54.8]
[72.8,53.8]
[68.8,47.8]
[66.2,47.2]
step
kill Bluegill Oracle##1029+
|tip They wander all over the marsh area just east of the coast.
|tip You can also farm Bluegill Raiders along the coast south of Menethil Harbor.
collect 24 Fish Oil##17058 |goto Wetlands 16.12,31.71 |q 78265 |future
|tip You can also purchase these from the auction house.
You can find Bluegill Raiders at [12.61,64.82]
step
kill Dark Iron Insurgent##1169+
|tip They look like grey dwarves.
|tip Inside the cave.
collect 20 Dark Iron Ordinance##210138 |goto 63.35,77.50 |q 78266 |future
|tip The drop rate is very low.
You can find more in Loch Modan at [Loch Modan 58.61,15.88]
step
Collect 5 Gold |complete _G.GetMoney() >= 50000
|tip Grizzby won't speak with you unless you have at least 5 gold.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
|tip You may have to go through some dialogue prompts before he offers you a few turn-in quests.
accept Dark Iron Ordinance##78266 |goto The Barrens 61.92,39.32
accept Fish Oil##78265 |goto The Barrens 61.92,39.32
accept Shredder Turbochargers##78267 |goto The Barrens 61.92,39.32
accept Let Me Make You An Offer##78287 |goto The Barrens 61.92,39.32
step
Enter the building |goto Stormwind City/0 78.04,47.96 < 10
talk Master Wood##8383
|tip Inside the building.
turnin Let Me Make You An Offer##78287 |goto 79.17,47.65
accept You've Got Yourself A Deal##78297 |goto 79.17,47.65
step
Enter the building |goto The Barrens/0 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
turnin You've Got Yourself A Deal##78297 |goto 61.92,39.32
step
talk Grizzby##211653
|tip Inside the building.
buy Rune of Sacrifice##210820 |goto 61.92,39.32
|tip It costs 5 gold.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Divine Storm",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Divine Storm on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the tower |goto Darkshore 56.50,26.45 < 10 |walk
click Strange Orb##409289
|tip It looks like a pink ball on a wooden table.
|tip At the top of the tower.
|tip You will need a group to help you
collect Althalaxx Orb##209836 |goto Darkshore 56.24,26.50 |q 78089 |future
step
talk Delgren the Purifier##3663
accept Advice From Stormwind##78089 |goto Ashenvale 26.20,38.70
step
Enter the building |goto Stormwind City 43.02,34.44 < 15 |walk
talk Katherine the Pure##5492
|tip Inside the building.
turnin Althalaxx Orb##209836 |goto Stormwind City 37.22,31.86
accept A Second Opinion##78090 |goto Stormwind City 37.22,31.86
step
Enter the building |goto 29.15,74.15 < 10 |walk
talk Ursula Deline##5495
|tip Downstairs inside the building.
turnin A Second Opinion##78090 |goto 26.12,77.22
accept Earning Your Salt##78091 |goto 26.12,77.22
step
Kill Blackrock enemies around this area
|tip They look like orcs.
|tip Inside and outside the cave.
collect 14 Summoner's Salt##209778 |q 78091/1 |goto Redridge Mountains 33.22,6.92
step
Enter the building |goto Stormwind City 29.15,74.15 < 10 |walk
talk Ursula Deline##5495
|tip Downstairs inside the building.
turnin Earning Your Salt##78091 |goto Stormwind City 26.12,77.22
accept It Must Be Destroyed##78092 |goto Stormwind City 26.12,77.22
step
Kill enemies around this area
|tip They look like various types of demons.
collect 12 Mote of Mannoroth##209779 |q 78092/1 |goto Ashenvale 82.20,68.06
step
Follow the path |goto 84.19,72.06 < 30 |only if walking
Continue following the path |goto 87.41,79.04 < 30 |only if walking
click Spear of Mannoroth##409311
|tip It look like 2 purple circles on the ground beneath 2 huge floating daggers.
|tip You will need a group to help you
turnin It Must Be Destroyed##78092 |goto 89.43,76.99
step
click Shattered Orb##409315
|tip It appears on the ground.
accept Return to Delgren##78093 |goto 89.43,76.99
step
talk Delgren the Purifier##3663
turnin Return to Delgren##78093 |goto 26.20,38.70
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Aura Mastery [Duskwood]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Aura Mastery on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Exorcism and Turn Undead Spells
|tip Make sure you learn the Exorcism and Turn Undead spells from your class trainer.
|tip You need the spells in order to get the rune.
Click Here to Continue |confirm
step
Kill Defias enemies around this area
|tip They look like humans.
collect Libram of Banishment##211472 |goto Duskwood 49.50,74.61
step
Equip the Libram of Banishment |equipped Libram of Banishment##211472
step
Kill enemies around this area
|tip When they are almost dead, use your "Turn Undead" ability, and then use your "Exorcism" ability to get the killing blow.
|tip You will gain a buff.
|tip Repeat this process until you have 5 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 78.92,70.54
step
use the Libram of Banishment##211472
|tip You will learn the Aura Mastery Rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Hand of Reckoning [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Hand of Reckoning on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Hammer of Justice Spell
|tip Make sure you learn the Hammer of Justice spell from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
kill Defias Drone##7050+
|tip They look like undead.
collect Libram of Justice##208851 |goto Westfall 70.98,72.71
step
Equip the Libram of Justice |equipped Libram of Justice##208851
step
Kill enemies around this area
|tip When they are almost dead, use your "Hammer of Justice" ability to stun them, and then kill them while they are stunned.
|tip You will gain a buff.
|tip Repeat this process until you have 10 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 64.03,74.37
step
use the Libram of Justice##208851
|tip You will learn the Hand of Reckoning Rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Hand of Reckoning [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Hand of Reckoning on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Hammer of Justice Spell
|tip Make sure you learn the Hammer of Justice spell from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
Enter the cave |goto Loch Modan 35.20,84.00 < 20 |walk
click Sunken Reliquary##407850
|tip It looks like a stone chest underwater.
|tip Inside the cave.
collect Libram of Justice##208851 |goto Loch Modan 36.65,91.56
step
Equip the Libram of Justice |equipped Libram of Justice##208851
step
Kill enemies around this area
|tip Inside and outside the cave.
|tip When they are almost dead, use your "Hammer of Justice" ability to stun them, and then kill them while they are stunned.
|tip You will gain a buff.
|tip Repeat this process until you have 10 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 35.20,84.00
step
use the Libram of Justice##208851
|tip You will learn the Hand of Reckoning Rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Hallowed Ground [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Hallowed Ground on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Undying Laborer##210537+
|tip They look like white skeletons.
|tip When their health reaches zero, they will lay down.
|tip Use a spell to deal Holy damage to it while it is laying down and it will die.
collect Libram of Blessings##208849 |goto Westfall 44.54,24.93
step
Equip the Libram of Blessings |equipped Libram of Blessings##208849
step
Gain the Inspired Buff |havebuff Inspired##408828
|tip Use any Blessing spell on a friendly player anywhere in the world.
|tip You will gain a buff.
|tip Repeat this process until you have 5 stacks of the Building Inspiration buff.
step
use the Libram of Blessings##208849
|tip You will learn the Hallowed Ground Rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Hallowed Ground [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Hallowed Ground on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Loch Modan 35.22,47.74 < 10 |walk
click Libram of Blessings##407844
|tip It looks like a green book on a wooden table.
|tip Downstairs inside the building.
collect Libram of Blessings##208849 |goto Loch Modan 35.81,49.57
step
Equip the Libram of Blessings |equipped Libram of Blessings##208849
step
Gain the Inspired Buff |havebuff Inspired##408828
|tip Use any Blessing spell on a friendly player anywhere in the world.
|tip You will gain a buff.
|tip Repeat this process until you have 5 stacks of the Building Inspiration buff.
step
use the Libram of Blessings##208849
|tip You will learn the Hallowed Ground Rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Inspiration Exemplar [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Inspiration Exemplar on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Bring Someone to Help You
|tip You will need at least 1 other person that is either a Priest or Paladin.
step
clicknpc Adventurer's Remains##204827
|tip It looks like a white skeleton laying on the ground.
Choose _"Begin the ritual."_
|tip Click the Spirit Ritual portal that appears.
|tip Anyone helping you should also click on the portal.
|tip A spirit will appear and die.
|tip Loot the spirit.
collect Rune of Inspiration##206264 |goto Elwynn Forest 52.2,84.6
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Inspiration Exemplar [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Inspiration Exemplar on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Bring Someone to Help You
|tip You will need at least 1 other person that is either a Priest or Paladin.
step
Enter the cave |goto Dun Morogh 42.25,53.95 < 40 |walk
clicknpc Adventurer's Remains##204827
|tip It looks like a white skeleton laying on the ground.
|tip Inside the cave.
Choose _"Begin the ritual."_
|tip Click the Spirit Ritual portal that appears.
|tip Anyone helping you should also click on the portal.
|tip A spirit will appear and die.
|tip Loot the spirit.
collect Rune of Inspiration##206264 |goto Dun Morogh 43.03,49.59
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Rebuke [Stormwind City]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Rebuke on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 21.49,59.69 < 10 |walk
talk Liv Bradford##203475
|tip Inside the building.
Ask her _"How's business?"_
Click Here to Continue |confirm |goto Stormwind City 22.60,64.59
step
talk Stuart##203478
|tip Inside the building.
Tell him _"Seems you've had a few too many. Time for you to leave."_
kill Stuart##203478
Click Here to Continue |confirm |goto 21.22,62.79
step
talk Liv Bradford##203475
|tip Inside the building.
Tell her _"I've taken care of Stuart. He shouldn't be a problem anymore."_
collect Rune of Rebuke##205683 |goto 22.60,64.59
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Divine Light [Stormwind City]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Divine Light on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 43.04,34.46 < 15 |walk
talk Brother Romulus##205278
|tip Inside the building.
Ask him _"What's wrong, brother Romulus?"_
Click Here to Continue |confirm |goto Stormwind City 38.11,28.08
step
Follow the path down into the crypt |goto 37.31,29.79 < 10 |walk
click Charred Note##402215
|tip It looks like a torn piece of paper sitting on a ledge at the bottom of the crypt beneath the cathedral.
collect Charred Note##205864 |goto 33.02,24.80
step
talk Ada Gelhardt##205153
Tell her _"As one candle is snuffed out, another is lit."_
kill Ada Gelhardt##205153
|tip She will eventually surrender.
|tip She is a level 10 enemy.
Click Here After Defeating Her |confirm |goto Duskwood 4.35,28.28
step
talk Ada Gelhardt##205153
Choose _[Keep Listening]_
collect Rune of Divine Light##205897 |goto 4.35,28.28
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 2 Runes\\Enlightened Judgements [Arathi Highlands]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Enlightened Judgements on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 34
|tip Use the leveling guides to accomplish this.
|tip You must be at least level 34 to be able to get the rune.
step
_NOTE:_
Learn the _"Divine Shield"_ Ability
|tip Make sure to learn the Divine Shield ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm
step
Kill Boulderfist enemies around this area
|tip They look like ogres.
|tip Inside and outside the cave.
|tip Syndicate, Witherbark, Dark Iron, Hammerfall, Drywhisker and Daggerspine enemies in Arathi Highlands can drop the items.
collect Tarnished Prayer Bead I##213444 |goto Arathi Highlands 34.90,44.20
collect Tarnished Prayer Bead II##213445 |goto Arathi Highlands 34.90,44.20
collect Tarnished Prayer Bead III##213446 |goto Arathi Highlands 34.90,44.20
You can find more humanoid enemies around: |notinsticky
[Arathi Highlands 32.42,28.60]
[Arathi Highlands 65.01,70.76]
step
Kill enemies around this area
Maintain the "Blessing of Might" Buff |complete hasbuff(19834)
|tip Make sure you have the Blessing of Might buff active.
|tip Eventually, the Tarnished Prayer Bead will become Divine.
collect Divine Prayer Bead I##213448 |goto 32.42,28.60
step
Kill enemies around this area
|tip Use your Divine Shield ability when you are less than 10% health.
|tip The Tarnished Prayer Bead will become Divine.
collect Divine Prayer Bead II##213449 |goto 32.42,28.60
step
Kill enemies around this area
|tip You need an enemy that will flee when it reaches low health.
|tip The Syndicate enemies work well for this.
|tip Use your Seal of Justice ability before they flee.
|tip When they flee, with Seal of Justice still active, use your Judgement ability to stop them from fleeing.
|tip The Tarnished Prayer Bead will become Divine.
collect Divine Prayer Bead III##213450 |goto 32.42,28.60
step
use the Divine Prayer Bead I##213448
collect Rosary of the Light##213447
step
Enter Stromgarde Keep |goto 26.05,55.68 < 30 |only if walking
|tip There are elite enemies all around this area.
Run through the archway and follow the path around |goto 24.08,60.53 < 30 |only if walking
Continue following the path |goto 24.03,58.26 < 30 |c
step
Cross the bridge |goto 25.65,58.14 < 15 |only if walking
Follow the path to the back of the building |goto 27.81,58.99 < 10 |only if walking
talk Brother Atticus##217387
Tell him _"Here, brother, I have found your rosary."_
collect Rune of Piety##213128 |goto 26.97,56.94
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 2 Runes\\Guarded by the Light [Alterac Mountains]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Guarded by the Light on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Bring a Friend Who Can Resurrect You
|tip You will kill yourself in order to collect the rune.
Learn the "Divine Intervention" Ability
|tip Make sure to learn the Divine Intervention ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm
step
click Frozen Remains##423841
|tip It looks like a skeleton on the ground next to the wall.
collect Dormant Holy Rune##213452 |goto Alterac Mountains 39.66,60.68
step
Use Your Divine Intervention Ability
|tip Use it while targeting your friend who can resurrect you.
|tip You will die.
|tip Have your friend resurrect you after you die.
collect Rune of the Guardian##213132
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 2 Runes\\Infusion of Light",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Infusion of Light on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
collect Ariden's Sigil##216941 |goto Deadwind Pass 52.08,34.10
step
Equip Ariden's Sigil |equipped Ariden's Sigil##216941
|tip If you are grouped, only one player needs to wear this.
step
Follow the path down |goto 44.14,32.57 < 30 |only if walking
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Curious Dalaran Relic##216945 |goto 42.59,27.49
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Odd Dalaran Relic##216948 |goto Swamp of Sorrows 69.37,23.84
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Glittering Dalaran Relic##216946 |goto Duskwood 24.74,46.14
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Slippery Dalaran Relic##216951 |goto Badlands 58.98,55.06
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Whirring Dalaran Relic##216947 |goto Arathi Highlands 60.74,40.79
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Heavy Dalaran Relic##216949 |goto The Barrens 52.14,36.59
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Creepy Dalaran Relic##216950 |goto Desolace 64.99,25.12
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
accept Curious Dalaran Relic##80147 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80149 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80098 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80152 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80148 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80150 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80151 |goto Deadwind Pass 52.08,34.10
step
talk Dalaran Agent##218920
accept A Service to Dalaran##80120 |goto Deadwind Pass 52.08,34.10
step
use the Supply Bag##217014
collect Rune of Infusions##213130
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 2 Runes\\Sacred Shield",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Sacred Shield on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the "Blessing of Freedom" Ability
|tip Make sure to learn the Blessing of Freedom ability from your class trainer:
|tip You will need it to get the rune.
Click Here to Continue |confirm
step
click Libram of Deliverance##423695
|tip It looks like a book laying on a bench.
|tip Inside the building, on the middle floor.
collect Libram of Deliverance##213513 |goto Desolace 66.53,7.53
step
Equip the Libram of Deliverance |equipped Libram of Deliverance##213513
step
Use your "Blessing of Freedom" Ability
|tip You need to use it on players of your faction which are affected by immobilizing effects, such as being netted.
|tip The easiest way to get this done is to bring a friend with you.
|tip Let your friend become netted by an enemy, then free them using Blessing of Freedom.
|tip The Murloc Netters around this area are good for getting this done.
|tip You will gain a buff.
|tip Repeat this process until you have 5 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto Westfall 38.00,14.00
step
use the Libram of Deliverance##213513
|tip You will learn the Sacred Shield rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 2 Runes\\Sheath of Light",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Sheath of Light on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Broken Warhammer##423703
|tip It looks like a hammer on the ground.
collect Broken Hammer##215441 |goto Desolace 52.73,84.77
step
use the Broken Hammer##215441
accept The Broken Hammer##79939
step
kill Burning Blade Summoner##4668+
|tip They look like orcs wearing robes around this area.
collect Torn Letter##216956 |q 79939/2 |goto 53.04,80.72
You can find more around: |notinsticky
[50.94,74.49]
[54.59,71.37]
step
Enter the building |goto Stormwind City 42.99,34.37 < 15 |walk
talk Katherine the Pure##5492
|tip Inside the building.
turnin The Broken Hammer##79939 |goto Stormwind City 37.22,31.86
accept A Lost Brother##79940 |goto Stormwind City 37.22,31.86
step
talk Katherine the Pure##5492
|tip Inside the building.
Ask her _"How did he come to leave the order?"_
Speak with Katherine and Learn More |q 79940/1 |goto 37.22,31.86
step
talk Katherine the Pure##5492
|tip Inside the building.
turnin A Lost Brother##79940 |goto 37.22,31.86
step
talk Harold Riggs##3179
Ask him _"Pardon me, did you say "Aeonas". As in, Aeonas the Quiet? Do you know him?"_
|tip Go through the dialogue options.
Click Here to Continue |confirm |goto Wetlands 8.08,58.59
step
_NOTE:_
Prepare for a Long Swim
|tip In the next step, you will swim from Menethil Harbor, in the Wetlands, along the coast to a location in Dun Morogh.
|tip Swim along the coast, near the cliffs, to avoid becoming too fatigued.
|tip To prevent any travel issues, the travel system will be disabled in the next step, so make sure you begin the step while you are already in Menethil Harbor.
Prepare for a Difficult Fight
|tip You will have to kill a level 40 elite enemy.
|tip You may need help, so try to bring friends.
Click Here to Continue |confirm
step
clicknpc Slain Scarlet Crusader##217957
|tip Inside the small building.
|tip On the coast, next to the ocean.
Choose _"Continue searching the crusader's body for clues."_
|tip You will be attacked by a level 40 elite enemy.
kill Scarlet Crusade Assassin##217943
collect Orders from the Grand Crusader##215468 |goto Dun Morogh 11.45,75.70 |notravel
step
use the Orders from the Grand Crusader##215468
accept Orders from the Grand Crusader##79945
step
Enter the building |goto Stormwind City 42.99,34.37 < 15 |walk
talk Katherine the Pure##5492
|tip Inside the building.
Report Back to Katherine the Pure |q 79945/1 |goto Stormwind City 37.22,31.86
step
talk Katherine the Pure##5492
|tip Inside the building.
turnin Orders from the Grand Crusader##79945 |goto 37.22,31.86
accept A Brother In Need##79946 |goto 37.22,31.86
step
talk Katherine the Pure##5492
|tip Inside the building.
Tell her _"You mentioned something about whatever caused Aeonas to leave the Silver Hand. What happened, truly?"_
Learn More About Aeonas from Katherine |q 79946/1 |goto 37.22,31.86
step
_Inside the Scarlet Monastery Cathedral Dungeon:_
Complete the Dungeon
|tip Kill High Inquisitor Whitemane, the final boss of the dungeon.
|tip Use the Scarlet Monastery Cathedral dungeon guide to accomplish this.
|tip Enter High Inquisitor Whitemane's chamber room after killing her.
|tip You will find Aeonas there.
talk Aeonas##217996
|tip Inside High Inquisitor Whitemane's chamber room, which you can access after you kill her to complete the dungeon.
|tip Laying on a table in the middle of the room.
Find Aeonas in the Scarlet Monastery |q 79946/2
step
_Inside the Scarlet Monastery Cathedral Dungeon:_
talk Aeonas##217996
|tip Inside High Inquisitor Whitemane's chamber room, which you can access after you kill her to complete the dungeon.
|tip Laying on a table in the middle of the room.
turnin A Brother In Need##79946
accept By The Light's Grace##79963
step
_Inside the Scarlet Monastery Cathedral Dungeon:_
Use Your Healing Spells on Aeonas
|tip Heal him until he reaches full health.
|tip Inside High Inquisitor Whitemane's chamber room, which you can access after you kill her to complete the dungeon.
|tip Laying on a table in the middle of the room.
Heal Aeonas |q 79963/1
step
_Inside the Scarlet Monastery Cathedral Dungeon:_
talk Aeonas##217996
|tip Inside High Inquisitor Whitemane's chamber room, which you can access after you kill her to complete the dungeon.
|tip Laying on a table in the middle of the room.
turnin By The Light's Grace##79963
accept Aeonas the Vindicated##79970
step
Enter the building |goto Stormwind City 42.99,34.37 < 15 |walk
talk Aeonas the Vindicated##218160
|tip Inside the building.
turnin Aeonas the Vindicated##79970 |goto Stormwind City 37.37,31.72
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 2 Runes\\The Art of War",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe The Art of War on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
|tip This requires you to be level 30 at the least.
Click Here to Continue |confirm
step
click Extinguished Campfire##417353
|tip In the abandoned camp on top of the hill.
accept Highway Robbery##79229 |goto Desolace 47.50,54.61
|tip You may need to be level 30 to be able to accept the quest.
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Highway Robbery##79229 |goto 62.33,38.98
accept On the Lam##79235 |goto 62.33,38.98
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin On the Lam##79235 |goto Stranglethorn Vale 26.99,77.28
accept Cherry for Your Thoughts?##79236 |goto Stranglethorn Vale 26.99,77.28
step
talk Nixxrax Fillamug##2832
|tip Inside the building, on the ground floor.
buy Cherry Grog##4600 |q 79236/1 |goto 27.04,77.17
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin Cherry for Your Thoughts?##79236 |goto 26.99,77.28
accept No Honor Among Thieves##79242 |goto 26.99,77.28
step
click Rowboat##420055 |goto Arathi Highlands 53.76,91.58
|tip It looks like a small brown wooden boat, in the water near the shore.
|tip You will be transported to another location.
Travel to the Remote Location |goto Arathi Highlands 89.61,77.88 < 200 |noway |c |q 79242
step
talk Illari Duskfeather##215655
|tip On the dock.
Find Illari Duskfeather |q 79242/1 |goto 93.87,71.55
step
talk Illari Duskfeather##215655
kill Illari Duskfeather##215655
|tip A Dropped Puch will appear on the ground near where she dies.
click Dropped Pouch##423569
|tip It looks like a small tan bag.
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
step
click Illari's Loot Cache##418855
|tip It looks like a grey metal chest.
turnin No Honor Among Thieves##79242 |goto 94.09,69.24
step
use the Jewel-Encrusted Box##212553
collect Rune of Warfare##212551
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 3 Runes\\Hammer of the Righteous",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Hammer of the Righteous on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Collect the Fanaticism Rune
|tip Use the Fanaticism rune guide to accomplish this.
|tip You need to have that rune collected to continue.
Click Here to Continue |confirm |q 81790 |future
step
ding 50
|tip It is recommended to be at least level 50 to continue.
|tip Use the Leveling guides to accomplish this.
step
talk Silver Hand Charger##221832
Choose _<Give the horse a pat>_
Click Here to Continue |confirm |goto Felwood 51.09,81.70 |q 81790 |future
step
Locate the Climbing Rope |goto 43.16,57.15 < 15 |c |q 81790 |future
step
click Climbing Rope
|tip It looks like a rope coiled on the ground.
Climb Up the Mountain |goto 43.16,57.15 > 15 |c |q 81790 |future
step
Locate the Climbing Rope |goto 44.25,56.35 < 15 |c |q 81790 |future
|tip Further up the mountain.
step
click Climbing Rope
|tip It looks like a rope coiled on the ground.
|tip Further up the mountain.
Climb Up the Mountain |goto 44.25,56.35 > 15 |c |q 81790 |future
step
talk Aeonas the Vindicated##221587
|tip Up in the mountains.
Tell him _"Thank goodness I've found you! What... what is going on here, Aeonas?"_
|tip Go through all of his dialogue.
Click Here to Continue |confirm |goto 45.01,52.10 |q 81790 |future
step
talk Gregory##221636
|tip Up in the mountains.
Tell him _"I've no time for games, undead. I need you to make this make sense to me."_
accept Materials of Significance##81790 |goto 44.65,51.96
step
Kill enemies around this area
|tip They look like fire elementals and infernals.
collect 3 Fiery Infernal Core##220166 |q 81790/1 |goto 43.41,40.26
step
talk Brave Stonetorch##214529
|tip Avoid Tarren Mill while traveling here.
accept A New Discovered Purpose...##81944 |goto Hillsbrad Foothills 67.38,14.62 |instant
collect Symbol of Faith##220169 |q 81790/4 |goto Hillsbrad Foothills 67.38,14.62
step
_Enter the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide to accomplish this.
kill Princess Theradras##12201
click Grave Mound##441222
|tip It looks like a small green pile of dirt with parts of a white skeleton in it.
|tip It appears on the small grassy hill in the middle of the area where you kill Princess Theradras.
collect Shimmering Grave Dust##220167 |q 81790/2
step
_Enter the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide to accomplish this.
talk Plugger Spazzring##9499
|tip He looks like a gnome wearing a red wizard hat.
|tip He walks on the bar in The Grim Guzzler tavern area inside the Blackrock Depths dungeon.
buy Triple-Brewed Molten Lager##220168 |q 81790/3
step
Locate the Climbing Rope |goto Felwood 43.16,57.15 < 15 |c |q 81790
step
click Climbing Rope
|tip It looks like a rope coiled on the ground.
Climb Up the Mountain |goto 43.16,57.15 > 15 |c |q 81790
step
Locate the Climbing Rope |goto 44.25,56.35 < 15 |c |q 81790
|tip Further up the mountain.
step
click Climbing Rope
|tip It looks like a rope coiled on the ground.
|tip Further up the mountain.
Climb Up the Mountain |goto 44.25,56.35 > 15 |c |q 81790
step
talk Gregory##221636
|tip Up in the mountains.
turnin Materials of Significance##81790 |goto 44.65,51.96
step
talk Aeonas the Vindicated##221587
|tip Up in the mountains.
accept The Ritual##81885 |goto 45.01,52.10
step
talk Gregory##221636
|tip Up in the mountains.
Tell him _"I've spoken with Aeonas and he is ready to start the ritual."_
Watch the dialogue
Complete the Ritual |goto 44.65,51.96
step
talk Aeonas the Vindicated##221587
|tip Up in the mountains.
turnin The Ritual##81885 |goto 45.01,52.10
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 3 Runes\\Fanaticism",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Fanaticism on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Collect the Sheath of Light Rune
|tip Use the Sheath of Light rune guide to accomplish this.
|tip You need to have that rune collected to continue.
Click Here to Continue |confirm
step
ding 44
|tip Use the Leveling guides to accomplish this.
step
Enter the cathedral |goto Stormwind City 43.02,34.41 < 15 |walk
talk Aeonas the Vindicated##218160
|tip Inside the building.
accept Some Good News##81762 |goto Stormwind City 37.37,31.72
step
talk Katherine the Pure##5492
|tip Inside the building.
Speak with Katherine the Pure |q 81762/1 |goto 37.22,31.86
step
talk Katherine the Pure##5492
|tip Inside the building.
turnin Some Good News##81762 |goto 37.22,31.86
accept The Mysterious Merchant##81764 |goto 37.22,31.86
step
talk Elrick##221575
|tip Inside the building.
Travel to Theramore and Find the Mysterious Merchant |q 81764/1 |goto Dustwallow Marsh 66.51,45.40
step
talk Elrick##221575
|tip Inside the building.
turnin The Mysterious Merchant##81764 |goto 66.51,45.40
accept Elrick, Paladin of the Silver Hand##81765 |goto 66.51,45.40
step
talk Elrick##221575
|tip Inside the building.
Tell him _"One moment, please. Katherine sent you? Who are you?"_
|tip He will attack you, along with the Stern-faced Bar Patron.
kill Elrick##221575
collect Bloody Missive##219930 |goto 66.51,45.40
step
talk Innkeeper Janene##6272
|tip Inside the building.
turnin Elrick, Paladin of the Silver Hand##81765 |goto 66.55,45.25
step
use the Bloody Missive##219930
accept The Bloody Missive##81766
step
Enter the cathedral |goto Stormwind City 43.02,34.41 < 15 |walk
talk Aeonas the Vindicated##218160
|tip Inside the building.
turnin The Bloody Missive##81766 |goto Stormwind City 37.37,31.72
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 3 Runes\\Improved Sanctuary",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Improved Sanctuary on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip You need to be level 50 to collect this rune.
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Start Gathering a Group
|tip You will be killing elite enemies and running multiple dungeons to get this rune.
|tip While you travel to accept the quest in the next step, start trying to put together a full dungeon group.
Click Here to Continue |confirm |q 82043 |future
step
talk Shadowtooth Emissary##222408
accept The Wild Gods##82043 |goto Felwood 51.57,81.96
step
Kill Vilbranch enemies around this area
|tip They look like elite trolls.
|tip You can find them all around the Jintha'Alor area.
collect Wildwhisper Draught##221261 |goto The Hinterlands 66.50,66.40 |q 82043
|tip Only 1 player in your dungeon group needs to collect this item.
|tip Everyone doesn't need to have it, so if someone else in your group gets it, you can continue to the next step.
step
Follow the path to the Razorfen Downs dungeon portal |goto The Barrens 44.90,88.86 < 50 |only if walking
Run through the giant skull and follow the path to the Razorfen Downs dungeon portal |goto The Barrens 49.27,93.08 < 20 |walk
Enter the Razorfen Downs Dungeon
|tip After running through the giant skull, the aypoint arrow won't work anymore, so follow the path until you come to a swirling portal.
|tip Enter the swirling portal to enter the dungeon.
Click Here to Continue |confirm |goto The Barrens 49.27,93.08 |q 82043
step
_Inside the Razorfen Downs Dungeon:_
|tip Use the Razorfen Downs dungeon guide.
kill Amnennar the Coldbringer##7358
|tip He's the final boss inside the dungeon.
use the Wildwhisper Draught##221261
|tip Use it after killing the boss.
|tip Have the person in your group use it that has this item, if you don't have it.
talk Spirit of Agamaggan##222522
turnin The Wild Gods##82043
accept The Wild Gods##82044
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You need to go to 1 of 3 different dungeons to collect the quest items.
|tip You can complete the same dungeon repeatedly to get all of the quest items.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Turnin_The_Wild_Gods"
talk Shadowtooth Emissary##222408
turnin The Wild Gods##82044 |goto Felwood 51.57,81.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 3 Runes\\Wrath",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Wrath on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the _"Sense Undead"_ Ability
|tip Make sure to learn the Sense Undead ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm
step
kill Vengeful Spirit##221828
|tip Use your Sense Undead ability to be able to see it.
|tip It looks like a white banshee ghost near this area.
|tip This may only be able to be done at night.
collect Rune of Wrath##220165 |goto The Hinterlands 31.21,43.80
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 3 Runes\\Purifying Power",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Purifying Power on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Find Warlocks or Mages to Help You
|tip Warlocks and Mages are able to collect items that they can use to help you get this rune.
|tip Warlocks can get Worldcore Fragments.
|tip Mages can get Scrolls of Geomancy.
|tip You can mix and match which items to use, but you need a total of 4 items.
|tip They will use these items on Leyline Confluxes for you in 4 different zones.
|tip After using an item a Leyline Conflux, a level 47 elite enemy will appear, and it's immune to Arcane damage.
|tip Try to bring a level 50 friend to help.
Click Here to Continue |confirm
step
label "Choose_A_Zone"
_NOTE:_
Choose a Zone
|tip You keep to collect an item from various zones.
|tip Click the line below for the zone you want to go to.
Azshara				|confirm	|next "Collect_Azshara_Leycryst"		|only if itemcount(221318) == 0
Feralas				|confirm	|next "Collect_Feralas_Leycryst"		|only if itemcount(221317) == 0
Searing Gorge			|confirm	|next "Collect_Blackrock_Leycryst"		|only if itemcount(221319) == 0
The Hinterlands			|confirm	|next "Collect_Hinterlands_Leycryst"		|only if itemcount(221320) == 0
Click Here to Learn the Rune	|confirm	|next "Learn_The_Rune"				|only if ((itemcount(221318) == 1) and (itemcount(221317) == 1) and (itemcount(221319) == 1) and (itemcount(221320) == 1))
step
label "Collect_Azshara_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Azshara Leycryst##221318 |goto Azshara 18.32,79.52
|next "Choose_A_Zone"
step
label "Collect_Feralas_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Feralas Leycryst##221317 |goto Feralas 57.35,62.02
|next "Choose_A_Zone"
step
label "Collect_Blackrock_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Blackrock Leycryst##221319 |goto Searing Gorge 55.15,66.19
|next "Choose_A_Zone"
step
label "Collect_Hinterlands_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Hinterlands Leycryst##221320 |goto The Hinterlands 47.78,59.11
|next "Choose_A_Zone"
step
label "Learn_The_Rune"
use the Hinterlands Leycryst##221320
|tip You will learn the Purifying Power rune.
Click Here to Continue |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 3 Runes\\Improved Hammer of Wrath",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Improved Hammer of Wrath on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with the Emerald Wardens Faction |complete rep("Emerald Wardens") >= Friendly
|tip Use the following guides to accomplish this:
|tip Ashenvale Nightmare Invasion
|tip Duskwood Nightmare Invasion
step
_NOTE:_
Pick the Zone Closest to You
|tip There are Quartermaster NPCs in 4 different zones.
|tip All of them will sell you the item to learn your class rune.
|tip Pick the zone that's closest to you, to be lead to the Quartermaster in that zone.
Ashenvale		|confirm	|next "Ashenvale_Quartermaster"
Feralas			|confirm	|next "Feralas_Quartermaster"
Duskwood		|confirm	|next "Duskwood_Quartermaster"
The Hinterlands		|confirm	|next "The_Hinterlands_Quartermaster"
step
label "Ashenvale_Quartermaster"
talk Quartermaster Kyleen##222685
buy Rune of Affliction##221482		|goto Ashenvale 89.61,40.61		|only if Warlock
buy Rune of Alacrity##221512		|goto Ashenvale 89.61,40.61		|only if Rogue
buy Rune of Bloodshed##221517		|goto Ashenvale 89.61,40.61		|only if Druid
buy Rune of Burn##221483		|goto Ashenvale 89.61,40.61		|only if Shaman
buy Rune of Detonation##221515		|goto Ashenvale 89.61,40.61		|only if Hunter
buy Rune of the Hammer##223288		|goto Ashenvale 89.61,40.61		|only if Paladin
buy Rune of the Protector##221511	|goto Ashenvale 89.61,40.61		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Ashenvale 89.61,40.61		|only if Mage
step
label "Feralas_Quartermaster"
talk Quartermaster Valdane##222687
buy Rune of Affliction##221482		|goto Feralas 48.62,12.48		|only if Warlock
buy Rune of Alacrity##221512		|goto Feralas 48.62,12.48		|only if Rogue
buy Rune of Bloodshed##221517		|goto Feralas 48.62,12.48		|only if Druid
buy Rune of Burn##221483		|goto Feralas 48.62,12.48		|only if Shaman
buy Rune of Detonation##221515		|goto Feralas 48.62,12.48		|only if Hunter
buy Rune of the Hammer##223288		|goto Feralas 48.62,12.48		|only if Paladin
buy Rune of the Protector##221511	|goto Feralas 48.62,12.48		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Feralas 48.62,12.48		|only if Mage
step
label "Duskwood_Quartermaster"
Follow the path up into the Twilight Grove |goto Duskwood 46.83,59.43 < 30 |only if walking and not subzone ("Twilight Grove")
talk Quartermaster Falinar##222684
buy Rune of Affliction##221482		|goto Duskwood 45.76,51.35		|only if Warlock
buy Rune of Alacrity##221512		|goto Duskwood 45.76,51.35		|only if Rogue
buy Rune of Bloodshed##221517		|goto Duskwood 45.76,51.35		|only if Druid
buy Rune of Burn##221483		|goto Duskwood 45.76,51.35		|only if Shaman
buy Rune of Detonation##221515		|goto Duskwood 45.76,51.35		|only if Hunter
buy Rune of the Hammer##223288		|goto Duskwood 45.76,51.35		|only if Paladin
buy Rune of the Protector##221511	|goto Duskwood 45.76,51.35		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Duskwood 45.76,51.35		|only if Mage
step
label "The_Hinterlands_Quartermaster"
talk Quartermaster Alandra##222686
buy Rune of Affliction##221482		|goto The Hinterlands 61.41,34.64	|only if Warlock
buy Rune of Alacrity##221512		|goto The Hinterlands 61.41,34.64	|only if Rogue
buy Rune of Bloodshed##221517		|goto The Hinterlands 61.41,34.64	|only if Druid
buy Rune of Burn##221483		|goto The Hinterlands 61.41,34.64	|only if Shaman
buy Rune of Detonation##221515		|goto The Hinterlands 61.41,34.64	|only if Hunter
buy Rune of the Hammer##223288		|goto The Hinterlands 61.41,34.64	|only if Paladin
buy Rune of the Protector##221511	|goto The Hinterlands 61.41,34.64	|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto The Hinterlands 61.41,34.64	|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 3 Runes\\Light's Grace",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Light's Grace on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Scooty##7853 |goto Stranglethorn Vale 27.60,77.48
Tell him _"Beam me up Scooty!"_
Teleport to the Top of Wirdal Wondergear's Pillar in Feralas |goto Feralas 84.25,43.99 < 40 |noway |c
|only if completedq(79984)
step
click Wondergear Worldporter##446468 |goto 85.28,43.65
Teleport to the Top of Wirdal Wondergear's Pillar |goto 84.25,43.99 < 40 |noway |c
|only if not completedq(79984)
step
Mark Yourself At War with Gadgetzan
|tip Press U to open your reputation panel. Click on Gadgetzan and set it to "At War" temporarily.
|tip This next step is tricky and you may die a few times, so we recommend removing your armor if you want to save on repair bills.
|tip Don't forget to turn "At War" with Gadgetzan off and re-equip your armor after you collect the rune.
Click Here to Continue |confirm
step
Stand At This Exact Location |goto 83.92,43.85
|tip While in this location at the top of the pillar, attack the small Tower Defense Automaton dragon that flies nearby.
|tip If you positioned correctly, it will knock you onto another pillar to the east.
Land on the Other Pillar |goto 81.37,42.57 < 50 |c |noway
If you die, try again using the teleport at [85.28,43.65]
step
talk Frix Xizzix##220930
Choose _"Touch Frix and impart your blessing of protection upon him."_
|tip Heal Frix Xizzix until he stands up and can be talked to.
|tip If he's not here another paladin may have recently healed him and he will respawn in a few minutes.
Click Here When He Successfully Leaves the Pillar |confirm |goto 81.45,42.46
step
Equip Your Gear
|tip If you took off your gear during the previous steps, make sure to equip it again.
Mark Yourself Not At War with Gadgetzan
|tip Press U to open your reputation panel. Click on Gadgetzan and uncheck the "At War" box.
Click Here to Continue |confirm
step
talk Rix Xizzix##214954
buy Rune of Grace##219147 |goto Stranglethorn Vale 28.55,75.75
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 4 Runes\\Shield of Righteousness",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shield of Righteousness on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
map Eastern Plaguelands
path follow strictbounce; loop on; ants curved; dist 40; markers none
path	28.2,86.4	29.6,83.0	28.2,80.4	29.8,77.4	32.2,77.0	33.6,78.2
path	35.6,84.8	37.2,84.6	40.0,82.0	35.4,80.8	37.2,77.8	43.8,76.4
path	43.8,79.0	46.0,79.2	46.4,77.4
kill Slack-Jawed Ghoul##228620
|tip It looks like a red and white zombie.
|tip It walks around this area in a large patrol path, so you may need search.
|tip He may walk along the road, or near the road between the Crown Guard Tower and the Undercroft.
|tip A dwarf spirit will appear after you kill the ghoul.
talk Orthas##228622
accept Oi!##84318
step
use Orthas' Favorite Gold Tooth##227687
|tip This will summon the dwarf spirit.
click Orthas' Hammer##461639
|tip Upstairs inside the building.
collect Ornate Warhammer##227686 |q 84318/1 |goto 61.32,69.29
step
_Next to you:_
use Orthas' Favorite Gold Tooth##227687
|tip This will summon the dwarf spirit.
talk Orthas##228622
turnin Oi!##84318
accept Oh No Ye Don't!##84319
step
use Orthas' Favorite Gold Tooth##227687
|tip This will summon the dwarf spirit.
kill Stitched Horror##8543+
|tip They look like abominations.
collect Partially-Digested Plate Armor##227689 |q 84319/1 |goto 59.93,68.43
You can find more in the Plagewood area around [31.48,25.84]
step
use Orthas' Favorite Gold Tooth##227687
|tip This will summon the dwarf spirit.
_Next to you:_
talk Orthas##228622
turnin Oh No Ye Don't!##84319
accept A Wee Bit O' Necromancy##84330
step
_Inside the Stratholme Dungeon:_
|tip In the Undead side.
kill Maleki the Pallid##10438
|tip He's the 5th boss inside the dungeon.
|tip Use the Stratholme dungeon guide to accomplish this.
collect Necrotic Runestone##227690 |q 84330/1
step
Enter the crypt |goto Eastern Plaguelands 27.86,85.52 < 15 |walk
clicknpc Rotting Dwarf Corpse##229018
turnin A Wee Bit O' Necromancy##84330 |goto Eastern Plaguelands 27.44,85.83
accept Send Me On Me Way!##84414 |goto Eastern Plaguelands 27.44,85.83
step
Watch the dialogue
click Mysterious Chest##462236
turnin Send Me On Me Way!##84414 |goto 27.50,85.84
accept A Thane's Gratitude##84332 |goto 27.50,85.84 |instant
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 4 Runes\\Righteous Vengeance + Shock and Awe + Avenging Wrath",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Righteous Vengeance & Shock and Awe on your cloak, and the Avenging Wrath skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Fallen Knight##227519
Select _"<You close your eyes and utter a short blessing for the soul of the fallen knight.>"_
Click Here to Continue |confirm |goto Western Plaguelands 44.53,46.77
step
talk Squire Cuthbert##227672
|tip Inside the barn.
accept In a Bind##83808 |goto 47.76,50.38
step
click Squire Cuthbert's Sword
collect Squire Cuthbert's Blade##226201 |q 83808/1 |goto 45.68,53.98
step
talk Squire Cuthbert##227672
|tip Inside the barn.
turnin In a Bind##83808 |goto 47.76,50.38
accept Clearing the Path##83935 |goto 47.76,50.38
stickystart "Kill_Skeletal_Terrors"
stickystart "Kill_Rotting_Cadavers"
step
kill 5 Blighted Zombie##4475 |q 83935/1 |goto 46.38,52.88
step
label "Kill_Skeletal_Terrors"
kill 10 Skeletal Terror##1785 |q 83935/2 |goto 46.38,52.88
step
label "Kill_Rotting_Cadavers"
kill 10 Rotting Cadaver##4474 |q 83935/3 |goto 46.38,52.88
step
talk Squire Cuthbert##227672
|tip Inside the barn.
turnin Clearing the Path##83935 |goto 47.76,50.38
accept The Fallen Knight##83822 |goto 47.76,50.38
step
talk Fallen Knight##227519
Select _"<Say a quick prayer to the light as you set the knight's body ablaze.>"_
Burn the Fallen Knight |q 83822/1 |goto 44.53,46.77
|tip If you lose Squire Cuthbert, you can get him again inside the barn in the previous step.
step
talk Squire Cuthbert##227672
turnin The Fallen Knight##83822 |goto 44.51,46.64
accept Dalton's Quest##83936 |goto 44.51,46.64
step
talk Squire Cuthbert##227672
Ask him _"Can you tell me more about the quest you and Sir Dalton set out upon?"_
Ask him _"What happened here? You mentioned an ambush?"_
Tell him _"I'm very sorry for your loss. I'm sure he fought valiantly till the end."_
Tell him _"You said yourself that you have much to learn, and these are deadly adversaries. Travel with me, hone your skills, and we will face this monster together when you are ready. What say you?"_
Speak with Squire Cuthbert |q 83936/1 |goto 44.51,46.64
step
talk Squire Cuthbert##227672
turnin Dalton's Quest##83936 |goto 44.51,46.64
step
Acquire Dalton's Horn
|tip Accept the quest from Squire Cuthbert that gives you the Dalton's Horn item.
Click Here Once You Have the Horn |confirm
step
use Dalton's Horn##226122
|tip This will summon your squire.
Kill enemies around this area
|tip You may be able to kill enemies anywhere in Western Plaguelands and Eastern Plageuelands.
|tip You squire will gain experience and eventually reach level 58.
|tip If your squire seem stuck while leveling, it may help to cast Flash of Light (Rank 6) repeatedly.
|tip Your squire may gain experience from killing mobs, healing yourself, or healing another member of your party.
Click Here Once Your Squire is Level 58 |confirm
step
_Next to you:_
talk Your Squire
accept A Lesson in Grace##84008
step
use Dalton's Horn##226545
|tip This will summon your squire.
Kill enemies around this area
|tip You may be able to kill enemies anywhere in Western Plaguelands and Eastern Plageuelands.
|tip You squire will gain experience and eventually reach level 60.
|tip If your squire seem stuck while leveling, it may help to cast Flash of Light (Rank 6) repeatedly.
|tip Your squire may gain experience from killing mobs, healing yourself, or healing another member of your party.
Click Here Once Your Squire is Level 60 |confirm |goto 46.38,52.88
step
_Next to you:_
talk Your Squire
accept A Time to Kill##84017
step
Follow the path up |goto Eastern Plaguelands 77.77,46.83 < 30 |only if walking
talk Your Squire
|tip Next to you.
|tip Inside the building.
turnin A Time to Kill##84017 |goto Eastern Plaguelands 86.34,40.15
accept Close Enough To Touch##84125 |goto Eastern Plaguelands 86.34,40.15
|tip You will be attacked.
step
kill Shadowmage##8550+
|tip You can find more of them outside the building.
collect Scourge Shadow Scalpel##227041 |q 84125 |goto Eastern Plaguelands 86.34,40.15
step
_Next to you:_
talk Your Squire
turnin Close Enough To Touch##84125
accept Finish the Fight##84126
step
kill Arkonos the Cursed##227985 |q 84126/1 |goto Eastern Plaguelands 86.81,39.54
|tip Inside the building.
step
_Next to you:_
talk Your Squire
turnin Finish the Fight##84126
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 4 Runes\\Exorcist (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Exorcist skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Testament of the Exorcist##226400 |goto Stormwind City 74.18,7.46
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 4 Runes\\Enhanced Blessings (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Enhanced Blessings skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Testament of Enhanced Blessings##216768 |goto Stormwind City 74.18,7.46
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 4 Runes\\Seal of Martyrdom (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Seal of Martyrdom skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Testament of Martyrdom##226398 |goto Stormwind City 74.18,7.46
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Paladin\\Phase 4 Runes\\Divine Steed (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Divine Steed skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 45
|tip Use the leveling guides to accomplish this.
step
Enter the cathedral |goto Stormwind City 42.90,34.20 < 15 |walk
talk Katherine the Pure##5492
|tip Inside the building.
accept The Missing Knight##84418 |goto Stormwind City 37.22,31.86 |instant
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Between the Eyes [Stormwind City]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Between the Eyes on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 56.80,29.69 < 10 |only if walking
Leave the building to enter Cut-Throat Alley |goto Stormwind City 58.05,28.26 < 10 |only if walking
Enter the building in Cut-Throat Alley |goto Stormwind City 60.92,28.58 < 10 |walk
click Dusty Chest##386777
|tip It looks like a normal treasure chest.
|tip Upstairs inside the building.
|tip You will be attacked by two level 10 enemies.
collect Rune of Precision##204174 |goto Stormwind City 61.72,29.20
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Between the Eyes [Ironforge]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Between the Eyes on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Dusty Chest##405946
|tip It looks like a small wooden chest.
|tip On the ground in front of the building.
|tip You will be attacked by two level 10 enemies.
collect Rune of Precision##204174 |goto Ironforge 51.92,13.37
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Between the Eyes [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Between the Eyes on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Gnarlpine Pathfinder##2012+
|tip They look like white furbolgs around this area.
|tip You can also pickpocket them, if you prefer.
collect Gnarlpine Stash Key##208749 |goto Teldrassil 41.11,79.25
step
click Gnarlpine Stash##407352
|tip It looks like a small wooden box.
|tip Sitting on the huge tree limb.
collect Rune of Precision##204174 |goto 37.86,82.56
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Blade Dance [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Blade Dance on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Pick Pocket Ability
|tip Make sure you learn the Pick Pocket ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
collect Discreet Envelope##209031 |goto Westfall 49.44,46.36
|tip Pickpocket Defias enemies around this area.
|tip They look like humans.
step
use the Discreet Envelope##209031
collect Message from Emily##209029
collect Equipment Stash Key##209030
step
Enter the mine |goto 38.84,84.22 < 15 |c
step
_Inside the Deadmines:_
click Equipment Stash##408718
|tip It looks like a brown wooden chest.
|tip It's on the ground immediately to the left after entering the mine.
collect Rune of Blade Dance##208771
step
use the Rune of Blade Dance##208771
Learn the Blade Dance Rune |getrune Blade Dance##400012
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Blade Dance [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Blade Dance on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path up |goto Darkshore 54.56,31.75 < 20 |only if walking
Enter the cave |goto Darkshore 54.97,33.37 < 15 |walk
Kill Stormscale enemies around this area
|tip They look like naga.
|tip Inside the cave.
collect CLiffspring Key##211471 |goto Darkshore 55.75,34.70
step
Follow the path at the bottom of the cave |goto 55.75,34.70 < 10 |walk
click Cliffspring Chest##414532
|tip It looks like a small wooden chest.
|tip Downstairs inside the cave, up on a ledge.
collect Rune of Blade Dance##208771 |goto 56.25,34.88
step
use the Rune of Blade Dance##208771
Learn the Blade Dance Rune |getrune Blade Dance##400012
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Deadly Brew [Silvepine Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Deadly Brew on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 22
|tip Use the leveling guides to accomplish this.
step
_NOTE:_
Learn the Vanish and Distract Abilities
|tip Make sure you learn the Vanish and Distract abilities from your class trainer.
|tip They're not required, but having them makes it easier to get the rune.
Click Here to Continue |confirm
step
_NOTE:_
Respec Your Talent Points
|tip You can do this at your class trainer.
|tip You need to improve your Stealth ability as much as you can.
|tip Make sure you max these out in your Subtlety talent tree:
|tip Master of Deception
|tip Camouflage
Click Here to Continue |confirm
step
click Mailbox##32349
|tip You should have a piece of mail from "C" with the subject "An Offer".
|tip Open the mail, but you can delete it after reading it.
Click Here to Continue |confirm |goto Ironforge 33.11,64.76
step
Enter the building |goto Silverpine Forest 47.35,71.19 < 10 |walk
click Dead Drop##410369
|tip It looks like a chest.
|tip Inside the building.
accept The Horn of Xelthos##78261 |goto Silverpine Forest 47.11,70.96
step
_NOTE:_
You Need Solo This
|tip You won't be able to complete the quest goals inside the Shadowfang Keep dungeon if you are in a group.
|tip You will be stealthing through the dungeon alone.
Click Here to Continue |confirm |q 78261
step
Follow the path up |goto 47.22,68.95 < 40 |only if walking
Enter the Shadowfang Keep Dungeon |goto 44.82,67.85 |complete zone("Shadowfang Keep") |q 78261
step
_Inside the Shadowfang Keep Dungeon:_
Open the Locked Door
|tip Follow the path in the dungeon while stealthed, avoiding enemies.
|tip Eventually, you will come to a hallway with a locked door at the end of it.
|tip Follow the path near the locked door and go down the stairs.
|tip In the middle jail cell, you will see a prisoner named Sorcerer Ashcrombe.
|tip To the right of his cell, click the Lever to open the cage.
|tip You will become visible after clicking the Lever, and will be attacked.
|tip Quickly talk to Sorcerer Ashcrombe and ask him to unlock the courtyard door.
|tip Immediately use your Vanish ability to escape the enemies.
|tip Follow Sorcerer Ashcrombe as he walks and unlocks the door.
Click Here After the Door is Unlocked |confirm |q 78261
step
_Inside the Shadowfang Keep Dungeon:_
collect Sister's Half-Key##210213 |q 78261
|tip Continue through the door that Sorcerer Ashcrombe unlocked for you.
|tip Look straight ahead to the stables area with horses.
|tip Remember this area, we'll be returning later to unlock a chest that's on the ground in there.
|tip Follow the path to the right of the stables and enter the first doorway on the left.
|tip Continue walking until you enter a room with a very long dining table in it.
|tip Immediately to the right, there is a platform with a human woman named Gemela on it.
|tip Use your Distract ability to make her turn away from you, then Pick Pocket her for the key.
step
_Inside the Shadowfang Keep Dungeon:_
collect Brother's Half-Key##210212 |q 78261
|tip Run up the stairs at the end of the room with the long dining table, then continue up the stairs to the right.
|tip In the first room you come to, there is a human in plate armor named Gefell.
|tip Use your Distract ability to make him turn away from you, then Pick Pocket him for the key.
step
_Inside the Shadowfang Keep Dungeon:_
Return to the Horse Stables
|tip Walk back the way you came, down the stairs, back to the room with the long dining table.
|tip Continue following the path north, through the butcher room with bloody meat on multiple tables.
|tip Walk through the small room and out the doorway, then turn right to enter the large courtyard.
|tip The stables area with the horses is to the right as you enter the courtyard.
|tip Walk into the stables area, turn left, and walk passed the wooden chest on the ground.
|tip Stand in the corner with the crates and barrels, away from any hostile enemies.
|tip The horses will not attack you.
Click Here to Continue |confirm |q 78261
step
_Inside the Shadowfang Keep Dungeon:_
use Sister's Half-Key##210213
collect Twin Key##210209 |q 78261
step
_Inside the Shadowfang Keep Dungeon:_
click Ornamented Chest##410528
|tip It looks like a brown wooden chest.
|tip It's on the ground in the stables area, in front of the horse near you.
|tip Try to click it while being as far from it as you can, to avoid aggroing any enemies.
collect Horn of Xelthos##210183 |q 78261/1
step
_Inside the Shadowfang Keep Dungeon:_
Leave the Dungeon
|tip Leave the stables area and turn right.
|tip Run up the stairs straight ahead, and back through the door that Sorcerer Ashcrombe unlocked for you.
|tip After you run through the doorway, turn left and run down the stairs at the far end of the hallway.
|tip Continue following the path back to the swirling portal.
|tip Walk through the swirling portal to leave the dungeon.
Return to Silverpine Forest |goto Silverpine Forest 44.82,67.85 < 300 |c |q 78261
step
Enter the building |goto Silverpine Forest 47.35,71.19 < 10 |walk
click Dead Drop##410369
|tip It looks like a chest.
|tip Inside the building.
turnin The Horn of Xelthos##78261 |goto Silverpine Forest 47.11,70.96
step
click Mailbox##32349
|tip After entering a Capital City of your faction you will receive a piece of mail from "C" with the subject "Payment".
|tip Open the mail, but you can delete it after reading it.
Click Here to Continue |confirm |goto Ironforge 33.11,64.76
step
Enter the building |goto Silverpine Forest 47.35,71.19 < 10 |walk
click Dead Drop##410369
|tip It looks like a chest.
|tip Inside the building.
collect Rune of Deadly Brew##203994 |goto Silverpine Forest 47.11,70.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Envenom [Hillsbrad Foothills]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Envenom on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter Durnholde Keep |goto Hillsbrad Foothills 76.59,46.45 < 30 |only if walking
talk Kris Legace##3536
|tip She looks like a human woman.
|tip Up on the hill, behind the crumbled building.
buy Hot Tip##210330 |goto Hillsbrad Foothills 80.14,38.89
|tip It costs 75 silver.
step
use the Hot Tip##210330
collect Hillsbrad Treasure Map##210329
collect Safe Combination##210323
step
Follow the river until you reach the waterfall |goto 68.69,15.71 < 70 |only if walking
click Rusty Safe##410847
|tip It looks like a grey metal block.
|tip Underwater, at the base of the waterfall.
collect Rune of Venom##210322 |goto Western Plaguelands 59.40,84.57 |notravel
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Just a Flesh Wound",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Just a Flesh Wound on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with Azeroth Commerce Authority |complete rep("Azeroth Commerce Authority") >= Friendly
|tip As you kill enemies anywhere in the world, you will loot "Waylaid Supplies" items.
|tip To gain reputation with this faction, turn them in to Supply Officers in the 3 major cities.
|tip You can turn in the Waylaid Supplies crates empty.
|tip However, if you fill the crates with the items they require (according to their tooltip), you will gain more reputation.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
step
buy Rune of Teasing##211390
|tip You can buy it from Supply Officers in the 3 major cities.
|tip It costs 2 gold.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Main Gauche [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Main Gauche on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
collect 25 Shredder Autosalvage Unit##210147 |q 78267 |future
|tip These are made with the Engineering profession.
|tip The schematic drops from Sneed in the Deadmines dungeon.
|tip You can make them yourself, get a friend to help, or buy them from the Auction House.
|tip To make one, you need 1 Bronze Framework, 2 Whirring Bronze Gizmo, 1 Heavy Leather.
|tip You will use them to collect 16 quest items, but they can fail, so get 25 at a minimum.
|tip If you don't have enough, you may have to backtrack to make more later.
step
kill Venture Co. Light Shredder##214129+
|tip They look like grey metal humanoid machines that walk around this area.
|tip They are fairly uncommon, so you may have to search around.
use the Shredder Autosalvage Unit##210147+
|tip Use them on their corpses.
collect 16 Shredder Turbochargers##78267 |goto Stonetalon Mountains 60.69,52.32 |q 78267 |future
You can find more around: |notinsticky
[67.0,56.8]
[69.8,54.8]
[72.8,53.8]
[68.8,47.8]
[66.2,47.2]
step
kill Bluegill Oracle##1029+
|tip They wander all over the marsh area just east of the coast.
|tip You can also farm Bluegill Raiders along the coast south of Menethil Harbor.
collect 24 Fish Oil##17058 |goto Wetlands 16.12,31.71 |q 78265 |future
|tip You can also purchase these from the auction house.
You can find Bluegill Raiders at [12.61,64.82]
step
kill Dark Iron Insurgent##1169+
|tip They look like grey dwarves.
|tip Inside the cave.
collect 20 Dark Iron Ordinance##210138 |goto 63.35,77.50 |q 78266 |future
|tip The drop rate is very low.
You can find more in Loch Modan at [Loch Modan 58.61,15.88]
step
Collect 5 Gold |complete _G.GetMoney() >= 50000
|tip Grizzby won't speak with you unless you have at least 5 gold.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
|tip You may have to go through some dialogue prompts before he offers you a few turn-in quests.
accept Dark Iron Ordinance##78266 |goto The Barrens 61.92,39.32
accept Fish Oil##78265 |goto The Barrens 61.92,39.32
accept Shredder Turbochargers##78267 |goto The Barrens 61.92,39.32
accept Let Me Make You An Offer##78287 |goto The Barrens 61.92,39.32
step
Enter the building |goto Stormwind City/0 78.04,47.96 < 10
talk Master Wood##8383
|tip Inside the building.
turnin Let Me Make You An Offer##78287 |goto 79.17,47.65
accept You've Got Yourself A Deal##78297 |goto 79.17,47.65
step
Enter the building |goto The Barrens/0 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
turnin You've Got Yourself A Deal##78297 |goto 61.92,39.32
step
talk Grizzby##211653
|tip Inside the building.
buy Rune of Main Gauche##210653 |goto 61.92,39.32
|tip It costs 5 gold.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Mutilate [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Mutilate on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Pick Pocket Ability
|tip Make sure you learn the Pick Pocket ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
collect Cutty's Note##203723 |goto Elwynn Forest 57.52,48.25
|tip Pickpocket Garrick Padfoot.
step
Run up the Hill |goto Elwynn Forest/0 51.18,52.57 < 10
talk Cutty##201854
|tip Stealthed on the non-Northshire side of the wall.
Tell him _"I'm here for the pickup (Show Cutty the note)."_
collect Rune of Mutilation##203990 |goto 49.98,52.01
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Mutilate [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Mutilate on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Pick Pocket Ability
|tip Make sure you learn the Pick Pocket ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
collect Blackrat's Note##208205 |goto Dun Morogh 77.66,61.45
|tip Pickpocket Dark Iron Spies around this area.
|tip They look like dwarves.
step
talk Blackrat##208886
Tell him _"I'm here for the pickup (Show Blackrat the note)."_
collect Rune of Mutilation##203990 |goto 57.26,45.26
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Mutilate [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Mutilate on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Teldrassil 56.36,54.20 < 30 |only if walking and not subzone("Fel Rock")
Enter the cave |goto Teldrassil 54.65,52.45 < 20 |walk |only if not subzone("Fel Rock")
kill Lord Melenas##2038
|tip He looks like a satyr.
|tip Inside the cave.
|tip He can spawn in multiple locations inside this cave.
|tip If he's not here, search around in the cave until you find him.
collect Rune of Mutilation##203990 |goto Teldrassil 52.81,50.20
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Quick Draw [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Quick Draw on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Pick Pocket Ability
|tip Make sure you learn the Pick Pocket ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
collect Bottom-Right Map Piece##203786 |goto Elwynn Forest 78.59,56.66
|tip Pickpocket Murloc Foragers around this area.
'|kill Murloc Forager##46
step
collect Top-Right Map Piece##203784 |goto 61.89,57.10
|tip Pickpocket or kill Kobold enemies around this area.
'|kill Kobold Miner##40, Kobold Tunneler##475
step
collect Bottom-Left Map Piece##203787 |goto 68.17,45.42
|tip Pickpocket Riverpaw enemies around this area.
|tip They look like gnolls.
'|kill Riverpaw Outrunner##478, Riverpaw Runt##97
step
collect Top-Left Map Piece##203785 |goto 73.86,52.00
|tip Pickpocket Defias Rogue Wizards around this area.
|tip They look like humans.
'|kill Defias Rogue Wizard##474
step
use the Top-Left Map Piece##203785
collect Elwynn Treasure Map##203750
step
use the Elwynn Treasure Map##203750
|tip A chest will appear.
click Buried Treasure##386675
collect Rune of Quick Draw##203991 |goto 80.44,79.30
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Quick Draw [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Quick Draw on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Pick Pocket Ability
|tip Make sure you learn the Pick Pocket ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
collect Top-Right Map Piece##208213 |goto Dun Morogh 25.52,50.94
|tip Pickpocket Frostmane enemies around this area.
|tip They look like trolls.
step
collect Bottom-Right Map Piece##208218 |goto 26.01,43.24
|tip Pickpocket Leper Gnomes around this area.
step
collect Bottom-Left Map Piece##208219 |goto 77.66,61.59
|tip Pickpocket Dark Iron Spies around this area.
|tip They look like dwarves.
step
collect Top-Left Map Piece##208215 |goto 69.94,58.41
|tip Pickpocket Rockjaw enemies around this area.
|tip They look like troggs.
step
use the Top-Left Map Piece##208215
collect Dun Morogh Treasure Map##208220
step
use the Dun Morogh Treasure Map##208220
|tip Use it under the bridge.
|tip A chest will appear.
click Buried Treasure##386675
collect Rune of Quick Draw##203991 |goto 46.96,43.73
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Quick Draw [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Quick Draw on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Pick Pocket Ability
|tip Make sure you learn the Pick Pocket ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
collect Top-Right Map Piece##208601 |goto Teldrassil 60.48,65.54
|tip Pickpocket Timberlings around this area.
|tip They look like swamp elementals.
step
Follow the path |goto 56.37,54.21 < 20 |only if walking
collect Bottom-Left Map Piece##208604 |goto 54.64,52.47
|tip Pickpocket enemies around this area.
|tip They look like imps.
|tip Inside the cave.
step
collect Top-Left Map Piece##208602 |goto 46.83,52.99
|tip Pickpocket Gnarlpine enemies around this area.
|tip They look like furbolgs.
step
collect Bottom-Right Map Piece##208603 |goto 37.40,42.74
|tip Pickpocket Bloodfeather enemies around this area.
|tip They look like harpies.
step
use the Bottom-Right Map Piece##208603
collect Teldrassil Treasure Map##208605
step
use the Teldrassil Treasure Map##208605
|tip A chest will appear.
click Buried Treasure##386675
collect Rune of Quick Draw##203991 |goto 55.32,90.91
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Saber Slash [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Saber Slash on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Pick Pocket Ability
|tip Make sure you learn the Pick Pocket ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
collect Rune of Saber Slash##208772 |goto Westfall 51.50,55.37
|tip Pickpocket the Defias Scout.
|tip It looks like a human up on this hill, overlooking Sentinel Hill.
|tip If it detects you, it will vanish and you will have to wait for it to respawn.
|tip Stealth before approaching.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Saber Slash [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Saber Slash on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Run onto the dam and jump down here |goto Loch Modan 46.35,13.29 < 15 |only if walking
click Stonemason's Toolbox##407731
|tip It looks like a wooden tool carrier.
|tip It's sitting on a lower ledge you need to jump down to.
|tip After getting the rune, you can get back onto the damn by clicking the Escape Rope on the ground nearby.
collect Rune of Saber Slash##208772 |goto Loch Modan 46.35,12.70
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Saber Slash [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Saber Slash on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Lighthouse Stash
|tip It looks like a pile of brown dirt.
|tip It's in a small nook at the bottom of the tree lighthouse, on top of the island.
collect Rune of Saber Slash##208772 |goto Darkshore 32.73,37.09
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Shadowstrike (Human Only) [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadowstrike on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
talk Jorik Kerridan##915
|tip Outside, in the stables behind the building.
accept Thrice Stolen##77618 |goto Elwynn Forest 50.31,39.92
step
click Defias Stashbox##387477
collect Rune of Shadowstrike##204795 |goto 52.54,51.92 |q 77618
step
use the Rune of Shadowstrike##204795
Learn: Engrave Gloves - Shadowstrike |q 77618/1
step
talk Jorik Kerridan##915
|tip Outside, in the stables behind the building.
turnin Thrice Stolen##77618 |goto 50.31,39.92
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Shadowstrike (Dwarf Only) [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadowstrike on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.79,69.05 < 10 |walk
talk Solm Hargrin##916
|tip Inside the the building.
accept Thrice Stolen##77658 |goto Dun Morogh 28.37,67.51
step
Enter the cave |goto 26.80,79.86 < 15 |walk
Follow the path |goto 27.73,80.71 < 10 |walk
Follow the path down |goto 28.13,80.11 < 10 |walk
Continue down the path |goto 29.06,78.87 < 10 |walk
click Frostmane Loot Cache##405628
|tip Inside the cave, up on a ledge.
collect Rune of Shadowstrike##204795 |goto 30.78,80.06 |q 77658
step
use the Rune of Shadowstrike##204795
Learn Engrave Gloves - Shadowstrike |q 77658/1
step
Leave the cave |goto 26.78,79.83 < 15 |walk |only if subzone("Coldridge Valley") and _G.IsIndoors()
Enter the building |goto 28.80,69.00 < 10 |walk
talk Solm Hargrin##916
|tip Outside, in the stables behind the the building.
turnin Thrice Stolen##77658 |goto 50.31,39.92
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Shadowstrike (Gnome Only) [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadowstrike on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.79,69.05 < 10 |walk
talk Solm Hargrin##916
|tip Inside the the building.
accept Thrice Stolen##77659 |goto Dun Morogh 28.37,67.51
step
Enter the cave |goto 26.80,79.86 < 15 |walk
Follow the path |goto 27.73,80.71 < 10 |walk
Follow the path down |goto 28.13,80.11 < 10 |walk
Continue down the path |goto 29.06,78.87 < 10 |walk
click Frostmane Loot Cache##405628
|tip Inside the cave, up on a ledge.
collect Rune of Shadowstrike##204795 |goto 30.78,80.06 |q 77659
step
use the Rune of Shadowstrike##204795
Learn Engrave Gloves - Shadowstrike |q 77659/1
step
Leave the cave |goto 26.78,79.83 < 15 |walk |only if subzone("Coldridge Valley") and _G.IsIndoors()
Enter the building |goto 28.80,69.00 < 10 |walk
talk Solm Hargrin##916
|tip Outside, in the stables behind the the building.
turnin Thrice Stolen##77659 |goto 50.31,39.92
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Shadowstrike (Night Elf Only) [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadowstrike on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building and follow the path |goto Teldrassil 59.34,40.64 < 10 |walk
talk Frahun Shadewhisper##3594
|tip Inside the the building.
accept Second-Story Work##77573 |goto Teldrassil 59.64,38.66
step
Run up the large ramp |goto 57.54,41.61 < 15 |c |q 77573
step
Jump down onto the roof of the building |goto 59.20,40.53 < 10 |only if walking
click Idol##406006
|tip It looks like a small owl statue.
|tip On the roof of the building.
collect Rune of Shadowstrike##204795 |goto 59.68,42.62 |q 77573
step
use the Rune of Shadowstrike##204795
Learn Engrave Gloves - Shadowstrike |q 77573/1
step
Jump down, enter the building and follow the path |goto 59.34,40.64 < 10 |walk
talk Frahun Shadewhisper##3594
|tip Inside the the building.
turnin Second-Story Work##77573 |goto 59.64,38.66
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Shiv [Duskwood]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shiv on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Engraved Gold Ring##210250 |goto Duskwood 49.73,75.57
|tip Pickpocket Defias Night Runners.
|tip They look like stealted humans around this area.
step
Equip the Engraved Gold Ring |equipped Engraved Gold Ring##210250 |goto 19.87,44.71
|tip Equip it at this location.
step
collect Rune of Shiving##210252 |goto 19.87,44.71
|tip Perform the "/kneel" emote.
|tip Next to the statue.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Slaughter from the Shadows [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Slaughter from the Shadows on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Jump up the barrel and crates to get onto the roof of the building |goto Elwynn Forest 46.16,63.01 < 10 |only if walking
click Rusty Lockbox##387466
|tip It looks like a grey metal chest on the roof of the building.
collect Rune of Slaughter##203993 |goto Elwynn Forest 46.18,62.11
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Slaughter from the Shadows [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Slaughter from the Shadows on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path up to get on the roof of the building |goto Dun Morogh 47.63,51.73 < 10 |only if walking
Jump from the roof onto the huge wooden barrel |goto Dun Morogh 47.21,52.26 < 10 |only if walking
click Rusty Lockbox##387466
|tip It looks like a grey metal chest on top of the huge wooden barrel.
collect Rune of Slaughter##203993 |goto Dun Morogh 46.92,52.00
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Slaughter from the Shadows [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Slaughter from the Shadows on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Gnarlpine Cache##407734+
|tip They look like brown wooden chests.
|tip They are common and spawn randomly on the ground inside this cave.
|tip You don't need keys to open them.
|tip You may have to find and open multiple before you get the rune.
collect Rune of Slaughter##203993 |goto Teldrassil 44.35,57.93
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 2 Runes\\Master of Subtlety [Stranglethorn Vale]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Master of Subtlety on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Make Sure You Have 125 Lockpicking Skill
|tip You need 125 Lockpicking skill to get this rune.
|tip Use the Lockpicking leveling guide to accomplish this.
Click Here to Continue |confirm
step
Enter the cave |goto Stranglethorn Vale 45.81,8.23 < 40 |walk
Follow the path down |goto Stranglethorn Vale 47.78,7.84 < 15 |walk
collect Compound Cage Key##216616 |goto Stranglethorn Vale 48.68,8.66
|tip Pickpocket a Kurzen Elite enemy.
|tip They look like armored humans.
|tip Downstairs inside the cave.
step
click Kurzen Supply Crate##424002
|tip It looks like a wooden box.
|tip Downstairs inside the cave.
collect Kurzen Fighter's Uniform##216617 |goto 49.62,7.74
step
Follow the path up towards the exit of the cave |goto 48.22,8.57 < 15 |walk |only if subzone("The Stockpile")
Leave the cave |goto 45.81,8.23 < 40 |walk |only if subzone("The Stockpile")
Enter the tower |goto 44.38,8.26 < 10 |only if walking
talk Wendel Mathers##218230
|tip Inside a wooden cage.
|tip Inside the tower.
Tell him _"Good news. I've got the key."_
|tip He will open the cage and escape.
Click Here to Continue |confirm |goto 44.27,7.96
step
talk Captain Aransas##218229
Tell her _"Yeah... something like that."_
collect Captain Aransas' Reward##216618 |goto 27.69,76.67
step
use Captain Aransas' Reward##216618
collect Rune of Subtlety##213136
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 2 Runes\\Poisoned Knife",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Poisoned Knife on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
|tip You need to be level 30 minimum to start this.
Click Here to Continue |confirm
|only if not NightElf
step
click Extinguished Campfire##417353
|tip In the abandoned camp on top of the hill.
accept Highway Robbery##79229 |goto Desolace 47.50,54.61
|tip You may need to be level 30 to be able to accept the quest.
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Highway Robbery##79229 |goto 62.33,38.98
accept On the Lam##79235 |goto 62.33,38.98
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin On the Lam##79235 |goto Stranglethorn Vale 26.99,77.28
accept Cherry for Your Thoughts?##79236 |goto Stranglethorn Vale 26.99,77.28
step
talk Nixxrax Fillamug##2832
|tip Inside the building, on the ground floor.
buy Cherry Grog##4600 |q 79236/1 |goto 27.04,77.17
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin Cherry for Your Thoughts?##79236 |goto 26.99,77.28
accept No Honor Among Thieves##79242 |goto 26.99,77.28
step
click Rowboat##420055 |goto Arathi Highlands 53.76,91.58
|tip It looks like a small brown wooden boat, in the water near the shore.
|tip You will be transported to another location.
Travel to the Remote Location |goto Arathi Highlands 89.61,77.88 < 200 |noway |c |q 79242
step
talk Illari Duskfeather##215655
|tip On the dock.
Find Illari Duskfeather |q 79242/1 |goto 93.87,71.55
step
talk Illari Duskfeather##215655
|tip Go through the dialogue prompts.
Tell her _"I sympathize with your plight, Illari. Kalimdor is ours, and ours alone."_
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if NightElf
step
talk Illari Duskfeather##215655
kill Illari Duskfeather##215655
|tip A Dropped Puch will appear on the ground near where she dies.
click Dropped Pouch##423569
|tip It looks like a small tan bag.
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if not NightElf
step
click Illari's Loot Cache##418855
|tip It looks like a grey metal chest.
turnin No Honor Among Thieves##79242 |goto 94.09,69.24
step
use the Jewel-Encrusted Box##212553
collect Rune of the Poisoned Blade##212559
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 2 Runes\\Rolling with the Punches [Thousand Needles]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Rolling with the Punches on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Make Sure You Have 125 Lockpicking Skill
|tip You need 125 Lockpicking skill to get this rune.
|tip Use the Lockpicking leveling guide to accomplish this.
Click Here to Continue |confirm
step
Enter the tent |goto Thousand Needles 18.42,21.72 < 15 |walk
click Sizable Stolen Strongbox##423930
|tip It looks like a large wooden and metal chest.
|tip Inside the tent.
collect Large Strongbox##215451 |goto Thousand Needles 18.68,21.12
step
use the Large Strongbox##215451
collect Medium Strongbox##215452
step
use the Medium Strongbox##215452
collect Small Strongbox##215453
step
use the Small Strongbox##215453
collect Rune of the Southpaw##213138
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 2 Runes\\Shadowstep",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadowstep on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 30
|tip Use the leveling guides to accomplish this.
step
click Mailbox##32349
|tip You should have a piece of mail from "C" with the subject "An Offer".
|tip Open the mail, but you can delete it after reading it.
Click Here to Continue |confirm |goto Ironforge 33.11,64.76
step
Enter the building |goto Silverpine Forest 47.35,71.19 < 10 |walk
click Dead Drop##410369
|tip It looks like a chest.
|tip Inside the building.
accept The Eye of Bhossca##78699 |goto Silverpine Forest 47.11,70.96
step
Follow the road to Scarlet Monastery |goto Tirisfal Glades 82.02,38.58 < 30 |only if walking
click Supply Locker##412147
|tip Inside the stables.
collect Scarlet Initiate's Uniform##210955 |goto Tirisfal Glades 81.22,32.12 |q 78699
step
_NOTE:_
You Need Solo This
|tip You won't be able to complete the quest goals inside the Scarlet Monastery dungeon if you are in a group.
|tip You will be stealthing through the dungeon alone.
Click Here to Continue |confirm |q 78699
step
Enter the building |goto 82.23,32.25 < 30 |walk
Run into the portal |goto 84.84,30.51 < 5 |walk
Enter the Scarlet Monastery Graveyard Dungeon |goto Scarlet Monastery/0 0.00,0.00 < 500 |c |noway |q 78699
step
_Inside the Scarlet Monastery Graveyard Dungeon:_
collect Scryer's Key##210963 |q 78699
|tip Pickpocket a Scarlet Scryer.
step
Leave the Scarlet Monastery Graveyard Dungeon |goto Scarlet Monastery/0 0.00,0.00 > 500 |c |noway |q 78699
step
Run into the portal |goto Tirisfal Glades 85.33,32.27 < 5 |walk
Enter the Scarlet Monastery Library Dungeon |goto Scarlet Monastery/0 0.00,0.00 < 500 |c |noway |q 78699
step
_Inside the Scarlet Monastery Library Dungeon:_
use the Scarlet Initiate's Uniform##210955
Wear the Uniform |havebuff Scarlet Initiate's Uniform##427592 |q 78699
step
_Inside the Scarlet Monastery Library Dungeon:_
Follow the Path to the Athenaeum
|tip You will see "Athenaeum" on your minimap.
click Personal Letterbox##412759
|tip It looks like a small wooden crate.
|tip It's next to the northern wall in the Athenaeum section of the Scarlet Monastery Library dungeon.
collect Confidential Message##210967 |q 78699
step
Leave the Scarlet Monastery Library Dungeon |goto Scarlet Monastery/0 0.00,0.00 > 500 |c |noway |q 78699
step
Run into the portal |goto Tirisfal Glades 84.84,30.51
Enter the Scarlet Monastery Graveyard Dungeon |goto Scarlet Monastery/0 0.00,0.00 < 500 |c |noway |q 78699
step
_Inside the Scarlet Monastery Graveyard Dungeon:_
use the Scarlet Initiate's Uniform##210955
Wear the Uniform |havebuff Scarlet Initiate's Uniform##427592 |q 78699
step
_Inside the Scarlet Monastery Graveyard Dungeon:_
Sit on the Northern Bench
|tip Follow the path through the dungeon until you are outside in the graveyard.
|tip On the north side, use the "/sit" emote while standing on the bench between the 2 large stone statues.
Click Here to Continue |confirm |q 78699
step
_Inside the Scarlet Monastery Graveyard Dungeon:_
Sit on the Southern Bench
|tip Outside in the graveyard.
|tip On the south side, use the "/sit" emote while standing on the bench between the 2 large stone statues.
Click Here to Continue |confirm |q 78699
step
_Inside the Scarlet Monastery Graveyard Dungeon:_
click Stone Coffer##412198
|tip It looks like a large stone box with a lid.
|tip Inside the northern crypt-style building.
|tip Outside in the graveyard.
collect Reliquary Key##210968 |q 78699
step
_Inside the Scarlet Monastery Graveyard Dungeon:_
use the Scarlet Initiate's Uniform##210955
Leave the Scarlet Monastery Graveyard Dungeon |goto Scarlet Monastery/0 0.00,0.00 > 500 |c |noway |q 78699
step
Run into the portal |goto Tirisfal Glades 85.33,32.27 < 5 |walk
Enter the Scarlet Monastery Library Dungeon |goto Scarlet Monastery/0 0.00,0.00 < 500 |c |noway |q 78699
step
_Inside the Scarlet Monastery Library Dungeon:_
use the Scarlet Initiate's Uniform##210955
Wear the Uniform |havebuff Scarlet Initiate's Uniform##427592 |q 78699
step
_Inside the Scarlet Monastery Library Dungeon:_
Follow the Path to the Gallery of Treasures
|tip You will see "Gallery of Treasures" on your minimap.
click Padlocked Reliquary##412261
|tip It looks like a metal chest.
|tip It's in a small side room in the Gallery of Treasures section of the Scarlet Monastery Library dungeon.
collect Eye of Bhossca##210953 |q 78699/1
step
Leave the Scarlet Monastery Library Dungeon |goto Scarlet Monastery/0 0.00,0.00 > 500 |c |noway |q 78699
|tip Leave the Scarlet Monastery building, so your world map shows as Tirisfal Glades again.
step
Enter the building |goto Silverpine Forest 47.35,71.19 < 10 |walk
click Dead Drop##410369
|tip It looks like a chest.
|tip Inside the building.
turnin The Eye of Bhossca##78699 |goto Silverpine Forest 47.11,70.96
step
click Mailbox##32349
|tip After entering a Capital City of your faction you will receive a piece of mail from "C" with the subject "Payment".
|tip Open the mail, but you can delete it after reading it.
Click Here to Continue |confirm |goto Ironforge 33.11,64.76
step
Enter the building |goto Silverpine Forest 47.35,71.19 < 10 |walk
click Dead Drop##410369
|tip It looks like a chest.
|tip Inside the building.
collect Rune of Shadowstep##210979 |goto Silverpine Forest 47.11,70.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 2 Runes\\Shuriken Toss [Swamp of Sorrows]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shuriken Toss on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 30
|tip Use the leveling guides to accomplish this.
step
_NOTE:_
Learn the "Disarm Trap" Ability
|tip Make sure you learn the Disarm Trap ability from your class trainer.
|tip You need to it to get the rune.
Click Here to Continue |confirm
step
click Dart Trap
|tip It looks like a crossbow attached to the side of the tree trunk.
Click Here After Disarming the Trap |confirm |goto Swamp of Sorrows 41.48,29.98
step
click Conspicuous Cache##423926
|tip It looks like a grey metal chest.
collect Rune of the Assassin##213139 |goto 42.75,30.79
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 2 Runes\\Waylay",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Waylay on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
collect Ariden's Sigil##216941 |goto Deadwind Pass 52.08,34.10
step
Equip Ariden's Sigil |equipped Ariden's Sigil##216941
|tip If you are grouped, only one player needs to wear this.
step
Follow the path down |goto 44.14,32.57 < 30 |only if walking
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Curious Dalaran Relic##216945 |goto 42.59,27.49
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Odd Dalaran Relic##216948 |goto Swamp of Sorrows 69.37,23.84
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Glittering Dalaran Relic##216946 |goto Duskwood 24.74,46.14
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Slippery Dalaran Relic##216951 |goto Badlands 58.98,55.06
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Whirring Dalaran Relic##216947 |goto Arathi Highlands 60.74,40.79
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Heavy Dalaran Relic##216949 |goto The Barrens 52.14,36.59
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Creepy Dalaran Relic##216950 |goto Desolace 64.99,25.12
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
accept Curious Dalaran Relic##80147 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80149 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80098 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80152 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80148 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80150 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80151 |goto Deadwind Pass 52.08,34.10
step
talk Dalaran Agent##218920
accept A Service to Dalaran##80120 |goto Deadwind Pass 52.08,34.10
step
use the Supply Bag##217014
collect Rune of the Assailant##213137
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 3 Runes\\Combat Potency",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Combat Potency on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip You need to be level 50 to collect this rune.
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Start Gathering a Group
|tip You will be killing elite enemies and running multiple dungeons to get this rune.
|tip While you travel to accept the quest in the next step, start trying to put together a full dungeon group.
Click Here to Continue |confirm |q 82043 |future
step
talk Shadowtooth Emissary##222408
accept The Wild Gods##82043 |goto Felwood 51.57,81.96
step
Kill Vilbranch enemies around this area
|tip They look like elite trolls.
|tip You can find them all around the Jintha'Alor area.
collect Wildwhisper Draught##221261 |goto The Hinterlands 66.50,66.40 |q 82043
|tip Only 1 player in your dungeon group needs to collect this item.
|tip Everyone doesn't need to have it, so if someone else in your group gets it, you can continue to the next step.
step
Follow the path to the Razorfen Downs dungeon portal |goto The Barrens 44.90,88.86 < 50 |only if walking
Run through the giant skull and follow the path to the Razorfen Downs dungeon portal |goto The Barrens 49.27,93.08 < 20 |walk
Enter the Razorfen Downs Dungeon
|tip After running through the giant skull, the aypoint arrow won't work anymore, so follow the path until you come to a swirling portal.
|tip Enter the swirling portal to enter the dungeon.
Click Here to Continue |confirm |goto The Barrens 49.27,93.08 |q 82043
step
_Inside the Razorfen Downs Dungeon:_
|tip Use the Razorfen Downs dungeon guide.
kill Amnennar the Coldbringer##7358
|tip He's the final boss inside the dungeon.
use the Wildwhisper Draught##221261
|tip Use it after killing the boss.
|tip Have the person in your group use it that has this item, if you don't have it.
talk Spirit of Agamaggan##222522
turnin The Wild Gods##82043
accept The Wild Gods##82044
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You need to go to 1 of 3 different dungeons to collect the quest items.
|tip You can complete the same dungeon repeatedly to get all of the quest items.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Turnin_The_Wild_Gods"
talk Shadowtooth Emissary##222408
turnin The Wild Gods##82044 |goto Felwood 51.57,81.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 3 Runes\\Carnage",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Carnage on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Abandoned Cache##442405
|tip It looks like a wooden chest.
|tip Inside the small room at the top of the tower.
|tip You need 225 Lockpicking skill to be able to open it.
kill Murderous Lost One##222702
collect Rune of Carnage##221461 |goto Blasted Lands 45.28,16.49
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 3 Runes\\Unfair Advantage",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Unfair Advantage on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Kidnapper's Coin Purse##221371+ |n
|tip Pickpocket pirate enemies around this area.
use the Kidnapper's Coin Purse##221371++
collect Precious Medallion##221370 |goto Tanaris 73.11,45.42
step
talk Jabbey##8139
|tip Inside the building.
Tell him _"I think this belongs to you. (Show Precious Medallion)"_
collect Rune of Foul Play##221428 |goto 67.01,21.99
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 3 Runes\\Focused Attacks",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Focused Attacks on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Blinding Powder##5530
|tip Buy this from the auction house, or craft it useing Fadeleaf.
step
click Treasure of the Bat
|tip Use your Blind ability on the Vilebranch Mask hanging on the wall at this location.
|tip While the mask is blinded, the Treasure of the Bat chest will appear on the ground nearby.
|tip It looks like a yellow wooden chest.
collect Rune of Focus##221433 |goto The Hinterlands 72.55,52.62
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 3 Runes\\Honor Among Thieves",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Honor Among Thieves on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 45
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Learn These Abilities
|tip Make sure to learn these abilities from your class trainer:
|tip Detect Traps and Disarm Traps.
|tip You will need them to get the rune.
Click Here to Continue |confirm
step
talk Osborne the Night Man##918
Tell him _"May I have it, please."_
collect Elegant Letter##17126 |goto Stormwind City 74.64,52.82
|only if Alliance
step
use the Elegant Letter##17126
accept The Manor, Ravenholdt##6681
|only if Alliance
step
click Mailbox##32349
|tip You should have a piece of mail from "Fahrad" with the subject "An Urgent Matter".
|tip Open the mail, but you can delete it after reading it.
Click Here to Continue |confirm |goto Ironforge 33.11,64.76
|only if Alliance
step
talk Miles Dexter##4583
Tell him _"May I have it, please."_
collect Elegant Letter##17126 |goto Undercity 85.21,71.57
|only if Horde
step
use the Elegant Letter##17126
accept The Manor, Ravenholdt##6681
|only if Horde
step
click Mailbox##32349
|tip You should have a piece of mail from "Fahrad" with the subject "An Urgent Matter".
|tip Open the mail, but you can delete it after reading it.
Click Here to Continue |confirm |goto Undercity 68.11,38.39
|only if Horde
step
Follow the path up and into the tunnel |goto Hillsbrad Foothills 75.51,23.52 < 20 |only if walking
Receive Your Rite of Cunning |q 6681/1 |goto Hillsbrad Foothills 78.93,18.07
|tip Run to this location inside the tunnel.
|tip Use your Detect Traps ability.
step
Enter Ravenholdt Manor |goto 85.45,79.38 < 10 |only if walking
talk Fahrad##6707
|tip Upstairs, outside on the balcony of the building.
turnin The Manor, Ravenholdt##6681 |goto 84.45,80.32 |only if Alliance
accept Fool Me Twice##80526 |goto 84.45,80.32
step
talk Fahrad##6707
|tip Upstairs, outside on the balcony of the building.
turnin Fool Me Twice##80526 |goto 84.45,80.32
accept The Talisman of Kazdor##80411 |goto 84.45,80.32
step
_NOTE:_
You Need Solo This
|tip You won't be able to complete the quest goals inside the Zul'Farrak dungeon if you are in a group.
|tip You will be stealthing through the dungeon alone.
Click Here to Continue |confirm |q 80411
step
Enter the Zul'Farrak Dungeon
|tip Walk into the swirling portal.
Click Here to Continue |confirm |goto Tanaris 38.72,20.02
step
_Inside the Zul'Farrak Dungeon:_
Avoid and Distract Guards
|tip Stealth and follow the main path.
|tip Head east at the first fork in the road and you will come to 2 tent buildings.
click Clay Vessel##433067
|tip It looks like a brown vase with a wider bottom and thinner neck.
|tip It should be inside the tent building on the right.
collect Vile Concoction##217716 |q 80411
step
_Inside the Zul'Farrak Dungeon:_
Avoid and Distract Guards
|tip Stealth and follow the path north away from the 2 tent buildings.
|tip Once you enter the room with a lot of scarabs, hug the right wall and follow the path east to the cave.
use the Vile Concoction##217716
|tip Use it inside the cave near the cauldron to kill the enemy.
click Antu'Sul's Satchel##433594
|tip It looks like a tan sack on the ground inside the cave.
collect Offering of Bone##217721 |q 80411
step
_Inside the Zul'Farrak Dungeon:_
Avoid and Distract Guards
|tip Stealth and follow the path west, back into the room with the scarabs.
|tip In the room with the scarabs, hug the right wall and continue following the path west.
|tip You will eventually enter the area with the huge staircase and a few tent buildings.
click Clay Vessel##433067
|tip It looks like a brown vase with a wider bottom and thinner neck.
|tip It should be inside the tent building closest to the stairs, on the right.
collect Vile Concoction##217716 |q 80411
step
_Inside the Zul'Farrak Dungeon:_
Avoid and Distract Guards
|tip Stealth and follow the path east, back the way you came.
|tip Once you enter the room with the large white mounds of sand, enter the building on the left.
use the Vile Concoction##217716
|tip Use it inside the building near the cauldron to kill the enemy.
click Zum'Rah's Satchel##433593
|tip It looks like a tan sack on the ground inside the building.
collect Ward of the Dead##217727 |q 80411
step
_Inside the Zul'Farrak Dungeon:_
use the Ward of the Dead##217727
|tip Equip the Ward of the Dead.
Click Here to Continue |confirm |q 80411
step
_Inside the Zul'Farrak Dungeon:_
click Shallow Grave##433591
|tip Leave the building and turn left.
|tip You will see one of the white mounds with a blue glow above it.
|tip That's the grave you need to click.
collect Offering of Flesh##217720 |q 80411
step
_Inside the Zul'Farrak Dungeon:_
Avoid and Distract Guards
|tip Stealth and follow the path west, back to the room with the huge staircase.
|tip To the right of the huge staircase, climb the terrain to get up to the upper ledge.
click Sandfury Cache##433066
|tip It looks like a yellow wooden chest.
|tip It's inside one of the tent buildings on the upper ledge.
collect Hollow Emblem##217717 |q 80411
step
_Inside the Zul'Farrak Dungeon:_
use the Offering of Bone##217721
collect Blood Magic Essence##217719 |q 80411
step
_Inside the Zul'Farrak Dungeon:_
use the Blood Magic Essence##217719
collect Emblem of Blood Magic##217718 |q 80411
step
_Inside the Zul'Farrak Dungeon:_
Avoid and Distract Guards
|tip Stealth and go to the top of the huge staircase.
click Spellbound War Chest##433596
|tip It looks like a brown wooden treasure chest in the area at the top of the huge staircase.
collect Talisman of Kazdor##80411 |q 80411/1
step
Follow the path up and through the tunnel |goto Hillsbrad Foothills 75.51,23.52 < 20 |only if walking
Enter Ravenholdt Manor |goto Hillsbrad Foothills 85.45,79.38 < 10 |only if walking
talk Fahrad##6707
|tip Upstairs, outside on the balcony of the building.
turnin The Talisman of Kazdor##80411 |goto Hillsbrad Foothills 84.45,80.32
accept Best Laid Plans##80453 |goto Hillsbrad Foothills 84.45,80.32
step
talk Zan Shivsproket##6777
|tip Downstairs inside the building.
turnin Best Laid Plans##80453 |goto 85.95,79.96
accept One Last Drop##80454 |goto 85.95,79.96
step
click Dead Drop##410369
|tip It looks like a chest.
|tip Inside the building.
turnin One Last Drop##80454 |goto Silverpine Forest 47.11,70.96
accept Biding Our Time##80455 |goto Silverpine Forest 47.11,70.96
step
Follow the path up and through the tunnel |goto Hillsbrad Foothills 75.51,23.52 < 20 |only if walking
Enter Ravenholdt Manor |goto Hillsbrad Foothills 85.45,79.38 < 10 |only if walking
talk Fahrad##6707
|tip Upstairs, outside on the balcony of the building.
turnin Biding Our Time##80455 |goto Hillsbrad Foothills 84.45,80.32
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 3 Runes\\Cut to the Chase",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Cut to the Chase on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with the Emerald Wardens Faction |complete rep("Emerald Wardens") >= Friendly
|tip Use the following guides to accomplish this:
|tip Ashenvale Nightmare Invasion
|tip Duskwood Nightmare Invasion
step
_NOTE:_
Pick the Zone Closest to You
|tip There are Quartermaster NPCs in 4 different zones.
|tip All of them will sell you the item to learn your class rune.
|tip Pick the zone that's closest to you, to be lead to the Quartermaster in that zone.
Ashenvale		|confirm	|next "Ashenvale_Quartermaster"
Feralas			|confirm	|next "Feralas_Quartermaster"
Duskwood		|confirm	|next "Duskwood_Quartermaster"
The Hinterlands		|confirm	|next "The_Hinterlands_Quartermaster"
step
label "Ashenvale_Quartermaster"
talk Quartermaster Kyleen##222685
buy Rune of Affliction##221482		|goto Ashenvale 89.61,40.61		|only if Warlock
buy Rune of Alacrity##221512		|goto Ashenvale 89.61,40.61		|only if Rogue
buy Rune of Bloodshed##221517		|goto Ashenvale 89.61,40.61		|only if Druid
buy Rune of Burn##221483		|goto Ashenvale 89.61,40.61		|only if Shaman
buy Rune of Detonation##221515		|goto Ashenvale 89.61,40.61		|only if Hunter
buy Rune of the Hammer##223288		|goto Ashenvale 89.61,40.61		|only if Paladin
buy Rune of the Protector##221511	|goto Ashenvale 89.61,40.61		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Ashenvale 89.61,40.61		|only if Mage
step
label "Feralas_Quartermaster"
talk Quartermaster Valdane##222687
buy Rune of Affliction##221482		|goto Feralas 48.62,12.48		|only if Warlock
buy Rune of Alacrity##221512		|goto Feralas 48.62,12.48		|only if Rogue
buy Rune of Bloodshed##221517		|goto Feralas 48.62,12.48		|only if Druid
buy Rune of Burn##221483		|goto Feralas 48.62,12.48		|only if Shaman
buy Rune of Detonation##221515		|goto Feralas 48.62,12.48		|only if Hunter
buy Rune of the Hammer##223288		|goto Feralas 48.62,12.48		|only if Paladin
buy Rune of the Protector##221511	|goto Feralas 48.62,12.48		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Feralas 48.62,12.48		|only if Mage
step
label "Duskwood_Quartermaster"
Follow the path up into the Twilight Grove |goto Duskwood 46.83,59.43 < 30 |only if walking and not subzone ("Twilight Grove")
talk Quartermaster Falinar##222684
buy Rune of Affliction##221482		|goto Duskwood 45.76,51.35		|only if Warlock
buy Rune of Alacrity##221512		|goto Duskwood 45.76,51.35		|only if Rogue
buy Rune of Bloodshed##221517		|goto Duskwood 45.76,51.35		|only if Druid
buy Rune of Burn##221483		|goto Duskwood 45.76,51.35		|only if Shaman
buy Rune of Detonation##221515		|goto Duskwood 45.76,51.35		|only if Hunter
buy Rune of the Hammer##223288		|goto Duskwood 45.76,51.35		|only if Paladin
buy Rune of the Protector##221511	|goto Duskwood 45.76,51.35		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Duskwood 45.76,51.35		|only if Mage
step
label "The_Hinterlands_Quartermaster"
talk Quartermaster Alandra##222686
buy Rune of Affliction##221482		|goto The Hinterlands 61.41,34.64	|only if Warlock
buy Rune of Alacrity##221512		|goto The Hinterlands 61.41,34.64	|only if Rogue
buy Rune of Bloodshed##221517		|goto The Hinterlands 61.41,34.64	|only if Druid
buy Rune of Burn##221483		|goto The Hinterlands 61.41,34.64	|only if Shaman
buy Rune of Detonation##221515		|goto The Hinterlands 61.41,34.64	|only if Hunter
buy Rune of the Hammer##223288		|goto The Hinterlands 61.41,34.64	|only if Paladin
buy Rune of the Protector##221511	|goto The Hinterlands 61.41,34.64	|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto The Hinterlands 61.41,34.64	|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 4 Runes\\Blunderbuss",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Blunderbuss on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Sending Sigil##227451 |goto Eastern Plaguelands 81.15,81.97
|tip Lockpick the Scarlet Lockbox chests around this area.
step
_NOTE:_
During the Next Steps
|tip You need to click Sending Pillars across the zone in a specific order.
|tip After you click each pillar, you will be teleported far away.
|tip They will be a lot of running around to do this.
Click Here to Continue |confirm
step
click Sending Pillar
|tip You will be teleported away.
Click Here to Confirm |confirm |goto 82.01,58.83
step
click Sending Pillar
|tip You will be teleported away.
Click Here to Confirm |confirm |goto 39.22,94.74
step
click Sending Pillar
|tip You will be teleported away.
Click Here to Confirm |confirm |goto 70.36,35.27
step
click Sending Pillar
|tip You will be teleported into a house.
Click Here to Confirm |confirm |goto 15.47,28.63
step
Click the chest
|tip Inside the house.
collect Rune of the Swashbuckler##227922
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 4 Runes\\Crimson Tempest",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Crimson Tempest on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Toolbox Key##227928 |goto Western Plaguelands 45.35,13.54
|tip Pickpocket Scarlet Workers around this area.
|tip You can also kill them, if you prefer.
step
click Scarlet Toolbox
collect Rusty Crowbar##227932 |goto 44.99,14.11
step
click Marked Crate##461632
|tip At the top of the tower.
collect Hidden Bundle##227931 |goto 45.80,18.30
step
use the Hidden Bundle##227931
collect Safe Box Key##227930
step
click Belavus' Safe Box##461633
|tip Inside the tower, on the middle floor.
collect Rune of the Crimson Tempest##227456 |goto 46.53,14.17
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 4 Runes\\Fan of Knives",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Fan of Knives on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Click the chest
|tip The code is:
|tip Frostsaber, Owl, Bear, Owl
collect Rune of Knives##227921 |goto Winterspring 67.70,35.35
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 4 Runes\\Redirect (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Redirect skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Manual of Redirect##216738 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Manual of Redirect##216738 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 4 Runes\\Atrophic Poison (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Atrophic Poison skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Manual of Atrophic Poison##226394 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Manual of Atrophic Poison##226394 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 4 Runes\\Numbing Poison (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Numbing Poison skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Manual of Numbing Poison##226395 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Manual of Numbing Poison##226395 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 4 Runes\\Occult Poison (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Occult Poison skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Manual of Occult Poison##226396 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Manual of Occult Poison##226396 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Rogue\\Phase 4 Runes\\Sebacious Poison (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Sebacious Poison skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Manual of Sebacious Poison##226397 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Manual of Sebacious Poison##226397 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Second Meditation Unlock\\Second Meditation Unlock (Dwarf & Human Only)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Serendipity on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 17
|tip Use the leveling guides to accomplish this.
step
talk Nara Meideros##11397
accept Secrets of Elune##78194 |goto Stormwind City 20.68,50.08
step
map Duskwood
path follow smart; loop off; ants straight; dist 50; markers none
path	11.81,29.39	15.57,24.64	18.51,23.95	23.24,26.03	29.03,26.73
path	33.15,23.17	37.32,19.68	45.37,18.08
Kill Dire Wolf enemies around this area
|tip They look like wolves.
|tip You can find them all along the coast of the river.
|tip They are level 19-21 enemies.
|tip You may need help with this.
collect 10 Dire Wolf Paw##210053 |q 78194/1
step
talk Nara Meideros##11397
turnin Secrets of Elune##78194 |goto Stormwind City 20.68,50.08
accept Secrets of Elune##78195 |goto Stormwind City 20.68,50.08
step
talk Syrnoya##211298
turnin Secrets of Elune##78195 |goto Darkshore 37.76,43.82
step
You've Learned the Secrets of Elune
|tip You can now use the "/kneel" emote while standing in moonwells.
|tip This will give you the "Meditation on Elune" buff.
|tip If you also "/kneel" while targeting an Altar of Light in major cities, and some smaller towns, you can have 2 Meditation buffs at once.
|tip This is required to learn some Season of Discovery runes.
|tip You can also "/kneel" while targeting Night Elf Priest players, and have them "/pray" while targeting you.
|tip This will give you many Meditation buffs.
This is the End of the Guide |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Second Meditation Unlock\\Second Meditation Unlock (Night Elf Only)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Serendipity on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 17
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Darnassus 39.06,76.73 < 15 |walk
talk Maethra Slagheart##211188
|tip Inside the building.
|tip On the ground floor.
accept Secrets of the Light##78192 |goto Darnassus 37.86,89.39
stickystart "Kill_Forsaken_Seekers"
step
kill 7 Forsaken Herbalist##3733 |q 78192/1 |goto Ashenvale 31.31,23.06
step
label "Kill_Forsaken_Seekers"
kill 9 Forsaken Seeker##3732 |q 78192/2 |goto 31.31,23.06
step
Enter the building |goto Darnassus 39.06,76.73 < 15 |walk
talk Maethra Slagheart##211188
|tip Inside the building.
|tip On the ground floor.
turnin Secrets of the Light##78192 |goto Darnassus 37.86,89.39
accept Secrets of the Light##78193 |goto Darnassus 37.86,89.39
step
Enter the building |goto Stormwind City 43.04,34.46 < 15 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin Secrets of the Light##78193 |goto Stormwind City 38.58,26.06
step
You've Learned the Secrets of the Light
|tip You can now use the "/kneel" emote while targeting Altars of the Light.
|tip This will give you the "Meditation on the Light" buff.
|tip If you also "/kneel" while standing in a moonwell in major cities, and some smaller towns, you can have 2 Meditation buffs at once.
|tip This is required to learn some Season of Discovery runes.
|tip You can also "/kneel" while targeting Dwarf or Human Priest players, and have them "/pray" while targeting you.
|tip This will give you many Meditation buffs.
This is the End of the Guide |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Circle of Healing [Duskwood]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Circle of Healing on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Learn the Secrets of Elune |q 78195 |future |only if (Dwarf or Human)
Learn the Secrets of the Light |q 78193 |future |only if NightElf
|tip Use the "Second Meditation Unlock" guide to accomplish this.
|tip This will allow you to get 2 Meditation buffs yourself, without having to ask another player, if you don't want to.
|tip If you'd rather find a player to help you, skip this step.
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Stormwind City 21.16,53.56
|tip Use the "/kneel" emote while standing in the moonwell water.
|tip Alternatively, you can also find a Night Elf Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if Dwarf Priest
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
|tip Alternatively, you can also find a Dwarf or Human Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if NightElf Priest
step
Kill Defias enemies around this area
|tip They look like humans.
|tip Only Defias Night Runners and Defias Enchanters will drop the item.
|tip The Defias Night Runners are stealthed.
|tip They are level 24-27 enemies.
collect Dark Insight##211528 |goto Duskwood 49.73,75.57
step
Follow the path near the tower |goto 86.95,39.38 < 40 |only if walking
Follow the path behind the tower |goto 88.05,31.32 < 15 |only if walking
use the Dark Insight##211528
collect Prophecy of a Thousand Lights##211490 |goto 90.96,30.53
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Homunculi [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Homunculi on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Learn the Secrets of Elune |q 78195 |future |only if (Dwarf or Human)
Learn the Secrets of the Light |q 78193 |future |only if NightElf
|tip Use the "Second Meditation Unlock" guide to accomplish this.
|tip This will allow you to get 2 Meditation buffs yourself, without having to ask another player, if you don't want to.
|tip If you'd rather find a player to help you, skip this step.
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Stormwind City 21.16,53.56
|tip Use the "/kneel" emote while standing in the moonwell water.
|tip Alternatively, you can also find a Night Elf Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if Dwarf Priest
step
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Ironforge 32.12,20.44
|tip Use the "/kneel" emote while targeting the Altar of the Light inside the building.
|tip Alternatively, you can also find a Dwarf or Human Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if NightElf Priest
step
Follow the path up |goto Dun Morogh 38.69,42.22 < 30 |only if walking
kill Frostmane Seer##1397+
|tip They look like trolls wearing robes.
collect Prophecy of a Desecrated Citadel##205947 |goto Dun Morogh 41.12,43.98
You can find more around [Dun Morogh 41.87,35.62]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Homunculi [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Homunculi on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Learn the Secrets of Elune |q 78195 |future |only if (Dwarf or Human)
Learn the Secrets of the Light |q 78193 |future |only if NightElf
|tip Use the "Second Meditation Unlock" guide to accomplish this.
|tip This will allow you to get 2 Meditation buffs yourself, without having to ask another player, if you don't want to.
|tip If you'd rather find a player to help you, skip this step.
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Stormwind City 21.16,53.56
|tip Use the "/kneel" emote while standing in the moonwell water.
|tip Alternatively, you can also find a Night Elf Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if Dwarf Priest
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
|tip Alternatively, you can also find a Dwarf or Human Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if NightElf Priest
step
kill Defias Rogue Wizard##474+
|tip They look like humans wearing robes.
collect Prophecy of a Desecrated Citadel##205947 |goto Elwynn Forest 73.82,51.75
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Homunculi [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Homunculi on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Learn the Secrets of Elune |q 78195 |future |only if (Dwarf or Human)
Learn the Secrets of the Light |q 78193 |future |only if NightElf
|tip Use the "Second Meditation Unlock" guide to accomplish this.
|tip This will allow you to get 2 Meditation buffs yourself, without having to ask another player, if you don't want to.
|tip If you'd rather find a player to help you, skip this step.
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Teldrassil 56.05,61.95
|tip Use the "/kneel" emote while standing in the moonwell water.
|tip Alternatively, you can also find a Night Elf Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if Dwarf Priest
step
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Ironforge 32.12,20.44
|tip Use the "/kneel" emote while targeting the Altar of the Light inside the building.
|tip Alternatively, you can also find a Dwarf or Human Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if NightElf Priest
step
Follow the path |goto Teldrassil 56.43,54.22 < 20 |only if walking
kill Rascal Sprite##2002+
|tip They look like imps.
|tip Inside the cave.
collect Prophecy of a Desecrated Citadel##205947 |goto Teldrassil 54.64,52.45
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Mind Sear",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Mind Sear on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Stormwind City 21.16,53.56
|tip Use the "/kneel" emote while standing in the moonwell water.
|only if NightElf Priest
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
|only if ((Dwarf or Human) and Priest)
step
Reach Honored Reputation with Azeroth Commerce Authority |complete rep("Azeroth Commerce Authority") >= Honored
|tip As you kill enemies anywhere in the world, you will loot "Waylaid Supplies" items.
|tip To gain reputation with this faction, turn them in to Supply Officers in the 3 major cities.
|tip You can turn in the Waylaid Supplies crates empty.
|tip However, if you fill the crates with the items they require (according to their tooltip), you will gain more reputation.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
step
buy Tenebrous Epiphany##205950
|tip You can buy it from Supply Officers in the 3 major cities.
|tip It costs 2 gold.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Penanace (Dwarf Only) [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Penanace on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.79,69.05 < 10 |walk
talk Branstock Khalder##837
|tip Inside the building.
accept Meditation on the Light##77661 |goto Dun Morogh 28.60,66.39
step
Gain the Meditation on the Light Buff |havebuff (410935) |goto 28.92,66.42 |q 77661
|tip Target the Altar of the Light.
|tip It looks like a stone pedastal inside the building.
|tip Use the "/kneel" emote while standing next to it.
|tip You will gain a buff that allows you to learn Priest runes.
step
Leave the building |goto 28.79,69.07 < 10 |walk |only if subzone("Anvilmar")
click Rockjaw Footlocker##405633
collect Memory of a Troubled Acolyte##205951 |goto 26.73,72.55 |q 77661
step
use the Memory of a Troubled Acolyte##205951
Learn Spell: Engrave Gloves - Penance |q 77661/1
step
Enter the building |goto 28.79,69.05 < 10 |walk
talk Branstock Khalder##837
|tip Inside the building.
turnin Meditation on the Light##77661 |goto 28.60,66.39
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Penanace (Human Only) [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Penanace on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Elwynn Forest 48.31,41.99 < 10 |walk
talk Priestess Anetta##375
|tip Inside the building, on the ground floor.
accept Meditation on the Light##77619 |goto Elwynn Forest 49.81,39.49
step
Gain the Meditation on the Light Buff |complete hasbuff(410935) |goto 49.81,39.49 |q 77619
|tip Use the "/kneel" emote while standing inside the building.
|tip You will gain a buff that allows you to learn Priest runes.
step
Kill Kobold enemies around this area
|tip Inside the mine.
collect Memory of a Troubled Acolyte##205951 |goto 47.66,31.86 |q 77619
step
use the Memory of a Troubled Acolyte##205951
Learn Spell: Engrave Gloves - Penance |q 77619/1
step
Enter the building |goto 48.31,41.99 < 10 |walk
talk Priestess Anetta##375
|tip Inside the building, on the ground floor.
turnin Meditation on the Light##77619 |goto 49.81,39.49
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Penanace (Night Elf Only) [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Penanace on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Run up the ramp |goto Teldrassil 59.97,41.90 < 10 |walk
talk Shanda##3595
|tip Upstairs inside the building.
turnin Hallowed Sigil##3119 |goto Teldrassil 59.17,40.44
accept Meditation on Elune##77574 |goto Teldrassil 59.17,40.44
step
Gain the Meditation on Elune Buff |complete hasbuff(419307) |goto 59.94,33.07 |q 77574
|tip Use the "/kneel" emote while standing in the moonwell.
|tip You will gain a buff that allows you to learn Priest runes.
step
use the Memory of a Troubled Acolyte##205951
Learn Spell: Engrave Gloves - Penance |q 77574/1
step
Run up the ramp |goto 59.97,41.90 < 10 |walk
talk Shanda##3595
|tip Upstairs inside the building.
turnin Meditation on Elune##77574 |goto 59.17,40.44
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Power Word: Barrier [Redridge Mountains]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Power Word: Barrier on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Learn the Secrets of Elune |q 78195 |future |only if (Dwarf or Human)
Learn the Secrets of the Light |q 78193 |future |only if NightElf
|tip Use the "Second Meditation Unlock" guide to accomplish this.
|tip This will allow you to get 2 Meditation buffs yourself, without having to ask another player, if you don't want to.
|tip If you'd rather find a player to help you, skip this step.
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Stormwind City 21.16,53.56
|tip Use the "/kneel" emote while standing in the moonwell water.
|tip Alternatively, you can also find a Night Elf Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if Dwarf Priest
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
|tip Alternatively, you can also find a Dwarf or Human Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if NightElf Priest
step
kill Blackrock Shadowcaster##436+
|tip They look like orcs wearing robes.
|tip They are level 22-23 elite enemies.
|tip You may need help with this.
collect Prophecy of a City Enthralled##211530 |goto Redridge Mountains 67.41,56.03
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Prayer of Mending [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Prayer of Mending on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Ironforge 32.12,20.44
|tip Use the "/kneel" emote while targeting the Altar of the Light inside the building.
step
_NOTE:_
Bring Someone to Help You
|tip You will need at least 1 other person that is either a Priest or Paladin.
step
Enter the cave |goto Dun Morogh 42.25,53.95 < 40 |walk
clicknpc Adventurer's Remains##204827
|tip It looks like a white skeleton laying on the ground.
|tip Inside the cave.
Choose _"Begin the ritual."_
|tip Click the Spirit Ritual portal that appears.
|tip Anyone helping you should also click on the portal.
|tip A spirit will appear and die.
|tip Loot the spirit.
collect Reciprocal Epiphany##205944 |goto Dun Morogh 43.03,49.59
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Prayer of Mending [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Prayer of Mending on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
step
_NOTE:_
Bring Someone to Help You
|tip You will need at least 1 other person that is either a Priest or Paladin.
step
clicknpc Adventurer's Remains##204827
|tip It looks like a white skeleton laying on the ground.
Choose _"Begin the ritual."_
|tip Click the Spirit Ritual portal that appears.
|tip Anyone helping you should also click on the portal.
|tip A spirit will appear and die.
|tip Loot the spirit.
collect Reciprocal Epiphany##205944 |goto Elwynn Forest 52.2,84.6
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Prayer of Mending [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Prayer of Mending on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Teldrassil 56.05,61.95
|tip Use the "/kneel" emote while standing in the moonwell water.
step
_NOTE:_
Bring Someone to Help You
|tip You will need at least 1 other person that is either a Priest or Paladin.
step
clicknpc Adventurer's Remains##204827
|tip It looks like a white skeleton laying on the ground.
Choose _"Begin the ritual."_
|tip Click the Spirit Ritual portal that appears.
|tip Anyone helping you should also click on the portal.
|tip A spirit will appear and die.
|tip Loot the spirit.
collect Reciprocal Epiphany##205944 |goto Teldrassil 33.53,35.66
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Serendipity [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Serendipity on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
collect 25 Shredder Autosalvage Unit##210147 |q 78267 |future
|tip These are made with the Engineering profession.
|tip The schematic drops from Sneed in the Deadmines dungeon.
|tip You can make them yourself, get a friend to help, or buy them from the Auction House.
|tip To make one, you need 1 Bronze Framework, 2 Whirring Bronze Gizmo, 1 Heavy Leather.
|tip You will use them to collect 16 quest items, but they can fail, so get 25 at a minimum.
|tip If you don't have enough, you may have to backtrack to make more later.
step
kill Venture Co. Light Shredder##214129+
|tip They look like grey metal humanoid machines that walk around this area.
|tip They are fairly uncommon, so you may have to search around.
use the Shredder Autosalvage Unit##210147+
|tip Use them on their corpses.
collect 16 Shredder Turbochargers##78267 |goto Stonetalon Mountains 60.69,52.32 |q 78267 |future
You can find more around: |notinsticky
[67.0,56.8]
[69.8,54.8]
[72.8,53.8]
[68.8,47.8]
[66.2,47.2]
step
kill Bluegill Oracle##1029+
|tip They wander all over the marsh area just east of the coast.
|tip You can also farm Bluegill Raiders along the coast south of Menethil Harbor.
collect 24 Fish Oil##17058 |goto Wetlands 16.12,31.71 |q 78265 |future
|tip You can also purchase these from the auction house.
You can find Bluegill Raiders at [12.61,64.82]
step
kill Dark Iron Insurgent##1169+
|tip They look like grey dwarves.
|tip Inside the cave.
collect 20 Dark Iron Ordinance##210138 |goto 63.35,77.50 |q 78266 |future
|tip The drop rate is very low.
You can find more in Loch Modan at [Loch Modan 58.61,15.88]
step
Collect 5 Gold |complete _G.GetMoney() >= 50000
|tip Grizzby won't speak with you unless you have at least 5 gold.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
|tip You may have to go through some dialogue prompts before he offers you a few turn-in quests.
accept Dark Iron Ordinance##78266 |goto The Barrens 61.92,39.32
accept Fish Oil##78265 |goto The Barrens 61.92,39.32
accept Shredder Turbochargers##78267 |goto The Barrens 61.92,39.32
accept Let Me Make You An Offer##78287 |goto The Barrens 61.92,39.32
step
Enter the building |goto Stormwind City/0 78.04,47.96 < 10
talk Master Wood##8383
|tip Inside the building.
turnin Let Me Make You An Offer##78287 |goto 79.17,47.65
accept You've Got Yourself A Deal##78297 |goto 79.17,47.65
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Stormwind City 21.16,53.56
|tip Use the "/kneel" emote while standing in the moonwell water.
|only if NightElf Priest
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
|only if ((Dwarf or Human) and Priest)
step
Enter the building |goto The Barrens/0 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
turnin You've Got Yourself A Deal##78297 |goto 61.92,39.32
step
talk Grizzby##211653
|tip Inside the building.
buy Harmonious Epiphany##210822 |goto 61.92,39.32
|tip It costs 5 gold.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Shadow Word: Death [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadow Word: Death on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Learn the Secrets of Elune |q 78195 |future |only if (Dwarf or Human)
Learn the Secrets of the Light |q 78193 |future |only if NightElf
|tip Use the "Second Meditation Unlock" guide to accomplish this.
|tip This will allow you to get 2 Meditation buffs yourself, without having to ask another player, if you don't want to.
|tip If you'd rather find a player to help you, skip this step.
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
|tip Alternatively, you can also find a Dwarf or Human Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if NightElf Priest
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Darkshore 37.79,44.05
|tip Use the "/kneel" emote while standing in the moonwell water.
|tip Alternatively, you can also find a Night Elf Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if Dwarf Priest
step
click Remnant##414646
|tip It looks like a small orange glowing orb.
|tip Up on the ledge of the crumbled house.
|tip To reach it, jump from the small hill nearby onto the ledge of the crumbled house.
collect Prophecy of a King's Demise##205932 |goto Darkshore 30.38,47.99
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Shared Pain [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shared Pain on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Ironforge 32.12,20.44
|tip Use the "/kneel" emote while targeting the Altar of the Light inside the building.
step
Enter the building |goto Dun Morogh 77.93,62.24 < 10 |walk
kill Captain Beld##6124
|tip Downstairs inside the building.
|tip The drop rate may be lower if you are a human or night elf. |only if Human or NightElf
collect Memory of an Imprisoned Savior##205945 |goto Dun Morogh 77.89,62.23
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Shared Pain [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shared Pain on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
step
kill Kobold Miner##40
|tip Inside the mine.
|tip The drop rate may be lower if you are a Dwarf or Night Elf. |only if Dwarf or NightElf
collect Memory of an Imprisoned Savior##205945 |goto Elwynn Forest 38.95,82.32
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Shared Pain [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shared Pain on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Teldrassil 56.05,61.95
|tip Use the "/kneel" emote while standing in the moonwell water.
step
Follow the path |goto 56.43,54.22 < 20 |only if walking
Enter the cave |goto 54.65,52.45 < 20 |walk
kill Lord Melenas##2038
|tip Inside the cave.
|tip He can spawn in multiple locations inside this cave.
|tip If he's not here, search around in the cave until you find him.
|tip The drop rate may be lower here if you are a Dwarf or a Human. |only if Dwarf or Human
collect Memory of an Imprisoned Savior##205945 |goto 52.81,50.20
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Strength of Soul [Ashenvale]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Strength of Soul on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Learn the Secrets of Elune |q 78195 |future |only if (Dwarf or Human)
Learn the Secrets of the Light |q 78193 |future |only if NightElf
|tip Use the "Second Meditation Unlock" guide to accomplish this.
|tip This will allow you to get 2 Meditation buffs yourself, without having to ask another player, if you don't want to.
|tip If you'd rather find a player to help you, skip this step.
step
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Ironforge 32.12,20.44
|tip Use the "/kneel" emote while targeting the Altar of the Light inside the building.
|tip Alternatively, you can also find a Dwarf or Human Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if NightElf Priest
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Darkshore 37.79,44.05
|tip Use the "/kneel" emote while standing in the moonwell water.
|tip Alternatively, you can also find a Night Elf Priest to use the "/pray" emote on you after you use the "/kneel" emote while targeting them. |only if Dwarf Priest
step
Kill Thistlefur enemies around this area
|tip They look like furbolgs.
collect Primal Insight##211534 |goto Ashenvale 35.73,32.54
step
Follow the path up |goto 37.51,32.18 < 30 |only if walking
Walk onto the huge tree limb |goto 38.02,29.78 < 30 |only if walking
Continue walking up the tree limb |goto 38.07,28.06 < 20 |only if walking
Continue walking up the tree limb |goto 38.78,27.21 < 15 |only if walking
use the Primal Insight##211534
|tip Use it near the hanging dreamcatchers.
collect Prophecy of Seven Visitors##211531 |goto 38.81,26.61
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Twisted Faith [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Twisted Faith on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Darkshore 37.79,44.05
|tip Use the "/kneel" emote while standing in the moonwell water.
step
Kill Stormscale enemies around this area
|tip They look like nagas.
collect Shatterspear Offering##211482 |goto 58.69,22.71
step
click Shatterspear Idol##414663
|tip It looks like a large stone statue head.
|tip Underwater at the bottom of the stairs.
collect Memory of a Devout Champion##205905 |goto 58.77,22.64
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Twisted Faith [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Twisted Faith on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Loch Modan 37.43,46.19
|tip Use the "/kneel" emote while targeting the Altar of the Light.
step
Kill Tunnel Rat enemies around this area
|tip They look like kobols.
|tip Inside the mine.
collect Offering Coin##208823 |goto 35.48,18.82
step
Enter the mine |goto 35.48,18.82 < 15 |walk |only if not (subzone("Silver Stream Mine") and _G.IsIndoors())
Follow the path inside the mine |goto 35.96,20.22 < 10 |walk
use the Offering Coin##208823
|tip Use it next to the well.
|tip Inside the mine.
collect Memory of a Devout Champion##205905 |goto 36.66,20.89
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Twisted Faith [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Twisted Faith on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
step
kill Undying Laborer##210537+
|tip They look like white skeletons.
|tip When their health reaches zero, they will lay down.
|tip Use a spell to deal Holy damage to it while it is laying down and it will die.
collect Memory of a Devout Champion##205905 |goto Westfall 44.54,24.93
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Void Plague [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Void Plague on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Ironforge 32.12,20.44
|tip Use the "/kneel" emote while targeting the Altar of the Light inside the building.
step
kill Leper Gnome##1211+
|tip They look like gnomes.
collect Memory of a Dark Purpose##205940 |goto Dun Morogh 26.03,43.14
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Void Plague [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Void Plague on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 42.93,34.28 < 15 |walk
Gain the Meditation on the Light Buff |havebuff Meditation on the Light##417858 |goto Stormwind City 39.90,28.56
|tip Use the "/kneel" emote while at this location inside the Cathedral of Light.
step
Enter the mine |goto Elwynn Forest 38.31,81.54 < 15 |walk
kill Goldtooth##327
|tip He looks like a kobold that walks around this area.
|tip Inside the mine.
|tip He is a level 8 enemy.
collect Memory of a Dark Purpose##205940 |goto Elwynn Forest 41.71,78.04
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Void Plague [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Void Plague on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Gain the Meditation on Elune Buff |havebuff Meditation on Elune##419307 |goto Teldrassil 56.05,61.95
|tip Use the "/kneel" emote while standing in the moonwell water.
step
click Gnarlpine Cache##407734+
|tip They look like brown wooden chests.
|tip They are common and spawn randomly on the ground inside this cave.
|tip You don't need keys to open them.
|tip You may have to find and open multiple before you get the rune.
collect Memory of a Dark Purpose##205940 |goto Teldrassil 44.35,57.93
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 2 Runes\\Dispersion [Stranglethorn Vale]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Dispersion on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
You Will Need Help
|tip Getting this rune requires help from a Rogue and a Mage.
|tip Also Note, you can skip collecting th Mysterious Troll Scroll if there is another priest available to share "The Troll Scroll" quest.
Click Here to Continue |confirm |or
Have Someone Share "The Troll Scroll" Quest With You |accept The Troll Scroll##79731 |next "Accept_The_Troll_Scroll" |or
step
Find a Rogue to Help You
|tip The Rogue needs to have already earned the "Master of Subtlety" rune, as well as have the "Jani's Charm" item.
|tip With the Jani's Charm trinket equipped, the Rogue must Pickpocket Bloodscalp troll enemies around this area.
|tip They will eventually get the "Mysterious Troll Scroll" item.
|tip Have the Rogue give you the scroll.
collect Mysterious Troll Scroll##216879 |goto Stranglethorn Vale 33.00,14.00
step
Find a Mage to Help You
|tip Ask a Mage to use a "Comprehension Charm" on the Mysterious Troll Scroll to decipher it.
collect Deciphered Troll Scroll##216880
step
label "Accept_The_Troll_Scroll"
use the Deciphered Troll Scroll##216880
accept The Troll Scroll##79731
step
Follow the path |goto 27.35,62.98 < 15 |only if walking
click The Holy Spring##759
collect Holy Spring Water##737 |goto 28.90,62.00
step
Follow the path up |goto 23.86,10.64 < 20 |only if walking
use the Holy Spring Water##737
|tip Use it next to the fountain on the wall.
|tip Click the fountain after it becomes interactible.
collect Prophecy of Imprisoned Malice##213142 |goto 23.57,8.01
step
talk Nara Meideros##11397
accept Secrets of Elune##78194 |goto Stormwind City 20.8,50.2
|only if Dwarf or Human
step
map Duskwood
path follow smart; loop off; ants straight; dist 50; markers none
path	11.81,29.39	15.57,24.64	18.51,23.95	23.24,26.03	29.03,26.73
path	33.15,23.17	37.32,19.68	45.37,18.08
Kill Wolf Enemies Around this area
collect 10 Dire Wolf Paw##210053 |q 78194/1
|only if Dwarf or Human
step
talk Nara Meideros##11397
turnin Secrets of Elune##78194 |goto Stormwind City 20.8,50.2
accept Secrets of Elune##78195 |goto Stormwind City 20.8,50.2
|tip You must be at least level 18 to accept this.
|only if Dwarf or Human
step
talk Syrnoya##211298
turnin Secrets of Elune##78195 |goto Darkshore 37.6,43.8
|tip This will unlock the ability to gain 2 Meditation buffs by yourself.
|only if Dwarf or Human
step
Gain the "Meditation of Elune" Buff |complete hasbuff(419307) |goto Stormwind City 21,53
|tip Use the "/kneel" emote inside of the Moonwell.
|only if Dwarf or Human
step
Enter the building |goto Darnassus 39.06,76.73 < 15 |walk
talk Maethra Slagheart##211188
|tip Inside the building.
|tip On the ground floor.
accept Secrets of the Light##78192 |goto Darnassus 37.86,89.39
|tip You must be at least level 18 to accept this.
|only if NightElf
stickystart "Kill_Forsaken_Seekers"
step
kill 7 Forsaken Herbalist##+ |q 78192/1 |goto Ashenvale 31.31,23.06
|only if NightElf
step
label "Kill_Forsaken_Seekers"
kill 9 Forsaken Seeker##+ |q 78192/2 |goto 31.31,23.06
|only if NightElf
step
talk Maethra Slagheart##211188
|tip Inside the building.
turnin Secrets of the Light##78192 |goto Darnassus 38.0,89.6
accept Secrets of the Light##78193 |goto Darnassus 37.86,89.39
|tip This will unlock the ability to gain 2 Meditation buffs by yourself.
|only if NightElf
step
Enter the building |goto Stormwind City 43.04,34.46 < 15 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin Secrets of the Light##78193 |goto Stormwind City 38.58,26.06
|only if NightElf
step
Gain the "Meditation on the Light" Buff |complete hasbuff(410935) |goto Stormwind City 42.9,34.1
|tip Enter the building and use the "/kneel" emote.
|only if NightElf
step
clicknpc Altar of the Light##208565 |only if Dwarf
|tip Inside the building. |only if Dwarf
|tip Use the "/kneel" emote in front of the altar. |only if Dwarf
Gain the "Meditation on the Light" Buff |complete hasbuff(410935) |goto Westfall 52.8,52.8 |only if Dwarf
Gain the "Meditation on the Light" Buff |complete hasbuff(410935) |goto Stormwind City 42.9,34.1 |only if Human
|tip Enter the building and use the "/kneel" emote. |only if Human
Gain the "Meditation of Elune" Buff |complete hasbuff(419307) |goto Stormwind City 21,53 |only if NightElf
|tip Use the "/kneel" emote inside of the Moonwell. |only if NightElf
step
use the Prophecy of Imprisoned Malice##213142
|tip You will learn the Dispersion rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 2 Runes\\Empowered Renew [Alterac Mountains]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Empowered Renew on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Crushridge enemies around this area
|tip They look like ogres.
collect Prophecy of the Quickened Path##213140 |goto Alterac Mountains 49.95,58.11
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 2 Runes\\Empowered Renew [Thousand Needles]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Empowered Renew on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path up |goto Thousand Needles 31.24,36.88 < 15 |only if walking
Cross the hanging bridge |goto Thousand Needles 33.13,35.33 < 10 |only if walking
Cross the hanging bridge |goto Thousand Needles 31.97,31.32 < 10 |only if walking
Cross the hanging bridge |goto Thousand Needles 33.24,28.50 < 10 |only if walking
Cross the hanging bridge |goto Thousand Needles 34.99,31.50 < 10 |only if walking
Kill Grimtotem enemies around this area
|tip They look like Tauren.
collect Prophecy of the Quickened Path##213140 |goto Thousand Needles/0 34.08,38.55
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 2 Runes\\Mind Spike",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Mind Spike on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
|tip You need to be level 30 minimum to start this.
Click Here to Continue |confirm
|only if not NightElf
step
click Extinguished Campfire##417353
|tip In the abandoned camp on top of the hill.
accept Highway Robbery##79229 |goto Desolace 47.50,54.61
|tip You may need to be level 30 to be able to accept the quest.
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Highway Robbery##79229 |goto 62.33,38.98
accept On the Lam##79235 |goto 62.33,38.98
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin On the Lam##79235 |goto Stranglethorn Vale 26.99,77.28
accept Cherry for Your Thoughts?##79236 |goto Stranglethorn Vale 26.99,77.28
step
talk Nixxrax Fillamug##2832
|tip Inside the building, on the ground floor.
buy Cherry Grog##4600 |q 79236/1 |goto 27.04,77.17
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin Cherry for Your Thoughts?##79236 |goto 26.99,77.28
accept No Honor Among Thieves##79242 |goto 26.99,77.28
step
click Rowboat##420055 |goto Arathi Highlands 53.76,91.58
|tip It looks like a small brown wooden boat, in the water near the shore.
|tip You will be transported to another location.
Travel to the Remote Location |goto Arathi Highlands 89.61,77.88 < 200 |noway |c |q 79242
step
talk Illari Duskfeather##215655
|tip On the dock.
Find Illari Duskfeather |q 79242/1 |goto 93.87,71.55
step
talk Illari Duskfeather##215655
|tip Go through the dialogue prompts.
Tell her _"I sympathize with your plight, Illari. Kalimdor is ours, and ours alone."_
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if NightElf
step
talk Illari Duskfeather##215655
kill Illari Duskfeather##215655
|tip A Dropped Puch will appear on the ground near where she dies.
click Dropped Pouch##423569
|tip It looks like a small tan bag.
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if not NightElf
step
click Illari's Loot Cache##418855
|tip It looks like a grey metal chest.
turnin No Honor Among Thieves##79242 |goto 94.09,69.24
step
use the Jewel-Encrusted Box##212553
collect Psychosophic Epiphany##212552
step
use the Psychosophic Epiphany##212552
|tip You will learn the Mind Spike rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 2 Runes\\Pain Suppression",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Pain Suppression on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
You Can Skip the Echo Portion if You Are With a Priest Who Has Already Collected Them
|tip You can skip traveling to Dustwallow Marsh, Swamp of Sorrows, Arathi Highlands and the Scarlet Monastery Graveyard.
Click Here to Continue |confirm
step
click Grave##424266
|tip It looks like a grey stone tombstone.
collect Theramore Echo##215428 |goto Dustwallow Marsh 63.70,42.35
step
click Grave##424266
|tip It looks like a wooden grave marker.
collect Swamp Echo##215425 |goto Swamp of Sorrows 16.76,53.76
step
click Grave##424266
|tip It looks like a wooden grave marker.
collect Arathi Echo##215427 |goto Arathi Highlands 62.19,54.44
step
_Inside the Scarlet Monastery Graveyard Dungeon:_
|tip You will need a dungeon group.
|tip Use the Scarlet Monastery Graveyard dungeon guide.
click Grave##424266
|tip It looks like a grey tombstone in the southwest corner of the outside section of the graveyard.
collect Graveyard Echo##215426
step
_Inside the Scarlet Monastery Library Dungeon:_
Reach the Gallery of Treasures
|tip You will perform the next few steps in the hallway in the Gallery of Treasures section of the Scarlet Monastery Library dungeon.
|tip There will be stone statue heads along the walls, with paintings hanging on the wall above them.
|tip Pay close attention to the paintings above the statues, to make it easier to identify the correct statues.
|tip You will use the Echoes you collected next to the statues in a specific order.
|tip Take your time and don't make a mistake.
Click Here to Continue |confirm
step
_Inside the Scarlet Monastery Library Dungeon:_
use the Swamp Echo##215425
|tip Use it next to the statue that has a painting above it of a human wearing silver armor, holding their helmet on their waist.
|tip You should be facing south when looking at the statue.
Click Here to Continue |confirm
step
_Inside the Scarlet Monastery Library Dungeon:_
use the Arathi Echo##215427
|tip Use it next to the statue that has a painting above it of a human wearing silver and gold armor, with a red cape, and holding a spear upright.
|tip You should be facing east when looking at the statue.
Click Here to Continue |confirm
step
_Inside the Scarlet Monastery Library Dungeon:_
use the Theramore Echo##215428
|tip Use it next to the statue that has a painting above it of a human wearing silver, gold, and blue armor, with arms by their side, holding no weapons.
|tip You should be facing north when looking at the statue.
Click Here to Continue |confirm
step
_Inside the Scarlet Monastery Library Dungeon:_
use the Graveyard Echo##215426
|tip Use it next to the statue that has a painting above it of a human woman wearing a red robe, with a purple background behind her.
|tip You should be facing east when looking at the statue.
Click Here to Continue |confirm
step
_Inside the Scarlet Monastery Library Dungeon:_
click Remnant##414646
|tip If you used the echoes in the correct order, an orange ball of light will appear in the middle of the hallway nearby.
collect Apocryphal Epiphany##213143
step
use the Apocryphal Epiphany##213143
|tip You will learn the Pain Suppression rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 2 Runes\\Renewed Hope [Desolace]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Renewed Hope on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Mind Control Ability
|tip Make sure you learn the Mind Control ability from your class trainer.
|tip You need to it to get the rune.
Click Here to Continue |confirm
step
Kill Slitherblade enemies around this area
|tip They look like nagas.
|tip You can find more in the water.
collect Unsettling Vision##213599 |goto Desolace 38.41,23.80
step
Mind Control a Slitherblade Tide Priestess
|tip They look like nagas with orange fins around this area.
|tip You can find more in the water.
|tip After mind controlling it, use the "Meditation on the Abyss" ability on the pet action bar that appears.
Gain the Meditation on the Abyss Buff |havebuff Meditation on the Abyss##435117 |goto 38.41,23.80
step
use the Unsettling Vision##213599
|tip You will learn the Renewed Hope rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 2 Runes\\Spirit of the Redeemer",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Spirit of the Redeemer on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
collect Ariden's Sigil##216941 |goto Deadwind Pass 52.08,34.10
step
Equip Ariden's Sigil |equipped Ariden's Sigil##216941
|tip If you are grouped, only one player needs to wear this.
step
Follow the path down |goto 44.14,32.57 < 30 |only if walking
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Curious Dalaran Relic##216945 |goto 42.59,27.49
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Odd Dalaran Relic##216948 |goto Swamp of Sorrows 69.37,23.84
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Glittering Dalaran Relic##216946 |goto Duskwood 24.74,46.14
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Slippery Dalaran Relic##216951 |goto Badlands 58.98,55.06
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Whirring Dalaran Relic##216947 |goto Arathi Highlands 60.74,40.79
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Heavy Dalaran Relic##216949 |goto The Barrens 52.14,36.59
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Creepy Dalaran Relic##216950 |goto Desolace 64.99,25.12
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
accept Curious Dalaran Relic##80147 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80149 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80098 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80152 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80148 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80150 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80151 |goto Deadwind Pass 52.08,34.10
step
talk Dalaran Agent##218920
accept A Service to Dalaran##80120 |goto Deadwind Pass 52.08,34.10
step
use the Supply Bag##217014
collect Luminous Epiphany##213144
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 3 Runes\\Divine Aegis",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Divine Aegis on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip You need to be level 50 to collect this rune.
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Start Gathering a Group
|tip You will be killing elite enemies and running multiple dungeons to get this rune.
|tip While you travel to accept the quest in the next step, start trying to put together a full dungeon group.
Click Here to Continue |confirm |q 82043 |future
step
talk Shadowtooth Emissary##222408
accept The Wild Gods##82043 |goto Felwood 51.57,81.96
step
Kill Vilbranch enemies around this area
|tip They look like elite trolls.
|tip You can find them all around the Jintha'Alor area.
collect Wildwhisper Draught##221261 |goto The Hinterlands 66.50,66.40 |q 82043
|tip Only 1 player in your dungeon group needs to collect this item.
|tip Everyone doesn't need to have it, so if someone else in your group gets it, you can continue to the next step.
step
Follow the path to the Razorfen Downs dungeon portal |goto The Barrens 44.90,88.86 < 50 |only if walking
Run through the giant skull and follow the path to the Razorfen Downs dungeon portal |goto The Barrens 49.27,93.08 < 20 |walk
Enter the Razorfen Downs Dungeon
|tip After running through the giant skull, the aypoint arrow won't work anymore, so follow the path until you come to a swirling portal.
|tip Enter the swirling portal to enter the dungeon.
Click Here to Continue |confirm |goto The Barrens 49.27,93.08 |q 82043
step
_Inside the Razorfen Downs Dungeon:_
|tip Use the Razorfen Downs dungeon guide.
kill Amnennar the Coldbringer##7358
|tip He's the final boss inside the dungeon.
use the Wildwhisper Draught##221261
|tip Use it after killing the boss.
|tip Have the person in your group use it that has this item, if you don't have it.
talk Spirit of Agamaggan##222522
turnin The Wild Gods##82043
accept The Wild Gods##82044
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You need to go to 1 of 3 different dungeons to collect the quest items.
|tip You can complete the same dungeon repeatedly to get all of the quest items.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Turnin_The_Wild_Gods"
talk Shadowtooth Emissary##222408
turnin The Wild Gods##82044 |goto Felwood 51.57,81.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 3 Runes\\Surge of Light",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Surge of Light on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Get a Wand with Arcane Damage
|tip The enemy you need to kill has a buff that makes it immune to damage, except Arcane damage.
Click Here to Continue |confirm
step
kill Echo of a Lost Soul##223591
|tip It looks like a blue ghost that appears in multiple locations
|tip It will only appear between 9pm and 6am server time.
|tip Use your wand with Arcane damage to kill it.
collect Prophecy of the Lost Tribe##221981 |goto Stranglethorn Vale 30.0,73.0
You can also find it around: |notinsticky
Swamp of Sorrows around [Swamp of Sorrows 50.4,61.1]
Tanaris around [Tanaris 54.0,28.6]
The Hinterlands around [The Hinterlands 72.6,68.0]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 3 Runes\\Eye of the Void",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Eye of the Void on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the Jaedenar area |goto Felwood 38.39,59.72 < 30 |only if walking
Follow the path around and enter the cave |goto Felwood 35.40,58.68 < 15 |walk
click Extraplanar Eye##445042
|tip Inside the cave.
collect Piercing Eye##223336 |goto Felwood 36.5,55.7 |q 82316 |future
step
Run up the ramp |goto Feralas 58.69,67.04 < 20 |only if walking
click Extraplanar Eye##445041
|tip Inside the tower.
collect Burning Eye##223337 |goto Feralas 57.2,68.7 |q 82316 |future
step
Enter the cave |goto Tanaris 54.61,70.80 < 15 |walk
Follow the path through the large room |goto Tanaris 55.33,72.64 < 10 |walk
click Extraplanar Eye##445040
|tip Inside the cave.
collect Oozing Eye##223335 |goto Tanaris 56.45,73.82 |q 82316 |future
step
click Extraplanar Eye##445044
|tip Inside the ship, on the middle floor, in the captain's room.
collect Baleful Eye##223333 |goto Stranglethorn Vale 32.83,88.25 |q 82316 |future
step
click Extraplanar Eye##445036
|tip To get to it, run up the nearby terrain.
|tip Mount up and jump toward the tower.
|tip Use your Levitate ability to float over to the tower, then cancel Levitate to land on the tower.
collect Pulsating Eye##223330 |goto Blasted Lands 49.0,14.0 |q 82316 |future
step
Jump down carefully and enter the Slag Pit cave |goto Searing Gorge 45.73,49.49 < 10 |walk
click Extraplanar Eye##445037
|tip Inside the Slag Pit cave.
collect Vibrating Eye##223332 |goto Searing Gorge 43.8,45.8 |q 82316 |future
step
_NOTE:_
Find a Group to Help You
|tip You are about to have to walk through Jintha'Alor in the Hinterlands.
|tip It is an area with many elite enemies.
Click Here to Continue |confirm |q 82316 |future
step
Run up the stairs to enter Jintha'Alor |goto The Hinterlands 66.43,66.60 < 30 |only if walking
Run up the stairs |goto The Hinterlands 67.92,69.13 < 15 |only if walking
Run up the stairs |goto The Hinterlands 65.04,68.94 < 15 |only if walking
Run up the stairs |goto The Hinterlands 67.15,73.36 < 15 |only if walking
Run up the stairs |goto The Hinterlands 62.09,71.37 < 15 |only if walking
Run up the stairs |goto The Hinterlands 59.90,70.19 < 15 |only if walking
click Extraplanar Eye##445039
|tip Inside the Slag Pit cave.
collect Glowing Eye##223334 |goto The Hinterlands 58.40,72.70
step
click Shrine of the Watcher##223590
|tip Target it and use the /kneel emote.
accept Seven Eyes I Seek...##82316 |goto Azshara 89.8,33.6
step
click Shrine of the Watcher##223590
turnin Seven Eyes I Seek...##82316 |goto Azshara 89.8,33.6
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 3 Runes\\Pain and Suffering",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Pain and Suffering on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Wastewander Thief##5616+
collect Wastewander Cipher##221549 |goto Tanaris 59.97,23.77
You can find more around [Tanaris 63.18,32.07]
step
kill Wastewander Shadow Mage##5617+
|tip All around this area.
collect Coded Warlock Notes##221547 |goto 60.32,36.91
step
use the Coded Warlock Notes##221547
collect Deciphered Warlock Notes##221545
step
use the Deciphered Warlock Notes##221545
|tip Use it next to the Cryptic Scroll of Summoning.
|tip It looks like an unrolled white scroll on the ground.
kill Enraged Voidwalker##222897
collect Prophecy of Verdant Winter##221979 |goto 58.73,36.50
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 3 Runes\\Despair",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Despair on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Find Warlocks or Mages to Help You
|tip Warlocks and Mages are able to collect items that they can use to help you get this rune.
|tip Warlocks can get Worldcore Fragments.
|tip Mages can get Scrolls of Geomancy.
|tip You can mix and match which items to use, but you need a total of 4 items.
|tip They will use these items on Leyline Confluxes for you in 4 different zones.
|tip After using an item a Leyline Conflux, a level 47 elite enemy will appear, and it's immune to Arcane damage.
|tip Try to bring a level 50 friend to help.
Click Here to Continue |confirm
step
label "Choose_A_Zone"
_NOTE:_
Choose a Zone
|tip You keep to collect an item from various zones.
|tip Click the line below for the zone you want to go to.
Azshara				|confirm	|next "Collect_Azshara_Leycryst"		|only if itemcount(221318) == 0
Feralas				|confirm	|next "Collect_Feralas_Leycryst"		|only if itemcount(221317) == 0
Searing Gorge			|confirm	|next "Collect_Blackrock_Leycryst"		|only if itemcount(221319) == 0
The Hinterlands			|confirm	|next "Collect_Hinterlands_Leycryst"		|only if itemcount(221320) == 0
Click Here to Learn the Rune	|confirm	|next "Learn_The_Rune"				|only if ((itemcount(221318) == 1) and (itemcount(221317) == 1) and (itemcount(221319) == 1) and (itemcount(221320) == 1))
step
label "Collect_Azshara_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Azshara Leycryst##221318 |goto Azshara 18.32,79.52
|next "Choose_A_Zone"
step
label "Collect_Feralas_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Feralas Leycryst##221317 |goto Feralas 57.35,62.02
|next "Choose_A_Zone"
step
label "Collect_Blackrock_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Blackrock Leycryst##221319 |goto Searing Gorge 55.15,66.19
|next "Choose_A_Zone"
step
label "Collect_Hinterlands_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Hinterlands Leycryst##221320 |goto The Hinterlands 47.78,59.11
|next "Choose_A_Zone"
step
label "Learn_The_Rune"
use the Hinterlands Leycryst##221320
|tip You will learn the Despair rune.
Click Here to Continue |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 3 Runes\\Void Zone",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Void Zone on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with the Emerald Wardens Faction |complete rep("Emerald Wardens") >= Friendly
|tip Use the following guides to accomplish this:
|tip Ashenvale Nightmare Invasion
|tip Duskwood Nightmare Invasion
step
_NOTE:_
Pick the Zone Closest to You
|tip There are Quartermaster NPCs in 4 different zones.
|tip All of them will sell you the item to learn your class rune.
|tip Pick the zone that's closest to you, to be lead to the Quartermaster in that zone.
Ashenvale		|confirm	|next "Ashenvale_Quartermaster"
Feralas			|confirm	|next "Feralas_Quartermaster"
Duskwood		|confirm	|next "Duskwood_Quartermaster"
The Hinterlands		|confirm	|next "The_Hinterlands_Quartermaster"
step
label "Ashenvale_Quartermaster"
talk Quartermaster Kyleen##222685
buy Rune of Affliction##221482		|goto Ashenvale 89.61,40.61		|only if Warlock
buy Rune of Alacrity##221512		|goto Ashenvale 89.61,40.61		|only if Rogue
buy Rune of Bloodshed##221517		|goto Ashenvale 89.61,40.61		|only if Druid
buy Rune of Burn##221483		|goto Ashenvale 89.61,40.61		|only if Shaman
buy Rune of Detonation##221515		|goto Ashenvale 89.61,40.61		|only if Hunter
buy Rune of the Hammer##223288		|goto Ashenvale 89.61,40.61		|only if Paladin
buy Rune of the Protector##221511	|goto Ashenvale 89.61,40.61		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Ashenvale 89.61,40.61		|only if Mage
step
label "Feralas_Quartermaster"
talk Quartermaster Valdane##222687
buy Rune of Affliction##221482		|goto Feralas 48.62,12.48		|only if Warlock
buy Rune of Alacrity##221512		|goto Feralas 48.62,12.48		|only if Rogue
buy Rune of Bloodshed##221517		|goto Feralas 48.62,12.48		|only if Druid
buy Rune of Burn##221483		|goto Feralas 48.62,12.48		|only if Shaman
buy Rune of Detonation##221515		|goto Feralas 48.62,12.48		|only if Hunter
buy Rune of the Hammer##223288		|goto Feralas 48.62,12.48		|only if Paladin
buy Rune of the Protector##221511	|goto Feralas 48.62,12.48		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Feralas 48.62,12.48		|only if Mage
step
label "Duskwood_Quartermaster"
Follow the path up into the Twilight Grove |goto Duskwood 46.83,59.43 < 30 |only if walking and not subzone ("Twilight Grove")
talk Quartermaster Falinar##222684
buy Rune of Affliction##221482		|goto Duskwood 45.76,51.35		|only if Warlock
buy Rune of Alacrity##221512		|goto Duskwood 45.76,51.35		|only if Rogue
buy Rune of Bloodshed##221517		|goto Duskwood 45.76,51.35		|only if Druid
buy Rune of Burn##221483		|goto Duskwood 45.76,51.35		|only if Shaman
buy Rune of Detonation##221515		|goto Duskwood 45.76,51.35		|only if Hunter
buy Rune of the Hammer##223288		|goto Duskwood 45.76,51.35		|only if Paladin
buy Rune of the Protector##221511	|goto Duskwood 45.76,51.35		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Duskwood 45.76,51.35		|only if Mage
step
label "The_Hinterlands_Quartermaster"
talk Quartermaster Alandra##222686
buy Rune of Affliction##221482		|goto The Hinterlands 61.41,34.64	|only if Warlock
buy Rune of Alacrity##221512		|goto The Hinterlands 61.41,34.64	|only if Rogue
buy Rune of Bloodshed##221517		|goto The Hinterlands 61.41,34.64	|only if Druid
buy Rune of Burn##221483		|goto The Hinterlands 61.41,34.64	|only if Shaman
buy Rune of Detonation##221515		|goto The Hinterlands 61.41,34.64	|only if Hunter
buy Rune of the Hammer##223288		|goto The Hinterlands 61.41,34.64	|only if Paladin
buy Rune of the Protector##221511	|goto The Hinterlands 61.41,34.64	|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto The Hinterlands 61.41,34.64	|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 4 Runes\\Binding Heal",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Binding Heal on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Stormwind City 42.89,34.18 < 15 |walk
talk High Priestess Laurena##376
|tip Inside the building.
accept Lost Heirloom##84320 |goto Stormwind City 38.58,26.06
|only if Alliance
step
Enter the crypt |goto Western Plaguelands 54.33,79.90 < 15 |walk
Click the wooden chest
|tip Downstairs inside the crypt.
collect Family Heirloom##227745 |q 84320/1 |goto Western Plaguelands 54.81,81.27
|only if Alliance
step
Click the book
|tip In the bookshelf at the bottom of the crypt.
collect Family Records##227747 |q 84320/2 |goto 53.85,80.28
|only if Alliance
step
Click the red book
|tip On the table at the bottom of the crypt.
collect Survivor Journal##227748 |q 84320/2 |goto 54.11,80.69
|only if Alliance
step
Enter the building |goto Stormwind City 42.89,34.18 < 15 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin Lost Heirloom##84320 |goto Stormwind City 38.58,26.06
accept Relic of Light##84321 |goto Stormwind City 38.58,26.06
|only if Alliance
step
Click the book
|tip Inside the building.
turnin Relic of Light##84321 |goto Western Plaguelands 42.18,18.12
accept Scarlet Research##84322 |goto Western Plaguelands 42.18,18.12
|only if Alliance
step
Enter the building |goto Eastern Plaguelands 82.72,79.98 < 15 |walk
Run up the stairs |goto Eastern Plaguelands 83.80,79.35 < 10 |walk
Click the chest
|tip Inside the building, on the top floor.
turnin Scarlet Research##84322 |goto Eastern Plaguelands 83.45,78.95
accept The Prize Within##84323 |goto Eastern Plaguelands 83.45,78.95
|only if Alliance
step
Kill enemies around this area
collect Artifact Storage Key##228912 |n
use the Puzzle Box##227937
|tip You can also get a Rogue to pick the lock on the Puzzle Box, if you prefer.
collect Shard of Light##227938 |q 84323/1 |goto 82.12,80.85
|only if Alliance
step
Enter the building |goto Stormwind City 42.89,34.18 < 15 |walk
talk High Priestess Laurena##376
|tip Inside the building.
turnin The Prize Within##84323 |goto Stormwind City 38.58,26.06
|only if Alliance
step
talk Dietrich Praice##211229
accept Lost Heirloom##84405 |goto Orgrimmar 35.77,86.83
|only if Horde
step
Enter the crypt |goto Western Plaguelands 54.33,79.90 < 15 |walk
Click the wooden chest
|tip Downstairs inside the crypt.
collect Family Heirloom##227745 |q 84405/1 |goto Western Plaguelands 54.81,81.27
|only if Horde
step
Click the book
|tip In the bookshelf at the bottom of the crypt.
collect Family Records##227747 |q 84405/2 |goto 53.85,80.28
|only if Horde
step
Click the red book
|tip On the table at the bottom of the crypt.
collect Survivor Journal##227748 |q 84405/2 |goto 54.11,80.69
|only if Horde
step
talk Dietrich Praice##211229
turnin Lost Heirloom##84405 |goto Orgrimmar 35.77,86.83
accept Relic of Light##84406 |goto Orgrimmar 35.77,86.83
|only if Horde
step
Click the book
|tip Inside the building.
turnin Relic of Light##84406 |goto Western Plaguelands 42.18,18.12
accept Scarlet Research##84322 |goto Western Plaguelands 42.18,18.12
|only if Horde
step
Enter the building |goto Eastern Plaguelands 82.72,79.98 < 15 |walk
Run up the stairs |goto Eastern Plaguelands 83.80,79.35 < 10 |walk
Click the chest
|tip Inside the building, on the top floor.
turnin Scarlet Research##84322 |goto Eastern Plaguelands 83.45,78.95
accept The Prize Within##84407 |goto Eastern Plaguelands 83.45,78.95
|only if Alliance
step
Kill enemies around this area
collect Artifact Storage Key##228912 |n
use the Puzzle Box##227937
|tip You can also get a Rogue to pick the lock on the Puzzle Box, if you prefer.
collect Shard of Light##227938 |q 84407/1 |goto 82.12,80.85
|only if Alliance
step
talk Dietrich Praice##211229
turnin The Prize Within##84407 |goto Orgrimmar 35.77,86.83
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 4 Runes\\Soul Warding",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Soul Warding on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_Inside the Stratholme:_
|tip In the Living side.
|tip Use the Stratholme dungeon guide to accomplish this.
kill Stratholme Courier##11082
|tip He will drop 3 keys, out of a possible 9.
Click Here to Continue |confirm
step
_NOTE:_
|tip The Stratholme Shadow Jars you will collect from the mailboxes, you can only have 1 at a time.
|tip You will need to find the Pedastals just before the Cannon Master Willey boss, and interact with them.
|tip Each Pedastal needs an Echo item you will get from the bosses.
|tip The Pedastals will tell you a riddle, which determines which bosses you need to kill for their Echo items.
Click Here to Continue |confirm
step
_Inside the Stratholme:_
Find the Pedastals
|tip They are just before the Cannon Master Willey boss.
|tip Interact with them to see which bosses you need to kill.
|tip Note down the bosses you need to kill, and which Pedastal each boss matches with, since it's random.
Determine the Bosses You Need
|tip "Among the dead this mortal dwells with acolytes and icy spells." (Maleki the Pallid)
|tip
|tip "A specter cursed to guard a tower. No solace gained from Wealth or power." (Baroness Anastari)
|tip
|tip "Built from built from flesh a sin of science hunted by forsakens finest." (Ramstein the Gorger)
|tip
|tip "Holy furor purges sin and yet a shadow lurks within." (Balnazzar)
|tip
|tip "The people looked to him to lead in their hour of grestest need." (Magistrate Barthilas)
|tip
|tip "The smell of brimstone fills the room. This zealot greets you with a boom." (Cannon Master Willey)
|tip
|tip "A champion of wicked malice, hulking horrors guard his palace" (Baron Rivendare)
|tip
|tip "The ancient kingdom rediscovered. Trades one master for another." (Nerub'enkan)
|tip
|tip "[Currently unknown, so if the riddle matches none of the others, it's this boss]" (Grand Crusader Dathrohan)
Click Here to Continue |confirm
step
_Inside the Stratholme:_
Loot the Echo Items
|tip Find the mailboxes in the dungeon that match the keys you looted from the courier.
|tip In each mail box, you can loot a Stratholme Shadow Jar, and you can only carry one at a time.
|tip When you have a Shadow Jar, kill one of the bosses you need, and use the jar on their corpse to get their Echo item.
|tip Repeat this process until you have the three Echo items from the bosses you need for the Pedastals.
Click Here Once You Have 3 Echo Items |confirm
step
_Inside the Stratholme:_
Return to the Pedastals
|tip They are just before the Cannon Master Willey boss.
|tip Apply each of the boss Echo items to the Pedastal they match to.
|tip If you successfully do this, loot the rune that appears in the middle of the room.
collect Oneiric Epiphany##228124
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 4 Runes\\Vampiric Touch",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Vampiric Touch on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Unlock the Demon Fall Dungeon
|tip Use the "Demon Fall Canyon Dungeon Unlock" guide to accomplish this.
Click Here to Continue |confirm
step
Enter the Demon Fall Dungeon
|tip Equip the Shadowtooth Illusion Ward Trinket to see the dungeon entrance portal at this location.
Click Here to Continue |confirm |goto Ashenvale 84.52,73.59
step
_Inside the Demon Fall Dungeon:_
kill Hellscream's Phantom##227028
|tip He's the final boss in the dungeon.
collect Aperitive Epiphany##228126
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 4 Runes\\Increased Fortitude (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Increased Fortitude skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Scroll of Increased Fortitude##216744 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Tome of Scroll of Increased Fortitude##216744 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Priest\\Phase 4 Runes\\Shadowfiend (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Shadowfiend skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Scroll of Shadowfiend##216745 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Scroll of Shadowfiend##216745 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Arcane Blast [Ashenvale]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Arcane Blast on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Arcane Explosion Ability
|tip Make sure you learn the Arcane Explosion ability from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
Harvest the Arcane Energy |complete hasbuff(430139,1) |goto Ashenvale 13.03,24.95
|tip Use your Arcane Explosion ability next to the Arcane Shard.
|tip It looks like a pink crystal sticking out of the ground.
step
Harvest the Arcane Energy |complete hasbuff(430139,2) |goto 14.06,19.81
|tip Use your Arcane Explosion ability next to the Arcane Shard.
|tip It looks like a pink crystal sticking out of the ground.
step
collect Spell Notes: Arcane Blast##211691 |goto 13.49,15.79
|tip Use your Arcane Explosion ability next to the Arcane Shard.
|tip It looks like a pink crystal sticking out of the ground.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Arcane Surge",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Arcane Surge on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Honored Reputation with Azeroth Commerce Authority |complete rep("Azeroth Commerce Authority") >= Honored
|tip As you kill enemies anywhere in the world, you will loot "Waylaid Supplies" items.
|tip To gain reputation with this faction, turn them in to Supply Officers in the 3 major cities.
|tip You can turn in the Waylaid Supplies crates empty.
|tip However, if you fill the crates with the items they require (according to their tooltip), you will gain more reputation.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
step
buy Spell Notes: Arcane Surge##211386
|tip You can buy it from Supply Officers in the 3 major cities.
|tip It costs 2 gold.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Burnout [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Burnout on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Frozen Trogg##208752
|tip It looks like a large blue chunk of ice on the ground.
|tip You need to unfreeze it.
|tip Target the Frozen Trogg and cast 4 Fire spells quickly together.
|tip Bring Mages or Warlocks (with Imp pets) to help you cast fire spells on it.
|tip After it becomes unfrozen, you can kill it.
collect Spell Notes: Burnout##203748 |goto Dun Morogh 69.39,58.31
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Burnout [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Burnout on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Frozen Murloc##202060
|tip It looks like a large blue chunk of ice on the ground.
|tip You need to unfreeze it.
|tip Target the Frozen Murloc and cast 4 Fire spells quickly together.
|tip Bring Mages or Warlocks (with Imp pets) to help you cast fire spells on it.
|tip After it becomes unfrozen, you can kill it.
collect Spell Notes: Burnout##203748 |goto Elwynn Forest 77.02,51.87
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Enlightenment [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Enlightenment on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Polymorph Ability
|tip Make sure you learn the Polymorph ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
click Spell Notes##387446+
|tip Keep an eye out for critters that have a Polymorph buff in Elwynn Forest.
|tip They can be anywhere, but they seem to be more common near Ridgepoint Tower, around this location.
|tip They will look like creatures you don't normally see in Elwynn Forest.
|tip In your game options, under "Interface > Names", enable the "Critters and Companions" option to be able to spot critters easier.
|tip When you find a critter with a Polymorph buff, use your Polymorph ability on it.
|tip It will change forms and teleport away, leaving a Spell Notes object on the ground.
|tip Spell Notes look like rolled up scrolls.
collect 6 Azora Apprentice Notes##204864 |goto Elwynn Forest 81.58,77.36
step
use the Azora Apprentice Notes##204864+
collect Spell Notes: Enlightenment##203749
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Fingers of Frost [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Fingers of Frost on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the road and run through the tunnel |goto Dun Morogh 81.21,42.70 < 10 |only if walking
kill Mangeclaw##1961
|tip He looks like a level 11 white bear.
|tip He walks around this area.
collect Spell Notes: Fingers of Frost##203747 |goto Dun Morogh 78.31,37.76
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Fingers of Frost [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Fingers of Frost on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Kyra Boucher##1275
|tip Inside the building.
buy Comprehension Charm##211779 |goto Stormwind City/0 56.13,65.27
|tip You need to have one in your bags to be able to use the scroll.
step
kill Hogger##448
|tip He looks like a level 11 elite gnoll that walks around this area.
collect Spell Notes: Fingers of Frost##203747 |goto Elwynn Forest 27.36,92.71
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Ice Lance [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Ice Lance on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.79,69.05 < 10 |walk
talk Marryk Nurribit##944
|tip Inside the building.
accept Spell Research##77667 |goto Dun Morogh 28.71,66.37
step
Leave the building |goto 28.79,69.07 < 10 |walk |only if subzone("Anvilmar")
click Rockjaw Footlocker##405633
collect Spell Notes: CALE ENCI##203751 |goto 26.73,72.55 |q 77667
step
use the Spell Notes: CALE ENCI##203751
Learn: Engrave Gloves - Ice Lance |q 77667/1
step
Enter the building |goto 28.79,69.05 < 10 |walk
talk Marryk Nurribit##944
|tip Inside the building.
turnin Spell Research##77667 |goto 28.71,66.37
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Ice Lance [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Ice Lance on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Elwynn Forest 48.31,41.99 < 10 |walk
talk Khelden Bremen##198
|tip Upstairs inside the building.
accept Spell Research##77620 |goto Elwynn Forest 49.66,39.40
step
kill Defias Thug##38+
|tip They look like humans.
collect Spell Notes: CALE ENCI##203751 |goto 54.89,42.98 |q 77620
You can find more around [54.13,48.90]
step
use the Spell Notes: CALE ENCI##203751
Learn: Engrave Gloves - Ice Lance |q 77620/1
step
Enter the building |goto 48.31,41.99 < 10 |walk
talk Khelden Bremen##198
|tip Upstairs inside the building.
turnin Spell Research##77620 |goto 49.66,39.40
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Icy Veins",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Icy Veins on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
You May Need Help
|tip Some of the locations in this guide are in areas with higher level enemies.
|tip You may need help.
Click Here to Continue |confirm
step
Enter the tower |goto Elwynn Forest 64.43,69.13 < 10 |walk
click Library Book##386759
|tip It looks like a brown book sitting on a table.
|tip Upstairs inside the tower, one floor below the top floor.
collect Archmage Theocritus's Research Journal##203755 |goto Elwynn Forest 65.46,70.07
step
Enter the building |goto Westfall 52.99,53.37 < 10 |walk
click Gnomish Tome##408014
|tip It looks like a light red book sitting on a small table.
|tip Inside the building.
collect Rumi of Gnomeregan: The Collected Works##208860 |goto Westfall 52.63,53.83
step
Enter the building |goto Westfall 45.43,70.00 < 10 |walk
click Spellbook##409562
|tip It looks like a light red book on the bottom shelf of the bookcase.
|tip Inside the building.
collect Bewitchments and Glamours##209845 |goto Westfall 45.36,70.43
step
Enter the crypt |goto Duskwood 15.86,38.73 < 15 |walk
click Spellbook##409735
|tip It looks like a black book sitting on a wooden table.
|tip Inside the crypt.
collect Crimes Against Anatomy##209849 |goto Duskwood 16.63,28.39
step
click Library Book##386691
|tip It looks like a black book sitting on a table.
collect Archmage Antonidas: The Unabridged Autobiography##203754 |goto Ironforge 75.96,10.53
step
Enter the excavation site |goto Wetlands 34.55,41.72 < 30 |only if walking
click Scrolls##409717
|tip It looks like a white rolled up scroll.
|tip Inside the half-buried vase.
collect Goaz Scrolls##209848 |goto Wetlands 33.62,47.84
step
Run down the stairs |goto Darkshore 59.20,23.06 < 10 |only if walking
click Scrolls##409496
|tip It looks like a large white rolled up scroll.
|tip Leaning against the wall on the stairs.
collect Nar'thalas Almanac, Vol. 74##209843 |goto Darkshore/0 59.61,22.13
step
Run up the ramp |goto The Barrens 56.45,8.44 < 20 |only if walking
click Manual##409700
|tip It looks like a light red book sitting on a chair.
|tip Inside the building at the top of the platform.
collect Arcanic Systems Manual##209847 |goto The Barrens 56.29,8.79
step
Enter the building |goto 62.88,36.51 < 15 |walk
click Goblin Tome##407566
|tip It looks like a light red book sitting on a small table.
|tip Upstairs inside the building.
collect Baxtan: On Destructive Magics##208800 |goto 62.66,36.22
step
Enter the building |goto Stonetalon Mountains 74.28,85.69 < 10 |walk
click Scrolls##409711
|tip It looks like an unrolled white scroll sitting on a wooden barrel.
|tip Inside the building.
collect Fury of the Land##209851 |goto Stonetalon Mountains 74.36,85.74
step
Run up the ramp and enter the building |goto Stormwind City 39.36,81.47 < 15 |only if walking
talk Garion Wendell##211033
|tip Up in the mage tower.
accept Archmage Theocritus's Research Journal##79092 |goto Stormwind City 37.82,79.97
accept Rumi of Gnomeregan: The Collected Works##79093 |goto Stormwind City 37.82,79.97
accept Bewitchments and Glamours##78142 |goto Stormwind City 37.82,79.97
accept Crimes Against Anatomy##78147 |goto Stormwind City 37.82,79.97
accept Archmage Antonidas: The Unabridged Autobiography##79091 |goto Stormwind City 37.82,79.97
accept Goaz Scrolls##78146 |goto Stormwind City 37.82,79.97
accept Nar'thalas Almanac##78124 |goto Stormwind City 37.82,79.97
accept Arcanic Systems Manual##78145 |goto Stormwind City 37.82,79.97
accept Baxtan: On Destructive Magics##79097 |goto Stormwind City 37.82,79.97
accept Fury of the Land##78149 |goto Stormwind City 37.82,79.97
step
talk Garion Wendell##211033
|tip Up in the mage tower.
accept Friend of the Library##78150 |goto 37.82,79.97
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Living Bomb [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Living Bomb on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Barim Jurgenstaad##5110
|tip Inside the building.
buy Comprehension Charm##211779 |goto Ironforge/0 19.19,56.10
|tip You need to have one in your bags to be able to use the scroll.
step
kill Stonesplinter Seer##1166+
|tip They look like troggs around this area.
collect Chewed Spell Notes##208854 |goto Loch Modan 48.8,29.8
You can find more around: |notinsticky
[51.0,23.2]
[47.4,21.2]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Living Flame [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Living Flame on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Kyra Boucher##1275
|tip Inside the building.
buy Comprehension Charm##211779 |goto Stormwind City/0 56.13,65.27
|tip You need to have one in your bags to be able to use the scroll.
step
kill Kobold Geomancer##476+
|tip They look like kobolds wearaing blue robes.
|tip Inside and outside the mine.
collect Spell Notes: MILEGIN VALF##203752 |goto Elwynn Forest 61.71,53.85
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Living Flame [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Living Flame on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Barim Jurgenstaad##5110
|tip Inside the building.
buy Comprehension Charm##211779 |goto Ironforge/0 19.19,56.10
|tip You need to have one in your bags to be able to use the scroll.
step
Follow the path up |goto Dun Morogh 38.69,42.22 < 30 |only if walking
kill Frostmane Seer##1397+
|tip They look like trolls wearing robes.
collect Spell Notes: MILEGIN VALF##203752 |goto Dun Morogh 41.12,43.98
You can find more around [Dun Morogh 41.87,35.62]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Mass Regeneration [Duskwood]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Mass Regeneration on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
You May Need Help
|tip The enemies you will encounter are higher level.
|tip You may need help to accomplish this.
Click Here to Continue |confirm
step
Enter the crypt |goto Duskwood 23.70,34.91 < 15 |walk
click Dusty Coffer
|tip It looks like a stone chest on a shelf.
|tip Inside the crypt.
collect Decrepit Phylactery##210568 |goto 26.09,30.86 |or
step
Leave the crypt |goto 23.70,34.91 < 15 |walk
Enter the crypt |goto 15.86,38.72 < 10 |walk
click Slumbering Bones##411328
|tip It looks like a skeleton sitting in a stone chair.
|tip Inside the crypt.
kill Awakened Lich##212261
|tip It is a level 25 elite enemy.
collect Rune of Mass Regeneration##412510 |goto 18.13,37.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Regeneration [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Regeneration on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Barim Jurgenstaad##5110
|tip Inside the building.
buy Comprehension Charm##211779 |goto Ironforge/0 19.19,56.10
|tip You need to have one in your bags to be able to use the scroll.
step
Enter the building |goto Loch Modan 54.35,26.81 < 10 |walk
click Pile of Books##407983
|tip It looks like a pile of various colored books on the ground.
|tip Inside the building.
collect Spell Notes: TENGI RONEERA##208754 |goto Loch Modan 54.15,27.05
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Regeneration [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Regeneration on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Kyra Boucher##1275
|tip Inside the building.
buy Comprehension Charm##211779 |goto Stormwind City/0 56.13,65.27
|tip You need to have one in your bags to be able to use the scroll.
step
kill Defias Pillager##589+
|tip They look like humans wearing robes.
collect Spell Notes: TENGI RONEERA##208754 |goto Westfall 43.58,69.62
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Rewind Time [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Rewind Time on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
collect 25 Shredder Autosalvage Unit##210147 |q 78267 |future
|tip These are made with the Engineering profession.
|tip The schematic drops from Sneed in the Deadmines dungeon.
|tip You can make them yourself, get a friend to help, or buy them from the Auction House.
|tip To make one, you need 1 Bronze Framework, 2 Whirring Bronze Gizmo, 1 Heavy Leather.
|tip You will use them to collect 16 quest items, but they can fail, so get 25 at a minimum.
|tip If you don't have enough, you may have to backtrack to make more later.
step
kill Venture Co. Light Shredder##214129+
|tip They look like grey metal humanoid machines that walk around this area.
|tip They are fairly uncommon, so you may have to search around.
use the Shredder Autosalvage Unit##210147+
|tip Use them on their corpses.
collect 16 Shredder Turbochargers##78267 |goto Stonetalon Mountains 60.69,52.32 |q 78267 |future
You can find more around: |notinsticky
[67.0,56.8]
[69.8,54.8]
[72.8,53.8]
[68.8,47.8]
[66.2,47.2]
step
kill Bluegill Oracle##1029+
|tip They wander all over the marsh area just east of the coast.
|tip You can also farm Bluegill Raiders along the coast south of Menethil Harbor.
collect 24 Fish Oil##17058 |goto Wetlands 16.12,31.71 |q 78265 |future
|tip You can also purchase these from the auction house.
You can find Bluegill Raiders at [12.61,64.82]
step
kill Dark Iron Insurgent##1169+
|tip They look like grey dwarves.
|tip Inside the cave.
collect 20 Dark Iron Ordinance##210138 |goto 63.35,77.50 |q 78266 |future
|tip The drop rate is very low.
You can find more in Loch Modan at [Loch Modan 58.61,15.88]
step
Collect 5 Gold |complete _G.GetMoney() >= 50000
|tip Grizzby won't speak with you unless you have at least 5 gold.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
|tip You may have to go through some dialogue prompts before he offers you a few turn-in quests.
accept Dark Iron Ordinance##78266 |goto The Barrens 61.92,39.32
accept Fish Oil##78265 |goto The Barrens 61.92,39.32
accept Shredder Turbochargers##78267 |goto The Barrens 61.92,39.32
accept Let Me Make You An Offer##78287 |goto The Barrens 61.92,39.32
step
Enter the building |goto Stormwind City/0 78.04,47.96 < 10
talk Master Wood##8383
|tip Inside the building.
turnin Let Me Make You An Offer##78287 |goto 79.17,47.65
accept You've Got Yourself A Deal##78297 |goto 79.17,47.65
step
Enter the building |goto The Barrens/0 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
turnin You've Got Yourself A Deal##78297 |goto 61.92,39.32
step
talk Grizzby##211653
|tip Inside the building.
buy Spell Notes: Rewind Time##210654 |goto 61.92,39.32
|tip It costs 5 gold.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 2 Runes\\Brain Freeze [Various Zones]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Brain Freeze on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
Click Here to Continue |confirm
|only if not NightElf
step
click Extinguished Campfire##417353
|tip In the abandoned camp on top of the hill.
accept Highway Robbery##79229 |goto Desolace 47.50,54.61
|tip You may need to be level 30 to be able to accept the quest.
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Highway Robbery##79229 |goto 62.33,38.98
accept On the Lam##79235 |goto 62.33,38.98
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin On the Lam##79235 |goto Stranglethorn Vale 26.99,77.28
accept Cherry for Your Thoughts?##79236 |goto Stranglethorn Vale 26.99,77.28
step
talk Nixxrax Fillamug##2832
|tip Inside the building, on the ground floor.
buy Cherry Grog##4600 |q 79236/1 |goto 27.04,77.17
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin Cherry for Your Thoughts?##79236 |goto 26.99,77.28
accept No Honor Among Thieves##79242 |goto 26.99,77.28
step
click Rowboat##420055 |goto Arathi Highlands 53.76,91.58
|tip It looks like a small brown wooden boat, in the water near the shore.
|tip You will be transported to another location.
Travel to the Remote Location |goto Arathi Highlands 89.61,77.88 < 200 |noway |c |q 79242
step
talk Illari Duskfeather##215655
|tip On the dock.
Find Illari Duskfeather |q 79242/1 |goto 93.87,71.55
step
talk Illari Duskfeather##215655
|tip Go through the dialogue prompts.
Tell her _"I sympathize with your plight, Illari. Kalimdor is ours, and ours alone."_
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if NightElf
step
talk Illari Duskfeather##215655
kill Illari Duskfeather##215655
|tip A Dropped Puch will appear on the ground near where she dies.
click Dropped Pouch##423569
|tip It looks like a small tan bag.
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if not NightElf
step
click Illari's Loot Cache##418855
|tip It looks like a grey metal chest.
turnin No Honor Among Thieves##79242 |goto 94.09,69.24
step
use the Jewel-Encrusted Box##212553
collect Spell Notes: Brain Freeze##208853
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 2 Runes\\Chronostatic Preservation [Thousand Needles]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Chronostatic Preservation on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
You Will Need Help
|tip You will need 2-3 other Mages to help you get this rune.
|tip You need to kill 3 mobs using Frostbolt or Ice Lance spells.
|tip All 3-4 Mages need to cast Frostbolt or Ice Lance repeatedly, quickly together, to counter the fire buffs and kill the mobs.
Click Here to Continue |confirm
step
kill Galak Mauler##4095+
|tip They look like centaurs holding large wooden mallets.
collect Cougar Cage Key##214435 |goto Thousand Needles 23.12,24.95
You can find more around [Thousand Needles 18.85,22.33]
step
click Cougar Cage
|tip It looks like a grey metal cage.
|tip The cougar inside the cage will begin running around.
kill Seared Needles Cougar##217711
|tip It looks like a cougar, on fire.
|tip All 3-4 Mages in your group, use Frostbolt or Ice Lance spells to kill it.
|tip It will regain health if you don't damage it fast enough with cold spells.
collect Partial Spell Notes##213634 |goto 23.69,24.79
step
kill Scorched Screeching Roguefeather##217669
|tip It looks like a blue harpy, on fire, that flies low to the ground around this area.
|tip All 3-4 Mages in your group, use Frostbolt or Ice Lance spells to kill it.
|tip It will regain health if you don't damage it fast enough with cold spells.
collect Partial Spell Notes##213632 |goto 26.37,47.24
step
Follow the path up into the wyvern area |goto 14.52,32.52 < 30 |only if walking
kill Singed Highperch Consort##217703
|tip It looks like a wyvern, on fire, that flies low to the ground around this area.
|tip All 3-4 Mages in your group, use Frostbolt or Ice Lance spells to kill it.
|tip It will regain health if you don't damage it fast enough with cold spells.
collect Partial Spell Notes##213633 |goto 10.76,39.52
step
use the Partial Spell Notes##213633
collect Spell Notes: Chronostatic Preservation##213116
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 2 Runes\\Frostfire Bolt [Stranglethorn Vale]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Frostfire Bolt on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Kyra Boucher##1275
|tip Inside the building.
buy Comprehension Charm##211779 |goto Stormwind City/0 56.13,65.27
|tip You need to have one in your bags to be able to use the scroll.
step
kill Skullsplitter Mystic##780+
|tip They look like trolls wearing robes.
|tip They share spawn points with the other trolls, so kill those too, if you can't find any.
collect Spell Notes: TROFF IRESTBOL##217161 |goto Stranglethorn Vale 43.35,35.98
You can find more around [Stranglethorn Vale 45.87,33.04]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 2 Runes\\Hot Streak [Alterac Mountains]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Hot Streak on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill enemies around this area
|tip Only Syndicate Wizards and Argus Shadow Mages will drop the note.
'|kill Syndicate Wizard##2319, Argus Shadow Mage##2318
collect Singed Note##213421 |goto Alterac Mountains 58.15,67.53
step
kill Ancient Fire Elemental##217305
|tip Use the "Flamestrike" or "Living Flame" ability on the 2 large orange bellows attached to the outside of this building.
|tip Keep casting either on them until the Ancient Fire Elemental appears.
collect Spell Notes: Hot Streak##213113 |goto 60.19,45.65
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 2 Runes\\Missile Barrage [Deadwind Pass]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Missile Barrage on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
collect Ariden's Sigil##216941 |goto Deadwind Pass 52.08,34.10
step
Equip Ariden's Sigil |equipped Ariden's Sigil##216941
|tip If you are grouped, only one player needs to wear this.
step
Follow the path down |goto 44.14,32.57 < 30 |only if walking
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Curious Dalaran Relic##216945 |goto 42.59,27.49
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Odd Dalaran Relic##216948 |goto Swamp of Sorrows 69.37,23.84
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Glittering Dalaran Relic##216946 |goto Duskwood 24.74,46.14
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Slippery Dalaran Relic##216951 |goto Badlands 58.98,55.06
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Whirring Dalaran Relic##216947 |goto Arathi Highlands 60.74,40.79
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Heavy Dalaran Relic##216949 |goto The Barrens 52.14,36.59
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Creepy Dalaran Relic##216950 |goto Desolace 64.99,25.12
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
accept Curious Dalaran Relic##80147 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80149 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80098 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80152 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80148 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80150 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80151 |goto Deadwind Pass 52.08,34.10
step
talk Dalaran Agent##218920
accept A Service to Dalaran##80120 |goto Deadwind Pass 52.08,34.10
step
use the Supply Bag##217014
collect Spell Notes: Missile Barrage##213112
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 2 Runes\\Spellfrost Bolt [Stranglethorn Vale]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Spellfrost Bolt on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Kyra Boucher##1275
|tip Inside the building.
buy Comprehension Charm##211779 |goto Stormwind City/0 56.13,65.27
|tip You need to have one in your bags to be able to use the scroll.
step
kill Skullsplitter Mystic##780+
|tip They look like trolls wearing robes.
|tip They share spawn points with the other trolls, so kill those too, if you can't find any.
collect Spell Notes: PELFRB STOLLOTS##213127 |goto Stranglethorn Vale 43.35,35.98
You can find more around [Stranglethorn Vale 45.87,33.04]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 2 Runes\\Spell Power [Various Zones]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Spell Power on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Complete the "Icy Veins" Rune Guide
|tip Make sure you've completed the "Icy Veins" rune guide before starting this guide.
|tip You need to collect those books before you can get this rune.
|tip You need to collect and turn in 20 books total to get the Spell Power rune.
|tip There are 10 books in the "Icy Veins" rune guide, and 10 books in this guide, to get you to the total of 20 needed.
Click Here to Continue |confirm
step
Enter Thunder Axe Fortress |goto Desolace 56.05,29.51 < 20 |only if walking
Enter the building |goto Desolace 55.47,27.80 < 15 |walk
click Mysterious Book##423898
|tip It looks like a red book laying on a stone bench.
|tip Inside the building.
collect Demons and You##215817 |goto Desolace 55.08,26.14
step
Follow the path up and across the hanging bridge |goto Thousand Needles 31.35,36.82 < 30 |only if walking
Cross the hanging bridge |goto Thousand Needles 31.98,31.32 < 15 |only if walking
Cross the hanging bridge |goto Thousand Needles 33.24,28.51 < 15 |only if walking
Enter the building at the top of the plateau |goto Thousand Needles 34.11,39.50 < 10 |walk
click Scrolls##423895
|tip It looks like a white unrolled scroll laying on the ground.
|tip Inside the large tent building, at the top of the plateau.
collect Geomancy: The Stone-Cold Truth##215683 |goto Thousand Needles 34.45,40.13
step
click Waterlogged Book##423900
|tip It looks like an open book with white pages, laying on the ground.
collect RwlRwlRwlRwl!##215822 |goto Dustwallow Marsh 57.18,20.83
step
click Research Notes##421526
|tip It looks like a white rolled-up scroll on a partially built wooden platform.
|tip Next to the entrance of a cave.
collect Basilisks: Should Petrification be Feared?##213165 |goto Stranglethorn Vale 41.52,50.84
step
click Book##423901
|tip It looks like a book in a cage.
|tip You can click the book through the holes in the cage, without having to open the cage (try zooming in).
|tip If you can't get it without opening the cage, for some reason, kill the Lost One enemies nearby until you get the key.
collect A Ludite's Guide to Caring for Your Demonic Pet##215824 |goto Swamp of Sorrows 61.49,22.49
step
Follow the path up |goto Badlands 56.47,44.66 < 20 |only if walking
Enter the crypt on top of the mountain |goto Badlands 56.46,41.01 < 10 |walk
click Scrolls##423895
|tip It looks like a white rolled-up scroll on the ground.
|tip Inside the crypt.
collect Mummies: A Guide to the Unsavory Undead##215820 |goto Badlands 56.75,39.80
step
Enter the cave |goto Loch Modan 74.81,19.83 < 20 |walk
click Scrolls##409731
|tip It looks like a white rolled-up scroll leaning against the wall.
|tip Inside the cave.
collect Runes of the Sorcerer-Kings##209850 |goto Loch Modan 77.45,14.14
step
click Scrolls##423895
|tip It looks like a white rolled-up scroll on the ground.
|tip Outside the small hut building.
collect A Web of Lies: Debunking Myths and Legends##215816 |goto Arathi Highlands 73.63,65.21
step
Enter the tower |goto Alterac Mountains 47.99,57.17 < 15 |only if walking
click Manual##423896
|tip It looks like a book sitting on a brown wooden crate.
|tip Inside the tower.
collect Defensive Magics 101##215815 |goto Alterac Mountains 48.55,57.73
step
Enter the building |goto Silverpine Forest 62.85,64.02 < 15 |walk
click Dalaran Digest##409501
|tip It looks like a book on the bookshelf.
|tip Inside the building.
collect The Dalaran Digest, Vol. 23##209844 |goto Silverpine Forest 63.53,63.12
step
Run up the ramp and enter the building |goto Stormwind City 39.36,81.47 < 15 |only if walking
talk Garion Wendell##211033
|tip Up in the mage tower.
accept Runes of the Sorceror-Kings##78148 |goto Stormwind City 37.82,79.97
accept The Dalaran Digest##78127 |goto Stormwind City 37.82,79.97
accept Demons and You##79950 |goto Stormwind City 37.82,79.97
accept RwlRwlRwlRwl!##79952 |goto Stormwind City 37.82,79.97
accept Geomancy: The Stone-Cold Truth##79947 |goto Stormwind City 37.82,79.97
accept Defensive Magics 101##79948 |goto Stormwind City 37.82,79.97
accept A Web of Lies: Debunking Myths and Legends##79949 |goto Stormwind City 37.82,79.97
accept Mummies: A Guide to the Unsavory Undead##79951 |goto Stormwind City 37.82,79.97
accept Basilisks: Should Petrification be Feared?##79535 |goto Stormwind City 37.82,79.97
accept A Ludite's Guide to Caring for Your Demonic Pet##79953 |goto Stormwind City 37.82,79.97
step
talk Garion Wendell##211033
|tip Up in the mage tower.
accept Greater Friend of the Library##79536 |goto 37.82,79.97
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 3 Runes\\Advanced Warding",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Advanced Warding on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip You need to be level 50 to collect this rune.
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Start Gathering a Group
|tip You will be killing elite enemies and running multiple dungeons to get this rune.
|tip While you travel to accept the quest in the next step, start trying to put together a full dungeon group.
Click Here to Continue |confirm |q 82043 |future
step
talk Shadowtooth Emissary##222408
accept The Wild Gods##82043 |goto Felwood 51.57,81.96
step
Kill Vilbranch enemies around this area
|tip They look like elite trolls.
|tip You can find them all around the Jintha'Alor area.
collect Wildwhisper Draught##221261 |goto The Hinterlands 66.50,66.40 |q 82043
|tip Only 1 player in your dungeon group needs to collect this item.
|tip Everyone doesn't need to have it, so if someone else in your group gets it, you can continue to the next step.
step
Follow the path to the Razorfen Downs dungeon portal |goto The Barrens 44.90,88.86 < 50 |only if walking
Run through the giant skull and follow the path to the Razorfen Downs dungeon portal |goto The Barrens 49.27,93.08 < 20 |walk
Enter the Razorfen Downs Dungeon
|tip After running through the giant skull, the aypoint arrow won't work anymore, so follow the path until you come to a swirling portal.
|tip Enter the swirling portal to enter the dungeon.
Click Here to Continue |confirm |goto The Barrens 49.27,93.08 |q 82043
step
_Inside the Razorfen Downs Dungeon:_
|tip Use the Razorfen Downs dungeon guide.
kill Amnennar the Coldbringer##7358
|tip He's the final boss inside the dungeon.
use the Wildwhisper Draught##221261
|tip Use it after killing the boss.
|tip Have the person in your group use it that has this item, if you don't have it.
talk Spirit of Agamaggan##222522
turnin The Wild Gods##82043
accept The Wild Gods##82044
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You need to go to 1 of 3 different dungeons to collect the quest items.
|tip You can complete the same dungeon repeatedly to get all of the quest items.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Turnin_The_Wild_Gods"
talk Shadowtooth Emissary##222408
turnin The Wild Gods##82044 |goto Felwood 51.57,81.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 3 Runes\\Balefire Bolt",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Balefire Bolt on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Scroll of Spacial Mending##220792
|tip You can buy it from the auction house, or get an Enchanter to make it for you.
step
Locate a Fel Portal
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Westfall 47.0,39.4] [Westfall 51.0,32.6] [Westfall 62.6,26.0] [Westfall 57.0,10.6] [Westfall 47.8,13.8] [Westfall 47.6,21.6] [Westfall 32.4,29.2]
[Westfall 29.6,34.2] [Westfall 31.8,39.4] [Westfall 29.0,47.8] [Westfall 29.0,58.2] [Westfall 31.4,65.6] [Westfall 29.6,69.4] [Westfall 32.0,76.2]
[Westfall 32.2,80.2] [Westfall 34.0,82.2] [Westfall 37.8,85.4] [Westfall 47.6,79.6] [Westfall 51.6,71.2] [Westfall 47.6,67.2]
use the Scroll of Spacial Mending##220792
|tip Use it on the Fel Portal after you find one.
kill Fel Interloper##223340
collect Spell Notes: Balefire Bolt
|only if Alliance
step
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[The Barrens 40.0,18.4] [The Barrens 39.6,13.8] [The Barrens 40.8,14.4] [The Barrens 42.0,14.2] [The Barrens 56.0,24.8] [The Barrens 57.6,23.6] [The Barrens 58.8,25.6]
[The Barrens 59.8,27.6] [The Barrens 59.0,29.2] [The Barrens 60.8,29.0] [The Barrens 61.8,32.0] [The Barrens 60.2,36.0] [The Barrens 59.2,36.6] [The Barrens 55.8,51.0]
[The Barrens 54.4,48.6] [The Barrens 53.0,50.8] [The Barrens 51.6,53.4] [The Barrens 47.6,49.4] [The Barrens 44.4,50.0] [The Barrens 45.8,51.2] [The Barrens 46.4,52.6]
[The Barrens 48.4,81.2] [The Barrens 47.8,83.6] [The Barrens 46.0,85.6] [The Barrens 43.8,83.8] [The Barrens 43.2,80.2]
use the Scroll of Spacial Mending##220792
|tip Use it on the Fel Portal after you find one.
kill Fel Interloper##223340
collect Spell Notes: Balefire Bolt
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 3 Runes\\Displacement",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Displacement on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Find Warlocks or Mages to Help You
|tip Warlocks and Mages are able to collect items that they can use to help you get this rune.
|tip Warlocks can get Worldcore Fragments.
|tip Mages can get Scrolls of Geomancy.
|tip As a Mage, you can decipher scrolls using Comprehension Charms to get Scrolls of Geomancy, if you can't find people who already have the items to help.
|tip You can mix and match which items to use, but you need a total of 4 items.
|tip They will use these items on Leyline Confluxes for you in 4 different zones.
|tip After using an item a Leyline Conflux, a level 47 elite enemy will appear, and it's immune to Arcane damage.
|tip Try to bring a level 50 friend to help.
Click Here to Continue |confirm
step
label "Choose_A_Zone"
_NOTE:_
Choose a Zone
|tip You keep to collect an item from various zones.
|tip Click the line below for the zone you want to go to.
Azshara				|confirm	|next "Collect_Azshara_Leycryst"		|only if itemcount(221318) == 0
Feralas				|confirm	|next "Collect_Feralas_Leycryst"		|only if itemcount(221317) == 0
Searing Gorge			|confirm	|next "Collect_Blackrock_Leycryst"		|only if itemcount(221319) == 0
The Hinterlands			|confirm	|next "Collect_Hinterlands_Leycryst"		|only if itemcount(221320) == 0
Click Here to Learn the Rune	|confirm	|next "Learn_The_Rune"				|only if ((itemcount(221318) == 1) and (itemcount(221317) == 1) and (itemcount(221319) == 1) and (itemcount(221320) == 1))
step
label "Collect_Azshara_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Azshara Leycryst##221318 |goto Azshara 18.32,79.52
|next "Choose_A_Zone"
step
label "Collect_Feralas_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Feralas Leycryst##221317 |goto Feralas 57.35,62.02
|next "Choose_A_Zone"
step
label "Collect_Blackrock_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Blackrock Leycryst##221319 |goto Searing Gorge 55.15,66.19
|next "Choose_A_Zone"
step
label "Collect_Hinterlands_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Hinterlands Leycryst##221320 |goto The Hinterlands 47.78,59.11
|next "Choose_A_Zone"
step
label "Learn_The_Rune"
use the Hinterlands Leycryst##221320
|tip You will learn the Displacement rune.
Click Here to Continue |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 3 Runes\\Deep Freeze",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Deep Freeze on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Obtain the Previous Book Related Runes
|tip You must complete the "Icy Veins" and "Spell Power" rune guides first.
Click Here to Continue |confirm
step
click Book##441250
|tip Sitting on a crate at the top of the ruins.
collect Everyday Etiquette##220348 |goto Azshara 20.75,62.03 |q 81952 |future
step
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444759 |goto Feralas 51.31,10.59 |q 81951 |future
|tip Walk into the large green portal at the top of the ramp.
step
click Book##441249
collect The Liminal and the Arcane##220347 |goto 50.63,15.66 |q 81951 |future
step
click Book##441248
|tip It looks like a blue book on the bookshelf.
|tip Inside the building.
collect Legends of the Tidesages##220346 |goto Tanaris 72.63,47.83 |q 81949 |future
step
Follow the path down into Shadra'Alor |goto The Hinterlands 35.75,64.46 < 40 |only if walking
click Book##441248
|tip Behind a curved brown wall.
collect Venomous Journeys##220350 |goto The Hinterlands 35.97,72.68 |q 81954 |future
step
click Book##441253
collect A Mind of Metal##220352 |goto Searing Gorge 37.87,49.45 |q 81955 |future
step
Follow the path up into Blackrock Mountain |goto 33.66,77.85 < 30 |only if walking
Enter Blackrock Mountain
|tip The waypoint arrow will stop working after you enter Blackrock Mountain.
Click Here to Continue |confirm |goto 34.73,83.98
step
_Inside Blackrock Mountain:_
Locate the Book
|tip Follow the path into the large open room and immediately turn left.
|tip Run across the huge chain to the floating island.
|tip Enter the doorway on the left and follow the path down.
click Book##441253
|tip Sitting on the corner of a large stone table.
collect Stonewrought Design##220349 |q 81953 |future
step
talk Garion Wendell##211033
|tip Up in the mage tower.
accept Everyday Etiquette##81952 |goto Stormwind City 37.82,79.97
accept The Liminal and the Arcane##81951 |goto Stormwind City 37.82,79.97
accept Legends of the Tidesages##81949 |goto Stormwind City 37.82,79.97
accept Venomous Journeys##81954 |goto Stormwind City 37.82,79.97
accept A Mind of Metal##81955 |goto Stormwind City 37.82,79.97
accept Stonewrought Design##81953 |goto Stormwind City 37.82,79.97
|only if Alliance
step
talk Garion Wendell##211033
|tip Up in the mage tower.
accept Greater Friend of the Library##82208 |goto 37.82,79.97
|only if Alliance
step
talk Owen Thadd##211022
accept Everyday Etiquette##81952 |goto Undercity 73.54,33.43
accept The Liminal and the Arcane##81951 |goto Undercity 73.54,33.43
accept Legends of the Tidesages##81949 |goto Undercity 73.54,33.43
accept Venomous Journeys##81954 |goto Undercity 73.54,33.43
accept A Mind of Metal##81955 |goto Undercity 73.54,33.43
accept Stonewrought Design##81953 |goto Undercity 73.54,33.43
|only if Horde
step
talk Owen Thadd##211022
accept Greater Friend of the Library##82208 |goto 73.54,33.43
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 3 Runes\\Temporal Anomaly",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Temporal Anomaly on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 42
|tip Use the Leveling guides to accomplish this.
step
talk Garion Wendell##211033
|tip Up in the mage tower.
accept A Lesson in Literacy##82084 |goto Stormwind City 37.82,79.97
|only if Alliance
step
talk Owen Thadd##211022
accept A Lesson in Literacy##82084 |goto Undercity 73.54,33.43
|only if Horde
step
Kill Owlbeast enemies around this area
|tip They look like owl people.
collect Pristine Owlbeast Quill##221359 |q 82084/1 |goto The Hinterlands 45.68,51.80
You can find more around [The Hinterlands 50.58,41.84]
step
kill Zukk'ash enemies around this area
|tip They look like insects.
|tip You can find more in the nearby caves.
collect 5 Zukk'ash Resin##221361 |q 82084/2 |goto Feralas 74.08,61.42
step
_NOTE:_
Find a Group to Help You
|tip You will be entering the Zul'Farrak dungeon.
Click Here to Continue |confirm |q 82084
step
Enter the Zul'Farrak Dungeon
|tip Walk into the swirling portal.
Click Here to Continue |confirm |goto Tanaris 38.72,20.02 |q 82084
step
_Inside the Zul'Farrak Dungeon:_
click Shallow Grave##433591+
|tip They look like large white mounds on the ground in the room where you kill Witch Doctor Zum'rah.
kill Zul'Farrak Zombie##7286+
collect 8 Farraki Papyrus##221360 |q 82084/3
step
talk Garion Wendell##211033
|tip Up in the mage tower.
turnin A Lesson in Literacy##82084 |goto Stormwind City 37.82,79.97
|only if Alliance
step
talk Owen Thadd##211022
turnin A Lesson in Literacy##82084 |goto Undercity 73.54,33.43
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 3 Runes\\Molten Armor",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Molten Armor on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with the Emerald Wardens Faction |complete rep("Emerald Wardens") >= Friendly
|tip Use the following guides to accomplish this:
|tip Ashenvale Nightmare Invasion
|tip Duskwood Nightmare Invasion
step
_NOTE:_
Pick the Zone Closest to You
|tip There are Quartermaster NPCs in 4 different zones.
|tip All of them will sell you the item to learn your class rune.
|tip Pick the zone that's closest to you, to be lead to the Quartermaster in that zone.
Ashenvale		|confirm	|next "Ashenvale_Quartermaster"
Feralas			|confirm	|next "Feralas_Quartermaster"
Duskwood		|confirm	|next "Duskwood_Quartermaster"
The Hinterlands		|confirm	|next "The_Hinterlands_Quartermaster"
step
label "Ashenvale_Quartermaster"
talk Quartermaster Kyleen##222685
buy Rune of Affliction##221482		|goto Ashenvale 89.61,40.61		|only if Warlock
buy Rune of Alacrity##221512		|goto Ashenvale 89.61,40.61		|only if Rogue
buy Rune of Bloodshed##221517		|goto Ashenvale 89.61,40.61		|only if Druid
buy Rune of Burn##221483		|goto Ashenvale 89.61,40.61		|only if Shaman
buy Rune of Detonation##221515		|goto Ashenvale 89.61,40.61		|only if Hunter
buy Rune of the Hammer##223288		|goto Ashenvale 89.61,40.61		|only if Paladin
buy Rune of the Protector##221511	|goto Ashenvale 89.61,40.61		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Ashenvale 89.61,40.61		|only if Mage
step
label "Feralas_Quartermaster"
talk Quartermaster Valdane##222687
buy Rune of Affliction##221482		|goto Feralas 48.62,12.48		|only if Warlock
buy Rune of Alacrity##221512		|goto Feralas 48.62,12.48		|only if Rogue
buy Rune of Bloodshed##221517		|goto Feralas 48.62,12.48		|only if Druid
buy Rune of Burn##221483		|goto Feralas 48.62,12.48		|only if Shaman
buy Rune of Detonation##221515		|goto Feralas 48.62,12.48		|only if Hunter
buy Rune of the Hammer##223288		|goto Feralas 48.62,12.48		|only if Paladin
buy Rune of the Protector##221511	|goto Feralas 48.62,12.48		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Feralas 48.62,12.48		|only if Mage
step
label "Duskwood_Quartermaster"
Follow the path up into the Twilight Grove |goto Duskwood 46.83,59.43 < 30 |only if walking and not subzone ("Twilight Grove")
talk Quartermaster Falinar##222684
buy Rune of Affliction##221482		|goto Duskwood 45.76,51.35		|only if Warlock
buy Rune of Alacrity##221512		|goto Duskwood 45.76,51.35		|only if Rogue
buy Rune of Bloodshed##221517		|goto Duskwood 45.76,51.35		|only if Druid
buy Rune of Burn##221483		|goto Duskwood 45.76,51.35		|only if Shaman
buy Rune of Detonation##221515		|goto Duskwood 45.76,51.35		|only if Hunter
buy Rune of the Hammer##223288		|goto Duskwood 45.76,51.35		|only if Paladin
buy Rune of the Protector##221511	|goto Duskwood 45.76,51.35		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Duskwood 45.76,51.35		|only if Mage
step
label "The_Hinterlands_Quartermaster"
talk Quartermaster Alandra##222686
buy Rune of Affliction##221482		|goto The Hinterlands 61.41,34.64	|only if Warlock
buy Rune of Alacrity##221512		|goto The Hinterlands 61.41,34.64	|only if Rogue
buy Rune of Bloodshed##221517		|goto The Hinterlands 61.41,34.64	|only if Druid
buy Rune of Burn##221483		|goto The Hinterlands 61.41,34.64	|only if Shaman
buy Rune of Detonation##221515		|goto The Hinterlands 61.41,34.64	|only if Hunter
buy Rune of the Hammer##223288		|goto The Hinterlands 61.41,34.64	|only if Paladin
buy Rune of the Protector##221511	|goto The Hinterlands 61.41,34.64	|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto The Hinterlands 61.41,34.64	|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 3 Runes\\Explorer Imp & Fel Portal Locations",{
author="support@zygorguides.com",
description="This guide will walk you through learning to summon your Explorer Imp and locating Fel Portals.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Explorer's Soul##221978
|tip Use your Drain Soul ability on any enemy.
|tip It can be an enemy much lower level than you.
step
use the Explorer's Soul##221978
learn Explorer Imp##445459
|tip After learning to summon your Explorer Imp, you can send the imp into Fel Portals.
|tip The imp will complete missions on its own and give you a bag of loot, which can contain a class rune.
step
label "Pick_Portal_Zone"
_NOTE:_
Pick a Zone to Find Fel Portals
|tip You will send your Explorer Imp into Fel Portals to complete missions.
|tip It will reward you with a bag of loot, which can contain a class rune and other useful items.
|tip Click the line below to choose the zone you want to find portals in.
Ashenvale		|confirm	|next "Ashenvale_Fel_Portals"
Azshara			|confirm	|next "Azshara_Fel_Portals"
Blasted Lands		|confirm	|next "Blasted_Lands_Fel_Portals"
Desolace		|confirm	|next "Desolace_Fel_Portals"
Feralas			|confirm	|next "Feralas_Fel_Portals"
Redridge Mountains	|confirm	|next "Redridge_Mountains_Fel_Portals"
Silverpine Forest	|confirm	|next "Silverpine_Forest_Fel_Portals"
Swamp of Sorrows	|confirm	|next "Swamp_Of_Sorrows_Fel_Portals"
The Barrens		|confirm	|next "The_Barrens_Fel_Portals"
Westfall		|confirm	|next "Westfall_Fel_Portals"
step
label "Ashenvale_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Ashenvale 33.4,28.4] [Ashenvale 27.6,62.6] [Ashenvale 24.4,63.4] [Ashenvale 44.6,64.2] [Ashenvale 52.6,62.8] [Ashenvale 51.2,47.2]
[Ashenvale 67.0,46.0] [Ashenvale 67.0,51.2] [Ashenvale 77.4,73.2] [Ashenvale 80.6,70.8] [Ashenvale 84.8,70.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Azshara_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Azshara 17.6,58.6] [Azshara 16.4,50.8] [Azshara 21.2,54.0] [Azshara 24.6,47.8] [Azshara 25.2,81.4] [Azshara 30.2,79.8]
[Azshara 33.0,81.6]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Blasted_Lands_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Blasted Lands 43.8,25.0] [Blasted Lands 46.8,39.2] [Blasted Lands 48.8,48.4] [Blasted Lands 56.2,36.6] [Blasted Lands 62.0,39.2] [Blasted Lands 60.2,46.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Desolace_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Desolace 54.4,19.2] [Desolace 74.6,10.4] [Desolace 80.4,17.0] [Desolace 76.6,19.0] [Desolace 71.6,18.8] [Desolace 72.6,22.0] [Desolace 73.6,24.8]
[Desolace 56.2,74.4] [Desolace 52.2,72.4] [Desolace 49.6,74.8] [Desolace 52.8,81.0] [Desolace 52.0,85.4] [Desolace 48.8,82.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Feralas_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Feralas 74.2,50.4] [Feralas 73.2,54.4] [Feralas 76.2,56.6] [Feralas 74.2,56.8] [Feralas 74.2,60.0] [Feralas 76.8,63.6] [Feralas 72.6,63.8]
[Feralas 70.8,62.8] [Feralas 68.2,58.8]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Redridge_Mountains_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Redridge Mountains 29.8,30.4] [Redridge Mountains 79.0,33.4] [Redridge Mountains 83.2,45.2] [Redridge Mountains 86.4,52.4] [Redridge Mountains 79.0,73.0]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Silverpine_Forest_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Silverpine Forest 45.4,31.8] [Silverpine Forest 44.6,25.8] [Silverpine Forest 38.8,23.4] [Silverpine Forest 50.2,56.8] [Silverpine Forest 50.2,65.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Swamp_Of_Sorrows_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Swamp of Sorrows 36.4,50.0] [Swamp of Sorrows 26.8,50.0] [Swamp of Sorrows 23.0,64.2] [Swamp of Sorrows 16.8,63.2] [Swamp of Sorrows 10.6,60.2] [Swamp of Sorrows 12.6,29.8] [Swamp of Sorrows 34.6,28.0]
[Swamp of Sorrows 49.8,38.8] [Swamp of Sorrows 61.0,43.4] [Swamp of Sorrows 60.8,27.4] [Swamp of Sorrows 72.6,10.2] [Swamp of Sorrows 81.2,35.0] [Swamp of Sorrows 87.4,26.8] [Swamp of Sorrows 91.6,56.4]
[Swamp of Sorrows 91.0,65.6] [Swamp of Sorrows 83.6,65.8] [Swamp of Sorrows 77.6,90.0] [Swamp of Sorrows 69.6,78.8] [Swamp of Sorrows 56.8,65.6]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "The_Barrens_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[The Barrens 40.0,18.4] [The Barrens 39.6,13.8] [The Barrens 40.8,14.4] [The Barrens 42.0,14.2] [The Barrens 56.0,24.8] [The Barrens 57.6,23.6] [The Barrens 58.8,25.6]
[The Barrens 59.8,27.6] [The Barrens 59.0,29.2] [The Barrens 60.8,29.0] [The Barrens 61.8,32.0] [The Barrens 60.2,36.0] [The Barrens 59.2,36.6] [The Barrens 55.8,51.0]
[The Barrens 54.4,48.6] [The Barrens 53.0,50.8] [The Barrens 51.6,53.4] [The Barrens 47.6,49.4] [The Barrens 44.4,50.0] [The Barrens 45.8,51.2] [The Barrens 46.4,52.6]
[The Barrens 48.4,81.2] [The Barrens 47.8,83.6] [The Barrens 46.0,85.6] [The Barrens 43.8,83.8] [The Barrens 43.2,80.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Westfall_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Westfall 47.0,39.4] [Westfall 51.0,32.6] [Westfall 62.6,26.0] [Westfall 57.0,10.6] [Westfall 47.8,13.8] [Westfall 47.6,21.6] [Westfall 32.4,29.2]
[Westfall 29.6,34.2] [Westfall 31.8,39.4] [Westfall 29.0,47.8] [Westfall 29.0,58.2] [Westfall 31.4,65.6] [Westfall 29.6,69.4] [Westfall 32.0,76.2]
[Westfall 32.2,80.2] [Westfall 34.0,82.2] [Westfall 37.8,85.4] [Westfall 47.6,79.6] [Westfall 51.6,71.2] [Westfall 47.6,67.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 4 Runes\\Arcane Barrage",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Arcane Barrage on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Obtain the Previous Book Related Runes
|tip You must complete the "Icy Veins", "Spell Power", and "Deep Freeze" rune guides first.
Click Here to Continue |confirm
step
click Book##463209
|tip Inside the Timbermaw Hold tunnel.
collect Northern Kalimdor - A Comprehensive Guide##228134 |goto Felwood 65.25,3.26 |q 84397 |future
step
click Book
|tip Inside the building.
collect Ka-Boom!##228136 |goto Winterspring 60.74,37.69 |q 84399 |future
step
click Book##441254
collect Conjurer's Codex##220353 |goto Blasted Lands 55.37,32.29 |q 81956 |future
step
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide to accomplish this.
|tip You won't need to fight, just enter the dungeon to get the book.
click Book
|tip As you head into the Blackrock Depths tunnel, look for Lothos Riftwaker.
|tip Just past Lothos Riftwaker, the book is on a ledge as soon as the depths/mine opens up.
collect Magma or Lava?##228133 |q 84396 |future
step
click Book##463213
|tip Upstairs inside the building.
collect Undead Potatoes##228132 |goto Western Plaguelands 38.28,54.57 |q 84395 |future
step
click Book
|tip Enter the fort building and follow the path to the large open room at the top.
|tip The book is on a wooden table.
collect Necromancy 101##228141 |goto Western Plaguelands 69.94,74.06 |q 84402 |future
step
click Book##463207
|tip Inside the building.
collect A Study of the Light##228135 |goto Eastern Plaguelands 81.65,57.86 |q 84398 |future
step
click Book
collect The Knight and the Lady##228138 |goto Eastern Plaguelands 54.50,50.80 |q 84400 |future
step
click Book
|tip On the bridge nearby.
collect Scourge: Undead Menace or Misunderstood?##228140 |goto Eastern Plaguelands 30.84,20.11 |q 84401 |future
step
talk Jennea Cannon##5497
|tip Up in the mage tower.
accept Northern Kalimdor - A Comprehensive Guide##84397 |goto Stormwind City 38.62,79.30
accept Ka-Boom!##84399 |goto Stormwind City 38.62,79.30
accept Conjurer's Codex##81956 |goto Stormwind City 38.62,79.30
accept Magma or Lava?##84396 |goto Stormwind City 38.62,79.30
accept Undead Potatoes##84395 |goto Stormwind City 38.62,79.30
accept Necromancy 101##84402 |goto Stormwind City 38.62,79.30
accept A Study of the Light##84398 |goto Stormwind City 38.62,79.30
accept The Knight and the Lady##84400 |goto Stormwind City 38.62,79.30
accept Scourge: Undead Menace or Misunderstood?##84401 |goto Stormwind City 38.62,79.30
|only if Alliance
step
talk Jennea Cannon##5497
|tip Up in the mage tower.
accept Greater Friend of the Library##84394 |goto Stormwind City 38.62,79.30
|only if Alliance
step
talk Owen Thadd##211022
accept Northern Kalimdor - A Comprehensive Guide##84397 |goto Undercity 73.54,33.43
accept Ka-Boom!##84399 |goto Undercity 73.54,33.43
accept Conjurer's Codex##81956 |goto Undercity 73.54,33.43
accept Magma or Lava?##84396 |goto Undercity 73.54,33.43
accept Undead Potatoes##84395 |goto Undercity 73.54,33.43
accept Necromancy 101##84402 |goto Undercity 73.54,33.43
accept A Study of the Light##84398 |goto Undercity 73.54,33.43
accept The Knight and the Lady##84400 |goto Undercity 73.54,33.43
accept Scourge: Undead Menace or Misunderstood?##84401 |goto Undercity 73.54,33.43
|only if Horde
step
talk Owen Thadd##211022
accept Greater Friend of the Library##84394 |goto Undercity 73.54,33.43
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 4 Runes\\Overheat",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Overheat on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Thaw the Novice Frost Mages
|tip They look like frozen mages.
|tip The mage at this location is inside the house.
|tip Use your fire spells on them, but be careful to not kill them.
|tip Cast "Remove Lesser Curse" on them after thawing them, then talk to them to receive Torn Spell Notes.
|tip They one located in Gahrron's Withering can be difficult, try to bring help.
collect Torn Spell Notes##225938 |goto Western Plaguelands 36.80,54.70
collect Torn Spell Notes##225938
collect Torn Spell Notes##225938
collect Torn Spell Notes##225938
You can find more at: |notinsticky
[45.10,51.90]
[53.30,64.50]
[64.20,57.70]
step
use the Torn Spell Notes##225938
collect Spell Notes: Overheat##225691
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 4 Runes\\Frozen Orb",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Frozen Orb on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 52
|tip Use the leveling guides to accomplish this.
step
Kill enemies around this area
collect Mysterious Darnassian Scroll##227796 |goto Felwood 62.57,10.46
step
use Comprehension Charm##211779
|tip Use it on the Mysterious Darnassian Scroll.
collect Deciphered Darnassian Scroll##227797
step
use the Deciphered Darnassian Scroll##227797
|tip Use it on Calyx Greenglow.
|tip He looks like a night elf in a green robe.
|tip He may walk around this area.
talk Calyx Greenglow##228902
accept Healing the Healer##84369 |goto 61.40,13.22
step
Kill Irontree enemies around this area
|tip They look like treants.
collect Unusual Flask##227924 |q 84369/1 |goto 51.40,21.46
'|kill Irontree Wanderer##7138, Irontree Stomper##7139
step
Collect the Frostfire Hot Springs Water |q 84369/2 |goto Winterspring 29.28,35.77
|tip Jump into the water.
step
talk Calyx Greenglow##228902
|tip He will attack you.
turnin Healing the Healer##84369 |goto 29.00,35.00
step
kill Enraged Shade##228891
collect Spell Notes: Frozen Orb##225690 |goto 29.00,35.00
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Mage\\Phase 4 Runes\\Expanded Intellect (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Expanded Intellect skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Tome of Expanded Intellect##216740 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Tome of Expanded Intellect##216740 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Chaos Bolt [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Chaos Bolt on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Frozen Murloc##202060
|tip It looks like a large blue chunk of ice on the ground.
|tip You need to unfreeze it.
|tip Target the Frozen Murloc and cast 4 Fire spells quickly together.
|tip Bring Mages or Warlocks (with Imp pets) to help you cast fire spells on it.
|tip After it becomes unfrozen, you can kill it.
collect Rune of Chaos Bolt##205228 |goto Elwynn Forest 77.02,51.87
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Chaos Bolt [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Chaos Bolt on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Frozen Trogg##208752
|tip It looks like a large blue chunk of ice on the ground.
|tip You need to unfreeze it.
|tip Target the Frozen Trogg and cast 4 Fire spells quickly together.
|tip Bring Mages or Warlocks (with Imp pets) to help you cast fire spells on it.
|tip After it becomes unfrozen, you can kill it.
collect Rune of Chaos Bolt##205228 |goto Dun Morogh 69.39,58.31
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Demonic Grace [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Demonic Grace on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Ragged Young Wolf##705+
collect Wolf Jawbone##204907 |goto Dun Morogh 30.33,74.68
step
Kill Wendigo enemies around this area
|tip They look like white yetis.
|tip Inside and outside the cave.
collect Wendigo Blood##208140 |goto 42.24,53.97
step
kill Frostmane Shadowcaster##1124+
|tip They look like trolls wearing purple robes.
|tip Inside the cave.
collect Ominous Tome##208139 |goto 24.81,50.86
step
Follow the path up |goto 38.55,42.16 < 30 |only if walking
Cross the hanging bridge |goto 39.66,39.86 < 15 |only if walking
use the Ominous Tome##208139
|tip Use it while standing on the brown summoning stone.
|tip A demon enemy will appear.
kill Soboz##204070
|tip He is a level 8 enemy.
collect Rune of Grace##204912 |goto 42.25,35.55
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Demonic Grace [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Demonic Grace on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Young Wolf##299+
collect Wolf Jawbone##204907 |goto Elwynn Forest 46.42,40.97
step
Kill Kobold enemies around this area
|tip They look like rat people.
|tip Inside and outside the mine.
collect Ominous Tome##208139 |goto 61.70,53.85
step
kill Riverpaw enemies around this area
|tip They look like gnolls.
collect Gnoll Blood##204906 |goto 26.57,85.06
step
Enter the building |goto Stormwind City 29.14,74.17 < 10 |walk
use the Ominous Tome##208139
|tip Use it while standing on the purple summoning circle.
|tip Downstairs inside the building, at the bottom of the crypt.
|tip A demon enemy will appear.
kill Soboz##204070
|tip He is a level 8 enemy.
collect Rune of Grace##204912 |goto Stormwind City 25.11,77.46
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Demonic Pact [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Demonic Pact on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653 |goto The Barrens 61.92,39.32
|tip Inside the building.
|tip You may have to go through some dialogue prompts before he offers you a few turn-in quests.
Click Here Once He Offers You Quests |confirm
step
collect 25 Shredder Autosalvage Unit##210147 |q 78267 |future
|tip These are made with the Engineering profession.
|tip The schematic drops from Sneed in the Deadmines dungeon.
|tip You can make them yourself, get a friend to help, or buy them from the Auction House.
|tip To make one, you need 1 Bronze Framework, 2 Whirring Bronze Gizmo, 1 Heavy Leather.
|tip You will use them to collect 16 quest items, but they can fail, so get 25 at a minimum.
|tip If you don't have enough, you may have to backtrack to make more later.
step
kill Venture Co. Light Shredder##214129+
|tip They look like grey metal humanoid machines that walk around this area.
|tip They are fairly uncommon, so you may have to search around.
use the Shredder Autosalvage Unit##210147+
|tip Use them on their corpses.
collect 16 Shredder Turbochargers##78267 |goto Stonetalon Mountains 60.69,52.32 |q 78267 |future
You can find more around: |notinsticky
[67.0,56.8]
[69.8,54.8]
[72.8,53.8]
[68.8,47.8]
[66.2,47.2]
step
kill Bluegill enemies around this area
|tip They look like murlocs.
collect 24 Fish Oil##17058 |goto Wetlands 13.64,39.55 |q 78265 |future
|tip You can also usually buy these from the Auction House for pretty cheap.
step
kill Dark Iron Insurgent##1169+
|tip They look like grey dwarves.
|tip Inside the cave.
collect 20 Dark Iron Ordinance##210138 |goto 63.35,77.50 |q 78266 |future
|tip The drop rate is very low.
You can find more in Loch Modan at [Loch Modan 58.61,15.88]
step
Collect 5 Gold |complete _G.GetMoney() >= 50000
|tip Grizzby won't speak with you unless you have at least 5 gold.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
accept Dark Iron Ordinance##78266 |goto The Barrens 61.92,39.32
accept Fish Oil##78265 |goto The Barrens 61.92,39.32
accept Shredder Turbochargers##78267 |goto The Barrens 61.92,39.32
accept Let Me Make You An Offer##78287 |goto The Barrens 61.92,39.32
step
Enter the building |goto Stormwind City/0 78.04,47.96 < 10
talk Master Wood##8383
|tip Inside the building.
turnin Let Me Make You An Offer##78287 |goto 79.17,47.65
accept You've Got Yourself A Deal##78297 |goto 79.17,47.65
step
Enter the building |goto The Barrens/0 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
turnin You've Got Yourself A Deal##78297 |goto 61.92,39.32
step
talk Grizzby##211653
|tip Inside the building.
buy Rune of the Pact##210824 |goto 61.92,39.32
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Demonic Tactics [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Demonic Tactics on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
clicknpc Dead Acolyte##204503
Choose _"I inspect the body further."_
collect Acolyte's Knapsack##205364 |goto Elwynn Forest 56.74,57.64
step
use the Acolyte's Knapsack##205364
collect Unidentified Artifact##205181
step
Enter the building |goto 42.95,65.64 < 10 |walk
talk Maximillian Crowe##906
|tip Downstairs inside the building.
Tell him _"I found this in on the body of an acolyte. What can you tell me about it? (Show unidentified artifact)"_
collect Powerless Artifact##205182 |goto 44.39,66.24
step
_NOTE:_
Prepare to Hurry
|tip After completing the next step, you will have 10 minutes to run to an NPC in Stormwind City.
Click Here to Continue |confirm
step
use the Powerless Artifact##205182
collect 1 Fel-Powered Artifact##205183 |goto 56.74,57.56
step
Enter the building |goto Stormwind City 29.15,74.18 < 10 |walk
talk Gakin the Darkbinder##6122
|tip Downstairs inside the building.
Tell him _"I believe this belonged to an associate of yours. I found him dead in the woods. (Show Acolyte's Note)"_
collect Rune of Tactics##205215 |goto Stormwind City 25.26,78.56
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Everlasting Affliction",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Everlasting Affliction on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with Azeroth Commerce Authority |complete rep("Azeroth Commerce Authority") >= Friendly
|tip As you kill enemies anywhere in the world, you will loot "Waylaid Supplies" items.
|tip To gain reputation with this faction, turn them in to Supply Officers in the 3 major cities.
|tip You can turn in the Waylaid Supplies crates empty.
|tip However, if you fill the crates with the items they require (according to their tooltip), you will gain more reputation.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
step
buy Rune of Everlasting Affliction##211392
|tip You can buy it from Supply Officers in the 3 major cities.
|tip It costs 2 gold.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Haunt (Human Only) [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Haunt on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
talk Drusilla La Salle##459
|tip Outside, next to the building.
accept Stolen Power##77621 |goto Elwynn Forest 49.87,42.65
step
click Defias Stashbox##387477
collect Rune of Haunting##205230 |goto 52.54,51.92 |q 77621
step
use the Rune of Haunting##205230
Learn Engrave Gloves - Haunt |q 77621/1
step
talk Drusilla La Salle##459
|tip Outside, next to the building.
turnin Stolen Power##77621 |goto 49.87,42.65
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Haunt (Gnome Only) [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Haunt on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.79,69.05 < 10 |walk
talk Alamar Grimm##460
|tip Upstairs inside the building.
accept Stolen Power##77666 |goto Dun Morogh 28.65,66.14
step
Leave the building |goto 28.79,69.07 < 10 |walk |only if subzone("Anvilmar")
click Rockjaw Footlocker##405633
collect Rune of Haunting##205230 |goto 26.73,72.55 |q 77666
step
use the Rune of Haunting##205230
Learn Engrave Gloves - Haunt |q 77666/1
step
Enter the building |goto 28.79,69.05 < 10 |walk
talk Alamar Grimm##460
|tip Upstairs inside the building.
turnin Stolen Power##77666 |goto 28.65,66.14
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Incinerate [Redridge Mountains]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Incinerate on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Incinerator Gar'im##214519
|tip He looks like an orc warlock with an imp pet.
|tip He spawns inside this cave, but also walks around outside the cave.
|tip He is a level 23 elite enemy.
collect Rune of Incinerate##211477 |goto Redridge Mountains 76.71,84.52
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Lake of Fire [Hillsbrad Foothills]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Lake of Fire on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Zixil##3537
|tip He looks like a goblin that walks with a brown shredder machine.
|tip He is a vendor that walks between Tarren Mill and Southshore.
|tip Along his path, he stops and stands in this crumbled tower for a while before moving on.
buy Demolition Explosives##211487 |goto Hillsbrad Foothills 55.22,34.48 |notravel
|tip It costs 1 gold.
Also check around: |notinsticky
[Hillsbrad Foothills 51.59,39.20] |notravel
[Hillsbrad Foothills 55.68,25.03] |notravel
[Hillsbrad Foothills 50.6,50.6] |notravel
step
_NOTE:_
Be Careful With the Demolition Explosives
|tip You can only use the item once before needing to buy another.
|tip When you use the item, it places it at your feet, you can't aim it, so stand where you want to place it.
|tip After using the explosives on the Rubble in the next step, a Storage Locker chest will appear.
|tip Only 1 player can loot the Storage Locker, then the Rubble appears again and another Demolition Explosives is needed.
|tip Other players can steal your chest, so be very careful.
Click Here to Continue |confirm
step
Enter Durnholde Keep |goto 76.59,46.45 < 30 |only if walking
use the Demolition Explosives##211487
|tip Use them on the Rubble.
|tip It looks like a pile of grey boulders.
|tip Up on the hill, inside the crumbled building.
click Storage Locker##414713
|tip It looks like a grey metal chest that appears on the ground after you blow up the Rubble.
collect Rune of Fires Wake##211476 |goto 79.69,41.01
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Master Channeler [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Master Channeler on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Dark Strand Fanatic##2336+
|tip They look like humans.
collect Rune of Channeling##208750 |goto Darkshore 56.27,27.04
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Master Channeler [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Master Channeler on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
map Loch Modan
path follow strictbounce; loop off; ants straight; dist 30; markers none
path	22.84,70.77	23.21,70.46	24.85,68.06	25.79,67.28	26.79,66.33
path	27.93,65.64	28.71,62.59	29.28,60.69	29.88,59.09	31.44,56.87
path	32.30,50.59	32.20,49.44	31.46,47.83	31.35,46.76	31.55,44.83
path	32.21,42.95	32.26,41.20	31.11,38.69	30.36,33.36	29.82,30.80
path	29.00,28.75	28.15,25.75	26.81,23.25	26.23,20.48	26.06,19.06
path	25.96,15.10	25.11,11.81
talk Greishan Ironstove##3291
|tip He looks like a dwarf.
|tip He walks along this road and into Thelsamar.
buy Malevolent Pie##208833
|tip It costs 5 silver.
step
use the Malevolent Pie##208833
|tip You will get a debuff that lasts for 10 seconds.
|tip After the debuff ends, you will lose ~20% of your health and the rune will appear in your inventory.
collect Rune of Channeling##208750
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Metamorphosis [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Metamorphosis on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:
You Will Need a Group
|tip You will need a group to help you for most of this guide.
Click Here to Continue |confirm
step
talk Doan Karhan##6247
accept The Orb of Soran'ruk##1740 |goto The Barrens 49.31,57.21
step
kill Twilight Acolyte##4809+
|tip They look like humanoids wearing dark robes.
collect 3 Soran'ruk Fragment##6914 |q 1740/1 |goto Ashenvale 14.00,14.82
step
_Inside the Shadowfang Keep Dungeon:_
|tip Use the Shadowfang Keep dungeon guide to accomplish this.
kill Shadowfang Darksoul##3855+
|tip They look like worgen.
collect Large Soran'ruk Fragment##6915 |q 1740/2
step
talk Doan Karhan##6247
turnin The Orb of Soran'ruk##1740 |goto The Barrens 49.31,57.21
accept Rumors Abound##78680 |goto The Barrens 49.31,57.21
step
Enter the tower |goto Darkshore 56.50,26.45 < 10 |walk
click Bough of Altek##411715
|tip It looks like a wooden staff leaning against a wooden table.
|tip At the top of the tower.
collect Bough of Altek##210763 |q 78680/2 |goto Darkshore 56.24,26.50
step
Enter the tower |goto Redridge Mountains 80.93,48.84 < 10 |walk
click Demonic Reliquary##411710
|tip It looks like a grey metal chest on a wooden table.
|tip At the top of the tower.
collect Orb of Des##210765 |q 78680/1 |goto Redridge Mountains 80.14,49.64
step
talk Doan Karhan##6247
turnin Rumors Abound##78680 |goto The Barrens 49.31,57.21
accept The Conjuring##78681 |goto The Barrens 49.31,57.21
step
Kill enemies around this area
|tip They look like various types of demons.
collect 10 Blood of the Legion##210966 |q 78681/1 |goto Ashenvale 82.20,68.06
step
Follow the path |goto 84.19,72.06 < 30 |only if walking
Follow the path up |goto 82.80,77.96 < 20 |only if walking
click Dark Ritual Stone##412224
turnin The Conjuring##78681 |goto 78.99,80.37
step
_NOTE:_
Get the Killing Blow on the Searing Infernal
|tip In the next step, you must get the killing blow on the Searing Infernal that emerges from the portal.
|tip Ask your group to stop attacking him when he is almost dead, so that you can get the last hit.
|tip If there are other Warlocks in your group, you can take turns doing this to help each other.
Click Here to Continue |confirm |q 78684 |future
step
click Dark Ritual Stone##412224
|tip Stand in the summoning circle.
|tip Kill the enemies that attack in waves, using "Drain Soul" to finish them off.
|tip Eventually, a Searing Infernal will appear.
kill Searing Infernal##213711
|tip You must get the killing blow using "Drain Soul" to spawn the Traveler.
|tip Make sure you have room in your quest log to accept the quest.
talk Mysterious Traveler##213444
accept Mysterious Traveler##78684 |goto 78.99,80.37
step
talk Doan Karhan##6247
turnin Mysterious Traveler##78684 |goto The Barrens 49.31,57.21
accept Raszel Ander##78702 |goto 49.31,57.21
step
talk Doan Karhan##6247
turnin Raszel Ander##78702 |goto 49.31,57.21
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Shadow Bolt Volley [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadow Bolt Volley on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Delmanis the Hated##3662
|tip He looks like a brown satyr that walks around this area.
collect Rune of Shadowbolts##208744 |goto Darkshore 57.04,27.41
Also check around [Darkshore 57.24,26.12]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Shadow Bolt Volley [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadow Bolt Volley on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Curse the Demon Remains
|tip It looks like a skeleton on the ground.
|tip Use your "Curse of Agony" ability on it.
|tip A level 18 enemy will appear.
kill Graix##209958
collect Rune of Shadowbolts##208744 |goto Loch Modan 72.6,68.4
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Soul Siphon [Elwynn Forest]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Soul Siphon on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Drain Soul Ability
|tip Make sure you learn the Drain Soul ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
collect Tainted Soul Shard##205019 |goto Elwynn Forest 27.36,92.71
|tip Use your Drain Soul ability on Hogger.
|tip He looks like a level 11 elite gnoll that walks around this area.
step
collect Pure Soul Shard##205020 |goto 32.24,84.32
|tip Use your Drain Soul ability on a critter.
|tip It will work on any critter anywhere in Elwynn Forest.
step
Enter the building |goto 42.95,65.64 < 10 |walk
talk Damien Kane##204256
|tip Downstairs inside the building.
Tell him _"I have brought you your souls (Hand over the soul shards)"_
collect Rune of Soul Siphon##205022 |goto 44.10,66.32
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Soul Siphon [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Soul Siphon on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Drain Soul Spell
|tip Make sure you learn the Drain Soul spell from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
Follow the path up |goto Dun Morogh 26.80,56.78 < 30 |only if walking
collect Tainted Soul Shard##205019 |goto Dun Morogh 27.83,57.96
|tip Use your Drain Soul ability on Vejrek.
|tip He looks like a level 11 troll.
|tip Inside the building.
|tip You can also use it on Captain Beld, who is downstairs inside the building at the location below.
|tip Pick whichever is closer to you.
[77.89,62.23]
step
collect Pure Soul Shard##205020 |goto 47.45,55.39
|tip Use your Drain Soul ability on a critter.
|tip It will work on any critter anywhere in Dun Morogh.
step
talk Gaklik Voidtwist##209002
Tell him _"I have brought you your souls (Hand over the soul shards)"_
collect Rune of Soul Siphon##205022 |goto 47.35,53.54
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 2 Runes\\Dance of the Wicked [Thousand Needles]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Dance of the Wicked on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 30
step
_NOTE:_
Learn the "Hellfire" Spell
|tip Make sure you learn the Hellfire spell from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
Follow the path up into the wyvern area |goto Thousand Needles 14.52,32.52 < 30 |only if walking
clicknpc Reckless Warlock##217620
|tip It looks like a dead human burning on the ground.
|tip They burning wyvern that flies nearby will not attack you.
collect Brimstone Carving##213583 |goto Thousand Needles 10.97,40.66
step
collect Rune of Wickedness##213102
|tip Repeatedly use your Hellfire ability.
|tip Eventually, the Brimstone Carving will transform into the rune.
|tip You can do this anywhere you want.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 2 Runes\\Demonic Knowledge",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Demonic Knowledge on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
collect Ariden's Sigil##216941 |goto Deadwind Pass 52.08,34.10
step
Equip Ariden's Sigil |equipped Ariden's Sigil##216941
|tip If you are grouped, only one player needs to wear this.
step
Follow the path down |goto 44.14,32.57 < 30 |only if walking
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Curious Dalaran Relic##216945 |goto 42.59,27.49
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Odd Dalaran Relic##216948 |goto Swamp of Sorrows 69.37,23.84
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Glittering Dalaran Relic##216946 |goto Duskwood 24.74,46.14
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Slippery Dalaran Relic##216951 |goto Badlands 58.98,55.06
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Whirring Dalaran Relic##216947 |goto Arathi Highlands 60.74,40.79
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Heavy Dalaran Relic##216949 |goto The Barrens 52.14,36.59
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Creepy Dalaran Relic##216950 |goto Desolace 64.99,25.12
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
accept Curious Dalaran Relic##80147 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80149 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80098 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80152 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80148 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80150 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80151 |goto Deadwind Pass 52.08,34.10
step
talk Dalaran Agent##218920
accept A Service to Dalaran##80120 |goto Deadwind Pass 52.08,34.10
step
use the Supply Bag##217014
collect Rune of Forbidden Knowledge##213100
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 2 Runes\\Grimoire of Synergy",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Grimoire of Synergy on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Complete the "Metamorphosis" Rune Guide
|tip Make sure you've completed the "Metamorphosis" rune guide before starting this guide.
|tip You need to complete that before you can get this rune.
Click Here to Continue |confirm
step
ding 32
|tip Use the leveling guides to accomplish this.
step
_NOTE:_
Learn the "Shadow Ward" Ability
|tip Make sure you learn the Shadow Ward ability from your class trainer.
|tip Having this ability will make it easier to get the rune.
Click Here to Continue |confirm
step
_NOTE:_
Find a Mailbox
|tip At level 30, you will receive a letter in the mail, instructing you to return to the Warlock camp in the Barrens.
|tip Open the mail, but you don't need to keep the letter.
Click Here to Continue |confirm
step
Enter the building |goto The Barrens 62.08,39.26 < 15 |walk
talk Innkeeper Wiley##6791
|tip Inside the building.
home Ratchet |goto The Barrens 62.05,39.41
step
talk Raszel Ander##213445
|tip Metamorphosis must be active to be able to see him.
accept A Solid Foundation##78994 |goto The Barrens 49.27,57.24
step
use the Invisibility Potion##217693
|tip Use the potion to become invisible, so you can avoid the elite enemies around this area.
|tip You can use your "Eye of Kilrogg" ability to find one of the trees you need to click, and plan your route to avoid the elite enemy patrols.
click Bough of Shadows##414197
|tip It looks like a tree with a skinny grey trunk and purple leaves.
|tip There are multiple other spawn points around this area, but this spot is the safest.
collect Bough of Shadows##211426 |q 78994/1 |goto Ashenvale 91.15,37.54
|tip While you have this item, you will take damage.
|tip Use your Shadow Ward and Demon Armor abilities to help you survive while you hearth back to the Barrens in the next step.
|tip If you have trouble, try to find a healer to help you.
step
talk Raszel Ander##213445
|tip Metamorphosis must be active to be able to see him.
turnin A Solid Foundation##78994 |goto The Barrens 49.27,57.24
accept Soul Vessel##78914 |goto The Barrens 49.27,57.24
step
collect Soul Vessel##211427 |q 78914/1
|tip This item is crafted with Engineering, or purchased from the auction house.
|tip If you don't have Engineering with at least 205 skill level, you need to find an Engineer to help you craft an item.
You can purchase the Schematic: Soul Vessel in major cities at:
|tip You need Honored reputation with the Azeroth Commerce Authority faction to purchase the schematic.
[Stormwind City 55.0,61.6]
[Ironforge 24.6,67.2]
[Darnassus 60.0,56.4]
step
talk Raszel Ander##213445
|tip Metamorphosis must be active to be able to see him.
turnin Soul Vessel##78914 |goto Desolace 51.16,82.43
accept Tempting Fate##79298 |goto Desolace 51.16,82.43
|tip You will have to kill a level 41 elite enemy.
|tip Your allies will help, but you may need additional help from player(s).
step
talk Raszel Ander##213445
Tell him _"Let's begin the ritual."_
|tip Use your Shadow Ward ability before clicking the staff in this step.
|tip While channeling on the staff, it will deal damage to you.
clicknpc Reconstructed Staff of Des'Altek##217862
|tip It appears above the stone ritual table.
Kill the enemies that attack in waves
kill Des'Altek##215974 |q 79298/1 |goto 51.26,82.62
|tip He is a level 41 elite enemy.
step
talk Raszel Ander##213445
|tip Metamorphosis must be active to be able to see him.
turnin Tempting Fate##79298 |goto 51.23,82.62
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 2 Runes\\Invocation [Arathi Highlands]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Invocation on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
You May Need Help With This
|tip You will be fighting many elite enemies.
|tip Find friends to help you, if possible.
Click Here to Continue |confirm
stickystart "Collect_Conjurors_Pendants"
step
Enter Stromgarde Keep |goto Arathi Highlands 26.05,55.71 < 30 |only if walking
kill Voidwalker Minion##8996+
|tip They look like blue ghosts around this area, with Syndicate Conjurors.
|tip Use your Drain Soul ability on them to collect the item.
|tip Stay in this section of Stromgarde Keep.
|tip You will be entering a nearby house soon.
collect Soul of the Void##434994 |goto Arathi Highlands 28.82,61.04
step
label "Collect_Conjurors_Pendants"
kill Syndicate Conjuror##2590+
|tip They look like humans wearing robes, holding a dagger, with a voidwalker minion.
|tip Stay in this section of Stromgarde Keep.  You will be entering a nearby house in the next step. |notinsticky
collect 10 Conjuror's Pendant##213573 |goto 28.82,61.04
step
Enter the building |goto 29.26,62.16 < 10 |walk
use the Conjuror's Pendant##213573+
|tip Use them near the Void Prism.
|tip Upstairs inside the building.
kill Void Seeker##217605
collect Rune of Invocation##213098 |goto 29.25,62.61
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 2 Runes\\Shadow and Flame",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadow and Flame on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
Click Here to Continue |confirm
|only if not NightElf
step
click Extinguished Campfire##417353
|tip In the abandoned camp on top of the hill.
accept Highway Robbery##79229 |goto Desolace 47.50,54.61
|tip You may need to be level 30 to be able to accept the quest.
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Highway Robbery##79229 |goto 62.33,38.98
accept On the Lam##79235 |goto 62.33,38.98
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin On the Lam##79235 |goto Stranglethorn Vale 26.99,77.28
accept Cherry for Your Thoughts?##79236 |goto Stranglethorn Vale 26.99,77.28
step
talk Nixxrax Fillamug##2832
|tip Inside the building, on the ground floor.
buy Cherry Grog##4600 |q 79236/1 |goto 27.04,77.17
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin Cherry for Your Thoughts?##79236 |goto 26.99,77.28
accept No Honor Among Thieves##79242 |goto 26.99,77.28
step
click Rowboat##420055 |goto Arathi Highlands 53.76,91.58
|tip It looks like a small brown wooden boat, in the water near the shore.
|tip You will be transported to another location.
Travel to the Remote Location |goto Arathi Highlands 89.61,77.88 < 200 |noway |c |q 79242
step
talk Illari Duskfeather##215655
|tip On the dock.
Find Illari Duskfeather |q 79242/1 |goto 93.87,71.55
step
talk Illari Duskfeather##215655
|tip Go through the dialogue prompts.
Tell her _"I sympathize with your plight, Illari. Kalimdor is ours, and ours alone."_
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if NightElf
step
talk Illari Duskfeather##215655
kill Illari Duskfeather##215655
|tip A Dropped Puch will appear on the ground near where she dies.
click Dropped Pouch
|tip It looks like a small tan bag.
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if not NightElf
step
click Illari's Loot Cache##418855
|tip It looks like a grey metal chest.
turnin No Honor Among Thieves##79242 |goto 94.09,69.24
step
use the Jewel-Encrusted Box##212553
collect Rune of Burning Darkness##212561
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 2 Runes\\Shadowflame [Desolace]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Shadowflame on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the "Shadow Ward" Ability
|tip Make sure you learn the Shadow Ward ability from your class trainer.
Bring a Priest to Heal and Buff You
|tip Getting this rune will be easier if you have a Priest who can help heal you and buff you with shadow resist.
|tip You will have to fight a level 38 elite enemy, while being very low health when starting the fight.
Click Here to Continue |confirm
step
Follow the path up |goto Desolace 79.59,82.58 < 20 |only if walking
click Shadow Ritual of Sacrifice
|tip It looks like a stone table.
|tip Before clicking, do the following to buff yourself:
|tip Get a Priest cast Shadow Protection on you.
|tip Sacrifice your voidwalker, and summon a different demon to help you fight.
|tip You will take damage while channeling on the altar, and can't be healed while channeling.
|tip After channeling is finished, get the Priest to heal you quickly.
|tip You will immediately have to fight a level 38 elite enemy.
kill Seductress Ceeyna##217580
|tip She looks like a level 38 elite succubus enemy.
collect Rune of Shadowflames##213101 |goto Desolace 82.03,80.55
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 3 Runes\\Summon Felguard",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Summon Felguard on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Rune of the Felguard##221499
|tip Use the "Explorer Imp & Fel Portal Locations" guide to accomplish this.
|tip You will eventually receive the rune in one of the Otherworldly Treasures bags.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 3 Runes\\Vengeance",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Vengeance on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip You need to be level 50 to collect this rune.
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Start Gathering a Group
|tip You will be killing elite enemies and running multiple dungeons to get this rune.
|tip While you travel to accept the quest in the next step, start trying to put together a full dungeon group.
Click Here to Continue |confirm |q 82043 |future
step
talk Shadowtooth Emissary##222408
accept The Wild Gods##82043 |goto Felwood 51.57,81.96
step
Kill Vilbranch enemies around this area
|tip They look like elite trolls.
|tip You can find them all around the Jintha'Alor area.
collect Wildwhisper Draught##221261 |goto The Hinterlands 66.50,66.40 |q 82043
|tip Only 1 player in your dungeon group needs to collect this item.
|tip Everyone doesn't need to have it, so if someone else in your group gets it, you can continue to the next step.
step
Follow the path to the Razorfen Downs dungeon portal |goto The Barrens 44.90,88.86 < 50 |only if walking
Run through the giant skull and follow the path to the Razorfen Downs dungeon portal |goto The Barrens 49.27,93.08 < 20 |walk
Enter the Razorfen Downs Dungeon
|tip After running through the giant skull, the aypoint arrow won't work anymore, so follow the path until you come to a swirling portal.
|tip Enter the swirling portal to enter the dungeon.
Click Here to Continue |confirm |goto The Barrens 49.27,93.08 |q 82043
step
_Inside the Razorfen Downs Dungeon:_
|tip Use the Razorfen Downs dungeon guide.
kill Amnennar the Coldbringer##7358
|tip He's the final boss inside the dungeon.
use the Wildwhisper Draught##221261
|tip Use it after killing the boss.
|tip Have the person in your group use it that has this item, if you don't have it.
talk Spirit of Agamaggan##222522
turnin The Wild Gods##82043
accept The Wild Gods##82044
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You need to go to 1 of 3 different dungeons to collect the quest items.
|tip You can complete the same dungeon repeatedly to get all of the quest items.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Turnin_The_Wild_Gods"
talk Shadowtooth Emissary##222408
turnin The Wild Gods##82044 |goto Felwood 51.57,81.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 3 Runes\\Explorer Imp & Fel Portal Locations",{
author="support@zygorguides.com",
description="This guide will walk you through learning to summon your Explorer Imp and locating Fel Portals.",
hideif=not ZGV.IsClassicSoD,
},[[
step
collect Explorer's Soul##221978
|tip Use your Drain Soul ability on any enemy.
|tip It can be an enemy much lower level than you.
step
use the Explorer's Soul##221978
learn Explorer Imp##445459
|tip After learning to summon your Explorer Imp, you can send the imp into Fel Portals.
|tip The imp will complete missions on its own and give you a bag of loot, which can contain a class rune.
step
label "Pick_Portal_Zone"
_NOTE:_
Pick a Zone to Find Fel Portals
|tip You will send your Explorer Imp into Fel Portals to complete missions.
|tip It will reward you with a bag of loot, which can contain a class rune and other useful items.
|tip Click the line below to choose the zone you want to find portals in.
Ashenvale		|confirm	|next "Ashenvale_Fel_Portals"
Azshara			|confirm	|next "Azshara_Fel_Portals"
Blasted Lands		|confirm	|next "Blasted_Lands_Fel_Portals"
Desolace		|confirm	|next "Desolace_Fel_Portals"
Feralas			|confirm	|next "Feralas_Fel_Portals"
Redridge Mountains	|confirm	|next "Redridge_Mountains_Fel_Portals"
Silverpine Forest	|confirm	|next "Silverpine_Forest_Fel_Portals"
Swamp of Sorrows	|confirm	|next "Swamp_Of_Sorrows_Fel_Portals"
The Barrens		|confirm	|next "The_Barrens_Fel_Portals"
Westfall		|confirm	|next "Westfall_Fel_Portals"
step
label "Ashenvale_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Ashenvale 33.4,28.4] [Ashenvale 27.6,62.6] [Ashenvale 24.4,63.4] [Ashenvale 44.6,64.2] [Ashenvale 52.6,62.8] [Ashenvale 51.2,47.2]
[Ashenvale 67.0,46.0] [Ashenvale 67.0,51.2] [Ashenvale 77.4,73.2] [Ashenvale 80.6,70.8] [Ashenvale 84.8,70.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Azshara_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Azshara 17.6,58.6] [Azshara 16.4,50.8] [Azshara 21.2,54.0] [Azshara 24.6,47.8] [Azshara 25.2,81.4] [Azshara 30.2,79.8]
[Azshara 33.0,81.6]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Blasted_Lands_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Blasted Lands 43.8,25.0] [Blasted Lands 46.8,39.2] [Blasted Lands 48.8,48.4] [Blasted Lands 56.2,36.6] [Blasted Lands 62.0,39.2] [Blasted Lands 60.2,46.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Desolace_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Desolace 54.4,19.2] [Desolace 74.6,10.4] [Desolace 80.4,17.0] [Desolace 76.6,19.0] [Desolace 71.6,18.8] [Desolace 72.6,22.0] [Desolace 73.6,24.8]
[Desolace 56.2,74.4] [Desolace 52.2,72.4] [Desolace 49.6,74.8] [Desolace 52.8,81.0] [Desolace 52.0,85.4] [Desolace 48.8,82.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Feralas_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Feralas 74.2,50.4] [Feralas 73.2,54.4] [Feralas 76.2,56.6] [Feralas 74.2,56.8] [Feralas 74.2,60.0] [Feralas 76.8,63.6] [Feralas 72.6,63.8]
[Feralas 70.8,62.8] [Feralas 68.2,58.8]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Redridge_Mountains_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Redridge Mountains 29.8,30.4] [Redridge Mountains 79.0,33.4] [Redridge Mountains 83.2,45.2] [Redridge Mountains 86.4,52.4] [Redridge Mountains 79.0,73.0]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Silverpine_Forest_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Silverpine Forest 45.4,31.8] [Silverpine Forest 44.6,25.8] [Silverpine Forest 38.8,23.4] [Silverpine Forest 50.2,56.8] [Silverpine Forest 50.2,65.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Swamp_Of_Sorrows_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Swamp of Sorrows 36.4,50.0] [Swamp of Sorrows 26.8,50.0] [Swamp of Sorrows 23.0,64.2] [Swamp of Sorrows 16.8,63.2] [Swamp of Sorrows 10.6,60.2] [Swamp of Sorrows 12.6,29.8] [Swamp of Sorrows 34.6,28.0]
[Swamp of Sorrows 49.8,38.8] [Swamp of Sorrows 61.0,43.4] [Swamp of Sorrows 60.8,27.4] [Swamp of Sorrows 72.6,10.2] [Swamp of Sorrows 81.2,35.0] [Swamp of Sorrows 87.4,26.8] [Swamp of Sorrows 91.6,56.4]
[Swamp of Sorrows 91.0,65.6] [Swamp of Sorrows 83.6,65.8] [Swamp of Sorrows 77.6,90.0] [Swamp of Sorrows 69.6,78.8] [Swamp of Sorrows 56.8,65.6]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "The_Barrens_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[The Barrens 40.0,18.4] [The Barrens 39.6,13.8] [The Barrens 40.8,14.4] [The Barrens 42.0,14.2] [The Barrens 56.0,24.8] [The Barrens 57.6,23.6] [The Barrens 58.8,25.6]
[The Barrens 59.8,27.6] [The Barrens 59.0,29.2] [The Barrens 60.8,29.0] [The Barrens 61.8,32.0] [The Barrens 60.2,36.0] [The Barrens 59.2,36.6] [The Barrens 55.8,51.0]
[The Barrens 54.4,48.6] [The Barrens 53.0,50.8] [The Barrens 51.6,53.4] [The Barrens 47.6,49.4] [The Barrens 44.4,50.0] [The Barrens 45.8,51.2] [The Barrens 46.4,52.6]
[The Barrens 48.4,81.2] [The Barrens 47.8,83.6] [The Barrens 46.0,85.6] [The Barrens 43.8,83.8] [The Barrens 43.2,80.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
step
label "Westfall_Fel_Portals"
Locate Fel Portals
|tip They look like green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Westfall 47.0,39.4] [Westfall 51.0,32.6] [Westfall 62.6,26.0] [Westfall 57.0,10.6] [Westfall 47.8,13.8] [Westfall 47.6,21.6] [Westfall 32.4,29.2]
[Westfall 29.6,34.2] [Westfall 31.8,39.4] [Westfall 29.0,47.8] [Westfall 29.0,58.2] [Westfall 31.4,65.6] [Westfall 29.6,69.4] [Westfall 32.0,76.2]
[Westfall 32.2,80.2] [Westfall 34.0,82.2] [Westfall 37.8,85.4] [Westfall 47.6,79.6] [Westfall 51.6,71.2] [Westfall 47.6,67.2]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
Click Here to Find Portals in a Different Zone |confirm |next "Pick_Portal_Zone"
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 3 Runes\\Immolation Aura",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Immolation Aura on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
stickystart "Collect_Dreamsworn_Horn"
stickystart "Collect_Dreampyre_Fire"
step
kill Dreamhunter Hound##221292+
|tip They look like fel hunter demon dogs.
collect Dreamhunter Fang##221973 |goto Ashenvale 92.41,39.03
step
label "Collect_Dreamsworn_Horn"
kill Emberspark Dreamsworn##221282+
|tip They look like satyrs.
collect Dreamsworn Horn##221971 |goto 92.41,39.03
step
label "Collect_Dreampyre_Fire"
kill Dreampyre Imp##221283+
|tip They look like imps.
collect Dreampyre Fire##221972 |goto 92.41,39.03
step
use the Dreampyre Fire##221972
collect Rune of Immolation Aura##220618
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 3 Runes\\Unstable Affliction",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Unstable Affliction on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with the Emerald Wardens Faction |complete rep("Emerald Wardens") >= Friendly
|tip Use the following guides to accomplish this:
|tip Ashenvale Nightmare Invasion
|tip Duskwood Nightmare Invasion
step
_NOTE:_
Pick the Zone Closest to You
|tip There are Quartermaster NPCs in 4 different zones.
|tip All of them will sell you the item to learn your class rune.
|tip Pick the zone that's closest to you, to be lead to the Quartermaster in that zone.
Ashenvale		|confirm	|next "Ashenvale_Quartermaster"
Feralas			|confirm	|next "Feralas_Quartermaster"
Duskwood		|confirm	|next "Duskwood_Quartermaster"
The Hinterlands		|confirm	|next "The_Hinterlands_Quartermaster"
step
label "Ashenvale_Quartermaster"
talk Quartermaster Kyleen##222685
buy Rune of Affliction##221482		|goto Ashenvale 89.61,40.61		|only if Warlock
buy Rune of Alacrity##221512		|goto Ashenvale 89.61,40.61		|only if Rogue
buy Rune of Bloodshed##221517		|goto Ashenvale 89.61,40.61		|only if Druid
buy Rune of Burn##221483		|goto Ashenvale 89.61,40.61		|only if Shaman
buy Rune of Detonation##221515		|goto Ashenvale 89.61,40.61		|only if Hunter
buy Rune of the Hammer##223288		|goto Ashenvale 89.61,40.61		|only if Paladin
buy Rune of the Protector##221511	|goto Ashenvale 89.61,40.61		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Ashenvale 89.61,40.61		|only if Mage
step
label "Feralas_Quartermaster"
talk Quartermaster Valdane##222687
buy Rune of Affliction##221482		|goto Feralas 48.62,12.48		|only if Warlock
buy Rune of Alacrity##221512		|goto Feralas 48.62,12.48		|only if Rogue
buy Rune of Bloodshed##221517		|goto Feralas 48.62,12.48		|only if Druid
buy Rune of Burn##221483		|goto Feralas 48.62,12.48		|only if Shaman
buy Rune of Detonation##221515		|goto Feralas 48.62,12.48		|only if Hunter
buy Rune of the Hammer##223288		|goto Feralas 48.62,12.48		|only if Paladin
buy Rune of the Protector##221511	|goto Feralas 48.62,12.48		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Feralas 48.62,12.48		|only if Mage
step
label "Duskwood_Quartermaster"
Follow the path up into the Twilight Grove |goto Duskwood 46.83,59.43 < 30 |only if walking and not subzone ("Twilight Grove")
talk Quartermaster Falinar##222684
buy Rune of Affliction##221482		|goto Duskwood 45.76,51.35		|only if Warlock
buy Rune of Alacrity##221512		|goto Duskwood 45.76,51.35		|only if Rogue
buy Rune of Bloodshed##221517		|goto Duskwood 45.76,51.35		|only if Druid
buy Rune of Burn##221483		|goto Duskwood 45.76,51.35		|only if Shaman
buy Rune of Detonation##221515		|goto Duskwood 45.76,51.35		|only if Hunter
buy Rune of the Hammer##223288		|goto Duskwood 45.76,51.35		|only if Paladin
buy Rune of the Protector##221511	|goto Duskwood 45.76,51.35		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Duskwood 45.76,51.35		|only if Mage
step
label "The_Hinterlands_Quartermaster"
talk Quartermaster Alandra##222686
buy Rune of Affliction##221482		|goto The Hinterlands 61.41,34.64	|only if Warlock
buy Rune of Alacrity##221512		|goto The Hinterlands 61.41,34.64	|only if Rogue
buy Rune of Bloodshed##221517		|goto The Hinterlands 61.41,34.64	|only if Druid
buy Rune of Burn##221483		|goto The Hinterlands 61.41,34.64	|only if Shaman
buy Rune of Detonation##221515		|goto The Hinterlands 61.41,34.64	|only if Hunter
buy Rune of the Hammer##223288		|goto The Hinterlands 61.41,34.64	|only if Paladin
buy Rune of the Protector##221511	|goto The Hinterlands 61.41,34.64	|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto The Hinterlands 61.41,34.64	|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 3 Runes\\Backdraft",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Backdraft on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Find Warlocks or Mages to Help You
|tip Warlocks and Mages are able to collect items that they can use to help you get this rune.
|tip Warlocks can get Worldcore Fragments.
|tip Mages can get Scrolls of Geomancy.
|tip As a Warlock, you can get Worldcore Fragments by sending your imp on missions into Fel Portals.
|tip Use the "Explorer Imp & Fel Portal Locations" guide to accomplish this.
|tip You can mix and match which items to use, but you need a total of 4 items.
|tip They will use these items on Leyline Confluxes for you in 4 different zones.
|tip After using an item a Leyline Conflux, a level 47 elite enemy will appear, and it's immune to Arcane damage.
|tip Try to bring a level 50 friend to help.
Click Here to Continue |confirm
step
label "Choose_A_Zone"
_NOTE:_
Choose a Zone
|tip You keep to collect an item from various zones.
|tip Click the line below for the zone you want to go to.
Azshara				|confirm	|next "Collect_Azshara_Leycryst"		|only if itemcount(221318) == 0
Feralas				|confirm	|next "Collect_Feralas_Leycryst"		|only if itemcount(221317) == 0
Searing Gorge			|confirm	|next "Collect_Blackrock_Leycryst"		|only if itemcount(221319) == 0
The Hinterlands			|confirm	|next "Collect_Hinterlands_Leycryst"		|only if itemcount(221320) == 0
Click Here to Learn the Rune	|confirm	|next "Learn_The_Rune"				|only if ((itemcount(221318) == 1) and (itemcount(221317) == 1) and (itemcount(221319) == 1) and (itemcount(221320) == 1))
step
label "Collect_Azshara_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Azshara Leycryst##221318 |goto Azshara 18.32,79.52
|next "Choose_A_Zone"
step
label "Collect_Feralas_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Feralas Leycryst##221317 |goto Feralas 57.35,62.02
|next "Choose_A_Zone"
step
label "Collect_Blackrock_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Blackrock Leycryst##221319 |goto Searing Gorge 55.15,66.19
|next "Choose_A_Zone"
step
label "Collect_Hinterlands_Leycryst"
kill Enraged Leywalker##222407
|tip Have one of the Mages or Warlocks use one of their items on the Leyline Conflux.
|tip It looks like a green and white crystal spike sticking out of the ground.
collect Hinterlands Leycryst##221320 |goto The Hinterlands 47.78,59.11
|next "Choose_A_Zone"
step
label "Learn_The_Rune"
use the Hinterlands Leycryst##221320
|tip You will learn the Backdraft rune.
Click Here to Continue |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 3 Runes\\Pandemic",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Pandemic on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Grimtotem Chest##443727
collect Grimtotem Necklace##221974 |goto Feralas 69.62,43.27
step
Follow the path of torches up the mountain |goto 67.65,55.70 < 20 |only if walking
click Woodpaw Bag##443728
|tip On a ledge, up on the mountain.
collect Broken Woodpaw Staff##221975 |goto 66.38,50.87
step
use the Broken Woodpaw Staff##221975
collect Diseased Nature Staff##221976
step
use the Diseased Nature Staff##221976
|tip Use it on the Diseased Forest Walker.
|tip It looks like a treant.
kill Diseased Forest Walker##223123
collect Rune of Pandemic##220617 |goto 72.50,50.70
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 4 Runes\\Decimation",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Decimation on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Locate Fel Rifts
|tip They look like purple and green portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Burning Steppes 93.2,59.0] [Burning Steppes 72.2,31.6] [Burning Steppes 37.6,42.2] [Burning Steppes 24.2,64.6]
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive Otherworldly Treasure.
|tip Open the treasures until you find the item.
collect Legion Portal Tuner##224806
step
Locate Fel Scars
|tip They look like yellow portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Blasted Lands 43.6,25.6] [Blasted Lands 41.4,33.8] [Blasted Lands 46.6,39.2] [Blasted Lands 49.0,48.2]
[Blasted Lands 60.6,46.2] [Blasted Lands 62.0,39.2] [Blasted Lands 56.2,36.8]
use the Legion Portal Tuner##224806
|tip Use it on a Fel Scar.
collect Portal Tuner Tuner##224912
step
use the Portal Tuner Tuner##224912
collect Overcharged Portal Tuner##224893
step
Locate Fel Scars
|tip They look like yellow portals randomly located around the zone.
|tip Open your world map and left click on the orange dots to change the waypoint location.
[Blasted Lands 43.6,25.6] [Blasted Lands 41.4,33.8] [Blasted Lands 46.6,39.2] [Blasted Lands 49.0,48.2]
[Blasted Lands 60.6,46.2] [Blasted Lands 62.0,39.2] [Blasted Lands 56.2,36.8]
use the Overcharged Portal Tuner##224893
|tip Use it on a Fel Scar.
Send Your Explorer Imp on Missions
|tip Summon and talk to your Explorer Imp next to a portal, and tell him to head into it.
|tip The imp will go on a mission and you will receive a timed buff.
|tip When the timed buff expires, summon and talk to your Explorer Imp to receive the Decimation rune.
Click Here to Continue |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 4 Runes\\Mark of Chaos",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Mark of Chaos on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill enemies around this area
|tip Use your Soul Siphon ability on skeleton enemies.
collect 3 Plagued Soul Shard##225929 |goto Western Plaguelands 49.54,79.97
|only if Alliance
step
talk Pixi Pilfershard##226799
Tell her _"I have brought you your souls. (Hand over the soul shards)"_
|tip She will give you the Mark of Chaos rune.
Click Here to Continue |confirm |goto 43.40,84.10
|only if Alliance
step
Kill enemies around this area
|tip Use your Soul Siphon ability on skeleton enemies.
collect 3 Plagued Soul Shard##225929 |goto Western Plaguelands 36.84,57.89
|only if Horde
step
talk Prazik Pilfershard##226797
Tell him _"I have brought you your souls. (Hand over the soul shards)"_
|tip He will give you the Mark of Chaos rune.
Click Here to Continue |confirm |goto Tirisfal Glades 83.03,72.58
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 4 Runes\\Infernal Armor",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Infernal Armor on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the "Shadow Ward" Ability
|tip Make sure you learn the Shadow Ward ability from your class trainer.
Bring a Priest to Heal and Buff You
|tip Getting this rune will be easier if you have a Priest who can help heal you and buff you with shadow resist.
|tip You will have to fight a level 56 elite enemy, while being very low health when starting the fight.
Click Here to Continue |confirm
step
Enter the mine |goto Blasted Lands 65.15,32.81 < 15 |walk
click Shadow Ritual of Sacrifice
|tip It looks like a stone table.
|tip Inside the mine.
|tip Before clicking, do the following to buff yourself:
|tip Get a Priest cast Shadow Protection on you.
|tip Sacrifice your voidwalker, and summon a different demon to help you fight, then cast Shadow Ward and use a Greater Spellstone, if you can create one.
|tip You will take damage while channeling on the altar, and can't be healed while channeling.
|tip After channeling is finished, get the Priest to heal you quickly.
|tip You will immediately have to fight a level 56 elite enemy.
|tip Kill the elite enemy to get the rune.
collect Rune of Infernal Armor##225687 |goto Blasted Lands 68.07,28.65
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 4 Runes\\Fel Armor (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Fel Armor skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Grimoire of Fel Armor##228797 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Grimoire of Fel Armor##228797 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 4 Runes\\Portal of Summoning (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Portal of Summoning skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Grimoire of Portal of Summoning##216748 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Grimoire of Portal of Summoning##216748 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Warlock\\Phase 4 Runes\\Soul Harvesting (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Soul Harvesting skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Grimoire of Soul Harvesting##216747 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Grimoire of Soul Harvesting##216747 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Cobra Slayer [Wetlands]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Cobra Slayer on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the cave |goto Wetlands 52.65,63.04 < 40 |walk
Follow the path through the cave |goto Wetlands 48.23,60.23 < 20 |walk
Follow the path down |goto Wetlands 46.05,60.82 < 15 |walk
kill Carrodin##211965
|tip It looks like a level 25 elite owl.
|tip Downstairs inside the cave, flying above the water.
collect Rune of Cobra Slayer##211205 |goto Wetlands 47.31,64.91
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Beast Mastery [Westfall]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Beast Mastery on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Goretusk enemies around this area
|tip They look like boars.
|tip Any Goretusk boar in Westfall will drop the item.
collect Goretusk Haunch##209059 |goto Westfall 53.52,41.27
step
click Coyote Feeding Ground##408877
|tip It looks like an animal skeleton on the ground.
kill Silverspur##210533
|tip It is a level 14 enemy.
collect Rune of Beast Mastery##208701 |goto 34.93,38.54
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Beast Mastery [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Beast Mastery on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Blackwood enemies around this area
|tip They look like furbolgs.
collect Crab Treats##209027 |goto Darkshore 39.94,55.20
step
use the Crab Treats##209027
|tip Use them on a Young Reef Crawler around this area.
|tip They look like crabs.
collect Rune of Beast Mastery##208701 |goto 36.16,53.57
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Beast Mastery [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Beast Mastery on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Enter the building |goto Loch Modan 83.41,62.85 < 15 |only if walking
click Empty Trophy Display##407918
|tip It looks like a large wooden cupboard.
|tip Inside the building.
collect Rune of Beast Mastery##208701 |goto Loch Modan 83.70,65.45
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Carve [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Carve on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Tame Beast Ability
|tip You must already know the Tame Beast ability in order to be able to get the rune.
|tip Use the leveling guides to accomplish this.
Click Here to Continue |confirm
step
Kill Rockjaw enemies around this area
|tip They look like troggs.
|tip Inside and outside the cave.
collect Rabbit Musk##208180 |goto Dun Morogh 70.72,56.46
step
use the Rabbit Musk##208180
|tip This will allow you to tame a Rabbit as your pet with your Tame Beast spell.
|tip Use your Tame Beast spell on a Rabbit critter.
|tip You can tame any Rabbit critter in Dun Morogh, but you will be going to Amberstill Ranch afterward, so try to find one near there.
Tame a Rabbit |havebuff Tame Rabbit##418232 |goto 61.79,53.52
step
talk Toby##208711
Tell him _"I've brought you a friend."_
collect Rune of Carve##206032 |goto 63.38,50.24
step
_Destroy These Items:_
|tip You no longer need them.
trash Rabbit Musk##208180
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Carve [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Carve on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Tame Beast Ability
|tip You must already know the Tame Beast ability in order to be able to get the rune.
|tip Use the leveling guides to accomplish this.
Click Here to Continue |confirm
step
Kill Gnarlpine enemies around this area
|tip They look like furbolgs.
collect Deer Musk##208607 |goto Teldrassil 44.91,54.77
step
use the Deer Musk##208607
|tip This will allow you to tame a Deer as your pet with your Tame Beast spell.
|tip Use your Tame Beast spell on a Deer critter.
|tip You can find more Deer critters around Darnassus.
Click Here After Taming a Deer |confirm |goto Darnassus 67.31,35.19
step
Run up the ramp |goto 39.65,16.40 < 10 |only if walking
talk Relaeron##209948
Ask him _"Will this help your research?"_
collect Rune of Carve##206032 |goto 39.05,8.87
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Chimera Shot (Night Elf Only) [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Chimera Shot on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Run up the ramp |goto Teldrassil/0 57.52,41.62 < 10 |walk
talk Ayanna Everstride##3596
|tip Inside the top of the tree.
accept A Hunter's Strength##77568 |goto 58.66,40.45
step
Enter the cave |goto 56.78,31.50 < 10 |walk
Follow the path |goto 57.87,28.44 < 10 |walk
Follow the path |goto 55.73,25.42 < 10 |walk
kill Githyiss the Vile##1994
|tip Inside the cave.
|tip This enemy is level 5 in a cave with level 4 spiders that use poison.
|tip You may need to level up to accomplish this.
|tip Level 4+ is recommended.
collect Rune of the Chimera##206168 |goto 56.58,26.34 |q 77568
step
use the Rune of the Chimera##206168
Learn Engrave Gloves - Chimera Shot |q 77568/1
step
Run up the ramp |goto 57.52,41.62 < 10 |walk
talk Ayanna Everstride##3596
|tip Inside the top of the tree.
turnin A Hunter's Strength##77568 |goto 58.66,40.45
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Chimera Shot (Dwarf Only) [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Chimera Shot on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Enter the building |goto Dun Morogh 28.80,69.00 < 10 |walk
talk Thorgas Grimson##895
|tip Inside the building.
accept Trek Through the Caves##77660 |goto 29.18,67.46
step
Enter the cave |goto Dun Morogh 26.80,79.86 < 15 |walk
Follow the path |goto Dun Morogh 27.73,80.71 < 10 |walk
Follow the path down |goto Dun Morogh 28.13,80.11 < 10 |walk
Continue down the path |goto Dun Morogh 29.06,78.87 < 10 |walk
click Frostmane Loot Cache##405628
|tip Inside the cave, up on a ledge.
collect Rune of the Chimera##206168 |goto Dun Morogh 30.78,80.06 |q 77660
step
use the Rune of the Chimera##206168
Learn Engrave Gloves - Chimera Shot |q 77660/1
step
Leave the cave |goto 26.78,79.83 < 15 |walk |only if subzone("Coldridge Valley") and _G.IsIndoors()
Enter the building |goto 28.80,69.00 < 10 |walk
talk Thorgas Grimson##895
|tip Inside the building.
turnin Trek Through the Caves##77660 |goto 29.18,67.46
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Cobra Strikes [Hillsbrad Foothills]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Cobra Strikes on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Zixil##3537
|tip He looks like a goblin that walks with a brown shredder machine.
|tip He is a vendor that walks between Tarren Mill and Southshore.
|tip Along his path, he stops and stands in this crumbled tower for a while before moving on.
buy Freshwater Snapper Bait##210410 |goto Hillsbrad Foothills 55.22,34.48
|tip It costs 20 silver.
Also check around: |notinsticky
[Hillsbrad Foothills 51.59,39.20]
[Hillsbrad Foothills 55.68,25.03]
[Hillsbrad Foothills 60.8,19.8] |only if Horde
[Hillsbrad Foothills 50.6,50.6] |only if Alliance
step
use the Freshwater Snapper Bait##210410
|tip Use it while standing in the wooden boat.
kill Koartul##211951
|tip It is a level 25 elite turtle.
collect Rune of Cobra Strikes##210596 |goto 61.08,33.36
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Explosive Shot [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Explosive Shot on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 7
|tip Use the leveling guides to accomplish this.
|tip You may want to be higher than level 7 (or bring helpers), since you will be fighting a level 7 elite enemy.
step
kill Fyodi##208638
|tip It looks like a tan boar.
|tip It is a level 7 elite enemy.
|tip It may spawn in other locations around this area.
collect Rune of Explosive Shot##206169 |goto Dun Morogh 34.29,34.85
Also check around: |notinsticky
[31.87,38.45]
[30.02,39.08]
[33.82,37.26]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Explosive Shot [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Explosive Shot on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 10
|tip Use the leveling guides to accomplish this.
|tip You may want to be level 10 and already have your pet, since the cave the level 10 enemy is in can be very difficult.
|tip If you have a group to help you, you can do it at a lower level.
step
Enter the cave |goto Teldrassil 44.35,57.93 < 10 |walk
kill Rageclaw##7318
|tip He looks like a night elf wearing a robe and carrying a wooden staff on his back.
|tip He walks in a circle at the very bottom of the cave.
collect Rune of Explosive Shot##206169 |goto Teldrassil 45.48,58.48
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Flanking Strike [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Flanking Strike on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Large Crag Boar##1126+
collect Dun Morogh Pig Meat##208192 |goto Dun Morogh 39.95,47.21
step
Enter the cave |goto 38.05,42.83 < 15 |walk
use the Dun Morogh Pig Meat##208192
|tip Use it next to the piles of meat and bones.
|tip Inside the cave.
|tip You will summon a bear.
kill Jorul##208812
|tip It is a level 8 enemy.
collect Rune of Flanking##205979 |goto 38.54,43.45
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Flanking Strike [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Flanking Strike on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Strigid enemies around this area
|tip They look like owls.
collect Teldrassil Bird Meat##208608 |goto Teldrassil 46.55,32.57
step
use the Teldrassil Bird Meat##208608
|tip Use it next to the piles of meat and bones.
|tip You will summon a bear.
kill Mowgh##209928
|tip It is a level 8 enemy.
collect Rune of Flanking##205979 |goto 48.30,31.34
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Kill Shot [Stonetalon Mountains]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Kill Shot on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Jixo Madrocket##210845
|tip He looks like a goblin.
accept Wild Wyvern Wrangling##78114 |goto Stonetalon Mountains 59.20,62.41
Also check around [Stonetalon Mountains 60.75,61.99]
step
kill Mutanus the Devourer##3654
|tip He is the last boss inside the Wailing Caverns dungeon.
|tip Use the Wailing Caverns dungeon guide to accomplish this.
collect Hypnotic Crystal##209838 |q 78114/1
step
collect Greater Magic Wand##11288 |q 78114
|tip Buy it from the Auction House, or ask an Enchanter to craft one for you.
step
kill Thistlefur Shaman##3924+
|tip They look like white furbolgs.
collect Wild Magic Essence##209841 |n
use the Wild Magic Essence##209841
|tip Use it on your Greater Magic Wand.
collect Gnarled Wand of Wild Magic##209840 |goto Ashenvale 31.17,44.12
You can find more around [Ashenvale 33.05,39.52]
step
talk Jixo Madrocket##210845
|tip He looks like a goblin.
|tip Another quest makes him walk away from this location.
|tip If he's not here, look around nearby to find him.
turnin Wild Wyvern Wrangling##78114 |goto Stonetalon Mountains 59.20,62.41
accept Wrangling a Wild Wyvern##78121 |goto Stonetalon Mountains 59.20,62.41
step
Watch the dialogue
|tip Follow Jixo Madrocket and protect him as he walks.
Follow Jixo Madrocket, and Watch Him Tame a Wyvern
Click Here to Continue |q 78121
step
talk Jixo Madrocket##210845
|tip He looks like a goblin.
turnin Wild Wyvern Wrangling##78121 |goto 60.75,61.99
Also check around [59.20,62.41]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Lone Wolf [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Lone Wolf on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
collect 25 Shredder Autosalvage Unit##210147 |q 78267 |future
|tip These are made with the Engineering profession.
|tip The schematic drops from Sneed in the Deadmines dungeon.
|tip You can make them yourself, get a friend to help, or buy them from the Auction House.
|tip To make one, you need 1 Bronze Framework, 2 Whirring Bronze Gizmo, 1 Heavy Leather.
|tip You will use them to collect 16 quest items, but they can fail, so get 25 at a minimum.
|tip If you don't have enough, you may have to backtrack to make more later.
step
kill Venture Co. Light Shredder##214129+
|tip They look like grey metal humanoid machines that walk around this area.
|tip They are fairly uncommon, so you may have to search around.
use the Shredder Autosalvage Unit##210147+
|tip Use them on their corpses.
collect 16 Shredder Turbochargers##78267 |goto Stonetalon Mountains 60.69,52.32 |q 78267 |future
You can find more around: |notinsticky
[67.0,56.8]
[69.8,54.8]
[72.8,53.8]
[68.8,47.8]
[66.2,47.2]
step
kill Bluegill Oracle##1029+
|tip They wander all over the marsh area just east of the coast.
|tip You can also farm Bluegill Raiders along the coast south of Menethil Harbor.
collect 24 Fish Oil##17058 |goto Wetlands 16.12,31.71 |q 78265 |future
|tip You can also purchase these from the auction house.
You can find Bluegill Raiders at [12.61,64.82]
step
kill Dark Iron Insurgent##1169+
|tip They look like grey dwarves.
|tip Inside the cave.
collect 20 Dark Iron Ordinance##210138 |goto 63.35,77.50 |q 78266 |future
|tip The drop rate is very low.
You can find more in Loch Modan at [Loch Modan 58.61,15.88]
step
Collect 5 Gold |complete _G.GetMoney() >= 50000
|tip Grizzby won't speak with you unless you have at least 5 gold.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
|tip You may have to go through some dialogue prompts before he offers you a few turn-in quests.
accept Dark Iron Ordinance##78266 |goto The Barrens 61.92,39.32
accept Fish Oil##78265 |goto The Barrens 61.92,39.32
accept Shredder Turbochargers##78267 |goto The Barrens 61.92,39.32
accept Let Me Make You An Offer##78287 |goto The Barrens 61.92,39.32
step
Enter the building |goto Stormwind City/0 78.04,47.96 < 10
talk Master Wood##8383
|tip Inside the building.
turnin Let Me Make You An Offer##78287 |goto 79.17,47.65
accept You've Got Yourself A Deal##78297 |goto 79.17,47.65
step
Enter the building |goto The Barrens/0 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
turnin You've Got Yourself A Deal##78297 |goto 61.92,39.32
step
talk Grizzby##211653
|tip Inside the building.
buy Rune of Lone Wolf##210818 |goto 61.92,39.32
|tip It costs 5 gold.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Master Marksman [Dun Morogh]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Master Marksman on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 6
|tip Use the leveling guides to accomplish this.
|tip You need to be level 6 to be able to learn the Hunter's Mark spell.
step
_NOTE:_
Learn the Hunter's Mark Spell
|tip Make sure you learn the Hunter's Mark spell from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
Locate the Rustling Bush
|tip It looks like a bushy green leafy plant.
|tip It may be in another location around this area.
|tip You may have to wait for it to respawn.
|tip Use your Hunter's Mark spell on the Rustling Bush.
kill Razormane Poacher##208180
|tip It is a level 9 enemy.
collect Rune of Marksmanship##206155 |goto Dun Morogh 28.85,49.85
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Master Marksman [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Master Marksman on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Hunter's Mark Ability
|tip Make sure you learn the Hunter's Mark ability from your class trainer.
|tip You need the ability in order to get the rune.
Click Here to Continue |confirm
step
Locate the Rustling Bush
|tip It looks like a bushy green leafy plant.
|tip It may be in another location around this area.
|tip You may have to wait for it to respawn.
|tip Use your Hunter's Mark ability on the Rustling Bush.
kill Fallenroot Poacher##209812
|tip It is a level 9 enemy.
collect Rune of Marksmanship##206155 |goto Teldrassil 46.45,46.51
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Serpent Spread",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Serpent Spread on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Honored Reputation with Azeroth Commerce Authority |complete rep("Azeroth Commerce Authority") >= Honored
|tip As you kill enemies anywhere in the world, you will loot "Waylaid Supplies" items.
|tip To gain reputation with this faction, turn them in to Supply Officers in the 3 major cities.
|tip You can turn in the Waylaid Supplies crates empty.
|tip However, if you fill the crates with the items they require (according to their tooltip), you will gain more reputation.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
step
buy Rune of Serpent Spread##211385
|tip You can buy it from Supply Officers in the 3 major cities.
|tip It costs 2 gold.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Sniper Training [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Sniper Training on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Kackle##210107
|tip It looks like a white and brown crocolisk on this small island.
|tip It is a level 15-16 elite enemy.
collect Rune of the Sniper##208777 |goto Loch Modan 54.78,54.37
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Sniper Training [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Sniper Training on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Gnarled Harpoon##408802
|tip It looks like spear sticking out of the side of the rock in the water.
collect Gnarled Harpoon##209047 |goto Darkshore 47.34,15.35
step
use the Gnarled Harpoon##209047
|tip Use it on Paxnozz.
|tip It looks like a dark red thresher that swims around in the water around this area.
|tip It is a level 20 elite enemy.
|tip The harpoon will reduce its health and damage massively, making it easy to kill.
kill Paxnozz##210482
collect Rune of the Sniper##208777 |goto 47.92,14.69
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 2 Runes\\Dual Wield Specialization [Stranglethorn Vale]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Dual Wield Specialization on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Bloodscalp Guerrilla##217783
|tip It looks like a troll that's hidden and moves around this area.
|tip You will get a "Danger!" buff when he is nearby.
|tip Use "Track Hidden" to spot them easier.
|tip Use your "Flare" ability to reveal him.
collect Rune of the Scrapper##213126 |goto Stranglethorn Vale 31.81,15.71
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 2 Runes\\Expose Weakness",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Expose Weakness on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill enemies around this area
|tip They look like ogres and troggs.
collect Primitive Drawing##211269 |goto Badlands 29.69,56.79
You can find more around:
[Badlands 62.49,69.41]
[53.14,69.33]
step
use the Primitive Drawing##211269
accept Terror of the Desert Skies##78823
step
talk Hemet Nesingwary##715
turnin Terror of the Desert Skies##78823 |goto Stranglethorn Vale 35.66,10.81
accept Terror of the Desert Skies##78830 |goto Stranglethorn Vale 35.66,10.81
step
use the Empty Bait Cage##211272
|tip Use it on any critter, anywhere in the world.
|tip You will be returning the the Badlands in the next step.
|tip Start making your way back to a flight path, and just capture any critter you see along the way.
collect Trapped Critter##211273 |q 78830
step
click Large Nest##413699
|tip It looks like a big brown bird nest.
|tip At the top of the mountain.
kill Gharrik##213795
|tip It looks like a level 40 bird enemy.
collect Crimson Trophy Quill##211293 |q 78830/1 |goto Badlands 22.34,67.76
step
talk Hemet Nesingwary##715
turnin Terror of the Desert Skies##78830 |goto Stranglethorn Vale 35.66,10.81
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 2 Runes\\Wyvern Strike",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Wyvern Strike on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Amaryllis Webb##217412
buy Entomology Starter Kit##213565 |goto Swamp of Sorrows 25.08,54.14
step
use the Entomology Starter Kit##213565
collect Bug Catching Net##213562
step
use the Bug Catching Net##213562
|tip Use it on an Arbor Tarantula.
|tip They look like tiny orange spiders on the tree stumps around this area.
collect Arbor Tarantula Specimen##213566 |goto Stranglethorn Vale 45.00,19.00
step
use the Bug Catching Net##213562
|tip Use it on a Hay Weevil.
|tip They look like tiny purple beetle insects around this area.
|tip They can be inside the barns or stables near these locations.
collect Hay Weevil Specimen##213568 |goto Arathi Highlands 56.76,39.60
Also check around: |notinsticky
[Arathi Highlands 54.19,38.39]
[Arathi Highlands 32.56,31.22]
[Arathi Highlands 30.80,28.36]
[Arathi Highlands 31.27,26.66]
step
use the Bug Catching Net##213562
|tip Use it on a Flesh Picker.
|tip They look like tiny dark colored scorpions on the ground around this area.
collect Flesh Picker Specimen##213567 |goto Desolace 51.28,59.02
step
talk Amaryllis Webb##217412
Tell her _"I've brought you some new specimens."_
collect Rune of Wyvern Strike##213125 |goto Swamp of Sorrows 25.08,54.14
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 2 Runes\\Melee Specialist",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Melee Specialist on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
collect Ariden's Sigil##216941 |goto Deadwind Pass 52.08,34.10
step
Equip Ariden's Sigil |equipped Ariden's Sigil##216941
|tip If you are grouped, only one player needs to wear this.
step
Follow the path down |goto 44.14,32.57 < 30 |only if walking
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Curious Dalaran Relic##216945 |goto 42.59,27.49
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Odd Dalaran Relic##216948 |goto Swamp of Sorrows 69.37,23.84
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Glittering Dalaran Relic##216946 |goto Duskwood 24.74,46.14
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Slippery Dalaran Relic##216951 |goto Badlands 58.98,55.06
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Whirring Dalaran Relic##216947 |goto Arathi Highlands 60.74,40.79
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Heavy Dalaran Relic##216949 |goto The Barrens 52.14,36.59
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Creepy Dalaran Relic##216950 |goto Desolace 64.99,25.12
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
accept Curious Dalaran Relic##80147 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80149 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80098 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80152 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80148 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80150 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80151 |goto Deadwind Pass 52.08,34.10
step
talk Dalaran Agent##218920
accept A Service to Dalaran##80120 |goto Deadwind Pass 52.08,34.10
step
use the Supply Bag##217014
collect Rune of Close Combat##213124
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 2 Runes\\Steady Shot [Arathi Highlands]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Steady Shot on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Needletooth##217836
|tip It looks like a larger fish that swims in the water around this area.
collect Rune of Steady Shot##213122 |goto Arathi Highlands 67.60,66.54
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 2 Runes\\Trap Launcher",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Trap Launcher on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
Click Here to Continue |confirm
|only if not NightElf
step
click Extinguished Campfire##417353
|tip In the abandoned camp on top of the hill.
accept Highway Robbery##79229 |goto Desolace 47.50,54.61
|tip You may need to be level 30 to be able to accept the quest.
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Highway Robbery##79229 |goto 62.33,38.98
accept On the Lam##79235 |goto 62.33,38.98
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin On the Lam##79235 |goto Stranglethorn Vale 26.99,77.28
accept Cherry for Your Thoughts?##79236 |goto Stranglethorn Vale 26.99,77.28
step
talk Nixxrax Fillamug##2832
|tip Inside the building, on the ground floor.
buy Cherry Grog##4600 |q 79236/1 |goto 27.04,77.17
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin Cherry for Your Thoughts?##79236 |goto 26.99,77.28
accept No Honor Among Thieves##79242 |goto 26.99,77.28
step
click Rowboat##420055 |goto Arathi Highlands 53.76,91.58
|tip It looks like a small brown wooden boat, in the water near the shore.
|tip You will be transported to another location.
Travel to the Remote Location |goto Arathi Highlands 89.61,77.88 < 200 |noway |c |q 79242
step
talk Illari Duskfeather##215655
|tip On the dock.
Find Illari Duskfeather |q 79242/1 |goto 93.87,71.55
step
talk Illari Duskfeather##215655
|tip Go through the dialogue prompts.
Tell her _"I sympathize with your plight, Illari. Kalimdor is ours, and ours alone."_
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if NightElf
step
talk Illari Duskfeather##215655
kill Illari Duskfeather##215655
|tip A Dropped Puch will appear on the ground near where she dies.
click Dropped Pouch
|tip It looks like a small tan bag.
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if not NightElf
step
click Illari's Loot Cache##418855
|tip It looks like a grey metal chest.
turnin No Honor Among Thieves##79242 |goto 94.09,69.24
step
use the Jewel-Encrusted Box##212553
collect Rune of the Trapper##212549
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 3 Runes\\Focus Fire",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Focus Fire on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Walk on the branch very carefully |goto Searing Gorge 53.30,57.39 < 7 |walk
click Stormcrow Nest
|tip It looks like a brown bird nest at the end of the branch.
collect Stormcrow Egg##221544 |n
|tip You will be attacked soon after looting the egg.
|tip Walk back off the branch before you get attacked.
kill Enraged Stormcrow##222699
collect Rune of Focused Fire##221445 |goto Searing Gorge 53.12,55.59
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 3 Runes\\Raptor Fury",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Raptor Fury on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Zopilote##222243
|tip It looks like a white and black level 43 elite bird.
|tip It spawns near this location and patrols around this area.
collect Rune of the Raptor##220687 |goto Tanaris 43.00,33.00
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 3 Runes\\T.N.T.",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe T.N.T. on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with the Emerald Wardens Faction |complete rep("Emerald Wardens") >= Friendly
|tip Use the following guides to accomplish this:
|tip Ashenvale Nightmare Invasion
|tip Duskwood Nightmare Invasion
step
_NOTE:_
Pick the Zone Closest to You
|tip There are Quartermaster NPCs in 4 different zones.
|tip All of them will sell you the item to learn your class rune.
|tip Pick the zone that's closest to you, to be lead to the Quartermaster in that zone.
Ashenvale		|confirm	|next "Ashenvale_Quartermaster"
Feralas			|confirm	|next "Feralas_Quartermaster"
Duskwood		|confirm	|next "Duskwood_Quartermaster"
The Hinterlands		|confirm	|next "The_Hinterlands_Quartermaster"
step
label "Ashenvale_Quartermaster"
talk Quartermaster Kyleen##222685
buy Rune of Affliction##221482		|goto Ashenvale 89.61,40.61		|only if Warlock
buy Rune of Alacrity##221512		|goto Ashenvale 89.61,40.61		|only if Rogue
buy Rune of Bloodshed##221517		|goto Ashenvale 89.61,40.61		|only if Druid
buy Rune of Burn##221483		|goto Ashenvale 89.61,40.61		|only if Shaman
buy Rune of Detonation##221515		|goto Ashenvale 89.61,40.61		|only if Hunter
buy Rune of the Hammer##223288		|goto Ashenvale 89.61,40.61		|only if Paladin
buy Rune of the Protector##221511	|goto Ashenvale 89.61,40.61		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Ashenvale 89.61,40.61		|only if Mage
step
label "Feralas_Quartermaster"
talk Quartermaster Valdane##222687
buy Rune of Affliction##221482		|goto Feralas 48.62,12.48		|only if Warlock
buy Rune of Alacrity##221512		|goto Feralas 48.62,12.48		|only if Rogue
buy Rune of Bloodshed##221517		|goto Feralas 48.62,12.48		|only if Druid
buy Rune of Burn##221483		|goto Feralas 48.62,12.48		|only if Shaman
buy Rune of Detonation##221515		|goto Feralas 48.62,12.48		|only if Hunter
buy Rune of the Hammer##223288		|goto Feralas 48.62,12.48		|only if Paladin
buy Rune of the Protector##221511	|goto Feralas 48.62,12.48		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Feralas 48.62,12.48		|only if Mage
step
label "Duskwood_Quartermaster"
Follow the path up into the Twilight Grove |goto Duskwood 46.83,59.43 < 30 |only if walking and not subzone ("Twilight Grove")
talk Quartermaster Falinar##222684
buy Rune of Affliction##221482		|goto Duskwood 45.76,51.35		|only if Warlock
buy Rune of Alacrity##221512		|goto Duskwood 45.76,51.35		|only if Rogue
buy Rune of Bloodshed##221517		|goto Duskwood 45.76,51.35		|only if Druid
buy Rune of Burn##221483		|goto Duskwood 45.76,51.35		|only if Shaman
buy Rune of Detonation##221515		|goto Duskwood 45.76,51.35		|only if Hunter
buy Rune of the Hammer##223288		|goto Duskwood 45.76,51.35		|only if Paladin
buy Rune of the Protector##221511	|goto Duskwood 45.76,51.35		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Duskwood 45.76,51.35		|only if Mage
step
label "The_Hinterlands_Quartermaster"
talk Quartermaster Alandra##222686
buy Rune of Affliction##221482		|goto The Hinterlands 61.41,34.64	|only if Warlock
buy Rune of Alacrity##221512		|goto The Hinterlands 61.41,34.64	|only if Rogue
buy Rune of Bloodshed##221517		|goto The Hinterlands 61.41,34.64	|only if Druid
buy Rune of Burn##221483		|goto The Hinterlands 61.41,34.64	|only if Shaman
buy Rune of Detonation##221515		|goto The Hinterlands 61.41,34.64	|only if Hunter
buy Rune of the Hammer##223288		|goto The Hinterlands 61.41,34.64	|only if Paladin
buy Rune of the Protector##221511	|goto The Hinterlands 61.41,34.64	|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto The Hinterlands 61.41,34.64	|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 3 Runes\\Catlike Reflexes",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Catlike Reflexes on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Mardrack Greenwell##7941
|tip Inside the building.
buy Soft Banana Bread##4601 |goto Feralas 31.04,43.12
|only if Alliance
step
talk Loorana##8143
buy Soft Banana Bread##4601 |goto Feralas 75.50,43.89
|only if Horde
step
Run through the tunnel |goto Feralas 55.09,56.33 < 20 |only if walking
Enter the cave |goto Feralas 53.08,56.39 < 20 |walk
Follow the path up and around |goto Feralas 51.58,57.96 < 20 |walk
talk Groddoc Infant##222367
|tip Upstairs inside the cave.
|tip It starts an escort, so if he's not here, someone else may be escorting him.
|tip Wait for it to respawn.
Tell him _"C'mon little guy, let's get you out of here. (Give Soft Banana Bread)"_
Begin Escorting the Groddoc Infant |havebuff Tame Groddoc Infant##446070 |goto Feralas 52.72,60.69
step
Follow the path down |goto 50.91,58.37 < 20 |walk
Leave the cave |goto 53.14,56.27 < 20 |walk
Run through the tunnel |goto 53.93,55.63 < 20 |walk
Follow the path up |goto 58.80,58.46 < 15 |walk
Escort the Infant to the Groddoc Matriarch |goto 59.17,58.49 < 10 |c
|tip She's up on a ledge.
|tip The Groddoc Infant will follow you as you walk.
|tip It will help you fight, but it's very fragile, so make sure to protect it.
step
talk Groddoc Matriarch##222406
Ask her _"Looking for this one? (Show Groddoc Infant)"_
collect Rune of the Jungle Cat##220791 |goto 59.17,58.49
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 3 Runes\\Lock and Load",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Lock and Load on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip You need to be level 50 to collect this rune.
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Start Gathering a Group
|tip You will be killing elite enemies and running multiple dungeons to get this rune.
|tip While you travel to accept the quest in the next step, start trying to put together a full dungeon group.
Click Here to Continue |confirm |q 82043 |future
step
talk Shadowtooth Emissary##222408
accept The Wild Gods##82043 |goto Felwood 51.57,81.96
step
Kill Vilbranch enemies around this area
|tip They look like elite trolls.
|tip You can find them all around the Jintha'Alor area.
collect Wildwhisper Draught##221261 |goto The Hinterlands 66.50,66.40 |q 82043
|tip Only 1 player in your dungeon group needs to collect this item.
|tip Everyone doesn't need to have it, so if someone else in your group gets it, you can continue to the next step.
step
Follow the path to the Razorfen Downs dungeon portal |goto The Barrens 44.90,88.86 < 50 |only if walking
Run through the giant skull and follow the path to the Razorfen Downs dungeon portal |goto The Barrens 49.27,93.08 < 20 |walk
Enter the Razorfen Downs Dungeon
|tip After running through the giant skull, the aypoint arrow won't work anymore, so follow the path until you come to a swirling portal.
|tip Enter the swirling portal to enter the dungeon.
Click Here to Continue |confirm |goto The Barrens 49.27,93.08 |q 82043
step
_Inside the Razorfen Downs Dungeon:_
|tip Use the Razorfen Downs dungeon guide.
kill Amnennar the Coldbringer##7358
|tip He's the final boss inside the dungeon.
use the Wildwhisper Draught##221261
|tip Use it after killing the boss.
|tip Have the person in your group use it that has this item, if you don't have it.
talk Spirit of Agamaggan##222522
turnin The Wild Gods##82043
accept The Wild Gods##82044
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You need to go to 1 of 3 different dungeons to collect the quest items.
|tip You can complete the same dungeon repeatedly to get all of the quest items.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Turnin_The_Wild_Gods"
talk Shadowtooth Emissary##222408
turnin The Wild Gods##82044 |goto Felwood 51.57,81.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 3 Runes\\Rapid Killing Rune & Core Hound Pet",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Rapid Killing on your helm, as well as tame the Core Hound pet.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
You May Want to Find a Group to Help You
|tip You need to enter a cave with many elite enemies to accept a quest.
|tip After you accept the quest, the rest can be done solo.
|tip Alternatively, you can corpse run to accept the quest, if you prefer.
Click Here to Continue |confirm
step
Enter the cave |goto Searing Gorge 21.72,36.11 < 20 |walk
Follow the path up |goto Searing Gorge 13.77,40.51 < 10 |walk
click Weathered Etching##441061
|tip It looks like a large rectangle tablet standing upright.
|tip Up on a ledge inside the cave.
accept The Burning Beast##81900 |goto Searing Gorge 14.54,36.19
step
talk Bloodmage Lynnore##7506
turnin The Burning Beast##81900 |goto Blasted Lands 50.64,14.30
accept Chains That Bind##81917 |goto Blasted Lands 50.64,14.30
step
Kill Shadowsworn enemies around this area
collect 5 Infernal Chain Link##220214 |q 81917/1 |goto 63.00,47.11
step
talk Bloodmage Lynnore##7506
turnin Chains That Bind##81917 |goto 50.64,14.30
accept Brought to Heel##81919 |goto 50.64,14.30
step
kill Calefactus the Unleashed##221740
|tip It looks like a large green demon dog with 2 heads.
|tip It patrols around this area.
|tip It won't die normally, you need to use an item to kill it.
use the Infernal Lasso##220216
|tip Use it on Calefactus the Unleashed when it is low health, or has no health remaining.
collect Fel Lifeblood##220213 |q 81919/1 |goto 50.2,38.2
Also check around: |notinsticky
[44.4,37.2] [47.0,47.8] [46.2,54.0]
step
talk Bloodmage Lynnore##7506
turnin Brought to Heel##81919 |goto 50.64,14.30
step
Equip the Infernal Lasso |equipped Infernal Lasso##219345
|tip You need to equip it to get your Core Hound pet.
step
use the Infernal Lasso##219345
|tip Use it on Calefactus the Unleashed.
|tip It looks like a large green demon dog with 2 heads.
|tip It patrols around this area.
Tame Calefactus the Unleashed
|tip Use your Tame Beast ability on it when it is rooted by the lasso.
|tip You will tame your Core Hound pet.
Click Here to Continue |confirm |goto 50.2,38.2
Also check around: |notinsticky
[44.4,37.2] [47.0,47.8] [46.2,54.0]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 4 Runes\\Improved Volley",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Improved Volley on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill enemies around this area
|tip Any mob in Silithus may drop the item.
|tip You will need to bring the item to this camp.
collect Busted Gizmo##226526 |goto Silithus 41.09,88.80
step
talk Edwi Copperbolt##227951
|tip He's in this camp.
|tip Give him the Busted Gizmo and he will give you a trinket.
collect Desert Sonar##226546 |goto Silithus 41.09,88.80
step
use the Desert Sonar##226546
|tip Use it next to the bunch of jumping rocks on the ground.
|tip An elite enemy will appear.
|tip The jumping rocks may spawn in other places around the zone, and move around.
kill Sandworm##227493
collect Rune of Shelling##226587 |goto 32.85,66.14
Also check around: |notinsticky
[36.00,71.00]
[42.00,66.00]
[38.00,59.00]
[37.00,61.00]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 4 Runes\\Resourcefulness",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Resourcefulness on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Plagued Swine##16117+
|tip They look like boars.
collect Tainted Boar Meat##225942 |goto Eastern Plaguelands 18.33,33.55
You can find more around [Eastern Plaguelands 14.88,33.13]
step
Kill enemies around this area
|tip They look like slime enemies.
|tip Inside the canyon this path leads down into.
collect Bubbling Green Ichor##20770 |goto 49.72,72.63
step
use the Tainted Boar Meat##225942
collect Rancid Hunk of Flesh##225943
step
Leave the canyon |goto 49.72,72.63 < 40 |only if walking and subzone("The Infectis Scar")
use the Rancid Hunk of Flesh##225943
|tip Use it on a Carrion Grub.
|tip They look like large yellow slugs all around the zone.
|tip Click the skeleton that appears on the ground.
collect Rune of the Resourceful##225955 |goto 47.40,73.58
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 4 Runes\\Hit and Run",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Hit and Run on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Escaped Core Hound##227746
|tip It looks like an orange two-headed demon dog.
|tip It walks around this area and spawns in multiple locations.
|tip You may have to search around the zone, if it's not at these locations.
|tip The rune may not be a guaranteed drop.
collect Rune of the Guerrilla##226252 |goto Burning Steppes 87.70,53.30
Also check around [Burning Steppes 25.50,57.00]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 4 Runes\\Aspect of the Viper (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Aspect of the Viper skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Treatise on Aspect of the Viper##216770 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Treatise on Aspect of the Viper##216770 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Hunter\\Phase 4 Runes\\Heart of the Lion (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Heart of the Lion skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Treatise on the Heart of the Lion##226401 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Treatise on the Heart of the Lion##226401 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Fury of Stormrage (Night Elf Only) [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Fury of Stormrage on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 2
|tip Use the leveling guides to accomplish this.
step
Run up the ramp |goto Teldrassil 57.52,41.62 < 10 |walk
talk Mardant Strongoak##3597
|tip Inside the top of the tree.
accept Relics of the Kaldorei##77571 |goto Teldrassil 58.63,40.29
step
_NOTE:_
Learn the Moonfire Ability
|tip Make sure to learn the Moonfire ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm
step
kill Grellkin##1989+
collect Lunar Idol##208414 |goto 54.33,39.11 |q 77571
step
Equip the Lunar Idol |equipped Lunar Idol##208414 |q 77571
step
Kill enemies around this area
|tip Make sure they die while affected by your "Moonfire" ability.
|tip You will gain a buff.
|tip Repeat this process until you have 6 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 55.67,42.46 |q 77571
step
use the Lunar Idol##208414
Learn Engrave Chest - Fury of Stormrage |q 77571/1
step
Run up the ramp |goto 57.52,41.62 < 10 |walk
talk Mardant Strongoak##3597
|tip Inside the top of the tree.
turnin Relics of the Kaldorei##77571 |goto 58.63,40.29
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Lacerate [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Lacerate on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Blackwood enemies around this area
|tip They look like furbolgs.
collect Crab Treats##209027 |goto Darkshore 39.94,55.20
step
use the Crab Treats##209027
|tip Use them on a Young Reef Crawler around this area.
|tip They look like crabs.
collect Rune of Lacerate##208687 |goto 36.16,53.57
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Lacerate [Loch Modan]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Lacerate on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Khara Deepwater##1684
buy Rainbow Fin Albacore Chum##208855 |goto Loch Modan/0 40.28,39.28
step
'|talk Young Threshadon##1224
use the Rainbow Fin Albacore Chum##208855
|tip Use it on Young Threshadon's in the lake.
collect Rune of Lacerate##208687 |goto 44.54,39.35
You can find more around:
[50.30,57.81]
[56.72,46.77]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Lifebloom [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Lifebloom on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Bring Someone to Help You
|tip You will need at least 1 other person that is a Druid.
step
clicknpc Adventurer's Remains##204827
|tip It looks like a white skeleton laying on the ground.
Choose _"Begin the ritual."_
|tip Click the Spirit Ritual portal that appears.
|tip Anyone helping you should also click on the portal.
|tip A spirit will appear and die.
|tip Loot the spirit.
collect Rune of Life##206970 |goto Teldrassil 33.53,35.66
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Living Seed [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Living Seed on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Glade Flower##407247
|tip They look like purple flowers.
|tip They are scattered all around Teldrassil, but one of them spawns around this area.
|tip It is easier to wait for it to respawn than run to find another.
|tip The respawn is pretty quick.
collect 3 Glade Flower##208609 |goto Teldrassil 66.50,51.55
step
use the Glade Flower##208609+
collect Glade Crown##208760
step
'|talk Wooden Effigy##206248
use the Glade Crown##208760
|tip Use it on the Wooden Effigy.
|tip It looks like a humanoid tree.
kill Unleashed Nature Spirit##206245
|tip It is a level 7 elite enemy.
collect Rune of Natural Potential##206963 |goto 67.04,58.00
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Mangle [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Mangle on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Bear Form Ability
|tip Make sure you learn the Bear Form ability from your class trainer.
|tip You need it to get the rune.
Click Here to Continue |confirm
step
Enter the cave |goto Teldrassil 44.35,57.93 < 10 |walk
kill Rageclaw##7318
|tip He looks like a night elf wearing a robe and carrying a wooden staff on his back.
|tip He walks in a circle at the very bottom of the cave.
collect Idol of Ursine Rage##206954 |goto Teldrassil 45.48,58.48
step
Equip the Idol of Ursine Rage |equipped Idol of Ursine Rage##206954
step
Kill enemies around this area
|tip Fight enemies while in Bear Form until you have at least 50 rage.
|tip Continue fighting enemies and be careful to keep your rage above 50.
|tip Each second that you maintain at least 50 rage while in combat, you will gain a stack on a buff.
|tip Reach 60 stacks on the buff.
Gain the Attuned Buff |havebuff Attuned##414824 |goto 45.48,58.48
step
use the Idol of Ursine Rage##206954
|tip You will learn the Mangle Rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Savage Roar [Darkshore]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Savage Roar on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
_NOTE:_
Learn the Cat Form Ability
|tip Make sure you learn the Cat Form ability from your class trainer.
|tip You need it to get the rune.
Click Here to Continue |confirm
step
Follow the path up |goto Darkshore 52.40,35.94 < 20 |only if walking
Enter the cave |goto Darkshore 51.57,37.49 < 15 |walk
kill Den Mother##6788
|tip Inside the cave.
collect Ferocious Idol##208689 |goto Darkshore 51.48,38.26
step
Equip the Ferocious Idol |equipped Ferocious Idol##208689
step
Kill enemies around this area
|tip Only Humanoid enemies will work.
|tip While in Cat form, use the Rake ability to apply bleeding damage to enemies.
|tip You will gain a buff.
|tip Repeat this process until you have 20 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 50.78,34.75
step
use the Ferocious Idol##208689
|tip You will learn the Savage Roar rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Skull Bash",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Skull Bash on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Honored Reputation with Azeroth Commerce Authority |complete rep("Azeroth Commerce Authority") >= Honored
|tip As you kill enemies anywhere in the world, you will loot "Waylaid Supplies" items.
|tip To gain reputation with this faction, turn them in to Supply Officers in the 3 major cities.
|tip You can turn in the Waylaid Supplies crates empty.
|tip However, if you fill the crates with the items they require (according to their tooltip), you will gain more reputation.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
step
buy Rune of Skull Bash##206992
|tip You can buy it from Supply Officers in the 3 major cities.
|tip It costs 2 gold.
|tip
_Supply Officer Locations_
|tip Click the city below to navigate to the Supply Officer.
Darnassus (Marcy Baker) [Darnassus 60.0,56.4]
Ironforge (Tamelyn Aldridge) [Ironforge 24.6,67.2]
Stormwind City (Elaine Compton) [Stormwind City 55.0,61.6]
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Starsurge [Wetlands]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Starsurge on your pants.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Grugimdern##212186
|tip He looks like a dwarf with antlers on his head.
Tell him _"Sounds intriguing."_
collect Marshroom##210499 |goto Wetlands 36.94,15.16
step
Locate the Frog |goto 31.32,18.34 < 30 |c
step
use the Marshroom##210499
|tip Use it next to the stump in the water.
Gain the Marshroom Buff |havebuff Marshroom##426019 |goto 31.32,18.34
step
talk Vodyanoi##212209
|tip It looks like a blue frog on a stump in the water.
Tell him _"O' great amphibian, impart your wisdom unto me!"_
collect Rune of the Stars##210500 |goto 31.32,18.34
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Sunfire [Teldrassil]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Sunfire on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Moonfire Ability
|tip Make sure to learn the Moonfire ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm
step
click Lunar Chest##404433
|tip It looks like a normal trasure chest.
|tip You have to make it appear, though.
|tip Further up in the giant tree limb, there are 3 Lunar Stones.
|tip They look like smooth stone statues with large holes in them.
|tip Use your Moonfire ability on each of them to make the Lunar Chest appear at this location.
collect Rune of the Sun##206989 |goto Teldrassil 52.80,78.67
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Survival of the Fittest [The Barrens]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Survival of the Fittest on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 20
|tip Use the leveling guides to accomplish this.
step
collect 25 Shredder Autosalvage Unit##210147 |q 78267 |future
|tip These are made with the Engineering profession.
|tip The schematic drops from Sneed in the Deadmines dungeon.
|tip You can make them yourself, get a friend to help, or buy them from the Auction House.
|tip To make one, you need 1 Bronze Framework, 2 Whirring Bronze Gizmo, 1 Heavy Leather.
|tip You will use them to collect 16 quest items, but they can fail, so get 25 at a minimum.
|tip If you don't have enough, you may have to backtrack to make more later.
step
kill Venture Co. Light Shredder##214129+
|tip They look like grey metal humanoid machines that walk around this area.
|tip They are fairly uncommon, so you may have to search around.
use the Shredder Autosalvage Unit##210147+
|tip Use them on their corpses.
collect 16 Shredder Turbochargers##78267 |goto Stonetalon Mountains 60.69,52.32 |q 78267 |future
You can find more around: |notinsticky
[67.0,56.8]
[69.8,54.8]
[72.8,53.8]
[68.8,47.8]
[66.2,47.2]
step
kill Bluegill Oracle##1029+
|tip They wander all over the marsh area just east of the coast.
|tip You can also farm Bluegill Raiders along the coast south of Menethil Harbor.
collect 24 Fish Oil##17058 |goto Wetlands 16.12,31.71 |q 78265 |future
|tip You can also purchase these from the auction house.
You can find Bluegill Raiders at [12.61,64.82]
step
kill Dark Iron Insurgent##1169+
|tip They look like grey dwarves.
|tip Inside the cave.
collect 20 Dark Iron Ordinance##210138 |goto 63.35,77.50 |q 78266 |future
|tip The drop rate is very low.
You can find more in Loch Modan at [Loch Modan 58.61,15.88]
step
Collect 5 Gold |complete _G.GetMoney() >= 50000
|tip Grizzby won't speak with you unless you have at least 5 gold.
step
Enter the building |goto The Barrens 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
|tip You may have to go through some dialogue prompts before he offers you a few turn-in quests.
accept Dark Iron Ordinance##78266 |goto The Barrens 61.92,39.32
accept Fish Oil##78265 |goto The Barrens 61.92,39.32
accept Shredder Turbochargers##78267 |goto The Barrens 61.92,39.32
accept Let Me Make You An Offer##78287 |goto The Barrens 61.92,39.32
step
Enter the building |goto Stormwind City/0 78.04,47.96 < 10
talk Master Wood##8383
|tip Inside the building.
turnin Let Me Make You An Offer##78287 |goto 79.17,47.65
accept You've Got Yourself A Deal##78297 |goto 79.17,47.65
step
Enter the building |goto The Barrens/0 62.08,39.27 < 15 |walk
talk Grizzby##211653
|tip Inside the building.
turnin You've Got Yourself A Deal##78297 |goto 61.92,39.32
step
talk Grizzby##211653
|tip Inside the building.
buy Rune of Survival##210817 |goto 61.92,39.32
|tip It costs 5 gold.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Wild Growth [Moonglade]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Wild Growth on your gloves.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
You May Need Help
|tip If you can, bring someone to help you.
Click Here to Continue |confirm
ding 25 |or
|tip You will be facing level 25 enemies.
|tip If you have help, you don't need to be 25.
Click Here to Continue |confirm |or
step
Follow the path up |goto Ashenvale/0 86.68,47.83 < 20
click Owl Statue##410020
|tip It looks like a stone statue of an owl.
Kill the enemies that attack in waves
|tip Protect the Summoned Wisp.
click Gift of the Wisp
|tip It looks like a small stone object that appears on the ground nearby after you defeat the 3 waves of enemies.
collect Symbol of the First Owl##210044 |goto Ashenvale 86.92,43.20
step
Follow the path up into the Twilight Grove |goto Duskwood 47.31,60.27 < 30 |only if walking
click Owl Statue##410020
|tip It looks like a stone statue of an owl.
Receive the Eyes of the Owl Buff |havebuff Eyes of the Owl##424310 |goto Duskwood 49.48,33.88
step
Follow the path to leave the Twilight Grove |goto 45.23,52.66 < 20 |only if walking and subzone("Twilight Grove")
kill Agon##211200
|tip He looks like a large grey boar spirit that walks around this area.
|tip You must have the Eyes of the Owl buff to be able to see him.
|tip He is a level 25 enemy.
|tip He can spawn in different locations.
collect Symbol of the Second Owl##210043 |goto 64.8,35.6
Also check around: |notinsticky
[67.2,29.4]
[66.0,23.6]
[61.8,27.6]
[59.8,31.6]
step
_NOTE:_
Learn the Aquatic Form Ability
|tip Make sure to learn the Aquatic Form ability from the class quest.
|tip You will need it to get the rune.
|tip Use the leveling guides, or the Druid Class Quests guide, to accomplish this.
Click Here to Continue |confirm
step
click Twin Owl Statue##409949
|tip It looks like an owl head statue on this small island.
|tip Be prepared to use your Aquatic Form ability to swim quickly to the southeast.
|tip You need to swim to the other small island within 2 minutes.
Gain the Twin Owl Aura Buff |havebuff Twin Owl Aura##424181 |goto Hillsbrad Foothills 36.91,76.18 |or
'|havebuff Twin Owl Aura##424182 |or
step
Swim and leave the water here |goto 54.25,80.92 < 15 |only if walking
click Twin Owl Statue##409949
|tip It looks like an owl head statue on this small island.
|tip Use your Aquatic Form to swim quickly.
|tip Hurry, you only have 2 minutes.
collect Symbol of the Third Owl##210026 |goto 54.43,82.03
step
talk Loganaar##12042
accept Trial of The Owls##78229 |goto Moonglade 52.53,40.57
step
talk Loganaar##12042
turnin Trial of The Owls##78229 |goto 52.53,40.57
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Wild Strikes [Stonetalon Mountains]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Wild Strikes on your chest.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Grimtotem enemies around this area
|tip They look like Tauren.
collect Idol of the Wild##210534 |goto Stonetalon Mountains 81.82,88.40
step
Equip the Idol of the Wild |equipped Idol of the Wild##210534
step
Gain the Inspired Buff |havebuff Inspired##408828
|tip Use a healing spell on any of the following:
|tip Yourself, in animal form
|tip Other Druids who are in animal form
|tip Hunter pets
|tip You will gain a buff.
|tip Repeat this process until you have 10 stacks of the Building Inspiration buff.
|tip Major cities and quest hubs can be a good place to get this done.
step
use the Idol of the Wild##210534
|tip You will learn the Wild Strikes rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 2 Runes\\Berserk [Thousand Needles]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Berserk on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the "Challenging Roar" Ability
|tip Make sure to learn the Challenging Roar ability from your class trainer.
|tip You will need it to get the rune.
Click Here to Continue |confirm
step
Use your "Challenging Roar" Ability
|tip Use it next to the Beastly Effigy statue.
|tip A level 28 elite hyena will appear.
kill Zai'enki##217418
collect Idol of the Heckler##213594 |goto Thousand Needles 68.81,55.14
step
Equip the Idol of the Heckler |equipped Idol of the Heckler##213594
step
Gain the "Inspired" Buff |havebuff Inspired##408828
|tip Fight two enemies that will give you experience at once, anywhere in the world.
|tip In Bear form, cast Challenging Roar so that both enemies are affected.
|tip Kill at least one of the enemies while they are affected by Challenging Roar.
|tip You will gain a buff.
|tip Repeat this process until you have 5 stacks of the Building Inspiration buff.
step
use the Idol of the Heckler##213594
|tip You will learn the Berserk rune.
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 2 Runes\\Dreamstate [Desolace]",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Dreamstate on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Kill Kolkar enemies around this area
|tip They look like centaurs.
collect Desiccated Seed Pod##213574 |goto Desolace 72.19,45.18
step
use the Desiccated Seed Pod##213574
|tip Use it in the water.
|tip You may need to right-click the item in your bags.
collect Satyrweed Bulb##206966 |goto 71.14,69.12
step
click Sandy Loam##404401
|tip It looks like a brown pile of dirt.
|tip A Blooming Satyrweed will appear on the ground.
click Blooming Satyrweed##404402
|tip It looks like a green plant bulb.
collect Rune of the Dreamer##213120 |goto 75.85,21.15
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 2 Runes\\Eclipse",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Eclipse on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
Click Here to Continue |confirm
|only if not NightElf
step
click Extinguished Campfire##417353
|tip In the abandoned camp on top of the hill.
accept Highway Robbery##79229 |goto Desolace 47.50,54.61
|tip You may need to be level 30 to be able to accept the quest.
step
talk Bibbly F'utzbuckle##11438
|tip He walks around this area.
turnin Highway Robbery##79229 |goto 62.33,38.98
accept On the Lam##79235 |goto 62.33,38.98
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin On the Lam##79235 |goto Stranglethorn Vale 26.99,77.28
accept Cherry for Your Thoughts?##79236 |goto Stranglethorn Vale 26.99,77.28
step
talk Nixxrax Fillamug##2832
|tip Inside the building, on the ground floor.
buy Cherry Grog##4600 |q 79236/1 |goto 27.04,77.17
step
talk Tokal##215643
|tip Inside the building, on the ground floor.
turnin Cherry for Your Thoughts?##79236 |goto 26.99,77.28
accept No Honor Among Thieves##79242 |goto 26.99,77.28
step
click Rowboat##420055 |goto Arathi Highlands 53.76,91.58
|tip It looks like a small brown wooden boat, in the water near the shore.
|tip You will be transported to another location.
Travel to the Remote Location |goto Arathi Highlands 89.61,77.88 < 200 |noway |c |q 79242
step
talk Illari Duskfeather##215655
|tip On the dock.
Find Illari Duskfeather |q 79242/1 |goto 93.87,71.55
step
talk Illari Duskfeather##215655
|tip Go through the dialogue prompts.
Tell her _"I sympathize with your plight, Illari. Kalimdor is ours, and ours alone."_
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if NightElf
step
talk Illari Duskfeather##215655
kill Illari Duskfeather##215655
|tip A Dropped Puch will appear on the ground near where she dies.
click Dropped Pouch
|tip It looks like a small tan bag.
collect Illari's Key##212347 |q 79242/2 |goto 93.87,71.55
|only if not NightElf
step
click Illari's Loot Cache##418855
|tip It looks like a grey metal chest.
turnin No Honor Among Thieves##79242 |goto 94.09,69.24
step
use the Jewel-Encrusted Box##212553
collect Rune of Eclipse##212548
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 2 Runes\\King of the Jungle",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe King of the Jungle on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
collect Ariden's Sigil##216941 |goto Deadwind Pass 52.08,34.10
step
Equip Ariden's Sigil |equipped Ariden's Sigil##216941
|tip If you are grouped, only one player needs to wear this.
step
Follow the path down |goto 44.14,32.57 < 30 |only if walking
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Curious Dalaran Relic##216945 |goto 42.59,27.49
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Odd Dalaran Relic##216948 |goto Swamp of Sorrows 69.37,23.84
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Glittering Dalaran Relic##216946 |goto Duskwood 24.74,46.14
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Slippery Dalaran Relic##216951 |goto Badlands 58.98,55.06
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Whirring Dalaran Relic##216947 |goto Arathi Highlands 60.74,40.79
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Heavy Dalaran Relic##216949 |goto The Barrens 52.14,36.59
step
use Ariden's Sigil##216941
|tip This will reveal a Dark Rider.
|tip You will know a Dark Rider is nearby because you will gain a "Dark Presence" buff.
|tip It's a level 41 elite enemy.
kill Dark Rider##218931
|tip You may need help with this.
collect Creepy Dalaran Relic##216950 |goto Desolace 64.99,25.12
step
Follow the path |goto Deadwind Pass 51.08,40.31 < 30 |only if walking
talk Dalaran Agent##218920
accept Curious Dalaran Relic##80147 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80149 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80098 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80152 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80148 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80150 |goto Deadwind Pass 52.08,34.10
accept Curious Dalaran Relic##80151 |goto Deadwind Pass 52.08,34.10
step
talk Dalaran Agent##218920
accept A Service to Dalaran##80120 |goto Deadwind Pass 52.08,34.10
step
use the Supply Bag##217014
collect Rune of the Jungle King##213118
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 2 Runes\\Nourish",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Nourish on your belt.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Level Up or Bring Help
|tip You will need to kill a level 40 enemy to obtain this rune.
Click Here to Continue |confirm
step
kill Rotting Ancient##216310
|tip It looks like a large humanoid tree.
|tip It walks around this area, only on this specific island.
collect Rotten Seed##212693 |goto Dustwallow Marsh 42.55,43.19
step
use the Rotten Seed##212693
accept The Lost Ancient##79348
step
talk Orokai##216289
|tip He looks like a large walking tree.
|tip He walks around this area.
turnin The Lost Ancient##79348 |goto Moonglade 41.20,43.40
step
_NOTE:_
Be Careful During the Next Quest, and HURRY
|tip The next quest is timed, so hurry.
|tip While completing the next quest, do NOT teleport in any way (hearthstone, other items or spells, etc) or die (until after you turn in the quest), or the quest will fail.
|tip To prevent yourself from accidentally travling in a way that will fail the quest, disable these Waypoint Arrow options in the Zygor options menu (remember to turn them back on after you turn in the quest):
|tip "Use Hearthstones"
|tip "Use items"
|tip "Use spells"
Click Here to Continue |confirm |q 79377 |future
step
talk Orokai##216289
|tip He looks like a large walking tree.
|tip He walks around this area.
accept The Lost Saplings##79377 |goto 41.20,43.40
step
use the Water of Elune'ara##213036
|tip Use it on the Ancient Sapling.
|tip It looks like a small humanoid tree with grey leaves.
Find the Winter Sapling |q 79377/4 |goto Alterac Mountains 58.30,43.68 |notravel
step
use the Water of Elune'ara##213036
|tip Use it on the Ancient Sapling.
|tip It looks like a small humanoid tree with orange leaves.
Find the Fall Sapling |q 79377/3 |goto Arathi Highlands 46.94,71.91 |notravel
step
use the Water of Elune'ara##213036
|tip Use it on the Ancient Sapling.
|tip It looks like a small humanoid tree with purple leaves.
Find the Spring Sapling |q 79377/2 |goto Swamp of Sorrows 10.98,38.42 |notravel
step
use the Water of Elune'ara##213036
|tip Use it on the Ancient Sapling.
|tip It looks like a small humanoid tree with green leaves.
Find the Summer Sapling |q 79377/1 |goto Stranglethorn Vale 32.71,64.70 |notravel
step
Teleport to Moonglade |goto Moonglade |c |q 79377
|tip You can safely use your "Teleport: Moonglade" ability to teleport to Moonglade without failing the quest.
|tip You can also re-enable the Zygor Waypoint Arrow options you turned off earlier in the guide.
step
talk Orokai##216289
|tip He looks like a large walking tree.
|tip He walks around this area.
turnin The Lost Saplings##79377 |goto Moonglade 41.20,43.40
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 2 Runes\\Survival Instincts",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Survival Instincts on your boots.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Amaryllis Webb##217412
buy Entomology Starter Kit##213565 |goto Swamp of Sorrows 25.08,54.14
step
use the Entomology Starter Kit##213565
collect Bug Catching Net##213562
step
use the Bug Catching Net##213562
|tip Use it on an Arbor Tarantula.
|tip They look like tiny orange spiders on the tree stumps around this area.
collect Arbor Tarantula Specimen##213566 |goto Stranglethorn Vale 45.00,19.00
step
use the Bug Catching Net##213562
|tip Use it on a Hay Weevil.
|tip They look like tiny beetle insects around this area.
|tip They can be inside the barns or stables near these locations.
collect Hay Weevil Specimen##213568 |goto Arathi Highlands 56.76,39.60
Also check around: |notinsticky
[Arathi Highlands 54.19,38.39]
[Arathi Highlands 32.56,31.22]
[Arathi Highlands 30.80,28.36]
[Arathi Highlands 31.27,26.66]
step
use the Bug Catching Net##213562
|tip Use it on a Flesh Picker.
|tip They look like tiny scorpions on the ground around this area.
collect Flesh Picker Specimen##213567 |goto Desolace 51.28,59.02
step
talk Amaryllis Webb##217412
Tell her _"I've brought you some new specimens."_
collect Rune of Instinct##213119 |goto Swamp of Sorrows 25.08,54.14
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 3 Runes\\Efflorescence",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Efflorescence on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 45
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Learn These Abilities
|tip Make sure you learn these abilities from your class trainer:
|tip Remove Curse
|tip Abolish Poison
|tip Tranquility
|tip Hurricane
|tip You need these spells in order to get the rune.
Click Here to Continue |confirm
step
Run up the ramp |goto Feralas 58.68,67.06 < 20 |only if walking
talk Tyrisius##221985
|tip Inside the tower.
accept Wisdom of the Guardians##81924 |goto Feralas 57.17,68.93
step
click Shrine of Feralas
|tip On top of the hill.
Gain the Duty of the Warden Buff |havebuff Duty of the Warden##446448 |goto 58.67,52.24 |q 81924
step
kill Gordunni Warlock##5240+
|tip They look like ogres carrying a staves.
|tip Before killing it, let it cast Shrink on you.
|tip Use your Remove Curse ability to remove Shrink from yourself.
Gain the Warden of Spirit Buff |havebuff Warden of Spirit##446461 |goto 59.54,57.03 |q 81924
step
kill Zukk'ash Wasp##5245+
|tip They look like flying insects.
|tip Before killing it, let it cast Poison on you.
|tip Use your Abolish Poison ability to remove Poison from yourself.
Gain the Mark of the Warden Buff |havebuff Mark of the Warden##446467 |goto 74.39,61.73 |q 81924
step
kill Treant Avatar##221935
|tip It will appear when you approach the shrine at the top of the hill.
Prove Yourself to the Guardian of Feralas |q 81924/1 |goto 58.49,52.10
step
Follow the path on top of the cliff |goto Azshara 33.92,48.12 < 40 |only if walking
click Shrine of the Beast
|tip On top of the cliff.
Click Here to Continue |confirm |goto Azshara 34.70,49.05 |q 81924
step
kill Child of Apa'ro##222580
|tip It looks like a white deer that patrols inside this canyon.
|tip It is immune to magical attacks, so kill it with physical melee attacks in Feral form.
collect Sacred Stag Heart##221326 |goto 43.24,31.36 |q 81924
step
Follow the path on top of the cliff |goto Azshara 33.92,48.12 < 40 |only if walking
use the Sacred Stag Heart##221326
|tip Use it next to the Shrine of the Beast.
|tip On top of the cliff.
kill Hippogryph Avatar##221928
Prove Yourself to the Guardian of Azshara |q 81924/3 |goto 34.70,49.05
step
click Shrine of the Moon
|tip On top of the hill.
|tip Use your Tranquility ability, then use your Hurricane ability.
|tip An enemy will appear.
kill Moonkin Avatar##221933
Prove Yourself to the Guardian of the Hinterlands |q 81924/3 |goto The Hinterlands 66.25,53.16
step
Run up the ramp |goto Feralas 58.68,67.06 < 20 |only if walking
talk Tyrisius##221985
|tip Inside the tower.
turnin Wisdom of the Guardians##81924 |goto Feralas 57.17,68.93
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 3 Runes\\Elune's Fires",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Elune's Fires on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Learn the Hibernate Ability
|tip Make sure you learn the Hibernate ability from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
click Traveller's Knapsack##441865
|tip It looks like a small brown bag on the ground next to a tent.
|tip At the top of the ruins.
collect Keldara's Log##221017 |goto Azshara 20.59,61.97
collect Field Medicine Kit##221018 |goto Azshara 20.59,61.97
step
use Keldara's Log##221017
|tip You just need to open it and read it.
Click Here to Continue |confirm
step
click Satyrweed Bramble##441870+
|tip They look like green plant root balls on the ground all around the perimeter of these ruins.
collect 3 Satyrweed Sample##221019 |goto 20.60,60.90
step
use the Field Medicine Kit##221018
collect Satyrweed Tincture##221199
step
use the Satyrweed Tincture##221199
|tip Find a green colored Thunderhead Hippogryph around this area.
|tip Use your Hibernate ability on it, then use the item on it.
collect Rune of the Moon Goddess##221020 |goto 18.28,54.17
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 3 Runes\\Improved Frenzied Regeneration",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Improved Frenzied Regeneration on your bracers.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 50
|tip You need to be level 50 to collect this rune.
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Start Gathering a Group
|tip You will be killing elite enemies and running multiple dungeons to get this rune.
|tip While you travel to accept the quest in the next step, start trying to put together a full dungeon group.
Click Here to Continue |confirm |q 82043 |future
step
talk Shadowtooth Emissary##222408
accept The Wild Gods##82043 |goto Felwood 51.57,81.96
step
Kill Vilbranch enemies around this area
|tip They look like elite trolls.
|tip You can find them all around the Jintha'Alor area.
collect Wildwhisper Draught##221261 |goto The Hinterlands 66.50,66.40 |q 82043
|tip Only 1 player in your dungeon group needs to collect this item.
|tip Everyone doesn't need to have it, so if someone else in your group gets it, you can continue to the next step.
step
Follow the path to the Razorfen Downs dungeon portal |goto The Barrens 44.90,88.86 < 50 |only if walking
Run through the giant skull and follow the path to the Razorfen Downs dungeon portal |goto The Barrens 49.27,93.08 < 20 |walk
Enter the Razorfen Downs Dungeon
|tip After running through the giant skull, the aypoint arrow won't work anymore, so follow the path until you come to a swirling portal.
|tip Enter the swirling portal to enter the dungeon.
Click Here to Continue |confirm |goto The Barrens 49.27,93.08 |q 82043
step
_Inside the Razorfen Downs Dungeon:_
|tip Use the Razorfen Downs dungeon guide.
kill Amnennar the Coldbringer##7358
|tip He's the final boss inside the dungeon.
use the Wildwhisper Draught##221261
|tip Use it after killing the boss.
|tip Have the person in your group use it that has this item, if you don't have it.
talk Spirit of Agamaggan##222522
turnin The Wild Gods##82043
accept The Wild Gods##82044
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You need to go to 1 of 3 different dungeons to collect the quest items.
|tip You can complete the same dungeon repeatedly to get all of the quest items.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
|tip You will need to run the dungeon 3 times.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect 3 Wild Offering##221262 |q 82044/1
|next "Turnin_The_Wild_Gods"
step
label "Turnin_The_Wild_Gods"
talk Shadowtooth Emissary##222408
turnin The Wild Gods##82044 |goto Felwood 51.57,81.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 3 Runes\\Gale Winds",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Gale Winds on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path up |goto Feralas 68.27,39.27 < 15 |only if walking
kill Namida Grimtotem##222286
|tip She is a level 43 elite enemy.
|tip Inside the large tent building.
collect Rune of the Windstorm##220754 |goto Feralas 66.58,38.23
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 3 Runes\\Gore",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Gore on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Reach Friendly Reputation with the Emerald Wardens Faction |complete rep("Emerald Wardens") >= Friendly
|tip Use the following guides to accomplish this:
|tip Ashenvale Nightmare Invasion
|tip Duskwood Nightmare Invasion
step
_NOTE:_
Pick the Zone Closest to You
|tip There are Quartermaster NPCs in 4 different zones.
|tip All of them will sell you the item to learn your class rune.
|tip Pick the zone that's closest to you, to be lead to the Quartermaster in that zone.
Ashenvale		|confirm	|next "Ashenvale_Quartermaster"
Feralas			|confirm	|next "Feralas_Quartermaster"
Duskwood		|confirm	|next "Duskwood_Quartermaster"
The Hinterlands		|confirm	|next "The_Hinterlands_Quartermaster"
step
label "Ashenvale_Quartermaster"
talk Quartermaster Kyleen##222685
buy Rune of Affliction##221482		|goto Ashenvale 89.61,40.61		|only if Warlock
buy Rune of Alacrity##221512		|goto Ashenvale 89.61,40.61		|only if Rogue
buy Rune of Bloodshed##221517		|goto Ashenvale 89.61,40.61		|only if Druid
buy Rune of Burn##221483		|goto Ashenvale 89.61,40.61		|only if Shaman
buy Rune of Detonation##221515		|goto Ashenvale 89.61,40.61		|only if Hunter
buy Rune of the Hammer##223288		|goto Ashenvale 89.61,40.61		|only if Paladin
buy Rune of the Protector##221511	|goto Ashenvale 89.61,40.61		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Ashenvale 89.61,40.61		|only if Mage
step
label "Feralas_Quartermaster"
talk Quartermaster Valdane##222687
buy Rune of Affliction##221482		|goto Feralas 48.62,12.48		|only if Warlock
buy Rune of Alacrity##221512		|goto Feralas 48.62,12.48		|only if Rogue
buy Rune of Bloodshed##221517		|goto Feralas 48.62,12.48		|only if Druid
buy Rune of Burn##221483		|goto Feralas 48.62,12.48		|only if Shaman
buy Rune of Detonation##221515		|goto Feralas 48.62,12.48		|only if Hunter
buy Rune of the Hammer##223288		|goto Feralas 48.62,12.48		|only if Paladin
buy Rune of the Protector##221511	|goto Feralas 48.62,12.48		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Feralas 48.62,12.48		|only if Mage
step
label "Duskwood_Quartermaster"
Follow the path up into the Twilight Grove |goto Duskwood 46.83,59.43 < 30 |only if walking and not subzone ("Twilight Grove")
talk Quartermaster Falinar##222684
buy Rune of Affliction##221482		|goto Duskwood 45.76,51.35		|only if Warlock
buy Rune of Alacrity##221512		|goto Duskwood 45.76,51.35		|only if Rogue
buy Rune of Bloodshed##221517		|goto Duskwood 45.76,51.35		|only if Druid
buy Rune of Burn##221483		|goto Duskwood 45.76,51.35		|only if Shaman
buy Rune of Detonation##221515		|goto Duskwood 45.76,51.35		|only if Hunter
buy Rune of the Hammer##223288		|goto Duskwood 45.76,51.35		|only if Paladin
buy Rune of the Protector##221511	|goto Duskwood 45.76,51.35		|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto Duskwood 45.76,51.35		|only if Mage
step
label "The_Hinterlands_Quartermaster"
talk Quartermaster Alandra##222686
buy Rune of Affliction##221482		|goto The Hinterlands 61.41,34.64	|only if Warlock
buy Rune of Alacrity##221512		|goto The Hinterlands 61.41,34.64	|only if Rogue
buy Rune of Bloodshed##221517		|goto The Hinterlands 61.41,34.64	|only if Druid
buy Rune of Burn##221483		|goto The Hinterlands 61.41,34.64	|only if Shaman
buy Rune of Detonation##221515		|goto The Hinterlands 61.41,34.64	|only if Hunter
buy Rune of the Hammer##223288		|goto The Hinterlands 61.41,34.64	|only if Paladin
buy Rune of the Protector##221511	|goto The Hinterlands 61.41,34.64	|only if Warrior
buy Spell Notes: Molten Armor##221480	|goto The Hinterlands 61.41,34.64	|only if Mage
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 3 Runes\\Improved Barkskin",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Improved Barkskin on your helm.",
hideif=not ZGV.IsClassicSoD,
},[[
step
ding 44
|tip Use the Leveling guides to accomplish this.
step
_NOTE:_
Learn the Barkskin Ability
|tip Make sure you learn the Barkskin ability from your class trainer.
|tip You need the spell in order to get the rune.
Click Here to Continue |confirm
step
kill Thistleshrub Dew Collector##5481+
collect Idol of the Raging Shambler##220915 |goto Tanaris 29.04,66.02
step
Equip the Idol of the Raging Shambler |equipped Idol of the Raging Shambler##220915
step
Kill enemies around this area
|tip Make sure you keep yourself buffed with Barkskin.
|tip You must use Nature damage spells to land the killing blow on enemies.
|tip Your Sunfire and Wrath abilities will work.
|tip You will gain a buff.
|tip Repeat this process until you have 5 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828 |goto 29.04,66.02
step
use the Idol of the Raging Shambler##220915
|tip You will learn the Improved Barkskin rune.
Click Here to Continue |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 4 Runes\\Improved Swipe",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Improved Swipe on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Venomhide Ravasaur##6508+
|tip The item may have a slightly rare chance to drop.
collect Idol of the Huntress##227444 |goto Un'Goro Crater 70.88,53.43
You can find more around [Un'Goro Crater 66.82,50.66]
step
Equip the Idol of the Huntress |equipped Idol of the Huntress##227444
step
Kill enemies around this area
|tip You need to kill 5 enemies while in cat form, while they are sleeping.
|tip You can kill any enemies, anywhere you want.
|tip Build up 5 combo points, and when they are at roughly 5-10% health, use your Hibernate ability on them to put them to sleep.
|tip Then, quickly return to cat form and use your Ferocious Bite ability to kill them.
|tip You will gain a buff.
|tip Repeat this process until you have 5 stacks of the Building Inspiration buff.
Gain the Inspired Buff |havebuff Inspired##408828
step
use the Idol of the Huntress##227444
|tip You will learn the Improved Swipe rune.
Click Here to Continue |confirm
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 4 Runes\\Tree of Life",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Tree of Life on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
talk Vengeful Wisp##228596
|tip The wisp will start following you.
Click Here Once the Wisp is Following You |confirm |goto Felwood 45.52,18.78
step
Kill enemies around this area
Gain the Shimmering Light Buff |havebuff Shimmering Light##460310 |goto 42.00,18.96
step
_Next to you:_
talk Vengeful Wisp##228596
Tell it _"Go, spirit. It is time for you to have peace, and leave this world behind."_
click Gift of the Wisp##410220
|tip It appears on the ground.
collect Rune of the World Tree##227746
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 4 Runes\\Starfall",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the rune to inscribe Starfall on your cloak.",
hideif=not ZGV.IsClassicSoD,
},[[
step
kill Arcterris##228814
|tip It looks like a light grey owl beast with a dark grey head.
|tip It's a level 58 elite and may walk around this area.
collect Rune of the Falling Star##227749 |goto Winterspring 63.60,16.05
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 4 Runes\\Deeper Wilds (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Deeper Wilds skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Leaflet of Deeper Wilds##216764 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Leaflet of Deeper Wilds##216764 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 4 Runes\\Enhanced Restoration (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Enhanced Restoration skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Leaflet of Enhanced Restoration##216771 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Leaflet of Enhanced Restoration##216771 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Druid\\Phase 4 Runes\\Revive (Skill Book)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Revive skill book.",
hideif=not ZGV.IsClassicSoD,
},[[
step
Follow the path inside Stormwind Keep |goto Stormwind City 70.21,11.32 < 15 |walk
talk Milton Sheaf##1440
|tip Inside the building.
buy Leaflet of Revive##216767 |goto Stormwind City 74.18,7.46
|only if Alliance
step
talk Zor Lonetree##4047
|tip Inside the building.
buy Leaflet of Revive##216767 |goto Orgrimmar 38.92,38.37
|only if Horde
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Arcane Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Arcane Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Hunter, Mage, Druid
Click Here to Continue |confirm
|only if not (Hunter or Mage or Druid)
step
click Elements for Dummies Volume III: Arcane##457102
|tip Inside the tower, on the top floor.
collect Rune of Arcane Specialization##226413 |goto Western Plaguelands 47.33,13.60
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Axe Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Axe Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Hunter, Paladin, Shaman, Warrior
Click Here to Continue |confirm
|only if not (Hunter or Paladin or Shaman or Warrior)
step
Enter the building |goto Burning Steppes 41.49,35.17 < 15 |walk
click The Rites of Mak'Gora##457101
|tip It looks like a red book.
|tip Inside the building.
collect Rune of Axe Specialization##226407 |goto Burning Steppes 40.20,34.24
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Dagger Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Dagger Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Druid, Hunter, Mage, Priest, Rogue, Shaman, Warlock, Warrior
Click Here to Continue |confirm
|only if not (Druid or Hunter or Mage or Priest or Rogue or Shaman or Warlock or Warrior)
step
Click the red book
|tip Inside the tent.
collect Rune of Dagger Specialization##226409 |goto Silithus 20.10,85.10
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Defense Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Defense Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Druid, Paladin, Rogue, Shaman, Warlock, Warrior
Click Here to Continue |confirm
|only if not (Druid or Paladin or Rogue or Shaman or Warlock or Warrior)
step
click Zirene's Guide to Getting Punched##457099
|tip It looks like a red book next to a large red banner on a pile of rubble, inside the entrance to Lower Blackrock Spire.
|tip Enter Blackrock Mountain through the doors near this location.
|tip Immediately turn left and follow the path until you find the Meeting Stone for Lower Blackrock Spire.
|tip Follow the path through the doorway next to the Meeting Stone, and take the first right to find the book.
|tip There are elite enemies along the path, so you may need help.
collect Rune of Defense Specialization##226694 |goto Searing Gorge 34.75,83.90
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Feral Combat Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Feral Combat Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Druid
Click Here to Continue |confirm
|only if not Druid
step
click Finding Your Inner Feline: A Guide to Modern Druidism##457098
|tip It looks like a book in one of the small cubby holes in the cat den.
collect Rune of Feral Combat Specialization##226419 |goto Winterspring 48.45,7.93
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Fire Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Fire Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Mage, Shaman, Warlock, Hunter
Click Here to Continue |confirm
|only if not (Mage or Shaman or Warlock or Hunter)
step
Jump down carefully and enter the Slag Pit cave |goto Searing Gorge 49.55,45.42 < 15 |walk
Cross the bridge inside the Slag Pit cave |goto Searing Gorge 44.52,37.35 < 20 |walk
click Elements for Dummies Volume II: Fire##457097
|tip It looks like a red book.
|tip Up on a platform inside the Slag Pit cave.
collect Rune of Fire Specialization##226414 |goto Searing Gorge 40.58,35.44
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Fist Weapon Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Fist Weapon Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Druid, Hunter, Rogue, Shaman, Warrior
Click Here to Continue |confirm
|only if not (Druid or Hunter or Rogue or Shaman or Warrior)
step
Click the book
collect Rune of Fist Weapon Specialization##226411 |goto Silithus 38.20,45.40
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Frost Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Frost Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Hunter, Mage, Shaman
Click Here to Continue |confirm
|only if not (Hunter or Mage or Shaman)
step
click Elements for Dummies Volume I: Frost##457095
collect Rune of Frost Specialization##226415 |goto Winterspring 58.95,59.93
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Holy Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Holy Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Paladin, Priest
Click Here to Continue |confirm
|only if not (Paladin or Priest)
step
Enter the building |goto Eastern Plaguelands 82.71,80.00 < 15 |walk
click The True Nature of the Light##457094
|tip It looks like a red book on top of a book shelf next to the stairs.
|tip Inside the building, on the ground floor.
|tip You can either kill the enemies, or die and resurrect on the stairs.
|tip If you resurrect on the stairs, the enemies on the other side of the book shelf won't attack you, allowing you to loot the book.
collect Rune of Holy Specialization##226418 |goto Eastern Plaguelands 83.60,78.17
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Mace Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Mace Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Druid, Paladin, Priest, Rogue, Shaman, Warrior
Click Here to Continue |confirm
|only if not (Druid or Paladin or Priest or Rogue or Shaman or Warrior)
step
use Aragriar's Whimsical World Warper##216494
|tip Warp to Grim Batol.
|tip This will teleport you directly next to the rune object.
Click the book
collect Rune of Mace Specialization##226408
|only if itemcount(216494) > 0
step
Follow the road around to Grim Batol |goto Wetlands 80.59,47.86 < 50 |only if walking
Follow the path up |goto Wetlands 76.49,72.04 < 30 |only if walking
Click the book
|tip The path to this location has many elite enemies.
|tip You will need help.
|tip Alternatively, you could corpse run multiple times to get here, if you prefer.
collect Rune of Mace Specialization##226408 |goto Wetlands 74.07,69.06
|only if itemcount(216494) < 1
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Nature Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Nature Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Druid, Hunter, Rogue, Shaman
Click Here to Continue |confirm
|only if not (Druid or Hunter or Rogue or Shaman)
step
click The Fury of Stormrage##457092
|tip It looks like a book.
collect Rune of Nature Specialization##226416 |goto Felwood 62.8,7.5
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Pole Weapon Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Pole Weapon Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Druid, Hunter, Mage, Priest, Shaman, Warlock, Warrior
Click Here to Continue |confirm
|only if not (Druid or Hunter or Mage or Priest or Shaman or Warlock or Warrior)
step
Enter the building |goto Azshara 77.30,42.16 < 20 |walk
Click the book
|tip Inside the building.
collect Rune of Pole Weapon Specialization##226412 |goto Azshara 76.88,44.24
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Ranged Weapon Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Ranged Weapon Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Hunter, Rogue, Warrior
Click Here to Continue |confirm
|only if not (Hunter or Rogue or Warrior)
step
click Famous (and Infamous) Rangers of Azeroth##457090
|tip Die near this location or inside the building, then resurrect inside the building, away from the doorway to avoid aggro. |only if Alliance
|tip While inside the building, dismiss your pet and then carefully position yourself next to the wall while avoiding getting aggro through the doorway. |only if Alliance
|tip Position yourself and your camera until you can click the book while safely inside the building. |only if Alliance
collect Rune of Ranged Weapon Specialization##226410 |goto Eastern Plaguelands 26.27,74.78
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Shadow Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Shadow Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Priest, Warlock
Click Here to Continue |confirm
|only if not (Priest or Warlock)
step
Enter the Tainted Scar |goto Blasted Lands 44.72,56.26 < 70 |only if walking
click The Shadow Connection##457089
|tip It looks like a red book.
|tip The path to this location has many elite enemies.
|tip You will need help.
|tip Alternatively, you could corpse run multiple times to get here, if you prefer.
collect Rune of Shadow Specialization##226417 |goto Blasted Lands 33.65,48.59
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Runes\\Phase 4 Ring Runes\\Rune of Sword Specialization",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Rune of Sword Specialization to inscribe on your rings.",
hideif=not ZGV.IsClassicSoD,
},[[
step
_NOTE:_
Your Class Cannot Use This Rune
|tip This ring rune can be only be used by these classes:
|tip Hunter, Mage, Paladin, Rogue, Warlock, Warrior
Click Here to Continue |confirm
|only if not (Hunter or Mage or Paladin or Rogue or Warlock or Warrior)
step
Run down the stairs into the Master's Cellar |goto Deadwind Pass 47.71,78.28 < 10 |walk
Follow the path inside the Master's Cellar cave |goto Deadwind Pass 46.35,74.33 < 20 |walk
Click the book
|tip Inside the cave.
collect Rune of Sword Specialization##226406 |goto Deadwind Pass 43.05,74.25
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Items\\Cozy Sleeping Bag",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining the Cozy Sleeping Bag item.",
hideif=not ZGV.IsClassicSoD,
},[[
step
click Burned-Out Remains##415107
|tip It looks like a skeleton with clothes on, in the pile of wooden boards.
accept ...and that note you found##79008 |goto Westfall 37.41,50.70
step
click Burned-Out Remains##415106
turnin ...and that note you found##79008 |goto The Barrens 46.36,73.90
accept Stepping Stones##79192 |goto The Barrens 46.36,73.90
step
Follow the path up |goto Stonetalon Mountains 51.02,52.41 < 30 |only if walking
Follow the path through the mountains |goto Stonetalon Mountains 46.10,53.58 < 30 |only if walking
click Pocket Litter##424005
|tip On top of a wooden crate, next to a tent.
turnin Stepping Stones##79192 |goto Stonetalon Mountains 40.75,52.57
accept Scramble##79980 |goto Stonetalon Mountains 40.75,52.57
step
click Mound of Dirt##424012
|tip It looks like a brown pile of dirt on the ground.
|tip In the hills, on the cliffside.
turnin Scramble##79980 |goto 39.62,49.80
accept Wet Job##79974 |goto 39.62,49.80
step
Run onto the dam |goto Loch Modan 40.61,13.54 < 30 |only if walking
Jump down carefully here |goto Loch Modan 49.50,13.38 < 10 |only if walking
click Carved Figurine##424007
|tip It looks like a small eagle statue.
|tip On the ledge, overlooking the waterfall.
turnin Wet Job##79974 |goto Loch Modan 49.42,12.90
accept Eagle's Fist##79975 |goto Loch Modan 49.42,12.90
step
Jump up the cart to get onto the wall |goto Hillsbrad Foothills 87.58,47.88 < 10 |only if walking
click Messenger Bag##406918
|tip It looks like a hanging brown pouch.
|tip Next to the doorway on top of the wall.
turnin Eagle's Fist##79975 |goto Arathi Highlands 22.48,24.13
accept This Must Be The Place##79976 |goto Arathi Highlands 22.48,24.13
step
click Hastily Rolled-Up Satchel##424006
|tip It looks like a rolled up sleeping bag.
|tip On the ground, next to the doorway on top of the wall.
turnin This Must Be The Place##79976 |goto 22.48,24.13
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Items\\Wild Offering (Currency)",{
author="support@zygorguides.com",
description="This guide will walk you through obtaining Wild Offerings to use as currency.",
hideif=not ZGV.IsClassicSoD,
},[[
step
label "Choose_Your_Adventure"
_NOTE:_
Choose Your Adventure
|tip You can go to 3 different dungeons to collect the items.
|tip You can complete the same dungeon repeatedly to keep collecting them.
|tip Zul'Farrak is the easiest of the 3 dungeons to complete.
|tip To do this, you need to have already collected the rune for your class that requires you to collect Wild Offerings.
|tip Click the line below for the dungeon you want to go to.
Zul'Farrak		|confirm	|next "ZulFarrak"
Maraudon		|confirm	|next "Maraudon"
Blackrock Depths	|confirm	|next "Blackrock_Depths"
step
label "ZulFarrak"
_Inside the Zul'Farrak Dungeon:_
|tip Use the Zul'Farrak dungeon guide.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Spider.
|tip It looks like a translucent spider that walks around near where you kill Gahz'ranka.
|tip You may have to kill more enemies in the room where Gahz'ranka is to get it to appear.
kill Delirious Ancient##222573
collect Wild Offering##221262+ |n
Click Here to Continue |confirm	|next "Choose_Your_Adventure"
If needed, you can buy Agamaggan's Roar from Rix Xizzix at [Stranglethorn Vale 28.55,75.75] |only if itemcount(221418) == 0
step
label "Maraudon"
_Inside the Maraudon Dungeon:_
|tip Use the Maraudon dungeon guide.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Raptor.
|tip It looks like a translucent raptor that walks around near where you kill Princes Theradras.
|tip You may have to kill more enemies in the room where Princes Theradras is to get it to appear.
kill Delirious Ancient##223264
collect Wild Offering##221262+ |n
Click Here to Continue |confirm	|next "Choose_Your_Adventure"
If needed, you can buy Agamaggan's Roar from Rix Xizzix at [Stranglethorn Vale 28.55,75.75] |only if itemcount(221418) == 0
step
label "Blackrock_Depths"
_Inside the Blackrock Depths Dungeon:_
|tip Use the Blackrock Depths dungeon guide.
use Agamaggan's Roar##221418
|tip Use it next to the Ghostly Basilisk.
|tip It looks like a translucent basilisk that walks around in the path that leads to Bael'gar.
|tip Kill all 3 of the bosses in the dungeon first, then run to the path that leads to Bael'gar and you should find the Ghostly Basilisk.
kill Delirious Ancient##223265
collect Wild Offering##221262+ |n
Click Here to Continue |confirm	|next "Choose_Your_Adventure"
If needed, you can buy Agamaggan's Roar from Rix Xizzix at [Stranglethorn Vale 28.55,75.75] |only if itemcount(221418) == 0
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Events\\Nightmare Incursion\\Ashenvale Nightmare Incursion",{
author="support@zygorguides.com",
description="This guide will walk you through completing quests for the Ashenvale Nightmare Incursion.",
hideif=not ZGV.IsClassicSoD,
},[[
step
label "Accept_Ashenvale_Mission_Quests_Alone"
talk Field Captain Hannalah##221477 |goto Ashenvale 89.56,40.67
|tip She will offer you 20 daily quests, accept as many as you can.
|tip X through XII are gathering quests and can be skipped if you don't have Mining/Skinning/Herbalism.
|autoacceptany 81768-81785
Click Here When You're Ready To Begin |confirm
step
label "Accept_Ashenvale_Mission_Quests_With_Group"
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444759 |goto 94.24,35.18
|tip Run up the ramp and enter the huge green portal.
|autoscript table.wipe(ZGV.recentlyCompletedGoals) table.wipe(ZGV.completedQuests)
stickystart "Get_Emerald_Nightmare_Buff"
step
kill Larsera##221265  |q 81780/1 |goto 86.20,44.76
|tip You share tags with your entire faction on this enemy.
|only if haveq(81780)
step
click Dream-Touched Dragon Egg##441124
collect Dream-Touched Dragon Egg##219447 |q 81776/1 |goto 86.09,45.98
|only if haveq(81776)
step
talk Dreamwarden Ellodar##221271
|tip He's stealthed.
Choose _"Take the field report."_
collect Intelligence Report: Forest Song##219924 |q 81771/1 |goto 83.64,45.41
|only if haveq(81771)
step
talk Dreamwarden Mandoran##221272
|tip He's stealthed.
Choose _"Take the field report."_
collect Intelligence Report: Satyrnaar##219925 |q 81772/1 |goto 81.54,48.58
|only if haveq(81772)
step
click Azsharan Prophecy##441129
|tip It looks like a paper inside the tent.
collect Azsharan Prophecy##219449 |q 81775/1 |goto 80.73,48.85
|only if haveq(81775)
step
kill Zalius##221266 |q 81781/1 |goto 80.84,49.77
|tip You share tags with your entire faction on this enemy.
|only if haveq(81781)
step
kill Shredder 9000##221267 |q 81782/1 |goto 86.79,62.10
|tip You share tags with your entire faction on this enemy.
|only if haveq(81782)
step
talk Dreamwarden Lanaria##221273
|tip He's stealthed inside the building.
Choose _"Take the field report."_
collect Intelligence Report: Warsong Lumber Camp##219926 |q 81773/1 |goto 91.21,58.05
|only if haveq(81773)
step
click Vibrating Crate##441128
|tip Inside the building.
collect Dreamengine##219448 |q 81774/1 |goto 90.97,58.14
Also check at the blacksmith at [88.50,55.14]
|only if haveq(81774)
step
label "Get_Emerald_Nightmare_Buff"
_NOTE:_
You Need the Emerald Nightmare Buff
|tip Enter to the huge green portal at the top of the ramp.
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444759
|sticky only
step
Leave the Emerald Nightmare |nobuff Emerald Nightmare##444759 |goto 94.24,35.18
|tip Run up the ramp and enter the huge green portal.
step
talk Field Captain Hannalah##221477
|tip Turn in all of the Ashenvale Mission quests you have.
|autoturninany 81768-81785
|tip These quests will be available again after the daily reset.
Click Here To Reset The Guide	|confirm	|goto 89.56,40.67	|next "Accept_Ashenvale_Mission_Quests_Alone"
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Events\\Nightmare Incursion\\Duskwood Nightmare Incursion",{
author="support@zygorguides.com",
description="This guide will walk you through completing quests for the Duskwood Nightmare Incursion.",
hideif=not ZGV.IsClassicSoD,
},[[
step
label "Accept_Duskwood_Mission_Quests_Alone"
talk Field Captain Palandar##221471
|autoacceptany 81730-81747 |goto Duskwood 45.67,51.26
|tip She will offer you 20 daily quests, accept as many as you can.
|tip X through XII are gathering quests and can be skipped if you don't have Mining/Skinning/Herbalism.
Click Here When You're Ready To Begin |confirm
step
label "Accept_Duskwood_Mission_Quests_With_Group"
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444758 |goto 46.44,35.71
|tip Run up the ramp and enter the huge green portal.
|autoscript table.wipe(ZGV.recentlyCompletedGoals) table.wipe(ZGV.completedQuests)
stickystart "Get_Emerald_Nightmare_Buff"
stickystart "Kill_Deranged_Ogres"
stickystart "Kill_Demented_Fire_Weavers"
step
talk Dreamwarden Thalinar##221222
|tip He's stealthed in the cave.
Choose _"Take the field report."_
collect Intelligence Report: Vul'gol Ogre Mound##219405 |q 81733/1 |goto 36.56,83.89
|only if haveq(81733)
step
click Ogre Magi Text##441113
|tip Inside the cave.
collect Ogre Magi Text##219405 |q 81737/1 |goto 35.72,80.18
|only if haveq(81737)
step
kill Vvarc' Zul##221206 |q 81743/1 |goto 37.51,84.41
|tip You share tags with your entire faction on this enemy.
|tip He's at the very back of the cave.
|only if haveq(81743)
step
label "Kill_Deranged_Ogres"
kill 5 Deranged Ogre##221174 |q 81731/1 |goto 35.72,80.18
|only if haveq(81731)
step
label "Kill_Demented_Fire_Weavers"
kill 5 Demented Fire Weaver##221175 |q 81731/2 |goto 35.72,80.18
|only if haveq(81731)
step
kill Ylanthrius##221204  |q 81742/1 |goto 49.22,72.97
|tip You share tags with your entire faction on this enemy.
|tip She may be flying above the farm.
|only if haveq(81742)
step
click Unhatched Green Dragon Egg##441119
collect Unhatched Green Dragon Egg##219447 |q 81738/1 |goto 49.22,72.97
|only if haveq(81738)
step
talk Dreamwarden Amalia##221220
|tip She's stealthed inside the house.
Choose _"Take the field report."_
collect Intelligence Report: Yorgen Farmstead##219803 |q 81735/1 |goto 50.68,77.19
|only if haveq(81735)
step
kill Amokarok##221207 |q 81744/1 |goto 63.54,76.54
|tip You share tags with your entire faction on this enemy.
|only if haveq(81744)
step
talk Dreamwarden Dorilar##221221
|tip He's stealthed inside the barn.
Choose _"Take the field report."_
collect Intelligence Report: Rotting Orchard##219778 |q 81734/1 |goto 66.36,75.93
|only if haveq(81734)
step
click Mysterious Box##441114
|tip Upstairs inside the house.
collect Shadowscythe##219404 |q 81736/1 |goto 65.74,67.43
|only if haveq(81736)
step
label "Get_Emerald_Nightmare_Buff"
_NOTE:_
You Need the Emerald Nightmare Buff
|tip Enter to the huge green portal at the top of the ramp.
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444758
|sticky only
step
Leave the Emerald Nightmare |nobuff Emerald Nightmare##444758 |goto 46.44,35.71
|tip Run up the ramp and enter the huge green portal.
step
talk Field Captain Palandar##221471
|tip Turn in all of the Duskwood Mission quests you have.
|autoturninany 81730-81747
|tip These quests will be available again after the daily reset.
Click Here To Reset The Guide		|confirm	|goto 46.43,38.77	|next "Accept_Duskwood_Mission_Quests_Alone"
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Events\\Nightmare Incursion\\Hinterlands Nightmare Incursion",{
author="support@zygorguides.com",
description="This guide will walk you through completing quests for the Hinterlands Nightmare Incursion.",
hideif=not ZGV.IsClassicSoD,
},[[
step
label "Accept_Hinterlands_Mission_Quests_Alone"
talk Field Captain Korlian##221479
|autoacceptany 81786-81789,81817,81820,81830-81839,81850-81852 |goto The Hinterlands/0 61.40,34.49
|tip She will offer you 20 daily quests, accept as many as you can.
|tip X through XII are gathering quests and can be skipped if you don't have Mining/Skinning/Herbalism.
Click Here When You're Ready To Begin |confirm
step
label "Accept_Hinterlands_Mission_Quests_With_Group"
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444760 |goto 62.23,23.23
|tip Run up the ramp and enter the huge green portal.
|autoscript table.wipe(ZGV.recentlyCompletedGoals) table.wipe(ZGV.completedQuests)
stickystart "Get_Emerald_Nightmare_Buff"
stickystart "Fallen_Moonkin"
step
click Humming Box##441140
|tip Enter the cave
collect Elunar Relic##219490 |q 81830/1 |goto 57.53,40.73
|only if haveq(81830)
step
kill Doomkin##221265  |q 81838/1 |goto 56.62,43.35
|tip At the bottom of the cave.
|tip You share tags with your entire faction on this enemy.
|only if haveq(81838)
step
talk Dreamwarden Valori##221351
|tip She's stealthed beside the Doomkin.
Choose _"Take the field report."_
collect Intelligence Report: Skulk Rock##219938 |q 81820/1 |goto 56.62,43.35
|only if haveq(81820)
step
label "Fallen_Moonkin"
kill 20 Fallen Moonkin##221330 |q 81786/1 |goto 57.61,40.15
|only if haveq(81786)
stickystart "Wyrmkin"
step
talk Dreamwarden Laninar##221353
|tip He's stealthed.
Choose _"Take the field report."_
collect Intelligence Report: Agol'watha##219928 |q 81789/1 |goto 46.79,41.22
|only if haveq(81789)
step
click Star-Touched Dragon Egg##441133
|tip It looks like an egg inside the tent.
collect Star-Touched Dragonegg##219488 |q 81826/1 |goto 45.41,38.54
|only if haveq(81826)
step
kill Florius##221331 |q 81837/1 |goto 45.41,38.54
|tip You share tags with your entire faction on this enemy.
|tip He may be flying in the sky
|only if haveq(81837)
step
label "Wyrmkin"
kill 10 Wyrmkin Starhunter##221325 |q 81788/1 |goto 46.79,41.22
kill 3 Wrath Whelp##221326 |q 81788/2 |goto 46.79,41.22
|only if haveq(81788)
step
Run to this location in the mountains |goto 43.84,33.41 |c
|tip You will get a debuff saying you are leaving the Incursion, let it reach 0 and you'll teleported to the next quest area.
|only if haveq(81826) |or
|only if haveq(81789) |or
|only if haveq(81837) |or
|only if haveq(81788) |or
stickystart "Dreamwater_Vicejaw"
step
talk Dreamwarden Sanathel##221352
|tip She's stealthed inside the ruins
Choose _"Take the field report."_
collect Intelligence Report: Shaol'watha##219937 |q 81817/1 |goto 91.21,58.05
|only if haveq(81817)
step
click Dreampearl##441141
|tip Inside the fountain on the wall of the ruins.
collect Dreampearl##219491 |q 81832/1 |goto 72.33,54.08
|only if haveq(81832)
step
kill Ghamoo-Raja##221334 |q 81839/1 |goto 72.33,54.08
|tip You share tags with your entire faction on this enemy.
|only if haveq(81839)
step
label "Dreamwater_Vicejaw"
kill 20 Dreamwater Vicejaw##221328 |q 81787/1 |goto 65.53,45.8
|tip They spawn around the river and in the forests
|only if haveq(81787)
step
Run outside the forest until you start getting the Deserter Debuff |goto 75.21,48.57 |c
|tip Once the debuff reaches 0 seconds you'll be teleported to the next area.
|only if haveq(81787) |or
|only if haveq(81839) |or
|only if haveq(81832) |or
step
label "Get_Emerald_Nightmare_Buff"
_NOTE:_
You Need the Emerald Nightmare Buff
|tip Enter to the huge green portal at the top of the ramp.
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444760
|sticky only
step
Leave the Emerald Nightmare |nobuff Emerald Nightmare##444760 |goto 62.23,23.23
|tip Run up the ramp and enter the huge green portal.
step
talk Field Captain Korlian##221479
|tip Turn in all of the Hinterlands Mission quests you have.
|autoturninany 81786-81852
Choose What to Do Next
|tip These quests will be available again after the daily reset.
Click Here To Reset The Guide		|confirm	|goto 61.40,34.49	|next "Accept_Hinterlands_Mission_Quests_Alone"
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Events\\Nightmare Incursion\\Feralas Nightmare Incursion",{
author="support@zygorguides.com",
description="This guide will walk you through completing quests for the Feralas Nightmare Incursion.",
hideif=not ZGV.IsClassicSoD,
},[[
step
label "Accept_Feralas_Mission_Quests_Alone"
talk Field Captain Arunnel##221480
|autoacceptany 81855-81874 |goto Feralas/0 61.40,34.49
|tip She will offer you 20 daily quests, accept as many as you can.
|tip X through XII are gathering quests and can be skipped if you don't have Mining/Skinning/Herbalism.
Click Here When You're Ready To Begin |confirm
step
label "Accept_Feralas_Mission_Quests_With_Group"
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444762 |goto Feralas/0 51.24,10.73
|tip Run up the ramp and enter the huge green portal.
|autoscript table.wipe(ZGV.recentlyCompletedGoals) table.wipe(ZGV.completedQuests)
stickystart "Get_Emerald_Nightmare_Buff"
stickystart "Harpies"
step
click Harpy Screed##441314
|tip Under the Gazebo
collect Harpy Screed##219518 |q 81864/1 |goto 38.45,15.87
|only if haveq(81864)
step
kill Slirena##221391  |q 81871/1 |goto 38.41,13.01
|tip You share tags with your entire faction on this enemy.
|only if haveq(81871)
step
talk Dreamwarden Anadelle##221404
|tip She's stealthed inside the gazebo
Choose _"Take the field report."_
collect Intelligence Report: Ruins of Ravenwind##219959 |q 81860/1 |goto 37.61,12.07
|only if haveq(81860)
step
label "Harpies"
kill 10 Dreamspring Roguefeather##221370 |q 81856/1 |goto 40.76,8.06
kill 10 Dreamspring Stormcaller##221371 |q 81856/2 |goto 40.76,8.06
|only if haveq(81856)
stickystart "Children"
step
click Mad Keeper's Notes##441312
|tip It looks like a tiny scroll in the grass on the hill. It is hard to see.
collect Mad Keeper's Notes##219519 |q 81863/1 |goto 45.01,19.96
|only if haveq(81863)
step
kill Alondrius##221389 |q 81870/1 |goto 46.41,20.27
|tip You share tags with your entire faction on this enemy.
|tip He may be patrolling up and down the road.
|only if haveq(81870)
step
talk Dreamwarden Gorlas##221402
|tip He's stealthed.
Choose _"Take the field report."_
collect Intelligence Report: Twin Colossals##219958 |q 81859/1 |goto 47.13,21.66
|only if haveq(81859)
step
label "Children"
kill 10 Lost Daughter##221375 |q 81855/1 |goto 45.01,22.45
kill 10 Vengeful Son##221377 |q 81855/2 |goto 45.01,22.45
|only if haveq(81855)
stickystart "Dragonkin"
step
talk Dreamwarden Sheldryn##221401
|tip She's stealthed inside the ruins
Choose _"Take the field report."_
collect Intelligence Report: Oneiros##219957 |q 81858/1 |goto 50.74,19.67
|only if haveq(81858)
step
click Moonglow Dragonegg##441310
|tip Inside the gazebo.
collect Moonglow Dragonegg##219520 |q 81861/1 |goto 50.71,17.21
|only if haveq(81861)
step
kill Tyrannikus##221393 |q 81868/1 |goto 53.15,17.31
|tip You share tags with your entire faction on this enemy.
|only if haveq(81868)
step
label "Dragonkin"
kill 10 Frenzied Whelp##221369 |q 81857/1 |goto 49.78,15.51
kill 3 Wyrmkin Berserker##221367 |q 81857/2 |goto 49.78,15.51
|tip They spawn all over southeast of the lake.
|only if haveq(81857)
step
label "Get_Emerald_Nightmare_Buff"
_NOTE:_
You Need the Emerald Nightmare Buff
|tip Enter to the huge green portal at the top of the ramp.
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444762
|sticky only
step
Leave the Emerald Nightmare |nobuff Emerald Nightmare##444762 |goto 62.23,23.23
|tip Run up the ramp and enter the huge green portal.
step
talk Field Captain Arunnel##221480
|tip Turn in all of the Hinterlands Mission quests you have.
|autoturninany 81855-81874
|tip These quests will be available again after the daily reset.
Click Here To Reset The Guide		|confirm	|goto Feralas/0 48.49,12.45	|next "Accept_Feralas_Mission_Quests_Alone"
]])
ZygorGuidesViewer:RegisterGuide("Leveling\\Season of Discovery Phase 4 Quest Stacking\\Phase 4 Launch Day Guide",{
author="support@zygorguides.com",
description="This guide will turn in your quest stack for Phase 4",
},[[
step
Have your Hearthstone set in Gadgetzan, Tanaris on launch day.
|tip Stack up your Cozy Sleeping Bag buff prior to the phase starting.
|tip Collect the Incursion gathering quest items prior to the phase starting. These are Conjured, meaning if you log off for more than 15 minutes they disappear.
|tip You can leave your Incursion Envelopes in the bank if you need bag space, you'll have chances to grab them.
|tip The next steps will involve turning in quests. Be sure you see your experience bar and Phase 4 has started before turning anything in!
collect 10 Star Lotus##219454
collect 10 Starsilver Ore##219486
collect 10 Starshell##219487
collect 10 Greater Moonstone##219515
collect 10 Moonroot##219514
collect 10 Moondragon Scale##219517
Click Here To Continue To The Turn In Route |confirm
step
talk Maxwort Uberglint##9536
|tip Ensure the phase has started before turning in quests!
use Student Fodder##216619 |only if itemcount(216619) >= 1
turnin The Heart of the Mountain##4123 |goto Burning Steppes 65.15,23.91
|only if haveq(4123)
step
talk Oralius##9177
use Student Fodder##216619 |only if itemcount(216619) >= 1
turnin The Good Stuff##4286 |goto 84.56,68.69
|only if haveq(4286)
step
talk Oralius##9177
use Student Fodder##216619 |only if itemcount(216619) >= 1
turnin The Good Stuff##4286 |goto 84.56,68.69
|only if haveq(4286)
step
Follow the path up |goto Burning Steppes 82.76,63.28 < 10 |only if walking
talk Jalinda Sprig##9561
use Student Fodder##216619 |only if itemcount(216619) >= 1
turnin Incendius!##4263 |goto 85.41,70.06
|only if haveq(4263)
step
talk Helendis Riverhorn##9562
turnin Dragonkin Menace##4182 |goto 85.82,68.95
|only if haveq(4182)
step
talk Helendis Riverhorn##9562
accept The True Masters##4183 |goto 85.82,68.95
|only if completedq(4182)
step
Enter the building |goto Redridge Mountains 29.51,46.07 < 5 |walk
talk Magistrate Solomon##344
|tip Inside the building.
turnin The True Masters##4183 |goto 29.98,44.45
|only if haveq(4183)
step
talk Magistrate Solomon##344
|tip Inside the building.
accept The True Masters##4184 |goto 29.98,44.45
|only if completedq(4183)
step
talk Fallen Hero of the Horde##7572
use Student Fodder##216619 |only if itemcount(216619) >= 1
turnin The Stones That Bind Us##2681 |goto Swamp of Sorrows/0 34.29,66.13
|only if haveq(2681)
step
talk Fallen Hero of the Horde##7572
use Student Fodder##216619 |only if itemcount(216619) >= 1
accept Heroes of Old##2702 |goto Swamp of Sorrows/0 34.29,66.13
|only if completedq(2681)
step
talk Corporal Thund Splithoof##7750
|tip Behind you on the road
turnin Heroes of Old##2702 |goto Swamp of Sorrows/0 34.29,66.13
|only if haveq(2702)
step
talk Corporal Thund Splithoof##7750
accept Heroes of Old##2701 |goto Swamp of Sorrows/0 34.29,66.13
|only if completedq(2702)
step
click Spectral Lockbox##141980
turnin Heroes of Old##2701 |goto Swamp of Sorrows/0 34.29,66.13
|only if haveq(2681)
step
talk Fallen Hero of the Horde##7572
use Student Fodder##216619 |only if itemcount(216619) >= 1
accept Kirith##2721 |goto Swamp of Sorrows/0 34.29,66.13
|only if completedq(2701)
step
Enter the Cave |goto Blasted Lands/0 65.25,32.77 < 15 |only if not subzone("Serpent's Coil")
kill Kirith the Damned##7728
|tip This quest has you fight a level 55 elite, skip this quest if you aren't with a group.
|tip Once the demon dies, the spirit will spawn ontop of its body.
talk Spirit of Kirith##7729
turnin Kirith##2721 |goto Blasted Lands/0 69.13,30.05
|only if haveq(2721)
step
Enter the Cave |goto Blasted Lands/0 65.25,32.77 < 15 |only if not subzone("Serpent's Coil")
talk Spirit of Kirith##7729
accept The Cover of Darkness##2743 |goto Blasted Lands/0 69.13,30.05
|only if completedq(2721)
step
talk Fallen Hero of the Horde##7572
|tip We will be running Sunken Temple after this zone. Start looking for a group.
turnin The Cover of Darkness##2743 |goto Swamp of Sorrows/0 34.29,66.13
|only if haveq(2743)
step
talk Bloodmage Drazial##7505
|tip We will be running Sunken Temple after this zone. Start looking for a group.
accept Snickerfang Jowls##2581 |goto Blasted Lands 50.55,14.21
|only if itemcount(8391) > 0
step
talk Bloodmage Drazial##7505
|tip We will be running Sunken Temple after this zone. Start looking for a group.
accept A Boar's Vitality##2583 |goto Blasted Lands 50.55,14.21
|only if itemcount(8392) > 0
step
talk Bloodmage Drazial##7505
|tip We will be running Sunken Temple after this zone. Start looking for a group.
accept The Decisive Striker##2585 |goto Blasted Lands 50.55,14.21
|only if itemcount(8393) > 0
step
talk Bloodmage Lynnore##7506
accept The Basilisk's Bite##2601 |goto 50.64,14.30
|only if itemcount(8394) > 0
step
talk Bloodmage Lynnore##7506
accept Vulture's Vigor##2603 |goto 50.64,14.30
|only if itemcount(8396) > 0
step
talk Bloodmage Lynnore##7506
turnin The Basilisk's Bite##2601 |goto 50.64,14.30
|only if itemcount(8394) > 0
step
talk Bloodmage Lynnore##7506
turnin Vulture's Vigor##2603 |goto 50.64,14.30
|only if itemcount(8396) > 0
step
talk Bloodmage Drazial##7505
turnin Snickerfang Jowls##2581 |goto 50.55,14.21
|only if itemcount(8391) > 0
step
talk Bloodmage Drazial##7505
turnin A Boar's Vitality##2583 |goto 50.55,14.21
|only if itemcount(8393) > 0
step
talk Bloodmage Drazial##7505
turnin The Decisive Striker##2585 |goto 50.55,14.21
|only if itemcount(8393) > 0
step
talk Kum'isha the Collector##7363
|tip He walks around this area.
|tip We will be running Sunken Temple after this zone. Start looking for a group.
accept Everything Counts In Large Amounts##3501 |goto 51.80,35.64
|only if itemcount(10593) > 0
step
talk Kum'isha the Collector##7363
|tip He walks around this area.
turnin Everything Counts In Large Amounts##3501 |goto 51.80,35.64
|only if haveq(3501) or completedq(3501)
step
talk Kum'isha the Collector##7363
|tip He walks around this area.
accept To Serve Kum'isha##2521 |goto 51.80,35.64
|only if itemcount(8244) > 0
step
talk Kum'isha the Collector##7363
|tip He walks around this area.
|tip We will be running Sunken Temple after this zone. Start looking for a group.
turnin To Serve Kum'isha##2521 |goto 51.80,35.64
|only if haveq(2521) or completedq(2521)
step
Run the Sunken Temple Raid
|tip Skip this step if you are unable to find a group.
|confirm
step
talk Oglethorpe Obnoticus##7406
|tip In an upstairs building.
accept An OOX of Your Own##3721 |goto Stranglethorn Vale/0 28.01,76.43
turnin An OOX of Your Own##3721 |goto Stranglethorn Vale/0 28.01,76.43
|only if completedallq(836,648,2767)
step
Enter the building |goto Stormwind City/0 44.52,73.91 < 10 |walk
talk Clavicus Knavingham##14722
|tip Upstairs inside the building.
accept A Donation of Wool##7791 |goto 44.27,73.97 |instant
|only if itemcount(2592) >= 60
step
talk Clavicus Knavingham##14722
|tip Upstairs inside the building.
accept A Donation of Silk##7793 |goto 44.27,73.97 |instant
|only if itemcount(4306) >= 60
step
talk Clavicus Knavingham##14722
|tip Upstairs inside the building.
accept A Donation of Mageweave##7794 |goto 44.27,73.97 |instant
|only if itemcount(4338) >= 60
step
talk Clavicus Knavingham##14722
|tip Upstairs inside the building.
accept A Donation of Runecloth##7795 |goto 44.27,73.97 |instant
|only if itemcount(14047) >= 60
step
talk Brohann Caskbelly##5384
turnin Into The Temple of Atal'Hakkar##1475 |goto 64.33,20.65
|only if haveq(1475)
step
Enter the building |goto Stormwind City 69.19,28.59 < 7 |walk
talk Highlord Bolvar Fordragon##1748
|tip Inside the building.
turnin The True Masters##4184 |goto 78.22,17.99
|only if haveq(4184)
step
talk Highlord Bolvar Fordragon##1748
|tip Inside the building.
accept The True Masters##4185 |goto 78.22,17.99
|only if completedq(4184)
step
talk Lady Katrana Prestor##1749
|tip Inside the building.
Tell her _"Pardon the intrusion, Lady Prestor, but Highlord Bolvar suggested that I seek your advice."_
|tip Click through the dialogue.
Receive Advice From Lady Prestor |q 4185/1 |goto 78.10,17.75
|only if haveq(4185)
step
talk Highlord Bolvar Fordragon##1748
|tip Inside the building.
turnin The True Masters##4185 |goto 78.22,17.99
|only if haveq(4185)
step
talk Highlord Bolvar Fordragon##1748
|tip Inside the building.
accept The True Masters##4186 |goto 78.22,17.99
|only if completedq(4185)
step
talk Tannysa##5566
accept Jonespyre's Request##3787 |goto 44.69,77.0
|only if zone("Stormwind City")
step
Enter the building |goto Redridge Mountains 29.51,46.07 < 5 |walk
talk Magistrate Solomon##344
|tip Inside the building.
|tip You can accept the follow-up if you plan to level in Burning Steppes later. We will not be going there in this guide.
turnin The True Masters##4186 |goto 29.98,44.45
|only if haveq(4186)
step
use Margol's Horn##10000
accept The Horn of the Beast##3181 |goto Loch Modan 18.19,84.00
|only if itemcount(10000) == 1
step
talk Mountaineer Pebblebitty##3836
turnin The Horn of the Beast##3181 |goto Loch Modan 18.19,84.00
|only if haveq(3181)
step
talk Mountaineer Pebblebitty##3836
accept Proof of Deed##3182 |goto Loch Modan 18.19,84.00
|only if completedq(3181)
step
|tip Collect your cloth if its in your bank.
|tip Gather 120 of each if you need to do both Ironforge and Gnomeregan turnins.
collect 60 Wool Cloth##2592 |goto 24.16,74.67 |q 7802 |future
collect 60 Silk Cloth##4306 |goto 24.16,74.67 |q 7803 |future
collect 60 Mageweave Cloth##4338 |goto 24.16,74.67 |q 7804 |future
collect 60 Runecloth##14047 |goto 24.16,74.67 |q 7805 |future
step
talk Mistina Steelshield##14723
accept A Donation of Wool##7802 |goto Ironforge/0 43.22,31.57 |instant
|only if itemcount(2592) >= 60
step
talk Mistina Steelshield##14723
accept A Donation of Silk##7803 |goto 43.22,31.57 |instant
|only if itemcount(4306) >= 60
step
talk Mistina Steelshield##14723
accept A Donation of Mageweave##7804 |goto 43.22,31.57 |instant
|only if itemcount(4338) >= 60
step
talk Mistina Steelshield##14723
accept A Donation of Runecloth##7805 |goto 43.22,31.57 |instant
|only if itemcount(14047) >= 60
step
|tip Collect your cloth if its in your bank
collect 60 Wool Cloth##2592 |goto Ironforge/0 24.16,74.67 |q 7807 |future
collect 60 Silk Cloth##4306 |goto 24.16,74.67 |q 7808 |future
collect 60 Mageweave Cloth##4338 |goto 24.16,74.67 |q 7809 |future
collect 60 Runecloth##14047 |goto 24.16,74.67 |q 7811 |future
step
talk Bubulo Acerbus##14724
accept A Donation of Wool##7807 |goto 74.09,48.22 |instant
|only if itemcount(2592) >= 60
step
talk Bubulo Acerbus##14724
accept A Donation of Silk##7808 |goto 74.09,48.22 |instant
|only if itemcount(4306) >= 60
step
talk Bubulo Acerbus##14724
accept A Donation of Mageweave##7809 |goto 74.09,48.22 |instant
|only if itemcount(4338) >= 60
step
talk Bubulo Acerbus##14724
accept A Donation of Runecloth##7811 |goto 74.09,48.22 |instant
|only if itemcount(14047) >= 60
step
Run up the stairs and enter the building |goto 32.00,5.50 < 7 |walk
talk Tymor##8507
|tip Inside the building.
turnin Return to Tymor##3461 |goto 30.97,4.82
|only if haveq(3461)
step
Leave the bank |goto 34.29,62.11 < 10 |walk |only if subzone("Vault of Ironforge")
Enter the High Seat |goto 44.57,49.50 < 10 |walk |only if not subzone("The High Seat")
talk Royal Historian Archesonus##8879
|tip Inside the building.
turnin The Smoldering Ruins of Thaurissan##3701 |goto 38.37,55.31
|only if haveq(3701)
step
talk Curator Thorius##8256
|tip He walks around this area inside the building.
turnin Proof of Deed##3182 |goto Ironforge 72.01,15.53
|only if haveq(3182)
step
talk High Explorer Magellas##5387
turnin The Platinum Discs##2279 |goto 69.93,18.54
|only if haveq(2279)
step
talk High Explorer Magellas##5387
accept The Platinum Discs##2439 |goto 69.93,18.54
|only if completedq(2279)
step
Enter the building |goto 34.08,62.42 < 7 |walk
talk Dinita Stonemantle##7292
|tip Inside the building.
turnin The Platinum Discs##2439 |goto 33.48,60.21
|only if haveq(2439)
step
talk Dinita Stonemantle##7292
|tip Inside the building.
accept Portents of Uldum##2963 |goto 33.48,60.21
|only if completedq(2963)
step
talk Historian Karnik##2916
turnin Portents of Uldum##2963 |goto Ironforge 77.57,11.83
|only if haveq(2963)
step
talk Historian Karnik##2916
accept Seeing What Happens##2946 |goto Ironforge 77.57,11.83
|only if completedq(2963)
step
Collect your Hinterlands Incursion envelopes from the bank.
|tip Use your Emerald Ring to teleport to the Hinterlands Incursion by targeting a party member in the area.
accept Hinterlands Mission I: Defeat Moonkin##81786 |goto The Hinterlands 63.23,27.66
accept Hinterlands Mission II: Defeat Giant Turtles##81787 |goto The Hinterlands 63.23,27.66
accept Hinterlands Mission III: Defeat Dragonkin##81788 |goto The Hinterlands 63.23,27.66
accept Hinterlands Mission X: Star Lotus##81833 |goto The Hinterlands 63.23,27.66
accept Hinterlands Mission XI: Starsilver Ore##81834 |goto The Hinterlands 63.23,27.66
accept Hinterlands Mission XII: Starshells##81835 |goto The Hinterlands 63.23,27.66
accept Hinterlands Mission XIII: Defeat Florius##81837 |goto The Hinterlands 63.23,27.66
accept Hinterlands Mission XIV: Defeat Doomkin##81838 |goto The Hinterlands 63.23,27.66
accept Hinterlands Mission XV: Defeat Ghamoo-Raja##81839 |goto The Hinterlands 63.23,27.66
step
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444760 |goto 62.23,23.23
|tip Run up the ramp and enter the huge green portal.
stickystart "Fallen_Moonkin"
stickystart "Starsilver_Ore"
stickystart "Get_Emerald_Nightmare_Buff"
step
kill Doomkin##221265  |q 81838/1 |goto 56.62,43.35
|tip At the bottom of the cave.
|tip You share tags with your entire faction on this enemy.
|only if haveq(81838)
step
label "Starsilver_Ore"
collect 10 Starsilver Ore##219486 |goto 56.62,43.35
|tip Mine this from ore in the area or buy it from other players.
|only if haveq(81834)
step
label "Fallen_Moonkin"
kill 20 Fallen Moonkin##221330 |q 81786/1 |goto 57.61,40.15
|only if haveq(81786)
stickystart "Wyrmkin"
step
kill Florius##221331 |q 81837/1 |goto 45.41,38.54
|tip You share tags with your entire faction on this enemy.
|tip He may be flying in the sky
|only if haveq(81837)
step
label "Wyrmkin"
kill 10 Wyrmkin Starhunter##221325 |q 81788/1 |goto 46.79,41.22
kill 3 Wrath Whelp##221326 |q 81788/2 |goto 46.79,41.22
|only if haveq(81788)
stickystart "Dreamwater_Vicejaw"
stickystart "Starshell"
stickystart "Star_Lotus"
step
kill Ghamoo-Raja##221334 |q 81839/1 |goto 72.33,54.08
|tip You share tags with your entire faction on this enemy.
|only if haveq(81839)
step
label "Star_Lotus"
|tip Gather these with herbalism or buy them from other players
collect 10 Star Lotus##219454 |goto 65.53,45.8
|only if haveq(81833)
step
label "Starshell"
|tip Skin these from Dreamwater Vicejaw or buy them from other players
collect 10 Starshell##219487 |goto 65.53,45.8
|only if haveq(81834)
step
label "Dreamwater_Vicejaw"
kill 20 Dreamwater Vicejaw##221328 |q 81787/1 |goto 65.53,45.8
|tip They spawn around the river and in the forests
|only if haveq(81787)
step
label "Get_Emerald_Nightmare_Buff"
_NOTE:_
You Need the Emerald Nightmare Buff
|tip Enter to the huge green portal at the top of the ramp.
Enter the Emerald Nightmare |havebuff Emerald Nightmare##444760
|sticky only
step
Leave the Emerald Nightmare |nobuff Emerald Nightmare##444760 |goto 62.23,23.23
|tip Run up the ramp and enter the huge green portal.
step
talk Field Captain Korlian##221479 |goto 61.40,34.49
|tip Turn in all of the Hinterlands Mission quests you have.
|autoturninany 81786-81852
step
Enter the building |goto 11.00,45.67 < 10 |walk
talk Gryphon Master Talonaxe##5636
|tip Inside the building.
turnin Saving Sharpbeak##2994 |goto 9.75,44.48
|only if haveq(2994)
step
talk High Priestess MacDonnell##11053
turnin Return to Chillwind Camp##5226 |goto Western Plaguelands/0 42.97,84.50
|only if haveq(5226)
step
talk Commander Ashlam Valorfist##10838
accept Mission Accomplished!##5237 |goto Western Plaguelands/0 42.70,84.03 |instant
|only if completedq(5266)
step
talk Commander Ashlam Valorfist##10838
turnin Alas, Andorhal##211 |goto 42.70,84.03
|only if haveq(211)
step
Hearth to Gadgetzan |only if not zone("Tanaris")
talk Chief Engineer Bilgewhizzle##7407
turnin Divino-matic Rod##2768 |goto Tanaris/0 52.46,28.51
|only if haveq(2768)
step
Hearth to Gadgetzan |only if not zone("Tanaris")
talk Alchemist Pestlezugg##5594
|tip Inside the building.
|tip We are heading to Darnassus soon. Start looking for summons or a mage portal.
turnin Pawn Captures Queen##4507 |goto Tanaris/0 50.89,26.96
|only if haveq(2946)
step
Hearth to Gadgetzan |only if not zone("Tanaris")
talk Alchemist Pestlezugg##5594
|tip Inside the building.
|tip We are heading to Darnassus soon. Start looking for summons or a mage portal.
accept Calm Before the Storm##4508 |goto Tanaris/0 50.89,26.96
|only if completedq(4507)
step
Enter the building |goto Tanaris 52.38,27.91 < 5 |walk
talk Dirge Quikcleave##8125
|tip Inside the building.
accept Clamlette Surprise##6610 |goto 52.63,28.11
|only if skill("Cooking") >= 225
step
Enter the building |goto 52.38,27.91 < 5 |walk
talk Dirge Quikcleave##8125
|tip Inside the building.
turnin Clamlette Surprise##6610 |goto 52.63,28.11
|only if haveq(6610)
step
click Uldum Pedestal##142343
turnin Seeing What Happens##2946 |goto 37.75,81.41
|only if haveq(2946)
step
click Uldum Pedestal##142343
accept The Stone Watcher##2954 |goto 37.75,81.41
|only if completedq(2954)
step
click Uldum Pedestal##142343
|tip We will not turn in Return to Ironforge in this guide, turn it and it's followups in while you level on your own.
turnin The Stone Watcher##2954 |goto 37.75,81.41
|only if haveq(2954)
step
click Uldum Pedestal##142343
|tip We will not turn in Return to Ironforge in this guide, turn it and it's followups in while you level on your own.
accept Return to Ironforge##2977 |goto 37.75,81.41
|only if completedq(2954)
step
talk Gracina Spiritmight##7740
|tip You can use your Emerald Ring to teleport to Ashenvale Incursions if you did not get a taxi to Darnassus. |only if not zone("Darnassus")
turnin Calm Before the Storm##4508 |goto Darnassus/0 41.85,85.62
|only if haveq(4508)
step
talk Gracina Spiritmight##7740
|tip You can use your Emerald Ring to teleport to Ashenvale Incursions if you did not get a taxi to Darnassus. |only if not zone("Darnassus")
accept Calm Before the Storm##4510 |goto 41.85,85.62
|only if completedq(4508)
step
talk Idriana##4155
turnin Calm Before the Storm##4510 |goto Darnassus 56.24,54.04
|only if haveq(4510)
step
|tip Gather your cloth for turnins.
|tip You can use your Emerald Ring to teleport to Ashenvale Incursions if you did not get a taxi to Darnassus. |only if not zone("Darnassus")
collect 60 Wool Cloth##2592 |goto Darnassus 56.24,54.04 |q 7792 |future
collect 60 Silk Cloth##4306 |goto Darnassus 56.24,54.04 |q 7798 |future
collect 60 Mageweave Cloth##4338 |goto Darnassus 56.24,54.04 |q 7799 |future
collect 60 Runecloth##14047 |goto Darnassus 56.24,54.04 |q 7800 |future
step
Run up the ramp |goto 61.25,23.25 < 10 |only if walking
|tip You can use your Emerald Ring to teleport to Ashenvale Incursions if you did not get a taxi to Darnassus. |only if not zone("Darnassus")
talk Raedon Duskstriker##14725
accept A Donation of Wool##7792 |goto 64.02,23.00 |instant
|only if itemcount(2592) >= 60
step
|tip You can use your Emerald Ring to teleport to Ashenvale Incursions if you did not get a taxi to Darnassus. |only if not zone("Darnassus")
talk Raedon Duskstriker##14725
accept A Donation of Silk##7798 |goto 64.02,23.00 |instant
|only if itemcount(4306) >= 60
step
|tip You can use your Emerald Ring to teleport to Ashenvale Incursions if you did not get a taxi to Darnassus. |only if not zone("Darnassus")
talk Raedon Duskstriker##14725
accept A Donation of Mageweave##7799 |goto 64.02,23.00 |instant
|only if itemcount(4338) >= 60
step
talk Raedon Duskstriker##14725
|tip You can use your Emerald Ring to teleport to Ashenvale Incursions if you did not get a taxi to Darnassus. |only if not zone("Darnassus")
accept A Donation of Runecloth##7800 |goto 64.02,23.00 |instant
|only if itemcount(14047) >= 60
step
talk Arch Druid Fandral Staghelm##3516
|tip He's all the way upstairs
accept Un'Goro Soil##3764 |goto Darnassus/0 35.06,9.20
|only if itemcount(11018) >= 20
step
talk Jenal##9047
|tip He's outside on the ground.
turnin Un'Goro Soil##3764 |goto 31.50,8.24
|only if haveq(3764)
step
talk Arch Druid Fandral Staghelm##3516
|tip He's all the way upstairs
accept Morrowgrain Research##3781 |goto Darnassus/0 35.06,9.20
|only if itemcount(11040) >= 10
step
talk Mathrengyl Bearwalker##4217
|tip He's on the middle floor
turnin Morrowgrain Research##3781 |goto 35.44,8.38
|only if haveq(3781)
step
talk Mathrengyl Bearwalker##4217
|tip He's on the middle floor
accept Morrowgrain Research ##3785 |goto 35.44,8.38
|only if completedq(3781)
step
talk Mathrengyl Bearwalker##4217
|tip He's on the middle floor
turnin Morrowgrain Research ##3785 |goto 35.44,8.38
|only if haveq(3785)
step
talk Jessir Moonbow##11019
|tip Collect your Feralas Incursion envelopes from the bank before leaving Darnassus. |only if zone("Darnassus")
turnin The Remains of Trey Lightforge##5385 |goto Felwood/0 51.35, 82.01
|only if haveq(5385)
step
talk Greta Mosshoof##10922
|tip Collect your Feralas Incursion envelopes from the bank before leaving Darnassus. |only if zone("Darnassus")
|tip She walks around this area.
turnin A Final Blow##5242 |goto 51.21,82.11
|only if haveq(5242)
step
talk Taronn Redfeather##10921
|tip Inside the building.
|tip Collect your Feralas Incursion envelopes from the bank before leaving Darnassus. |only if zone("Darnassus")
turnin Verifying the Corruption##5156 |goto Felwood/0 50.89,81.62
|only if haveq(5156)
step
Enter the building |goto 51.26,81.69 < 10 |walk
talk Eridan Bluewind##9116
|tip Inside the building.
|tip Collect your Feralas Incursion envelopes from the bank before leaving Darnassus. |only if zone("Darnassus")
turnin Felbound Ancients##4441 |goto 51.35,81.51
|only if haveq(4441)
step
Watch the dialogue
talk Eridan Bluewind##9116
|tip Inside the building.
accept Purified!##4442 |goto 51.35,81.51
|only if completedq(4441)
step
talk Eridan Bluewind##9116
|tip Inside the building.
turnin Purified!##4442 |goto 51.35,81.51
|only if haveq(4442)
step
talk Arathandris Silversky##9528
|tip She walks around this area.
accept Salve via Hunting##5882 |goto 54.15,86.83 |instant
|only if itemcount(11515) >= 6
step
talk Arathandris Silversky##9528
|tip She walks around this area.
accept Salve via Gathering##5884 |goto 54.15,86.83 |instant
|only if itemcount(11514) >= 4
step
talk Arathandris Silversky##9528
|tip She walks around this area.
accept Salve via Mining##5883 |goto 54.15,86.83 |instant
|only if itemcount(11513) >= 4
step
talk Arathandris Silversky##9528
|tip She walks around this area.
accept Salve via Skinning##5885 |goto 54.15,86.83 |instant
|only if itemcount(11512) >= 5
step
talk Arathandris Silversky##9528
|tip She walks around this area.
accept Salve via Disenchanting##5886 |goto 54.15,86.83 |instant
|only if itemcount(11174) >= 1
step
Head to Feralas Incursions using your Emerald Ring
|tip Do a lap of all the Feralas Incursions. You can use the Feralas Incursion guide to accomplish this.
|tip You will not be able to do every quest due to the 20 Daily Quests limit. Prioritize the elite kill quests as they give the most experience.
|loadguide "Leveling\\Season of Discovery Events\\Nightmare Incursion\\Feralas Nightmare Incursion"
step
talk Quintis Jonespyre##7879
|tip He's at the very top of the tower
turnin Jonespyre's Request##3787 |goto Feralas/0 32.45,43.80
|only if haveq(3787)
step
talk Quintis Jonespyre##7879
accept The Mystery of Morrowgrain##3791 |goto Feralas/0 32.45,43.80
|only if itemcount(11040) >= 10
step
talk Quintis Jonespyre##7879
turnin The Mystery of Morrowgrain##3791 |goto Feralas/0 32.45,43.80
|only if haveq(3791)
step
talk Muigin##9119
turnin Haze of Evil##82099 |goto 42.94,9.64
|only if haveq(82099)
step
talk Linken##8737
use A Small Pack##11107
|tip Open the pack
turnin It's a Secret to Everybody##3845 |goto 44.66,8.11
|only if haveq(3845)
step
use A Mangled Journal##11116
accept Williden's Journal##3884 |goto 43.95,7.14
|only if itemcount(11116) > 0
step
talk Williden Marshal##9270
turnin Williden's Journal##3884 |goto 43.95,7.14
|only if haveq(3884)
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Events\\Blackrock Eruption",{
author="support@zygorguides.com",
description="This guide will walk you through the Blackrock Eruption world event.",
},[[
step
This event is active every 2 hours after midnight server time.
You will know the event is active by the ash raining from the sky and the presence of the "Eruption!" buff.
|tip Most of these quests are dailies that reset every day.
|havebuff Eruption!##461197
step
talk Lookout Captain Lolo Longstriker##14634
accept Priority Target Duke Searbrand##84349 |goto Searing Gorge/0 37.76,26.55
step
talk Taskmaster Scrange##14626
accept More Like Lame Bringers##84355 |goto Searing Gorge/0 38.96,27.51
accept Work Smarter Not Harder##84351 |goto Searing Gorge/0 38.96,27.51
step
talk Hansel Heavyhands##14627
accept Priority Target Duke Tectonis##84348 |goto Searing Gorge/0 38.62,27.82
accept Lava Diving##84372 |goto Searing Gorge/0 38.62,27.82
step
talk Master Smith Burninate##14624
accept Oh Shiny##84356 |goto Searing Gorge/0 38.80,28.50
step
talk Overseer Oilfist##14625
|tip Ontop of the tower
accept Firefighting##84360 |goto Searing Gorge/0 38.11,26.96
step
talk Evonice Sootsmoker##14628
accept Sleepless Nights##84359 |goto Searing Gorge/0 38.36,27.73
accept Grinding Them Down##84350 |goto Searing Gorge/0 38.36,27.73
step
use Dreamjuice##227768
|tip Drink the juice to see the enemies around Thorium Point.
kill 5 Flamebringer Stalker##228747 |q 84359/1 |goto Searing Gorge/0 38.36,27.73
step
kill 15 Firelands Invader##228718 |q 84360/1 |goto Searing Gorge/0 33.48,29.06
step
kill 5 Flamebringer Defender##228727 |q 84355/1 |goto Searing Gorge/0 28.41,39.10
kill 6 Flamebringer Elementalist##228726 |q 84355/2 |goto Searing Gorge/0 28.41,39.10
step
kill Dark Iron Slaver##5844+ |goto 43.38,34.94
collect 8 Flamestone Cluster##227767 |q 84356/1
stickystart "Molten_Mineral"
step
Jump down onto the metal walkway here |goto 49.32,43.74 < 15 |only if not (subzone("The Slag Pit") and _G.IsIndoors())
Enter the cave |goto 49.58,45.49 < 10 |c |only if not (subzone("The Slag Pit") and _G.IsIndoors())
Jump down from the bridge inside the cave here |goto 47.73,41.92 < 10 |walk
kill Duke Searbrand##228720 |q 84349/1 	|goto Searing Gorge/0 43.67,28.18
|tip He is located at the very back of the Incendosaur cave.
step
label "Molten_Mineral"
collect Shimmering Molten Mineral##228191 |goto Searing Gorge/0 43.67,28.18
|tip Click shimmering molten crag nodes in the lava pools in the Slag Pits
stickystart "Obsidian_Reaver"
step
kill Obsidian Surger##228724+
collect 6 Obsidian Power Core##227743 |q 84351/1 |goto Searing Gorge/0 32.66,75.99
step
label "Obsidian_Reaver"
kill 12 Obsidian Reaver##228723 |q 84350/1 |goto Searing Gorge/0 32.66,75.99
step
kill Duke Tectonis##228729 |q 84348/1 |goto Searing Gorge/0 21.79,76.57
|tip These were his coordinates on beta however he has not been seen on live servers and may be bugged. Please report his location if you spot him!
step
talk Lookout Captain Lolo Longstriker##14634
turnin Priority Target Duke Searbrand##84349 |goto Searing Gorge/0 37.76,26.55
step
talk Taskmaster Scrange##14626
turnin More Like Lame Bringers##84355 |goto Searing Gorge/0 38.96,27.51
turnin Work Smarter Not Harder##84351 |goto Searing Gorge/0 38.96,27.51
step
talk Hansel Heavyhands##14627
turnin Priority Target Duke Tectonis##84348 |goto Searing Gorge/0 38.62,27.82
turnin Lava Diving##84372 |goto Searing Gorge/0 38.62,27.82
step
talk Master Smith Burninate##14624
turnin Oh Shiny##84356 |goto Searing Gorge/0 38.80,28.50
step
talk Evonice Sootsmoker##14628
turnin Sleepless Nights##84359 |goto Searing Gorge/0 38.36,27.73
turnin Grinding Them Down##84350 |goto Searing Gorge/0 38.36,27.73
step
talk Overseer Oilfist##14625
|tip Ontop of the tower
turnin Firefighting##84360 |goto Searing Gorge/0 38.11,26.96
]])
ZygorGuidesViewer:RegisterGuide("Leveling Guides\\Season of Discovery Events\\Demon Fall Canyon Dungeon Unlock",{
author="support@zygorguides.com",
description="This guide will walk you through unlocking the Demon Fall Canyon dungeon in SoD Phase 4.",
},[[
step
ding 55
|tip Use the leveling guides to accomplish this.
step
talk Shadowtooth Emissary##222408
accept Demonic Deceptions##84384 |goto Felwood 51.57,82.00
step
Kill Owlbeast enemies around this area
collect 6 Owlbeast Pineal Gland##84384 |q 84384/1 |goto Winterspring 65.85,21.07
step
talk Shadowtooth Emissary##222408
turnin Demonic Deceptions##84384 |goto Felwood 51.57,82.00
step
_NOTE:_
Equip the Shadowtooth Illusion Ward Trinket
|tip You received this from the previous step.
|tip This will allow you to see the dungeon entrance portal.
|tip The portal is at this location.
Click Here to Continue |confirm |goto Ashenvale 84.52,73.59
]])
