--[[
$Id: LibBabble-SubZone-3.0.lua 238 2021-06-28 15:51:08Z arithmandar $
Name: LibBabble-SubZone-3.0
Revision: $Rev: 238 $
Maintainers: arith
Last updated by: $Author: arithmandar $
Website: http://www.wowace.com/addons/libbabble-subzone-3-0/
Dependencies: None
License: MIT
]]

local MAJOR_VERSION = "LibBabble-SubZone-3.0"
local MINOR_VERSION = 90000 + tonumber(("$Rev: 238 $"):match("%d+"))

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local _, private = ...
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

-- Notes: Do not manually edit the translation here, as it may be overwritten by WoWAce's localization automation tool
-- To revise translation, please visit: http://www.wowace.com/addons/libbabble-subzone-3-0/localization/

private["LibBabble-SubZone-3.0-LoadingLib"] = lib

lib:SetBaseTranslations
{
	["$n's Fort"] = "$n's Fort",
	["$n's Garrison"] = "$n's Garrison",
	["$n's Level 4 Alliance Garrison"] = "$n's Level 4 Alliance Garrison",
	["$n's Level 4 Horde Garrison"] = "$n's Level 4 Horde Garrison",
	["$n's Outpost"] = "$n's Outpost",
	["110 Boost"] = "110 Boost",
	["7.0 Naga Dungeon - Sea Giant Tunnel"] = "7.0 Naga Dungeon - Sea Giant Tunnel",
	["7th Legion Base Camp"] = "7th Legion Base Camp",
	["7th Legion Front"] = "7th Legion Front",
	["7th Legion Submarine"] = "7th Legion Submarine",
	["8.0 Prison Dungeon - Waterlogged Sewers - KLH"] = "8.0 Prison Dungeon - Waterlogged Sewers - KLH",
	["9.1 Campaign"] = "9.1 Campaign",
	["99.0 Hackathon - Sean's Stormwind Instance - (STM)"] = "99.0 Hackathon - Sean's Stormwind Instance - (STM)",
	["A Brewing Storm"] = "A Brewing Storm",
	["A Dark Place"] = "A Dark Place",
	["A Gilnean's Dream"] = "A Gilnean's Dream",
	["A Hero's Welcome"] = "A Hero's Welcome",
	["A Little Patience"] = "A Little Patience",
	["Aalgen Point"] = "Aalgen Point",
	["Aarko's Estate"] = "Aarko's Estate",
	["Abandoned Armory"] = "Abandoned Armory",
	["Abandoned Burrows"] = "Abandoned Burrows",
	["Abandoned Camp"] = "Abandoned Camp",
	["Abandoned Highmaul Mine"] = "Abandoned Highmaul Mine",
	["Abandoned Junkheap"] = "Abandoned Junkheap",
	["Abandoned Kirin Tor Camp"] = "Abandoned Kirin Tor Camp",
	["Abandoned Mine"] = "Abandoned Mine",
	["Abandoned Mines"] = "Abandoned Mines",
	["Abandoned Passage"] = "Abandoned Passage",
	["Abandoned Reef"] = "Abandoned Reef",
	["Abandoned Ruin"] = "Abandoned Ruin",
	["Above the Frozen Sea"] = "Above the Frozen Sea",
	["Absolon's Vigil"] = "Absolon's Vigil",
	["Absolution Bridge"] = "Absolution Bridge",
	["Absolution Crypt"] = "Absolution Crypt",
	["Abyssal Breach"] = "Abyssal Breach",
	["Abyssal Depths"] = "Abyssal Depths",
	["Abyssal Halls"] = "Abyssal Halls",
	["Abyssal Maw"] = "Abyssal Maw",
	["Abyssal Maw Exterior"] = "Abyssal Maw Exterior",
	["Abyssal Pool"] = "Abyssal Pool",
	["Abyssal Sands"] = "Abyssal Sands",
	["Abyssion's Lair"] = "Abyssion's Lair",
	["Access Shaft Zeon"] = "Access Shaft Zeon",
	["Acherus"] = "Acherus",
	["Acherus: The Ebon Hold"] = "Acherus: The Ebon Hold",
	["Acidic Maw"] = "Acidic Maw",
	["Addington Shipyards"] = "Addington Shipyards",
	["Addle's Stead"] = "Addle's Stead",
	["Aderic's Repose"] = "Aderic's Repose",
	["Admiral Taylor's Farm"] = "Admiral Taylor's Farm",
	["Admiral Taylor's Garrison"] = "Admiral Taylor's Garrison",
	["Aegira's Meadery"] = "Aegira's Meadery",
	["Aegrim's Study"] = "Aegrim's Study",
	["Aegwynn's Gallery"] = "Aegwynn's Gallery",
	["Aegwynn's Tower"] = "Aegwynn's Tower",
	["Aerie Peak"] = "Aerie Peak",
	["Aeris Landing"] = "Aeris Landing",
	["Affliction Ridge"] = "Affliction Ridge",
	["Against the Void"] = "Against the Void",
	["Agama'gor"] = "Agama'gor",
	["Agamand Family Crypt"] = "Agamand Family Crypt",
	["Agamand Mills"] = "Agamand Mills",
	["Aggramar's Vault"] = "Aggramar's Vault",
	["Agmar's Hammer"] = "Agmar's Hammer",
	["Agmond's End"] = "Agmond's End",
	["Agol'watha"] = "Agol'watha",
	["Agthia's Repose"] = "Agthia's Repose",
	["Agurak's Fall"] = "Agurak's Fall",
	["Ahn Qiraj"] = "Ahn Qiraj",
	["Ahn'kahet: The Old Kingdom"] = "Ahn'kahet: The Old Kingdom",
	["Ahn'kahet: The Old Kingdom Entrance"] = "Ahn'kahet: The Old Kingdom Entrance",
	["Ahn'Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj Temple"] = "Ahn'Qiraj Temple",
	["Ahn'Qiraj Terrace"] = "Ahn'Qiraj Terrace",
	["Ahn'Qiraj: The Fallen Kingdom"] = "Ahn'Qiraj: The Fallen Kingdom",
	["Ai'twen's Cave"] = "Ai'twen's Cave",
	["Akarek's Tears"] = "Akarek's Tears",
	["Akazamzarak's Hat"] = "Akazamzarak's Hat",
	["Akeeta's Hovel"] = "Akeeta's Hovel",
	["Akhenet Fields"] = "Akhenet Fields",
	["Akstad"] = "Akstad",
	["Aktar's Post"] = "Aktar's Post",
	["Aku'mai's Lair"] = "Aku'mai's Lair",
	["Alabaster Shelf"] = "Alabaster Shelf",
	["Alathir Spire"] = "Alathir Spire",
	["Ala'washte's Nest"] = "Ala'washte's Nest",
	["Alcaz Island"] = "Alcaz Island",
	["Alchemy Lab"] = "Alchemy Lab",
	["Aldor Rise"] = "Aldor Rise",
	["Aldrassil"] = "Aldrassil",
	["Aldur'thar: The Desolation Gate"] = "Aldur'thar: The Desolation Gate",
	["Alexston Farmstead"] = "Alexston Farmstead",
	["Algaz Gate"] = "Algaz Gate",
	["Algaz Station"] = "Algaz Station",
	["Algerson Lumber Yard"] = "Algerson Lumber Yard",
	["All In"] = "All In",
	["All That Glitters Prospecting Co."] = "All That Glitters Prospecting Co.",
	["Allen Farmstead"] = "Allen Farmstead",
	["Allerian Post"] = "Allerian Post",
	["Allerian Stronghold"] = "Allerian Stronghold",
	["Alliance Airship"] = "Alliance Airship",
	["Alliance Base"] = "Alliance Base",
	["Alliance Beach Daily Area"] = "Alliance Beach Daily Area",
	["Alliance Beachhead"] = "Alliance Beachhead",
	["Alliance Keep"] = "Alliance Keep",
	["Alliance Mercenary Ship to Vashj'ir"] = "Alliance Mercenary Ship to Vashj'ir",
	["Alliance Mine"] = "Alliance Mine",
	["Alliance Outpost"] = "Alliance Outpost",
	["Alliance PVP Barracks"] = "Alliance PVP Barracks",
	["Alliance Rec Center"] = "Alliance Rec Center",
	["Alliance Shipyard Taxi"] = "Alliance Shipyard Taxi",
	["Alliance Submarine"] = "Alliance Submarine",
	["Alliance Town Hall"] = "Alliance Town Hall",
	["Allied - Mechagnome Unlock"] = "Allied - Mechagnome Unlock",
	["Allied - Orgrimmar"] = "Allied - Orgrimmar",
	["Allied - Stormwind"] = "Allied - Stormwind",
	["Alllied - Vulpera Unlock"] = "Alllied - Vulpera Unlock",
	["Alluvanon's Delta"] = "Alluvanon's Delta",
	["Alluvium Hollow"] = "Alluvium Hollow",
	["Alodi's Bank Vault"] = "Alodi's Bank Vault",
	["Alonsus Chapel"] = "Alonsus Chapel",
	["Alpine Rise"] = "Alpine Rise",
	["Altar of Akunda"] = "Altar of Akunda",
	["Altar of Ascension"] = "Altar of Ascension",
	["Altar of Darkest Rites"] = "Altar of Darkest Rites",
	["Altar of Domination"] = "Altar of Domination",
	["Altar of Drowned Whispers"] = "Altar of Drowned Whispers",
	["Altar of End Times"] = "Altar of End Times",
	["Altar of Gonk"] = "Altar of Gonk",
	["Altar of Har'koa"] = "Altar of Har'koa",
	["Altar of Hir'eek"] = "Altar of Hir'eek",
	["Altar of Kron"] = "Altar of Kron",
	["Altar of Mam'toth"] = "Altar of Mam'toth",
	["Altar of Quetz'lun"] = "Altar of Quetz'lun",
	["Altar of Rhunok"] = "Altar of Rhunok",
	["Altar of Rot"] = "Altar of Rot",
	["Altar of Sanbwoni"] = "Altar of Sanbwoni",
	["Altar of Shadow"] = "Altar of Shadow",
	["Altar of Sha'tar"] = "Altar of Sha'tar",
	["Altar of Sseratus"] = "Altar of Sseratus",
	["Altar of Storms"] = "Altar of Storms",
	["Altar of the Blood God"] = "Altar of the Blood God",
	["Altar of Twilight"] = "Altar of Twilight",
	["Altars of Agony"] = "Altars of Agony",
	["Alterac Mountains"] = "Alterac Mountains",
	["Alterac Valley"] = "Alterac Valley",
	["Alther's Mill"] = "Alther's Mill",
	["Alturus' Sanctum"] = "Alturus' Sanctum",
	["Amani Catacombs"] = "Amani Catacombs",
	["Amani Mountains"] = "Amani Mountains",
	["Amani Pass"] = "Amani Pass",
	["Amber Ledge"] = "Amber Ledge",
	["Amber Quarry"] = "Amber Quarry",
	["Amber Research Sanctum"] = "Amber Research Sanctum",
	["Amberfall Mesa"] = "Amberfall Mesa",
	["Amberfly Bog"] = "Amberfly Bog",
	["Amberglow Hollow"] = "Amberglow Hollow",
	["Amberlight Cavern"] = "Amberlight Cavern",
	["Ambermarsh"] = "Ambermarsh",
	["Ambermill"] = "Ambermill",
	["Amberpine Lodge"] = "Amberpine Lodge",
	["Ambershard Cavern"] = "Ambershard Cavern",
	["Amberstill Ranch"] = "Amberstill Ranch",
	["Ambervale"] = "Ambervale",
	["Amberweb Pass"] = "Amberweb Pass",
	["Ameth'Aran"] = "Ameth'Aran",
	["Amidst the Shadows"] = "Amidst the Shadows",
	["Ammen Fields"] = "Ammen Fields",
	["Ammen Ford"] = "Ammen Ford",
	["Ammen Vale"] = "Ammen Vale",
	["Amora Grotto"] = "Amora Grotto",
	["Amphitheater of Anguish"] = "Amphitheater of Anguish",
	["Amphitheater of Annihilation"] = "Amphitheater of Annihilation",
	["Amphitheater of Sorrow"] = "Amphitheater of Sorrow",
	["Amphitheater of the Eternal"] = "Amphitheater of the Eternal",
	["Amputory"] = "Amputory",
	["Ampvolt Arcade"] = "Ampvolt Arcade",
	["An Audience with Arrogance"] = "An Audience with Arrogance",
	["An Eye for a Scepter"] = "An Eye for a Scepter",
	["Ancestor's Grotto"] = "Ancestor's Grotto",
	["Ancestral Grounds"] = "Ancestral Grounds",
	["Ancestral Rise"] = "Ancestral Rise",
	["Anchorite's Sojourn"] = "Anchorite's Sojourn",
	["Anchor's Away"] = "Anchor's Away",
	["Anchors Down"] = "Anchors Down",
	["Ancient Abode"] = "Ancient Abode",
	["Ancient Courtyard"] = "Ancient Courtyard",
	["Ancient Rest"] = "Ancient Rest",
	["Ancient Well"] = "Ancient Well",
	["Ancient Zul'Gurub"] = "Ancient Zul'Gurub",
	["An'daroth"] = "An'daroth",
	["Andilien Estate"] = "Andilien Estate",
	["Andorhal"] = "Andorhal",
	["Andromath's Rise"] = "Andromath's Rise",
	["Andruk"] = "Andruk",
	["Andu'talah"] = "Andu'talah",
	["Angerfang Encampment"] = "Angerfang Encampment",
	["Angkhal Pavilion"] = "Angkhal Pavilion",
	["Anglepoint Cave"] = "Anglepoint Cave",
	["Anglepoint Packing District"] = "Anglepoint Packing District",
	["Anglepoint Wharf"] = "Anglepoint Wharf",
	["Anglers Expedition"] = "Anglers Expedition",
	["Anglers Wharf"] = "Anglers Wharf",
	["Angor Fortress"] = "Angor Fortress",
	["Ango'rosh Grounds"] = "Ango'rosh Grounds",
	["Ango'rosh Ruins"] = "Ango'rosh Ruins",
	["Ango'rosh Stronghold"] = "Ango'rosh Stronghold",
	["Angrathar the Wrath Gate"] = "Angrathar the Wrath Gate",
	["Angrathar the Wrathgate"] = "Angrathar the Wrathgate",
	["Anguish Fortress"] = "Anguish Fortress",
	["Anguish Point"] = "Anguish Point",
	["Anim Playground"] = "Anim Playground",
	["Animated Cavern"] = "Animated Cavern",
	["Animation Playground"] = "Animation Playground",
	["Ankhaten Harbor"] = "Ankhaten Harbor",
	["Annex of Prophecy"] = "Annex of Prophecy",
	["Annihilan Pits"] = "Annihilan Pits",
	["Ano Ziggurat"] = "Ano Ziggurat",
	["Anora Hollow"] = "Anora Hollow",
	["An'owyn"] = "An'owyn",
	["An'telas"] = "An'telas",
	["Antonidas Memorial"] = "Antonidas Memorial",
	["Antoran Wastes"] = "Antoran Wastes",
	["Antorus, the Burning Throne"] = "Antorus, the Burning Throne",
	["Antul'Mita Plateau"] = "Antul'Mita Plateau",
	["Anvil of Conflagration"] = "Anvil of Conflagration",
	["Anvilmar"] = "Anvilmar",
	["Anyport"] = "Anyport",
	["Apex Point"] = "Apex Point",
	["Apexis Chamber"] = "Apexis Chamber",
	["Apexis Excavation"] = "Apexis Excavation",
	["Apocryphan's Rest"] = "Apocryphan's Rest",
	["Apostate's Reach"] = "Apostate's Reach",
	["Apothecary"] = "Apothecary",
	["Apothecary Camp"] = "Apothecary Camp",
	["Applebloom Tavern"] = "Applebloom Tavern",
	["Arathi Basin"] = "Arathi Basin",
	["Arathi Basin Comp Stomp"] = "Arathi Basin Comp Stomp",
	["Arathi Basin Winter"] = "Arathi Basin Winter",
	["Arathi Highlands"] = "Arathi Highlands",
	["Arathi Highlands 2"] = "Arathi Highlands 2",
	["Arathor's Embrace"] = "Arathor's Embrace",
	["Arbor Glen"] = "Arbor Glen",
	["Arcane Pinnacle"] = "Arcane Pinnacle",
	["Arcane Sanctum"] = "Arcane Sanctum",
	["Arcano Caverns"] = "Arcano Caverns",
	["Arcatraz"] = "Arcatraz",
	["Arch of Sha'tar"] = "Arch of Sha'tar",
	["Archenon Siegeyard"] = "Archenon Siegeyard",
	["Archivam"] = "Archivam",
	["Archives of Eternity"] = "Archives of Eternity",
	["Archmage Overwatch"] = "Archmage Overwatch",
	["Archmage Vargoth's Retreat"] = "Archmage Vargoth's Retreat",
	["Archon's Rise"] = "Archon's Rise",
	["Arcing Depths"] = "Arcing Depths",
	["Ardenweald"] = "Ardenweald",
	["Area 52"] = "Area 52",
	["Arena Floor"] = "Arena Floor",
	["Arena of Annihilation"] = "Arena of Annihilation",
	["Arena Of Annihiliation"] = "Arena Of Annihiliation",
	["Arena of Glory"] = "Arena of Glory",
	["Argent Pavilion"] = "Argent Pavilion",
	["Argent Stand"] = "Argent Stand",
	["Argent Tournament Grounds"] = "Argent Tournament Grounds",
	["Argent Vanguard"] = "Argent Vanguard",
	["Ar'gorok"] = "Ar'gorok",
	["Argus"] = "Argus",
	["Argus Wastes"] = "Argus Wastes",
	["Arid Basin"] = "Arid Basin",
	["Ariden's Camp"] = "Ariden's Camp",
	["Arikara's Needle"] = "Arikara's Needle",
	["Arinor Gardens"] = "Arinor Gardens",
	["Arkelios' Solace"] = "Arkelios' Solace",
	["Arklon Ruins"] = "Arklon Ruins",
	["Arklonis Ridge"] = "Arklonis Ridge",
	["Armory of the Silver Hand"] = "Armory of the Silver Hand",
	["Arom's Crossing"] = "Arom's Crossing",
	["Arom's Stand"] = "Arom's Stand",
	["Arriga Footbridge"] = "Arriga Footbridge",
	["Arsad Trade Post"] = "Arsad Trade Post",
	["Art Team Map"] = "Art Team Map",
	["Artifact Storage"] = "Artifact Storage",
	["Artisan's Gallery"] = "Artisan's Gallery",
	["Aruuna"] = "Aruuna",
	["Aruuna Crystal Mine"] = "Aruuna Crystal Mine",
	["Aruuna's Desolation"] = "Aruuna's Desolation",
	["Ascendant's Rise"] = "Ascendant's Rise",
	["Ascension Coliseum"] = "Ascension Coliseum",
	["Ascent of Frostfire"] = "Ascent of Frostfire",
	["Ascent of Swirling Winds"] = "Ascent of Swirling Winds",
	["Ashamane's Fall"] = "Ashamane's Fall",
	["Ashamane's Gate"] = "Ashamane's Gate",
	["Ashen Crater"] = "Ashen Crater",
	["Ashen Fields"] = "Ashen Fields",
	["Ashen Gate"] = "Ashen Gate",
	["Ashen Lake"] = "Ashen Lake",
	["Ashen Strand"] = "Ashen Strand",
	["Ashen Traverse"] = "Ashen Traverse",
	["Ashenvale"] = "Ashenvale",
	["Ashenwood Grove"] = "Ashenwood Grove",
	["Ashil's Bay"] = "Ashil's Bay",
	["Ashmaul Burial Grounds"] = "Ashmaul Burial Grounds",
	["Ashran"] = "Ashran",
	["Ashran Mine"] = "Ashran Mine",
	["Ash'theran"] = "Ash'theran",
	["Ashvane Armory"] = "Ashvane Armory",
	["Ashvane Company Yards"] = "Ashvane Company Yards",
	["Ashvane Docks"] = "Ashvane Docks",
	["Ashvane Encampment"] = "Ashvane Encampment",
	["Ashvane Foundry"] = "Ashvane Foundry",
	["Ashwood Depot"] = "Ashwood Depot",
	["Ashwood Lake"] = "Ashwood Lake",
	["Ashwood Post"] = "Ashwood Post",
	["Aspen Grove Post"] = "Aspen Grove Post",
	["Aspirant's Awakening"] = "Aspirant's Awakening",
	["Aspirant's Crucible"] = "Aspirant's Crucible",
	["Aspirant's Quarters"] = "Aspirant's Quarters",
	["Aspirant's Rest"] = "Aspirant's Rest",
	["Assassin's Cove"] = "Assassin's Cove",
	["Assault of the Sanctum of Order"] = "Assault of the Sanctum of Order",
	["Assault on Broken Shore"] = "Assault on Broken Shore",
	["Assault on Shaol'mara"] = "Assault on Shaol'mara",
	["Assault on Stormwind"] = "Assault on Stormwind",
	["Assault on the House of Rituals"] = "Assault on the House of Rituals",
	["Assault on Violet Hold"] = "Assault on Violet Hold",
	["Assault on Zan'vess"] = "Assault on Zan'vess",
	["Assault on Zeb'tula"] = "Assault on Zeb'tula",
	["Astranaar"] = "Astranaar",
	["Astravar Harbor"] = "Astravar Harbor",
	["Astromancer's Rise"] = "Astromancer's Rise",
	["Ata'gar Promontory"] = "Ata'gar Promontory",
	["Atal'Dazar"] = "Atal'Dazar",
	["Atal'Gral"] = "Atal'Gral",
	["Atal'Jani"] = "Atal'Jani",
	["Ata'mal Terrace"] = "Ata'mal Terrace",
	["Athenaeum"] = "Athenaeum",
	["Atrium"] = "Atrium",
	["Atrium of Piety"] = "Atrium of Piety",
	["Atrium of Sethraliss"] = "Atrium of Sethraliss",
	["Atrium of the Heart"] = "Atrium of the Heart",
	["Atul'Aman"] = "Atul'Aman",
	["Atulhet's Tomb"] = "Atulhet's Tomb",
	["Atul'Nazman"] = "Atul'Nazman",
	["Atwater Stead"] = "Atwater Stead",
	["Auberdine"] = "Auberdine",
	["Auberdine Coast"] = "Auberdine Coast",
	["Auberdine Refugee Camp"] = "Auberdine Refugee Camp",
	["Auburn Bluffs"] = "Auburn Bluffs",
	["Auchenai Crypts"] = "Auchenai Crypts",
	["Auchenai Grounds"] = "Auchenai Grounds",
	["Auchenai Precipice"] = "Auchenai Precipice",
	["Auchindoun"] = "Auchindoun",
	["Auchindoun - Auchenai Crypts Entrance"] = "Auchindoun - Auchenai Crypts Entrance",
	["Auchindoun - Mana-Tombs Entrance"] = "Auchindoun - Mana-Tombs Entrance",
	["Auchindoun - Sethekk Halls Entrance"] = "Auchindoun - Sethekk Halls Entrance",
	["Auchindoun - Shadow Labyrinth Entrance"] = "Auchindoun - Shadow Labyrinth Entrance",
	["Auchindoun Quest"] = "Auchindoun Quest",
	["Auchindoun: Auchenai Crypts"] = "Auchindoun: Auchenai Crypts",
	["Auchindoun: Mana-Tombs"] = "Auchindoun: Mana-Tombs",
	["Auchindoun: Sethekk Halls"] = "Auchindoun: Sethekk Halls",
	["Auchindoun: Shadow Labyrinth"] = "Auchindoun: Shadow Labyrinth",
	["Auction House"] = "Auction House",
	["Auren Falls"] = "Auren Falls",
	["Auren Ridge"] = "Auren Ridge",
	["Autumnal Rise"] = "Autumnal Rise",
	["Autumnshade Ridge"] = "Autumnshade Ridge",
	["Autumnvale"] = "Autumnvale",
	["Avalanchion's Vault"] = "Avalanchion's Vault",
	["Aviary"] = "Aviary",
	["Axefall"] = "Axefall",
	["Axefall Worksite"] = "Axefall Worksite",
	["Axetail Grotto"] = "Axetail Grotto",
	["Axis of Alignment"] = "Axis of Alignment",
	["Axxarien"] = "Axxarien",
	["Azeroth"] = "Azeroth",
	["Azeroth's Warning"] = "Azeroth's Warning",
	["Azjol-Nerub"] = "Azjol-Nerub",
	["Azjol-Nerub Entrance"] = "Azjol-Nerub Entrance",
	["Azshara"] = "Azshara",
	["Azshara Crater"] = "Azshara Crater",
	["Azshara's Palace"] = "Azshara's Palace",
	["Azsh'ari Terrace"] = "Azsh'ari Terrace",
	["Azsuna"] = "Azsuna",
	["Azulae Outpost"] = "Azulae Outpost",
	["Azure Dragonshrine"] = "Azure Dragonshrine",
	["Azure Watch"] = "Azure Watch",
	["Azurebreeze Coast"] = "Azurebreeze Coast",
	["Azuregale Bay"] = "Azuregale Bay",
	["Azuregale Cove"] = "Azuregale Cove",
	["Azuregale Hollow"] = "Azuregale Hollow",
	["Azurelight Bazaar"] = "Azurelight Bazaar",
	["Azurelight Square"] = "Azurelight Square",
	["Azurelode Mine"] = "Azurelode Mine",
	["Azuremyst Isle"] = "Azuremyst Isle",
	["Azurewing Repose"] = "Azurewing Repose",
	["Azurewing Whelplands"] = "Azurewing Whelplands",
	["Backbreaker Bay"] = "Backbreaker Bay",
	["Backwater Beach"] = "Backwater Beach",
	["Badlands"] = "Badlands",
	["Bael Modan"] = "Bael Modan",
	["Bael Modan Excavation"] = "Bael Modan Excavation",
	["Bael'dun Digsite"] = "Bael'dun Digsite",
	["Bael'dun Keep"] = "Bael'dun Keep",
	["Baelgun's Excavation Site"] = "Baelgun's Excavation Site",
	["Bahrum's Post"] = "Bahrum's Post",
	["Baine Rescue"] = "Baine Rescue",
	["Bait & Baited"] = "Bait & Baited",
	["Balargarde Fortress"] = "Balargarde Fortress",
	["Balcony"] = "Balcony",
	["Baleheim"] = "Baleheim",
	["Balejar Watch"] = "Balejar Watch",
	["Balia'mah Ruins"] = "Balia'mah Ruins",
	["Bal'lal Ruins"] = "Bal'lal Ruins",
	["Ballroom"] = "Ballroom",
	["Balnir Farmstead"] = "Balnir Farmstead",
	["Bambala"] = "Bambala",
	["Band of Acceleration"] = "Band of Acceleration",
	["Band of Alignment"] = "Band of Alignment",
	["Band of Transmutation"] = "Band of Transmutation",
	["Band of Variance"] = "Band of Variance",
	["Ban'ethil Barrow Den"] = "Ban'ethil Barrow Den",
	["Ban'ethil Barrow Descent"] = "Ban'ethil Barrow Descent",
	["Ban'ethil Hollow"] = "Ban'ethil Hollow",
	["Bank"] = "Bank",
	["Banks of Life"] = "Banks of Life",
	["Banquet Grounds"] = "Banquet Grounds",
	["Banquet Hall"] = "Banquet Hall",
	["Banshee's Wail"] = "Banshee's Wail",
	["Ban'Thallow Barrow Den"] = "Ban'Thallow Barrow Den",
	["Baradin Base Camp"] = "Baradin Base Camp",
	["Baradin Bay"] = "Baradin Bay",
	["Baradin Hold"] = "Baradin Hold",
	["Barbershop"] = "Barbershop",
	["Barbthorn Cave"] = "Barbthorn Cave",
	["Barbthorn Ridge"] = "Barbthorn Ridge",
	["Barn"] = "Barn",
	["Barov Family Vault"] = "Barov Family Vault",
	["Barracks"] = "Barracks",
	["Barrel & Crate"] = "Barrel & Crate",
	["Barrier Sea"] = "Barrier Sea",
	["Barrow of Bwonsamdi"] = "Barrow of Bwonsamdi",
	["Barrow of Carnage"] = "Barrow of Carnage",
	["Barrowknoll Cemetery"] = "Barrowknoll Cemetery",
	["Barterdocks"] = "Barterdocks",
	["Bashal'Aran"] = "Bashal'Aran",
	["Bashal'Aran Collapse"] = "Bashal'Aran Collapse",
	["Bash'ir Landing"] = "Bash'ir Landing",
	["Basin Hideout"] = "Basin Hideout",
	["Bastion"] = "Bastion",
	["Bastion - Treasures"] = "Bastion - Treasures",
	["Bastion - Vignettes"] = "Bastion - Vignettes",
	["Bastion Antechamber"] = "Bastion Antechamber",
	["Bastion Rise"] = "Bastion Rise",
	["Bathran's Haunt"] = "Bathran's Haunt",
	["Battle for Blackrock Mountain"] = "Battle for Blackrock Mountain",
	["Battle for the Exodar"] = "Battle for the Exodar",
	["Battle for The Grove of Awakening"] = "Battle for The Grove of Awakening",
	["Battle for Tirna Glayn"] = "Battle for Tirna Glayn",
	["Battle for Wintergrasp"] = "Battle for Wintergrasp",
	["Battle of Ardenweald"] = "Battle of Ardenweald",
	["Battle of Dazar'alor"] = "Battle of Dazar'alor",
	["Battle of Exodar"] = "Battle of Exodar",
	["Battle on the High Seas"] = "Battle on the High Seas",
	["Battle Ring"] = "Battle Ring",
	["Battlefront Provisions"] = "Battlefront Provisions",
	["Battlescar"] = "Battlescar",
	["Battlescar Spire"] = "Battlescar Spire",
	["Battlescar Valley"] = "Battlescar Valley",
	["Battleship: Ruin"] = "Battleship: Ruin",
	["Bay of Echoes"] = "Bay of Echoes",
	["Bay of Kings"] = "Bay of Kings",
	["Bay of Storms"] = "Bay of Storms",
	["Bazaar of Tangible Delights"] = "Bazaar of Tangible Delights",
	["Beacon Hill"] = "Beacon Hill",
	["Beacon of Sha'tar"] = "Beacon of Sha'tar",
	["Bear's Head"] = "Bear's Head",
	["Beastbreaker Den"] = "Beastbreaker Den",
	["Beastcaller Inn"] = "Beastcaller Inn",
	["Beastwatch"] = "Beastwatch",
	["Beastwatcher Glade"] = "Beastwatcher Glade",
	["Beauty's Lair"] = "Beauty's Lair",
	["Beeble's Wreck"] = "Beeble's Wreck",
	["Beezil's Wreck"] = "Beezil's Wreck",
	["Before the Gates"] = "Before the Gates",
	["Befouled Sanctum"] = "Befouled Sanctum",
	["Befouled Terrace"] = "Befouled Terrace",
	["Beggar's Haunt"] = "Beggar's Haunt",
	["Belac's Cells"] = "Belac's Cells",
	["Beneath The Double Rainbow"] = "Beneath The Double Rainbow",
	["Beneath the Pit"] = "Beneath the Pit",
	["Bera Ziggurat"] = "Bera Ziggurat",
	["Beren's Peril"] = "Beren's Peril",
	["Bernau's Happy Fun Land"] = "Bernau's Happy Fun Land",
	["Beryl Coast"] = "Beryl Coast",
	["Beryl Egress"] = "Beryl Egress",
	["Beryl Meadow"] = "Beryl Meadow",
	["Beryl Point"] = "Beryl Point",
	["Beth'mora Ridge"] = "Beth'mora Ridge",
	["Beth'tilac's Lair"] = "Beth'tilac's Lair",
	["Biel'aran Ridge"] = "Biel'aran Ridge",
	["Big Blossom Excavation"] = "Big Blossom Excavation",
	["Big Blossom Mine"] = "Big Blossom Mine",
	["Bilgefin Shore"] = "Bilgefin Shore",
	["Bilgewater Beach"] = "Bilgewater Beach",
	["Bilgewater Bonanza"] = "Bilgewater Bonanza",
	["Bilgewater Harbor"] = "Bilgewater Harbor",
	["Bilgewater Lumber Yard"] = "Bilgewater Lumber Yard",
	["Bilgewater Port"] = "Bilgewater Port",
	["Binan Brew & Stew"] = "Binan Brew & Stew",
	["Binan Village"] = "Binan Village",
	["Bitestone Enclave"] = "Bitestone Enclave",
	["Bitter Reaches"] = "Bitter Reaches",
	["Bitterstone Quarry"] = "Bitterstone Quarry",
	["Bittertide Lake"] = "Bittertide Lake",
	["Bizmo's Brawlpub"] = "Bizmo's Brawlpub",
	["Black Altar of Xan'tish"] = "Black Altar of Xan'tish",
	["Black Channel Marsh"] = "Black Channel Marsh",
	["Black Drake Roost"] = "Black Drake Roost",
	["Black Gorge"] = "Black Gorge",
	["Black Ox Temple"] = "Black Ox Temple",
	["Black Rook Hold"] = "Black Rook Hold",
	["Black Rook Hold Arena"] = "Black Rook Hold Arena",
	["Black Temple"] = "Black Temple",
	["Black Tooth Hovel"] = "Black Tooth Hovel",
	["Blackbeak Overlook"] = "Blackbeak Overlook",
	["Blackchar Cave"] = "Blackchar Cave",
	["Blackfang Challenge Arena"] = "Blackfang Challenge Arena",
	["Blackfathom Camp"] = "Blackfathom Camp",
	["Blackfathom Deeps"] = "Blackfathom Deeps",
	["Blackfathom Deeps Entrance"] = "Blackfathom Deeps Entrance",
	["Blackfeather Altar"] = "Blackfeather Altar",
	["Blackguard's Forgotten Cove"] = "Blackguard's Forgotten Cove",
	["Blackhand's Might"] = "Blackhand's Might",
	["Blackhawk's Bulwark"] = "Blackhawk's Bulwark",
	["Blackhoof Village"] = "Blackhoof Village",
	["Blackhorn's Penance"] = "Blackhorn's Penance",
	["Blackhound Outpost"] = "Blackhound Outpost",
	["Blackmaw Hold"] = "Blackmaw Hold",
	["Blackriver Logging Camp"] = "Blackriver Logging Camp",
	["Blackrock Caverns"] = "Blackrock Caverns",
	["Blackrock Caverns Entrance"] = "Blackrock Caverns Entrance",
	["Blackrock Depository"] = "Blackrock Depository",
	["Blackrock Depths"] = "Blackrock Depths",
	["Blackrock Depths - Pet Dungeon"] = "Blackrock Depths - Pet Dungeon",
	["Blackrock Depths Entrance"] = "Blackrock Depths Entrance",
	["Blackrock Foundry"] = "Blackrock Foundry",
	["Blackrock Mountain"] = "Blackrock Mountain",
	["Blackrock Pass"] = "Blackrock Pass",
	["Blackrock Pipeworks"] = "Blackrock Pipeworks",
	["Blackrock Quarry"] = "Blackrock Quarry",
	["Blackrock Shipyard"] = "Blackrock Shipyard",
	["Blackrock Spire"] = "Blackrock Spire",
	["Blackrock Spire Entrance"] = "Blackrock Spire Entrance",
	["Blackrock Stadium"] = "Blackrock Stadium",
	["Blackrock Stronghold"] = "Blackrock Stronghold",
	["Blacksand Spillway"] = "Blacksand Spillway",
	["Blacksilt Shore"] = "Blacksilt Shore",
	["Blacksmith"] = "Blacksmith",
	["Blackstone Span"] = "Blackstone Span",
	["Blackthorn Grove"] = "Blackthorn Grove",
	["Blackthorn Ridge"] = "Blackthorn Ridge",
	["Blackwatch"] = "Blackwatch",
	["Blackwater Cove"] = "Blackwater Cove",
	["Blackwater Shipwrecks"] = "Blackwater Shipwrecks",
	["Blackwind Lake"] = "Blackwind Lake",
	["Blackwind Landing"] = "Blackwind Landing",
	["Blackwind Valley"] = "Blackwind Valley",
	["Blackwing Coven"] = "Blackwing Coven",
	["Blackwing Descent"] = "Blackwing Descent",
	["Blackwing Lair"] = "Blackwing Lair",
	["Blackwolf River"] = "Blackwolf River",
	["Blackwood Camp"] = "Blackwood Camp",
	["Blackwood Den"] = "Blackwood Den",
	["Blackwood Lake"] = "Blackwood Lake",
	["Blade in Twilight"] = "Blade in Twilight",
	["Blade Tooth Canyon"] = "Blade Tooth Canyon",
	["Bladed Gulch"] = "Bladed Gulch",
	["Bladefist Bay"] = "Bladefist Bay",
	["Bladefist Hold"] = "Bladefist Hold",
	["Bladefist Rise"] = "Bladefist Rise",
	["Bladefury's Command"] = "Bladefury's Command",
	["Bladelord's Retreat"] = "Bladelord's Retreat",
	["Blademoon Bloom"] = "Blademoon Bloom",
	["Blades & Axes"] = "Blades & Axes",
	["Blade's Edge Arena"] = "Blade's Edge Arena",
	["Blade's Edge Mountain"] = "Blade's Edge Mountain",
	["Blade's Edge Mountains"] = "Blade's Edge Mountains",
	["Blades of the Fallen Prince"] = "Blades of the Fallen Prince",
	["Blades' Run"] = "Blades' Run",
	["Bladesong's Retreat"] = "Bladesong's Retreat",
	["Bladespire Citadel"] = "Bladespire Citadel",
	["Bladespire Grounds"] = "Bladespire Grounds",
	["Bladespire Hold"] = "Bladespire Hold",
	["Bladespire Outpost"] = "Bladespire Outpost",
	["Bladespire Ravine"] = "Bladespire Ravine",
	["Bladespire Span"] = "Bladespire Span",
	["Bladespire Throne"] = "Bladespire Throne",
	["Bladewood"] = "Bladewood",
	["Blasted Lands"] = "Blasted Lands",
	["Blazing Cavern"] = "Blazing Cavern",
	["Bleak Hills Mine"] = "Bleak Hills Mine",
	["Bleak Hollow"] = "Bleak Hollow",
	["Bleak Redoubt"] = "Bleak Redoubt",
	["Bleak Sepulcher"] = "Bleak Sepulcher",
	["Bleeding Hollow Cave"] = "Bleeding Hollow Cave",
	["Bleeding Hollow Hunting Grounds"] = "Bleeding Hollow Hunting Grounds",
	["Bleeding Hollow Ruins"] = "Bleeding Hollow Ruins",
	["Bleeding Vale"] = "Bleeding Vale",
	["Bleeding Ziggurat"] = "Bleeding Ziggurat",
	["Blighted Hollow"] = "Blighted Hollow",
	["Blighted Scar"] = "Blighted Scar",
	["Blightstone Quarry"] = "Blightstone Quarry",
	["Blind Marshlands"] = "Blind Marshlands",
	["Blistering Bog"] = "Blistering Bog",
	["Blistering Pool"] = "Blistering Pool",
	["BlizzCon 2017"] = "BlizzCon 2017",
	["Blood Bog"] = "Blood Bog",
	["Blood Coast"] = "Blood Coast",
	["Blood Elf Tower"] = "Blood Elf Tower",
	["Blood from Stone"] = "Blood from Stone",
	["Blood Gate"] = "Blood Gate",
	["Blood in the Snow"] = "Blood in the Snow",
	["Blood Nest"] = "Blood Nest",
	["Blood Watch"] = "Blood Watch",
	["Bloodcurse Isle"] = "Bloodcurse Isle",
	["Bloodfen Burrow"] = "Bloodfen Burrow",
	["Bloodfin Village"] = "Bloodfin Village",
	["Bloodfire Ravine"] = "Bloodfire Ravine",
	["Bloodgulch"] = "Bloodgulch",
	["Bloodhoof Village"] = "Bloodhoof Village",
	["Bloodhunt Highland"] = "Bloodhunt Highland",
	["Bloodied Crossing"] = "Bloodied Crossing",
	["Bloodmane Pridelands"] = "Bloodmane Pridelands",
	["Bloodmane Valley"] = "Bloodmane Valley",
	["Bloodmaul Camp"] = "Bloodmaul Camp",
	["Bloodmaul Landing"] = "Bloodmaul Landing",
	["Bloodmaul Outpost"] = "Bloodmaul Outpost",
	["Bloodmaul Ravine"] = "Bloodmaul Ravine",
	["Bloodmaul Scar"] = "Bloodmaul Scar",
	["Bloodmaul Slag Mines"] = "Bloodmaul Slag Mines",
	["Bloodmaul Stronghold"] = "Bloodmaul Stronghold",
	["Bloodmoon Isle"] = "Bloodmoon Isle",
	["Bloodmyst Isle"] = "Bloodmyst Isle",
	["Bloodsail Compound"] = "Bloodsail Compound",
	["Bloodscale Enclave"] = "Bloodscale Enclave",
	["Bloodscale Grounds"] = "Bloodscale Grounds",
	["Bloodspore Plains"] = "Bloodspore Plains",
	["Bloodtalon Shore"] = "Bloodtalon Shore",
	["Bloodthorn Cave"] = "Bloodthorn Cave",
	["Bloodthorn Hill"] = "Bloodthorn Hill",
	["Bloodtooth Camp"] = "Bloodtooth Camp",
	["Bloodvenom Falls"] = "Bloodvenom Falls",
	["Bloodvenom Post"] = "Bloodvenom Post",
	["Bloodvenom Post "] = "Bloodvenom Post ",
	["Bloodvenom River"] = "Bloodvenom River",
	["Bloodwash"] = "Bloodwash",
	["Bloodwash Cavern"] = "Bloodwash Cavern",
	["Bloodwash Fighting Pits"] = "Bloodwash Fighting Pits",
	["Bloodwash Shrine"] = "Bloodwash Shrine",
	["Bloodwatcher Point"] = "Bloodwatcher Point",
	["Bloody Grotto"] = "Bloody Grotto",
	["Blook's Overlook"] = "Blook's Overlook",
	["Blue Sky Logging Grounds"] = "Blue Sky Logging Grounds",
	["Bluefen"] = "Bluefen",
	["Bluegill Marsh"] = "Bluegill Marsh",
	["Bluff of the South Wind"] = "Bluff of the South Wind",
	["Bluffpoint"] = "Bluffpoint",
	["Blushwater Brook"] = "Blushwater Brook",
	["Body Banks"] = "Body Banks",
	["Bogen's Ledge"] = "Bogen's Ledge",
	["Bogpaddle"] = "Bogpaddle",
	["Boha'mu Ruins"] = "Boha'mu Ruins",
	["Bolgan's Hole"] = "Bolgan's Hole",
	["Bolyun's Camp"] = "Bolyun's Camp",
	["Bondo's Yard"] = "Bondo's Yard",
	["Bonebreaker Hall"] = "Bonebreaker Hall",
	["Bonechewer Ruins"] = "Bonechewer Ruins",
	["Bonepicker Summit"] = "Bonepicker Summit",
	["Bones of Agurak"] = "Bones of Agurak",
	["Bones of Grakkarond"] = "Bones of Grakkarond",
	["Bones of Sethe"] = "Bones of Sethe",
	["Bonesnap's Camp"] = "Bonesnap's Camp",
	["Bonetown Scenario"] = "Bonetown Scenario",
	["Bonetrail Gulch"] = "Bonetrail Gulch",
	["Bonfire"] = "Bonfire",
	["Bony Spindles"] = "Bony Spindles",
	["Bootlegger Outpost"] = "Bootlegger Outpost",
	["Booty Bay"] = "Booty Bay",
	["Boralus"] = "Boralus",
	["Boralus Dungeon"] = "Boralus Dungeon",
	["Boralus Harbor"] = "Boralus Harbor",
	["Borean Tundra"] = "Borean Tundra",
	["Bor'gorok Outpost"] = "Bor'gorok Outpost",
	["Bor's Breath"] = "Bor's Breath",
	["Bor's Breath River"] = "Bor's Breath River",
	["Bor's Fall"] = "Bor's Fall",
	["Bor's Fury"] = "Bor's Fury",
	["Borune Ruins"] = "Borune Ruins",
	["Bough Shadow"] = "Bough Shadow",
	["Boulder Hills"] = "Boulder Hills",
	["Boulder Lode Mine"] = "Boulder Lode Mine",
	["Bouldercrag's Refuge"] = "Bouldercrag's Refuge",
	["Bouldered Bluffs"] = "Bouldered Bluffs",
	["Boulderfist Hall"] = "Boulderfist Hall",
	["Boulderfist Outpost"] = "Boulderfist Outpost",
	["Boulder'gor"] = "Boulder'gor",
	["Boulder'mok"] = "Boulder'mok",
	["Boulderslide Cavern"] = "Boulderslide Cavern",
	["Boulderslide Ravine"] = "Boulderslide Ravine",
	["Bozzle's Wreck"] = "Bozzle's Wreck",
	["Brackenwall Village"] = "Brackenwall Village",
	["Brackish Coast"] = "Brackish Coast",
	["Brackwell Pumpkin Patch"] = "Brackwell Pumpkin Patch",
	["Bradensbrook"] = "Bradensbrook",
	["Brak's Excavation"] = "Brak's Excavation",
	["Brambleblade Ravine"] = "Brambleblade Ravine",
	["Bramblescar"] = "Bramblescar",
	["Brann's Base-Camp"] = "Brann's Base-Camp",
	["Brashtide Attack Fleet"] = "Brashtide Attack Fleet",
	["Brashtide Attack Fleet (Force Outdoors)"] = "Brashtide Attack Fleet (Force Outdoors)",
	["Brave Wind Mesa"] = "Brave Wind Mesa",
	["Brawl'gar Arena"] = "Brawl'gar Arena",
	["Brawnbelly Barracks"] = "Brawnbelly Barracks",
	["Braxton Lodge"] = "Braxton Lodge",
	["Brazie Farmstead"] = "Brazie Farmstead",
	["Breaker's Crown"] = "Breaker's Crown",
	["Breath of Pa'ku"] = "Breath of Pa'ku",
	["Brennadam"] = "Brennadam",
	["Brennadam Square"] = "Brennadam Square",
	["Brewmoon Festival"] = "Brewmoon Festival",
	["Brewnall Village"] = "Brewnall Village",
	["Briar Gate"] = "Briar Gate",
	["Briarback Kraul"] = "Briarback Kraul",
	["Briarback Warrens"] = "Briarback Warrens",
	["Briarbane Manor"] = "Briarbane Manor",
	["Briarbane Stables"] = "Briarbane Stables",
	["Bridge of Banishment"] = "Bridge of Banishment",
	["Bridge of Contrition"] = "Bridge of Contrition",
	["Bridge of Defiance"] = "Bridge of Defiance",
	["Bridge of Paramountcy"] = "Bridge of Paramountcy",
	["Bridge of Souls"] = "Bridge of Souls",
	["Bridge of Temptations"] = "Bridge of Temptations",
	["Bridgeport"] = "Bridgeport",
	["Brightwater Lake"] = "Brightwater Lake",
	["Brightwood Grove"] = "Brightwood Grove",
	["Brill"] = "Brill",
	["Brill Town Hall"] = "Brill Town Hall",
	["Brimstone Springs"] = "Brimstone Springs",
	["Brimstone Tower"] = "Brimstone Tower",
	["Brinestone Cove"] = "Brinestone Cove",
	["Briny Flats"] = "Briny Flats",
	["Bristlelimb Enclave"] = "Bristlelimb Enclave",
	["Bristlelimb Village"] = "Bristlelimb Village",
	["Broken Cliffs"] = "Broken Cliffs",
	["Broken Commons"] = "Broken Commons",
	["Broken Fin Hollow"] = "Broken Fin Hollow",
	["Broken Hill"] = "Broken Hill",
	["Broken Horn Village"] = "Broken Horn Village",
	["Broken Isles"] = "Broken Isles",
	["Broken Keel Tavern"] = "Broken Keel Tavern",
	["Broken Pillar"] = "Broken Pillar",
	["Broken Point"] = "Broken Point",
	["Broken Precipice"] = "Broken Precipice",
	["Broken Shore"] = "Broken Shore",
	["Broken Shore - Horde"] = "Broken Shore - Horde",
	["Broken Shore - Warden Tower"] = "Broken Shore - Warden Tower",
	["Broken Shore Mage Tower"] = "Broken Shore Mage Tower",
	["Broken Spear Village"] = "Broken Spear Village",
	["Broken Teeth"] = "Broken Teeth",
	["Broken Valley"] = "Broken Valley",
	["Broken Wilds"] = "Broken Wilds",
	["Brokenspear Tavern"] = "Brokenspear Tavern",
	["Broketooth Outpost"] = "Broketooth Outpost",
	["Bronze Dragonshrine"] = "Bronze Dragonshrine",
	["Bronzebeard Encampment"] = "Bronzebeard Encampment",
	["Bronzebeard's Vault"] = "Bronzebeard's Vault",
	["Bronzeleaf Thicket"] = "Bronzeleaf Thicket",
	["Browman Mill"] = "Browman Mill",
	["Brunnhildar Village"] = "Brunnhildar Village",
	["Brute's Rise"] = "Brute's Rise",
	["Bubbling Wastes"] = "Bubbling Wastes",
	["Bucklebree Farm"] = "Bucklebree Farm",
	["Budd's Dig"] = "Budd's Dig",
	["Burial Mound"] = "Burial Mound",
	["Burning Blade Coven"] = "Burning Blade Coven",
	["Burning Blade Ruins"] = "Burning Blade Ruins",
	["Burning Breach"] = "Burning Breach",
	["Burning Font"] = "Burning Font",
	["Burning Steppes"] = "Burning Steppes",
	["Burning Thicket"] = "Burning Thicket",
	["Burton Farmstead"] = "Burton Farmstead",
	["Butchers Block"] = "Butchers Block",
	["Butcher's Rise"] = "Butcher's Rise",
	["Butcher's Sanctum"] = "Butcher's Sanctum",
	["Butcher's Stand"] = "Butcher's Stand",
	["Bwoljin's Fall"] = "Bwoljin's Fall",
	["Bybeen Lair"] = "Bybeen Lair",
	["Cadra Ziggurat"] = "Cadra Ziggurat",
	["Caer Darrow"] = "Caer Darrow",
	["Calcis"] = "Calcis",
	["Caldemere Lake"] = "Caldemere Lake",
	["Calling the Wrathsteed"] = "Calling the Wrathsteed",
	["Calston Estate"] = "Calston Estate",
	["Camp Aparaje"] = "Camp Aparaje",
	["Camp Ataya"] = "Camp Ataya",
	["Camp Boff"] = "Camp Boff",
	["Camp Broketooth"] = "Camp Broketooth",
	["Camp Bronzebeard Barracks"] = "Camp Bronzebeard Barracks",
	["Camp Cagg"] = "Camp Cagg",
	["Camp E'thok"] = "Camp E'thok",
	["Camp Everstill"] = "Camp Everstill",
	["Camp Gormal"] = "Camp Gormal",
	["Camp Kosh"] = "Camp Kosh",
	["Camp Lastwind"] = "Camp Lastwind",
	["Camp Mojache"] = "Camp Mojache",
	["Camp Mojache Longhouse"] = "Camp Mojache Longhouse",
	["Camp Narache"] = "Camp Narache",
	["Camp Nooka Nooka"] = "Camp Nooka Nooka",
	["Camp of Boom"] = "Camp of Boom",
	["Camp Onequah"] = "Camp Onequah",
	["Camp Oneqwah"] = "Camp Oneqwah",
	["Camp Sungraze"] = "Camp Sungraze",
	["Camp Taurajo"] = "Camp Taurajo",
	["Camp Thornscar"] = "Camp Thornscar",
	["Camp Tunka'lo"] = "Camp Tunka'lo",
	["Camp Una'fe"] = "Camp Una'fe",
	["Camp Winterhoof"] = "Camp Winterhoof",
	["Camp Wurg"] = "Camp Wurg",
	["Canals"] = "Canals",
	["Candle Rock"] = "Candle Rock",
	["Cannon's Inferno"] = "Cannon's Inferno",
	["Cantrips & Crows"] = "Cantrips & Crows",
	["Canyon Pass"] = "Canyon Pass",
	["Cape of Lost Hope"] = "Cape of Lost Hope",
	["Cape of Stranglethorn"] = "Cape of Stranglethorn",
	["Capital Gardens"] = "Capital Gardens",
	["Captain's Quarters"] = "Captain's Quarters",
	["Carapace Ridge"] = "Carapace Ridge",
	["Caretaker's Manor"] = "Caretaker's Manor",
	["Carlisle Cottage"] = "Carlisle Cottage",
	["Carrion Grounds"] = "Carrion Grounds",
	["Carrion Hill"] = "Carrion Hill",
	["Cartelagio"] = "Cartelagio",
	["Cartelazio"] = "Cartelazio",
	["Cartier & Co. Fine Jewelry"] = "Cartier & Co. Fine Jewelry",
	["Carver's Harbor"] = "Carver's Harbor",
	["Cask Hold"] = "Cask Hold",
	["Cask 'n' Anvil"] = "Cask 'n' Anvil",
	["Castaway Cave"] = "Castaway Cave",
	["Castaway Encampment"] = "Castaway Encampment",
	["Castaway Point"] = "Castaway Point",
	["Castle Nathria"] = "Castle Nathria",
	["Castle Nathria (Scenario)"] = "Castle Nathria (Scenario)",
	["Catacombs"] = "Catacombs",
	["Catacombs of Regret"] = "Catacombs of Regret",
	["Cathedral of Darkness"] = "Cathedral of Darkness",
	["Cathedral of Eternal Night"] = "Cathedral of Eternal Night",
	["Cathedral of Light"] = "Cathedral of Light",
	["Cathedral of Shadows"] = "Cathedral of Shadows",
	["Cathedral Quarter"] = "Cathedral Quarter",
	["Cathedral Square"] = "Cathedral Square",
	["Cattail Lake"] = "Cattail Lake",
	["Catty Cathy's"] = "Catty Cathy's",
	["Cauldron of Rock"] = "Cauldron of Rock",
	["Cauldros Isle"] = "Cauldros Isle",
	["Cave of Betrayal"] = "Cave of Betrayal",
	["Cave of Doom"] = "Cave of Doom",
	["Cave of Fangfer"] = "Cave of Fangfer",
	["Cave of Mam'toth"] = "Cave of Mam'toth",
	["Cave of Meditation"] = "Cave of Meditation",
	["Cave of Secrets"] = "Cave of Secrets",
	["Cave of the Betrayed"] = "Cave of the Betrayed",
	["Cave of the Blood Trial"] = "Cave of the Blood Trial",
	["Cave of the Bloodtotem"] = "Cave of the Bloodtotem",
	["Cave of the Crane"] = "Cave of the Crane",
	["Cave of the Undying"] = "Cave of the Undying",
	["Cave of Words"] = "Cave of Words",
	["Cavern of Contemplation"] = "Cavern of Contemplation",
	["Cavern of Endless Echoes"] = "Cavern of Endless Echoes",
	["Cavern of Lament"] = "Cavern of Lament",
	["Cavern of Lost Spirits"] = "Cavern of Lost Spirits",
	["Cavern of Mists"] = "Cavern of Mists",
	["Cavern of the Keeper"] = "Cavern of the Keeper",
	["Caverns of Consumption"] = "Caverns of Consumption",
	["Caverns of Contemplation"] = "Caverns of Contemplation",
	["Caverns of Time"] = "Caverns of Time",
	["Celestial Enclave"] = "Celestial Enclave",
	["Celestial Ridge"] = "Celestial Ridge",
	["Celestial Tournament"] = "Celestial Tournament",
	["Cell Block: Karybis"] = "Cell Block: Karybis",
	["Cell Block: Scillus"] = "Cell Block: Scillus",
	["Cenarion Enclave"] = "Cenarion Enclave",
	["Cenarion Hold"] = "Cenarion Hold",
	["Cenarion Post"] = "Cenarion Post",
	["Cenarion Refuge"] = "Cenarion Refuge",
	["Cenarion Thicket"] = "Cenarion Thicket",
	["Cenarion Watchpost"] = "Cenarion Watchpost",
	["Cenarion Wildlands"] = "Cenarion Wildlands",
	["Central Bridge"] = "Central Bridge",
	["Cerulean Lagoon"] = "Cerulean Lagoon",
	["Chalice District"] = "Chalice District",
	["Challenger's Promenade"] = "Challenger's Promenade",
	["Challe's Lair"] = "Challe's Lair",
	["Challiane's Terrace"] = "Challiane's Terrace",
	["Chamber of Ancient Relics"] = "Chamber of Ancient Relics",
	["Chamber of Anguish"] = "Chamber of Anguish",
	["Chamber of Atonement"] = "Chamber of Atonement",
	["Chamber of Battle"] = "Chamber of Battle",
	["Chamber of Blood"] = "Chamber of Blood",
	["Chamber of Command"] = "Chamber of Command",
	["Chamber of Conquest"] = "Chamber of Conquest",
	["Chamber of Corruption"] = "Chamber of Corruption",
	["Chamber of Enchantment"] = "Chamber of Enchantment",
	["Chamber of Enlightenment"] = "Chamber of Enlightenment",
	["Chamber of Eternal Preservation"] = "Chamber of Eternal Preservation",
	["Chamber of Fanatics"] = "Chamber of Fanatics",
	["Chamber of First Reflection"] = "Chamber of First Reflection",
	["Chamber of Harvesters"] = "Chamber of Harvesters",
	["Chamber of Heart"] = "Chamber of Heart",
	["Chamber of Incineration"] = "Chamber of Incineration",
	["Chamber of Inner Calm"] = "Chamber of Inner Calm",
	["Chamber of Knowledge"] = "Chamber of Knowledge",
	["Chamber of Masters"] = "Chamber of Masters",
	["Chamber of Night"] = "Chamber of Night",
	["Chamber of Nullification"] = "Chamber of Nullification",
	["Chamber of Observance"] = "Chamber of Observance",
	["Chamber of Prophecy"] = "Chamber of Prophecy",
	["Chamber of Purification"] = "Chamber of Purification",
	["Chamber of Rebirth"] = "Chamber of Rebirth",
	["Chamber of Reflection"] = "Chamber of Reflection",
	["Chamber of Respite"] = "Chamber of Respite",
	["Chamber of Rezan"] = "Chamber of Rezan",
	["Chamber of Rumination"] = "Chamber of Rumination",
	["Chamber of Shadows"] = "Chamber of Shadows",
	["Chamber of Summoning"] = "Chamber of Summoning",
	["Chamber of the Aspects"] = "Chamber of the Aspects",
	["Chamber of the Avatar"] = "Chamber of the Avatar",
	["Chamber of the Cipher"] = "Chamber of the Cipher",
	["Chamber of the Dreamer"] = "Chamber of the Dreamer",
	["Chamber of the Guardian"] = "Chamber of the Guardian",
	["Chamber of the Moon"] = "Chamber of the Moon",
	["Chamber of the Paragons"] = "Chamber of the Paragons",
	["Chamber of the Restless"] = "Chamber of the Restless",
	["Chamber of the Sigil"] = "Chamber of the Sigil",
	["Chamber of the Stars"] = "Chamber of the Stars",
	["Chamber of the Sun"] = "Chamber of the Sun",
	["Chamber of Tranquility"] = "Chamber of Tranquility",
	["Chamber of Unspoken Pacts"] = "Chamber of Unspoken Pacts",
	["Chamber of Whispers"] = "Chamber of Whispers",
	["Chamber of Wisdom"] = "Chamber of Wisdom",
	["Chambers of Misery"] = "Chambers of Misery",
	["Champion's Hall"] = "Champion's Hall",
	["Champions' Hall"] = "Champions' Hall",
	["Champion's Overlook"] = "Champion's Overlook",
	["Chancel of the Dark Pact"] = "Chancel of the Dark Pact",
	["Chandlery Wharf"] = "Chandlery Wharf",
	["Chapel Gardens"] = "Chapel Gardens",
	["Chapel of Moonlight"] = "Chapel of Moonlight",
	["Chapel of Sentinels"] = "Chapel of Sentinels",
	["Chapel of Tears"] = "Chapel of Tears",
	["Chapel of the Crimson Flame"] = "Chapel of the Crimson Flame",
	["Chapel of Tranquil Song"] = "Chapel of Tranquil Song",
	["Chapel Yard"] = "Chapel Yard",
	["Charred Outpost"] = "Charred Outpost",
	["Charred Ramparts"] = "Charred Ramparts",
	["Charred Rise"] = "Charred Rise",
	["Chill Breeze Valley"] = "Chill Breeze Valley",
	["Chillmere Coast"] = "Chillmere Coast",
	["Chill's Reach"] = "Chill's Reach",
	["Chillwater Grotto"] = "Chillwater Grotto",
	["Chillwind Camp"] = "Chillwind Camp",
	["Chillwind Point"] = "Chillwind Point",
	["Chiselgrip"] = "Chiselgrip",
	["Chittering Coast"] = "Chittering Coast",
	["Chitterspine Caverns"] = "Chitterspine Caverns",
	["Chitterspine Grotto"] = "Chitterspine Grotto",
	["Chow Farmstead"] = "Chow Farmstead",
	["Churning Gulch"] = "Churning Gulch",
	["Cinder Run"] = "Cinder Run",
	["Cinderfall Grove"] = "Cinderfall Grove",
	["Cinderwall"] = "Cinderwall",
	["Cinderwall Spire"] = "Cinderwall Spire",
	["Circle of Aspirants"] = "Circle of Aspirants",
	["Circle of Blood"] = "Circle of Blood",
	["Circle of Blood Arena"] = "Circle of Blood Arena",
	["Circle of Bone"] = "Circle of Bone",
	["Circle of East Binding"] = "Circle of East Binding",
	["Circle of Elements"] = "Circle of Elements",
	["Circle of Glory"] = "Circle of Glory",
	["Circle of Inner Binding"] = "Circle of Inner Binding",
	["Circle of Outer Binding"] = "Circle of Outer Binding",
	["Circle of Scale"] = "Circle of Scale",
	["Circle of Spirits"] = "Circle of Spirits",
	["Circle of Stone"] = "Circle of Stone",
	["Circle of Thorns"] = "Circle of Thorns",
	["Circle of West Binding"] = "Circle of West Binding",
	["Circle of Wills"] = "Circle of Wills",
	["Citadel of Loyalty"] = "Citadel of Loyalty",
	["Citrine Bay"] = "Citrine Bay",
	["City"] = "City",
	["city"] = "Stadt",
	["City Center"] = "City Center",
	["City of Gold"] = "City of Gold",
	["City of Ironforge"] = "City of Ironforge",
	["Clackbrine Coast"] = "Clackbrine Coast",
	["Claiming the Truthguard"] = "Claiming the Truthguard",
	["Clan Watch"] = "Clan Watch",
	["Class Quest"] = "Class Quest",
	["Classic Arathi Basin"] = "Classic Arathi Basin",
	["Classic Warsong Gulch"] = "Classic Warsong Gulch",
	["Claw's Edge"] = "Claw's Edge",
	["Cleansing of the Deep"] = "Cleansing of the Deep",
	["Cleansing the Mother Tree"] = "Cleansing the Mother Tree",
	["Clearspring Pass"] = "Clearspring Pass",
	["Cleft of Shadow"] = "Cleft of Shadow",
	["Cliffclutch Roost"] = "Cliffclutch Roost",
	["Cliffhorn Watch"] = "Cliffhorn Watch",
	["Cliff's Edge"] = "Cliff's Edge",
	["Cliffs of Respite"] = "Cliffs of Respite",
	["Cliffspring Falls"] = "Cliffspring Falls",
	["Cliffspring Hollow"] = "Cliffspring Hollow",
	["Cliffspring River"] = "Cliffspring River",
	["Cliffwalker Post"] = "Cliffwalker Post",
	["Cloaked Vestibule"] = "Cloaked Vestibule",
	["Cloudstrike Dojo"] = "Cloudstrike Dojo",
	["Cloudtop Terrace"] = "Cloudtop Terrace",
	["Clutch of Corruption"] = "Clutch of Corruption",
	["Clutch of the Great Mother"] = "Clutch of the Great Mother",
	["Coal Ridge"] = "Coal Ridge",
	["Coast of Anguish"] = "Coast of Anguish",
	["Coast of Echoes"] = "Coast of Echoes",
	["Coast of Idols"] = "Coast of Idols",
	["Cocyrus"] = "Cocyrus",
	["Cogwrench Alley"] = "Cogwrench Alley",
	["Coilfang - The Slave Pens Entrance"] = "Coilfang - The Slave Pens Entrance",
	["Coilfang - The Steamvault Entrance"] = "Coilfang - The Steamvault Entrance",
	["Coilfang - The Underbog Entrance"] = "Coilfang - The Underbog Entrance",
	["Coilfang Reservoir"] = "Coilfang Reservoir",
	["Coilfang: Serpentshrine Cavern"] = "Coilfang: Serpentshrine Cavern",
	["Coilfang: The Slave Pens"] = "Coilfang: The Slave Pens",
	["Coilfang: The Steamvault"] = "Coilfang: The Steamvault",
	["Coilfang: The Underbog"] = "Coilfang: The Underbog",
	["Coilskar Cistern"] = "Coilskar Cistern",
	["Coilskar Point"] = "Coilskar Point",
	["Cold Hearth Manor"] = "Cold Hearth Manor",
	["Coldarra"] = "Coldarra",
	["Coldarra Ledge"] = "Coldarra Ledge",
	["Coldbite Burrow"] = "Coldbite Burrow",
	["Coldheart Halls"] = "Coldheart Halls",
	["Coldheart Interstitia"] = "Coldheart Interstitia",
	["Coldlight Cavern"] = "Coldlight Cavern",
	["Coldridge Pass"] = "Coldridge Pass",
	["Coldridge Valley"] = "Coldridge Valley",
	["Coldrock Quarry"] = "Coldrock Quarry",
	["Coldsnap Bluffs"] = "Coldsnap Bluffs",
	["Coldsnap Coast"] = "Coldsnap Coast",
	["Coldtooth Mine"] = "Coldtooth Mine",
	["Coldwind Heights"] = "Coldwind Heights",
	["Coldwind Pass"] = "Coldwind Pass",
	["Collapsed Tunnel"] = "Collapsed Tunnel",
	["Collapsing Crevice"] = "Collapsing Crevice",
	["Collector's Hovel"] = "Collector's Hovel",
	["Colossal Depths"] = "Colossal Depths",
	["Colossal's Fall"] = "Colossal's Fall",
	["Combat Baseline"] = "Combat Baseline",
	["Combat Training"] = "Combat Training",
	["Command Center"] = "Command Center",
	["Commons Hall"] = "Commons Hall",
	["Concealed Passage"] = "Concealed Passage",
	["Conclave of Torment"] = "Conclave of Torment",
	["Concourse of Destiny"] = "Concourse of Destiny",
	["Condemned Halls"] = "Condemned Halls",
	["Confrontation at the Black Temple"] = "Confrontation at the Black Temple",
	["Congregation of Souls"] = "Congregation of Souls",
	["Conqueror's Path"] = "Conqueror's Path",
	["Conqueror's Terrace"] = "Conqueror's Terrace",
	["Conquest Hold"] = "Conquest Hold",
	["Conservatory of the Arcane"] = "Conservatory of the Arcane",
	["Containment Core"] = "Containment Core",
	["Continent"] = "Continent",
	["Cooking: Impossible"] = "Cooking: Impossible",
	["Cooper Residence"] = "Cooper Residence",
	["Coral Forest"] = "Coral Forest",
	["Coral Garden"] = "Coral Garden",
	["Coral Grove"] = "Coral Grove",
	["Cordana's Apex"] = "Cordana's Apex",
	["Cordell's Enchanting"] = "Cordell's Enchanting",
	["Core of the Nightmare"] = "Core of the Nightmare",
	["Corin's Crossing"] = "Corin's Crossing",
	["Corlain"] = "Corlain",
	["Corlain Armory"] = "Corlain Armory",
	["Corlain Aviary"] = "Corlain Aviary",
	["Corp'rethar: The Horror Gate"] = "Corp'rethar: The Horror Gate",
	["Corrahn's Dagger"] = "Corrahn's Dagger",
	["Cosmowrench"] = "Cosmowrench",
	["Council Chambers"] = "Council Chambers",
	["Court of Blood"] = "Court of Blood",
	["Court of Bones"] = "Court of Bones",
	["Court of Elation"] = "Court of Elation",
	["Court of Souls"] = "Court of Souls",
	["Court of Spirits"] = "Court of Spirits",
	["Court of Stars"] = "Court of Stars",
	["Court of the Avenger"] = "Court of the Avenger",
	["Court of the Harvesters"] = "Court of the Harvesters",
	["Court of the Highborne"] = "Court of the Highborne",
	["Court of the Sun"] = "Court of the Sun",
	["Court of Zak'rajan"] = "Court of Zak'rajan",
	["Courtyard of Lights"] = "Courtyard of Lights",
	["Courtyard of the Ancients"] = "Courtyard of the Ancients",
	["Cove of Nashal"] = "Cove of Nashal",
	["Covescale Rise"] = "Covescale Rise",
	["Covinkles' Workshop"] = "Covinkles' Workshop",
	["Crackling Ridge"] = "Crackling Ridge",
	["Cradle of Chi-Ji"] = "Cradle of Chi-Ji",
	["Cradle of the Ancients"] = "Cradle of the Ancients",
	["Craftsmen's Terrace"] = "Craftsmen's Terrace",
	["Crag of the Everliving"] = "Crag of the Everliving",
	["Cragplume Cauldron"] = "Cragplume Cauldron",
	["Cragpool Lake"] = "Cragpool Lake",
	["Crane Wing Refuge"] = "Crane Wing Refuge",
	["Crapopolis"] = "Crapopolis",
	["Crash Site"] = "Crash Site",
	["Crashcog Circuit"] = "Crashcog Circuit",
	["Crater of Conquerors"] = "Crater of Conquerors",
	["Creeping Hive"] = "Creeping Hive",
	["Creepy Isle of Blizzcon"] = "Creepy Isle of Blizzcon",
	["Crescent Cove"] = "Crescent Cove",
	["Crescent Hall"] = "Crescent Hall",
	["Crescent Isle"] = "Crescent Isle",
	["Crescent Ruins"] = "Crescent Ruins",
	["Crest of Clarity"] = "Crest of Clarity",
	["Crestfall"] = "Crestfall",
	["Crestfall Rise"] = "Crestfall Rise",
	["Crew Quarters"] = "Crew Quarters",
	["Crimson Assembly Hall"] = "Crimson Assembly Hall",
	["Crimson Coast"] = "Crimson Coast",
	["Crimson Expanse"] = "Crimson Expanse",
	["Crimson Fen"] = "Crimson Fen",
	["Crimson Forest"] = "Crimson Forest",
	["Crimson Thicket"] = "Crimson Thicket",
	["Crimson Watch"] = "Crimson Watch",
	["Croaking Hollow"] = "Croaking Hollow",
	["Crossroads"] = "Crossroads",
	["Crosswind Commons"] = "Crosswind Commons",
	["Crosswind Ferry Registrar's Office"] = "Crosswind Ferry Registrar's Office",
	["Crowley Orchard"] = "Crowley Orchard",
	["Crowley Stable Grounds"] = "Crowley Stable Grounds",
	["Crowley's Overlook"] = "Crowley's Overlook",
	["Crown Guard Tower"] = "Crown Guard Tower",
	["Crown of Destruction"] = "Crown of Destruction",
	["Crown of Gorgoa"] = "Crown of Gorgoa",
	["Crow's Crook"] = "Crow's Crook",
	["Crucible of Carnage"] = "Crucible of Carnage",
	["Crucible of Souls"] = "Crucible of Souls",
	["Crucible of Storms"] = "Crucible of Storms",
	["Crucible of the Damned"] = "Crucible of the Damned",
	["Crumbled Palace"] = "Crumbled Palace",
	["Crumbled Ridge"] = "Crumbled Ridge",
	["Crumbling Cavern"] = "Crumbling Cavern",
	["Crumbling Chambers"] = "Crumbling Chambers",
	["Crumbling Coast"] = "Crumbling Coast",
	["Crumbling Depths"] = "Crumbling Depths",
	["Crumbling Stones"] = "Crumbling Stones",
	["Crusader Forward Camp"] = "Crusader Forward Camp",
	["Crusader Outpost"] = "Crusader Outpost",
	["Crusader's Armory"] = "Crusader's Armory",
	["Crusader's Chapel"] = "Crusader's Chapel",
	["Crusader's Landing"] = "Crusader's Landing",
	["Crusader's Outpost"] = "Crusader's Outpost",
	["Crusaders' Pinnacle"] = "Crusaders' Pinnacle",
	["Crusader's Run"] = "Crusader's Run",
	["Crusader's Spire"] = "Crusader's Spire",
	["Crusaders' Square"] = "Crusaders' Square",
	["Crushblow"] = "Crushblow",
	["Crushcog's Arsenal"] = "Crushcog's Arsenal",
	["Crushfang's End"] = "Crushfang's End",
	["Crushridge Hold"] = "Crushridge Hold",
	["Crypt"] = "Crypt",
	["Crypt of Forgotten Kings"] = "Crypt of Forgotten Kings",
	["Crypt of Remembrance"] = "Crypt of Remembrance",
	["Crypt of the Ancients"] = "Crypt of the Ancients",
	["Crypt of the First King"] = "Crypt of the First King",
	["Crypt of the Forgotten"] = "Crypt of the Forgotten",
	["Cryptic Hollow"] = "Cryptic Hollow",
	["Crystal Breach"] = "Crystal Breach",
	["Crystal Fissure"] = "Crystal Fissure",
	["Crystal Hollow"] = "Crystal Hollow",
	["Crystal Lake"] = "Crystal Lake",
	["Crystal Spine"] = "Crystal Spine",
	["Crystalized Cavern"] = "Crystalized Cavern",
	["Crystalline Depths"] = "Crystalline Depths",
	["Crystalline Quarry"] = "Crystalline Quarry",
	["Crystalsong Forest"] = "Crystalsong Forest",
	["Crystalvein Mine"] = "Crystalvein Mine",
	["Crystalweb Cavern"] = "Crystalweb Cavern",
	["CTF3"] = "CTF3",
	["Cullen's Post"] = "Cullen's Post",
	["Curiosities & Moore"] = "Curiosities & Moore",
	["Cursed Depths"] = "Cursed Depths",
	["Cursed Grove"] = "Cursed Grove",
	["Cursed Hollow"] = "Cursed Hollow",
	["CursedPrototype"] = "CursedPrototype",
	["Cut-Throat Alley"] = "Cut-Throat Alley",
	["Cyclone Summit"] = "Cyclone Summit",
	["D.E.H.T.A. Encampment"] = "D.E.H.T.A. Encampment",
	["Dabyrie's Farmstead"] = "Dabyrie's Farmstead",
	["Daelin's Gate"] = "Daelin's Gate",
	["Dagger in the Dark"] = "Dagger in the Dark",
	["Dagger Pass"] = "Dagger Pass",
	["Dagger Realm"] = "Dagger Realm",
	["Daggercap Bay"] = "Daggercap Bay",
	["Daggerfen Village"] = "Daggerfen Village",
	["Daggerjaw Intrusion"] = "Daggerjaw Intrusion",
	["Daggermaw Canyon"] = "Daggermaw Canyon",
	["Daggermaw Ravine"] = "Daggermaw Ravine",
	["Dais of Conquerors"] = "Dais of Conquerors",
	["Dais of Eternity"] = "Dais of Eternity",
	["Dalaran"] = "Dalaran",
	["Dalaran (Deadwind Pass)"] = "Dalaran (Deadwind Pass)",
	["Dalaran (Northrend)"] = "Dalaran (Northrend)",
	["Dalaran Arena"] = "Dalaran Arena",
	["Dalaran City"] = "Dalaran City",
	["Dalaran Crater"] = "Dalaran Crater",
	["Dalaran Floating Rocks"] = "Dalaran Floating Rocks",
	["Dalaran Island"] = "Dalaran Island",
	["Dalaran Merchant's Bank"] = "Dalaran Merchant's Bank",
	["Dalaran Sewers"] = "Dalaran Sewers",
	["Dalaran Underbelly"] = "Dalaran Underbelly",
	["Dalaran Visitor Center"] = "Dalaran Visitor Center",
	["Dalson's Farm"] = "Dalson's Farm",
	["Dalson's Tears"] = "Dalson's Tears",
	["Damp Cave"] = "Damp Cave",
	["Damplight Cavern"] = "Damplight Cavern",
	["Damplight Chamber"] = "Damplight Chamber",
	["Damprock Cavern"] = "Damprock Cavern",
	["Dampsoil Burrow"] = "Dampsoil Burrow",
	["Dampwick Tavern"] = "Dampwick Tavern",
	["Dampwick Ward"] = "Dampwick Ward",
	["Dandred's Fold"] = "Dandred's Fold",
	["Dank Grotto"] = "Dank Grotto",
	["Dappled Hollow"] = "Dappled Hollow",
	["Dargath's Demise"] = "Dargath's Demise",
	["Dark Heart of Pandaria"] = "Dark Heart of Pandaria",
	["Dark Iron Forward Camp"] = "Dark Iron Forward Camp",
	["Dark Iron Highway"] = "Dark Iron Highway",
	["Dark Stockades"] = "Dark Stockades",
	["Dark Whispers"] = "Dark Whispers",
	["Darkbreak Cove"] = "Darkbreak Cove",
	["Darkbrul Arena"] = "Darkbrul Arena",
	["Darkcloud Pinnacle"] = "Darkcloud Pinnacle",
	["Darkcrest Enclave"] = "Darkcrest Enclave",
	["Darkcrest Shore"] = "Darkcrest Shore",
	["Darkest Depths"] = "Darkest Depths",
	["Darkfall Ridge"] = "Darkfall Ridge",
	["Darkfeather Valley"] = "Darkfeather Valley",
	["Darkfollow's Spire"] = "Darkfollow's Spire",
	["Darkgrove Cavern"] = "Darkgrove Cavern",
	["Darkhaven"] = "Darkhaven",
	["Darkheart Thicket"] = "Darkheart Thicket",
	["Darkmaul Bridge"] = "Darkmaul Bridge",
	["Darkmaul Citadel"] = "Darkmaul Citadel",
	["Darkmaul Plains"] = "Darkmaul Plains",
	["Darkmist Cavern"] = "Darkmist Cavern",
	["Darkmist Ruins"] = "Darkmist Ruins",
	["Darkmoon Boardwalk"] = "Darkmoon Boardwalk",
	["Darkmoon Deathmatch"] = "Darkmoon Deathmatch",
	["Darkmoon Deathmatch Pit (PH)"] = "Darkmoon Deathmatch Pit (PH)",
	["Darkmoon Faire"] = "Darkmoon Faire",
	["Darkmoon Island"] = "Darkmoon Island",
	["Darkmoon Island Cave"] = "Darkmoon Island Cave",
	["Darkmoon Path"] = "Darkmoon Path",
	["Darkmoon Pavilion"] = "Darkmoon Pavilion",
	["Darkpens"] = "Darkpens",
	["Darkreach"] = "Darkreach",
	["Darkshire"] = "Darkshire",
	["Darkshire Town Hall"] = "Darkshire Town Hall",
	["Darkshore"] = "Darkshore",
	["Darkshore Prepatch Darnassian Ship"] = "Darkshore Prepatch Darnassian Ship",
	["Darkspear Embassy"] = "Darkspear Embassy",
	["Darkspear Hold"] = "Darkspear Hold",
	["Darkspear Isle"] = "Darkspear Isle",
	["Darkspear Shore"] = "Darkspear Shore",
	["Darkspear Strand"] = "Darkspear Strand",
	["Darkspear Training Grounds"] = "Darkspear Training Grounds",
	["Darkspear's Edge"] = "Darkspear's Edge",
	["Darkspear's Might"] = "Darkspear's Might",
	["Darksting Cave"] = "Darksting Cave",
	["Darksting Nest"] = "Darksting Nest",
	["Darkstone Isle"] = "Darkstone Isle",
	["Darktide Roost"] = "Darktide Roost",
	["Darktide Strait"] = "Darktide Strait",
	["Darkvein Villa"] = "Darkvein Villa",
	["Darkwall Tower"] = "Darkwall Tower",
	["Darkwater Cavern"] = "Darkwater Cavern",
	["Darkwhisper Gorge"] = "Darkwhisper Gorge",
	["Darkwhisper Pass"] = "Darkwhisper Pass",
	["Darkwood Shoal"] = "Darkwood Shoal",
	["Darnassian Base Camp"] = "Darnassian Base Camp",
	["Darnassus"] = "Darnassus",
	["Darrow Hill"] = "Darrow Hill",
	["Darrowmere Lake"] = "Darrowmere Lake",
	["Darrowshire"] = "Darrowshire",
	["Darrowshire Hunting Grounds"] = "Darrowshire Hunting Grounds",
	["Darsok's Outpost"] = "Darsok's Outpost",
	["Davenport Residence"] = "Davenport Residence",
	["Dawnchaser Retreat"] = "Dawnchaser Retreat",
	["Dawning Lane"] = "Dawning Lane",
	["Dawning Wood Catacombs"] = "Dawning Wood Catacombs",
	["Dawnkeep"] = "Dawnkeep",
	["Dawnrise Expedition"] = "Dawnrise Expedition",
	["Dawn's Blossom"] = "Dawn's Blossom",
	["Dawn's Reach"] = "Dawn's Reach",
	["Dawnseeker Promontory"] = "Dawnseeker Promontory",
	["Dawnseeker's Promontory"] = "Dawnseeker's Promontory",
	["Dawnstar Spire"] = "Dawnstar Spire",
	["Dawnstar Village"] = "Dawnstar Village",
	["Dawson's Creek"] = "Dawson's Creek",
	["Daxil's Dig"] = "Daxil's Dig",
	["Dazar'alor"] = "Dazar'alor",
	["D-Block"] = "D-Block",
	["De Other Side"] = "De Other Side",
	["Dead Man's Bay"] = "Dead Man's Bay",
	["Dead Man's Hole"] = "Dead Man's Hole",
	["Dead Man's Pass"] = "Dead Man's Pass",
	["Dead Man's Tale"] = "Dead Man's Tale",
	["Deadeye Shore"] = "Deadeye Shore",
	["Deadeye's Vision"] = "Deadeye's Vision",
	["Deadgrin"] = "Deadgrin",
	["Deadman's Crossing"] = "Deadman's Crossing",
	["Deadmeat's House of Meat"] = "Deadmeat's House of Meat",
	["Deadmines"] = "Deadmines",
	["Deadtalker's Plateau"] = "Deadtalker's Plateau",
	["Deadwalker Pass"] = "Deadwalker Pass",
	["Deadwash"] = "Deadwash",
	["Deadwind Pass"] = "Deadwind Pass",
	["Deadwind Ravine"] = "Deadwind Ravine",
	["Deadwood Cove"] = "Deadwood Cove",
	["Deadwood Islet"] = "Deadwood Islet",
	["Deadwood Landing"] = "Deadwood Landing",
	["Deadwood Village"] = "Deadwood Village",
	["Deal Farmstead"] = "Deal Farmstead",
	["Death Cultist Base Camp"] = "Death Cultist Base Camp",
	["Death Knight Campaign Flight Bounds"] = "Death Knight Campaign Flight Bounds",
	["Death of the Ox"] = "Death of the Ox",
	["Deathbringer's Rise"] = "Deathbringer's Rise",
	["Deathforge Tower"] = "Deathforge Tower",
	["Deathknell"] = "Deathknell",
	["Deathmatch Pavilion"] = "Deathmatch Pavilion",
	["Deathmist Hills"] = "Deathmist Hills",
	["Deatholme"] = "Deatholme",
	["Death's Breach"] = "Death's Breach",
	["Death's Door"] = "Death's Door",
	["Death's End"] = "Death's End",
	["Death's Hand Encampment"] = "Death's Hand Encampment",
	["Death's Howl"] = "Death's Howl",
	["Death's Rise"] = "Death's Rise",
	["Death's Roar"] = "Death's Roar",
	["Death's Stand"] = "Death's Stand",
	["Death's Step"] = "Death's Step",
	["Death's Watch Waystation"] = "Death's Watch Waystation",
	["Deathspeaker's Watch"] = "Deathspeaker's Watch",
	["Deathweb Hollow"] = "Deathweb Hollow",
	["Deathwing"] = "Deathwing",
	["Deathwing's Fall"] = "Deathwing's Fall",
	["Decaying Grotto"] = "Decaying Grotto",
	["Deceiver's Scar"] = "Deceiver's Scar",
	["Decimated Crossroad"] = "Decimated Crossroad",
	["Decrepit Depository"] = "Decrepit Depository",
	["Deep Blue Observatory"] = "Deep Blue Observatory",
	["Deep Cavern"] = "Deep Cavern",
	["Deep Elem Mine"] = "Deep Elem Mine",
	["Deepbeard's Cove"] = "Deepbeard's Cove",
	["Deepcoil Hatchery"] = "Deepcoil Hatchery",
	["Deepcoil Tunnels"] = "Deepcoil Tunnels",
	["Deepfin Ridge"] = "Deepfin Ridge",
	["Deepholm"] = "Deepholm",
	["Deephome Ceiling"] = "Deephome Ceiling",
	["Deepmist Grotto"] = "Deepmist Grotto",
	["Deeproot"] = "Deeproot",
	["Deeprun Tram"] = "Deeprun Tram",
	["Deepsea Refuge"] = "Deepsea Refuge",
	["Deepsea Slave Pen"] = "Deepsea Slave Pen",
	["Deepwater Tavern"] = "Deepwater Tavern",
	["Deepwind Gorge"] = "Deepwind Gorge",
	["Default"] = "Default",
	["Defend the Rig"] = "Defend the Rig",
	["Defending the Primus"] = "Defending the Primus",
	["Defense of Aviana"] = "Defense of Aviana",
	["Defense of Karabor"] = "Defense of Karabor",
	["Defense Of The Ale House BG"] = "Defense Of The Ale House BG",
	["Defense of the Alehouse"] = "Defense of the Alehouse",
	["Defense of the Fel Hammer"] = "Defense of the Fel Hammer",
	["Defias Hideout"] = "Defias Hideout",
	["Defiled Path"] = "Defiled Path",
	["Defiler's Den"] = "Defiler's Den",
	["Defiler's Overlook"] = "Defiler's Overlook",
	["Delaryn's Demise"] = "Delaryn's Demise",
	["DELETE ME"] = "DELETE ME",
	["Deliverance Point"] = "Deliverance Point",
	["Demon Fall Canyon"] = "Demon Fall Canyon",
	["Demon Fall Ridge"] = "Demon Fall Ridge",
	["Demont's Place"] = "Demont's Place",
	["Den of Claws"] = "Den of Claws",
	["Den of Defiance"] = "Den of Defiance",
	["Den of Despair"] = "Den of Despair",
	["Den of Dying"] = "Den of Dying",
	["Den of Fiends"] = "Den of Fiends",
	["Den of Haal'esh"] = "Den of Haal'esh",
	["Den of Iniquity"] = "Den of Iniquity",
	["Den of Mortal Delights"] = "Den of Mortal Delights",
	["Den of Secrets"] = "Den of Secrets",
	["Den of Sorrow"] = "Den of Sorrow",
	["Den of Sseratus"] = "Den of Sseratus",
	["Den of the Caller"] = "Den of the Caller",
	["Den of the Demented"] = "Den of the Demented",
	["Den of the Devourer"] = "Den of the Devourer",
	["Den of the Devourers"] = "Den of the Devourers",
	["Den of the Disciples"] = "Den of the Disciples",
	["Den of the Dominus"] = "Den of the Dominus",
	["Den of the Prowlers"] = "Den of the Prowlers",
	["Den of the Seeker"] = "Den of the Seeker",
	["Den of the Unholy"] = "Den of the Unholy",
	["Den of Thieves"] = "Den of Thieves",
	["Den of Transfusion"] = "Den of Transfusion",
	["Den of Ulmar"] = "Den of Ulmar",
	["Den of Xolotal"] = "Den of Xolotal",
	["Depths of Despair"] = "Depths of Despair",
	["Depths of the Devoted"] = "Depths of the Devoted",
	["Derelict Caravan"] = "Derelict Caravan",
	["Derelict Manor"] = "Derelict Manor",
	["Derelict Strand"] = "Derelict Strand",
	["Designer Island"] = "Designer Island",
	["Desmotaeron"] = "Desmotaeron",
	["Desolace"] = "Desolace",
	["Desolate Hollow"] = "Desolate Hollow",
	["Desolation Hold"] = "Desolation Hold",
	["Despair Ridge"] = "Despair Ridge",
	["Destiny Point"] = "Destiny Point",
	["Destiny Unfulfilled"] = "Destiny Unfulfilled",
	["Destroyer's Breach"] = "Destroyer's Breach",
	["Destructor's Rise"] = "Destructor's Rise",
	["Detention Block"] = "Detention Block",
	["Detrithos"] = "Detrithos",
	["Development Land"] = "Development Land",
	["Development Land (non-weighted textures)"] = "Development Land (non-weighted textures)",
	["Devoted Sanctuary"] = "Devoted Sanctuary",
	["Devourer's Ingress"] = "Devourer's Ingress",
	["Dewscale Grotto"] = "Dewscale Grotto",
	["Diamond Island"] = "Diamond Island",
	["Diamondhead River"] = "Diamondhead River",
	["Dig One"] = "Dig One",
	["Dig Three"] = "Dig Three",
	["Dig Two"] = "Dig Two",
	["Digestion Chamber"] = "Digestion Chamber",
	["Digger Flats"] = "Digger Flats",
	["Dionor's Demise"] = "Dionor's Demise",
	["Dire Maul"] = "Dire Maul",
	["Dire Maul - Capital Gardens Entrance"] = "Dire Maul - Capital Gardens Entrance",
	["Dire Maul - East"] = "Dire Maul - East",
	["Dire Maul - Gordok Commons Entrance"] = "Dire Maul - Gordok Commons Entrance",
	["Dire Maul - North"] = "Dire Maul - North",
	["Dire Maul - Warpwood Quarter Entrance"] = "Dire Maul - Warpwood Quarter Entrance",
	["Dire Maul - West"] = "Dire Maul - West",
	["Dire Strait"] = "Dire Strait",
	["Direforge Hill"] = "Direforge Hill",
	["Direhorn Post"] = "Direhorn Post",
	["Diremoor"] = "Diremoor",
	["Diretusk Hollow"] = "Diretusk Hollow",
	["Disciple's Enclave"] = "Disciple's Enclave",
	["Dispersion of the Discs"] = "Dispersion of the Discs",
	["Dock 1 Exports"] = "Dock 1 Exports",
	["Docks"] = "Docks",
	["Dojani River"] = "Dojani River",
	["Dolanaar"] = "Dolanaar",
	["Dol'mak's Hideout"] = "Dol'mak's Hideout",
	["Dome Balrissa"] = "Dome Balrissa",
	["Dominance Gate"] = "Dominance Gate",
	["Dominance Keep"] = "Dominance Keep",
	["Domination Point"] = "Domination Point",
	["Donna's Kitty Shack"] = "Donna's Kitty Shack",
	["Dookin' Grounds"] = "Dookin' Grounds",
	["Doom's Vigil"] = "Doom's Vigil",
	["Doomtide Cove"] = "Doomtide Cove",
	["Dorian's Outpost"] = "Dorian's Outpost",
	["Downrange: Bar, Grill, and Minefield"] = "Downrange: Bar, Grill, and Minefield",
	["Draco'dar"] = "Draco'dar",
	["Draenataur Cavern"] = "Draenataur Cavern",
	["Draenei Ruins"] = "Draenei Ruins",
	["Draenethyst Mine"] = "Draenethyst Mine",
	["Draenil'dur Village"] = "Draenil'dur Village",
	["Draenor"] = "Draenor",
	["Dragon Soul"] = "Dragon Soul",
	["Dragonblight"] = "Dragonblight",
	["Dragonflayer Pens"] = "Dragonflayer Pens",
	["Dragonmaw Base Camp"] = "Dragonmaw Base Camp",
	["Dragonmaw Flag Room"] = "Dragonmaw Flag Room",
	["Dragonmaw Forge"] = "Dragonmaw Forge",
	["Dragonmaw Fortress"] = "Dragonmaw Fortress",
	["Dragonmaw Garrison"] = "Dragonmaw Garrison",
	["Dragonmaw Gates"] = "Dragonmaw Gates",
	["Dragonmaw Pass"] = "Dragonmaw Pass",
	["Dragonmaw Port"] = "Dragonmaw Port",
	["Dragonmaw Skyway"] = "Dragonmaw Skyway",
	["Dragonmaw Stronghold"] = "Dragonmaw Stronghold",
	["Dragons' End"] = "Dragons' End",
	["Dragon's Fall"] = "Dragon's Fall",
	["Dragon's Mouth"] = "Dragon's Mouth",
	["Dragon's Teeth Basin"] = "Dragon's Teeth Basin",
	["Dragonspine Peaks"] = "Dragonspine Peaks",
	["Dragonspine Ridge"] = "Dragonspine Ridge",
	["Dragonspine Tributary"] = "Dragonspine Tributary",
	["Dragonspire Hall"] = "Dragonspire Hall",
	["Drak'Agal"] = "Drak'Agal",
	["Draka's Den"] = "Draka's Den",
	["Draka's Fury"] = "Draka's Fury",
	["Drak'atal Passage"] = "Drak'atal Passage",
	["Drakil'jin Ruins"] = "Drakil'jin Ruins",
	["Drak'Mabwa"] = "Drak'Mabwa",
	["Drak'Mar Lake"] = "Drak'Mar Lake",
	["Draknid Lair"] = "Draknid Lair",
	["Drak'Sotra"] = "Drak'Sotra",
	["Drak'Sotra Fields"] = "Drak'Sotra Fields",
	["Drak'Tharon Keep"] = "Drak'Tharon Keep",
	["Drak'Tharon Keep Entrance"] = "Drak'Tharon Keep Entrance",
	["Drak'Tharon Overlook"] = "Drak'Tharon Overlook",
	["Drak'ural"] = "Drak'ural",
	["Dranosh'ar Landing"] = "Dranosh'ar Landing",
	["Draxen's Workshop"] = "Draxen's Workshop",
	["Dread Clutch"] = "Dread Clutch",
	["Dread Expanse"] = "Dread Expanse",
	["Dread Grotto"] = "Dread Grotto",
	["Dread Point"] = "Dread Point",
	["Dread Terrace"] = "Dread Terrace",
	["Dread Wastes"] = "Dread Wastes",
	["Dreadmaul Furnace"] = "Dreadmaul Furnace",
	["Dreadmaul Hold"] = "Dreadmaul Hold",
	["Dreadmaul Post"] = "Dreadmaul Post",
	["Dreadmaul Rise"] = "Dreadmaul Rise",
	["Dreadmaul Rock"] = "Dreadmaul Rock",
	["Dreadmist Camp"] = "Dreadmist Camp",
	["Dreadmist Den"] = "Dreadmist Den",
	["Dreadmist Peak"] = "Dreadmist Peak",
	["Dreadmurk Shore"] = "Dreadmurk Shore",
	["Dreadpearl"] = "Dreadpearl",
	["Dreadpearl Cavern"] = "Dreadpearl Cavern",
	["Dreadpearl Shallows"] = "Dreadpearl Shallows",
	["Dreadroot"] = "Dreadroot",
	["Dreadscar Rift"] = "Dreadscar Rift",
	["Dreadtalon Peak"] = "Dreadtalon Peak",
	["Dreadwake's Landing"] = "Dreadwake's Landing",
	["Dreadwatch Outpost"] = "Dreadwatch Outpost",
	["Dream Bough"] = "Dream Bough",
	["Dreamer's Pavilion"] = "Dreamer's Pavilion",
	["Dreamer's Rest"] = "Dreamer's Rest",
	["Dreamer's Rock"] = "Dreamer's Rock",
	["Dreamshrine Basin"] = "Dreamshrine Basin",
	["Dreamsong Fenn"] = "Dreamsong Fenn",
	["Dredgewood"] = "Dredgewood",
	["Dredhollow"] = "Dredhollow",
	["Drenched Cavern"] = "Drenched Cavern",
	["Dreyrgrot"] = "Dreyrgrot",
	["Driftwood Shore"] = "Driftwood Shore",
	["Drowned Gardens"] = "Drowned Gardens",
	["Drowned Lands"] = "Drowned Lands",
	["Drudgetown"] = "Drudgetown",
	["Drustvar"] = "Drustvar",
	["Drybone Hollow"] = "Drybone Hollow",
	["Drygulch Ravine"] = "Drygulch Ravine",
	["Drywhisker Gorge"] = "Drywhisker Gorge",
	["Drywhisker Mine"] = "Drywhisker Mine",
	["Drywind Gorge"] = "Drywind Gorge",
	["Dubra'Jin"] = "Dubra'Jin",
	["Dun Algaz"] = "Dun Algaz",
	["Dun Argol"] = "Dun Argol",
	["Dun Baldar"] = "Dun Baldar",
	["Dun Baldar Pass"] = "Dun Baldar Pass",
	["Dun Baldar Tunnel"] = "Dun Baldar Tunnel",
	["Dun Garok"] = "Dun Garok",
	["Dun Mandarr"] = "Dun Mandarr",
	["Dun Modr"] = "Dun Modr",
	["Dun Morogh"] = "Dun Morogh",
	["Dun Niffelem"] = "Dun Niffelem",
	["Dunemaul Compound"] = "Dunemaul Compound",
	["Dunemaul Recruitment Camp"] = "Dunemaul Recruitment Camp",
	["Dungeon Blockout"] = "Dungeon Blockout",
	["Dunwald Holdout"] = "Dunwald Holdout",
	["Dunwald Hovel"] = "Dunwald Hovel",
	["Dunwald Market Row"] = "Dunwald Market Row",
	["Dunwald Ruins"] = "Dunwald Ruins",
	["Dunwald Town Square"] = "Dunwald Town Square",
	["Durnholde Keep"] = "Durnholde Keep",
	["Durotan's Grasp"] = "Durotan's Grasp",
	["Durotar"] = "Durotar",
	["Duskfall Island"] = "Duskfall Island",
	["Duskhaven"] = "Duskhaven",
	["Duskhowl Den"] = "Duskhowl Den",
	["Dusklight Bridge"] = "Dusklight Bridge",
	["Dusklight Hollow"] = "Dusklight Hollow",
	["Duskmire Domain"] = "Duskmire Domain",
	["Duskmist Shore"] = "Duskmist Shore",
	["Duskroot Fen"] = "Duskroot Fen",
	["Duskwither Grounds"] = "Duskwither Grounds",
	["Duskwither Spire"] = "Duskwither Spire",
	["Duskwood"] = "Duskwood",
	["Dusky Grotto"] = "Dusky Grotto",
	["Dustback Gorge"] = "Dustback Gorge",
	["Dustbelch Grotto"] = "Dustbelch Grotto",
	["Dustfire Valley"] = "Dustfire Valley",
	["Dustquill Ravine"] = "Dustquill Ravine",
	["Dustwallow Bay"] = "Dustwallow Bay",
	["Dustwallow Marsh"] = "Dustwallow Marsh",
	["Dustwind Cave"] = "Dustwind Cave",
	["Dustwind Dig"] = "Dustwind Dig",
	["Dustwind Gulch"] = "Dustwind Gulch",
	["Dusty Burrows"] = "Dusty Burrows",
	["Dusty Tomb"] = "Dusty Tomb",
	["Dwarven Bunker"] = "Dwarven Bunker",
	["Dwarven District"] = "Dwarven District",
	["Dyvari Overgrowth"] = "Dyvari Overgrowth",
	["Eagle's Eye"] = "Eagle's Eye",
	["Earth Song Falls"] = "Earth Song Falls",
	["Earth Song Gate"] = "Earth Song Gate",
	["Earthmother's Bounty"] = "Earthmother's Bounty",
	["Earthshaker Cave"] = "Earthshaker Cave",
	["Earthshaker Gorge"] = "Earthshaker Gorge",
	["Earthshatter Cavern"] = "Earthshatter Cavern",
	["East Garrison"] = "East Garrison",
	["East Pavilion"] = "East Pavilion",
	["East Pillar"] = "East Pillar",
	["East Sanctum"] = "East Sanctum",
	["East Spire"] = "East Spire",
	["East Supply Caravan"] = "East Supply Caravan",
	["Eastern Bridge"] = "Eastern Bridge",
	["Eastern Dunes"] = "Eastern Dunes",
	["Eastern Highmountain"] = "Eastern Highmountain",
	["Eastern Kingdoms"] = "Eastern Kingdoms",
	["Eastern Plaguelands"] = "Eastern Plaguelands",
	["Eastern Strand"] = "Eastern Strand",
	["Eastern Suramar"] = "Eastern Suramar",
	["Eastern Transept"] = "Eastern Transept",
	["Eastmoon Ruins"] = "Eastmoon Ruins",
	["Eastpoint Station"] = "Eastpoint Station",
	["Eastpoint Tower"] = "Eastpoint Tower",
	["Eastspark Workshop"] = "Eastspark Workshop",
	["Eastvale Logging Camp"] = "Eastvale Logging Camp",
	["Eastwall Gate"] = "Eastwall Gate",
	["Eastwall Tower"] = "Eastwall Tower",
	["Eastwind Gulch"] = "Eastwind Gulch",
	["Eastwind Rest"] = "Eastwind Rest",
	["Eastwind Shore"] = "Eastwind Shore",
	["Ebon Hold"] = "Ebon Hold",
	["Ebon Watch"] = "Ebon Watch",
	["Echidnean Shelf"] = "Echidnean Shelf",
	["Echo Cove"] = "Echo Cove",
	["Echo Isles"] = "Echo Isles",
	["Echo Reach"] = "Echo Reach",
	["Echo Ridge Mine"] = "Echo Ridge Mine",
	["Echoing Caverns"] = "Echoing Caverns",
	["Echoing Halls"] = "Echoing Halls",
	["Echoing Warrens"] = "Echoing Warrens",
	["Echomok Cavern"] = "Echomok Cavern",
	["Echo's Hovel"] = "Echo's Hovel",
	["Eckhart Lodge"] = "Eckhart Lodge",
	["Eclipse Point"] = "Eclipse Point",
	["Eclipsion Fields"] = "Eclipsion Fields",
	["Eco-Dome Farfield"] = "Eco-Dome Farfield",
	["Eco-Dome Midrealm"] = "Eco-Dome Midrealm",
	["Eco-Dome Skyperch"] = "Eco-Dome Skyperch",
	["Eco-Dome Sutheron"] = "Eco-Dome Sutheron",
	["Edge of Darkness"] = "Edge of Darkness",
	["Edge of Discord"] = "Edge of Discord",
	["Edge of Madness"] = "Edge of Madness",
	["Edge of Reality"] = "Edge of Reality",
	["Edge of Sin"] = "Edge of Sin",
	["Edge of the Abyss"] = "Edge of the Abyss",
	["Egg Chamber"] = "Egg Chamber",
	["Ekka's Hideaway"] = "Ekka's Hideaway",
	["Eksis' Lair"] = "Eksis' Lair",
	["Elarian Sanctuary"] = "Elarian Sanctuary",
	["Elder Rise"] = "Elder Rise",
	["Elder Stand"] = "Elder Stand",
	["Elder Trench Glider"] = "Elder Trench Glider",
	["Elders' Square"] = "Elders' Square",
	["Elderstone Mine"] = "Elderstone Mine",
	["El'dranil Peak"] = "El'dranil Peak",
	["El'dranil Shallows"] = "El'dranil Shallows",
	["Eldreth Row"] = "Eldreth Row",
	["Eldritch Heights"] = "Eldritch Heights",
	["Election Heights"] = "Election Heights",
	["Elemental Hollow"] = "Elemental Hollow",
	["Elemental Plateau"] = "Elemental Plateau",
	["Elementium Depths"] = "Elementium Depths",
	["Elevator"] = "Elevator",
	["Elisande's Reach"] = "Elisande's Reach",
	["Elisande's Secret Quarters"] = "Elisande's Secret Quarters",
	["Elodor"] = "Elodor",
	["Elodor Dig"] = "Elodor Dig",
	["Elodor Fields"] = "Elodor Fields",
	["Elor'shan"] = "Elor'shan",
	["Elrendar Crossing"] = "Elrendar Crossing",
	["Elrendar Falls"] = "Elrendar Falls",
	["Elrendar River"] = "Elrendar River",
	["Elun'alor Temple"] = "Elun'alor Temple",
	["Elunaria"] = "Elunaria",
	["Elwynn Forest"] = "Elwynn Forest",
	["Elysian Beacon"] = "Elysian Beacon",
	["Elysian Hold"] = "Elysian Hold",
	["Embaari Village"] = "Embaari Village",
	["Ember Clutch"] = "Ember Clutch",
	["Ember Court Rehearsal"] = "Ember Court Rehearsal",
	["Ember Spear Tower"] = "Ember Spear Tower",
	["Ember Ward"] = "Ember Ward",
	["Emberfall Tower"] = "Emberfall Tower",
	["Emberfall Watch"] = "Emberfall Watch",
	["Emberglade"] = "Emberglade",
	["Emberstone Mine"] = "Emberstone Mine",
	["Emberstone Village"] = "Emberstone Village",
	["Emberstrife's Den"] = "Emberstrife's Den",
	["Emerald Ascent"] = "Emerald Ascent",
	["Emerald Bay"] = "Emerald Bay",
	["Emerald Dragonshrine"] = "Emerald Dragonshrine",
	["Emerald Dream"] = "Emerald Dream",
	["Emerald Dreamway"] = "Emerald Dreamway",
	["Emerald Forest"] = "Emerald Forest",
	["Emerald Glade"] = "Emerald Glade",
	["Emerald Sanctuary"] = "Emerald Sanctuary",
	["Emperor Rikktik's Rest"] = "Emperor Rikktik's Rest",
	["Emperor's Omen"] = "Emperor's Omen",
	["Emperor's Promise"] = "Emperor's Promise",
	["Emperor's Reach"] = "Emperor's Reach",
	["Empty Never Nowhere"] = "Empty Never Nowhere",
	["Empyrean Domain"] = "Empyrean Domain",
	["Empyrean Society Headquarters"] = "Empyrean Society Headquarters",
	["Enchanter's Study"] = "Enchanter's Study",
	["End of the Dream"] = "End of the Dream",
	["End of the Risen Threat"] = "End of the Risen Threat",
	["End Time"] = "End Time",
	["Endless Halls"] = "Endless Halls",
	["Engine of Nalak'sha"] = "Engine of Nalak'sha",
	["Engine of the Makers"] = "Engine of the Makers",
	["Engineering Labs "] = "Engineering Labs ",
	["Engineering Works"] = "Engineering Works",
	["Engineer's Respite"] = "Engineer's Respite",
	["Entryway of Time"] = "Entryway of Time",
	["Erickson Hall"] = "Erickson Hall",
	["Escape from Argus"] = "Escape from Argus",
	["Escape from the Maw"] = "Escape from the Maw",
	["Escape from the Vault"] = "Escape from the Vault",
	["Escape from Tol Dagor"] = "Escape from Tol Dagor",
	["Essence of Eternity"] = "Essence of Eternity",
	["Estate of the First Arcanist"] = "Estate of the First Arcanist",
	["Estuary of Awakening"] = "Estuary of Awakening",
	["Eternal Observatory"] = "Eternal Observatory",
	["Ethel Rethor"] = "Ethel Rethor",
	["Ethereal Corridor"] = "Ethereal Corridor",
	["Ethereum Staging Grounds"] = "Ethereum Staging Grounds",
	["Etheric Vault"] = "Etheric Vault",
	["Evenlight Cavern"] = "Evenlight Cavern",
	["Eventide Bay"] = "Eventide Bay",
	["Eventide Delta"] = "Eventide Delta",
	["Eventide Grove"] = "Eventide Grove",
	["Eventide Landing"] = "Eventide Landing",
	["Eventide Trench"] = "Eventide Trench",
	["Everbloom Overlook"] = "Everbloom Overlook",
	["Everbloom Wilds"] = "Everbloom Wilds",
	["Everdawn Commons"] = "Everdawn Commons",
	["Evergreen Grove"] = "Evergreen Grove",
	["Evergreen Trading Post"] = "Evergreen Trading Post",
	["Evergrove"] = "Evergrove",
	["Everlook"] = "Everlook",
	["Evermoon Bazaar"] = "Evermoon Bazaar",
	["Evermoon Commons"] = "Evermoon Commons",
	["Evermoon Terrace"] = "Evermoon Terrace",
	["Evermorn Hold"] = "Evermorn Hold",
	["Evermorn Rise"] = "Evermorn Rise",
	["Evermorn Springs"] = "Evermorn Springs",
	["Eversong Woods"] = "Eversong Woods",
	["Evl'ii's Den"] = "Evl'ii's Den",
	["Exaltation Rise"] = "Exaltation Rise",
	["Exarch's Refuge"] = "Exarch's Refuge",
	["Exarch's Rise"] = "Exarch's Rise",
	["Excavation Center"] = "Excavation Center",
	["Excavation Lift"] = "Excavation Lift",
	["Exclamation Point"] = "Exclamation Point",
	["Exile Overlook"] = "Exile Overlook",
	["Exiles' Enclave"] = "Exiles' Enclave",
	["Exile's Reach"] = "Exile's Reach",
	["Exile's Rise"] = "Exile's Rise",
	["Exodus Point"] = "Exodus Point",
	["Exoramas"] = "Exoramas",
	["Exotic Imports"] = "Exotic Imports",
	["Expansion 5 QA Model Map"] = "Expansion 5 QA Model Map",
	["Expedition Armory"] = "Expedition Armory",
	["Expedition Base Camp"] = "Expedition Base Camp",
	["Expedition Point"] = "Expedition Point",
	["Explorer's League Campsite"] = "Explorer's League Campsite",
	["Explorers' League Digsite"] = "Explorers' League Digsite",
	["Explorers' League Outpost"] = "Explorers' League Outpost",
	["Exposition Pavilion"] = "Exposition Pavilion",
	["Exterior"] = "Exterior",
	["Extractor's Sanatorium"] = "Extractor's Sanatorium",
	["Eye of Azshara"] = "Eye of Azshara",
	["Eye of Eternity"] = "Eye of Eternity",
	["Eye of the Storm"] = "Eye of the Storm",
	["Face of Oblivion"] = "Face of Oblivion",
	["Fairbreeze Village"] = "Fairbreeze Village",
	["Fairbridge Strand"] = "Fairbridge Strand",
	["Falanaar"] = "Falanaar",
	["Falanaar Arcway"] = "Falanaar Arcway",
	["Falanaar Depths"] = "Falanaar Depths",
	["Falanaar Tunnels"] = "Falanaar Tunnels",
	["Falcon Watch"] = "Falcon Watch",
	["Falconhurst"] = "Falconhurst",
	["Falcon's Rest"] = "Falcon's Rest",
	["Falcon's Roost"] = "Falcon's Roost",
	["Falconwing Inn"] = "Falconwing Inn",
	["Falconwing Square"] = "Falconwing Square",
	["Faldir's Cove"] = "Faldir's Cove",
	["Falfarren River"] = "Falfarren River",
	["Fall of Courage"] = "Fall of Courage",
	["Fall of Return"] = "Fall of Return",
	["Fallen Passage"] = "Fallen Passage",
	["Fallen Sky Lake"] = "Fallen Sky Lake",
	["Fallen Sky Ridge"] = "Fallen Sky Ridge",
	["Fallen Temple of Ahn'kahet"] = "Fallen Temple of Ahn'kahet",
	["Fallhaven"] = "Fallhaven",
	["Fallhaven Ranch"] = "Fallhaven Ranch",
	["Fallow Sanctuary"] = "Fallow Sanctuary",
	["Fallowmere Inn"] = "Fallowmere Inn",
	["Falls of Ymiron"] = "Falls of Ymiron",
	["Fallsong Village"] = "Fallsong Village",
	["Falthrien Academy"] = "Falthrien Academy",
	["Familiars"] = "Familiars",
	["Fangcaller Cavern"] = "Fangcaller Cavern",
	["Fang'rila"] = "Fang'rila",
	["Fangs of the Felhound"] = "Fangs of the Felhound",
	["Fangtooth Bog"] = "Fangtooth Bog",
	["Faol's Rest"] = "Faol's Rest",
	["Far Watch Post"] = "Far Watch Post",
	["Faralohn"] = "Faralohn",
	["Fargaze Mesa"] = "Fargaze Mesa",
	["Fargodeep Mine"] = "Fargodeep Mine",
	["Farlight Terrace"] = "Farlight Terrace",
	["Farm"] = "Farm",
	["Faronaar"] = "Faronaar",
	["Faronaar Front"] = "Faronaar Front",
	["Farondale"] = "Farondale",
	["Farseer's Rock"] = "Farseer's Rock",
	["Farshire"] = "Farshire",
	["Farshire Fields"] = "Farshire Fields",
	["Farshire Lighthouse"] = "Farshire Lighthouse",
	["Farshire Mine"] = "Farshire Mine",
	["Farson Hold"] = "Farson Hold",
	["Farstrider Enclave"] = "Farstrider Enclave",
	["Farstrider Lodge"] = "Farstrider Lodge",
	["Farstrider Retreat"] = "Farstrider Retreat",
	["Farstriders' Enclave"] = "Farstriders' Enclave",
	["Farstriders' Square"] = "Farstriders' Square",
	["Farwatch Overlook"] = "Farwatch Overlook",
	["Farwatcher's Glen"] = "Farwatcher's Glen",
	["Fate of Karabor"] = "Fate of Karabor",
	["Fate's End"] = "Fate's End",
	["Fate's Precipice"] = "Fate's Precipice",
	["Fathom's Edge"] = "Fathom's Edge",
	["Fear Clutch"] = "Fear Clutch",
	["Feast of Arrogance"] = "Feast of Arrogance",
	["Featherbeard's Hovel"] = "Featherbeard's Hovel",
	["Feathermane Hunting Grounds"] = "Feathermane Hunting Grounds",
	["Feathermoon"] = "Feathermoon",
	["Feathermoon Stronghold"] = "Feathermoon Stronghold",
	["Feeders' Thicket"] = "Feeders' Thicket",
	["Feeding Pits"] = "Feeding Pits",
	["Fe-Feng Village"] = "Fe-Feng Village",
	["Fel Core"] = "Fel Core",
	["Fel Expanse"] = "Fel Expanse",
	["Fel Reaver Ruins"] = "Fel Reaver Ruins",
	["Fel Rock"] = "Fel Rock",
	["Felbane Camp"] = "Felbane Camp",
	["Felbeast Dens"] = "Felbeast Dens",
	["Felblaze Ingress"] = "Felblaze Ingress",
	["Felborne Outpost"] = "Felborne Outpost",
	["Felbreach Hollow"] = "Felbreach Hollow",
	["Feldust Cavern"] = "Feldust Cavern",
	["Felfire Armory"] = "Felfire Armory",
	["Felfire Cavern"] = "Felfire Cavern",
	["Felfire Hill"] = "Felfire Hill",
	["Felfire Pass"] = "Felfire Pass",
	["Felmaw Cavern"] = "Felmaw Cavern",
	["Felpaw Village"] = "Felpaw Village",
	["Felrage Strand"] = "Felrage Strand",
	["Felscale Cavern"] = "Felscale Cavern",
	["Felscar Breach"] = "Felscar Breach",
	["Felsiege Rise"] = "Felsiege Rise",
	["Felskorn Warcamp"] = "Felskorn Warcamp",
	["Felsoul Advance"] = "Felsoul Advance",
	["Felsoul Command"] = "Felsoul Command",
	["Felsoul Hold"] = "Felsoul Hold",
	["Felspark Ravine"] = "Felspark Ravine",
	["Felspawn Lair"] = "Felspawn Lair",
	["Felspinner Nest"] = "Felspinner Nest",
	["Felstone Field"] = "Felstone Field",
	["Felsurge Nest"] = "Felsurge Nest",
	["Felsworn Vault"] = "Felsworn Vault",
	["Feltotem"] = "Feltotem",
	["Feltotem Caverns"] = "Feltotem Caverns",
	["Feltotem's Fall"] = "Feltotem's Fall",
	["Felwatch Point"] = "Felwatch Point",
	["Felwing Ledge"] = "Felwing Ledge",
	["Felwood"] = "Felwood",
	["Fenris Isle"] = "Fenris Isle",
	["Fenris Keep"] = "Fenris Keep",
	["Feral Scar Vale"] = "Feral Scar Vale",
	["Feralas"] = "Feralas",
	["Feralfen Village"] = "Feralfen Village",
	["Fernwood Ridge"] = "Fernwood Ridge",
	["Festering Pools"] = "Festering Pools",
	["Festerroot Bog"] = "Festerroot Bog",
	["Festival Lane"] = "Festival Lane",
	["Feth's Way"] = "Feth's Way",
	["Fetid Crypt"] = "Fetid Crypt",
	["Fey Landing"] = "Fey Landing",
	["Field of Dreamers"] = "Field of Dreamers",
	["Field of Fallen Kings"] = "Field of Fallen Kings",
	["Field of Giants"] = "Field of Giants",
	["Field of Korja"] = "Field of Korja",
	["Field of Strife"] = "Field of Strife",
	["Fields of An'she"] = "Fields of An'she",
	["Fields of Blood"] = "Fields of Blood",
	["Fields of Honor"] = "Fields of Honor",
	["Fields of Niuzao"] = "Fields of Niuzao",
	["Fields of the Eternal Hunt"] = "Fields of the Eternal Hunt",
	["Fiendish Vault"] = "Fiendish Vault",
	["Fiend's Run"] = "Fiend's Run",
	["Fight the Imp Mother"] = "Fight the Imp Mother",
	["Fight, Kill, Salute: Last Gladiator Standing"] = "Fight, Kill, Salute: Last Gladiator Standing",
	["Filming"] = "Filming",
	["Finding Magni"] = "Finding Magni",
	["Finding the Secret Ingredient"] = "Finding the Secret Ingredient",
	["Fiona's Caravan"] = "Fiona's Caravan",
	["Fire Camp Bataar"] = "Fire Camp Bataar",
	["Fire Camp Gai-Cho"] = "Fire Camp Gai-Cho",
	["Fire Camp Ordo"] = "Fire Camp Ordo",
	["Fire Camp Osul"] = "Fire Camp Osul",
	["Fire Camp Ruqin"] = "Fire Camp Ruqin",
	["Fire Camp Yongqi"] = "Fire Camp Yongqi",
	["Fire Plume Ridge"] = "Fire Plume Ridge",
	["Fire Scar Shrine"] = "Fire Scar Shrine",
	["Fire Stone Mesa"] = "Fire Stone Mesa",
	["Firebeard Cemetery"] = "Firebeard Cemetery",
	["Firebeard's Patrol"] = "Firebeard's Patrol",
	["Firebough Nook"] = "Firebough Nook",
	["Firebreaker Expedition"] = "Firebreaker Expedition",
	["Firefly Tavern"] = "Firefly Tavern",
	["Firegut Furnace"] = "Firegut Furnace",
	["Firelands"] = "Firelands",
	["Firelands Forgeworks"] = "Firelands Forgeworks",
	["Firelands Hatchery"] = "Firelands Hatchery",
	["Firelands Terrain 2"] = "Firelands Terrain 2",
	["Firelands_Artifact"] = "Firelands_Artifact",
	["Fireplume Peak"] = "Fireplume Peak",
	["Firepowder Mine"] = "Firepowder Mine",
	["Firestone Point"] = "Firestone Point",
	["Firewalker Ruins"] = "Firewalker Ruins",
	["Firewalkers' Path"] = "Firewalkers' Path",
	["Firewatch Ridge"] = "Firewatch Ridge",
	["Firewing Point"] = "Firewing Point",
	["First Bank of Kezan"] = "First Bank of Kezan",
	["First Chamber of Kalliope"] = "First Chamber of Kalliope",
	["First Legion Forward Camp"] = "First Legion Forward Camp",
	["First to Your Aid"] = "First to Your Aid",
	["Firstborne's Bounty"] = "Firstborne's Bounty",
	["Fishing Shack"] = "Fishing Shack",
	["Fishing Village"] = "Fishing Village",
	["Fissure of Fury"] = "Fissure of Fury",
	["Fizzcrank Airstrip"] = "Fizzcrank Airstrip",
	["Fizzcrank Pumping Station"] = "Fizzcrank Pumping Station",
	["Fizzle & Pozzik's Speedbarge"] = "Fizzle & Pozzik's Speedbarge",
	["Fizzsprings Resort"] = "Fizzsprings Resort",
	["Fjorn's Anvil"] = "Fjorn's Anvil",
	["Flame Crest"] = "Flame Crest",
	["Flamebreach"] = "Flamebreach",
	["Flamestar Post"] = "Flamestar Post",
	["Flamewatch Tower"] = "Flamewatch Tower",
	["Flesh Stitchery"] = "Flesh Stitchery",
	["Fleshrender's Workshop"] = "Fleshrender's Workshop",
	["Fletcher's Hollow"] = "Fletcher's Hollow",
	["Fogcliff Strand"] = "Fogcliff Strand",
	["Font of Fealty"] = "Font of Fealty",
	["Font of Radiance"] = "Font of Radiance",
	["Font of Shadows"] = "Font of Shadows",
	["Fonts of Cleansing"] = "Fonts of Cleansing",
	["foo"] = "foo",
	["Foothold Citadel"] = "Foothold Citadel",
	["Footman's Armory"] = "Footman's Armory",
	["For Zandalar!"] = "For Zandalar!",
	["Forbidden Cave"] = "Forbidden Cave",
	["Forbidden Glacier"] = "Forbidden Glacier",
	["Forbidden Library"] = "Forbidden Library",
	["Force Interior"] = "Force Interior",
	["Fordragon Hold"] = "Fordragon Hold",
	["Forest Heart"] = "Forest Heart",
	["Forest Song"] = "Forest Song",
	["Forest's Edge"] = "Forest's Edge",
	["Forest's Edge Post"] = "Forest's Edge Post",
	["Forever Rise"] = "Forever Rise",
	["Forgalash's Den"] = "Forgalash's Den",
	["Forge Base: Gehenna"] = "Forge Base: Gehenna",
	["Forge Base: Oblivion"] = "Forge Base: Oblivion",
	["Forge Camp: Anger"] = "Forge Camp: Anger",
	["Forge Camp: Fear"] = "Forge Camp: Fear",
	["Forge Camp: Hate"] = "Forge Camp: Hate",
	["Forge Camp: Mageddon"] = "Forge Camp: Mageddon",
	["Forge Camp: Rage"] = "Forge Camp: Rage",
	["Forge Camp: Terror"] = "Forge Camp: Terror",
	["Forge Camp: Wrath"] = "Forge Camp: Wrath",
	["Forge of Aeons"] = "Forge of Aeons",
	["Forge of Corruption"] = "Forge of Corruption",
	["Forge of Fate"] = "Forge of Fate",
	["Forge of Odyn"] = "Forge of Odyn",
	["Forge of Pestilence"] = "Forge of Pestilence",
	["Forge of the Endless"] = "Forge of the Endless",
	["Forge of the Zephyr"] = "Forge of the Zephyr",
	["Forgefire Outpost"] = "Forgefire Outpost",
	["Forgewright's Tomb"] = "Forgewright's Tomb",
	["Forgotten Approach"] = "Forgotten Approach",
	["Forgotten Attic"] = "Forgotten Attic",
	["Forgotten Chamber"] = "Forgotten Chamber",
	["Forgotten Cove"] = "Forgotten Cove",
	["Forgotten Crypt"] = "Forgotten Crypt",
	["Forgotten Depths"] = "Forgotten Depths",
	["Forgotten Hill"] = "Forgotten Hill",
	["Forgotten Hollow"] = "Forgotten Hollow",
	["Forgotten Library"] = "Forgotten Library",
	["Forgotten Lodge"] = "Forgotten Lodge",
	["Forgotten Mire"] = "Forgotten Mire",
	["Forgotten Passage"] = "Forgotten Passage",
	["Forgotten Passageway"] = "Forgotten Passageway",
	["Forgotten Shore"] = "Forgotten Shore",
	["Forgotten Vault"] = "Forgotten Vault",
	["Forgotten Wounds"] = "Forgotten Wounds",
	["Forlorn Cloister"] = "Forlorn Cloister",
	["Forlorn Crossing"] = "Forlorn Crossing",
	["Forlorn Delta"] = "Forlorn Delta",
	["Forlorn Depths"] = "Forlorn Depths",
	["Forlorn Hut"] = "Forlorn Hut",
	["Forlorn Respite"] = "Forlorn Respite",
	["Forlorn Ridge"] = "Forlorn Ridge",
	["Forlorn Rowe"] = "Forlorn Rowe",
	["Forlorn Ruins"] = "Forlorn Ruins",
	["Forlorn Spire"] = "Forlorn Spire",
	["Forlorn Woods"] = "Forlorn Woods",
	["Formation Grounds"] = "Formation Grounds",
	["Forsaken Band Cave"] = "Forsaken Band Cave",
	["Forsaken Foothold"] = "Forsaken Foothold",
	["Forsaken Forward Command"] = "Forsaken Forward Command",
	["Forsaken High Command"] = "Forsaken High Command",
	["Forsaken Rear Guard"] = "Forsaken Rear Guard",
	["Fort Cave 1"] = "Fort Cave 1",
	["Fort Cave 2"] = "Fort Cave 2",
	["Fort Daelin"] = "Fort Daelin",
	["Fort Livingston"] = "Fort Livingston",
	["Fort Silverback"] = "Fort Silverback",
	["Fort Triumph"] = "Fort Triumph",
	["Fort Victory"] = "Fort Victory",
	["Fort Wildervar"] = "Fort Wildervar",
	["Fort Wrynn"] = "Fort Wrynn",
	["Fort Wrynn Worksite"] = "Fort Wrynn Worksite",
	["Fortune's Fist"] = "Fortune's Fist",
	["Forward Assault Camp"] = "Forward Assault Camp",
	["Forward Camp"] = "Forward Camp",
	["Forward Command"] = "Forward Command",
	["Foul Creche"] = "Foul Creche",
	["Foulshore Strip"] = "Foulshore Strip",
	["Foulspore Cavern"] = "Foulspore Cavern",
	["Foulspore Caverns"] = "Foulspore Caverns",
	["Foulspore Pools"] = "Foulspore Pools",
	["Foundry Terminus"] = "Foundry Terminus",
	["Fountain of the Everseeing"] = "Fountain of the Everseeing",
	["Fountain Plaza"] = "Fountain Plaza",
	["Fox Grove"] = "Fox Grove",
	["Foxhollow Woods"] = "Foxhollow Woods",
	["Fractured Front"] = "Fractured Front",
	["Fray Island"] = "Fray Island",
	["Frayfeather Highlands"] = "Frayfeather Highlands",
	["Frazzlecraz Motherlode"] = "Frazzlecraz Motherlode",
	["Freehold"] = "Freehold",
	["Freewind Post"] = "Freewind Post",
	["Frenzyheart Hill"] = "Frenzyheart Hill",
	["Frenzyheart River"] = "Frenzyheart River",
	["Friends & Anemone's"] = "Friends & Anemone's",
	["Frigid Breach"] = "Frigid Breach",
	["Frondfall"] = "Frondfall",
	["Frost Dagger Pass"] = "Frost Dagger Pass",
	["Frost Den"] = "Frost Den",
	["Frostangler Bay"] = "Frostangler Bay",
	["Frostbite Deep"] = "Frostbite Deep",
	["Frostbite Hollow"] = "Frostbite Hollow",
	["Frostbite Wall"] = "Frostbite Wall",
	["Frostblade Pass"] = "Frostblade Pass",
	["Frostblade Peak"] = "Frostblade Peak",
	["Frostboar Drifts"] = "Frostboar Drifts",
	["Frostboar Point"] = "Frostboar Point",
	["Frostbrine Cave"] = "Frostbrine Cave",
	["Frostcave"] = "Frostcave",
	["Frostchill Lagoon"] = "Frostchill Lagoon",
	["Frostclaw Den"] = "Frostclaw Den",
	["Frostfield Lake"] = "Frostfield Lake",
	["Frostfire Hot Springs"] = "Frostfire Hot Springs",
	["Frostfire Ridge"] = "Frostfire Ridge",
	["Frostfloe Deep"] = "Frostfloe Deep",
	["Frostgrip's Hollow"] = "Frostgrip's Hollow",
	["Frosthold"] = "Frosthold",
	["Frosthoof Watch"] = "Frosthoof Watch",
	["Frosthowl Cavern"] = "Frosthowl Cavern",
	["Frostmane Front"] = "Frostmane Front",
	["Frostmane Hold"] = "Frostmane Hold",
	["Frostmane Hovel"] = "Frostmane Hovel",
	["Frostmane Retreat"] = "Frostmane Retreat",
	["Frostmourne"] = "Frostmourne",
	["Frostmourne Cavern"] = "Frostmourne Cavern",
	["Frostsaber Rock"] = "Frostsaber Rock",
	["Frostwall"] = "Frostwall",
	["Frostwall Approach"] = "Frostwall Approach",
	["Frostwall Garrison"] = "Frostwall Garrison",
	["Frostwall Mine"] = "Frostwall Mine",
	["Frostwall Shipyard"] = "Frostwall Shipyard",
	["Frostwall Tavern"] = "Frostwall Tavern",
	["Frostwhisper Gorge"] = "Frostwhisper Gorge",
	["Frostwind Crag"] = "Frostwind Crag",
	["Frostwing Halls"] = "Frostwing Halls",
	["Frostwolf Graveyard"] = "Frostwolf Graveyard",
	["Frostwolf Keep"] = "Frostwolf Keep",
	["Frostwolf Overlook"] = "Frostwolf Overlook",
	["Frostwolf Pass"] = "Frostwolf Pass",
	["Frostwolf Tunnel"] = "Frostwolf Tunnel",
	["Frostwolf Village"] = "Frostwolf Village",
	["Frozen Reach"] = "Frozen Reach",
	["Frozen Span"] = "Frozen Span",
	["Frozen Wastes"] = "Frozen Wastes",
	["Fungal Deep"] = "Fungal Deep",
	["Fungal Rock"] = "Fungal Rock",
	["Fungal Terminus"] = "Fungal Terminus",
	["Fungal Wasteland"] = "Fungal Wasteland",
	["Funggor Cavern"] = "Funggor Cavern",
	["Furien's Post"] = "Furien's Post",
	["Furlbrow's Pumpkin Farm"] = "Furlbrow's Pumpkin Farm",
	["Furnace of Hate"] = "Furnace of Hate",
	["Furrowed Glen"] = "Furrowed Glen",
	["Furywing's Perch"] = "Furywing's Perch",
	["Fu's Pond"] = "Fu's Pond",
	["Fuselight"] = "Fuselight",
	["Fuselight-by-the-Sea"] = "Fuselight-by-the-Sea",
	["Gadgetzan"] = "Gadgetzan",
	["Gahrron's Withering"] = "Gahrron's Withering",
	["Gahz'ralka's Lair"] = "Gahz'ralka's Lair",
	["Gai-Cho Battlefield"] = "Gai-Cho Battlefield",
	["Galak Hold"] = "Galak Hold",
	["Galakrond's Fall"] = "Galakrond's Fall",
	["Galakrond's Rest"] = "Galakrond's Rest",
	["Galardell Valley"] = "Galardell Valley",
	["Galebroken Path"] = "Galebroken Path",
	["Galen's Fall"] = "Galen's Fall",
	["Galerek's Remorse"] = "Galerek's Remorse",
	["Gale's Rest"] = "Gale's Rest",
	["Galewatch Lighthouse"] = "Galewatch Lighthouse",
	["Gallery of Failures"] = "Gallery of Failures",
	["Gallery of Treasures"] = "Gallery of Treasures",
	["Gallows' Corner"] = "Gallows' Corner",
	["Gallows' End Tavern"] = "Gallows' End Tavern",
	["Gallywix Docks"] = "Gallywix Docks",
	["Gallywix Labor Mine"] = "Gallywix Labor Mine",
	["Gallywix Pleasure Palace"] = "Gallywix Pleasure Palace",
	["Gallywix's Garage"] = "Gallywix's Garage",
	["Gallywix's Villa"] = "Gallywix's Villa",
	["Gallywix's Yacht"] = "Gallywix's Yacht",
	["Galson's Lode"] = "Galson's Lode",
	["Galus' Chamber"] = "Galus' Chamber",
	["Gamesman's Hall"] = "Gamesman's Hall",
	["Gammoth"] = "Gammoth",
	["Gangamesh's Den"] = "Gangamesh's Den",
	["Gao-Ran Battlefront"] = "Gao-Ran Battlefront",
	["Garadar"] = "Garadar",
	["Garden of Edenia"] = "Garden of Edenia",
	["Garden of Elune"] = "Garden of Elune",
	["Garden of K'ure"] = "Garden of K'ure",
	["Garden of Night"] = "Garden of Night",
	["Garden of Respite"] = "Garden of Respite",
	["Garden of the Loa"] = "Garden of the Loa",
	["Garden of the Moon"] = "Garden of the Moon",
	["Garden Plaza"] = "Garden Plaza",
	["Gardens of Eternity"] = "Gardens of Eternity",
	["Gardens of Repose"] = "Gardens of Repose",
	["Gargantuan Deepcoil Slitherking"] = "Gargantuan Deepcoil Slitherking",
	["Gar'gol's Hovel"] = "Gar'gol's Hovel",
	["Garm"] = "Garm",
	["Garm's Bane"] = "Garm's Bane",
	["Garm's Rise"] = "Garm's Rise",
	["Garren's Haunt"] = "Garren's Haunt",
	["Garrison"] = "Garrison",
	["Garrison - Alliance - Inn"] = "Garrison - Alliance - Inn",
	["Garrison Armory"] = "Garrison Armory",
	["Garrison of the Fel"] = "Garrison of the Fel",
	["Garrosh'ar Advance"] = "Garrosh'ar Advance",
	["Garrosh'ar Point"] = "Garrosh'ar Point",
	["Garrosh's Landing"] = "Garrosh's Landing",
	["Garvan's Reef"] = "Garvan's Reef",
	["Gate of Echoes"] = "Gate of Echoes",
	["Gate of Endless Spring"] = "Gate of Endless Spring",
	["Gate of Hamatep"] = "Gate of Hamatep",
	["Gate of Lightning"] = "Gate of Lightning",
	["Gate of the August Celestials"] = "Gate of the August Celestials",
	["Gate of the Blue Sapphire"] = "Gate of the Blue Sapphire",
	["Gate of the Breakers"] = "Gate of the Breakers",
	["Gate of the Green Emerald"] = "Gate of the Green Emerald",
	["Gate of the Purple Amethyst"] = "Gate of the Purple Amethyst",
	["Gate of the Queen"] = "Gate of the Queen",
	["Gate of the Red Sun"] = "Gate of the Red Sun",
	["Gate of the Setting Sun"] = "Gate of the Setting Sun",
	["Gate of the Yellow Moon"] = "Gate of the Yellow Moon",
	["Gates of Ahn'Qiraj"] = "Gates of Ahn'Qiraj",
	["Gates of Grommashar"] = "Gates of Grommashar",
	["Gates of Ironforge"] = "Gates of Ironforge",
	["Gates of Orgrimmar"] = "Gates of Orgrimmar",
	["Gates of Sothann"] = "Gates of Sothann",
	["Gates of Valor"] = "Gates of Valor",
	["Gather Ingredients"] = "Gather Ingredients",
	["Gathering of the Storms"] = "Gathering of the Storms",
	["Gauntlet of Flame"] = "Gauntlet of Flame",
	["Gavin's Naze"] = "Gavin's Naze",
	["Gaze of the Legion"] = "Gaze of the Legion",
	["Geezle's Camp"] = "Geezle's Camp",
	["Gelkis Village"] = "Gelkis Village",
	["Gem Boutique"] = "Gem Boutique",
	["General Goods"] = "General Goods",
	["General's Terrace"] = "General's Terrace",
	["Ghost Walker Post"] = "Ghost Walker Post",
	["Ghostblade Post"] = "Ghostblade Post",
	["Ghostlands"] = "Ghostlands",
	["Giant's Fall"] = "Giant's Fall",
	["Giants' Run"] = "Giants' Run",
	["Gift of Flesh"] = "Gift of Flesh",
	["Gilded Fan"] = "Gilded Fan",
	["Gillijim's Isle"] = "Gillijim's Isle",
	["Gilnean Coast"] = "Gilnean Coast",
	["Gilnean Stronghold"] = "Gilnean Stronghold",
	["Gilneas"] = "Gilneas",
	["Gilneas City"] = "Gilneas City",
	["Gilneas Island"] = "Gilneas Island",
	["Gilneas Liberation Front Base Camp"] = "Gilneas Liberation Front Base Camp",
	["Gilneas2"] = "Gilneas2",
	["Gimorak's Den"] = "Gimorak's Den",
	["Gjalerbron"] = "Gjalerbron",
	["Gjalerhorn"] = "Gjalerhorn",
	["Glacial Falls"] = "Glacial Falls",
	["Glacier Bay"] = "Glacier Bay",
	["Gladiator's Rest"] = "Gladiator's Rest",
	["Gladiator's Sanctum"] = "Gladiator's Sanctum",
	["Gleaming Overlook"] = "Gleaming Overlook",
	["Glenbrook Homestead"] = "Glenbrook Homestead",
	["Glenbrook Hunting Grounds"] = "Glenbrook Hunting Grounds",
	["Glimmer Bay"] = "Glimmer Bay",
	["Glimmerdeep Gorge"] = "Glimmerdeep Gorge",
	["Glitterfall Basin"] = "Glitterfall Basin",
	["Glitterfall Heights"] = "Glitterfall Heights",
	["Glittering Falls"] = "Glittering Falls",
	["Glittering Strand"] = "Glittering Strand",
	["Gloaming Reef"] = "Gloaming Reef",
	["Gloom Hollow"] = "Gloom Hollow",
	["Gloombound Barrow"] = "Gloombound Barrow",
	["Gloomscale Coast"] = "Gloomscale Coast",
	["Gloomshade Cove"] = "Gloomshade Cove",
	["Gloomshade Grotto"] = "Gloomshade Grotto",
	["Gloomshade Grove"] = "Gloomshade Grove",
	["Gloomshore"] = "Gloomshore",
	["Gloomtail's Den"] = "Gloomtail's Den",
	["Gloomtide Strand"] = "Gloomtide Strand",
	["Gloomwater Span"] = "Gloomwater Span",
	["Glopgut's Hollow"] = "Glopgut's Hollow",
	["Glorious Goods"] = "Glorious Goods",
	["Glory"] = "Glory",
	["Glutharn's Decay"] = "Glutharn's Decay",
	["Glut's Burrow"] = "Glut's Burrow",
	["GM Island"] = "GM Island",
	["Gnarlpine Hold"] = "Gnarlpine Hold",
	["Gnarlroot Cleft"] = "Gnarlroot Cleft",
	["Gnarlwood Pass"] = "Gnarlwood Pass",
	["Gnaws' Boneyard"] = "Gnaws' Boneyard",
	["Gnomeregan"] = "Gnomeregan",
	["Gnomes"] = "Gnomes",
	["Gnomish Gearworks"] = "Gnomish Gearworks",
	["Goblin Foundry"] = "Goblin Foundry",
	["Goblin Mine"] = "Goblin Mine",
	["Goblin Ship Final"] = "Goblin Ship Final",
	["Goblin Workshop"] = "Goblin Workshop",
	["Gobline Mine"] = "Gobline Mine",
	["Gokk'lok Shallows"] = "Gokk'lok Shallows",
	["Gokk'lok's Grotto"] = "Gokk'lok's Grotto",
	["Gol Inath"] = "Gol Inath",
	["Gol Koval"] = "Gol Koval",
	["Gol Osigr"] = "Gol Osigr",
	["Gol Thovas"] = "Gol Thovas",
	["Gol Var"] = "Gol Var",
	["Golakka Hot Springs"] = "Golakka Hot Springs",
	["Gol'Bolar Quarry"] = "Gol'Bolar Quarry",
	["Gol'Bolar Quarry Mine"] = "Gol'Bolar Quarry Mine",
	["Gold Coast Quarry"] = "Gold Coast Quarry",
	["Gold Mine"] = "Gold Mine",
	["Gold Road"] = "Gold Road",
	["Golden Strand"] = "Golden Strand",
	["Goldenbough Pass"] = "Goldenbough Pass",
	["Goldenmist Village"] = "Goldenmist Village",
	["Goldfield Farmstead"] = "Goldfield Farmstead",
	["Goldshire"] = "Goldshire",
	["Goldtooth's Den"] = "Goldtooth's Den",
	["Goldtusk Inn"] = "Goldtusk Inn",
	["Gol'gor"] = "Gol'gor",
	["Goodgrub Smoking Pit"] = "Goodgrub Smoking Pit",
	["Gordal Foothills"] = "Gordal Foothills",
	["Gordal Fortress"] = "Gordal Fortress",
	["Gordok Commons"] = "Gordok Commons",
	["Gordok's Seat"] = "Gordok's Seat",
	["Gordunni Outpost"] = "Gordunni Outpost",
	["Gorefiend's Vigil"] = "Gorefiend's Vigil",
	["Gor'gaz Outpost"] = "Gor'gaz Outpost",
	["Gorgoa, River of Souls"] = "Gorgoa, River of Souls",
	["Gorgoa: River of Souls"] = "Gorgoa: River of Souls",
	["Gorgonian Overlook"] = "Gorgonian Overlook",
	["Gorgorek's Fall"] = "Gorgorek's Fall",
	["Gorgrond"] = "Gorgrond",
	["Gorgrond Finale"] = "Gorgrond Finale",
	["Gorgrond Pass"] = "Gorgrond Pass",
	["Gorian Assault"] = "Gorian Assault",
	["Gorian Falls"] = "Gorian Falls",
	["Gorian Proving Grounds"] = "Gorian Proving Grounds",
	["Gorian Strand"] = "Gorian Strand",
	["Gorilla Gorge"] = "Gorilla Gorge",
	["Gormaul Tower"] = "Gormaul Tower",
	["Gormhive"] = "Gormhive",
	["Gormhive Defense Wall"] = "Gormhive Defense Wall",
	["Gorm's Den"] = "Gorm's Den",
	["Gornia"] = "Gornia",
	["Gorrok's Lament"] = "Gorrok's Lament",
	["Gorshak War Camp"] = "Gorshak War Camp",
	["Go'Shek Farm"] = "Go'Shek Farm",
	["Gossamer Cliffs"] = "Gossamer Cliffs",
	["Gra'ah"] = "Gra'ah",
	["Grace of the Remembered"] = "Grace of the Remembered",
	["Grain Cellar"] = "Grain Cellar",
	["Gral's Bounty"] = "Gral's Bounty",
	["Gral's Call"] = "Gral's Call",
	["Gral's Call - Crew's Quarters"] = "Gral's Call - Crew's Quarters",
	["Gral's Call - Rest of Ship"] = "Gral's Call - Rest of Ship",
	["Gral's Grotto"] = "Gral's Grotto",
	["Grand Bazaar"] = "Grand Bazaar",
	["Grand Courtyard"] = "Grand Courtyard",
	["Grand Magister's Asylum"] = "Grand Magister's Asylum",
	["Grand Overlook"] = "Grand Overlook",
	["Grand Palisade"] = "Grand Palisade",
	["Grand Parlor"] = "Grand Parlor",
	["Grand Promenade"] = "Grand Promenade",
	["Grand Spire"] = "Grand Spire",
	["Grangol'var Village"] = "Grangol'var Village",
	["Granite Springs"] = "Granite Springs",
	["Grassy Cline"] = "Grassy Cline",
	["Grave-Prison of Zakajz"] = "Grave-Prison of Zakajz",
	["Greaseworks"] = "Greaseworks",
	["Great Dark Beyond"] = "Great Dark Beyond",
	["Great Hall"] = "Great Hall",
	["Great Tree Valuundira"] = "Great Tree Valuundira",
	["Greater Invasion Point: Inquisitor Meto"] = "Greater Invasion Point: Inquisitor Meto",
	["Greater Invasion Point: Matron Folnuna"] = "Greater Invasion Point: Matron Folnuna",
	["Greater Invasion Point: Mistress Alluradel"] = "Greater Invasion Point: Mistress Alluradel",
	["Greater Invasion Point: Occularus"] = "Greater Invasion Point: Occularus",
	["Greater Invasion Point: Pit Lord Vilemus"] = "Greater Invasion Point: Pit Lord Vilemus",
	["Greater Invasion Point: Sotanathor"] = "Greater Invasion Point: Sotanathor",
	["Greatwing Roost"] = "Greatwing Roost",
	["Greatwood Vale"] = "Greatwood Vale",
	["Greengill Coast"] = "Greengill Coast",
	["Greenpaw Village"] = "Greenpaw Village",
	["Greenstone Dojo"] = "Greenstone Dojo",
	["Greenstone Inn"] = "Greenstone Inn",
	["Greenstone Masons' Quarter"] = "Greenstone Masons' Quarter",
	["Greenstone Quarry"] = "Greenstone Quarry",
	["Greenstone Village"] = "Greenstone Village",
	["Greenwarden's Grove"] = "Greenwarden's Grove",
	["Grey Shoals"] = "Grey Shoals",
	["Greyfang Enclave"] = "Greyfang Enclave",
	["Greymane Court"] = "Greymane Court",
	["Greymane Manor"] = "Greymane Manor",
	["Greymane's Gambit"] = "Greymane's Gambit",
	["Greymane's Offensive"] = "Greymane's Offensive",
	["Greymist Firth"] = "Greymist Firth",
	["Greystone"] = "Greystone",
	["Greystone Enclave"] = "Greystone Enclave",
	["Greystone Keep"] = "Greystone Keep",
	["Greystone Relief"] = "Greystone Relief",
	["Greystone Ruins"] = "Greystone Ruins",
	["Greywatch"] = "Greywatch",
	["Greywatch Barracks"] = "Greywatch Barracks",
	["Grim Batol"] = "Grim Batol",
	["Grim Batol Entrance"] = "Grim Batol Entrance",
	["Grimesilt Dig Site"] = "Grimesilt Dig Site",
	["Grimfrost Hill"] = "Grimfrost Hill",
	["Grimrail Crash Site"] = "Grimrail Crash Site",
	["Grimrail Depot"] = "Grimrail Depot",
	["Grimtotem Compound"] = "Grimtotem Compound",
	["Grimtotem Post"] = "Grimtotem Post",
	["Grimwatt's Crash"] = "Grimwatt's Crash",
	["Grishnath"] = "Grishnath",
	["Grizzlemaw"] = "Grizzlemaw",
	["Grizzlemaw Cavern"] = "Grizzlemaw Cavern",
	["Grizzlepaw Ridge"] = "Grizzlepaw Ridge",
	["Grizzleweald"] = "Grizzleweald",
	["Grizzly Hills"] = "Grizzly Hills",
	["Grol'dom Farm"] = "Grol'dom Farm",
	["Grolluk's Grave"] = "Grolluk's Grave",
	["Grom'arsh Crash-Site"] = "Grom'arsh Crash-Site",
	["Grom'gar"] = "Grom'gar",
	["Grom'gol"] = "Grom'gol",
	["Grom'gol Base Camp"] = "Grom'gol Base Camp",
	["Gromit Hollow"] = "Gromit Hollow",
	["Grom'kar Gulch"] = "Grom'kar Gulch",
	["Grommar"] = "Grommar",
	["Grommar Docks"] = "Grommar Docks",
	["Grommar Hold"] = "Grommar Hold",
	["Grommash Hold"] = "Grommash Hold",
	["Grommash Hold - Arthas Scenario"] = "Grommash Hold - Arthas Scenario",
	["Grommashar"] = "Grommashar",
	["Grommash's Torment"] = "Grommash's Torment",
	["Gronn Canyon"] = "Gronn Canyon",
	["Gronn Cave"] = "Gronn Cave",
	["Gronnstalkers' Cache"] = "Gronnstalkers' Cache",
	["Grookin Hill"] = "Grookin Hill",
	["Grosh'gok Compound"] = "Grosh'gok Compound",
	["Grotto of the Double-crossed Captain"] = "Grotto of the Double-crossed Captain",
	["Grove of Aessina"] = "Grove of Aessina",
	["Grove of Awakening"] = "Grove of Awakening",
	["Grove of Cenarius"] = "Grove of Cenarius",
	["Grove of Falling Blossoms"] = "Grove of Falling Blossoms",
	["Grove of Memory"] = "Grove of Memory",
	["Grove of Naroua"] = "Grove of Naroua",
	["Grove of Terror"] = "Grove of Terror",
	["Grove of the Ancients"] = "Grove of the Ancients",
	["Growless Cave"] = "Growless Cave",
	["Grulloc's Grotto"] = "Grulloc's Grotto",
	["Grulloc's Lair"] = "Grulloc's Lair",
	["Grunters Hideout"] = "Grunters Hideout",
	["Gruul's Lair"] = "Gruul's Lair",
	["Gryphon Roost"] = "Gryphon Roost",
	["Guardian Spring"] = "Guardian Spring",
	["Guardian's Library"] = "Guardian's Library",
	["Guardian's Study"] = "Guardian's Study",
	["Gul'dan's Overlook"] = "Gul'dan's Overlook",
	["Gull Rock"] = "Gull Rock",
	["Gul'rok"] = "Gul'rok",
	["Gul'var"] = "Gul'var",
	["Gundrak"] = "Gundrak",
	["Gundrak Entrance"] = "Gundrak Entrance",
	["Gunstan's Dig"] = "Gunstan's Dig",
	["Gunstan's Post"] = "Gunstan's Post",
	["Gunther's Retreat"] = "Gunther's Retreat",
	["Guo-Lai Halls"] = "Guo-Lai Halls",
	["Guo-Lai Ritual Chamber"] = "Guo-Lai Ritual Chamber",
	["Guo-Lai Vault"] = "Guo-Lai Vault",
	["Gurboggle's Ledge"] = "Gurboggle's Ledge",
	["Gurgthock's Stash"] = "Gurgthock's Stash",
	["Gurubashi Arena"] = "Gurubashi Arena",
	["Gurubashi Embassy"] = "Gurubashi Embassy",
	["Gurun's Banquet"] = "Gurun's Banquet",
	["Gyro-Plank Bridge"] = "Gyro-Plank Bridge",
	["Haal'eshi Gorge"] = "Haal'eshi Gorge",
	["Hadronox's Lair"] = "Hadronox's Lair",
	["Haetio's Solace"] = "Haetio's Solace",
	["Hafr Fjall"] = "Hafr Fjall",
	["Hailwood Marsh"] = "Hailwood Marsh",
	["Hakkari Grounds"] = "Hakkari Grounds",
	["Halaa"] = "Halaa",
	["Halaani Basin"] = "Halaani Basin",
	["Halcyon Egress"] = "Halcyon Egress",
	["Haldarr Encampment"] = "Haldarr Encampment",
	["Halfhill"] = "Halfhill",
	["Halgrind"] = "Halgrind",
	["Hall of Ancient Paths"] = "Hall of Ancient Paths",
	["Hall of Antiquities"] = "Hall of Antiquities",
	["Hall of Arcane Learning"] = "Hall of Arcane Learning",
	["Hall of Arms"] = "Hall of Arms",
	["Hall of Beasts"] = "Hall of Beasts",
	["Hall of Binding"] = "Hall of Binding",
	["Hall of Blackhand"] = "Hall of Blackhand",
	["Hall of Blades"] = "Hall of Blades",
	["Hall of Bones"] = "Hall of Bones",
	["Hall of Cantrips"] = "Hall of Cantrips",
	["Hall of Castes"] = "Hall of Castes",
	["Hall of Chains"] = "Hall of Chains",
	["Hall of Champions"] = "Hall of Champions",
	["Hall of Chieftains"] = "Hall of Chieftains",
	["Hall of Chroniclers"] = "Hall of Chroniclers",
	["Hall of Command"] = "Hall of Command",
	["Hall of Communion"] = "Hall of Communion",
	["Hall of Crafting"] = "Hall of Crafting",
	["Hall of Curiosities"] = "Hall of Curiosities",
	["Hall of Departure"] = "Hall of Departure",
	["Hall of Elixirs"] = "Hall of Elixirs",
	["Hall of Enlightenment"] = "Hall of Enlightenment",
	["Hall of Explorers"] = "Hall of Explorers",
	["Hall of Faces"] = "Hall of Faces",
	["Hall of Glimmers"] = "Hall of Glimmers",
	["Hall of Glory"] = "Hall of Glory",
	["Hall of Golems"] = "Hall of Golems",
	["Hall of Holding"] = "Hall of Holding",
	["Hall of Honored Dead"] = "Hall of Honored Dead",
	["Hall of Horrors"] = "Hall of Horrors",
	["Hall of Ichor"] = "Hall of Ichor",
	["Hall of Illusions"] = "Hall of Illusions",
	["Hall of Kings"] = "Hall of Kings",
	["Hall of Legends"] = "Hall of Legends",
	["Hall of Masks"] = "Hall of Masks",
	["Hall of Memories"] = "Hall of Memories",
	["Hall of Mysteries"] = "Hall of Mysteries",
	["Hall of Repose"] = "Hall of Repose",
	["Hall of Return"] = "Hall of Return",
	["Hall of Ritual"] = "Hall of Ritual",
	["Hall of Sanitation"] = "Hall of Sanitation",
	["Hall of Secrets"] = "Hall of Secrets",
	["Hall of Serpents"] = "Hall of Serpents",
	["Hall of Shadra"] = "Hall of Shadra",
	["Hall of Shapers"] = "Hall of Shapers",
	["Hall of Shapes"] = "Hall of Shapes",
	["Hall of Sorcery"] = "Hall of Sorcery",
	["Hall of Stasis"] = "Hall of Stasis",
	["Hall of Strength"] = "Hall of Strength",
	["Hall of the Brave"] = "Hall of the Brave",
	["Hall of the Conquered Kings"] = "Hall of the Conquered Kings",
	["Hall of the Crafters"] = "Hall of the Crafters",
	["Hall of the Crescent Moon"] = "Hall of the Crescent Moon",
	["Hall of the Crusade"] = "Hall of the Crusade",
	["Hall of the Cursed"] = "Hall of the Cursed",
	["Hall of the Damned"] = "Hall of the Damned",
	["Hall of the Defamed"] = "Hall of the Defamed",
	["Hall of the Exalted"] = "Hall of the Exalted",
	["Hall of the Fathers"] = "Hall of the Fathers",
	["Hall of the Frostwolf"] = "Hall of the Frostwolf",
	["Hall of the Grand Imperion"] = "Hall of the Grand Imperion",
	["Hall of the Great Hunt"] = "Hall of the Great Hunt",
	["Hall of the Guardian"] = "Hall of the Guardian",
	["Hall of the High Father"] = "Hall of the High Father",
	["Hall of the High Priests"] = "Hall of the High Priests",
	["Hall of the Keepers"] = "Hall of the Keepers",
	["Hall of the Lesser Loa"] = "Hall of the Lesser Loa",
	["Hall of the Moon"] = "Hall of the Moon",
	["Hall of the Seasons"] = "Hall of the Seasons",
	["Hall of the Shaper"] = "Hall of the Shaper",
	["Hall of the Stormpike"] = "Hall of the Stormpike",
	["Hall of the Tortured"] = "Hall of the Tortured",
	["Hall of the Twin Brothers"] = "Hall of the Twin Brothers",
	["Hall of the Watchers"] = "Hall of the Watchers",
	["Hall of the Wicked"] = "Hall of the Wicked",
	["Hall of Tombs"] = "Hall of Tombs",
	["Hall of Tomes"] = "Hall of Tomes",
	["Hall of Tranquility"] = "Hall of Tranquility",
	["Hall of Twilight"] = "Hall of Twilight",
	["Halls of Anguish"] = "Halls of Anguish",
	["Halls of Ash"] = "Halls of Ash",
	["Halls of Atonement"] = "Halls of Atonement",
	["Halls of Atonement South"] = "Halls of Atonement South",
	["Halls of Awakening"] = "Halls of Awakening",
	["Halls of Binding"] = "Halls of Binding",
	["Halls of Destruction"] = "Halls of Destruction",
	["Halls of Devotion"] = "Halls of Devotion",
	["Halls of Flesh-Shaping"] = "Halls of Flesh-Shaping",
	["Halls of Lightning"] = "Halls of Lightning",
	["Halls of Lightning Entrance"] = "Halls of Lightning Entrance",
	["Halls of Might"] = "Halls of Might",
	["Halls of Mourning"] = "Halls of Mourning",
	["Halls of Opulence"] = "Halls of Opulence",
	["Halls of Origination"] = "Halls of Origination",
	["Halls of Origination Entrance"] = "Halls of Origination Entrance",
	["Halls of Reflection"] = "Halls of Reflection",
	["Halls of Reflection Entrance"] = "Halls of Reflection Entrance",
	["Halls of Sacrifice"] = "Halls of Sacrifice",
	["Halls of Silence"] = "Halls of Silence",
	["Halls of Stone"] = "Halls of Stone",
	["Halls of Stone Entrance"] = "Halls of Stone Entrance",
	["Halls of Strife"] = "Halls of Strife",
	["Halls of the Ancestors"] = "Halls of the Ancestors",
	["Halls of the Boundless Reach"] = "Halls of the Boundless Reach",
	["Halls of the Chosen"] = "Halls of the Chosen",
	["Halls of the Eclipse"] = "Halls of the Eclipse",
	["Halls of the Faithful"] = "Halls of the Faithful",
	["Halls of the Hereafter"] = "Halls of the Hereafter",
	["Halls of the Law"] = "Halls of the Law",
	["Halls of the Sargerei"] = "Halls of the Sargerei",
	["Halls of Theory"] = "Halls of Theory",
	["Halls of Valor"] = "Halls of Valor",
	["Hallvalor"] = "Hallvalor",
	["Halycon's Lair"] = "Halycon's Lair",
	["Hammerfall"] = "Hammerfall",
	["Hammertoe's Digsite"] = "Hammertoe's Digsite",
	["Hammond Farmstead"] = "Hammond Farmstead",
	["Hangar"] = "Hangar",
	["Hangman's Point"] = "Hangman's Point",
	["Harbor"] = "Harbor",
	["Harbormaster's Office"] = "Harbormaster's Office",
	["Hardknuckle Clearing"] = "Hardknuckle Clearing",
	["Hardwrench Hideaway"] = "Hardwrench Hideaway",
	["Harkor's Camp"] = "Harkor's Camp",
	["Harpy Roost"] = "Harpy Roost",
	["Harvesting Pits"] = "Harvesting Pits",
	["Hatchet Hills"] = "Hatchet Hills",
	["Hatchet Ridge"] = "Hatchet Ridge",
	["Hatecoil Encampment"] = "Hatecoil Encampment",
	["Hatecoil Slave Pen"] = "Hatecoil Slave Pen",
	["Hatecoil Warcamp"] = "Hatecoil Warcamp",
	["Hatescale Burrow"] = "Hatescale Burrow",
	["Hatherford"] = "Hatherford",
	["Hatred's Vice"] = "Hatred's Vice",
	["Haustvald"] = "Haustvald",
	["Havenshire"] = "Havenshire",
	["Havenshire Farms"] = "Havenshire Farms",
	["Havenshire Lumber Mill"] = "Havenshire Lumber Mill",
	["Havenshire Mine"] = "Havenshire Mine",
	["Havenshire Stables"] = "Havenshire Stables",
	["Havenswood"] = "Havenswood",
	["Hawthorne's Plot"] = "Hawthorne's Plot",
	["Hayward Fishery"] = "Hayward Fishery",
	["Headhunter Lodge"] = "Headhunter Lodge",
	["Headmaster's Retreat"] = "Headmaster's Retreat",
	["Headmaster's Study"] = "Headmaster's Study",
	["Heart of Corruption"] = "Heart of Corruption",
	["Heart of Darkness"] = "Heart of Darkness",
	["Heart of Destruction"] = "Heart of Destruction",
	["Heart of Dread"] = "Heart of Dread",
	["Heart of Fear"] = "Heart of Fear",
	["Heart of the Fen"] = "Heart of the Fen",
	["Heart of the Forest"] = "Heart of the Forest",
	["Heart of Zan'vess"] = "Heart of Zan'vess",
	["Heartblood"] = "Heartblood",
	["Heartblood Tangle"] = "Heartblood Tangle",
	["Hearth of Revelry"] = "Hearth of Revelry",
	["Hearthfire Tavern"] = "Hearthfire Tavern",
	["Hearthglen"] = "Hearthglen",
	["Hearthstone Tavern"] = "Hearthstone Tavern",
	["Heart's Blood Shrine"] = "Heart's Blood Shrine",
	["Heartwood Grove"] = "Heartwood Grove",
	["Heartwood Trading Post"] = "Heartwood Trading Post",
	["Heathrow Manor"] = "Heathrow Manor",
	["Heb'Drakkar"] = "Heb'Drakkar",
	["Heb'Valok"] = "Heb'Valok",
	["Helgarde Keep"] = "Helgarde Keep",
	["Helheim"] = "Helheim",
	["Helhiem Exterior Area"] = "Helhiem Exterior Area",
	["Hellfire Antechamber"] = "Hellfire Antechamber",
	["Hellfire Basin"] = "Hellfire Basin",
	["Hellfire Citadel"] = "Hellfire Citadel",
	["Hellfire Citadel - Ramparts Entrance"] = "Hellfire Citadel - Ramparts Entrance",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "Hellfire Citadel - The Blood Furnace Entrance",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "Hellfire Citadel - The Shattered Halls Entrance",
	["Hellfire Citadel: Ramparts"] = "Hellfire Citadel: Ramparts",
	["Hellfire Citadel: The Blood Furnace"] = "Hellfire Citadel: The Blood Furnace",
	["Hellfire Citadel: The Shattered Halls"] = "Hellfire Citadel: The Shattered Halls",
	["Hellfire Peninsula"] = "Hellfire Peninsula",
	["Hellfire Ramparts"] = "Hellfire Ramparts",
	["Hellscream's Fist"] = "Hellscream's Fist",
	["Hellscream's Grasp"] = "Hellscream's Grasp",
	["Hellscream's Watch"] = "Hellscream's Watch",
	["Hellsreach Citadel"] = "Hellsreach Citadel",
	["Helmaw"] = "Helmaw",
	["Helmouth Cliffs"] = "Helmouth Cliffs",
	["Helmouth Shallows"] = "Helmouth Shallows",
	["Helm's Bed Lake"] = "Helm's Bed Lake",
	["Helya's Throne"] = "Helya's Throne",
	["Hemet's Happy Hunting Grounds"] = "Hemet's Happy Hunting Grounds",
	["Herb Garden"] = "Herb Garden",
	["Hermit Cave 1"] = "Hermit Cave 1",
	["Hermit Cave 2"] = "Hermit Cave 2",
	["Heroes' Rest"] = "Heroes' Rest",
	["Heroes' Vigil"] = "Heroes' Vigil",
	["Hero's Rest"] = "Hero's Rest",
	["Hero's Rest Inn"] = "Hero's Rest Inn",
	["Hetaera's Clutch"] = "Hetaera's Clutch",
	["Hewn Bog"] = "Hewn Bog",
	["Heymanhoof Slope"] = "Heymanhoof Slope",
	["Heyman's End"] = "Heyman's End",
	["Heyman's Hideaway"] = "Heyman's Hideaway",
	["Heyman's Hubris"] = "Heyman's Hubris",
	["Hibernal Cavern"] = "Hibernal Cavern",
	["Hibernal Hollow"] = "Hibernal Hollow",
	["Hidden Camp"] = "Hidden Camp",
	["Hidden Cell"] = "Hidden Cell",
	["Hidden Corridor"] = "Hidden Corridor",
	["Hidden Glade"] = "Hidden Glade",
	["Hidden Lair"] = "Hidden Lair",
	["Hidden Marsh Ruins"] = "Hidden Marsh Ruins",
	["Hidden Passageway"] = "Hidden Passageway",
	["Hidden Path"] = "Hidden Path",
	["Hide or Hair"] = "Hide or Hair",
	["Hidey-Hole"] = "Hidey-Hole",
	["High Inquisitor's Lair"] = "High Inquisitor's Lair",
	["High Perch"] = "High Perch",
	["High Stand"] = "High Stand",
	["High Wilderness"] = "High Wilderness",
	["Highbank"] = "Highbank",
	["Highborne Estates"] = "Highborne Estates",
	["Highland Flats"] = "Highland Flats",
	["Highland Forest"] = "Highland Forest",
	["Highland Pass"] = "Highland Pass",
	["Highland Path"] = "Highland Path",
	["Highlands Mill"] = "Highlands Mill",
	["Highmaul"] = "Highmaul",
	["Highmaul Arena (Inside Raid)"] = "Highmaul Arena (Inside Raid)",
	["Highmaul Colisseum"] = "Highmaul Colisseum",
	["Highmaul Harbor"] = "Highmaul Harbor",
	["Highmist Terrace"] = "Highmist Terrace",
	["Highmountain"] = "Highmountain",
	["Highmountain Burial Ground"] = "Highmountain Burial Ground",
	["Highmountain Peak"] = "Highmountain Peak",
	["Highmountain Summit"] = "Highmountain Summit",
	["Highpass"] = "Highpass",
	["Highpass Logging Camp"] = "Highpass Logging Camp",
	["Highpass Sparring Ring"] = "Highpass Sparring Ring",
	["Highperch"] = "Highperch",
	["Highroad Pass"] = "Highroad Pass",
	["Hillcrest Pasture"] = "Hillcrest Pasture",
	["Hills of Valuun"] = "Hills of Valuun",
	["Hillsbrad"] = "Hillsbrad",
	["Hillsbrad Fields"] = "Hillsbrad Fields",
	["Hillsbrad Foothills"] = "Hillsbrad Foothills",
	["Hillsbrad Foothills (Southshore vs. Tarren Mill)"] = "Hillsbrad Foothills (Southshore vs. Tarren Mill)",
	["Hir'eek's Lair"] = "Hir'eek's Lair",
	["Hiri'watha"] = "Hiri'watha",
	["Hiri'watha Research Station"] = "Hiri'watha Research Station",
	["Hive Mother's Grotto"] = "Hive Mother's Grotto",
	["Hive'Ashi"] = "Hive'Ashi",
	["Hive'Regal"] = "Hive'Regal",
	["Hive'Zora"] = "Hive'Zora",
	["Hocking's Plot"] = "Hocking's Plot",
	["Hogger Hill"] = "Hogger Hill",
	["Hole in the Wall"] = "Hole in the Wall",
	["Hollowed Out Tree"] = "Hollowed Out Tree",
	["Hollowstone Mine"] = "Hollowstone Mine",
	["Honeyback Hatchery"] = "Honeyback Hatchery",
	["Honeydew Farm"] = "Honeydew Farm",
	["Honeydew Glade"] = "Honeydew Glade",
	["Honeydew Village"] = "Honeydew Village",
	["Honeyglow Glade"] = "Honeyglow Glade",
	["Honor Hold"] = "Honor Hold",
	["Honor Hold Mine"] = "Honor Hold Mine",
	["Honor Point"] = "Honor Point",
	["Honor's Ascent"] = "Honor's Ascent",
	["Honor's Stand"] = "Honor's Stand",
	["Honor's Tomb"] = "Honor's Tomb",
	["Hook Point"] = "Hook Point",
	["Hook Point Market"] = "Hook Point Market",
	["Hope's Ascent"] = "Hope's Ascent",
	["Hope's End"] = "Hope's End",
	["Hope's Landing"] = "Hope's Landing",
	["Hops, Line, & Sinker Brewing"] = "Hops, Line, & Sinker Brewing",
	["Horde Airship"] = "Horde Airship",
	["Horde Base Camp"] = "Horde Base Camp",
	["Horde Beach Daily Area"] = "Horde Beach Daily Area",
	["Horde Encampment"] = "Horde Encampment",
	["Horde Keep"] = "Horde Keep",
	["Horde Landing"] = "Horde Landing",
	["Horde Landing Site"] = "Horde Landing Site",
	["Horde Mine"] = "Horde Mine",
	["Horde PVP Barracks"] = "Horde PVP Barracks",
	["Horde Rec Center"] = "Horde Rec Center",
	["HordeKeep_5.1_Beach"] = "HordeKeep_5.1_Beach",
	["Hordemar City"] = "Hordemar City",
	["Horrific Vision of Orgrimmar"] = "Horrific Vision of Orgrimmar",
	["Horrific Vision of Stormwind"] = "Horrific Vision of Stormwind",
	["Horror Clutch"] = "Horror Clutch",
	["Hot House"] = "Hot House",
	["Houndkeeper's Alley"] = "Houndkeeper's Alley",
	["Hour of Twilight"] = "Hour of Twilight",
	["House of Constructs"] = "House of Constructs",
	["House of Edune"] = "House of Edune",
	["House of Eyes"] = "House of Eyes",
	["House of Fallen Tribes"] = "House of Fallen Tribes",
	["House of Jol"] = "House of Jol",
	["House of Pa'ku"] = "House of Pa'ku",
	["House of Plagues"] = "House of Plagues",
	["House of Rituals"] = "House of Rituals",
	["House of the Chosen"] = "House of the Chosen",
	["House of the Lost Loa"] = "House of the Lost Loa",
	["Howling Dale"] = "Howling Dale",
	["Howling Fjord"] = "Howling Fjord",
	["Howling Hills"] = "Howling Hills",
	["Howling Isles"] = "Howling Isles",
	["Howling Ziggurat"] = "Howling Ziggurat",
	["Howlingwind Cavern"] = "Howlingwind Cavern",
	["Howlingwind Trail"] = "Howlingwind Trail",
	["Hozen Cave"] = "Hozen Cave",
	["Hozen Island"] = "Hozen Island",
	["Hrothgar's Landing"] = "Hrothgar's Landing",
	["Hrun's Barrow"] = "Hrun's Barrow",
	["Hrydshal"] = "Hrydshal",
	["Huangtze Falls"] = "Huangtze Falls",
	["Hudson Archaeological"] = "Hudson Archaeological",
	["Hull of the Foebreaker"] = "Hull of the Foebreaker",
	["Huln's Rise"] = "Huln's Rise",
	["Huln's War"] = "Huln's War",
	["Humboldt Conflagration"] = "Humboldt Conflagration",
	["Hungering Wastes"] = "Hungering Wastes",
	["Hungry Rest"] = "Hungry Rest",
	["Hunt: Death Elementals"] = "Hunt: Death Elementals",
	["Hunt: Shadehounds"] = "Hunt: Shadehounds",
	["Hunt: Soul Eaters"] = "Hunt: Soul Eaters",
	["Hunt: Winged Soul Eaters"] = "Hunt: Winged Soul Eaters",
	["Hunter of Heroes"] = "Hunter of Heroes",
	["Hunter Order Hall"] = "Hunter Order Hall",
	["Hunter Rise"] = "Hunter Rise",
	["Hunter's Hill"] = "Hunter's Hill",
	["Hunter's Run"] = "Hunter's Run",
	["Huntmaster's Lounge"] = "Huntmaster's Lounge",
	["Huntress of the Sun"] = "Huntress of the Sun",
	["Huntsman's Cloister"] = "Huntsman's Cloister",
	["Huojin Landing"] = "Huojin Landing",
	["Hyjal"] = "Hyjal",
	["Hyjal Barrow Dens"] = "Hyjal Barrow Dens",
	["Hyjal Past"] = "Hyjal Past",
	["Hyjal Summit"] = "Hyjal Summit",
	["Hyjal War of the Ancients Quest"] = "Hyjal War of the Ancients Quest",
	["Ice Heart Cavern"] = "Ice Heart Cavern",
	["Ice Thistle Hills"] = "Ice Thistle Hills",
	["Iceblister Den"] = "Iceblister Den",
	["Iceblood Garrison"] = "Iceblood Garrison",
	["Iceblood Graveyard"] = "Iceblood Graveyard",
	["Icecrown"] = "Icecrown",
	["Icecrown Citadel"] = "Icecrown Citadel",
	["Icecrown Glacier"] = "Icecrown Glacier",
	["Iceflow Lake"] = "Iceflow Lake",
	["Icemist Falls"] = "Icemist Falls",
	["Icemist Village"] = "Icemist Village",
	["Icepine Point"] = "Icepine Point",
	["Icescar Boneyard"] = "Icescar Boneyard",
	["Iceveil Glacier"] = "Iceveil Glacier",
	["Icewind Drifts"] = "Icewind Drifts",
	["Icewing Bunker"] = "Icewing Bunker",
	["Icewing Cavern"] = "Icewing Cavern",
	["Icewing Pass"] = "Icewing Pass",
	["Idlewind Lake"] = "Idlewind Lake",
	["Igneous Depths"] = "Igneous Depths",
	["Ihgaluk Crag"] = "Ihgaluk Crag",
	["Ik'vess"] = "Ik'vess",
	["Ikz'ka Ridge"] = "Ikz'ka Ridge",
	["Illidans Rock"] = "Illidans Rock",
	["Illidari Foothold"] = "Illidari Foothold",
	["Illidari Perch"] = "Illidari Perch",
	["Illidari Point"] = "Illidari Point",
	["Illidari Redoubt"] = "Illidari Redoubt",
	["Illidari Stand"] = "Illidari Stand",
	["Illidari Training Grounds"] = "Illidari Training Grounds",
	["Illidari Ward"] = "Illidari Ward",
	["Imminent Launch"] = "Imminent Launch",
	["Imperator's Rise"] = "Imperator's Rise",
	["Imperial Gardens"] = "Imperial Gardens",
	["Imposter's Lair"] = "Imposter's Lair",
	["Impsorrow Approach"] = "Impsorrow Approach",
	["In the Shadow of Crimson Wings"] = "In the Shadow of Crimson Wings",
	["Indu'le Village"] = "Indu'le Village",
	["Infernal Causeway"] = "Infernal Causeway",
	["Inferno Peak"] = "Inferno Peak",
	["Infiltrating the Shipyard"] = "Infiltrating the Shipyard",
	["Inkbinders Rise"] = "Inkbinders Rise",
	["Inkgill Mere"] = "Inkgill Mere",
	["Inn"] = "Inn",
	["Inner Sanctum"] = "Inner Sanctum",
	["Inner Veil"] = "Inner Veil",
	["Insidion's Perch"] = "Insidion's Perch",
	["Into the Mouth of the Nether"] = "Into the Mouth of the Nether",
	["Invasion Point"] = "Invasion Point",
	["Invasion Point: Annihilator"] = "Invasion Point: Annihilator",
	["Invasion Point: Aurinor"] = "Invasion Point: Aurinor",
	["Invasion Point: Bonich"] = "Invasion Point: Bonich",
	["Invasion Point: Cataclysm"] = "Invasion Point: Cataclysm",
	["Invasion Point: Cen'gar"] = "Invasion Point: Cen'gar",
	["Invasion Point: Destroyer"] = "Invasion Point: Destroyer",
	["Invasion Point: Naigtal"] = "Invasion Point: Naigtal",
	["Invasion Point: Overlord"] = "Invasion Point: Overlord",
	["Invasion Point: Rekindling"] = "Invasion Point: Rekindling",
	["Invasion Point: Sangua"] = "Invasion Point: Sangua",
	["Invasion Point: Sporous"] = "Invasion Point: Sporous",
	["Invasion Point: Val"] = "Invasion Point: Val",
	["Invasion Points"] = "Invasion Points",
	["Invasion: Azshara"] = "Invasion: Azshara",
	["Invasion: Dun Morogh"] = "Invasion: Dun Morogh",
	["Invasion: Hillsbrad Foothills"] = "Invasion: Hillsbrad Foothills",
	["Invasion: Northern Barrens"] = "Invasion: Northern Barrens",
	["Invasion: Tanaris"] = "Invasion: Tanaris",
	["Invasion: Westfall"] = "Invasion: Westfall",
	["Invasion: Wetlands"] = "Invasion: Wetlands",
	["Invasive Reefwalker"] = "Invasive Reefwalker",
	["Iremoore Estate"] = "Iremoore Estate",
	["Iris Lake"] = "Iris Lake",
	["Iron Assembly"] = "Iron Assembly",
	["Iron Bastion"] = "Iron Bastion",
	["Iron Concourse"] = "Iron Concourse",
	["Iron Docks"] = "Iron Docks",
	["Iron Pass"] = "Iron Pass",
	["Iron Sea"] = "Iron Sea",
	["Iron Siegeworks"] = "Iron Siegeworks",
	["Iron Summit"] = "Iron Summit",
	["Iron Trench"] = "Iron Trench",
	["Iron Waystation"] = "Iron Waystation",
	["Ironband's Compound"] = "Ironband's Compound",
	["Ironband's Excavation Site"] = "Ironband's Excavation Site",
	["Ironbeard's Tomb"] = "Ironbeard's Tomb",
	["Ironclad Cove"] = "Ironclad Cove",
	["Ironclad Garrison"] = "Ironclad Garrison",
	["Ironclad Prison"] = "Ironclad Prison",
	["Irondeep Mine"] = "Irondeep Mine",
	["Ironfist Harbor"] = "Ironfist Harbor",
	["Ironforge"] = "Ironforge",
	["Ironforge Airfield"] = "Ironforge Airfield",
	["Irongrove Retreat"] = "Irongrove Retreat",
	["Ironhold Approach"] = "Ironhold Approach",
	["Ironhold Harbor"] = "Ironhold Harbor",
	["Ironhorn Enclave"] = "Ironhorn Enclave",
	["Ironmaul Overlook"] = "Ironmaul Overlook",
	["Ironmonger's Hold"] = "Ironmonger's Hold",
	["Ironstone Camp"] = "Ironstone Camp",
	["Ironstone Plateau"] = "Ironstone Plateau",
	["Irontree Cavern"] = "Irontree Cavern",
	["Irontree Clearing"] = "Irontree Clearing",
	["Irontree Woods"] = "Irontree Woods",
	["Ironwall Dam"] = "Ironwall Dam",
	["Ironwall Rampart"] = "Ironwall Rampart",
	["Ironwing Cavern"] = "Ironwing Cavern",
	["Ishaal's Hut"] = "Ishaal's Hut",
	["Iskaal"] = "Iskaal",
	["Iskar's Clutch"] = "Iskar's Clutch",
	["Island of Doctor Lapidis"] = "Island of Doctor Lapidis",
	["Islands"] = "Islands",
	["Islands LD Playground"] = "Islands LD Playground",
	["Isle of Blizzcon"] = "Isle of Blizzcon",
	["Isle of Conquest"] = "Isle of Conquest",
	["Isle of Conquest No Man's Land"] = "Isle of Conquest No Man's Land",
	["Isle of Dread"] = "Isle of Dread",
	["Isle of Fangs"] = "Isle of Fangs",
	["Isle of Giants"] = "Isle of Giants",
	["Isle of Quel'Danas"] = "Isle of Quel'Danas",
	["Isle of Reckoning"] = "Isle of Reckoning",
	["Isle of Shadows"] = "Isle of Shadows",
	["Isle of the Watchers"] = "Isle of the Watchers",
	["Isle of Thunder"] = "Isle of Thunder",
	["Isle of Tribulations"] = "Isle of Tribulations",
	["Isolon"] = "Isolon",
	["Isolon Basin"] = "Isolon Basin",
	["Iso'rath"] = "Iso'rath",
	["Itharius's Cave"] = "Itharius's Cave",
	["Ithys' Basin"] = "Ithys' Basin",
	["Ivald's Ruin"] = "Ivald's Ruin",
	["Iwen's Sanctum"] = "Iwen's Sanctum",
	["Ix'lar's Domain"] = "Ix'lar's Domain",
	["Iyun Weald"] = "Iyun Weald",
	["Jade Forest Horde Starting Area"] = "Jade Forest Horde Starting Area",
	["Jade Temple Grounds"] = "Jade Temple Grounds",
	["Jadefire Glen"] = "Jadefire Glen",
	["Jadefire Run"] = "Jadefire Run",
	["Jademir Lake"] = "Jademir Lake",
	["Jaedenar"] = "Jaedenar",
	["Jagganoth's Lair"] = "Jagganoth's Lair",
	["Jagged Cove"] = "Jagged Cove",
	["Jagged Reef"] = "Jagged Reef",
	["Jagged Ridge"] = "Jagged Ridge",
	["Jagged Wastes"] = "Jagged Wastes",
	["Jaggedswine Farm"] = "Jaggedswine Farm",
	["Jaguero Isle"] = "Jaguero Isle",
	["Jailor of the Damned"] = "Jailor of the Damned",
	["Jandvik"] = "Jandvik",
	["Jandvik Caverns"] = "Jandvik Caverns",
	["Janeiro's Point"] = "Janeiro's Point",
	["Jangolode Mine"] = "Jangolode Mine",
	["Jasperlode Mine"] = "Jasperlode Mine",
	["Jerod's Landing"] = "Jerod's Landing",
	["Jewelhammer's Vault"] = "Jewelhammer's Vault",
	["Jin Yang Road"] = "Jin Yang Road",
	["Jintha'Alor"] = "Jintha'Alor",
	["Jintha'kalar"] = "Jintha'kalar",
	["Jintha'kalar Passage"] = "Jintha'kalar Passage",
	["Jol's Hut"] = "Jol's Hut",
	["Jorundall"] = "Jorundall",
	["Jorune Mine"] = "Jorune Mine",
	["Jotunheim"] = "Jotunheim",
	["Jotunnwood"] = "Jotunnwood",
	["Joz's Rylaks"] = "Joz's Rylaks",
	["Jrokgar's Coast"] = "Jrokgar's Coast",
	["Junkwatt Depot"] = "Junkwatt Depot",
	["K3"] = "K3",
	["Kag'ah"] = "Kag'ah",
	["Kaithe Overlook"] = "Kaithe Overlook",
	["Kaja'mine"] = "Kaja'mine",
	["Kaja'mite Cave"] = "Kaja'mite Cave",
	["Kaja'mite Cavern"] = "Kaja'mite Cavern",
	["Kajaro Field"] = "Kajaro Field",
	["Kal'ai Ruins"] = "Kal'ai Ruins",
	["Kala's Den"] = "Kala's Den",
	["Kal'delar"] = "Kal'delar",
	["Kaleiki's Alliance Airship Seething Shore TEMP NAME"] = "Kaleiki's Alliance Airship Seething Shore TEMP NAME",
	["Kaleiki's Horde Airship Seething Shore TEMP NAME"] = "Kaleiki's Horde Airship Seething Shore TEMP NAME",
	["Kalimdor"] = "Kalimdor",
	["Kalliope's Rest"] = "Kalliope's Rest",
	["Kal'methir"] = "Kal'methir",
	["Kal'methir Citadel"] = "Kal'methir Citadel",
	["Kamagua"] = "Kamagua",
	["Kandak's Lair"] = "Kandak's Lair",
	["Karabor"] = "Karabor",
	["Karabor Harbor"] = "Karabor Harbor",
	["Karabor Sewers"] = "Karabor Sewers",
	["K'arani Terrace"] = "K'arani Terrace",
	["Karazan Chess"] = "Karazan Chess",
	["Karazhan"] = "Karazhan",
	["Karazhan Catacombs"] = "Karazhan Catacombs",
	["Kargath"] = "Kargath",
	["Kargathar Proving Grounds"] = "Kargathar Proving Grounds",
	["Kargathia Keep"] = "Kargathia Keep",
	["Karnum's Glade"] = "Karnum's Glade",
	["Kartak's Hold"] = "Kartak's Hold",
	["Kaskala"] = "Kaskala",
	["Katalina Island"] = "Katalina Island",
	["Katterin's Hideaway"] = "Katterin's Hideaway",
	["Kaw's Roost"] = "Kaw's Roost",
	["Kazai"] = "Kazai",
	["Kea Krak"] = "Kea Krak",
	["Keel Harbor"] = "Keel Harbor",
	["Keelen's Trustworthy Tailoring"] = "Keelen's Trustworthy Tailoring",
	["Keeper's Respite"] = "Keeper's Respite",
	["Keeper's Rest"] = "Keeper's Rest",
	["Keeshan's Post"] = "Keeshan's Post",
	["Kel'balor"] = "Kel'balor",
	["Kelfin Pocket"] = "Kelfin Pocket",
	["Kelp'thar Forest"] = "Kelp'thar Forest",
	["Kel'Thuzad Chamber"] = "Kel'Thuzad Chamber",
	["Kel'Thuzad's Chamber"] = "Kel'Thuzad's Chamber",
	["Kel'vax's Shrine"] = "Kel'vax's Shrine",
	["Kelya's Grave"] = "Kelya's Grave",
	["Kennings Lodge"] = "Kennings Lodge",
	["Keres' Rest"] = "Keres' Rest",
	["Keset Pass"] = "Keset Pass",
	["Kessel's Crossing"] = "Kessel's Crossing",
	["Ketya's Hideaway"] = "Ketya's Hideaway",
	["Kezan"] = "Kezan",
	["Kezan Runner"] = "Kezan Runner",
	["Khadgar's Tower"] = "Khadgar's Tower",
	["Kharanos"] = "Kharanos",
	["Khardros' Anvil"] = "Khardros' Anvil",
	["Khartut's Tomb"] = "Khartut's Tomb",
	["Khaz'goroth's Seat"] = "Khaz'goroth's Seat",
	["Ki-Han Brewery"] = "Ki-Han Brewery",
	["Kili'ua's Atoll"] = "Kili'ua's Atoll",
	["Kil'jaeden's Terrace"] = "Kil'jaeden's Terrace",
	["Killclaw's Lair"] = "Killclaw's Lair",
	["Kil'sorrow Fortress"] = "Kil'sorrow Fortress",
	["King's Gate"] = "King's Gate",
	["King's Harbor"] = "King's Harbor",
	["King's Hoard"] = "King's Hoard",
	["King's Rest"] = "King's Rest",
	["Kings' Rest"] = "Kings' Rest",
	["King's Square"] = "King's Square",
	["Kingsfall Pass"] = "Kingsfall Pass",
	["Kingsmouth River"] = "Kingsmouth River",
	["Kirin'Var Village"] = "Kirin'Var Village",
	["Kirthaven"] = "Kirthaven",
	["Kitchen"] = "Kitchen",
	["Klaxxi'vess"] = "Klaxxi'vess",
	["Klik'vess"] = "Klik'vess",
	["Knucklethump Hole"] = "Knucklethump Hole",
	["Kodo Graveyard"] = "Kodo Graveyard",
	["Kodo Rock"] = "Kodo Rock",
	["Kolkar Crag"] = "Kolkar Crag",
	["Kolkar Village"] = "Kolkar Village",
	["Kolramas"] = "Kolramas",
	["Koralune Manor"] = "Koralune Manor",
	["Koramar"] = "Koramar",
	["Kor'gall's Hovel"] = "Kor'gall's Hovel",
	["Kor'gar"] = "Kor'gar",
	["Korinna's Reliquary"] = "Korinna's Reliquary",
	["Kor'kron Barracks"] = "Kor'kron Barracks",
	["Kor'kron Vanguard"] = "Kor'kron Vanguard",
	["Kormek's Hut"] = "Kormek's Hut",
	["Koroth's Den"] = "Koroth's Den",
	["Korrak's Revenge"] = "Korrak's Revenge",
	["Korthia"] = "Korthia",
	["Korthun's End"] = "Korthun's End",
	["Kor'vess"] = "Kor'vess",
	["Kota Basecamp"] = "Kota Basecamp",
	["Kota Peak"] = "Kota Peak",
	["Kowalskos' Workshop"] = "Kowalskos' Workshop",
	["Krag'wa's Burrow"] = "Krag'wa's Burrow",
	["Krag'wa's Shore"] = "Krag'wa's Shore",
	["Krakenbane Cove"] = "Krakenbane Cove",
	["Kraken's Breach"] = "Kraken's Breach",
	["Kraken's Reach"] = "Kraken's Reach",
	["Kraklaa's Hatchery"] = "Kraklaa's Hatchery",
	["Krasarang Cove"] = "Krasarang Cove",
	["Krasarang River"] = "Krasarang River",
	["Krasarang Wilds"] = "Krasarang Wilds",
	["Krasari Falls"] = "Krasari Falls",
	["Krasus' Landing"] = "Krasus' Landing",
	["Krazzlefrazz Outpost"] = "Krazzlefrazz Outpost",
	["Kril'Mandar Point"] = "Kril'Mandar Point",
	["Kri'vess"] = "Kri'vess",
	["Krokul Hovel"] = "Krokul Hovel",
	["Krokuun"] = "Krokuun",
	["Krolg's Hut"] = "Krolg's Hut",
	["Krom'gar Fortress"] = "Krom'gar Fortress",
	["Krom's Landing"] = "Krom's Landing",
	["Kruul's Intentions"] = "Kruul's Intentions",
	["KTC Headquarters"] = "KTC Headquarters",
	["KTC Oil Platform"] = "KTC Oil Platform",
	["Kukuru's Grotto"] = "Kukuru's Grotto",
	["Kul Tiran Flagship"] = "Kul Tiran Flagship",
	["Kul Tiras"] = "Kul Tiras",
	["Kul Tiras Arena"] = "Kul Tiras Arena",
	["Kul'galar Keep"] = "Kul'galar Keep",
	["Kun-Lai Pass"] = "Kun-Lai Pass",
	["Kun-Lai Summit"] = "Kun-Lai Summit",
	["Kunza-Kunza"] = "Kunza-Kunza",
	["Kunzen Cave"] = "Kunzen Cave",
	["Kunzen Village"] = "Kunzen Village",
	["Kurzen's Compound"] = "Kurzen's Compound",
	["Kuuro's Claim"] = "Kuuro's Claim",
	["Kwathari Grotto"] = "Kwathari Grotto",
	["Kypari Ik"] = "Kypari Ik",
	["Kypari Vor"] = "Kypari Vor",
	["Kypari Zar"] = "Kypari Zar",
	["Kyparite Quarry"] = "Kyparite Quarry",
	["Kyranastrasz' Rest"] = "Kyranastrasz' Rest",
	["Kzzok Warcamp"] = "Kzzok Warcamp",
	["Lair of Crimsonclaw"] = "Lair of Crimsonclaw",
	["Lair of Da'ka"] = "Lair of Da'ka",
	["Lair of Gonk"] = "Lair of Gonk",
	["Lair of Harjatan"] = "Lair of Harjatan",
	["Lair of Rezan"] = "Lair of Rezan",
	["Lair of Skiggit"] = "Lair of Skiggit",
	["Lair of the Beast"] = "Lair of the Beast",
	["Lair of the Blackfang"] = "Lair of the Blackfang",
	["Lair of the Chosen"] = "Lair of the Chosen",
	["Lair of the Deposed"] = "Lair of the Deposed",
	["Lair of the Devout"] = "Lair of the Devout",
	["Lair of the Jade Witch"] = "Lair of the Jade Witch",
	["Lair of Tortos"] = "Lair of Tortos",
	["Lair of Umbra'jin"] = "Lair of Umbra'jin",
	["Lair of Xak'lar"] = "Lair of Xak'lar",
	["Lake Al'Ameth"] = "Lake Al'Ameth",
	["Lake Cauldros"] = "Lake Cauldros",
	["Lake Dumont"] = "Lake Dumont",
	["Lake Edunel"] = "Lake Edunel",
	["Lake Elrendar"] = "Lake Elrendar",
	["Lake Elune'ara"] = "Lake Elune'ara",
	["Lake Ere'Noru"] = "Lake Ere'Noru",
	["Lake Everstill"] = "Lake Everstill",
	["Lake Falathim"] = "Lake Falathim",
	["Lake Indu'le"] = "Lake Indu'le",
	["Lake Jorune"] = "Lake Jorune",
	["Lake Kel'Theril"] = "Lake Kel'Theril",
	["Lake Kittitata"] = "Lake Kittitata",
	["Lake Kum'uya"] = "Lake Kum'uya",
	["Lake Mennar"] = "Lake Mennar",
	["Lake Mereldar"] = "Lake Mereldar",
	["Lake Nazferiti"] = "Lake Nazferiti",
	["Lake of Stars"] = "Lake of Stars",
	["Lake Sunspring"] = "Lake Sunspring",
	["Lakeridge Highway"] = "Lakeridge Highway",
	["Lakeshire"] = "Lakeshire",
	["Lakeshire Inn"] = "Lakeshire Inn",
	["Lakeshire Town Hall"] = "Lakeshire Town Hall",
	["Lakeside Landing"] = "Lakeside Landing",
	["Lakkari Tar Pits"] = "Lakkari Tar Pits",
	["Lamplighter Inn"] = "Lamplighter Inn",
	["Landing Beach"] = "Landing Beach",
	["Landing Site"] = "Landing Site",
	["Land's End Beach"] = "Land's End Beach",
	["Langrom's Leather & Links"] = "Langrom's Leather & Links",
	["Lao & Son's Yakwash"] = "Lao & Son's Yakwash",
	["Largo's Overlook"] = "Largo's Overlook",
	["Largo's Overlook Tower"] = "Largo's Overlook Tower",
	["Lariss Pavilion"] = "Lariss Pavilion",
	["Lashwind Cleft"] = "Lashwind Cleft",
	["Laughing Skull Courtyard"] = "Laughing Skull Courtyard",
	["Laughing Skull Ruins"] = "Laughing Skull Ruins",
	["Launch Bay"] = "Launch Bay",
	["Layson & Sons Rigging"] = "Layson & Sons Rigging",
	["Legacy of the Icebreaker"] = "Legacy of the Icebreaker",
	["Legacy of the Windrunners"] = "Legacy of the Windrunners",
	["Legash Encampment"] = "Legash Encampment",
	["Legendary Leathers"] = "Legendary Leathers",
	["Legion Camp: Chaos"] = "Legion Camp: Chaos",
	["Legion Camp: Ruin"] = "Legion Camp: Ruin",
	["Legion Command Ship"] = "Legion Command Ship",
	["Legion Dungeon"] = "Legion Dungeon",
	["Legion Hold"] = "Legion Hold",
	["Legion Invasion: Azsuna"] = "Legion Invasion: Azsuna",
	["Legion's Fate"] = "Legion's Fate",
	["Legion's Rest"] = "Legion's Rest",
	["Lemor'athra Spire"] = "Lemor'athra Spire",
	["Leorajh's Den"] = "Leorajh's Den",
	["Lernaean Shore"] = "Lernaean Shore",
	["Lethlor Ravine"] = "Lethlor Ravine",
	["Ley Station Aethenar"] = "Ley Station Aethenar",
	["Ley Station Anora"] = "Ley Station Anora",
	["Ley Station Moonfall"] = "Ley Station Moonfall",
	["Leyara's Sorrow"] = "Leyara's Sorrow",
	["Leygazer's Den"] = "Leygazer's Den",
	["Leyhollow"] = "Leyhollow",
	["Ley-Ruins of Zarkhenar"] = "Ley-Ruins of Zarkhenar",
	["L'ghorek"] = "L'ghorek",
	["Liadrin's Watch"] = "Liadrin's Watch",
	["Liang's Retreat"] = "Liang's Retreat",
	["Library Wing"] = "Library Wing",
	["Lifespring Cavern"] = "Lifespring Cavern",
	["Lifestone Cavern"] = "Lifestone Cavern",
	["Lighthouse"] = "Lighthouse",
	["Lightless Cavern"] = "Lightless Cavern",
	["Lightning Ascent"] = "Lightning Ascent",
	["Lightning Ledge"] = "Lightning Ledge",
	["Lightning Promenade"] = "Lightning Promenade",
	["Lightning Vein Mine"] = "Lightning Vein Mine",
	["Light's Breach"] = "Light's Breach",
	["Light's Dawn Cathedral"] = "Light's Dawn Cathedral",
	["Light's Fall"] = "Light's Fall",
	["Light's Hammer"] = "Light's Hammer",
	["Light's Hope Chapel"] = "Light's Hope Chapel",
	["Light's Landing"] = "Light's Landing",
	["Light's Point"] = "Light's Point",
	["Light's Point Tower"] = "Light's Point Tower",
	["Light's Purchase"] = "Light's Purchase",
	["Light's Rest"] = "Light's Rest",
	["Light's Shield Tower"] = "Light's Shield Tower",
	["Light's Trust"] = "Light's Trust",
	["Lightsong"] = "Lightsong",
	["Like Clockwork"] = "Like Clockwork",
	["Lingering Clouds Peak"] = "Lingering Clouds Peak",
	["Lion's Landing"] = "Lion's Landing",
	["Lion's Oath"] = "Lion's Oath",
	["Lion's Pride Inn"] = "Lion's Pride Inn",
	["Lion's Rest"] = "Lion's Rest",
	["Lion's Watch"] = "Lion's Watch",
	["Lithduin Reef"] = "Lithduin Reef",
	["Lithic's Rest"] = "Lithic's Rest",
	["Little Tortolla"] = "Little Tortolla",
	["Livery Outpost"] = "Livery Outpost",
	["Livery Stables "] = "Livery Stables ",
	["Llane's Oath"] = "Llane's Oath",
	["Llothien"] = "Llothien",
	["Llothien Highlands"] = "Llothien Highlands",
	["Loading Room"] = "Loading Room",
	["Loa's Sanctum"] = "Loa's Sanctum",
	["Loch Modan"] = "Loch Modan",
	["Loch Varmad"] = "Loch Varmad",
	["Loch Verrall"] = "Loch Verrall",
	["Locus of Infinite Truths"] = "Locus of Infinite Truths",
	["Loken's Bargain"] = "Loken's Bargain",
	["Lok'goron Foundry"] = "Lok'goron Foundry",
	["Lok-rath"] = "Lok-rath",
	["Lonehoof Watch"] = "Lonehoof Watch",
	["Lonely Falls"] = "Lonely Falls",
	["Lonesome Cove"] = "Lonesome Cove",
	["Longdrop Hot Springs"] = "Longdrop Hot Springs",
	["Longshore"] = "Longshore",
	["Longying Outpost"] = "Longying Outpost",
	["Lord Admiral's Rest"] = "Lord Admiral's Rest",
	["Lord Ravencrest's Chamber"] = "Lord Ravencrest's Chamber",
	["Lordaeron"] = "Lordaeron",
	["Lordaeron Blight"] = "Lordaeron Blight",
	["Lordamere Internment Camp"] = "Lordamere Internment Camp",
	["Lordamere Lake"] = "Lordamere Lake",
	["Lor'danel"] = "Lor'danel",
	["Lor'danel Landing"] = "Lor'danel Landing",
	["Lorlathil"] = "Lorlathil",
	["Lorna's Watch"] = "Lorna's Watch",
	["Lornesta Mine"] = "Lornesta Mine",
	["Lorthuna's Gate"] = "Lorthuna's Gate",
	["Lost At Sea"] = "Lost At Sea",
	["Lost Caldera"] = "Lost Caldera",
	["Lost City of the Tol'vir"] = "Lost City of the Tol'vir",
	["Lost City of the Tol'vir Entrance"] = "Lost City of the Tol'vir Entrance",
	["Lost Isles Town in a Box"] = "Lost Isles Town in a Box",
	["Lost Isles Volcano Eruption"] = "Lost Isles Volcano Eruption",
	["Lost Peak"] = "Lost Peak",
	["Lost Point"] = "Lost Point",
	["Lost Rigger Cove"] = "Lost Rigger Cove",
	["Lost Spirit Lounge"] = "Lost Spirit Lounge",
	["Lost Veil Anzu"] = "Lost Veil Anzu",
	["LostIsles"] = "LostIsles",
	["Lostlight Grotto"] = "Lostlight Grotto",
	["Lothalor Woodlands"] = "Lothalor Woodlands",
	["Lover's Grotto"] = "Lover's Grotto",
	["Lower Blackrock Spire"] = "Lower Blackrock Spire",
	["Lower Blackrock Spires"] = "Lower Blackrock Spires",
	["Lower Cataracts"] = "Lower Cataracts",
	["Lower City"] = "Lower City",
	["Lower Gardens"] = "Lower Gardens",
	["Lower Quarter"] = "Lower Quarter",
	["Lower Return to Karazhan"] = "Lower Return to Karazhan",
	["Lower Silvermarsh"] = "Lower Silvermarsh",
	["Lower Sumprushes"] = "Lower Sumprushes",
	["Lower Veil Shil'ak"] = "Lower Veil Shil'ak",
	["Lower Wilds"] = "Lower Wilds",
	["Lowland Cave"] = "Lowland Cave",
	["Lowlands Lumber Yard"] = "Lowlands Lumber Yard",
	["Lucky Strike Mines"] = "Lucky Strike Mines",
	["Lug'thun's Crater"] = "Lug'thun's Crater",
	["Lumber Mill"] = "Lumber Mill",
	["Lunarfall"] = "Lunarfall",
	["Lunarfall Excavation"] = "Lunarfall Excavation",
	["Lunarfall Inn"] = "Lunarfall Inn",
	["Lunarfall Shipyard"] = "Lunarfall Shipyard",
	["Lunarwing Shallows"] = "Lunarwing Shallows",
	["Lunastre Estate"] = "Lunastre Estate",
	["Lushwater Oasis"] = "Lushwater Oasis",
	["Lydell's Ambush"] = "Lydell's Ambush",
	["Lyndras' Exile"] = "Lyndras' Exile",
	["M.A.C. Diver"] = "M.A.C. Diver",
	["Eredath"] = "Eredath",
	["Machinist's Garden"] = "Machinist's Garden",
	["Mad Duke's Parlor"] = "Mad Duke's Parlor",
	["Maedin's Challenge"] = "Maedin's Challenge",
	["Maelstrom Deathwing Fight"] = "Maelstrom Deathwing Fight",
	["Maelstrom Zone"] = "Maelstrom Zone",
	["Maestra's Post"] = "Maestra's Post",
	["Maexxna's Nest"] = "Maexxna's Nest",
	["Mage Quarter"] = "Mage Quarter",
	["Mage Tower"] = "Mage Tower",
	["Mag'har Grounds"] = "Mag'har Grounds",
	["Mag'har Post"] = "Mag'har Post",
	["Mag'hari Procession"] = "Mag'hari Procession",
	["Magic Quarter"] = "Magic Quarter",
	["Magical Menagerie"] = "Magical Menagerie",
	["Magisters Gate"] = "Magisters Gate",
	["Magister's Terrace"] = "Magister's Terrace",
	["Magisters' Terrace"] = "Magisters' Terrace",
	["Magisters' Terrace Entrance"] = "Magisters' Terrace Entrance",
	["Magma Cave"] = "Magma Cave",
	["Magma Fields"] = "Magma Fields",
	["Magma Springs"] = "Magma Springs",
	["Magmadar Cavern"] = "Magmadar Cavern",
	["Magmaw's Fissure"] = "Magmaw's Fissure",
	["Magmoth"] = "Magmoth",
	["Magnamoth Caverns"] = "Magnamoth Caverns",
	["Magnarok"] = "Magnarok",
	["Magni's Encampment"] = "Magni's Encampment",
	["Magram Territory"] = "Magram Territory",
	["Magram Village"] = "Magram Village",
	["Magtheridon's Lair"] = "Magtheridon's Lair",
	["Magula's Den"] = "Magula's Den",
	["Magus Commerce Exchange"] = "Magus Commerce Exchange",
	["Main Chamber"] = "Main Chamber",
	["Main Gate"] = "Main Gate",
	["Main Hall"] = "Main Hall",
	["Maker's Ascent"] = "Maker's Ascent",
	["Maker's Overlook "] = "Maker's Overlook ",
	["Makers' Overlook"] = "Makers' Overlook",
	["Maker's Perch"] = "Maker's Perch",
	["Mak'rana"] = "Mak'rana",
	["Malaka'jin"] = "Malaka'jin",
	["Mala's Fortune"] = "Mala's Fortune",
	["Malden's Orchard"] = "Malden's Orchard",
	["Maldraxxus"] = "Maldraxxus",
	["Maldraxxus Arena"] = "Maldraxxus Arena",
	["Maldraxxus Broker Islands"] = "Maldraxxus Broker Islands",
	["Maldraz"] = "Maldraz",
	["Maldrxxus Covenant Finale Scenario"] = "Maldrxxus Covenant Finale Scenario",
	["Malfurion's Breach"] = "Malfurion's Breach",
	["Malicia's Outpost"] = "Malicia's Outpost",
	["Malorne's Nightmare"] = "Malorne's Nightmare",
	["Malorne's Refuge"] = "Malorne's Refuge",
	["Malo's Lookout"] = "Malo's Lookout",
	["Malykriss: The Vile Hold"] = "Malykriss: The Vile Hold",
	["Mama's Pantry"] = "Mama's Pantry",
	["Mam'toth Crater"] = "Mam'toth Crater",
	["Mana Tombs"] = "Mana Tombs",
	["Manaforge Ara"] = "Manaforge Ara",
	["Manaforge B'naar"] = "Manaforge B'naar",
	["Manaforge Coruu"] = "Manaforge Coruu",
	["Manaforge Duro"] = "Manaforge Duro",
	["Manaforge Ultris"] = "Manaforge Ultris",
	["Mana-Tombs"] = "Mana-Tombs",
	["Mandokir's Domain"] = "Mandokir's Domain",
	["Mandori Village"] = "Mandori Village",
	["Mangrove Shore"] = "Mangrove Shore",
	["Mannoroc Coven"] = "Mannoroc Coven",
	["Manor Mistmantle"] = "Manor Mistmantle",
	["Mantle Rock"] = "Mantle Rock",
	["Map Chamber"] = "Map Chamber",
	["Mar'at"] = "Mar'at",
	["Maraudon"] = "Maraudon",
	["Maraudon - Earth Song Falls Entrance"] = "Maraudon - Earth Song Falls Entrance",
	["Maraudon - Foulspore Cavern Entrance"] = "Maraudon - Foulspore Cavern Entrance",
	["Maraudon - The Wicked Grotto Entrance"] = "Maraudon - The Wicked Grotto Entrance",
	["Mardenholde Keep"] = "Mardenholde Keep",
	["Mardivas' Laboratory"] = "Mardivas' Laboratory",
	["Mardivas's Hideaway"] = "Mardivas's Hideaway",
	["Mardivas's Laboratory"] = "Mardivas's Laboratory",
	["Mardum"] = "Mardum",
	["Mardum, the Shattered Abyss"] = "Mardum, the Shattered Abyss",
	["Mar'gok's Overwatch"] = "Mar'gok's Overwatch",
	["Margoss's Retreat"] = "Margoss's Retreat",
	["Marine Grotto"] = "Marine Grotto",
	["Mariner's Fish & Tackle"] = "Mariner's Fish & Tackle",
	["Mariner's Row"] = "Mariner's Row",
	["Mariner's Strand"] = "Mariner's Strand",
	["Marista"] = "Marista",
	["Marista's Bait & Brew"] = "Marista's Bait & Brew",
	["Market"] = "Market",
	["Market District"] = "Market District",
	["Market Row"] = "Market Row",
	["Market Walk"] = "Market Walk",
	["Marl's Stead"] = "Marl's Stead",
	["Marrowden"] = "Marrowden",
	["Marrow's Coppice"] = "Marrow's Coppice",
	["Marshal's Refuge"] = "Marshal's Refuge",
	["Marshal's Stand"] = "Marshal's Stand",
	["Marshlight Lake"] = "Marshlight Lake",
	["Marshtide Watch"] = "Marshtide Watch",
	["Mason's Folly"] = "Mason's Folly",
	["Massive Hardened Razorshell"] = "Massive Hardened Razorshell",
	["Mast Room"] = "Mast Room",
	["Master of Storms"] = "Master of Storms",
	["Masters' Gate"] = "Masters' Gate",
	["Master's Terrace"] = "Master's Terrace",
	["Matriarch's Den"] = "Matriarch's Den",
	["Mauler's Outlook"] = "Mauler's Outlook",
	["Mausoleum"] = "Mausoleum",
	["Maw - Planes of Torment"] = "Maw - Planes of Torment",
	["Maw Entrance Area"] = "Maw Entrance Area",
	["Maw of Corruption"] = "Maw of Corruption",
	["Maw of Destruction"] = "Maw of Destruction",
	["Maw of Go'rath"] = "Maw of Go'rath",
	["Maw of Gor'ma"] = "Maw of Gor'ma",
	["Maw of Lycanthoth"] = "Maw of Lycanthoth",
	["Maw of Neltharion"] = "Maw of Neltharion",
	["Maw of N'Zoth"] = "Maw of N'Zoth",
	["Maw of Shu'ma"] = "Maw of Shu'ma",
	["Maw of Souls"] = "Maw of Souls",
	["Maw of the Void"] = "Maw of the Void",
	["Maw Prototype"] = "Maw Prototype",
	["Mazra'Alor"] = "Mazra'Alor",
	["Mazthoril"] = "Mazthoril",
	["Mazu's Overlook"] = "Mazu's Overlook",
	["Mechagnome Island"] = "Mechagnome Island",
	["Mechagon"] = "Mechagon",
	["Mechagon City"] = "Mechagon City",
	["Mechagon Junkyard"] = "Mechagon Junkyard",
	["Mechagon Workshop"] = "Mechagon Workshop",
	["Medivh's Chambers"] = "Medivh's Chambers",
	["Melee at the Maelstrom"] = "Melee at the Maelstrom",
	["Melted Burrow"] = "Melted Burrow",
	["Menagerie of the Master"] = "Menagerie of the Master",
	["Menagerie Wreckage"] = "Menagerie Wreckage",
	["Menethil Bay"] = "Menethil Bay",
	["Menethil Harbor"] = "Menethil Harbor",
	["Menethil Keep"] = "Menethil Keep",
	["Merchant Square"] = "Merchant Square",
	["Meredil"] = "Meredil",
	["Mess Hall"] = "Mess Hall",
	["Mezzamere"] = "Mezzamere",
	["Miasmic Gorge"] = "Miasmic Gorge",
	["Microshop"] = "Microshop",
	["Mid Point Station"] = "Mid Point Station",
	["Middenvale"] = "Middenvale",
	["Midnight Court"] = "Midnight Court",
	["Midrealm Post"] = "Midrealm Post",
	["Midwall Lift"] = "Midwall Lift",
	["Mightstone Quarry"] = "Mightstone Quarry",
	["Miju's Retreat"] = "Miju's Retreat",
	["Mildenhall Meadery"] = "Mildenhall Meadery",
	["Military District"] = "Military District",
	["Millstone Hamlet"] = "Millstone Hamlet",
	["Mimir's Workshop"] = "Mimir's Workshop",
	["Mine"] = "Mine",
	["Mines"] = "Mines",
	["Mirage Abyss"] = "Mirage Abyss",
	["Mirage Flats"] = "Mirage Flats",
	["Mirage Raceway"] = "Mirage Raceway",
	["Miri's Chapel"] = "Miri's Chapel",
	["Mirkfallon Lake"] = "Mirkfallon Lake",
	["Mirkfallon Post"] = "Mirkfallon Post",
	["Mirror Lake"] = "Mirror Lake",
	["Mirror Lake Orchard"] = "Mirror Lake Orchard",
	["Mistblade Den"] = "Mistblade Den",
	["Mistcaller's Cave"] = "Mistcaller's Cave",
	["Mistcreep Mire"] = "Mistcreep Mire",
	["Mistfall Cleft"] = "Mistfall Cleft",
	["Mistfall Village"] = "Mistfall Village",
	["Mist's Edge"] = "Mist's Edge",
	["Mists of Tirna Scithe"] = "Mists of Tirna Scithe",
	["Mists's Edge"] = "Mists's Edge",
	["Mistvale"] = "Mistvale",
	["Mistvale Valley"] = "Mistvale Valley",
	["Mistveil Sea"] = "Mistveil Sea",
	["Mistveil Tangle"] = "Mistveil Tangle",
	["Mistvine Ledge"] = "Mistvine Ledge",
	["Mistwhisper Refuge"] = "Mistwhisper Refuge",
	["Misty Coast"] = "Misty Coast",
	["Misty Pine Refuge"] = "Misty Pine Refuge",
	["Misty Reed Farm"] = "Misty Reed Farm",
	["Misty Reed Post"] = "Misty Reed Post",
	["Misty Reed Strand"] = "Misty Reed Strand",
	["Misty Ridge"] = "Misty Ridge",
	["Misty Shore"] = "Misty Shore",
	["Misty Shores"] = "Misty Shores",
	["Misty Valley"] = "Misty Valley",
	["Miwana's Longhouse"] = "Miwana's Longhouse",
	["Mizjah Ruins"] = "Mizjah Ruins",
	["Moa'ki"] = "Moa'ki",
	["Moa'ki Harbor"] = "Moa'ki Harbor",
	["Moch'k's Hole"] = "Moch'k's Hole",
	["Moggle Point"] = "Moggle Point",
	["Mo'grosh Stronghold"] = "Mo'grosh Stronghold",
	["Mogu Island Daily Area"] = "Mogu Island Daily Area",
	["Mogu Island Loot Room"] = "Mogu Island Loot Room",
	["Mogu Island Progression Events"] = "Mogu Island Progression Events",
	["Mogujia"] = "Mogujia",
	["Mogu'shan Palace"] = "Mogu'shan Palace",
	["Mogu'shan Terrace"] = "Mogu'shan Terrace",
	["Mogu'shan Vaults"] = "Mogu'shan Vaults",
	["Moira's Bastion"] = "Moira's Bastion",
	["Moira's Reach"] = "Moira's Reach",
	["Mok'Doom"] = "Mok'Doom",
	["Mok'gol Hold"] = "Mok'gol Hold",
	["Mok'gol Watchpost"] = "Mok'gol Watchpost",
	["Mok'gor"] = "Mok'gor",
	["Mok'Gordun"] = "Mok'Gordun",
	["Mok'Nathal Village"] = "Mok'Nathal Village",
	["Mold Foundry"] = "Mold Foundry",
	["Moldering Foyer"] = "Moldering Foyer",
	["Molten Cay"] = "Molten Cay",
	["Molten Core"] = "Molten Core",
	["Molten Forge"] = "Molten Forge",
	["Molten Front"] = "Molten Front",
	["Molten Quarry"] = "Molten Quarry",
	["Molten Shore"] = "Molten Shore",
	["Monastery Archives"] = "Monastery Archives",
	["Monstrous Great Eel"] = "Monstrous Great Eel",
	["Moon Guard Stronghold"] = "Moon Guard Stronghold",
	["Moon Horror Den"] = "Moon Horror Den",
	["Moonbeam Causeway"] = "Moonbeam Causeway",
	["Moonbrook"] = "Moonbrook",
	["Moonclaw Cavern"] = "Moonclaw Cavern",
	["Moonclaw Vale"] = "Moonclaw Vale",
	["Moonfall Approach"] = "Moonfall Approach",
	["Moonfall Overlook"] = "Moonfall Overlook",
	["Moonfall Roost"] = "Moonfall Roost",
	["Moonflower Valley"] = "Moonflower Valley",
	["Moonglade"] = "Moonglade",
	["Moongraze Woods"] = "Moongraze Woods",
	["Moonlight Ascent"] = "Moonlight Ascent",
	["Moonlit Landing"] = "Moonlit Landing",
	["Moonlit Shore"] = "Moonlit Shore",
	["Moonrest"] = "Moonrest",
	["Moonrest Gardens"] = "Moonrest Gardens",
	["Moonshade Sanctum"] = "Moonshade Sanctum",
	["Moonshrine Ruins"] = "Moonshrine Ruins",
	["Moonshrine Sanctum"] = "Moonshrine Sanctum",
	["Moontouched Den"] = "Moontouched Den",
	["Moonwater Retreat"] = "Moonwater Retreat",
	["Moonwell"] = "Moonwell",
	["Moonwell of Cleansing"] = "Moonwell of Cleansing",
	["Moonwell of Purity"] = "Moonwell of Purity",
	["Moonwhisper Gulch"] = "Moonwhisper Gulch",
	["Moonwillow Peak"] = "Moonwillow Peak",
	["Moonwing Den"] = "Moonwing Den",
	["Mord'rethar: The Death Gate"] = "Mord'rethar: The Death Gate",
	["Mor'dul Tower"] = "Mor'dul Tower",
	["Morgan's Plot"] = "Morgan's Plot",
	["Morgan's Vigil"] = "Morgan's Vigil",
	["Mor'gran Logworks"] = "Mor'gran Logworks",
	["Morheim"] = "Morheim",
	["Morlos'Aran"] = "Morlos'Aran",
	["Morning Breeze Lake"] = "Morning Breeze Lake",
	["Morning Breeze Village"] = "Morning Breeze Village",
	["Morrowchamber"] = "Morrowchamber",
	["Mor'shan Base Camp"] = "Mor'shan Base Camp",
	["Mortal's Demise"] = "Mortal's Demise",
	["Mortbreath Grotto"] = "Mortbreath Grotto",
	["Mort'regar"] = "Mort'regar",
	["Mortwake's Tower"] = "Mortwake's Tower",
	["Mosh'Ogg Ogre Mound"] = "Mosh'Ogg Ogre Mound",
	["Mossgreen Lake"] = "Mossgreen Lake",
	["Moss-Grown Passage"] = "Moss-Grown Passage",
	["Mosshide Fen"] = "Mosshide Fen",
	["Mosswalker Village"] = "Mosswalker Village",
	["Mossy Pile"] = "Mossy Pile",
	["Mother's Den"] = "Mother's Den",
	["Motherseed Pit"] = "Motherseed Pit",
	["Mount Akher"] = "Mount Akher",
	["Mount Cortis"] = "Mount Cortis",
	["Mount Hyjal"] = "Mount Hyjal",
	["Mount Kra'gor"] = "Mount Kra'gor",
	["Mount Mugamba"] = "Mount Mugamba",
	["Mount Neverest"] = "Mount Neverest",
	["Mount Volwrath"] = "Mount Volwrath",
	["Mountainfoot Strip Mine"] = "Mountainfoot Strip Mine",
	["Mrgl's Bar and Gill"] = "Mrgl's Bar and Gill",
	["Muck Pool: Banewood"] = "Muck Pool: Banewood",
	["Muckscale Grotto"] = "Muckscale Grotto",
	["Muckscale Shallows"] = "Muckscale Shallows",
	["Mucksnout Den"] = "Mucksnout Den",
	["Muckwallow"] = "Muckwallow",
	["Muddledeep Cavern"] = "Muddledeep Cavern",
	["Mudfish Lodge"] = "Mudfish Lodge",
	["Mudfisher Cove"] = "Mudfisher Cove",
	["Mudmug's Place"] = "Mudmug's Place",
	["Mudsprocket"] = "Mudsprocket",
	["Mugamba Overlook"] = "Mugamba Overlook",
	["Mugambala"] = "Mugambala",
	["Mulgore"] = "Mulgore",
	["Murder Row"] = "Murder Row",
	["Murkbog"] = "Murkbog",
	["Murkdeep Cavern"] = "Murkdeep Cavern",
	["Murkfathom Reach"] = "Murkfathom Reach",
	["Murkloc Cave"] = "Murkloc Cave",
	["Murky Bank"] = "Murky Bank",
	["Murloc Hideaway"] = "Murloc Hideaway",
	["Murloc Shoals"] = "Murloc Shoals",
	["Murloco's Hideaway"] = "Murloco's Hideaway",
	["Museum"] = "Museum",
	["Muskpaw Ranch"] = "Muskpaw Ranch",
	["Musty Cave"] = "Musty Cave",
	["Mysterious Den"] = "Mysterious Den",
	["Mysterious Titan Chamber"] = "Mysterious Titan Chamber",
	["Mysthoof Watch"] = "Mysthoof Watch",
	["Mystral Lake"] = "Mystral Lake",
	["Mystwood"] = "Mystwood",
	["Myza's Oasis"] = "Myza's Oasis",
	["Nagrand"] = "Nagrand",
	["Nagrand (Outland)"] = "Nagrand (Outland)",
	["Nagrand Arena"] = "Nagrand Arena",
	["Nagrand Corral"] = "Nagrand Corral",
	["Nahom"] = "Nahom",
	["Naielle's Watch"] = "Naielle's Watch",
	["Nal'ryssa's Encampment"] = "Nal'ryssa's Encampment",
	["Nal'tira's Lair"] = "Nal'tira's Lair",
	["Nar'anan"] = "Nar'anan",
	["Nar'shola Terrace"] = "Nar'shola Terrace",
	["Narsong Spires"] = "Narsong Spires",
	["Narsong Trench"] = "Narsong Trench",
	["Nar'thalas Academy"] = "Nar'thalas Academy",
	["Narvir's Cradle"] = "Narvir's Cradle",
	["Nasam's Talon"] = "Nasam's Talon",
	["Nashal the Watcher"] = "Nashal the Watcher",
	["Nashal's Watch"] = "Nashal's Watch",
	["Nastrondir"] = "Nastrondir",
	["Natha'vor"] = "Natha'vor",
	["Nath'raxas Hold"] = "Nath'raxas Hold",
	["Nath'raxas Spire"] = "Nath'raxas Spire",
	["Nat's Landing"] = "Nat's Landing",
	["Navarrogg's Refuge"] = "Navarrogg's Refuge",
	["Nave of Eternal Rest"] = "Nave of Eternal Rest",
	["Navigation Chamber"] = "Navigation Chamber",
	["Naxxanar"] = "Naxxanar",
	["Naxxramas"] = "Naxxramas",
	["Nayeli Lagoon"] = "Nayeli Lagoon",
	["Naz'agal"] = "Naz'agal",
	["Naz'anak: The Forgotten Depths"] = "Naz'anak: The Forgotten Depths",
	["Naze of Shirvallah"] = "Naze of Shirvallah",
	["Nazjatar"] = "Nazjatar",
	["Nazj'vel"] = "Nazj'vel",
	["Nazmir"] = "Nazmir",
	["Nazwatha"] = "Nazwatha",
	["Naz'watha"] = "Naz'watha",
	["Nazwatha Sanctum"] = "Nazwatha Sanctum",
	["Nazzivian"] = "Nazzivian",
	["Necropolis Catacombs"] = "Necropolis Catacombs",
	["Nectarbreeze Orchard"] = "Nectarbreeze Orchard",
	["Needlerock Chasm"] = "Needlerock Chasm",
	["Needlerock Slag"] = "Needlerock Slag",
	["Nefarian's Lair"] = "Nefarian's Lair",
	["Neferset City"] = "Neferset City",
	["Neferset City Outskirts"] = "Neferset City Outskirts",
	["Nek'mani Wellspring"] = "Nek'mani Wellspring",
	["Neltharion's Lair"] = "Neltharion's Lair",
	["Neltharion's Vault"] = "Neltharion's Vault",
	["Nemea's Retreat"] = "Nemea's Retreat",
	["Neptulon's Rise"] = "Neptulon's Rise",
	["Nesingwary"] = "Nesingwary",
	["Nesingwary Base Camp"] = "Nesingwary Base Camp",
	["Nesingwary Safari"] = "Nesingwary Safari",
	["Nesingwary's Expedition"] = "Nesingwary's Expedition",
	["Nesingwary's Gameland"] = "Nesingwary's Gameland",
	["Nesingwary's Retreat"] = "Nesingwary's Retreat",
	["Nesingwary's Safari"] = "Nesingwary's Safari",
	["Nesingwary's Trek"] = "Nesingwary's Trek",
	["Nespirah"] = "Nespirah",
	["Nest of the Ravenspeakers"] = "Nest of the Ravenspeakers",
	["Nestlewood Hills"] = "Nestlewood Hills",
	["Nestlewood Thicket"] = "Nestlewood Thicket",
	["Nethander Stead"] = "Nethander Stead",
	["Nether Disruptor"] = "Nether Disruptor",
	["Nethergarde Keep"] = "Nethergarde Keep",
	["Nethergarde Mines"] = "Nethergarde Mines",
	["Nethergarde Supply Camps"] = "Nethergarde Supply Camps",
	["Netherhollow"] = "Netherhollow",
	["Netherlight Temple"] = "Netherlight Temple",
	["Netherspace"] = "Netherspace",
	["Netherstone"] = "Netherstone",
	["Netherstorm"] = "Netherstorm",
	["Netherweb Ridge"] = "Netherweb Ridge",
	["Netherwing Fields"] = "Netherwing Fields",
	["Netherwing Ledge"] = "Netherwing Ledge",
	["Netherwing Mines"] = "Netherwing Mines",
	["Netherwing Pass"] = "Netherwing Pass",
	["Netley Inn"] = "Netley Inn",
	["Never Hunt Alone"] = "Never Hunt Alone",
	["Neverest Basecamp"] = "Neverest Basecamp",
	["Neverest Pinnacle"] = "Neverest Pinnacle",
	["New Agamand"] = "New Agamand",
	["New Agamand Inn"] = "New Agamand Inn",
	["New Avalon"] = "New Avalon",
	["New Avalon Fields"] = "New Avalon Fields",
	["New Avalon Forge"] = "New Avalon Forge",
	["New Avalon Orchard"] = "New Avalon Orchard",
	["New Avalon Town Hall"] = "New Avalon Town Hall",
	["New Cifera"] = "New Cifera",
	["New Hearthglen"] = "New Hearthglen",
	["New Kargath"] = "New Kargath",
	["New Thalanaar"] = "New Thalanaar",
	["New Tinkertown"] = "New Tinkertown",
	["Newhome"] = "Newhome",
	["Newstead"] = "Newstead",
	["Nexus Legendary"] = "Nexus Legendary",
	["Nexus Vault"] = "Nexus Vault",
	["Nidavelir"] = "Nidavelir",
	["Nidvar Stair"] = "Nidvar Stair",
	["Nifflevar"] = "Nifflevar",
	["Night Elf Village"] = "Night Elf Village",
	["Night of the Wilds"] = "Night of the Wilds",
	["Night Run"] = "Night Run",
	["Night Web's Hollow"] = "Night Web's Hollow",
	["Nightborne Forward Camp"] = "Nightborne Forward Camp",
	["Nightcloak Sanctum"] = "Nightcloak Sanctum",
	["Nightflow Conduit"] = "Nightflow Conduit",
	["Nighthaven"] = "Nighthaven",
	["Nighthaven Inn"] = "Nighthaven Inn",
	["Nightingale Lounge"] = "Nightingale Lounge",
	["Nightmare Depths"] = "Nightmare Depths",
	["Nightmare Scar"] = "Nightmare Scar",
	["Nightmare Vale"] = "Nightmare Vale",
	["Nightsong Woods"] = "Nightsong Woods",
	["Nightwatcher's Perch"] = "Nightwatcher's Perch",
	["Nijel's Point"] = "Nijel's Point",
	["Nimbus Rise"] = "Nimbus Rise",
	["Nip and Tusk"] = "Nip and Tusk",
	["Niskara"] = "Niskara",
	["Niuzao Catacombs"] = "Niuzao Catacombs",
	["Niuzao Temple"] = "Niuzao Temple",
	["Nivek's Overlook"] = "Nivek's Overlook",
	["Njord's Breath Bay"] = "Njord's Breath Bay",
	["Njorn Stair"] = "Njorn Stair",
	["Njorndar Village"] = "Njorndar Village",
	["Noodle Time"] = "Noodle Time",
	["Nook of Konk"] = "Nook of Konk",
	["Noonshade Ruins"] = "Noonshade Ruins",
	["Nor'Danil Wellspring"] = "Nor'Danil Wellspring",
	["Nordrassil"] = "Nordrassil",
	["Nordrassil Inn"] = "Nordrassil Inn",
	["Nordune Ridge"] = "Nordune Ridge",
	["North Common Hall"] = "North Common Hall",
	["North Gate Outpost"] = "North Gate Outpost",
	["North Gate Pass"] = "North Gate Pass",
	["North Pass Caverns"] = "North Pass Caverns",
	["North Point Station"] = "North Point Station",
	["North Point Tower"] = "North Point Tower",
	["North Rastari Garrison"] = "North Rastari Garrison",
	["North Sanctum"] = "North Sanctum",
	["North Spear Tower"] = "North Spear Tower",
	["North Tide's Beachhead"] = "North Tide's Beachhead",
	["North Tide's Hollow"] = "North Tide's Hollow",
	["North Tide's Run"] = "North Tide's Run",
	["North Wind Tavern"] = "North Wind Tavern",
	["Northdale"] = "Northdale",
	["Northern Barrens"] = "Northern Barrens",
	["Northern Elwynn Mountains"] = "Northern Elwynn Mountains",
	["Northern Headlands"] = "Northern Headlands",
	["Northern Rampart"] = "Northern Rampart",
	["Northern Rocketway"] = "Northern Rocketway",
	["Northern Rocketway Exchange"] = "Northern Rocketway Exchange",
	["Northern Stranglethorn"] = "Northern Stranglethorn",
	["Northfold Crossing"] = "Northfold Crossing",
	["Northfold Manor"] = "Northfold Manor",
	["Northgate Breach"] = "Northgate Breach",
	["Northgate River"] = "Northgate River",
	["Northgate Woods"] = "Northgate Woods",
	["Northmaul Tower"] = "Northmaul Tower",
	["Northpass Tower"] = "Northpass Tower",
	["Northrend"] = "Northrend",
	["Northridge Lumber Camp"] = "Northridge Lumber Camp",
	["Northshear Abbey"] = "Northshear Abbey",
	["Northshire"] = "Northshire",
	["Northshire Abbey"] = "Northshire Abbey",
	["Northshire River"] = "Northshire River",
	["Northshire Valley"] = "Northshire Valley",
	["Northshire Vineyards"] = "Northshire Vineyards",
	["Northwatch Expedition Base Camp"] = "Northwatch Expedition Base Camp",
	["Northwatch Expedition Base Camp Inn"] = "Northwatch Expedition Base Camp Inn",
	["Northwatch Foothold"] = "Northwatch Foothold",
	["Northwatch Hold"] = "Northwatch Hold",
	["Northwind Cleft"] = "Northwind Cleft",
	["Northwood Home"] = "Northwood Home",
	["Norwington Estate"] = "Norwington Estate",
	["Norwington Inn"] = "Norwington Inn",
	["Not Doug Land"] = "Not Doug Land",
	["Nozzlepot's Outpost"] = "Nozzlepot's Outpost",
	["Nozzlerust Post"] = "Nozzlerust Post",
	["NPEOgreCastle"] = "NPEOgreCastle",
	["Nurakkir"] = "Nurakkir",
	["Ny'alotha"] = "Ny'alotha",
	["Ny'alotha, the Waking City"] = "Ny'alotha, the Waking City",
	["Nyell's Workshop"] = "Nyell's Workshop",
	["Nzoth"] = "Nzoth",
	["NZoth"] = "N'Zoth",
	["N'Zoth"] = "N'Zoth",
	["Oaken Assembly"] = "Oaken Assembly",
	["Oakheart"] = "Oakheart",
	["Oasis of the Fallen Prophet"] = "Oasis of the Fallen Prophet",
	["Oasis of Vir'sar"] = "Oasis of Vir'sar",
	["Obelisk of the Moon"] = "Obelisk of the Moon",
	["Obelisk of the Stars"] = "Obelisk of the Stars",
	["Obelisk of the Sun"] = "Obelisk of the Sun",
	["O'Breen's Camp"] = "O'Breen's Camp",
	["Observance Hall"] = "Observance Hall",
	["Observation Grounds"] = "Observation Grounds",
	["Observer's Locus"] = "Observer's Locus",
	["Obsidian Breakers"] = "Obsidian Breakers",
	["Obsidian Dragonshrine"] = "Obsidian Dragonshrine",
	["Obsidian Forest"] = "Obsidian Forest",
	["Obsidian Lair"] = "Obsidian Lair",
	["Obsidian Overlook"] = "Obsidian Overlook",
	["Obsidia's Perch"] = "Obsidia's Perch",
	["Oceanus Cove"] = "Oceanus Cove",
	["Oculeth's Workshop"] = "Oculeth's Workshop",
	["Odesyus' Landing"] = "Odesyus' Landing",
	["Officer Quarters"] = "Officer Quarters",
	["Ogre Citadel"] = "Ogre Citadel",
	["Ogre Mine"] = "Ogre Mine",
	["Ogre Ruins"] = "Ogre Ruins",
	["Ogri'la"] = "Ogri'la",
	["Okril'lon Hold"] = "Okril'lon Hold",
	["Old Coast Path"] = "Old Coast Path",
	["Old Drust Road"] = "Old Drust Road",
	["Old Gate"] = "Old Gate",
	["Old Hillsbrad Foothills"] = "Old Hillsbrad Foothills",
	["Old Ironforge"] = "Old Ironforge",
	["Old Merchant Road"] = "Old Merchant Road",
	["Old Pi'jiu"] = "Old Pi'jiu",
	["Old Town"] = "Old Town",
	["Olembas"] = "Olembas",
	["Olivian Veil"] = "Olivian Veil",
	["Olivia's Pond"] = "Olivia's Pond",
	["Olsen's Farthing"] = "Olsen's Farthing",
	["One Keg"] = "One Keg",
	["One More Glass"] = "One More Glass",
	["Oneiros"] = "Oneiros",
	["Onslaught Base Camp"] = "Onslaught Base Camp",
	["Onslaught Harbor"] = "Onslaught Harbor",
	["Onyxia's Lair"] = "Onyxia's Lair",
	["Oomlot Village"] = "Oomlot Village",
	["Oona Kagu"] = "Oona Kagu",
	["Oostan"] = "Oostan",
	["Oostan Nord"] = "Oostan Nord",
	["Oostan Ost"] = "Oostan Ost",
	["Oostan Sor"] = "Oostan Sor",
	["Oozing Fields"] = "Oozing Fields",
	["Opening of the Dark Portal"] = "Opening of the Dark Portal",
	["Opening of the Dark Portal Entrance"] = "Opening of the Dark Portal Entrance",
	["Operation: Mechagon"] = "Operation: Mechagon",
	["Operation: Mechagon - Junkyard"] = "Operation: Mechagon - Junkyard",
	["Operation: Mechagon - Workshop"] = "Operation: Mechagon - Workshop",
	["Oratorium of the Voice"] = "Oratorium of the Voice",
	["Oratory of the Damned"] = "Oratory of the Damned",
	["Orchid Hollow"] = "Orchid Hollow",
	["Ordon Sanctuary"] = "Ordon Sanctuary",
	["Orebor Harborage"] = "Orebor Harborage",
	["Oregrind's Dig"] = "Oregrind's Dig",
	["Orendil's Retreat"] = "Orendil's Retreat",
	["Orgrimmar"] = "Orgrimmar",
	["Orgrimmar - Arthas Scenario"] = "Orgrimmar - Arthas Scenario",
	["Orgrimmar Embassy"] = "Orgrimmar Embassy",
	["Orgrimmar Gunship Pandaria Start"] = "Orgrimmar Gunship Pandaria Start",
	["Orgrimmar Rear Gate"] = "Orgrimmar Rear Gate",
	["Orgrimmar Rocketway Exchange"] = "Orgrimmar Rocketway Exchange",
	["Orgrim's Hammer"] = "Orgrim's Hammer",
	["Oribos"] = "Oribos",
	["Orise's Vigil"] = "Orise's Vigil",
	["Oronaar Collapse"] = "Oronaar Collapse",
	["Oronok's Farm"] = "Oronok's Farm",
	["Oro's Overlook"] = "Oro's Overlook",
	["Orsis"] = "Orsis",
	["Ortell's Hideout"] = "Ortell's Hideout",
	["Orunai Bay"] = "Orunai Bay",
	["Orunai Coast"] = "Orunai Coast",
	["Orunai Delta"] = "Orunai Delta",
	["Oshu'gun"] = "Oshu'gun",
	["Ossein Foundry"] = "Ossein Foundry",
	["Out of Bounds"] = "Out of Bounds",
	["Outcast's Hovel"] = "Outcast's Hovel",
	["Outdoor"] = "Outdoor",
	["Outdoor Ruins"] = "Outdoor Ruins",
	["Outland"] = "Outland",
	["Outrigger Post"] = "Outrigger Post",
	["Overgrown Atrium"] = "Overgrown Atrium",
	["Overgrown Camp"] = "Overgrown Camp",
	["Overgrown Canopy"] = "Overgrown Canopy",
	["Overgrown Den"] = "Overgrown Den",
	["Overgrown Oubliette"] = "Overgrown Oubliette",
	["Overgrown Statuary"] = "Overgrown Statuary",
	["Overlook"] = "Overlook",
	["Overlook Ruins"] = "Overlook Ruins",
	["Overseer's Redoubt"] = "Overseer's Redoubt",
	["Overseer's Summit"] = "Overseer's Summit",
	["Overspark Expedition Camp"] = "Overspark Expedition Camp",
	["Owen's Wishing Well"] = "Owen's Wishing Well",
	["Owl Wing Thicket"] = "Owl Wing Thicket",
	["Ozgor's Launch"] = "Ozgor's Launch",
	["Pagle's Pointe"] = "Pagle's Pointe",
	["Palace Antechamber"] = "Palace Antechamber",
	["Pal'ea"] = "Pal'ea",
	["Paledoom's Overlook"] = "Paledoom's Overlook",
	["Palemane Rock"] = "Palemane Rock",
	["Paletide Den"] = "Paletide Den",
	["Pandaren Mine"] = "Pandaren Mine",
	["Pandaria"] = "Pandaria",
	["Pang's Stead"] = "Pang's Stead",
	["Panic At The Brewery"] = "Panic At The Brewery",
	["Panic Clutch"] = "Panic Clutch",
	["Paoquan Hollow"] = "Paoquan Hollow",
	["Parhelion Plaza"] = "Parhelion Plaza",
	["Pass of An'she"] = "Pass of An'she",
	["Passage of Lost Fiends"] = "Passage of Lost Fiends",
	["Path of a Hundred Steps"] = "Path of a Hundred Steps",
	["Path of Ascension"] = "Path of Ascension",
	["Path of Conquerors"] = "Path of Conquerors",
	["Path of Earth"] = "Path of Earth",
	["Path of Enlightenment"] = "Path of Enlightenment",
	["Path of Huln"] = "Path of Huln",
	["Path of Illumination"] = "Path of Illumination",
	["Path of Rebirth"] = "Path of Rebirth",
	["Path of Serenity"] = "Path of Serenity",
	["Path of Sky"] = "Path of Sky",
	["Path of Storms"] = "Path of Storms",
	["Path of Suffering"] = "Path of Suffering",
	["Path of the Ancestors"] = "Path of the Ancestors",
	["Path of the Light"] = "Path of the Light",
	["Path of the Titans"] = "Path of the Titans",
	["Path of the Worm"] = "Path of the Worm",
	["Path of Uther"] = "Path of Uther",
	["Path of Victors"] = "Path of Victors",
	["Path of Water"] = "Path of Water",
	["Path of Wisdom"] = "Path of Wisdom",
	["Pathfinder's Den"] = "Pathfinder's Den",
	["Pattymack Land"] = "Pattymack Land",
	["Pauper's Walk"] = "Pauper's Walk",
	["Paur's Pub"] = "Paur's Pub",
	["Pavilion of Krag'wa"] = "Pavilion of Krag'wa",
	["Paw'don Glade"] = "Paw'don Glade",
	["Paw'don Village"] = "Paw'don Village",
	["Paws and Claws"] = "Paws and Claws",
	["Peak of Serenity"] = "Peak of Serenity",
	["Pearl Lake"] = "Pearl Lake",
	["Pearlfin Village"] = "Pearlfin Village",
	["Pedestal of Hope"] = "Pedestal of Hope",
	["Pei-Wu Forest"] = "Pei-Wu Forest",
	["Penance Bridge"] = "Penance Bridge",
	["Penance of the Fallen King"] = "Penance of the Fallen King",
	["Penderghast"] = "Penderghast",
	["Perdition Hold"] = "Perdition Hold",
	["Pestilent Scar"] = "Pestilent Scar",
	["Petitioner's Chamber"] = "Petitioner's Chamber",
	["Petrified Forest"] = "Petrified Forest",
	["PH Glacier Cave"] = "PH Glacier Cave",
	["Photonic Playground"] = "Photonic Playground",
	["Piercing the Heart"] = "Piercing the Heart",
	["Pig and Whistle Tavern"] = "Pig and Whistle Tavern",
	["Pikeman's Ridge"] = "Pikeman's Ridge",
	["Pilgrim's Precipice"] = "Pilgrim's Precipice",
	["Pillars of Fate"] = "Pillars of Fate",
	["Pincer X2"] = "Pincer X2",
	["Pinchwhistle Gearworks"] = "Pinchwhistle Gearworks",
	["Pinchwhistle Point"] = "Pinchwhistle Point",
	["Pinerock Basin"] = "Pinerock Basin",
	["Pinky's Cave"] = "Pinky's Cave",
	["Pinnacle of Domination"] = "Pinnacle of Domination",
	["Pinnacle of Storms"] = "Pinnacle of Storms",
	["Pit of Anguish"] = "Pit of Anguish",
	["Pit of Fangs"] = "Pit of Fangs",
	["Pit of Malinoth"] = "Pit of Malinoth",
	["Pit of Saron"] = "Pit of Saron",
	["Pit of Saron Entrance"] = "Pit of Saron Entrance",
	["Pit of the Devourer"] = "Pit of the Devourer",
	["Pits of Despair"] = "Pits of Despair",
	["Pits of Mannoroth"] = "Pits of Mannoroth",
	["Pits of Punishment"] = "Pits of Punishment",
	["Plague Vault"] = "Plague Vault",
	["Plague Watch"] = "Plague Watch",
	["Plaguefall"] = "Plaguefall",
	["Plaguelands: The Scarlet Enclave"] = "Plaguelands: The Scarlet Enclave",
	["Plaguemist Ravine"] = "Plaguemist Ravine",
	["Plaguewood"] = "Plaguewood",
	["Plaguewood Tower"] = "Plaguewood Tower",
	["Plain of Echoes"] = "Plain of Echoes",
	["Plain of Shards"] = "Plain of Shards",
	["Plain of Thieves"] = "Plain of Thieves",
	["Plains of Nasam"] = "Plains of Nasam",
	["Plains of Serenity"] = "Plains of Serenity",
	["Plains of Tojek"] = "Plains of Tojek",
	["Plane of Torment"] = "Plane of Torment",
	["Planes of Torment"] = "Planes of Torment",
	["Plateau of Naz"] = "Plateau of Naz",
	["Platinum Sands"] = "Platinum Sands",
	["Plume Lake"] = "Plume Lake",
	["Plunder Harbor"] = "Plunder Harbor",
	["Plunder Isle"] = "Plunder Isle",
	["Plunge"] = "Plunge",
	["Pod Cluster"] = "Pod Cluster",
	["Pod Wreckage"] = "Pod Wreckage",
	["Podling Patch"] = "Podling Patch",
	["Poison Falls"] = "Poison Falls",
	["Pool of Reflection"] = "Pool of Reflection",
	["Pool of Tears"] = "Pool of Tears",
	["Pool of the Paw"] = "Pool of the Paw",
	["Pool of Twisted Reflections"] = "Pool of Twisted Reflections",
	["Pool of Visions"] = "Pool of Visions",
	["Pools of Aggonar"] = "Pools of Aggonar",
	["Pools of Arlithrien"] = "Pools of Arlithrien",
	["Pools of Jin'Alai"] = "Pools of Jin'Alai",
	["Pools of Life"] = "Pools of Life",
	["Pools of Power"] = "Pools of Power",
	["Pools of Purity"] = "Pools of Purity",
	["Pools of Reflection"] = "Pools of Reflection",
	["Pools of Youth"] = "Pools of Youth",
	["Pools of Zha'Jin"] = "Pools of Zha'Jin",
	["Port Authority"] = "Port Authority",
	["Port Fogtide"] = "Port Fogtide",
	["Port of Zandalar"] = "Port of Zandalar",
	["Port of Zem'lan"] = "Port of Zem'lan",
	["Portal Clearing"] = "Portal Clearing",
	["Postulant's Trial"] = "Postulant's Trial",
	["Pranksters' Hollow"] = "Pranksters' Hollow",
	["Precipice of Dreams"] = "Precipice of Dreams",
	["Predator Pass"] = "Predator Pass",
	["Predator's Perch"] = "Predator's Perch",
	["Prepfoot"] = "Prepfoot",
	["Prepfoot Compound"] = "Prepfoot Compound",
	["Pridefall Hamlet"] = "Pridefall Hamlet",
	["Pride's Prison"] = "Pride's Prison",
	["Primal Chitterspine Crusher"] = "Primal Chitterspine Crusher",
	["Primal Wetlands"] = "Primal Wetlands",
	["Prime Arcanum"] = "Prime Arcanum",
	["Prime Siegeworks"] = "Prime Siegeworks",
	["Primrose Residence"] = "Primrose Residence",
	["Priscilla's Parlor"] = "Priscilla's Parlor",
	["Prison of Immol'thar"] = "Prison of Immol'thar",
	["Prisoners' Pass"] = "Prisoners' Pass",
	["Prodigum"] = "Prodigum",
	["Professions Land"] = "Professions Land",
	["Progenitor Console"] = "Progenitor Console",
	["Programmer Isle"] = "Programmer Isle",
	["Promontory Point"] = "Promontory Point",
	["Prophet's Reflection"] = "Prophet's Reflection",
	["Prospector's Point"] = "Prospector's Point",
	["Prospectus Bay"] = "Prospectus Bay",
	["Protectorate Watch Post"] = "Protectorate Watch Post",
	["Prototype"] = "Prototype",
	["Prototype Scenario"] = "Prototype Scenario",
	["Proudmoore Academy"] = "Proudmoore Academy",
	["Proudmoore Barracks"] = "Proudmoore Barracks",
	["Proudmoore Keep"] = "Proudmoore Keep",
	["Proving Grounds"] = "Proving Grounds",
	["Proving Grounds: Select a Trial"] = "Proving Grounds: Select a Trial",
	["Pterror Rise"] = "Pterror Rise",
	["Purespring Cavern"] = "Purespring Cavern",
	["Purgation Isle"] = "Purgation Isle",
	["Purity's Pinnacle"] = "Purity's Pinnacle",
	["Purity's Reflection"] = "Purity's Reflection",
	["Pursuing the Black Harvest"] = "Pursuing the Black Harvest",
	["Putrefied Forest"] = "Putrefied Forest",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "Putricide's Laboratory of Alchemical Horrors and Fun",
	["Putrid Laboratory"] = "Putrid Laboratory",
	["Pyrewood Chapel"] = "Pyrewood Chapel",
	["Pyrewood Inn"] = "Pyrewood Inn",
	["Pyrewood Town Hall"] = "Pyrewood Town Hall",
	["Pyrewood Village"] = "Pyrewood Village",
	["Pyrox Flats"] = "Pyrox Flats",
	["QA and DVD"] = "QA and DVD",
	["Quagg Ridge"] = "Quagg Ridge",
	["Quarry"] = "Quarry",
	["Quarters of the Damned"] = "Quarters of the Damned",
	["Quartzite Basin"] = "Quartzite Basin",
	["Queen's Conservatory"] = "Queen's Conservatory",
	["Queen's Gate"] = "Queen's Gate",
	["Queen's Reprisal"] = "Queen's Reprisal",
	["Quel'Danil Lodge"] = "Quel'Danil Lodge",
	["Quel'Delar's Rest"] = "Quel'Delar's Rest",
	["Quel'Dormir Gardens"] = "Quel'Dormir Gardens",
	["Quel'Dormir Temple"] = "Quel'Dormir Temple",
	["Quel'Dormir Terrace"] = "Quel'Dormir Terrace",
	["Quel'Lithien Lodge"] = "Quel'Lithien Lodge",
	["Quel'thalas"] = "Quel'thalas",
	["Quest Training"] = "Quest Training",
	["Questfall"] = "Questfall",
	["Quickchop's Lumber Farm"] = "Quickchop's Lumber Farm",
	["Quilboar Briarpatch"] = "Quilboar Briarpatch",
	["Quilltop"] = "Quilltop",
	["R&D"] = "R&D",
	["Raastok Glade"] = "Raastok Glade",
	["Raceway Ruins"] = "Raceway Ruins",
	["Radcliffe Landing"] = "Radcliffe Landing",
	["Rage Fang Shrine"] = "Rage Fang Shrine",
	["Rage Scar Hold"] = "Rage Scar Hold",
	["Ragebringer Terrace"] = "Ragebringer Terrace",
	["Rageclaw Den"] = "Rageclaw Den",
	["Rageclaw Lake"] = "Rageclaw Lake",
	["Ragefeather Ridge"] = "Ragefeather Ridge",
	["Ragefire Caverns"] = "Ragefire Caverns",
	["Ragefire Chasm"] = "Ragefire Chasm",
	["Ragefire Core"] = "Ragefire Core",
	["Ragnaros' Lair"] = "Ragnaros' Lair",
	["Ragnaros' Reach"] = "Ragnaros' Reach",
	["Raider's Hideout"] = "Raider's Hideout",
	["Raiders' Hideout"] = "Raiders' Hideout",
	["Raimond's Laboratory"] = "Raimond's Laboratory",
	["Rainfern Basin"] = "Rainfern Basin",
	["Rainfern Grotto"] = "Rainfern Grotto",
	["Rainspeaker Canopy"] = "Rainspeaker Canopy",
	["Rainspeaker Rapids"] = "Rainspeaker Rapids",
	["Rakjan's Peak"] = "Rakjan's Peak",
	["Ramkahen"] = "Ramkahen",
	["Ramkahen Legion Outpost"] = "Ramkahen Legion Outpost",
	["Rampart of Skulls"] = "Rampart of Skulls",
	["Ranazjar Isle"] = "Ranazjar Isle",
	["Randall's Refuge"] = "Randall's Refuge",
	["Rangari Corral"] = "Rangari Corral",
	["Rangari Enclave"] = "Rangari Enclave",
	["Rangari Hollow"] = "Rangari Hollow",
	["Rangari Overlook"] = "Rangari Overlook",
	["Rangari Refuge"] = "Rangari Refuge",
	["Ranger's Foothold"] = "Ranger's Foothold",
	["Raptor Grounds"] = "Raptor Grounds",
	["Raptor Pens"] = "Raptor Pens",
	["Raptor Ridge"] = "Raptor Ridge",
	["Raptor Rise"] = "Raptor Rise",
	["Raptor's Maw"] = "Raptor's Maw",
	["Rastakhan's Might"] = "Rastakhan's Might",
	["Rastari Barracks"] = "Rastari Barracks",
	["Rastari Garrison"] = "Rastari Garrison",
	["Rastari Passage"] = "Rastari Passage",
	["Ratchet"] = "Ratchet",
	["Rated Eye of the Storm"] = "Rated Eye of the Storm",
	["Ravaged Caravan"] = "Ravaged Caravan",
	["Ravaged Crypt"] = "Ravaged Crypt",
	["Ravaged Twilight Camp"] = "Ravaged Twilight Camp",
	["Ravager Den"] = "Ravager Den",
	["Raven Hill"] = "Raven Hill",
	["Raven Hill Cemetery"] = "Raven Hill Cemetery",
	["Ravencourt"] = "Ravencourt",
	["Ravencrest Mausoleum"] = "Ravencrest Mausoleum",
	["Ravencrest Monument"] = "Ravencrest Monument",
	["Ravencrest's Legacy"] = "Ravencrest's Legacy",
	["Ravener's Lament"] = "Ravener's Lament",
	["Ravenholdt Manor"] = "Ravenholdt Manor",
	["Ravenperch Cove"] = "Ravenperch Cove",
	["Ravens Flock Tavern"] = "Ravens Flock Tavern",
	["Raven's Glory"] = "Raven's Glory",
	["Raven's Watch"] = "Raven's Watch",
	["Raven's Wood"] = "Raven's Wood",
	["Ravenshold"] = "Ravenshold",
	["Ravenskar"] = "Ravenskar",
	["Ravenswatch"] = "Ravenswatch",
	["Raynewood Retreat"] = "Raynewood Retreat",
	["Raynewood Tower"] = "Raynewood Tower",
	["Razaan's Landing"] = "Razaan's Landing",
	["Raz'lotec"] = "Raz'lotec",
	["Razor Hill"] = "Razor Hill",
	["Razor Hill Barracks"] = "Razor Hill Barracks",
	["Razor Hill Outskirts"] = "Razor Hill Outskirts",
	["Razor Hill Watchtower"] = "Razor Hill Watchtower",
	["Razor Ridge"] = "Razor Ridge",
	["Razorbloom"] = "Razorbloom",
	["Razorbloom Fallow"] = "Razorbloom Fallow",
	["Razorfen Downs"] = "Razorfen Downs",
	["Razorfen Downs Entrance"] = "Razorfen Downs Entrance",
	["Razorfen Kraul"] = "Razorfen Kraul",
	["Razorfen Kraul Entrance"] = "Razorfen Kraul Entrance",
	["Razorjaw River"] = "Razorjaw River",
	["Razormane Grounds"] = "Razormane Grounds",
	["Razorscale's Aerie"] = "Razorscale's Aerie",
	["Razorthorn Rise"] = "Razorthorn Rise",
	["Razorthorn Shelf"] = "Razorthorn Shelf",
	["Razorthorn Trail"] = "Razorthorn Trail",
	["Razorwind Canyon"] = "Razorwind Canyon",
	["Razorwing Nest"] = "Razorwing Nest",
	["Realm of the Mage Hunter"] = "Realm of the Mage Hunter",
	["Rear Staging Area"] = "Rear Staging Area",
	["Reaver's Fall"] = "Reaver's Fall",
	["Reavers' Hall"] = "Reavers' Hall",
	["Rebel Camp"] = "Rebel Camp",
	["Recovering Tyrande Whisperwind"] = "Recovering Tyrande Whisperwind",
	["Red Cloud Mesa"] = "Red Cloud Mesa",
	["Red Rocks"] = "Red Rocks",
	["Red Stone Run"] = "Red Stone Run",
	["Redelav District"] = "Redelav District",
	["Redelav Hall"] = "Redelav Hall",
	["Redelav Tower"] = "Redelav Tower",
	["Redemption Rise"] = "Redemption Rise",
	["Redfield's Watch"] = "Redfield's Watch",
	["Redpine Dell"] = "Redpine Dell",
	["Redridge Canyons"] = "Redridge Canyons",
	["Redridge Mountains"] = "Redridge Mountains",
	["Redridge Pass"] = "Redridge Pass",
	["Redrock Cavern"] = "Redrock Cavern",
	["Redrock Harbor"] = "Redrock Harbor",
	["Redrock Lowlands"] = "Redrock Lowlands",
	["Redrock Mesa"] = "Redrock Mesa",
	["Redrock Mines"] = "Redrock Mines",
	["Redsilt Wash"] = "Redsilt Wash",
	["Redwood Trading Post"] = "Redwood Trading Post",
	["Reeg'ak's Nest"] = "Reeg'ak's Nest",
	["Refinery"] = "Refinery",
	["Reflection Peak"] = "Reflection Peak",
	["Refuge Pointe"] = "Refuge Pointe",
	["Refugee Camp"] = "Refugee Camp",
	["Refugee Caravan"] = "Refugee Caravan",
	["Refuse Disposal"] = "Refuse Disposal",
	["Refuse Pit"] = "Refuse Pit",
	["Relief Hut"] = "Relief Hut",
	["Reliquary Base Camp"] = "Reliquary Base Camp",
	["Reliquary Camp"] = "Reliquary Camp",
	["Reliquary of Agony"] = "Reliquary of Agony",
	["Reliquary of Opulence"] = "Reliquary of Opulence",
	["Reliquary of Pain"] = "Reliquary of Pain",
	["Reliquary of Remembrance"] = "Reliquary of Remembrance",
	["Remains of Iris Lake"] = "Remains of Iris Lake",
	["Remains of the Fleet"] = "Remains of the Fleet",
	["Remains of Xandros"] = "Remains of Xandros",
	["Remember the Sunwell"] = "Remember the Sunwell",
	["Remtravel's Excavation"] = "Remtravel's Excavation",
	["Renard's Den"] = "Renard's Den",
	["Render's Camp"] = "Render's Camp",
	["Render's Crater"] = "Render's Crater",
	["Render's Rock"] = "Render's Rock",
	["Render's Valley"] = "Render's Valley",
	["Renounced Bastille"] = "Renounced Bastille",
	["Rensai's Watchpost"] = "Rensai's Watchpost",
	["Repentance Bridge"] = "Repentance Bridge",
	["Rescue Koltira"] = "Rescue Koltira",
	["Retaking the Forge"] = "Retaking the Forge",
	["Rethban Caverns"] = "Rethban Caverns",
	["Rethress Sanctum"] = "Rethress Sanctum",
	["Retribution Point"] = "Retribution Point",
	["Return of the Light"] = "Return of the Light",
	["Return to Karazhan"] = "Return to Karazhan",
	["Reuse"] = "Reuse",
	["Reuse Me 7"] = "Reuse Me 7",
	["Revantusk Village"] = "Revantusk Village",
	["Revendreth"] = "Revendreth",
	["Rexxar's Refuge"] = "Rexxar's Refuge",
	["Rezan's Claw"] = "Rezan's Claw",
	["Rezan's Wake"] = "Rezan's Wake",
	["Rhea's Camp"] = "Rhea's Camp",
	["Rhonin's Beard"] = "Rhonin's Beard",
	["Rhut'van Divide"] = "Rhut'van Divide",
	["Rhut'van Passage"] = "Rhut'van Passage",
	["Rhut'van Peak"] = "Rhut'van Peak",
	["Rhyolith Plateau"] = "Rhyolith Plateau",
	["Ricket's Folly"] = "Ricket's Folly",
	["Ridge"] = "Ridge",
	["Ridge of Laughing Winds"] = "Ridge of Laughing Winds",
	["Ridge of Madness"] = "Ridge of Madness",
	["Ridgepoint Tower"] = "Ridgepoint Tower",
	["Rift of Aln"] = "Rift of Aln",
	["Rikkilea"] = "Rikkilea",
	["Rikkitun Village"] = "Rikkitun Village",
	["Rilzit's Holdfast"] = "Rilzit's Holdfast",
	["Rim of the World"] = "Rim of the World",
	["Rimestone's Lair"] = "Rimestone's Lair",
	["Ring of Booty"] = "Ring of Booty",
	["Ring of Conquest"] = "Ring of Conquest",
	["Ring of Containment"] = "Ring of Containment",
	["Ring of Fates"] = "Ring of Fates",
	["Ring of Judgment"] = "Ring of Judgment",
	["Ring of Observance"] = "Ring of Observance",
	["Ring of Souls"] = "Ring of Souls",
	["Ring of the Elements"] = "Ring of the Elements",
	["Ring of the Law"] = "Ring of the Law",
	["Ring of Transference"] = "Ring of Transference",
	["Riplash Ruins"] = "Riplash Ruins",
	["Riplash Strand"] = "Riplash Strand",
	["Rise of Suffering"] = "Rise of Suffering",
	["Rise of the Defiler"] = "Rise of the Defiler",
	["Ritual Chamber of Akali"] = "Ritual Chamber of Akali",
	["Rivendark's Perch"] = "Rivendark's Perch",
	["Rivenwood"] = "Rivenwood",
	["Riverbeast Den"] = "Riverbeast Den",
	["Riverbend"] = "Riverbend",
	["River's Heart"] = "River's Heart",
	["Riverside Post"] = "Riverside Post",
	["RiverZone_Art"] = "RiverZone_Art",
	["Roaring Highland"] = "Roaring Highland",
	["Rock of Durotan"] = "Rock of Durotan",
	["Rock Spire"] = "Rock Spire",
	["Rockaway Coast"] = "Rockaway Coast",
	["Rockaway Shallows"] = "Rockaway Shallows",
	["Rockaway Shelf"] = "Rockaway Shelf",
	["Rockcrawler Chasm"] = "Rockcrawler Chasm",
	["Rocketzan"] = "Rocketzan",
	["Rockpool Village"] = "Rockpool Village",
	["Rockskip Falls"] = "Rockskip Falls",
	["Rockskip Woodlands"] = "Rockskip Woodlands",
	["Rocktusk Farm"] = "Rocktusk Farm",
	["Rocky Cleft"] = "Rocky Cleft",
	["Roguefeather Den"] = "Roguefeather Den",
	["Rogues' Quarter"] = "Rogues' Quarter",
	["Rohemdal Pass"] = "Rohemdal Pass",
	["Roiling Vortex"] = "Roiling Vortex",
	["Roland's Doom"] = "Roland's Doom",
	["Rook's Rise"] = "Rook's Rise",
	["Room of Hidden Secrets"] = "Room of Hidden Secrets",
	["Roost of Ji-Kun"] = "Roost of Ji-Kun",
	["Root Den"] = "Root Den",
	["Rooter's Pass"] = "Rooter's Pass",
	["Root-Home"] = "Root-Home",
	["Rootway"] = "Rootway",
	["Rootway Collapse"] = "Rootway Collapse",
	["Rosaline's Apiary"] = "Rosaline's Apiary",
	["Rotbrain Encampment"] = "Rotbrain Encampment",
	["Rot's Passage"] = "Rot's Passage",
	["Rotting Mound"] = "Rotting Mound",
	["Rough-Hewn Passage"] = "Rough-Hewn Passage",
	["Roughneck Camp"] = "Roughneck Camp",
	["Royal Amphitheater"] = "Royal Amphitheater",
	["Royal Approach"] = "Royal Approach",
	["Royal Exchange Auction House"] = "Royal Exchange Auction House",
	["Royal Exchange Bank"] = "Royal Exchange Bank",
	["Royal Gallery"] = "Royal Gallery",
	["Royal Library"] = "Royal Library",
	["Royal Quarter"] = "Royal Quarter",
	["Ruby Dragonshrine"] = "Ruby Dragonshrine",
	["Ruby Lake"] = "Ruby Lake",
	["Ruff Waters"] = "Ruff Waters",
	["Ruined Approach"] = "Ruined Approach",
	["Ruined City Post 01"] = "Ruined City Post 01",
	["Ruined Court"] = "Ruined Court",
	["Ruined Crypt"] = "Ruined Crypt",
	["Ruined Passage"] = "Ruined Passage",
	["Ruins"] = "Ruins",
	["Ruin's Cradle"] = "Ruin's Cradle",
	["Ruin's Descent"] = "Ruin's Descent",
	["Ruins of Aboraz"] = "Ruins of Aboraz",
	["Ruins of Ahmtul"] = "Ruins of Ahmtul",
	["Ruins of Ahn'Qiraj"] = "Ruins of Ahn'Qiraj",
	["Ruins of Alterac"] = "Ruins of Alterac",
	["Ruins of Ammon"] = "Ruins of Ammon",
	["Ruins of Andorhal"] = "Ruins of Andorhal",
	["Ruins of Arkkoran"] = "Ruins of Arkkoran",
	["Ruins of Ata'gar"] = "Ruins of Ata'gar",
	["Ruins of Atul'Aman"] = "Ruins of Atul'Aman",
	["Ruins of Auberdine"] = "Ruins of Auberdine",
	["Ruins of Baa'ri"] = "Ruins of Baa'ri",
	["Ruins of Constellas"] = "Ruins of Constellas",
	["Ruins of D-Block"] = "Ruins of D-Block",
	["Ruins of Dojan"] = "Ruins of Dojan",
	["Ruins of Drakgor"] = "Ruins of Drakgor",
	["Ruins of Drak'Zin"] = "Ruins of Drak'Zin",
	["Ruins of Eldarath "] = "Ruins of Eldarath ",
	["Ruins of Eldra'nath"] = "Ruins of Eldra'nath",
	["Ruins of Eldre'thar"] = "Ruins of Eldre'thar",
	["Ruins of Elune'eth"] = "Ruins of Elune'eth",
	["Ruins of Enkaat"] = "Ruins of Enkaat",
	["Ruins of Farahlon"] = "Ruins of Farahlon",
	["Ruins of Feathermoon"] = "Ruins of Feathermoon",
	["Ruins of Gilneas"] = "Ruins of Gilneas",
	["Ruins of Gilneas City"] = "Ruins of Gilneas City",
	["Ruins of Guo-Lai"] = "Ruins of Guo-Lai",
	["Ruins of Isildien"] = "Ruins of Isildien",
	["Ruins of Jubuwal"] = "Ruins of Jubuwal",
	["Ruins of Karabor"] = "Ruins of Karabor",
	["Ruins of Kargath"] = "Ruins of Kargath",
	["Ruins of Khintaset"] = "Ruins of Khintaset",
	["Ruins of Korja"] = "Ruins of Korja",
	["Ruins of Korune"] = "Ruins of Korune",
	["Ruins of Kra'nak"] = "Ruins of Kra'nak",
	["Ruins of Lar'donir"] = "Ruins of Lar'donir",
	["Ruins of Lordaeron"] = "Ruins of Lordaeron",
	["Ruins of Loreth'Aran"] = "Ruins of Loreth'Aran",
	["Ruins of Lornesta"] = "Ruins of Lornesta",
	["Ruins of Mathystra"] = "Ruins of Mathystra",
	["Ruins of Na'gwa"] = "Ruins of Na'gwa",
	["Ruins of Nar'thalas"] = "Ruins of Nar'thalas",
	["Ruins of Nordressa"] = "Ruins of Nordressa",
	["Ruins of Ogudei"] = "Ruins of Ogudei",
	["Ruins of Oronaar"] = "Ruins of Oronaar",
	["Ruins of Ravenwind"] = "Ruins of Ravenwind",
	["Ruins of Sha'naar"] = "Ruins of Sha'naar",
	["Ruins of Shandaral"] = "Ruins of Shandaral",
	["Ruins of Silvermoon"] = "Ruins of Silvermoon",
	["Ruins of Solarsal"] = "Ruins of Solarsal",
	["Ruins of Southshore"] = "Ruins of Southshore",
	["Ruins of Taurajo"] = "Ruins of Taurajo",
	["Ruins of Tethys"] = "Ruins of Tethys",
	["Ruins of Thaurissan"] = "Ruins of Thaurissan",
	["Ruins of the First Bastion"] = "Ruins of the First Bastion",
	["Ruins of the Scarlet Enclave"] = "Ruins of the Scarlet Enclave",
	["Ruins of Thelserai Temple"] = "Ruins of Thelserai Temple",
	["Ruins of Theramore"] = "Ruins of Theramore",
	["Ruins of Uldum"] = "Ruins of Uldum",
	["Ruins of Vashj'elan"] = "Ruins of Vashj'elan",
	["Ruins of Vashj'ir"] = "Ruins of Vashj'ir",
	["Ruins of Xal'vor"] = "Ruins of Xal'vor",
	["Ruins of Zul'Kunda"] = "Ruins of Zul'Kunda",
	["Ruins of Zul'Mamwe"] = "Ruins of Zul'Mamwe",
	["Ruins Rise"] = "Ruins Rise",
	["Rukmaz's Vault"] = "Rukmaz's Vault",
	["Rumbling Terrace"] = "Rumbling Terrace",
	["Runas's Hovel"] = "Runas's Hovel",
	["Runeaxe Training Grounds"] = "Runeaxe Training Grounds",
	["Runestone Falithas"] = "Runestone Falithas",
	["Runestone Shan'dor"] = "Runestone Shan'dor",
	["Runeweaver Square"] = "Runeweaver Square",
	["Runeworkers of Shattrath"] = "Runeworkers of Shattrath",
	["Rustberg Village"] = "Rustberg Village",
	["Rustbolt"] = "Rustbolt",
	["Rustmaul Dive Site"] = "Rustmaul Dive Site",
	["Rustrock Cavern"] = "Rustrock Cavern",
	["Rusty Rocket Tavern"] = "Rusty Rocket Tavern",
	["Rutsak's Guard"] = "Rutsak's Guard",
	["Rut'theran Village"] = "Rut'theran Village",
	["Ruuan Weald"] = "Ruuan Weald",
	["Ruuna's Camp"] = "Ruuna's Camp",
	["Ruuzel's Isle"] = "Ruuzel's Isle",
	["Rygna's Lair"] = "Rygna's Lair",
	["Saberfang Cavern"] = "Saberfang Cavern",
	["Sabermaw"] = "Sabermaw",
	["Sabermaw Bluff"] = "Sabermaw Bluff",
	["Sabermaw Den"] = "Sabermaw Den",
	["Sable Ridge"] = "Sable Ridge",
	["Sacrificial Altar"] = "Sacrificial Altar",
	["Sacrificial Pits"] = "Sacrificial Pits",
	["Sacristy of Elune"] = "Sacristy of Elune",
	["Safe House"] = "Safe House",
	["Sagehaven"] = "Sagehaven",
	["Sagehold"] = "Sagehold",
	["Sahket Wastes"] = "Sahket Wastes",
	["Sails' Rest"] = "Sails' Rest",
	["Salabria"] = "Salabria",
	["Saldean's Farm"] = "Saldean's Farm",
	["Salt and Shanty"] = "Salt and Shanty",
	["Saltheril's Haven"] = "Saltheril's Haven",
	["Saltspray Glen"] = "Saltspray Glen",
	["Saltstone Mine"] = "Saltstone Mine",
	["Salvage Yard"] = "Salvage Yard",
	["Sanctuary of Blood"] = "Sanctuary of Blood",
	["Sanctuary of Guidance"] = "Sanctuary of Guidance",
	["Sanctuary of Malorne"] = "Sanctuary of Malorne",
	["Sanctuary of Shadows"] = "Sanctuary of Shadows",
	["Sanctuary of the Devoted"] = "Sanctuary of the Devoted",
	["Sanctuary of the Light"] = "Sanctuary of the Light",
	["Sanctuary of the Mad"] = "Sanctuary of the Mad",
	["Sanctuary of the Void"] = "Sanctuary of the Void",
	["Sanctum Depths"] = "Sanctum Depths",
	["Sanctum of Binding"] = "Sanctum of Binding",
	["Sanctum of Domination"] = "Sanctum of Domination",
	["Sanctum of Enlightenment"] = "Sanctum of Enlightenment",
	["Sanctum of G'Hanir"] = "Sanctum of G'Hanir",
	["Sanctum of Light"] = "Sanctum of Light",
	["Sanctum of Midnight"] = "Sanctum of Midnight",
	["Sanctum of Order"] = "Sanctum of Order",
	["Sanctum of Reanimation"] = "Sanctum of Reanimation",
	["Sanctum of Shadows"] = "Sanctum of Shadows",
	["Sanctum of the Ascended"] = "Sanctum of the Ascended",
	["Sanctum of the Claw"] = "Sanctum of the Claw",
	["Sanctum of the Fallen God"] = "Sanctum of the Fallen God",
	["Sanctum of the Moon"] = "Sanctum of the Moon",
	["Sanctum of the Naaru"] = "Sanctum of the Naaru",
	["Sanctum of the Prophets"] = "Sanctum of the Prophets",
	["Sanctum of the Sages"] = "Sanctum of the Sages",
	["Sanctum of the South Wind"] = "Sanctum of the South Wind",
	["Sanctum of the Stars"] = "Sanctum of the Stars",
	["Sanctum of the Sun"] = "Sanctum of the Sun",
	["Sand Dweller's Refuge"] = "Sand Dweller's Refuge",
	["Sanderhoof's Ledge"] = "Sanderhoof's Ledge",
	["Sanderhorn's Span"] = "Sanderhorn's Span",
	["Sandfury Hideout"] = "Sandfury Hideout",
	["Sands of Nasam"] = "Sands of Nasam",
	["Sandscar Breach"] = "Sandscar Breach",
	["Sandsorrow Watch"] = "Sandsorrow Watch",
	["Sandy Beach"] = "Sandy Beach",
	["Sandy Refuge"] = "Sandy Refuge",
	["Sandy Shallows"] = "Sandy Shallows",
	["Sanguine Chamber"] = "Sanguine Chamber",
	["Sanguine Depths"] = "Sanguine Depths",
	["Sapphire Hive"] = "Sapphire Hive",
	["Sapphiron's Lair"] = "Sapphiron's Lair",
	["Saraah's Vale"] = "Saraah's Vale",
	["Saragosa's Landing"] = "Saragosa's Landing",
	["Sarahland"] = "Sarahland",
	["Sardor Isle"] = "Sardor Isle",
	["Sargeron"] = "Sargeron",
	["Sarjun Depths"] = "Sarjun Depths",
	["Saronite Mines"] = "Saronite Mines",
	["Sar'theris Strand"] = "Sar'theris Strand",
	["Sashj'tar Grotto"] = "Sashj'tar Grotto",
	["Sashj'tar Pit"] = "Sashj'tar Pit",
	["Sashj'tar Ruins"] = "Sashj'tar Ruins",
	["Satyrnaar"] = "Satyrnaar",
	["Saurok Creation Pit"] = "Saurok Creation Pit",
	["Savage Fight Club"] = "Savage Fight Club",
	["Savage Ledge"] = "Savage Ledge",
	["Savagelands"] = "Savagelands",
	["Scalawag Point"] = "Scalawag Point",
	["Scalding Pools"] = "Scalding Pools",
	["Scaleback Run"] = "Scaleback Run",
	["Scalebeard's Cave"] = "Scalebeard's Cave",
	["Scalefang Outpost"] = "Scalefang Outpost",
	["Scalespine Hill"] = "Scalespine Hill",
	["Scaletrader Post"] = "Scaletrader Post",
	["Scalewing Shelf"] = "Scalewing Shelf",
	["Scaplian Ridge"] = "Scaplian Ridge",
	["Scar of the Worldbreaker"] = "Scar of the Worldbreaker",
	["Scarab Terrace"] = "Scarab Terrace",
	["Scarlet Base Camp"] = "Scarlet Base Camp",
	["Scarlet Encampment"] = "Scarlet Encampment",
	["Scarlet Halls"] = "Scarlet Halls",
	["Scarlet Halls, Dark Ranger"] = "Scarlet Halls, Dark Ranger",
	["Scarlet Hold"] = "Scarlet Hold",
	["Scarlet Monastery"] = "Scarlet Monastery",
	["Scarlet Monastery - OLD"] = "Scarlet Monastery - OLD",
	["Scarlet Monastery Entrance"] = "Scarlet Monastery Entrance",
	["Scarlet Overlook"] = "Scarlet Overlook",
	["Scarlet Palisade"] = "Scarlet Palisade",
	["Scarlet Point"] = "Scarlet Point",
	["Scarlet Raven Tavern"] = "Scarlet Raven Tavern",
	["Scarlet Tavern"] = "Scarlet Tavern",
	["Scarlet Tower"] = "Scarlet Tower",
	["Scarlet Watch Post"] = "Scarlet Watch Post",
	["Scarlet Watchtower"] = "Scarlet Watchtower",
	["Scarred Terrace"] = "Scarred Terrace",
	["Scarred Vale"] = "Scarred Vale",
	["Scavenger's Alcove"] = "Scavenger's Alcove",
	["Scavenger's Boneyard"] = "Scavenger's Boneyard",
	["Scavenger's Edge"] = "Scavenger's Edge",
	["Scavenger's Shore"] = "Scavenger's Shore",
	["Scavenger's Strand"] = "Scavenger's Strand",
	["Scavenging Site"] = "Scavenging Site",
	["Scenario - Black Ox Temple"] = "Scenario - Black Ox Temple",
	["Scenario - Mogu Ruins"] = "Scenario - Mogu Ruins",
	["Scenario Template"] = "Scenario Template",
	["Scenic Overlook"] = "Scenic Overlook",
	["Schnottz's Frigate"] = "Schnottz's Frigate",
	["Schnottz's Hostel"] = "Schnottz's Hostel",
	["Schnottz's Landing"] = "Schnottz's Landing",
	["Scholar's Den"] = "Scholar's Den",
	["Scholomance"] = "Scholomance",
	["Scholomance Entrance"] = "Scholomance Entrance",
	["School of Necromancy"] = "School of Necromancy",
	["Scorched Gully"] = "Scorched Gully",
	["Scorched Sands Arena"] = "Scorched Sands Arena",
	["Scorched Sands Outpost"] = "Scorched Sands Outpost",
	["Scorpidsting's Schooner"] = "Scorpidsting's Schooner",
	["Scott's Spooky Area"] = "Scott's Spooky Area",
	["Scoured Reach"] = "Scoured Reach",
	["Scourge of Northshire"] = "Scourge of Northshire",
	["Scourgehold"] = "Scourgehold",
	["Scourgeholme"] = "Scourgeholme",
	["Scourgelord's Command"] = "Scourgelord's Command",
	["Scrabblescrew's Camp"] = "Scrabblescrew's Camp",
	["Scrapbone Cave 2"] = "Scrapbone Cave 2",
	["Scrapbone Cave 3"] = "Scrapbone Cave 3",
	["Scrapbone Den"] = "Scrapbone Den",
	["Scrapbone's Hollow"] = "Scrapbone's Hollow",
	["Screaming Cliffs"] = "Screaming Cliffs",
	["Screaming Gully"] = "Screaming Gully",
	["Screeching Crag"] = "Screeching Crag",
	["Scribes & Nobles"] = "Scribes & Nobles",
	["Scribe's Quarters"] = "Scribe's Quarters",
	["Scripps Lumber Co."] = "Scripps Lumber Co.",
	["Scryer's Tier"] = "Scryer's Tier",
	["Scuttle Coast"] = "Scuttle Coast",
	["Scuttler's Coast"] = "Scuttler's Coast",
	["Sea"] = "Sea",
	["Sea Mist Ridge"] = "Sea Mist Ridge",
	["Seabreak Isle"] = "Seabreak Isle",
	["Seabreeze Village"] = "Seabreeze Village",
	["Seabrush"] = "Seabrush",
	["Seafarer's Rest"] = "Seafarer's Rest",
	["Seafarer's Tomb"] = "Seafarer's Tomb",
	["Seal of Nazmir"] = "Seal of Nazmir",
	["Seal of the Sun King"] = "Seal of the Sun King",
	["Sealed Chambers"] = "Sealed Chambers",
	["Searing Gorge"] = "Searing Gorge",
	["Seaspittle Cove"] = "Seaspittle Cove",
	["Seaspittle Nook"] = "Seaspittle Nook",
	["Seaspray Cliffs"] = "Seaspray Cliffs",
	["Seat of Annihilation"] = "Seat of Annihilation",
	["Seat of Ascension"] = "Seat of Ascension",
	["Seat of Command"] = "Seat of Command",
	["Seat of Depravity"] = "Seat of Depravity",
	["Seat of Destruction"] = "Seat of Destruction",
	["Seat of Eternal Hymns"] = "Seat of Eternal Hymns",
	["Seat of Knowledge"] = "Seat of Knowledge",
	["Seat of Kor'lok"] = "Seat of Kor'lok",
	["Seat of Life"] = "Seat of Life",
	["Seat of Magic"] = "Seat of Magic",
	["Seat of Radiance"] = "Seat of Radiance",
	["Seat of Ramkahen"] = "Seat of Ramkahen",
	["Seat of the Archon"] = "Seat of the Archon",
	["Seat of the Chosen"] = "Seat of the Chosen",
	["Seat of the Naaru"] = "Seat of the Naaru",
	["Seat of the Pantheon"] = "Seat of the Pantheon",
	["Seat of the Primus"] = "Seat of the Primus",
	["Seat of the Spirit Waker"] = "Seat of the Spirit Waker",
	["Seat of the Triumvirate"] = "Seat of the Triumvirate",
	["Seawatch Point"] = "Seawatch Point",
	["Secluded Auritory"] = "Secluded Auritory",
	["Secluded Glade"] = "Secluded Glade",
	["Second Battle of the Broken Shore"] = "Second Battle of the Broken Shore",
	["Second Chamber of Kalliope"] = "Second Chamber of Kalliope",
	["Secret Treasure Lair"] = "Secret Treasure Lair",
	["Seekers' Expedition"] = "Seekers' Expedition",
	["Seeker's Folly"] = "Seeker's Folly",
	["Seeker's Outpost"] = "Seeker's Outpost",
	["Seekers' Outpost"] = "Seekers' Outpost",
	["Seeker's Point"] = "Seeker's Point",
	["Seeker's Quorum"] = "Seeker's Quorum",
	["Seekers Vista"] = "Seekers Vista",
	["Seekers' Vista"] = "Seekers' Vista",
	["Seething Shore"] = "Seething Shore",
	["Seething Strand"] = "Seething Strand",
	["Sen'jin Village"] = "Sen'jin Village",
	["Sen'jin Village Outskirts"] = "Sen'jin Village Outskirts",
	["Sentinel Basecamp"] = "Sentinel Basecamp",
	["Sentinel Hill"] = "Sentinel Hill",
	["Sentinel Tower"] = "Sentinel Tower",
	["Sentry Point"] = "Sentry Point",
	["Separation Chamber"] = "Separation Chamber",
	["Sepulcher of Knowledge"] = "Sepulcher of Knowledge",
	["Sepulcher of the Abyss"] = "Sepulcher of the Abyss",
	["Sepulcher of the Dahazi"] = "Sepulcher of the Dahazi",
	["Sepulcher of the Sky"] = "Sepulcher of the Sky",
	["Seradane"] = "Seradane",
	["Serenity Falls"] = "Serenity Falls",
	["Serenity's End"] = "Serenity's End",
	["Serpent Lake"] = "Serpent Lake",
	["Serpent's Coil"] = "Serpent's Coil",
	["Serpent's Heart"] = "Serpent's Heart",
	["Serpent's Overlook"] = "Serpent's Overlook",
	["Serpent's Spine"] = "Serpent's Spine",
	["Serpentshrine Cavern"] = "Serpentshrine Cavern",
	["Servants' Quarters"] = "Servants' Quarters",
	["Service Entrance"] = "Service Entrance",
	["Sethekk Halls"] = "Sethekk Halls",
	["Sethekk Hollow"] = "Sethekk Hollow",
	["Sethrak Assault Spire"] = "Sethrak Assault Spire",
	["Sethrak Front"] = "Sethrak Front",
	["Sethrak War Camp"] = "Sethrak War Camp",
	["Sethria's Roost"] = "Sethria's Roost",
	["Setting Sun Garrison"] = "Setting Sun Garrison",
	["Set'vess"] = "Set'vess",
	["Sewer Access Point"] = "Sewer Access Point",
	["Sewer Exit Pipe"] = "Sewer Exit Pipe",
	["Sewers"] = "Sewers",
	["Shackle's Den"] = "Shackle's Den",
	["Shackles of Fate"] = "Shackles of Fate",
	["Shadebough"] = "Shadebough",
	["Shadewood Thicket"] = "Shadewood Thicket",
	["Shado-Li Basin"] = "Shado-Li Basin",
	["Shado-Pan Fallback"] = "Shado-Pan Fallback",
	["Shado-Pan Garrison"] = "Shado-Pan Garrison",
	["Shado-Pan Monastery"] = "Shado-Pan Monastery",
	["Shado-Pan Showdown"] = "Shado-Pan Showdown",
	["Shadow Core"] = "Shadow Core",
	["Shadow Fracture"] = "Shadow Fracture",
	["Shadow Grave"] = "Shadow Grave",
	["Shadow Hold"] = "Shadow Hold",
	["Shadow Labyrinth"] = "Shadow Labyrinth",
	["Shadow of Azeroth"] = "Shadow of Azeroth",
	["Shadow Ridge"] = "Shadow Ridge",
	["Shadow Tomb"] = "Shadow Tomb",
	["Shadow Wing Lair"] = "Shadow Wing Lair",
	["Shadowbreak Ravine"] = "Shadowbreak Ravine",
	["Shadowfall Canyon"] = "Shadowfall Canyon",
	["Shadowfang Keep"] = "Shadowfang Keep",
	["Shadowfang Keep Entrance"] = "Shadowfang Keep Entrance",
	["Shadowfang Tower"] = "Shadowfang Tower",
	["Shadowfen"] = "Shadowfen",
	["Shadowforge City"] = "Shadowforge City",
	["Shadowglade"] = "Shadowglade",
	["Shadowglen"] = "Shadowglen",
	["Shadowgore Citadel"] = "Shadowgore Citadel",
	["Shadowguard Incursion"] = "Shadowguard Incursion",
	["Shadowlands"] = "Shadowlands",
	["Shadowlurk Ridge"] = "Shadowlurk Ridge",
	["Shadowmoon Burial Grounds"] = "Shadowmoon Burial Grounds",
	["Shadowmoon Coast"] = "Shadowmoon Coast",
	["Shadowmoon Grotto"] = "Shadowmoon Grotto",
	["Shadowmoon Mine"] = "Shadowmoon Mine",
	["Shadowmoon Overlook"] = "Shadowmoon Overlook",
	["Shadowmoon Rise"] = "Shadowmoon Rise",
	["Shadowmoon Valley"] = "Shadowmoon Valley",
	["Shadowmoon Valley (Outland)"] = "Shadowmoon Valley (Outland)",
	["Shadowmoon Village"] = "Shadowmoon Village",
	["ShadowmoonCape"] = "ShadowmoonCape",
	["Shadow-Pan Monastery"] = "Shadow-Pan Monastery",
	["Shadowprey Village"] = "Shadowprey Village",
	["Shadow's Concourse"] = "Shadow's Concourse",
	["Shadow's Vigil"] = "Shadow's Vigil",
	["Shadowshard Cavern"] = "Shadowshard Cavern",
	["Shadowsight Tower"] = "Shadowsight Tower",
	["Shadowsong Shrine"] = "Shadowsong Shrine",
	["Shadowsteel Foundry"] = "Shadowsteel Foundry",
	["Shadowthread Cave"] = "Shadowthread Cave",
	["Shadra'Alor"] = "Shadra'Alor",
	["Shadra'zaar"] = "Shadra'zaar",
	["Shady Rest Inn"] = "Shady Rest Inn",
	["Shadybranch Pocket"] = "Shadybranch Pocket",
	["Shaladrassil"] = "Shaladrassil",
	["Shalandis Isle"] = "Shalandis Isle",
	["Shala'nir"] = "Shala'nir",
	["Shal'Aran"] = "Shal'Aran",
	["Shal'dorei Terrace"] = "Shal'dorei Terrace",
	["Shalewind Canyon"] = "Shalewind Canyon",
	["Shallow's End"] = "Shallow's End",
	["Shallowstep Pass"] = "Shallowstep Pass",
	["Shalzaru's Lair"] = "Shalzaru's Lair",
	["Shamanar"] = "Shamanar",
	["Sha'naari Refuge"] = "Sha'naari Refuge",
	["Sha'naari Wastes"] = "Sha'naari Wastes",
	["Shang Xi Training Grounds"] = "Shang Xi Training Grounds",
	["Shang's Stead"] = "Shang's Stead",
	["Shang's Valley"] = "Shang's Valley",
	["Shan'ze Dao"] = "Shan'ze Dao",
	["Shaol'mara"] = "Shaol'mara",
	["Shaol'watha"] = "Shaol'watha",
	["Shaper's Rise"] = "Shaper's Rise",
	["Shaper's Terrace "] = "Shaper's Terrace ",
	["Sharptusk Lake"] = "Sharptusk Lake",
	["Shartuul's Transporter"] = "Shartuul's Transporter",
	["Shassera's Lair"] = "Shassera's Lair",
	["Sha'tar Way Station"] = "Sha'tar Way Station",
	["Sha'tari Anchorage"] = "Sha'tari Anchorage",
	["Sha'tari Base Camp"] = "Sha'tari Base Camp",
	["Sha'tari Market District"] = "Sha'tari Market District",
	["Sha'tari Outpost"] = "Sha'tari Outpost",
	["Sha'tari Rest and Recovery"] = "Sha'tari Rest and Recovery",
	["Sha'tari Skymesa"] = "Sha'tari Skymesa",
	["Shatter Point"] = "Shatter Point",
	["Shatter Scar Vale"] = "Shatter Scar Vale",
	["Shattered Beachhead"] = "Shattered Beachhead",
	["Shattered Chasm"] = "Shattered Chasm",
	["Shattered Convoy"] = "Shattered Convoy",
	["Shattered Fields"] = "Shattered Fields",
	["Shattered Grove"] = "Shattered Grove",
	["Shattered Halls"] = "Shattered Halls",
	["Shattered Landing"] = "Shattered Landing",
	["Shattered Locus"] = "Shattered Locus",
	["Shattered Plains"] = "Shattered Plains",
	["Shattered Rise"] = "Shattered Rise",
	["Shattered Span"] = "Shattered Span",
	["Shattered Straits"] = "Shattered Straits",
	["Shattered Sun Staging Area"] = "Shattered Sun Staging Area",
	["Shatterfall Pass"] = "Shatterfall Pass",
	["Shattershore"] = "Shattershore",
	["Shatterspear Pass"] = "Shatterspear Pass",
	["Shatterspear Vale"] = "Shatterspear Vale",
	["Shatterspear War Camp"] = "Shatterspear War Camp",
	["Shatterstone"] = "Shatterstone",
	["Shatterstone Harbor"] = "Shatterstone Harbor",
	["Shattrath"] = "Shattrath",
	["Shattrath City"] = "Shattrath City",
	["Shattrath City Center"] = "Shattrath City Center",
	["Shattrath Commons"] = "Shattrath Commons",
	["Shattrath Overlook"] = "Shattrath Overlook",
	["Shattrath Port Authority"] = "Shattrath Port Authority",
	["Shattrath Residential District"] = "Shattrath Residential District",
	["Shattrath Scrollhouse"] = "Shattrath Scrollhouse",
	["Shaz'gul"] = "Shaz'gul",
	["Shelf of Mazu"] = "Shelf of Mazu",
	["Shell Beach"] = "Shell Beach",
	["Shepherd's Bluff"] = "Shepherd's Bluff",
	["Sher'khaan's Den"] = "Sher'khaan's Den",
	["Shield Hill"] = "Shield Hill",
	["Shields of Silver"] = "Shields of Silver",
	["Shield's Rest"] = "Shield's Rest",
	["Shimmer Ridge"] = "Shimmer Ridge",
	["Shimmerbough"] = "Shimmerbough",
	["Shimmering Bog"] = "Shimmering Bog",
	["Shimmering Expanse"] = "Shimmering Expanse",
	["Shimmering Grotto"] = "Shimmering Grotto",
	["Shimmering Pinnacle"] = "Shimmering Pinnacle",
	["Shimmering Pools"] = "Shimmering Pools",
	["Shimmering Shallows"] = "Shimmering Shallows",
	["Shimmerleaf Forest"] = "Shimmerleaf Forest",
	["Shimmershade Garden"] = "Shimmershade Garden",
	["Shindigger's Camp"] = "Shindigger's Camp",
	["Ship to Vashj'ir (Orgrimmar -> Vashj'ir)"] = "Ship to Vashj'ir (Orgrimmar -> Vashj'ir)",
	["Shipwreck"] = "Shipwreck",
	["Shipwreck Arena"] = "Shipwreck Arena",
	["Shipwreck Cove"] = "Shipwreck Cove",
	["Shipwreck Shoals"] = "Shipwreck Shoals",
	["Shipwreck Shore"] = "Shipwreck Shore",
	["Shipyard"] = "Shipyard",
	["Shirakess Repository"] = "Shirakess Repository",
	["Shivering Trench"] = "Shivering Trench",
	["Shoaljai Tar Pits"] = "Shoaljai Tar Pits",
	["Shok'Thokar"] = "Shok'Thokar",
	["Sholazar Basin"] = "Sholazar Basin",
	["Shores of the Well"] = "Shores of the Well",
	["Shrine"] = "Shrine",
	["Shrine of Aviana"] = "Shrine of Aviana",
	["Shrine of Bones"] = "Shrine of Bones",
	["Shrine of Dath'Remar"] = "Shrine of Dath'Remar",
	["Shrine of Dreaming Stones"] = "Shrine of Dreaming Stones",
	["Shrine of Eck"] = "Shrine of Eck",
	["Shrine of Fellowship"] = "Shrine of Fellowship",
	["Shrine of Five Dawns"] = "Shrine of Five Dawns",
	["Shrine of Goldrinn"] = "Shrine of Goldrinn",
	["Shrine of Inner-Light"] = "Shrine of Inner-Light",
	["Shrine of Lost Souls"] = "Shrine of Lost Souls",
	["Shrine of Nala'shi"] = "Shrine of Nala'shi",
	["Shrine of Othaar"] = "Shrine of Othaar",
	["Shrine of Pa'ku"] = "Shrine of Pa'ku",
	["Shrine of Remembrance"] = "Shrine of Remembrance",
	["Shrine of Remulos"] = "Shrine of Remulos",
	["Shrine of Scales"] = "Shrine of Scales",
	["Shrine of Seven Stars"] = "Shrine of Seven Stars",
	["Shrine of Shadows"] = "Shrine of Shadows",
	["Shrine of Shadra"] = "Shrine of Shadra",
	["Shrine of Thaurissan"] = "Shrine of Thaurissan",
	["Shrine of the Black Flame"] = "Shrine of the Black Flame",
	["Shrine of the Blazing Crusader"] = "Shrine of the Blazing Crusader",
	["Shrine of the Dawn"] = "Shrine of the Dawn",
	["Shrine of the Deceiver"] = "Shrine of the Deceiver",
	["Shrine of the Dormant Flame"] = "Shrine of the Dormant Flame",
	["Shrine of the Eclipse"] = "Shrine of the Eclipse",
	["Shrine of the Elements"] = "Shrine of the Elements",
	["Shrine of the Fallen Warrior"] = "Shrine of the Fallen Warrior",
	["Shrine of the Five Khans"] = "Shrine of the Five Khans",
	["Shrine of the Merciless One"] = "Shrine of the Merciless One",
	["Shrine of the Ox"] = "Shrine of the Ox",
	["Shrine of the Silver Wind"] = "Shrine of the Silver Wind",
	["Shrine of the Soulflayer"] = "Shrine of the Soulflayer",
	["Shrine of the Storm"] = "Shrine of the Storm",
	["Shrine of the Storm Quests"] = "Shrine of the Storm Quests",
	["Shrine of the Truthguard"] = "Shrine of the Truthguard",
	["Shrine of Twin Serpents"] = "Shrine of Twin Serpents",
	["Shrine of Two Moons"] = "Shrine of Two Moons",
	["Shrine of Unending Light"] = "Shrine of Unending Light",
	["Shrine of Xibala"] = "Shrine of Xibala",
	["Shriveled Oasis"] = "Shriveled Oasis",
	["Shrouded Foothills"] = "Shrouded Foothills",
	["Shrouded Hollow"] = "Shrouded Hollow",
	["Shrouded Mire"] = "Shrouded Mire",
	["Shrouded Shore"] = "Shrouded Shore",
	["Shuddering Spires"] = "Shuddering Spires",
	["Shwayder's Tavern"] = "Shwayder's Tavern",
	["SI:7"] = "SI:7",
	["Siege of Boralus"] = "Siege of Boralus",
	["Siege of Boralus Bridge"] = "Siege of Boralus Bridge",
	["Siege of Niuzao Temple"] = "Siege of Niuzao Temple",
	["Siege of Orgrimmar"] = "Siege of Orgrimmar",
	["Siege of Suramar"] = "Siege of Suramar",
	["Siege Vise"] = "Siege Vise",
	["Siege Workshop"] = "Siege Workshop",
	["Sifreldar Village"] = "Sifreldar Village",
	["Sightless Hold"] = "Sightless Hold",
	["Sik'vess"] = "Sik'vess",
	["Sik'vess Lair"] = "Sik'vess Lair",
	["Silence Pond"] = "Silence Pond",
	["Silent Vigil"] = "Silent Vigil",
	["Silithus"] = "Silithus",
	["Silithus Alliance Gunship"] = "Silithus Alliance Gunship",
	["Silithus Brawl"] = "Silithus Brawl",
	["Silithus Horde Gunship"] = "Silithus Horde Gunship",
	["Silithus: The Wound"] = "Silithus: The Wound",
	["Silken Fields"] = "Silken Fields",
	["Silken Shore"] = "Silken Shore",
	["Silmyr Lake"] = "Silmyr Lake",
	["Silting Shore"] = "Silting Shore",
	["Silver Covenant Pavilion"] = "Silver Covenant Pavilion",
	["Silver Stream Mine"] = "Silver Stream Mine",
	["Silver Tide Hollow"] = "Silver Tide Hollow",
	["Silver Tide Trench"] = "Silver Tide Trench",
	["Silverbrook"] = "Silverbrook",
	["Silverbrook Hills"] = "Silverbrook Hills",
	["Silverlight Cavern"] = "Silverlight Cavern",
	["Silverline Lake"] = "Silverline Lake",
	["Silvermoon City"] = "Silvermoon City",
	["Silvermoon City Inn"] = "Silvermoon City Inn",
	["Silvermoon Finery"] = "Silvermoon Finery",
	["Silvermoon Jewelery"] = "Silvermoon Jewelery",
	["Silvermoon Registry"] = "Silvermoon Registry",
	["Silvermoon's Pride"] = "Silvermoon's Pride",
	["Silvermyst Isle"] = "Silvermyst Isle",
	["Silverpine Forest"] = "Silverpine Forest",
	["Silvershard Mines"] = "Silvershard Mines",
	["Silverwind Refuge"] = "Silverwind Refuge",
	["Silverwing Flag Room"] = "Silverwing Flag Room",
	["Silverwing Grove"] = "Silverwing Grove",
	["Silverwing Hold"] = "Silverwing Hold",
	["Silverwing Outpost"] = "Silverwing Outpost",
	["Simply Enchanting"] = "Simply Enchanting",
	["Sindragosa's Fall"] = "Sindragosa's Fall",
	["Sindweller's Rise"] = "Sindweller's Rise",
	["Sinfall"] = "Sinfall",
	["Sinfang Parlor"] = "Sinfang Parlor",
	["Singing Marshes"] = "Singing Marshes",
	["Singing Ridge"] = "Singing Ridge",
	["Sink n' Swim"] = "Sink n' Swim",
	["Sinner's Folly"] = "Sinner's Folly",
	["Sira'kess Front"] = "Sira'kess Front",
	["Siren's Vigil"] = "Siren's Vigil",
	["Sishir Canyon"] = "Sishir Canyon",
	["Sisters Sorcerous"] = "Sisters Sorcerous",
	["Sixfold Recluse"] = "Sixfold Recluse",
	["Skald"] = "Skald",
	["Sketh'lon Base Camp"] = "Sketh'lon Base Camp",
	["Sketh'lon Wreckage"] = "Sketh'lon Wreckage",
	["Skethyl Mountains"] = "Skethyl Mountains",
	["Skettis"] = "Skettis",
	["Skittering Hollow"] = "Skittering Hollow",
	["Skitterweb Tunnels"] = "Skitterweb Tunnels",
	["Skold-Ashil"] = "Skold-Ashil",
	["Skoldus Hall"] = "Skoldus Hall",
	["Skorn"] = "Skorn",
	["Skulk Rock"] = "Skulk Rock",
	["Skulking Row"] = "Skulking Row",
	["Skull Rock"] = "Skull Rock",
	["Skulltaker's Crater"] = "Skulltaker's Crater",
	["Sky Falls"] = "Sky Falls",
	["Skycallers' Spire"] = "Skycallers' Spire",
	["Skyfire Triage Camp"] = "Skyfire Triage Camp",
	["Skyguard Outpost"] = "Skyguard Outpost",
	["Skyhold"] = "Skyhold",
	["Skyhorn"] = "Skyhorn",
	["Skyline Ridge"] = "Skyline Ridge",
	["Skymesa Great Hall"] = "Skymesa Great Hall",
	["Skymesa Inn"] = "Skymesa Inn",
	["Skymesa Overlook"] = "Skymesa Overlook",
	["Skymesa Palisade"] = "Skymesa Palisade",
	["Skymesa Ritual Chamber"] = "Skymesa Ritual Chamber",
	["Skyrange"] = "Skyrange",
	["Skyreach"] = "Skyreach",
	["Skyrender Eyrie"] = "Skyrender Eyrie",
	["Skysea Ridge"] = "Skysea Ridge",
	["Skysong Lake"] = "Skysong Lake",
	["Skywall"] = "Skywall",
	["Slabchisel's Survey"] = "Slabchisel's Survey",
	["Slag Watch"] = "Slag Watch",
	["Slagmill Press"] = "Slagmill Press",
	["Slagworks"] = "Slagworks",
	["Slaughter Hollow"] = "Slaughter Hollow",
	["Slaughter Square"] = "Slaughter Square",
	["Slave District"] = "Slave District",
	["Slave Quarters"] = "Slave Quarters",
	["Slaver's Fist"] = "Slaver's Fist",
	["Slaver's Rise"] = "Slaver's Rise",
	["Sleeper's Barrow"] = "Sleeper's Barrow",
	["Sleeper's Lair"] = "Sleeper's Lair",
	["Sleeping Gorge"] = "Sleeping Gorge",
	["Sleeping Hollow"] = "Sleeping Hollow",
	["Slicky Stream"] = "Slicky Stream",
	["Slingtail Pits"] = "Slingtail Pits",
	["Slither Rock"] = "Slither Rock",
	["Slitherblade Shore"] = "Slitherblade Shore",
	["Slithering Cove"] = "Slithering Cove",
	["Slithering Gulch"] = "Slithering Gulch",
	["Slithering Plains"] = "Slithering Plains",
	["Sludgeguard Tower"] = "Sludgeguard Tower",
	["Small Battleground A"] = "Small Battleground A",
	["Small Battleground B"] = "Small Battleground B",
	["Small Battleground D"] = "Small Battleground D",
	["Smolderhide Thicket"] = "Smolderhide Thicket",
	["Smuggler's Bay"] = "Smuggler's Bay",
	["Smuggler's Den"] = "Smuggler's Den",
	["Smuggler's Hideaway"] = "Smuggler's Hideaway",
	["Smuggler's Run"] = "Smuggler's Run",
	["Smuggler's Scar"] = "Smuggler's Scar",
	["Snake Cave"] = "Snake Cave",
	["Snapclaw Shore"] = "Snapclaw Shore",
	["Snapdragon Dire Alpha"] = "Snapdragon Dire Alpha",
	["Snarlfang Den"] = "Snarlfang Den",
	["Snarlpaw Den"] = "Snarlpaw Den",
	["Snarlpaw Ledge"] = "Snarlpaw Ledge",
	["Snicklefritz Mine"] = "Snicklefritz Mine",
	["Snowblind Cliffs"] = "Snowblind Cliffs",
	["Snowblind Hills"] = "Snowblind Hills",
	["Snowblind Mesa"] = "Snowblind Mesa",
	["Snowblind Terrace"] = "Snowblind Terrace",
	["Snowblossom Village"] = "Snowblossom Village",
	["Snowden Chalet"] = "Snowden Chalet",
	["Snowdrift Dojo"] = "Snowdrift Dojo",
	["Snowdrift Plains"] = "Snowdrift Plains",
	["Snowfall Alcove"] = "Snowfall Alcove",
	["Snowfall Glade"] = "Snowfall Glade",
	["Snowfall Graveyard"] = "Snowfall Graveyard",
	["Snowmane Village"] = "Snowmane Village",
	["Snowmelt Foothills"] = "Snowmelt Foothills",
	["Snowpelt Den"] = "Snowpelt Den",
	["Snug Harbor Inn"] = "Snug Harbor Inn",
	["Socrethar's Rise"] = "Socrethar's Rise",
	["Socrethar's Seat"] = "Socrethar's Seat",
	["Sodden Depths"] = "Sodden Depths",
	["Sofera's Naze"] = "Sofera's Naze",
	["Soggy's Gamble"] = "Soggy's Gamble",
	["Solace Glade"] = "Solace Glade",
	["Soldier's Torment"] = "Soldier's Torment",
	["Solliden Farmstead"] = "Solliden Farmstead",
	["Solstice Village"] = "Solstice Village",
	["Something Rumbling This Way Comes"] = "Something Rumbling This Way Comes",
	["Sootstained Mines"] = "Sootstained Mines",
	["Sootstained Mining Camp"] = "Sootstained Mining Camp",
	["Sophia's Aria"] = "Sophia's Aria",
	["Sophia's Overture"] = "Sophia's Overture",
	["Sophia's Sonata"] = "Sophia's Sonata",
	["Sorlof's Strand"] = "Sorlof's Strand",
	["Sorrow Hill"] = "Sorrow Hill",
	["Sorrow Hill Crypt"] = "Sorrow Hill Crypt",
	["Sorrow Wing Point"] = "Sorrow Wing Point",
	["Sorrowmurk"] = "Sorrowmurk",
	["Soryn's Meadow"] = "Soryn's Meadow",
	["Sotnar's Rest"] = "Sotnar's Rest",
	["Soul Engine"] = "Soul Engine",
	["Soul Engine: Apocalypse"] = "Soul Engine: Apocalypse",
	["Soul Ruin"] = "Soul Ruin",
	["Soulgrinder's Barrow"] = "Soulgrinder's Barrow",
	["Soulstained Fields"] = "Soulstained Fields",
	["Sourback Hideout"] = "Sourback Hideout",
	["Sourwine Estate"] = "Sourwine Estate",
	["South Common Hall"] = "South Common Hall",
	["South Gate Outpost"] = "South Gate Outpost",
	["South Gate Pass"] = "South Gate Pass",
	["South Pavilion"] = "South Pavilion",
	["South Point Station"] = "South Point Station",
	["South Seas"] = "South Seas",
	["South Spire"] = "South Spire",
	["South Tide's Run"] = "South Tide's Run",
	["Southbreak Shore"] = "Southbreak Shore",
	["Southern Barrens"] = "Southern Barrens",
	["Southern Drift"] = "Southern Drift",
	["Southern Gold Road"] = "Southern Gold Road",
	["Southern Rampart"] = "Southern Rampart",
	["Southern Rocketway"] = "Southern Rocketway",
	["Southern Rocketway Terminus"] = "Southern Rocketway Terminus",
	["Southern Savage Coast"] = "Southern Savage Coast",
	["Southfury River"] = "Southfury River",
	["Southfury Watershed"] = "Southfury Watershed",
	["Southmaul Tower"] = "Southmaul Tower",
	["Southmoon Ruins"] = "Southmoon Ruins",
	["Southpoint Gate"] = "Southpoint Gate",
	["Southpoint Tower"] = "Southpoint Tower",
	["Southport"] = "Southport",
	["Southport Worksite"] = "Southport Worksite",
	["Southridge Beach"] = "Southridge Beach",
	["Southsea Holdfast"] = "Southsea Holdfast",
	["Southshore"] = "Southshore",
	["Southshore Town Hall"] = "Southshore Town Hall",
	["Southshore vs. Tarren Mill"] = "Southshore vs. Tarren Mill",
	["Southwind Cleft"] = "Southwind Cleft",
	["Southwind Cliffs"] = "Southwind Cliffs",
	["Southwind Inlet"] = "Southwind Inlet",
	["Southwind Shore"] = "Southwind Shore",
	["Southwind Station"] = "Southwind Station",
	["Southwind Village"] = "Southwind Village",
	["Sparkrocket Outpost"] = "Sparkrocket Outpost",
	["Sparksocket Minefield"] = "Sparksocket Minefield",
	["Sparktouched Haven"] = "Sparktouched Haven",
	["Sparkweaver Point"] = "Sparkweaver Point",
	["Sparring Hall"] = "Sparring Hall",
	["SpawnedMO: Forsaken Ship Large"] = "SpawnedMO: Forsaken Ship Large",
	["SpawnedMO: Night Elf Warship"] = "SpawnedMO: Night Elf Warship",
	["Spawning Pit"] = "Spawning Pit",
	["Speakers' Step"] = "Speakers' Step",
	["Spearborn Encampment"] = "Spearborn Encampment",
	["Spearhead"] = "Spearhead",
	["Spears of Azshara"] = "Spears of Azshara",
	["Speedbarge Bar"] = "Speedbarge Bar",
	["SpellPref"] = "SpellPref",
	["Spellsails"] = "Spellsails",
	["Spider's Watch"] = "Spider's Watch",
	["Spine of the Cursed"] = "Spine of the Cursed",
	["Spinebreaker Mountains"] = "Spinebreaker Mountains",
	["Spinebreaker Pass"] = "Spinebreaker Pass",
	["Spinebreaker Post"] = "Spinebreaker Post",
	["Spinebreaker Ridge"] = "Spinebreaker Ridge",
	["Spineling Crevice"] = "Spineling Crevice",
	["Spiral of Thorns"] = "Spiral of Thorns",
	["Spire of Blood"] = "Spire of Blood",
	["Spire of Decay"] = "Spire of Decay",
	["Spire of Light"] = "Spire of Light",
	["Spire of Pain"] = "Spire of Pain",
	["Spire of Solitude"] = "Spire of Solitude",
	["Spire of the Guardian"] = "Spire of the Guardian",
	["Spire of the Unseen Guests"] = "Spire of the Unseen Guests",
	["Spire of the Unseen Servants"] = "Spire of the Unseen Servants",
	["Spire of War"] = "Spire of War",
	["Spire Throne"] = "Spire Throne",
	["Spires of Arak"] = "Spires of Arak",
	["Spires of Ascension"] = "Spires of Ascension",
	["Spirit Den"] = "Spirit Den",
	["Spirit Fields"] = "Spirit Fields",
	["Spirit Glen"] = "Spirit Glen",
	["Spirit Grotto"] = "Spirit Grotto",
	["Spirit Hunt"] = "Spirit Hunt",
	["Spirit Lodge"] = "Spirit Lodge",
	["Spirit Rise"] = "Spirit Rise",
	["Spirit Rock"] = "Spirit Rock",
	["Spirit Whisper Hollow"] = "Spirit Whisper Hollow",
	["Spirit Woods"] = "Spirit Woods",
	["Spirits Be With You"] = "Spirits Be With You",
	["Spiritsong River"] = "Spiritsong River",
	["Spiritsong's Rest"] = "Spiritsong's Rest",
	["Spiritwatch Point"] = "Spiritwatch Point",
	["Spiritwind Summit"] = "Spiritwind Summit",
	["Spiteleaf Burrow"] = "Spiteleaf Burrow",
	["Spiteleaf Thicket"] = "Spiteleaf Thicket",
	["Spitescale Cavern"] = "Spitescale Cavern",
	["Spitescale Cove"] = "Spitescale Cove",
	["Splinterbark Roost"] = "Splinterbark Roost",
	["Splinterspear Junction"] = "Splinterspear Junction",
	["Splintertree"] = "Splintertree",
	["Splintertree Mine"] = "Splintertree Mine",
	["Splintertree Post"] = "Splintertree Post",
	["Splithoof Crag"] = "Splithoof Crag",
	["Splithoof Heights"] = "Splithoof Heights",
	["Splithoof Hold"] = "Splithoof Hold",
	["Spoils of Sin"] = "Spoils of Sin",
	["Sporeggar"] = "Sporeggar",
	["Sporemist Shallows"] = "Sporemist Shallows",
	["Sporewind Lake"] = "Sporewind Lake",
	["Springtail Crag"] = "Springtail Crag",
	["Springtail Warren"] = "Springtail Warren",
	["Sprocket's Garage"] = "Sprocket's Garage",
	["Spruce Point Post"] = "Spruce Point Post",
	["Sprucewood"] = "Sprucewood",
	["Sra'thik Incursion"] = "Sra'thik Incursion",
	["Sra'thik Swarmdock"] = "Sra'thik Swarmdock",
	["Sra'vess"] = "Sra'vess",
	["Sra'vess Rootchamber"] = "Sra'vess Rootchamber",
	["Sri-La Inn"] = "Sri-La Inn",
	["Sri-La Village"] = "Sri-La Village",
	["Stables"] = "Stables",
	["Stagalbog"] = "Stagalbog",
	["Stagalbog Cave"] = "Stagalbog Cave",
	["Stagecoach Crash Site"] = "Stagecoach Crash Site",
	["Stagheart Wash"] = "Stagheart Wash",
	["Staghelm Point"] = "Staghelm Point",
	["Staging Balcony"] = "Staging Balcony",
	["Stairway to Honor"] = "Stairway to Honor",
	["Stalker's Lodge"] = "Stalker's Lodge",
	["Stanikos's Hollow"] = "Stanikos's Hollow",
	["Star Lake Amphitheater"] = "Star Lake Amphitheater",
	["Starbreeze Village"] = "Starbreeze Village",
	["Starcaller Retreat"] = "Starcaller Retreat",
	["Stardust Spire"] = "Stardust Spire",
	["Starfall Outpost"] = "Starfall Outpost",
	["Starfall Village"] = "Starfall Village",
	["Starlit Overlook"] = "Starlit Overlook",
	["Stars' Rest"] = "Stars' Rest",
	["Starsong Refuge"] = "Starsong Refuge",
	["Starstalker's Point"] = "Starstalker's Point",
	["Starweaver's Sanctum"] = "Starweaver's Sanctum",
	["Stasis Block: Maximus"] = "Stasis Block: Maximus",
	["Stasis Block: Trion"] = "Stasis Block: Trion",
	["Stasis Core"] = "Stasis Core",
	["Stay of Execution"] = "Stay of Execution",
	["Steam Springs"] = "Steam Springs",
	["Steamburst Cauldron"] = "Steamburst Cauldron",
	["Steamscar Rise"] = "Steamscar Rise",
	["Steamwheedle Port"] = "Steamwheedle Port",
	["Steel Gate"] = "Steel Gate",
	["Steelclaw Vale"] = "Steelclaw Vale",
	["Steelgrill's Depot"] = "Steelgrill's Depot",
	["Steeljaw's Caravan"] = "Steeljaw's Caravan",
	["Steelspark Station"] = "Steelspark Station",
	["Stendel's Pond"] = "Stendel's Pond",
	["Steward's Rest"] = "Steward's Rest",
	["Stillglade"] = "Stillglade",
	["Stillpine Hold"] = "Stillpine Hold",
	["Stillwater Pond"] = "Stillwater Pond",
	["Stillwhisper Pond"] = "Stillwhisper Pond",
	["Stirring in the Shadows"] = "Stirring in the Shadows",
	["Stoktron Brewery"] = "Stoktron Brewery",
	["Stoktron Brewery Copy"] = "Stoktron Brewery Copy",
	["Stonard"] = "Stonard",
	["Stone Cairn Lake"] = "Stone Cairn Lake",
	["Stone Mug Tavern"] = "Stone Mug Tavern",
	["Stone Sentinel's Overlook"] = "Stone Sentinel's Overlook",
	["Stonebreaker Camp"] = "Stonebreaker Camp",
	["Stonebreaker Hold"] = "Stonebreaker Hold",
	["Stonebull Lake"] = "Stonebull Lake",
	["Stonecrag Gorge"] = "Stonecrag Gorge",
	["Stonecrown Cavern"] = "Stonecrown Cavern",
	["Stonedark Grotto"] = "Stonedark Grotto",
	["Stonefang Outpost"] = "Stonefang Outpost",
	["Stonefang Ridge"] = "Stonefang Ridge",
	["Stonefin Shoals"] = "Stonefin Shoals",
	["Stonefist Watch"] = "Stonefist Watch",
	["Stonefury Cliffs"] = "Stonefury Cliffs",
	["Stonehearth"] = "Stonehearth",
	["Stonehearth Bunker"] = "Stonehearth Bunker",
	["Stonehearth Graveyard"] = "Stonehearth Graveyard",
	["Stonehearth Outpost"] = "Stonehearth Outpost",
	["Stonehoof Watch"] = "Stonehoof Watch",
	["Stonemaul"] = "Stonemaul",
	["Stonemaul Arena"] = "Stonemaul Arena",
	["Stonemaul Hold"] = "Stonemaul Hold",
	["Stonemaul Ruins"] = "Stonemaul Ruins",
	["Stonemaul Slave Camp"] = "Stonemaul Slave Camp",
	["Stoneplow"] = "Stoneplow",
	["Stoneplow Fields"] = "Stoneplow Fields",
	["Stonescar Gorge"] = "Stonescar Gorge",
	["Stonesplinter Valley"] = "Stonesplinter Valley",
	["Stonetalon Bomb"] = "Stonetalon Bomb",
	["Stonetalon Mountains"] = "Stonetalon Mountains",
	["Stonetalon Pass"] = "Stonetalon Pass",
	["Stonetalon Peak"] = "Stonetalon Peak",
	["Stonetusk Watch"] = "Stonetusk Watch",
	["Stonevigil Overlook"] = "Stonevigil Overlook",
	["Stonewall Canyon"] = "Stonewall Canyon",
	["Stonewall Lift"] = "Stonewall Lift",
	["Stoneward Prison"] = "Stoneward Prison",
	["Stonewarden Quarry"] = "Stonewarden Quarry",
	["Stonewatch"] = "Stonewatch",
	["Stonewatch Falls"] = "Stonewatch Falls",
	["Stonewatch Keep"] = "Stonewatch Keep",
	["Stonewatch Tower"] = "Stonewatch Tower",
	["Stonewrought Dam"] = "Stonewrought Dam",
	["Stonewrought Pass"] = "Stonewrought Pass",
	["Stony Highlands"] = "Stony Highlands",
	["Storehouse"] = "Storehouse",
	["Storm Cliffs"] = "Storm Cliffs",
	["Stormcrest"] = "Stormcrest",
	["Stormfeather Outpost"] = "Stormfeather Outpost",
	["Stormglen Village"] = "Stormglen Village",
	["Stormheim"] = "Stormheim",
	["Stormpike Graveyard"] = "Stormpike Graveyard",
	["Stormrage Barrow Dens"] = "Stormrage Barrow Dens",
	["Storm's End"] = "Storm's End",
	["Storm's Eye Overlook"] = "Storm's Eye Overlook",
	["Storm's Fury Wreckage"] = "Storm's Fury Wreckage",
	["Storm's Reach"] = "Storm's Reach",
	["Stormscale Cavern"] = "Stormscale Cavern",
	["Stormsea Landing"] = "Stormsea Landing",
	["Stormshield"] = "Stormshield",
	["Stormshield Barracks"] = "Stormshield Barracks",
	["Stormshield Base"] = "Stormshield Base",
	["Stormshield Excavation"] = "Stormshield Excavation",
	["Stormshield Keep"] = "Stormshield Keep",
	["Stormshield Prison"] = "Stormshield Prison",
	["Stormshield Stronghold"] = "Stormshield Stronghold",
	["Stormsong Monastery"] = "Stormsong Monastery",
	["Stormsong Valley"] = "Stormsong Valley",
	["Stormstout Brewery"] = "Stormstout Brewery",
	["Stormstout Brewery Interior"] = "Stormstout Brewery Interior",
	["Stormstout Brewhall"] = "Stormstout Brewhall",
	["Stormstout Inn"] = "Stormstout Inn",
	["Stormtorn Foothills"] = "Stormtorn Foothills",
	["Stormwatch Peak"] = "Stormwatch Peak",
	["Stormwind"] = "Stormwind",
	["Stormwind City"] = "Stormwind City",
	["Stormwind City Cemetery"] = "Stormwind City Cemetery",
	["Stormwind City Outskirts"] = "Stormwind City Outskirts",
	["Stormwind Embassy"] = "Stormwind Embassy",
	["Stormwind Escape from Stockades"] = "Stormwind Escape from Stockades",
	["Stormwind Gate"] = "Stormwind Gate",
	["Stormwind Gunship Pandaria Start Area"] = "Stormwind Gunship Pandaria Start Area",
	["Stormwind Harbor"] = "Stormwind Harbor",
	["Stormwind Keep"] = "Stormwind Keep",
	["Stormwind Lake"] = "Stormwind Lake",
	["Stormwind Mountains"] = "Stormwind Mountains",
	["Stormwind Stockade"] = "Stormwind Stockade",
	["Stormwind Vault"] = "Stormwind Vault",
	["Stormwing Rookery"] = "Stormwing Rookery",
	["Stoutlager Inn"] = "Stoutlager Inn",
	["Strahnbrad"] = "Strahnbrad",
	["Straits of Hydrannon"] = "Straits of Hydrannon",
	["Strand of the Ancients"] = "Strand of the Ancients",
	["Strand's End"] = "Strand's End",
	["Stranglethorn Vale"] = "Stranglethorn Vale",
	["Stratholme"] = "Stratholme",
	["Stratholme - Main Gate"] = "Stratholme - Main Gate",
	["Stratholme - Service Entrance"] = "Stratholme - Service Entrance",
	["Stratholme Entrance"] = "Stratholme Entrance",
	["Stratholme Pet Dungeon"] = "Stratholme Pet Dungeon",
	["Stratholme Service Entrance"] = "Stratholme Service Entrance",
	["Strike Back!"] = "Strike Back!",
	["Stromgarde Keep"] = "Stromgarde Keep",
	["Strongarm Airstrip"] = "Strongarm Airstrip",
	["Stygana Cavern"] = "Stygana Cavern",
	["Stygian Abyss"] = "Stygian Abyss",
	["Stygian Bounty"] = "Stygian Bounty",
	["Sub zone"] = "Sub zone",
	["Su'esh's Lair"] = "Su'esh's Lair",
	["Sulfur Basin"] = "Sulfur Basin",
	["Sulfuron Keep"] = "Sulfuron Keep",
	["Sulfuron Keep Courtyard"] = "Sulfuron Keep Courtyard",
	["Sulfuron Span"] = "Sulfuron Span",
	["Sulfuron Spire"] = "Sulfuron Spire",
	["Sulfurscale Cave"] = "Sulfurscale Cave",
	["Sullah's Sideshow"] = "Sullah's Sideshow",
	["Summer's Rest"] = "Summer's Rest",
	["Summitcrest Basecamp"] = "Summitcrest Basecamp",
	["Summoned Steward"] = "Summoned Steward",
	["Summoners' Tomb"] = "Summoners' Tomb",
	["Summoning Platform"] = "Summoning Platform",
	["Summons from the Depths"] = "Summons from the Depths",
	["Sun Rock Retreat"] = "Sun Rock Retreat",
	["Sunblossom Hill"] = "Sunblossom Hill",
	["Suncrown Village"] = "Suncrown Village",
	["Sundered Shoals"] = "Sundered Shoals",
	["Sundered Temple"] = "Sundered Temple",
	["Sundersong Glade"] = "Sundersong Glade",
	["Sundown Marsh"] = "Sundown Marsh",
	["Sunfire Point"] = "Sunfire Point",
	["Sunfrost Glade"] = "Sunfrost Glade",
	["Sunfury Hold"] = "Sunfury Hold",
	["Sunfury Spire"] = "Sunfury Spire",
	["Sungraze Peak"] = "Sungraze Peak",
	["Sunken Coast"] = "Sunken Coast",
	["Sunken Dig Site"] = "Sunken Dig Site",
	["Sunken Path"] = "Sunken Path",
	["Sunken Shallows"] = "Sunken Shallows",
	["Sunken Stair"] = "Sunken Stair",
	["Sunken Temple"] = "Sunken Temple",
	["Sunken Temple Entrance"] = "Sunken Temple Entrance",
	["SunkenTemple"] = "SunkenTemple",
	["Sunreaver Pavilion"] = "Sunreaver Pavilion",
	["Sunreaver's Command"] = "Sunreaver's Command",
	["Sunreaver's Sanctuary"] = "Sunreaver's Sanctuary",
	["Sun's Reach Armory"] = "Sun's Reach Armory",
	["Sun's Reach Harbor"] = "Sun's Reach Harbor",
	["Sun's Reach Sanctum"] = "Sun's Reach Sanctum",
	["Sunsail Anchorage"] = "Sunsail Anchorage",
	["Sunset Park"] = "Sunset Park",
	["Sunsoaked Meadow"] = "Sunsoaked Meadow",
	["Sunsong Ranch"] = "Sunsong Ranch",
	["Sunspring Hold"] = "Sunspring Hold",
	["Sunspring Post"] = "Sunspring Post",
	["Sunstone Terrace"] = "Sunstone Terrace",
	["Sunstrider Isle"] = "Sunstrider Isle",
	["Sunsworn Camp"] = "Sunsworn Camp",
	["Sunveil Excursion"] = "Sunveil Excursion",
	["Sunwatcher's Ridge"] = "Sunwatcher's Ridge",
	["Sunwell Plateau"] = "Sunwell Plateau",
	["Supply Caravan"] = "Supply Caravan",
	["Suramar"] = "Suramar",
	["Suramar Bay"] = "Suramar Bay",
	["Suramar City"] = "Suramar City",
	["Suramar Underbelly"] = "Suramar Underbelly",
	["Suramar Underground"] = "Suramar Underground",
	["Surge Needle"] = "Surge Needle",
	["Surveyors' Outpost"] = "Surveyors' Outpost",
	["Surwich"] = "Surwich",
	["Svarnos' Cell"] = "Svarnos' Cell",
	["Swamp Island"] = "Swamp Island",
	["Swamp of Sorrows"] = "Swamp of Sorrows",
	["Swamplight Cave"] = "Swamplight Cave",
	["Swamplight Manor"] = "Swamplight Manor",
	["Swamplight Trail"] = "Swamplight Trail",
	["Swamprat Post"] = "Swamprat Post",
	["Swampy Cave"] = "Swampy Cave",
	["Sweete's Landing"] = "Sweete's Landing",
	["Swiftgear Station"] = "Swiftgear Station",
	["Swiftwind Post"] = "Swiftwind Post",
	["Swindle Street"] = "Swindle Street",
	["Swindlegrin's Dig"] = "Swindlegrin's Dig",
	["Sword of Dawn"] = "Sword of Dawn",
	["Sword's Rest"] = "Sword's Rest",
	["Sylvan Falls"] = "Sylvan Falls",
	["Sylvan Precipice"] = "Sylvan Precipice",
	["Sylvan Vale"] = "Sylvan Vale",
	["Sylvanaar"] = "Sylvanaar",
	["Ta Repository"] = "Ta Repository",
	["Tabetha's Farm"] = "Tabetha's Farm",
	["Taelan's Tower"] = "Taelan's Tower",
	["Tahonda Ruins"] = "Tahonda Ruins",
	["Tahret Grounds"] = "Tahret Grounds",
	["Tailoring Emporium"] = "Tailoring Emporium",
	["Tailthrasher Basin"] = "Tailthrasher Basin",
	["Tainted Burrow"] = "Tainted Burrow",
	["Takulu Bridge"] = "Takulu Bridge",
	["Talador"] = "Talador",
	["Tal'aman"] = "Tal'aman",
	["Talanji's Rebuke"] = "Talanji's Rebuke",
	["Tal'doren"] = "Tal'doren",
	["Tal'farrak"] = "Tal'farrak",
	["Tal'gurub"] = "Tal'gurub",
	["Talismanic Textiles"] = "Talismanic Textiles",
	["Tallmug's Camp"] = "Tallmug's Camp",
	["Talon Altar"] = "Talon Altar",
	["Talon Stand"] = "Talon Stand",
	["Talon Watch"] = "Talon Watch",
	["Talonbranch Glade"] = "Talonbranch Glade",
	["Talonbranch Glade "] = "Talonbranch Glade ",
	["Talondeep Pass"] = "Talondeep Pass",
	["Talondeep Vale"] = "Talondeep Vale",
	["Talonrest"] = "Talonrest",
	["Talramas"] = "Talramas",
	["Talrendis Point"] = "Talrendis Point",
	["Tanaan Channel"] = "Tanaan Channel",
	["Tanaan Coast"] = "Tanaan Coast",
	["Tanaan Invasion"] = "Tanaan Invasion",
	["Tanaan Jungle"] = "Tanaan Jungle",
	["Tanaan Jungle Flight Bounds"] = "Tanaan Jungle Flight Bounds",
	["Tanaan Jungle Intro"] = "Tanaan Jungle Intro",
	["Tanaan Valley"] = "Tanaan Valley",
	["Tanaris"] = "Tanaris",
	["Tangled Cleft"] = "Tangled Cleft",
	["Tangleheart"] = "Tangleheart",
	["Tanks for Everything"] = "Tanks for Everything",
	["Tanner Camp"] = "Tanner Camp",
	["Tar Pits"] = "Tar Pits",
	["Tarren Mill"] = "Tarren Mill",
	["Tar'thog Bridge"] = "Tar'thog Bridge",
	["Taste of Zandalar"] = "Taste of Zandalar",
	["Tasters' Arena"] = "Tasters' Arena",
	["Taunka'le Village"] = "Taunka'le Village",
	["Tavern in the Mists"] = "Tavern in the Mists",
	["Tazavesh"] = "Tazavesh",
	["Tazavesh Customs Enforcement"] = "Tazavesh Customs Enforcement",
	["Tazavesh Outdoor"] = "Tazavesh Outdoor",
	["Tazavesh, the Veiled Market"] = "Tazavesh, the Veiled Market",
	["Tazz'Alaor"] = "Tazz'Alaor",
	["Tazz'Alor"] = "Tazz'Alor",
	["Tear Down This Wall!"] = "Tear Down This Wall!",
	["Teegan's Expedition"] = "Teegan's Expedition",
	["Teeming Burrow"] = "Teeming Burrow",
	["Telaar"] = "Telaar",
	["Telaari Basin"] = "Telaari Basin",
	["Telaari Station"] = "Telaari Station",
	["Telaari Tankworks"] = "Telaari Tankworks",
	["Telaari Worksite"] = "Telaari Worksite",
	["Tel'Andu Barrow Den"] = "Tel'Andu Barrow Den",
	["Tel'anor"] = "Tel'anor",
	["Tel'athion's Camp"] = "Tel'athion's Camp",
	["Teldrassil"] = "Teldrassil",
	["Teller Farm"] = "Teller Farm",
	["Telmor"] = "Telmor",
	["Telogrus Rift"] = "Telogrus Rift",
	["Teloth'aran"] = "Teloth'aran",
	["Telredor"] = "Telredor",
	["Teluuna Observatory"] = "Teluuna Observatory",
	["Tempest Bridge"] = "Tempest Bridge",
	["Tempest Cliffs"] = "Tempest Cliffs",
	["Tempest Keep"] = "Tempest Keep",
	["Tempest Keep - The Arcatraz Entrance"] = "Tempest Keep - The Arcatraz Entrance",
	["Tempest Keep - The Botanica Entrance"] = "Tempest Keep - The Botanica Entrance",
	["Tempest Keep - The Mechanar Entrance"] = "Tempest Keep - The Mechanar Entrance",
	["Tempest Keep: The Arcatraz"] = "Tempest Keep: The Arcatraz",
	["Tempest Keep: The Botanica"] = "Tempest Keep: The Botanica",
	["Tempest Keep: The Mechanar"] = "Tempest Keep: The Mechanar",
	["Tempest's Edge"] = "Tempest's Edge",
	["Tempest's Reach"] = "Tempest's Reach",
	["Tempest's Roar"] = "Tempest's Roar",
	["Temple"] = "Temple",
	["Temple City of En'kilah"] = "Temple City of En'kilah",
	["Temple Hall"] = "Temple Hall",
	["Temple Incursion"] = "Temple Incursion",
	["Temple of a Thousand Lights"] = "Temple of a Thousand Lights",
	["Temple of Ahn'Qiraj"] = "Temple of Ahn'Qiraj",
	["Temple of Akunda"] = "Temple of Akunda",
	["Temple of Anguish"] = "Temple of Anguish",
	["Temple of Arkkoran"] = "Temple of Arkkoran",
	["Temple of Bethekk"] = "Temple of Bethekk",
	["Temple of Courage"] = "Temple of Courage",
	["Temple of Earth"] = "Temple of Earth",
	["Temple of Elune"] = "Temple of Elune",
	["Temple of Fal'adora"] = "Temple of Fal'adora",
	["Temple of Five Dawns"] = "Temple of Five Dawns",
	["Temple of Humility"] = "Temple of Humility",
	["Temple of Invention"] = "Temple of Invention",
	["Temple of Karabor"] = "Temple of Karabor",
	["Temple of Kimbul"] = "Temple of Kimbul",
	["Temple of Kotmogu"] = "Temple of Kotmogu",
	["Temple of Life"] = "Temple of Life",
	["Temple of Order"] = "Temple of Order",
	["Temple of Purity"] = "Temple of Purity",
	["Temple of Rezan"] = "Temple of Rezan",
	["Temple of Sethraliss"] = "Temple of Sethraliss",
	["Temple of Sha'naar"] = "Temple of Sha'naar",
	["Temple of Storms"] = "Temple of Storms",
	["Temple of Telhamat"] = "Temple of Telhamat",
	["Temple of the Forgotten"] = "Temple of the Forgotten",
	["Temple of the Jade Serpent"] = "Temple of the Jade Serpent",
	["Temple of the Moon"] = "Temple of the Moon",
	["Temple of the Prophet"] = "Temple of the Prophet",
	["Temple of the Red Crane"] = "Temple of the Red Crane",
	["Temple of the White Tiger"] = "Temple of the White Tiger",
	["Temple of the White Tiger Flight Bounds"] = "Temple of the White Tiger Flight Bounds",
	["Temple of Tyranny"] = "Temple of Tyranny",
	["Temple of Uldum"] = "Temple of Uldum",
	["Temple of Winter"] = "Temple of Winter",
	["Temple of Wisdom"] = "Temple of Wisdom",
	["Temple of Zin-Malor"] = "Temple of Zin-Malor",
	["Temple Summit"] = "Temple Summit",
	["Tendril of Corruption"] = "Tendril of Corruption",
	["Tenebrous Cavern"] = "Tenebrous Cavern",
	["Tenebrous Vault"] = "Tenebrous Vault",
	["Terminus"] = "Terminus",
	["Terokkar Forest"] = "Terokkar Forest",
	["Terokkar Pass"] = "Terokkar Pass",
	["Terokkar Refuge"] = "Terokkar Refuge",
	["Terokkar Wayshrine"] = "Terokkar Wayshrine",
	["Terokk's Rest"] = "Terokk's Rest",
	["Teron'gor's Confrontation"] = "Teron'gor's Confrontation",
	["Terrace of Clear Thought"] = "Terrace of Clear Thought",
	["Terrace of Crafters"] = "Terrace of Crafters",
	["Terrace of Dawn"] = "Terrace of Dawn",
	["Terrace of Desolation"] = "Terrace of Desolation",
	["Terrace of Endless Spring"] = "Terrace of Endless Spring",
	["Terrace of Enlightenment"] = "Terrace of Enlightenment",
	["Terrace of Gurthan"] = "Terrace of Gurthan",
	["Terrace of Inner Grace"] = "Terrace of Inner Grace",
	["Terrace of Light"] = "Terrace of Light",
	["Terrace of Order"] = "Terrace of Order",
	["Terrace of Reanimation"] = "Terrace of Reanimation",
	["Terrace of Repose"] = "Terrace of Repose",
	["Terrace of Sorrows"] = "Terrace of Sorrows",
	["Terrace of Ten Thunders"] = "Terrace of Ten Thunders",
	["Terrace of the Augurs"] = "Terrace of the Augurs",
	["Terrace of the Chosen"] = "Terrace of the Chosen",
	["Terrace of the Collectors"] = "Terrace of the Collectors",
	["Terrace of the Devoted"] = "Terrace of the Devoted",
	["Terrace of the Fang"] = "Terrace of the Fang",
	["Terrace of the Makers"] = "Terrace of the Makers",
	["Terrace of the Moon"] = "Terrace of the Moon",
	["Terrace of the Speakers"] = "Terrace of the Speakers",
	["Terrace of the Stars"] = "Terrace of the Stars",
	["Terrace of the Sun"] = "Terrace of the Sun",
	["Terrace of the Tiger"] = "Terrace of the Tiger",
	["Terrace of the Twin Dragons"] = "Terrace of the Twin Dragons",
	["Terrace of the Watchers"] = "Terrace of the Watchers",
	["Terrace of Torcali"] = "Terrace of Torcali",
	["Terrace of War"] = "Terrace of War",
	["Terror Run"] = "Terror Run",
	["Terror Wing Path"] = "Terror Wing Path",
	["Terrordale"] = "Terrordale",
	["Terror's Cave"] = "Terror's Cave",
	["Terrorweb Tunnel"] = "Terrorweb Tunnel",
	["Tethris Aran"] = "Tethris Aran",
	["Thaelin's Hideout"] = "Thaelin's Hideout",
	["Thaelin's Workshop"] = "Thaelin's Workshop",
	["Thalanaar"] = "Thalanaar",
	["Thalassian Base Camp"] = "Thalassian Base Camp",
	["Thalassian Pass"] = "Thalassian Pass",
	["Thalassian Range"] = "Thalassian Range",
	["Thal'darah Grove"] = "Thal'darah Grove",
	["Thal'darah Overlook"] = "Thal'darah Overlook",
	["Thal'dranath"] = "Thal'dranath",
	["Thandol Span"] = "Thandol Span",
	["Thargad's Camp"] = "Thargad's Camp",
	["Thas'talah"] = "Thas'talah",
	["Thas'talah Basin"] = "Thas'talah Basin",
	["That's A Moray"] = "That's A Moray",
	["The Abandoned Purlieu"] = "The Abandoned Purlieu",
	["The Abandoned Reach"] = "The Abandoned Reach",
	["The Abyssal Approach"] = "The Abyssal Approach",
	["The Abyssal Maw"] = "The Abyssal Maw",
	["The Abyssal Melody"] = "The Abyssal Melody",
	["The Abyssal Shelf"] = "The Abyssal Shelf",
	["The Abyssal Throne"] = "The Abyssal Throne",
	["The Adamant Vaults"] = "The Adamant Vaults",
	["The Admiral's Den"] = "The Admiral's Den",
	["The Aetherium"] = "The Aetherium",
	["The Agronomical Apothecary"] = "The Agronomical Apothecary",
	["The Alchemist's Lair"] = "The Alchemist's Lair",
	["The Aldrachi Warblades"] = "The Aldrachi Warblades",
	["The Alliance Valiants' Ring"] = "The Alliance Valiants' Ring",
	["The Altar of Damnation"] = "The Altar of Damnation",
	["The Altar of Shadows"] = "The Altar of Shadows",
	["The Altar of Zul"] = "The Altar of Zul",
	["The Amani Exchange"] = "The Amani Exchange",
	["The Amber Hibernal"] = "The Amber Hibernal",
	["The Amber Vault"] = "The Amber Vault",
	["The Amber Waves"] = "The Amber Waves",
	["The Amber Womb"] = "The Amber Womb",
	["The Ancient Grove"] = "The Ancient Grove",
	["The Ancient Lift"] = "The Ancient Lift",
	["The Ancient Passage"] = "The Ancient Passage",
	["The Anima Font"] = "The Anima Font",
	["The Antechamber"] = "The Antechamber",
	["The Anvil of Conflagration"] = "The Anvil of Conflagration",
	["The Anvil of Flame"] = "The Anvil of Flame",
	["The Apothecarium"] = "The Apothecarium",
	["The Arachnid Quarter"] = "The Arachnid Quarter",
	["The Arboretum"] = "The Arboretum",
	["The Arcanium "] = "The Arcanium ",
	["The Arcatraz"] = "The Arcatraz",
	["The Archivum"] = "The Archivum",
	["The Archmage's Reckoning"] = "The Archmage's Reckoning",
	["The Arcway"] = "The Arcway",
	["The Arcway Vaults"] = "The Arcway Vaults",
	["The Argent Stand"] = "The Argent Stand",
	["The Argent Valiants' Ring"] = "The Argent Valiants' Ring",
	["The Argent Vanguard"] = "The Argent Vanguard",
	["The Arsenal Absolute"] = "The Arsenal Absolute",
	["The Ashenvale Front"] = "The Ashenvale Front",
	["The Aspirants' Ring"] = "The Aspirants' Ring",
	["The Assault on Broken Shore"] = "The Assault on Broken Shore",
	["The Assembly Chamber"] = "The Assembly Chamber",
	["The Assembly of Iron"] = "The Assembly of Iron",
	["The Athenaeum"] = "The Athenaeum",
	["The Autumn Plains"] = "The Autumn Plains",
	["The Avalanche"] = "The Avalanche",
	["The Azure Front"] = "The Azure Front",
	["The Back Door"] = "The Back Door",
	["The Bamboo Wilds"] = "The Bamboo Wilds",
	["The Banewood"] = "The Banewood",
	["The Bank of Dalaran"] = "The Bank of Dalaran",
	["The Bank of Silvermoon"] = "The Bank of Silvermoon",
	["The Banquet Hall"] = "The Banquet Hall",
	["The Banshee's Wail"] = "The Banshee's Wail",
	["The Barracks"] = "The Barracks",
	["The Barrens"] = "The Barrens",
	["The Barrier Hills"] = "The Barrier Hills",
	["The Bartering Cave"] = "The Bartering Cave",
	["The Bastion of Twilight"] = "The Bastion of Twilight",
	["The Battle for Broken Shore"] = "The Battle for Broken Shore",
	["The Battle for Darkshore"] = "The Battle for Darkshore",
	["The Battle for Gilneas"] = "The Battle for Gilneas",
	["The Battle for Gilneas (Old City Map)"] = "The Battle for Gilneas (Old City Map)",
	["The Battle for Mount Hyjal"] = "The Battle for Mount Hyjal",
	["The Battle for Shattrath"] = "The Battle for Shattrath",
	["The Battle for Stromgarde"] = "The Battle for Stromgarde",
	["The Battle of Thunder Pass"] = "The Battle of Thunder Pass",
	["The Battleboar Pen"] = "The Battleboar Pen",
	["The Battlefront"] = "The Battlefront",
	["The Bazaar"] = "The Bazaar",
	["The Bazaar of Watchful Eyes"] = "The Bazaar of Watchful Eyes",
	["The Beast Pens"] = "The Beast Pens",
	["The Beastwarrens"] = "The Beastwarrens",
	["The Beer Garden"] = "The Beer Garden",
	["The Beyond"] = "The Beyond",
	["The Binding Trench"] = "The Binding Trench",
	["The Bite"] = "The Bite",
	["The Black Bellows"] = "The Black Bellows",
	["The Black Breach"] = "The Black Breach",
	["The Black City"] = "The Black City",
	["The Black Forge"] = "The Black Forge",
	["The Black Gate"] = "The Black Gate",
	["The Black Market"] = "The Black Market",
	["The Black Morass"] = "The Black Morass",
	["The Black Rose"] = "The Black Rose",
	["The Black Temple"] = "The Black Temple",
	["The Black Vault"] = "The Black Vault",
	["The Blackwald"] = "The Blackwald",
	["The Blade Crypt"] = "The Blade Crypt",
	["The Blade of the Primus"] = "The Blade of the Primus",
	["The Blades of the Fallen Prince"] = "The Blades of the Fallen Prince",
	["The Blast Furnace"] = "The Blast Furnace",
	["The Blazing Strand"] = "The Blazing Strand",
	["The Blazing Way"] = "The Blazing Way",
	["The Bleeding Altar"] = "The Bleeding Altar",
	["The Bleeding Hollow"] = "The Bleeding Hollow",
	["The Bleeding Mountain"] = "The Bleeding Mountain",
	["The Blessed Path"] = "The Blessed Path",
	["The Blight Line"] = "The Blight Line",
	["The Blightcaller"] = "The Blightcaller",
	["The Blighted Pool"] = "The Blighted Pool",
	["The Blistering Wastes"] = "The Blistering Wastes",
	["The Blood Font"] = "The Blood Font",
	["The Blood Furnace"] = "The Blood Furnace",
	["The Blood Trail"] = "The Blood Trail",
	["The Bloodcursed Reef"] = "The Bloodcursed Reef",
	["The Bloodfire Pit"] = "The Bloodfire Pit",
	["The Bloodmire"] = "The Bloodmire",
	["The Bloodoath"] = "The Bloodoath",
	["The Bloodwash"] = "The Bloodwash",
	["The Boiling Crustacean"] = "The Boiling Crustacean",
	["The Bombardment"] = "The Bombardment",
	["The Bone Pile"] = "The Bone Pile",
	["The Bone Pit"] = "The Bone Pit",
	["The Bone Wastes"] = "The Bone Wastes",
	["The Bonefields"] = "The Bonefields",
	["The Bones of Nozronn"] = "The Bones of Nozronn",
	["The Boneslag"] = "The Boneslag",
	["The Boneyard"] = "The Boneyard",
	["The Bore"] = "The Bore",
	["The Borean Wall"] = "The Borean Wall",
	["The Botanica"] = "The Botanica",
	["The Bowelworks"] = "The Bowelworks",
	["The Bradshaw Mill"] = "The Bradshaw Mill",
	["The Brainstormium"] = "The Brainstormium",
	["The Breach"] = "The Breach",
	["The Breached Ossuary"] = "The Breached Ossuary",
	["The Breaking Grounds"] = "The Breaking Grounds",
	["The Brig"] = "The Brig",
	["The Brine Basin"] = "The Brine Basin",
	["The Brineworks"] = "The Brineworks",
	["The Briny Barnacle"] = "The Briny Barnacle",
	["The Briny Cutter"] = "The Briny Cutter",
	["The Briny Muck"] = "The Briny Muck",
	["The Briny Pinnacle"] = "The Briny Pinnacle",
	["The Broken Bluffs"] = "The Broken Bluffs",
	["The Broken Cloister"] = "The Broken Cloister",
	["The Broken Crater"] = "The Broken Crater",
	["The Broken Front"] = "The Broken Front",
	["The Broken Hall"] = "The Broken Hall",
	["The Broken Hills"] = "The Broken Hills",
	["The Broken Rampart"] = "The Broken Rampart",
	["The Broken Shore"] = "The Broken Shore",
	["The Broken Spine"] = "The Broken Spine",
	["The Broken Spire"] = "The Broken Spire",
	["The Broken Stair"] = "The Broken Stair",
	["The Broken Temple"] = "The Broken Temple",
	["The Broken Tower"] = "The Broken Tower",
	["The Broken Tusk"] = "The Broken Tusk",
	["The Broker's Den"] = "The Broker's Den",
	["The Brood Pit"] = "The Brood Pit",
	["The Broodmother's Nest"] = "The Broodmother's Nest",
	["The Bulwark"] = "The Bulwark",
	["The Burial Fields"] = "The Burial Fields",
	["The Burlap Trail"] = "The Burlap Trail",
	["The Burlap Valley"] = "The Burlap Valley",
	["The Burlap Waystation"] = "The Burlap Waystation",
	["The Burned Cave"] = "The Burned Cave",
	["The Burning Corridor"] = "The Burning Corridor",
	["The Burning Front"] = "The Burning Front",
	["The Burning Gate"] = "The Burning Gate",
	["The Burning Glacier"] = "The Burning Glacier",
	["The Burning Nether"] = "The Burning Nether",
	["The Burning Sanctum"] = "The Burning Sanctum",
	["The Burning Throne"] = "The Burning Throne",
	["The Butchery"] = "The Butchery",
	["The Cache of Madness"] = "The Cache of Madness",
	["The Caller's Chamber"] = "The Caller's Chamber",
	["The Canals"] = "The Canals",
	["The Cape of Stranglethorn"] = "The Cape of Stranglethorn",
	["The Carrion Fields"] = "The Carrion Fields",
	["The Cat and the Shaman"] = "The Cat and the Shaman",
	["The Catacombs"] = "The Catacombs",
	["The Cauldron"] = "The Cauldron",
	["The Cauldron of Flames"] = "The Cauldron of Flames",
	["The Cave"] = "The Cave",
	["The Celestial Court"] = "The Celestial Court",
	["The Celestial Planetarium"] = "The Celestial Planetarium",
	["The Celestial Vault"] = "The Celestial Vault",
	["The Celestial Watch"] = "The Celestial Watch",
	["The Cellar"] = "The Cellar",
	["The Cemetary"] = "The Cemetary",
	["The Cerebrillum"] = "The Cerebrillum",
	["The Chained Precipice"] = "The Chained Precipice",
	["The Chamber of War"] = "The Chamber of War",
	["The Charred Vale"] = "The Charred Vale",
	["The Chilled Quagmire"] = "The Chilled Quagmire",
	["The Chum Bucket"] = "The Chum Bucket",
	["The Circle of Cinders"] = "The Circle of Cinders",
	["The Circle of Life"] = "The Circle of Life",
	["The Circle of Spirits"] = "The Circle of Spirits",
	["The Circle of Stars"] = "The Circle of Stars",
	["The Circle of Suffering"] = "The Circle of Suffering",
	["The Clarion Bell"] = "The Clarion Bell",
	["The Clash of Thunder"] = "The Clash of Thunder",
	["The Clean Zone"] = "The Clean Zone",
	["The Clearcut"] = "The Clearcut",
	["The Cleft"] = "The Cleft",
	["The Cliffroost"] = "The Cliffroost",
	["The Cliffs of Highmaul"] = "The Cliffs of Highmaul",
	["The Clockwerk Run"] = "The Clockwerk Run",
	["The Clutch"] = "The Clutch",
	["The Clutches of Shek'zeer"] = "The Clutches of Shek'zeer",
	["The Coil"] = "The Coil",
	["The Coldridge Cataclysm"] = "The Coldridge Cataclysm",
	["The Coliseum"] = "The Coliseum",
	["The Coliseum of Light"] = "The Coliseum of Light",
	["The Collapse"] = "The Collapse",
	["The Colossal Forge"] = "The Colossal Forge",
	["The Colossal's Fist"] = "The Colossal's Fist",
	["The Comb"] = "The Comb",
	["The Commerce Ward"] = "The Commerce Ward",
	["The Commons"] = "The Commons",
	["The Compost Heap"] = "The Compost Heap",
	["The Conflagration"] = "The Conflagration",
	["The Conquest Pit"] = "The Conquest Pit",
	["The Conservatory"] = "The Conservatory",
	["The Conservatory of Life"] = "The Conservatory of Life",
	["The Construct Quarter"] = "The Construct Quarter",
	["The Cooper Residence"] = "The Cooper Residence",
	["The Corridors of Ingenuity"] = "The Corridors of Ingenuity",
	["The Corrupted Refuge"] = "The Corrupted Refuge",
	["The Court of Bones"] = "The Court of Bones",
	["The Court of Crossbones"] = "The Court of Crossbones",
	["The Court of Skulls"] = "The Court of Skulls",
	["The Cove of Nashal"] = "The Cove of Nashal",
	["The Coven "] = "The Coven ",
	["The Coven"] = "The Coven",
	["The Cracked Coast"] = "The Cracked Coast",
	["The Cracking Plains"] = "The Cracking Plains",
	["The Creeping Death"] = "The Creeping Death",
	["The Creeping Grotto"] = "The Creeping Grotto",
	["The Creeping Ruin"] = "The Creeping Ruin",
	["The Crescent Hearth"] = "The Crescent Hearth",
	["The Crescent Vale"] = "The Crescent Vale",
	["The Crimson Apse"] = "The Crimson Apse",
	["The Crimson Assembly Hall"] = "The Crimson Assembly Hall",
	["The Crimson Cathedral"] = "The Crimson Cathedral",
	["The Crimson Dawn"] = "The Crimson Dawn",
	["The Crimson Hall"] = "The Crimson Hall",
	["The Crimson Reach"] = "The Crimson Reach",
	["The Crimson Squall"] = "The Crimson Squall",
	["The Crimson Throne"] = "The Crimson Throne",
	["The Crimson Treader"] = "The Crimson Treader",
	["The Crimson Veil"] = "The Crimson Veil",
	["The Crossroads"] = "The Crossroads",
	["The Crucible"] = "The Crucible",
	["The Crucible of Flame"] = "The Crucible of Flame",
	["The Crumbling Waste"] = "The Crumbling Waste",
	["The Cryo-Core"] = "The Cryo-Core",
	["The Crystal Hall"] = "The Crystal Hall",
	["The Crystal Shore"] = "The Crystal Shore",
	["The Crystal Vale"] = "The Crystal Vale",
	["The Crystal Vice"] = "The Crystal Vice",
	["The Culling of Stratholme"] = "The Culling of Stratholme",
	["The Culling of Stratholme Entrance"] = "The Culling of Stratholme Entrance",
	["The Curator's Crypt"] = "The Curator's Crypt",
	["The Curious Octopus"] = "The Curious Octopus",
	["The Cursed Landing"] = "The Cursed Landing",
	["The Cursed Woods"] = "The Cursed Woods",
	["The Dagger Hills"] = "The Dagger Hills",
	["The Dai-Lo Farmstead"] = "The Dai-Lo Farmstead",
	["The Dais of Pride"] = "The Dais of Pride",
	["The Damsel's Luck"] = "The Damsel's Luck",
	["The Dancing Serpent"] = "The Dancing Serpent",
	["The Dark Approach"] = "The Dark Approach",
	["The Dark Bastille"] = "The Dark Bastille",
	["The Dark Defiance"] = "The Dark Defiance",
	["The Dark Hollow"] = "The Dark Hollow",
	["The Dark Portal"] = "The Dark Portal",
	["The Dark Queen and the Sea"] = "The Dark Queen and the Sea",
	["The Dark Riders"] = "The Dark Riders",
	["The Dark Rookery"] = "The Dark Rookery",
	["The Dark Woods"] = "The Dark Woods",
	["The Darkened Bank"] = "The Darkened Bank",
	["The Darkmoon Faire"] = "The Darkmoon Faire",
	["The Darkspear Offensive"] = "The Darkspear Offensive",
	["The Darkwalk"] = "The Darkwalk",
	["The Darkwood"] = "The Darkwood",
	["The Dawnchaser"] = "The Dawnchaser",
	["The Dawning Isles"] = "The Dawning Isles",
	["The Dawning Span"] = "The Dawning Span",
	["The Dawning Square"] = "The Dawning Square",
	["The Dawning Stair"] = "The Dawning Stair",
	["The Dawning Valley"] = "The Dawning Valley",
	["The Dead Acre"] = "The Dead Acre",
	["The Dead Field"] = "The Dead Field",
	["The Dead Fields"] = "The Dead Fields",
	["The Dead Mire"] = "The Dead Mire",
	["The Dead Scar"] = "The Dead Scar",
	["The Deadmines"] = "The Deadmines",
	["The Deathbringer"] = "The Deathbringer",
	["The Deathforge"] = "The Deathforge",
	["The Deathknell Graves"] = "The Deathknell Graves",
	["The Deaths of Chromie"] = "The Deaths of Chromie",
	["The Decrepit Ferry"] = "The Decrepit Ferry",
	["The Decrepit Fields"] = "The Decrepit Fields",
	["The Decrepit Flow"] = "The Decrepit Flow",
	["The Deep Reaches"] = "The Deep Reaches",
	["The Deep Roads"] = "The Deep Roads",
	["The Deeper"] = "The Deeper",
	["The Deepwild"] = "The Deepwild",
	["The Defense of Netherlight Temple"] = "The Defense of Netherlight Temple",
	["The Defiant"] = "The Defiant",
	["The Defiled Altar"] = "The Defiled Altar",
	["The Defiled Chapel"] = "The Defiled Chapel",
	["The Demon Ward"] = "The Demon Ward",
	["The Den"] = "The Den",
	["The Den of Flame"] = "The Den of Flame",
	["The Dens of Dying"] = "The Dens of Dying",
	["The Descent"] = "The Descent",
	["The Descent into Madness"] = "The Descent into Madness",
	["The Desecrated Altar"] = "The Desecrated Altar",
	["The Deserted Workshop"] = "The Deserted Workshop",
	["The Desiccation"] = "The Desiccation",
	["The Desolation of Gorefiend"] = "The Desolation of Gorefiend",
	["The Destroyed Expedition"] = "The Destroyed Expedition",
	["The Devil's Terrace"] = "The Devil's Terrace",
	["The Devouring Breach"] = "The Devouring Breach",
	["The Distant Grotto"] = "The Distant Grotto",
	["The Dive Bar"] = "The Dive Bar",
	["The Domicile "] = "The Domicile ",
	["The Dooker Dome"] = "The Dooker Dome",
	["The Doom Fortress"] = "The Doom Fortress",
	["The Dor'Danil Barrow Den"] = "The Dor'Danil Barrow Den",
	["The Dormitory"] = "The Dormitory",
	["The Draakorium"] = "The Draakorium",
	["The Drag"] = "The Drag",
	["The Dragon Wastes"] = "The Dragon Wastes",
	["The Dragonmurk"] = "The Dragonmurk",
	["The Dragon's Spine"] = "The Dragon's Spine",
	["The Drain"] = "The Drain",
	["The Dranosh'ar Blockade"] = "The Dranosh'ar Blockade",
	["The Dread Admiral"] = "The Dread Admiral",
	["The Dread Chain"] = "The Dread Chain",
	["The Dreadex"] = "The Dreadex",
	["The Dreadmire"] = "The Dreadmire",
	["The Dreadsoul"] = "The Dreadsoul",
	["The Dreamgrove"] = "The Dreamgrove",
	["The Dredge"] = "The Dredge",
	["The Drift"] = "The Drift",
	["The Drowned Market"] = "The Drowned Market",
	["The Drowned Reef"] = "The Drowned Reef",
	["The Drowned Sacellum"] = "The Drowned Sacellum",
	["The Drunk Tank"] = "The Drunk Tank",
	["The Drunken Drummer"] = "The Drunken Drummer",
	["The Drunken Gryphon"] = "The Drunken Gryphon",
	["The Drunken Hozen"] = "The Drunken Hozen",
	["The Drust Bar"] = "The Drust Bar",
	["The Dry Hills"] = "The Dry Hills",
	["The Dust Plains"] = "The Dust Plains",
	["The Dustbowl"] = "The Dustbowl",
	["The Eastern Earthshrine"] = "The Eastern Earthshrine",
	["The Edge of Oblivion"] = "The Edge of Oblivion",
	["The Elders' Path"] = "The Elders' Path",
	["The Ember Court"] = "The Ember Court",
	["The Emerald Archives"] = "The Emerald Archives",
	["The Emerald Dream"] = "The Emerald Dream",
	["The Emerald Dreamway"] = "The Emerald Dreamway",
	["The Emerald Nightmare"] = "The Emerald Nightmare",
	["The Emerald Summit"] = "The Emerald Summit",
	["The Emperor's Approach"] = "The Emperor's Approach",
	["The Emperor's Gate"] = "The Emperor's Gate",
	["The Emperor's Reach"] = "The Emperor's Reach",
	["The Emperor's Step"] = "The Emperor's Step",
	["The Empyrean Society Enclave"] = "The Empyrean Society Enclave",
	["The Enclave"] = "The Enclave",
	["The Endmire"] = "The Endmire",
	["The Engine of Nalak'sha"] = "The Engine of Nalak'sha",
	["The Eonian Archives"] = "The Eonian Archives",
	["The Ephemeral Way"] = "The Ephemeral Way",
	["The Escape From Durnholde"] = "The Escape From Durnholde",
	["The Escape from Durnholde"] = "Flucht aus Durnholde",
	["The Escape from Durnholde Entrance"] = "The Escape from Durnholde Entrance",
	["The Eternal Battlefield"] = "The Eternal Battlefield",
	["The Eternal Forge"] = "The Eternal Forge",
	["The Eternal Palace"] = "The Eternal Palace",
	["The Eternal Spring"] = "The Eternal Spring",
	["The Eternal Terrace"] = "The Eternal Terrace",
	["The Eternal Terrace Lift"] = "The Eternal Terrace Lift",
	["The Eternal Watch"] = "The Eternal Watch",
	["The Eternity"] = "The Eternity",
	["The Ettinwalk"] = "The Ettinwalk",
	["The Evanescent Sea"] = "The Evanescent Sea",
	["The Eventide"] = "The Eventide",
	["The Everbloom"] = "The Everbloom",
	["The Exhaust"] = "The Exhaust",
	["The Exile's Hideaway"] = "The Exile's Hideaway",
	["The Exobar"] = "The Exobar",
	["The Exodar"] = "The Exodar",
	["The Eye"] = "The Eye",
	["The Eye of Eternity"] = "The Eye of Eternity",
	["The Eye of the Vortex"] = "The Eye of the Vortex",
	["The Eye's Overlook"] = "The Eye's Overlook",
	["The Fall"] = "The Fall",
	["The Fall of Lordaeron"] = "The Fall of Lordaeron",
	["The Fall of Shan Bu"] = "The Fall of Shan Bu",
	["The Fall of the Sunwell"] = "The Fall of the Sunwell",
	["The Fallen Outpost"] = "The Fallen Outpost",
	["The Fangs of Ashamane"] = "The Fangs of Ashamane",
	["The Fangs of the Devourer"] = "The Fangs of the Devourer",
	["The Far Reach"] = "The Far Reach",
	["The Faraway Pools"] = "The Faraway Pools",
	["The Farstrider Lodge"] = "The Farstrider Lodge",
	["The Fate of Hodir"] = "The Fate of Hodir",
	["The Fearstalker's Lodge"] = "The Fearstalker's Lodge",
	["The Feeding Grounds"] = "The Feeding Grounds",
	["The Feeding Pits"] = "The Feeding Pits",
	["The Fel Breach"] = "The Fel Breach",
	["The Fel Forge"] = "The Fel Forge",
	["The Fel Hammer"] = "The Fel Hammer",
	["The Fel Pits"] = "The Fel Pits",
	["The Felblight"] = "The Felblight",
	["The Felborne Breach"] = "The Felborne Breach",
	["The Fertile Copse"] = "The Fertile Copse",
	["The Fertile Ground"] = "The Fertile Ground",
	["The Festering Core"] = "The Festering Core",
	["The Festering Sanctum"] = "The Festering Sanctum",
	["The Fetid Pool"] = "The Fetid Pool",
	["The Filthy Animal"] = "The Filthy Animal",
	["The Final Toll"] = "The Final Toll",
	["The Firehawk"] = "The Firehawk",
	["The Five Sisters"] = "The Five Sisters",
	["The Flamewake"] = "The Flamewake",
	["The Fleeting Forest"] = "The Fleeting Forest",
	["The Fleshripper's Harvest"] = "The Fleshripper's Harvest",
	["The Fleshwerks"] = "The Fleshwerks",
	["The Flood Plains"] = "The Flood Plains",
	["The Fold"] = "The Fold",
	["The Font of Fury"] = "The Font of Fury",
	["The Font of Night"] = "The Font of Night",
	["The Foot of Lei Shen"] = "The Foot of Lei Shen",
	["The Foot Steppes"] = "The Foot Steppes",
	["The Foothill Caverns"] = "The Foothill Caverns",
	["The Forbidden Jungle"] = "The Forbidden Jungle",
	["The Forbidding Sea"] = "The Forbidding Sea",
	["The Forest of Shadows"] = "The Forest of Shadows",
	["The Forge"] = "The Forge",
	["The Forge Grounds"] = "The Forge Grounds",
	["The Forge of Souls"] = "The Forge of Souls",
	["The Forge of Souls Entrance"] = "The Forge of Souls Entrance",
	["The Forge of Supplication"] = "The Forge of Supplication",
	["The Forge of the Guardian"] = "The Forge of the Guardian",
	["The Forge of Wills"] = "The Forge of Wills",
	["The Forgotten Caves"] = "The Forgotten Caves",
	["The Forgotten Coast"] = "The Forgotten Coast",
	["The Forgotten Forge"] = "The Forgotten Forge",
	["The Forgotten Marsh"] = "The Forgotten Marsh",
	["The Forgotten Overlook"] = "The Forgotten Overlook",
	["The Forgotten Pool"] = "The Forgotten Pool",
	["The Forgotten Pools"] = "The Forgotten Pools",
	["The Forgotten Retreat"] = "The Forgotten Retreat",
	["The Forgotten Roost"] = "The Forgotten Roost",
	["The Forgotten Shore"] = "The Forgotten Shore",
	["The Forgotten Tunnel"] = "The Forgotten Tunnel",
	["The Forlorn Cavern"] = "The Forlorn Cavern",
	["The Forlorn Mine"] = "The Forlorn Mine",
	["The Forsaken Front"] = "The Forsaken Front",
	["The Forward Guard"] = "The Forward Guard",
	["The Foul Pool"] = "The Foul Pool",
	["The Four Stingers"] = "The Four Stingers",
	["The Fourth Horseman"] = "The Fourth Horseman",
	["The Fracture Chambers"] = "The Fracture Chambers",
	["The Frigid Tomb"] = "The Frigid Tomb",
	["The Frogmarsh"] = "The Frogmarsh",
	["The Frost and the Flame"] = "The Frost and the Flame",
	["The Frost Queen's Lair"] = "The Frost Queen's Lair",
	["The Frostwing Halls"] = "The Frostwing Halls",
	["The Frozen Glade"] = "The Frozen Glade",
	["The Frozen Halls"] = "The Frozen Halls",
	["The Frozen Mine"] = "The Frozen Mine",
	["The Frozen Sea"] = "The Frozen Sea",
	["The Frozen Throne"] = "The Frozen Throne",
	["The Fungal Vale"] = "The Fungal Vale",
	["The Furnace"] = "The Furnace",
	["The Gallery"] = "The Gallery",
	["The Galvanized Grotto"] = "The Galvanized Grotto",
	["The Gaping Chasm"] = "The Gaping Chasm",
	["The Gate of Unending Cycles"] = "The Gate of Unending Cycles",
	["The Gatehouse "] = "The Gatehouse ",
	["The Gatehouse"] = "The Gatehouse",
	["The Gates of Tanaan"] = "The Gates of Tanaan",
	["The Gauntlet"] = "The Gauntlet",
	["The Geyser Fields"] = "The Geyser Fields",
	["The Ghastly Confines"] = "The Ghastly Confines",
	["The Gilded Foyer"] = "The Gilded Foyer",
	["The Gilded Gate"] = "The Gilded Gate",
	["The Gilded Landing"] = "The Gilded Landing",
	["The Gilded Market"] = "The Gilded Market",
	["The Gilded Menagerie"] = "The Gilded Menagerie",
	["The Gilding Stream"] = "The Gilding Stream",
	["The Glimmering Pillar"] = "The Glimmering Pillar",
	["The Gloomspire"] = "The Gloomspire",
	["The God-Queen's Fury"] = "The God-Queen's Fury",
	["The Golden Flagon"] = "The Golden Flagon",
	["The Golden Gateway"] = "The Golden Gateway",
	["The Golden Hall"] = "The Golden Hall",
	["The Golden Isle"] = "The Golden Isle",
	["The Golden Lantern"] = "The Golden Lantern",
	["The Golden Pagoda"] = "The Golden Pagoda",
	["The Golden Pasture"] = "The Golden Pasture",
	["The Golden Plains"] = "The Golden Plains",
	["The Golden Road"] = "The Golden Road",
	["The Golden Rose"] = "The Golden Rose",
	["The Golden Stair"] = "The Golden Stair",
	["The Golden Terrace"] = "The Golden Terrace",
	["The Golden Throne"] = "The Golden Throne",
	["The Golem Grotto"] = "The Golem Grotto",
	["The Gong of Hope"] = "The Gong of Hope",
	["The Gorthenon"] = "The Gorthenon",
	["The Grand Ballroom"] = "The Grand Ballroom",
	["The Grand Corridor"] = "The Grand Corridor",
	["The Grand Foyer"] = "The Grand Foyer",
	["The Grand Hall"] = "The Grand Hall",
	["The Grand Menagerie"] = "The Grand Menagerie",
	["The Grand Promenade"] = "The Grand Promenade",
	["The Grand Reception"] = "The Grand Reception",
	["The Grand Sepulcher"] = "The Grand Sepulcher",
	["The Grand Vestibule"] = "The Grand Vestibule",
	["The Grand Walk"] = "The Grand Walk",
	["The Gravewood"] = "The Gravewood",
	["The Greasy Eel"] = "The Greasy Eel",
	["The Great Anvil"] = "The Great Anvil",
	["The Great Arena"] = "The Great Arena",
	["The Great Divide"] = "The Great Divide",
	["The Great Fissure"] = "The Great Fissure",
	["The Great Forge"] = "The Great Forge",
	["The Great Gate"] = "The Great Gate",
	["The Great Lift"] = "The Great Lift",
	["The Great Mead Hall"] = "The Great Mead Hall",
	["The Great Ossuary"] = "The Great Ossuary",
	["The Great Sea"] = "The Great Sea",
	["The Great Sea Alliance"] = "The Great Sea Alliance",
	["The Great Sea Horde"] = "The Great Sea Horde",
	["The Great Seal"] = "The Great Seal",
	["The Great Tree"] = "The Great Tree",
	["The Great Wheel"] = "The Great Wheel",
	["The Greater Good"] = "The Greater Good",
	["The Green Belt"] = "The Green Belt",
	["The Greenway"] = "The Greenway",
	["The Grey Bazaar"] = "The Grey Bazaar",
	["The Greymane Wall"] = "The Greymane Wall",
	["The Grim Guzzler"] = "The Grim Guzzler",
	["The Grim Harvest"] = "The Grim Harvest",
	["The Grimoirium"] = "The Grimoirium",
	["The Grimrail"] = "The Grimrail",
	["The Grinding Quarry"] = "The Grinding Quarry",
	["The Grizzled Den"] = "The Grizzled Den",
	["The Growthworks"] = "The Growthworks",
	["The Grummle Bazaar"] = "The Grummle Bazaar",
	["The Guardhouse"] = "The Guardhouse",
	["The Guardian's Sanctum"] = "The Guardian's Sanctum",
	["The Guest Chambers"] = "The Guest Chambers",
	["The Gullet"] = "The Gullet",
	["The Haglands"] = "The Haglands",
	["The Half Shell"] = "The Half Shell",
	["The Halfhill Market"] = "The Halfhill Market",
	["The Hall of Balance"] = "The Hall of Balance",
	["The Hall of Blood"] = "The Hall of Blood",
	["The Hall of Gears"] = "The Hall of Gears",
	["The Hall of Lights"] = "The Hall of Lights",
	["The Hall of Relics"] = "The Hall of Relics",
	["The Hall of Respite"] = "The Hall of Respite",
	["The Hall of Shadows"] = "The Hall of Shadows",
	["The Hall of Statues"] = "The Hall of Statues",
	["The Hall of the Serpent"] = "The Hall of the Serpent",
	["The Hall of Tiles"] = "The Hall of Tiles",
	["The Hallowed Felworks"] = "The Hallowed Felworks",
	["The Halls of Reanimation"] = "The Halls of Reanimation",
	["The Halls of Winter"] = "The Halls of Winter",
	["The Hammer's Cradle"] = "The Hammer's Cradle",
	["The Hand of Gul'dan"] = "The Hand of Gul'dan",
	["The Hanging Reef"] = "The Hanging Reef",
	["The Harborage"] = "The Harborage",
	["The Hatchery"] = "The Hatchery",
	["The Head Shop"] = "The Head Shop",
	["The Headland"] = "The Headland",
	["The Headlands"] = "The Headlands",
	["The Heap"] = "The Heap",
	["The Heaps"] = "The Heaps",
	["The Heart of Acherus"] = "The Heart of Acherus",
	["The Heart of Azeroth"] = "The Heart of Azeroth",
	["The Heart of Darkness"] = "The Heart of Darkness",
	["The Heart of Jade"] = "The Heart of Jade",
	["The Heart of the Dreadscar"] = "The Heart of the Dreadscar",
	["The Heart of the Empire"] = "The Heart of the Empire",
	["The Hearthstone Tavern"] = "The Hearthstone Tavern",
	["The Heartland"] = "The Heartland",
	["The Hidden Clutch"] = "The Hidden Clutch",
	["The Hidden Grove"] = "The Hidden Grove",
	["The Hidden Hollow"] = "The Hidden Hollow",
	["The Hidden Passage"] = "The Hidden Passage",
	["The Hidden Pools"] = "The Hidden Pools",
	["The Hidden Reach"] = "The Hidden Reach",
	["The Hidden Reef"] = "The Hidden Reef",
	["The High Gate"] = "The High Gate",
	["The High Path"] = "The High Path",
	["The High Road"] = "The High Road",
	["The High Seat"] = "The High Seat",
	["The High Tinkertory"] = "The High Tinkertory",
	["The Hijacked Portal"] = "The Hijacked Portal",
	["The Hinterlands"] = "The Hinterlands",
	["The Hive"] = "The Hive",
	["The Hoard"] = "The Hoard",
	["The Hold"] = "The Hold",
	["The Hole"] = "The Hole",
	["The Horde Valiants' Ring"] = "The Horde Valiants' Ring",
	["The Horizon's Edge"] = "The Horizon's Edge",
	["The Horrid March"] = "The Horrid March",
	["The Horsemen's Assembly"] = "The Horsemen's Assembly",
	["The Howling Crag"] = "The Howling Crag",
	["The Howling Hollow"] = "The Howling Hollow",
	["The Howling Oak"] = "The Howling Oak",
	["The Howling Vale"] = "The Howling Vale",
	["The Hozen Throne"] = "The Hozen Throne",
	["The Hunter's Hall"] = "The Hunter's Hall",
	["The Hunter's Reach"] = "The Hunter's Reach",
	["The Hunting Lodge"] = "The Hunting Lodge",
	["The Hushed Bank"] = "The Hushed Bank",
	["The Icy Depths"] = "The Icy Depths",
	["The Idyllia"] = "The Idyllia",
	["The Immortal Coil"] = "The Immortal Coil",
	["The Imperator's Favor"] = "The Imperator's Favor",
	["The Imperial Exchange"] = "The Imperial Exchange",
	["The Imperial Granary"] = "The Imperial Granary",
	["The Imperial Mercantile"] = "The Imperial Mercantile",
	["The Imperial Seat"] = "The Imperial Seat",
	["The In-Between"] = "The In-Between",
	["The Incursion"] = "The Incursion",
	["The Infectis Scar"] = "The Infectis Scar",
	["The Inferno"] = "The Inferno",
	["The Inner Sanctum"] = "The Inner Sanctum",
	["The Inner Spire"] = "The Inner Spire",
	["The Intrepid"] = "The Intrepid",
	["The Invasion of Niskara"] = "The Invasion of Niskara",
	["The Inventor's Library"] = "The Inventor's Library",
	["The Iron Approach"] = "The Iron Approach",
	["The Iron Bulwark"] = "The Iron Bulwark",
	["The Iron Crucible"] = "The Iron Crucible",
	["The Iron Front"] = "The Iron Front",
	["The Iron Hall"] = "The Iron Hall",
	["The Iron Reaper"] = "The Iron Reaper",
	["The Iron Tide"] = "The Iron Tide",
	["The Iron Tower"] = "The Iron Tower",
	["The Iron Wharf"] = "The Iron Wharf",
	["The Isle of Spears"] = "The Isle of Spears",
	["The Ivar Patch"] = "The Ivar Patch",
	["The Jade Forest"] = "The Jade Forest",
	["The Jade Vaults"] = "The Jade Vaults",
	["The Jagged Coast"] = "The Jagged Coast",
	["The Jailer's Vanguard"] = "The Jailer's Vanguard",
	["The Jansen Stead"] = "The Jansen Stead",
	["The Jeweled Coast"] = "The Jeweled Coast",
	["The Jeweled Estate"] = "The Jeweled Estate",
	["The Keggary"] = "The Keggary",
	["The Kennel"] = "The Kennel",
	["The Kennels"] = "The Kennels",
	["The King's Fang"] = "The King's Fang",
	["The Krasari Ruins"] = "The Krasari Ruins",
	["The Krazzworks"] = "The Krazzworks",
	["The Laboratory"] = "The Laboratory",
	["The Lady Mehley"] = "The Lady Mehley",
	["The Lagoon"] = "The Lagoon",
	["The Lap of Luxury"] = "The Lap of Luxury",
	["The Larder"] = "The Larder",
	["The Last Prison"] = "The Last Prison",
	["The Laughing Crane"] = "The Laughing Crane",
	["The Laughing Stand"] = "The Laughing Stand",
	["The Laughing Yeti"] = "The Laughing Yeti",
	["The Lazy Turnip"] = "The Lazy Turnip",
	["The Leeching Vaults"] = "The Leeching Vaults",
	["The Legend of The Ashbringer"] = "The Legend of The Ashbringer",
	["The Legerdemain Lounge"] = "The Legerdemain Lounge",
	["The Legion Front"] = "The Legion Front",
	["The Librarium"] = "The Librarium",
	["The Library"] = "The Library",
	["The Lifebinder's Cell"] = "The Lifebinder's Cell",
	["The Lifeblood Pillar"] = "The Lifeblood Pillar",
	["The Lightbreaker"] = "The Lightbreaker",
	["The Lightless Reaches"] = "The Lightless Reaches",
	["The Lion's Den"] = "The Lion's Den",
	["The Lion's Redoubt"] = "The Lion's Redoubt",
	["The Lion's Wake"] = "The Lion's Wake",
	["The Living Grove"] = "The Living Grove",
	["The Living Wood"] = "The Living Wood",
	["The LMS Mark II"] = "The LMS Mark II",
	["The Loch"] = "The Loch",
	["The Long Wash"] = "The Long Wash",
	["The Loom of Fates"] = "The Loom of Fates",
	["The Loose Cannon"] = "The Loose Cannon",
	["The Lost Estate"] = "The Lost Estate",
	["The Lost Fleet"] = "The Lost Fleet",
	["The Lost Fold"] = "The Lost Fold",
	["The Lost Glacier"] = "The Lost Glacier",
	["The Lost Isles"] = "The Lost Isles",
	["The Lost Lands"] = "The Lost Lands",
	["The Lost Orchard"] = "The Lost Orchard",
	["The Lost Passage"] = "The Lost Passage",
	["The Lost Road"] = "The Lost Road",
	["The Lost Scroll"] = "The Lost Scroll",
	["The Lost Temple"] = "The Lost Temple",
	["The Low Path"] = "The Low Path",
	["The Lucky Traveller"] = "The Lucky Traveller",
	["The Lunar Crucible"] = "The Lunar Crucible",
	["The Lustrous Apse"] = "The Lustrous Apse",
	["The Lyceum"] = "The Lyceum",
	["The Maclure Vineyards"] = "The Maclure Vineyards",
	["The Maelstrom"] = "The Maelstrom",
	["The Maelstrom Mercantile"] = "The Maelstrom Mercantile",
	["The Mage Hunter"] = "The Mage Hunter",
	["The Maiden's Virtue"] = "The Maiden's Virtue",
	["The Maker's Overlook"] = "The Maker's Overlook",
	["The Makers' Overlook"] = "The Makers' Overlook",
	["The Makers' Perch"] = "The Makers' Perch",
	["The Maker's Rise"] = "The Maker's Rise",
	["The Maker's Terrace"] = "The Maker's Terrace",
	["The Manufactory"] = "The Manufactory",
	["The Marris Stead"] = "The Marris Stead",
	["The Marshlands"] = "The Marshlands",
	["The Masonary"] = "The Masonary",
	["The Master of Lies"] = "The Master of Lies",
	["The Masters' Cavern"] = "The Masters' Cavern",
	["The Master's Cellar"] = "The Master's Cellar",
	["The Master's Glaive"] = "The Master's Glaive",
	["The Master's Keep"] = "The Master's Keep",
	["The Master's Promontory"] = "The Master's Promontory",
	["The Master's Vestibule"] = "The Master's Vestibule",
	["The Maul"] = "The Maul",
	["The Mausoleum of Lady Velandras"] = "The Mausoleum of Lady Velandras",
	["The Mausoleum of Lord Etheldrin"] = "The Mausoleum of Lord Etheldrin",
	["The Maw"] = "The Maw",
	["The Maw of Madness"] = "The Maw of Madness",
	["The Maw of Nashal"] = "The Maw of Nashal",
	["The Mechanar"] = "The Mechanar",
	["The Medallion of Dominion"] = "The Medallion of Dominion",
	["The Menagerie"] = "The Menagerie",
	["The Menders' Stead"] = "The Menders' Stead",
	["The Merchant Coast"] = "The Merchant Coast",
	["The Might of the Alliance"] = "The Might of the Alliance",
	["The Might of the Horde"] = "The Might of the Horde",
	["The Militant Mystic"] = "The Militant Mystic",
	["The Military Quarter"] = "The Military Quarter",
	["The Military Ward"] = "The Military Ward",
	["The Mind's Eye"] = "The Mind's Eye",
	["The Mines of Draenor"] = "The Mines of Draenor",
	["The Mirror of Dawn"] = "The Mirror of Dawn",
	["The Mirror of Twilight"] = "The Mirror of Twilight",
	["The Misssing Apprentice"] = "The Misssing Apprentice",
	["The Misty Strand"] = "The Misty Strand",
	["The Mnemonic Locus"] = "The Mnemonic Locus",
	["The Molsen Farm"] = "The Molsen Farm",
	["The Molten Bridge"] = "The Molten Bridge",
	["The Molten Core"] = "The Molten Core",
	["The Molten Fields"] = "The Molten Fields",
	["The Molten Flow"] = "The Molten Flow",
	["The Molten Span"] = "The Molten Span",
	["The Moonspray"] = "The Moonspray",
	["The Mor'shan Rampart"] = "The Mor'shan Rampart",
	["The Mor'Shan Ramparts"] = "The Mor'Shan Ramparts",
	["The Mosslight Pillar"] = "The Mosslight Pillar",
	["The MOTHERLODE!!"] = "The MOTHERLODE!!",
	["The Mountain Den"] = "The Mountain Den",
	["The Mugambala"] = "The Mugambala",
	["The Murder Pens"] = "The Murder Pens",
	["The Mystic Ward"] = "The Mystic Ward",
	["The Naglfar"] = "The Naglfar",
	["The Narthex of Sins"] = "The Narthex of Sins",
	["The Nave of Pain"] = "The Nave of Pain",
	["The Necropolis"] = "The Necropolis",
	["The Necrotic Vault"] = "The Necrotic Vault",
	["The Necrotic Wake"] = "The Necrotic Wake",
	["The Nexus"] = "The Nexus",
	["The Nexus Entrance"] = "The Nexus Entrance",
	["The Nexus Vault"] = "The Nexus Vault",
	["The Night Market"] = "The Night Market",
	["The Nightborn Vault"] = "The Nightborn Vault",
	["The Nighthold"] = "The Nighthold",
	["The Nightmare Scar"] = "The Nightmare Scar",
	["The Nightmarsh"] = "The Nightmarsh",
	["The Nightspire"] = "The Nightspire",
	["The Nightwell"] = "The Nightwell",
	["The North Coast"] = "The North Coast",
	["The North Sea"] = "The North Sea",
	["The Nosebleeds"] = "The Nosebleeds",
	["The Noxious Glade"] = "The Noxious Glade",
	["The Noxious Hollow"] = "The Noxious Hollow",
	["The Noxious Lair"] = "The Noxious Lair",
	["The Noxious Pass"] = "The Noxious Pass",
	["The Oasis Inn"] = "The Oasis Inn",
	["The Oblivion"] = "The Oblivion",
	["The Oblivion Door"] = "The Oblivion Door",
	["The Observation Ring"] = "The Observation Ring",
	["The Observatorium"] = "The Observatorium",
	["The Obsidian Sanctum"] = "The Obsidian Sanctum",
	["The Oculus"] = "The Oculus",
	["The Oculus Entrance"] = "The Oculus Entrance",
	["The Old Barracks"] = "The Old Barracks",
	["The Old Dormitory"] = "The Old Dormitory",
	["The Old Port Authority"] = "The Old Port Authority",
	["The Old Seawall"] = "The Old Seawall",
	["The Opera Hall"] = "The Opera Hall",
	["The Opulent Nexus"] = "The Opulent Nexus",
	["The Oracle Glade"] = "The Oracle Glade",
	["The Outer Ring"] = "The Outer Ring",
	["The Outflow"] = "The Outflow",
	["The Overgrowth"] = "The Overgrowth",
	["The Overlook"] = "The Overlook",
	["The Overlook Cliffs"] = "The Overlook Cliffs",
	["The Overlook Inn"] = "The Overlook Inn",
	["The Ox Gate"] = "The Ox Gate",
	["The P.O.S.T."] = "The P.O.S.T.",
	["The Pale Cove"] = "The Pale Cove",
	["The Pale Roost"] = "The Pale Roost",
	["The Park"] = "The Park",
	["The Path of Anguish"] = "The Path of Anguish",
	["The Path of Conquest"] = "The Path of Conquest",
	["The Path of Corruption"] = "The Path of Corruption",
	["The Path of Glory"] = "The Path of Glory",
	["The Path of Iron"] = "The Path of Iron",
	["The Path of the Lifewarden"] = "The Path of the Lifewarden",
	["The Path of Totality"] = "The Path of Totality",
	["The Path of Understanding"] = "The Path of Understanding",
	["The Path of Victors"] = "The Path of Victors",
	["The Petitioner's Vestibule"] = "The Petitioner's Vestibule",
	["The Phoenix Hall"] = "The Phoenix Hall",
	["The Phylactery"] = "The Phylactery",
	["The Pilgrim's Road"] = "The Pilgrim's Road",
	["The Pillar of Ash"] = "The Pillar of Ash",
	["The Pipe"] = "The Pipe",
	["The Pit"] = "The Pit",
	["The Pit of Agony"] = "The Pit of Agony",
	["The Pit of Criminals"] = "The Pit of Criminals",
	["The Pit of Fiends"] = "The Pit of Fiends",
	["The Pit of Narjun"] = "The Pit of Narjun",
	["The Pit of Refuse"] = "The Pit of Refuse",
	["The Pit of Sacrifice"] = "The Pit of Sacrifice",
	["The Pit of Scales"] = "The Pit of Scales",
	["The Pit of the Fang"] = "The Pit of the Fang",
	["The Pits"] = "The Pits",
	["The Placid Spring"] = "The Placid Spring",
	["The Plague Quarter"] = "The Plague Quarter",
	["The Plagueworks"] = "The Plagueworks",
	["The Plank"] = "The Plank",
	["The Pool of Ask'ar"] = "The Pool of Ask'ar",
	["The Pools of Vision"] = "The Pools of Vision",
	["The Portrait Room"] = "The Portrait Room",
	["The Postmaster's Office"] = "The Postmaster's Office",
	["The Praetorium"] = "The Praetorium",
	["The Precipice of Oblivion"] = "The Precipice of Oblivion",
	["The Preserve"] = "The Preserve",
	["The Prickly Grove"] = "The Prickly Grove",
	["The Prime Reliquary"] = "The Prime Reliquary",
	["The Primordial Observatory"] = "The Primordial Observatory",
	["The Prison of Ink"] = "The Prison of Ink",
	["The Prison of Yogg-Saron"] = "The Prison of Yogg-Saron",
	["The Profaned Reliquary"] = "The Profaned Reliquary",
	["The Proving Grounds"] = "The Proving Grounds",
	["The Purge of Grommar"] = "The Purge of Grommar",
	["The Purloined Stores"] = "The Purloined Stores",
	["The Purple Parlor"] = "The Purple Parlor",
	["The Quagmire"] = "The Quagmire",
	["The Quaking Fields"] = "The Quaking Fields",
	["The Queen's Court"] = "The Queen's Court",
	["The Queen's Reprisal"] = "The Queen's Reprisal",
	["The Radiant Blade"] = "The Radiant Blade",
	["The Raging Chasm"] = "The Raging Chasm",
	["The Rangers' Lodge"] = "The Rangers' Lodge",
	["The Raven's Crown"] = "The Raven's Crown",
	["The Ravenscrypt"] = "The Ravenscrypt",
	["The Reagentry"] = "The Reagentry",
	["The Reckoning"] = "The Reckoning",
	["The Red Market"] = "The Red Market",
	["The Red Reaches"] = "The Red Reaches",
	["The Refectory"] = "The Refectory",
	["The Regrowth"] = "The Regrowth",
	["The Reliquary"] = "The Reliquary",
	["The Repository"] = "The Repository",
	["The Reservoir"] = "The Reservoir",
	["The Resplendent Gardens"] = "The Resplendent Gardens",
	["The Resting Hole"] = "The Resting Hole",
	["The Restless Front"] = "The Restless Front",
	["The Retreat"] = "The Retreat",
	["The Retreating Forest Top"] = "The Retreating Forest Top",
	["The Ridge of Ancient Flame"] = "The Ridge of Ancient Flame",
	["The Rift"] = "The Rift",
	["The Ring"] = "The Ring",
	["The Ring of Balance"] = "The Ring of Balance",
	["The Ring of Blood"] = "The Ring of Blood",
	["The Ring of Champions"] = "The Ring of Champions",
	["The Ring of Inner Focus"] = "The Ring of Inner Focus",
	["The Ring of Trials"] = "The Ring of Trials",
	["The Ring of Valor"] = "The Ring of Valor",
	["The Riptide"] = "The Riptide",
	["The Ritual Chamber"] = "The Ritual Chamber",
	["The Riverblade Den"] = "The Riverblade Den",
	["The Rivermarsh"] = "The Rivermarsh",
	["The Road Warrior"] = "The Road Warrior",
	["The Robodrome"] = "The Robodrome",
	["The Roiling Gardens"] = "The Roiling Gardens",
	["The Rolling Plains"] = "The Rolling Plains",
	["The Rookery"] = "The Rookery",
	["The Rook's Roost"] = "The Rook's Roost",
	["The Root Cellar"] = "The Root Cellar",
	["The Rotting Grotto"] = "The Rotting Grotto",
	["The Rotting Mire"] = "The Rotting Mire",
	["The Rotting Orchard"] = "The Rotting Orchard",
	["The Rows"] = "The Rows",
	["The Royal Approach"] = "The Royal Approach",
	["The Royal Armory"] = "The Royal Armory",
	["The Royal Cellars"] = "The Royal Cellars",
	["The Royal Exchange"] = "The Royal Exchange",
	["The Royal Meat Rack"] = "The Royal Meat Rack",
	["The Royal Pond"] = "The Royal Pond",
	["The Royal Treasury"] = "The Royal Treasury",
	["The Ruby Sanctum"] = "The Ruby Sanctum",
	["The Ruined Reaches"] = "The Ruined Reaches",
	["The Ruined Sanctum"] = "The Ruined Sanctum",
	["The Ruins of Falanaar"] = "The Ruins of Falanaar",
	["The Ruins of Kel'Theril"] = "The Ruins of Kel'Theril",
	["The Ruins of Ordil'Aran"] = "The Ruins of Ordil'Aran",
	["The Ruins of Stardust"] = "The Ruins of Stardust",
	["The Rum Quarter"] = "The Rum Quarter",
	["The Rumble Cage"] = "The Rumble Cage",
	["The Runecarver's Oubliette"] = "The Runecarver's Oubliette",
	["The Runewood"] = "The Runewood",
	["The Rupture"] = "The Rupture",
	["The Rustmaul Dig Site"] = "The Rustmaul Dig Site",
	["The Rusty Blade"] = "The Rusty Blade",
	["The Rusty Cylinder"] = "The Rusty Cylinder",
	["The Sacred Grove"] = "The Sacred Grove",
	["The Sacred Sands"] = "The Sacred Sands",
	["The Salty Sailor Tavern"] = "The Salty Sailor Tavern",
	["The Salty Spitoon"] = "The Salty Spitoon",
	["The Sanctuary of Souls"] = "The Sanctuary of Souls",
	["The Sanctum"] = "The Sanctum",
	["The Sanctum of Blood"] = "The Sanctum of Blood",
	["The Sand Bar"] = "The Sand Bar",
	["The Savage Coast"] = "The Savage Coast",
	["The Savage Crag"] = "The Savage Crag",
	["The Savage Front"] = "The Savage Front",
	["The Savage Glen"] = "The Savage Glen",
	["The Savage Thicket"] = "The Savage Thicket",
	["The Scalding Chasm"] = "The Scalding Chasm",
	["The Scalding Pools"] = "The Scalding Pools",
	["The Scamp Nest"] = "The Scamp Nest",
	["The Scarab Dais"] = "The Scarab Dais",
	["The Scarab Wall"] = "The Scarab Wall",
	["The Scarlet Basilica"] = "The Scarlet Basilica",
	["The Scarlet Bastion"] = "The Scarlet Bastion",
	["The Scorched Crypt"] = "The Scorched Crypt",
	["The Scorched Grove"] = "The Scorched Grove",
	["The Scorched Plain"] = "The Scorched Plain",
	["The Scrap Field"] = "The Scrap Field",
	["The Scrapyard"] = "The Scrapyard",
	["The Screaming Anvil"] = "The Screaming Anvil",
	["The Screaming Hall"] = "The Screaming Hall",
	["The Screaming Pit"] = "The Screaming Pit",
	["The Screaming Reaches"] = "The Screaming Reaches",
	["The Screeching Canyon"] = "The Screeching Canyon",
	["The Scribe of Stormwind"] = "The Scribe of Stormwind",
	["The Scribe's Sacellum"] = "The Scribe's Sacellum",
	["The Scribes' Sacellum"] = "The Scribes' Sacellum",
	["The Scrollkeeper's Sanctum"] = "The Scrollkeeper's Sanctum",
	["The Scullery "] = "The Scullery ",
	["The Sea of Cinders"] = "The Sea of Cinders",
	["The Sea Reaver's Run"] = "The Sea Reaver's Run",
	["The Sea Wolf"] = "The Sea Wolf",
	["The Seabolt"] = "The Seabolt",
	["The Seabreach Flow"] = "The Seabreach Flow",
	["The Sealed Hall"] = "The Sealed Hall",
	["The Searing Gateway"] = "The Searing Gateway",
	["The Seat of the Triumvirate"] = "The Seat of the Triumvirate",
	["The Seat of the Triumvirate (cin)"] = "The Seat of the Triumvirate (cin)",
	["The Secret Aerie"] = "The Secret Aerie",
	["The Secret Ingredient"] = "The Secret Ingredient",
	["The Secret Lab"] = "The Secret Lab",
	["The Secrets of Ragefire"] = "The Secrets of Ragefire",
	["The Seer's Library"] = "The Seer's Library",
	["The Sepulcher"] = "The Sepulcher",
	["The Serpent and the Demon"] = "The Serpent and the Demon",
	["The Serpent's Maw"] = "The Serpent's Maw",
	["The Severed Span"] = "The Severed Span",
	["The Sewer"] = "The Sewer",
	["The Shadow Rise"] = "The Shadow Rise",
	["The Shadow Stair"] = "The Shadow Stair",
	["The Shadow Throne"] = "The Shadow Throne",
	["The Shadow Tower"] = "The Shadow Tower",
	["The Shadow Vault"] = "The Shadow Vault",
	["The Shadowlands"] = "The Shadowlands",
	["The Shady Nook"] = "The Shady Nook",
	["The Sha'naari Cavern"] = "The Sha'naari Cavern",
	["The Shaper's Terrace"] = "The Shaper's Terrace",
	["The Shark"] = "The Shark",
	["The Shattered Edge"] = "The Shattered Edge",
	["The Shattered Front"] = "The Shattered Front",
	["The Shattered Halls"] = "The Shattered Halls",
	["The Shattered River"] = "The Shattered River",
	["The Shattered Strand"] = "The Shattered Strand",
	["The Shattered Tower"] = "The Shattered Tower",
	["The Shattered Walkway"] = "The Shattered Walkway",
	["The Sheltered Den"] = "The Sheltered Den",
	["The Shepherd's Gate"] = "The Shepherd's Gate",
	["The Shifting Mire"] = "The Shifting Mire",
	["The Shimmer Moor"] = "The Shimmer Moor",
	["The Shimmering Deep"] = "The Shimmering Deep",
	["The Shimmering Flats"] = "The Shimmering Flats",
	["The Shining Strand"] = "The Shining Strand",
	["The Shrine of Aessina"] = "The Shrine of Aessina",
	["The Shrine of Eldretharr"] = "The Shrine of Eldretharr",
	["The Shrouded Asylum"] = "The Shrouded Asylum",
	["The Shrunken Head"] = "The Shrunken Head",
	["The Siege of Lordaeron"] = "The Siege of Lordaeron",
	["The Siegeworks"] = "The Siegeworks",
	["The Silent Sanctuary"] = "The Silent Sanctuary",
	["The Silken Pillow"] = "The Silken Pillow",
	["The Silkwood"] = "The Silkwood",
	["The Silver Blade"] = "The Silver Blade",
	["The Silver Enclave"] = "The Silver Enclave",
	["The Silver Hand"] = "The Silver Hand",
	["The Singing Grove"] = "The Singing Grove",
	["The Singing Pools"] = "The Singing Pools",
	["The Sin'loren"] = "The Sin'loren",
	["The Sinposium"] = "The Sinposium",
	["The Siren's Call"] = "The Siren's Call",
	["The Siren's Daughter"] = "The Siren's Daughter",
	["The Skeletal Reef"] = "The Skeletal Reef",
	["The Skittering Dark"] = "The Skittering Dark",
	["The Skull Warren"] = "The Skull Warren",
	["The Skunkworks"] = "The Skunkworks",
	["The Skybag"] = "The Skybag",
	["The Skybreaker"] = "The Skybreaker",
	["The Skyfire"] = "The Skyfire",
	["The Skyreach Pillar"] = "The Skyreach Pillar",
	["The Slag Forge"] = "The Slag Forge",
	["The Slag Pit"] = "The Slag Pit",
	["The Slaughter House"] = "The Slaughter House",
	["The Slaughtered Lamb"] = "The Slaughtered Lamb",
	["The Slave Enclave"] = "The Slave Enclave",
	["The Slave Pens"] = "The Slave Pens",
	["The Slave Pits"] = "The Slave Pits",
	["The Slick"] = "The Slick",
	["The Slithering Scar"] = "The Slithering Scar",
	["The Sliver"] = "The Sliver",
	["The Sliver Barracks"] = "The Sliver Barracks",
	["The Slough"] = "The Slough",
	["The Slough of Dispair"] = "The Slough of Dispair",
	["The Sludge Fen"] = "The Sludge Fen",
	["The Sludge Fields"] = "The Sludge Fields",
	["The Sludgewerks"] = "The Sludgewerks",
	["The Sneak Hole"] = "The Sneak Hole",
	["The Snoosh"] = "The Snoosh",
	["The Solar Vigil"] = "The Solar Vigil",
	["The Solarium"] = "The Solarium",
	["The Sorcerous Steps"] = "The Sorcerous Steps",
	["The Soul Engine"] = "The Soul Engine",
	["The Soulforges"] = "The Soulforges",
	["The Soulrender"] = "The Soulrender",
	["The South Sea"] = "The South Sea",
	["The Southern Isles"] = "The Southern Isles",
	["The Southern Wall"] = "The Southern Wall",
	["The Spark of Imagination"] = "The Spark of Imagination",
	["The Sparkling Crawl"] = "The Sparkling Crawl",
	["The Spawning Glen"] = "The Spawning Glen",
	["The Spear in the Shadow"] = "The Spear in the Shadow",
	["The Spearhead"] = "The Spearhead",
	["The Spike"] = "The Spike",
	["The Spire"] = "The Spire",
	["The Spirit Crucible"] = "The Spirit Crucible",
	["The Splintered Fleet"] = "The Splintered Fleet",
	["The Splintered Path"] = "The Splintered Path",
	["The Spring Road"] = "The Spring Road",
	["The Stabbing Wastes"] = "The Stabbing Wastes",
	["The Stadium"] = "The Stadium",
	["The Stagnant Oasis"] = "The Stagnant Oasis",
	["The Staidridge"] = "The Staidridge",
	["The Stair of Destiny"] = "The Stair of Destiny",
	["The Stair of Doom"] = "The Stair of Doom",
	["The Stalks"] = "The Stalks",
	["The Starchaser"] = "The Starchaser",
	["The Star's Bazaar"] = "The Star's Bazaar",
	["The Steam Pools"] = "The Steam Pools",
	["The Steamvault"] = "The Steamvault",
	["The Steamway"] = "The Steamway",
	["The Steppe of Life"] = "The Steppe of Life",
	["The Steps of Fate"] = "The Steps of Fate",
	["The Stinging Trail"] = "The Stinging Trail",
	["The Stitchwerks"] = "The Stitchwerks",
	["The Stitchyard"] = "The Stitchyard",
	["The Stockade"] = "The Stockade",
	["The Stockpile"] = "The Stockpile",
	["The Stone Market"] = "The Stone Market",
	["The Stone Vault"] = "The Stone Vault",
	["The Stonecore"] = "The Stonecore",
	["The Stonecore Entrance"] = "The Stonecore Entrance",
	["The Stonefield Farm"] = "The Stonefield Farm",
	["The Stonefire Tavern"] = "The Stonefire Tavern",
	["The Stones of Prophecy"] = "The Stones of Prophecy",
	["The Storehouse"] = "The Storehouse",
	["The Storm Foundry"] = "The Storm Foundry",
	["The Storm Peaks"] = "The Storm Peaks",
	["The Stormbreaker"] = "The Stormbreaker",
	["The Stormbridge"] = "The Stormbridge",
	["The Stormspire"] = "The Stormspire",
	["The Stormwind Extraction"] = "The Stormwind Extraction",
	["The Stormwright's Shelf"] = "The Stormwright's Shelf",
	["The Strider"] = "The Strider",
	["The Stygian Forge"] = "The Stygian Forge",
	["The Sulfic Refuge"] = "The Sulfic Refuge",
	["The Summer Fields"] = "The Summer Fields",
	["The Summer Terrace"] = "The Summer Terrace",
	["The Sun Forge"] = "The Sun Forge",
	["The Sundered Shard"] = "The Sundered Shard",
	["The Sundered Span"] = "The Sundered Span",
	["The Sundering"] = "The Sundering",
	["The Sunken Catacombs"] = "The Sunken Catacombs",
	["The Sunken Keg"] = "The Sunken Keg",
	["The Sunken Ring"] = "The Sunken Ring",
	["The Sunken Vault"] = "The Sunken Vault",
	["The Sunset Brewgarden"] = "The Sunset Brewgarden",
	["The Sunset Shore"] = "The Sunset Shore",
	["The Sunspire"] = "The Sunspire",
	["The Sunstrider"] = "The Sunstrider",
	["The Suntouched Pillar"] = "The Suntouched Pillar",
	["The Sunwell"] = "The Sunwell",
	["The Swarming Pillar"] = "The Swarming Pillar",
	["The Swift Vengeance"] = "The Swift Vengeance",
	["The Swine's Larder"] = "The Swine's Larder",
	["The Swollen Vault"] = "The Swollen Vault",
	["The Sword of Kings"] = "The Sword of Kings",
	["The Tainted Forest"] = "The Tainted Forest",
	["The Tainted Scar"] = "The Tainted Scar",
	["The Talon Den"] = "The Talon Den",
	["The Talondeep Path"] = "The Talondeep Path",
	["The Tannery"] = "The Tannery",
	["The Tasting Room"] = "The Tasting Room",
	["The Tempest Rift"] = "The Tempest Rift",
	["The Temple Gardens"] = "The Temple Gardens",
	["The Temple of Atal'Hakkar"] = "The Temple of Atal'Hakkar",
	["The Temple of Atal'hakkar"] = "The Temple of Atal'hakkar",
	["The Temple of Elune"] = "The Temple of Elune",
	["The Temple of Purity"] = "The Temple of Purity",
	["The Temple of the Jade Serpent"] = "The Temple of the Jade Serpent",
	["The Terrestrial Watchtower"] = "The Terrestrial Watchtower",
	["The Theater of Pain"] = "The Theater of Pain",
	["The Thorn Pits"] = "The Thorn Pits",
	["The Thornsnarl"] = "The Thornsnarl",
	["The Threads of Fate"] = "The Threads of Fate",
	["The Threshold"] = "The Threshold",
	["The Throne of Flame"] = "The Throne of Flame",
	["The Thunder Den"] = "The Thunder Den",
	["The Thunder Forge"] = "The Thunder Forge",
	["The Thunder Forges"] = "The Thunder Forges",
	["The Thundering Heavens"] = "The Thundering Heavens",
	["The Thundering Run"] = "The Thundering Run",
	["The Thundering Spire"] = "The Thundering Spire",
	["The Thunderspire"] = "The Thunderspire",
	["The Thunderwood"] = "The Thunderwood",
	["The Tidal Conflux"] = "The Tidal Conflux",
	["The Tidal Marsh"] = "The Tidal Marsh",
	["The Tidebreaker"] = "The Tidebreaker",
	["The Tidus Stair"] = "The Tidus Stair",
	["The Tiger's Peak"] = "The Tiger's Peak",
	["The Timeless Shore"] = "The Timeless Shore",
	["The Tomb of Sargeras"] = "The Tomb of Sargeras",
	["The Tomb of Tyr"] = "The Tomb of Tyr",
	["The Torjari Pit"] = "The Torjari Pit",
	["The Torment Chambers"] = "The Torment Chambers",
	["The Tormentors of Torghast"] = "The Tormentors of Torghast",
	["The Tower of Arathor"] = "The Tower of Arathor",
	["The Toxic Airfield"] = "The Toxic Airfield",
	["The Trail of Devastation"] = "The Trail of Devastation",
	["The Tranquil Grove"] = "The Tranquil Grove",
	["The Transitus Stair"] = "The Transitus Stair",
	["The Trapper's Enclave"] = "The Trapper's Enclave",
	["The Traveler's Den"] = "The Traveler's Den",
	["The Treasury Heist"] = "The Treasury Heist",
	["The Tremaculum"] = "The Tremaculum",
	["The Trial of Faith"] = "The Trial of Faith",
	["The Trial of Style"] = "The Trial of Style",
	["The Tribunal of Ages"] = "The Tribunal of Ages",
	["The Tundrid Hills"] = "The Tundrid Hills",
	["The Tusk Pools"] = "The Tusk Pools",
	["The Twilight Breach"] = "The Twilight Breach",
	["The Twilight Caverns"] = "The Twilight Caverns",
	["The Twilight Citadel"] = "The Twilight Citadel",
	["The Twilight Enclave"] = "The Twilight Enclave",
	["The Twilight Gate"] = "The Twilight Gate",
	["The Twilight Gauntlet"] = "The Twilight Gauntlet",
	["The Twilight Ridge"] = "The Twilight Ridge",
	["The Twilight Rivulet"] = "The Twilight Rivulet",
	["The Twilight Throne"] = "The Twilight Throne",
	["The Twilight Withering"] = "The Twilight Withering",
	["The Twin Colossals"] = "The Twin Colossals",
	["The Twinblades of the Deceiver"] = "The Twinblades of the Deceiver",
	["The Twisted Glade"] = "The Twisted Glade",
	["The Twisted Grounds"] = "The Twisted Grounds",
	["The Twisted Warren"] = "The Twisted Warren",
	["The Twisting Nether"] = "The Twisting Nether",
	["The Two Fisted Brew"] = "The Two Fisted Brew",
	["The Umbral Forests"] = "The Umbral Forests",
	["The Umbral Locus"] = "The Umbral Locus",
	["The Unbound Thicket"] = "The Unbound Thicket",
	["The Under Junk"] = "The Under Junk",
	["The Underbelly"] = "The Underbelly",
	["The Underbelly Descent"] = "The Underbelly Descent",
	["The Underbog"] = "The Underbog",
	["The Underbough"] = "The Underbough",
	["The Undercroft"] = "The Undercroft",
	["The Undergorge"] = "The Undergorge",
	["The Undergrowth"] = "The Undergrowth",
	["The Underhalls"] = "The Underhalls",
	["The Underpale"] = "The Underpale",
	["The Underrot"] = "The Underrot",
	["The Undershell"] = "The Undershell",
	["The Unseen Blade"] = "The Unseen Blade",
	["The Uplands"] = "The Uplands",
	["The Upper Reaches"] = "The Upper Reaches",
	["The Upside-down Sinners"] = "The Upside-down Sinners",
	["The V.M.Z."] = "The V.M.Z.",
	["The Valley of Fallen Heroes"] = "The Valley of Fallen Heroes",
	["The Valley of Lost Hope"] = "The Valley of Lost Hope",
	["The Valorous Rose"] = "The Valorous Rose",
	["The Vault of Lights"] = "The Vault of Lights",
	["The Vault of the Poets"] = "The Vault of the Poets",
	["The Vector Coil"] = "The Vector Coil",
	["The Veiled Cleft"] = "The Veiled Cleft",
	["The Veiled Den"] = "The Veiled Den",
	["The Veiled Isles"] = "The Veiled Isles",
	["The Veiled Sea"] = "The Veiled Sea",
	["The Veiled Stair"] = "The Veiled Stair",
	["The Venture Co. Mine"] = "The Venture Co. Mine",
	["The Verdant Fields"] = "The Verdant Fields",
	["The Verdant Mire"] = "The Verdant Mire",
	["The Verdant Thicket"] = "The Verdant Thicket",
	["The Verne"] = "The Verne",
	["The Verne - Bridge"] = "The Verne - Bridge",
	["The Verne - Entryway"] = "The Verne - Entryway",
	["The Vibrant Glade"] = "The Vibrant Glade",
	["The Vice"] = "The Vice",
	["The Vicious Vale"] = "The Vicious Vale",
	["The Viewing Room"] = "The Viewing Room",
	["The Vile Reef"] = "The Vile Reef",
	["The Vindicaar"] = "The Vindicaar",
	["The Violet Bluff"] = "The Violet Bluff",
	["The Violet Citadel"] = "The Violet Citadel",
	["The Violet Citadel Spire"] = "The Violet Citadel Spire",
	["The Violet Gate"] = "The Violet Gate",
	["The Violet Hold"] = "The Violet Hold",
	["The Violet Spire"] = "The Violet Spire",
	["The Violet Tower"] = "The Violet Tower",
	["The Vortex Fields"] = "The Vortex Fields",
	["The Vortex Pinnacle"] = "The Vortex Pinnacle",
	["The Vortex Pinnacle Entrance"] = "The Vortex Pinnacle Entrance",
	["The Wailing Caverns"] = "The Wailing Caverns",
	["The Wailing Caverns (Pet Battle Dungeon)"] = "The Wailing Caverns (Pet Battle Dungeon)",
	["The Wailing Tideway"] = "The Wailing Tideway",
	["The Wailing Ziggurat"] = "The Wailing Ziggurat",
	["The Waking Dream"] = "The Waking Dream",
	["The Waking Halls"] = "The Waking Halls",
	["The Walk of Recollection"] = "The Walk of Recollection",
	["The Wandering Isle"] = "The Wandering Isle",
	["The Waning Crescent"] = "The Waning Crescent",
	["The Warden's Court"] = "The Warden's Court",
	["The Warlord's Garrison"] = "The Warlord's Garrison",
	["The Warlord's Terrace"] = "The Warlord's Terrace",
	["The Warp Fields"] = "The Warp Fields",
	["The Warp Piston"] = "The Warp Piston",
	["The Watering Hole"] = "The Watering Hole",
	["The Wavecrest"] = "The Wavecrest",
	["The Wayward Cask"] = "The Wayward Cask",
	["The Weathered Nook"] = "The Weathered Nook",
	["The Weeping Cave"] = "The Weeping Cave",
	["The Weeping Terrace"] = "The Weeping Terrace",
	["The Western Earthshrine"] = "The Western Earthshrine",
	["The Westrift"] = "The Westrift",
	["The Whelping Downs"] = "The Whelping Downs",
	["The Whipple Estate"] = "The Whipple Estate",
	["The Whispering Crag"] = "The Whispering Crag",
	["The Wicked Coil"] = "The Wicked Coil",
	["The Wicked Grotto"] = "The Wicked Grotto",
	["The Wicked Tunnels"] = "The Wicked Tunnels",
	["The Wicker Altar"] = "The Wicker Altar",
	["The Widening Deep"] = "The Widening Deep",
	["The Widow's Clutch"] = "The Widow's Clutch",
	["The Widow's Wail"] = "The Widow's Wail",
	["The Wild Plains"] = "The Wild Plains",
	["The Wildwood"] = "The Wildwood",
	["The Winding Halls"] = "The Winding Halls",
	["The Windrunner"] = "The Windrunner",
	["The Windspire"] = "The Windspire",
	["The Witchwood"] = "The Witchwood",
	["The Wollerton Stead"] = "The Wollerton Stead",
	["The Wonderworks"] = "The Wonderworks",
	["The Wood of Staves"] = "The Wood of Staves",
	["The Workshop"] = "The Workshop",
	["The World Soul"] = "The World Soul",
	["The World Tree"] = "The World Tree",
	["The Writhing Deep"] = "The Writhing Deep",
	["The Writhing Haunt"] = "The Writhing Haunt",
	["The Writhing Mire"] = "The Writhing Mire",
	["The Wyvern's Tail"] = "The Wyvern's Tail",
	["The Xenedar"] = "The Xenedar",
	["The Yaungol Advance"] = "The Yaungol Advance",
	["The Yojamba Exchange"] = "The Yojamba Exchange",
	["The Yorgen Farmstead"] = "The Yorgen Farmstead",
	["The Zandalari Vanguard"] = "The Zandalari Vanguard",
	["The Zocalo"] = "The Zocalo",
	["The Zoram Strand"] = "The Zoram Strand",
	["Theater of Pain"] = "Theater of Pain",
	["Theater of Pain North"] = "Theater of Pain North",
	["Thelgen Rock"] = "Thelgen Rock",
	["Thelsamar"] = "Thelsamar",
	["Theodric's Lodge"] = "Theodric's Lodge",
	["Theramore"] = "Theramore",
	["Theramore Isle"] = "Theramore Isle",
	["Theramore's Fall"] = "Theramore's Fall",
	["Therazane's Throne"] = "Therazane's Throne",
	["Thermal Vents"] = "Thermal Vents",
	["Thieves Camp"] = "Thieves Camp",
	["Things of the Past"] = "Things of the Past",
	["Third Chamber of Kalliope"] = "Third Chamber of Kalliope",
	["Thirsty Alley"] = "Thirsty Alley",
	["Thistlefur Hold"] = "Thistlefur Hold",
	["Thistlefur Village"] = "Thistlefur Village",
	["Thistleshrub Valley"] = "Thistleshrub Valley",
	["Thondroril River"] = "Thondroril River",
	["Thor Modan"] = "Thor Modan",
	["Thoradin's Wall"] = "Thoradin's Wall",
	["Thoras'tal Spire"] = "Thoras'tal Spire",
	["Thorignir Refuge"] = "Thorignir Refuge",
	["Thorim's Peak"] = "Thorim's Peak",
	["Thorim's Rise"] = "Thorim's Rise",
	["Thorium Advance"] = "Thorium Advance",
	["Thorium Point"] = "Thorium Point",
	["Thorn Hill"] = "Thorn Hill",
	["Thornden Kaul"] = "Thornden Kaul",
	["Thornfang Hill"] = "Thornfang Hill",
	["Thornheart"] = "Thornheart",
	["Thornhill Manor"] = "Thornhill Manor",
	["Thornmantle's Hideout"] = "Thornmantle's Hideout",
	["Thornmire"] = "Thornmire",
	["Thornton's Cottage"] = "Thornton's Cottage",
	["Thorson's Post"] = "Thorson's Post",
	["Thorvald's Camp"] = "Thorvald's Camp",
	["Thousand Needles"] = "Thousand Needles",
	["Thovas Base-Camp"] = "Thovas Base-Camp",
	["Thrallmar"] = "Thrallmar",
	["Thrallmar Mine"] = "Thrallmar Mine",
	["Thread House"] = "Thread House",
	["Threads of Dread"] = "Threads of Dread",
	["Three Corners"] = "Three Corners",
	["Three Door Cave"] = "Three Door Cave",
	["Three-Breeze Terrace"] = "Three-Breeze Terrace",
	["Thresher's Wharf"] = "Thresher's Wharf",
	["Throat of Xibala"] = "Throat of Xibala",
	["Throm'var"] = "Throm'var",
	["Throm'var Landing"] = "Throm'var Landing",
	["Throne of Ancient Conquerors"] = "Throne of Ancient Conquerors",
	["Throne of Ascension"] = "Throne of Ascension",
	["Throne of Kil'jaeden"] = "Throne of Kil'jaeden",
	["Throne of Kor'gall"] = "Throne of Kor'gall",
	["Throne of Neptulon"] = "Throne of Neptulon",
	["Throne of Rezan"] = "Throne of Rezan",
	["Throne of Stonemaul"] = "Throne of Stonemaul",
	["Throne of the Apocalypse"] = "Throne of the Apocalypse",
	["Throne of the Damned"] = "Throne of the Damned",
	["Throne of the Elements"] = "Throne of the Elements",
	["Throne of the Four Winds"] = "Throne of the Four Winds",
	["Throne of the Imperator"] = "Throne of the Imperator",
	["Throne of the Tides"] = "Throne of the Tides",
	["Throne of the Tides Entrance"] = "Throne of the Tides Entrance",
	["Throne of the Witch Lord"] = "Throne of the Witch Lord",
	["Throne of Thunder"] = "Throne of Thunder",
	["Throne of Tides"] = "Throne of Tides",
	["Throne Room"] = "Throne Room",
	["Thros, the Blighted Lands"] = "Thros, the Blighted Lands",
	["Thros, The Blighted Lands"] = "Thros, die Verseuchten Lande",
	["Thrym's End"] = "Thrym's End",
	["Thunder Axe Fortress"] = "Thunder Axe Fortress",
	["Thunder Bluff"] = "Thunder Bluff",
	["Thunder Cleft"] = "Thunder Cleft",
	["Thunder Falls"] = "Thunder Falls",
	["Thunder Hold"] = "Thunder Hold",
	["Thunder in Frostfire"] = "Thunder in Frostfire",
	["Thunder Island Alliance Hub"] = "Thunder Island Alliance Hub",
	["Thunder King Horde Hub"] = "Thunder King Horde Hub",
	["Thunder King's Citadel"] = "Thunder King's Citadel",
	["Thunder of the Titans"] = "Thunder of the Titans",
	["Thunder Pass"] = "Thunder Pass",
	["Thunder Peak"] = "Thunder Peak",
	["Thunder Ridge"] = "Thunder Ridge",
	["Thunder Totem"] = "Thunder Totem",
	["Thunderbluff"] = "Thunderbluff",
	["Thunderbrew Distillery"] = "Thunderbrew Distillery",
	["Thunderfall"] = "Thunderfall",
	["Thunderfoot Farm"] = "Thunderfoot Farm",
	["Thunderfoot Fields"] = "Thunderfoot Fields",
	["Thunderfoot Inn"] = "Thunderfoot Inn",
	["Thunderfoot Ranch"] = "Thunderfoot Ranch",
	["Thunderhorn Water Well"] = "Thunderhorn Water Well",
	["Thundering Gorge"] = "Thundering Gorge",
	["Thundering Overlook"] = "Thundering Overlook",
	["Thundering Terrace"] = "Thundering Terrace",
	["Thunderlord Stronghold"] = "Thunderlord Stronghold",
	["Thundermar"] = "Thundermar",
	["Thundermar Ruins"] = "Thundermar Ruins",
	["Thunderpaw Overlook"] = "Thunderpaw Overlook",
	["Thunderpaw Refuge"] = "Thunderpaw Refuge",
	["Thunder's Call"] = "Thunder's Call",
	["Thunder's Rise"] = "Thunder's Rise",
	["Thunderstrike Mountain"] = "Thunderstrike Mountain",
	["Thundertail Wallow"] = "Thundertail Wallow",
	["Thunk's Abode"] = "Thunk's Abode",
	["Thuron's Livery"] = "Thuron's Livery",
	["Thwarting the Twins"] = "Thwarting the Twins",
	["Tian Monastery"] = "Tian Monastery",
	["Tidal Marsh"] = "Tidal Marsh",
	["Tide Pools"] = "Tide Pools",
	["Tidebreak Foothills"] = "Tidebreak Foothills",
	["Tidebreak Summit"] = "Tidebreak Summit",
	["Tidecross"] = "Tidecross",
	["Tidefury Cove"] = "Tidefury Cove",
	["Tide's Fall"] = "Tide's Fall",
	["Tides' Hollow"] = "Tides' Hollow",
	["Tide's Inn"] = "Tide's Inn",
	["Tides of Glory"] = "Tides of Glory",
	["Tideskorn Harbor"] = "Tideskorn Harbor",
	["Tideview Thicket"] = "Tideview Thicket",
	["Tidewater Sanctum"] = "Tidewater Sanctum",
	["Tiffin's Melody"] = "Tiffin's Melody",
	["Tigers' Wood"] = "Tigers' Wood",
	["Timbered Strand"] = "Timbered Strand",
	["Timberfell Outpost"] = "Timberfell Outpost",
	["Timbermaw Hold"] = "Timbermaw Hold",
	["Timbermaw Post"] = "Timbermaw Post",
	["Timeless Isle"] = "Timeless Isle",
	["Time-Lost Glade"] = "Time-Lost Glade",
	["Time-Lost Waters"] = "Time-Lost Waters",
	["Timeworn Strand"] = "Timeworn Strand",
	["Tinker Town"] = "Tinker Town",
	["Tinkers' Court"] = "Tinkers' Court",
	["Tinted Cave"] = "Tinted Cave",
	["Tiragarde Keep"] = "Tiragarde Keep",
	["Tiragarde Redoubt"] = "Tiragarde Redoubt",
	["Tiragarde Sound"] = "Tiragarde Sound",
	["Tirisfal Glades"] = "Tirisfal Glades",
	["Tirisfal Glades: The Blight"] = "Tirisfal Glades: The Blight",
	["Tirna Glayn"] = "Tirna Glayn",
	["Tirna Noch"] = "Tirna Noch",
	["Tirna Rowen"] = "Tirna Rowen",
	["Tirna Scithe"] = "Tirna Scithe",
	["Tirna Vaal"] = "Tirna Vaal",
	["Tirnenn's Rest"] = "Tirnenn's Rest",
	["Tirth's Haunt"] = "Tirth's Haunt",
	["Titan Island"] = "Titan Island",
	["Tkashi Ruins"] = "Tkashi Ruins",
	["To The Skies!"] = "To The Skies!",
	["To the Skies!"] = "To the Skies!",
	["Tol Barad"] = "Tol Barad",
	["Tol Barad Peninsula"] = "Tol Barad Peninsula",
	["Tol Dagor"] = "Tol Dagor",
	["Tol'viron Arena"] = "Tol'viron Arena",
	["Tol'Viron Arena"] = "Arena der Tol'vir",
	["Tomb Approach"] = "Tomb Approach",
	["Tomb of Conquerors"] = "Tomb of Conquerors",
	["Tomb of Lights"] = "Tomb of Lights",
	["Tomb of Sargeras"] = "Tomb of Sargeras",
	["Tomb of Secrets"] = "Tomb of Secrets",
	["Tomb of Shadows"] = "Tomb of Shadows",
	["Tomb of Souls"] = "Tomb of Souls",
	["Tomb of the Ancients"] = "Tomb of the Ancients",
	["Tomb of the Earthrager"] = "Tomb of the Earthrager",
	["Tomb of the Icebreaker"] = "Tomb of the Icebreaker",
	["Tomb of the Lost Kings"] = "Tomb of the Lost Kings",
	["Tomb of the Old Kings"] = "Tomb of the Old Kings",
	["Tomb of the Penitent"] = "Tomb of the Penitent",
	["Tomb of the Sun King"] = "Tomb of the Sun King",
	["Tomb of the Watchers"] = "Tomb of the Watchers",
	["Tombs of the Precursors"] = "Tombs of the Precursors",
	["Tome of the Unrepentant "] = "Tome of the Unrepentant ",
	["Tongo's Hideout"] = "Tongo's Hideout",
	["Toothy Shallows"] = "Toothy Shallows",
	["Torga's Innards"] = "Torga's Innards",
	["Torga's Rest"] = "Torga's Rest",
	["Torga's Tavern"] = "Torga's Tavern",
	["Torghast"] = "Torghast",
	["Torghast, Tower of the Damned"] = "Torghast, Tower of the Damned",
	["Tor'goroth's Tooth"] = "Tor'goroth's Tooth",
	["Torka's Camp"] = "Torka's Camp",
	["Tor'kren Farm"] = "Tor'kren Farm",
	["Tormentors of Torghast"] = "Tormentors of Torghast",
	["Torok's Bluff"] = "Torok's Bluff",
	["Torp's Farm"] = "Torp's Farm",
	["Torseg's Rest"] = "Torseg's Rest",
	["Tortaka Refuge"] = "Tortaka Refuge",
	["Torturer's Hovel"] = "Torturer's Hovel",
	["Tor'Watha"] = "Tor'Watha",
	["Toryl Estate"] = "Toryl Estate",
	["Toshley's Station"] = "Toshley's Station",
	["Tournament of Valor"] = "Tournament of Valor",
	["Tower"] = "Tower",
	["Tower of Althalaxx"] = "Tower of Althalaxx",
	["Tower of Azora"] = "Tower of Azora",
	["Tower of Eldara"] = "Tower of Eldara",
	["Tower of Elements"] = "Tower of Elements",
	["Tower of Estulan"] = "Tower of Estulan",
	["Tower of Ilgalar"] = "Tower of Ilgalar",
	["Tower of the Damned"] = "Tower of the Damned",
	["Tower of War"] = "Tower of War",
	["Tower Point"] = "Tower Point",
	["Tower Watch"] = "Tower Watch",
	["Towering Cavern Glimmershell"] = "Towering Cavern Glimmershell",
	["Town Hall"] = "Town Hall",
	["Town Square"] = "Town Square",
	["Town-In-A-Box"] = "Town-In-A-Box",
	["Townlong Steppes"] = "Townlong Steppes",
	["Toxxulanar"] = "Toxxulanar",
	["Trade District"] = "Trade District",
	["Trade Quarter"] = "Trade Quarter",
	["Trader's Camp"] = "Trader's Camp",
	["Trader's Tier"] = "Trader's Tier",
	["Tradesmen's Terrace"] = "Tradesmen's Terrace",
	["Tradewind & Crow: Dreamgrove Detectives"] = "Tradewind & Crow: Dreamgrove Detectives",
	["Tradewind Roost"] = "Tradewind Roost",
	["Tradewinds Counting House"] = "Tradewinds Counting House",
	["Tradewinds Market"] = "Tradewinds Market",
	["Trading Post"] = "Trading Post",
	["Train Depot"] = "Train Depot",
	["Training Grounds"] = "Training Grounds",
	["Training Hall"] = "Training Hall",
	["Training Quarters"] = "Training Quarters",
	["Traitor's Cove"] = "Traitor's Cove",
	["Traitor's Overlook"] = "Traitor's Overlook",
	["Trak's Rise"] = "Trak's Rise",
	["Tranquil Coast"] = "Tranquil Coast",
	["Tranquil Court"] = "Tranquil Court",
	["Tranquil Gardens Cemetery"] = "Tranquil Gardens Cemetery",
	["Tranquil Grotto"] = "Tranquil Grotto",
	["Tranquil Pools"] = "Tranquil Pools",
	["Tranquil Shore"] = "Tranquil Shore",
	["Tranquil Wash"] = "Tranquil Wash",
	["Tranquillien"] = "Tranquillien",
	["Transborea"] = "Transborea",
	["Transfer Station Ta"] = "Transfer Station Ta",
	["Transitus Shield"] = "Transitus Shield",
	["Transport"] = "Transport",
	["Transport: Alliance Gunship"] = "Transport: Alliance Gunship",
	["Transport: Alliance Gunship (IGB)"] = "Transport: Alliance Gunship (IGB)",
	["Transport: Horde Gunship"] = "Transport: Horde Gunship",
	["Transport: Horde Gunship (IGB)"] = "Transport: Horde Gunship (IGB)",
	["Transport: Onyxia/Nefarian Elevator"] = "Transport: Onyxia/Nefarian Elevator",
	["Trelleum Mine"] = "Trelleum Mine",
	["Tremblade's Vanguard"] = "Tremblade's Vanguard",
	["Trench of the Enders"] = "Trench of the Enders",
	["TrevorsArea"] = "TrevorsArea",
	["TrevorsHouse"] = "TrevorsHouse",
	["Triad's Conservatory"] = "Triad's Conservatory",
	["Trial of Fire"] = "Trial of Fire",
	["Trial of Frost"] = "Trial of Frost",
	["Trial of Shadow"] = "Trial of Shadow",
	["Trial of Style"] = "Trial of Style",
	["Trial of the Champion"] = "Trial of the Champion",
	["Trial of the Champion Entrance"] = "Trial of the Champion Entrance",
	["Trial of the Crusader"] = "Trial of the Crusader",
	["Trial of the Serpent"] = "Trial of the Serpent",
	["Trial of Valor"] = "Trial of Valor",
	["Trickling Passage"] = "Trickling Passage",
	["Trickster's Cut"] = "Trickster's Cut",
	["Triumvirate's End"] = "Triumvirate's End",
	["Trogma's Claim"] = "Trogma's Claim",
	["Troll Forest Cafe"] = "Troll Forest Cafe",
	["Troll War Camp Outskirts"] = "Troll War Camp Outskirts",
	["Trollbane Hall"] = "Trollbane Hall",
	["Trophy Hall"] = "Trophy Hall",
	["Troves of the Thunder King"] = "Troves of the Thunder King",
	["Trueshot Lodge"] = "Trueshot Lodge",
	["Trueshot Point"] = "Trueshot Point",
	["Tsavo'ka's Den"] = "Tsavo'ka's Den",
	["Tu Shen Burial Ground"] = "Tu Shen Burial Ground",
	["Tucker's Toys"] = "Tucker's Toys",
	["Tuluman's Landing"] = "Tuluman's Landing",
	["Tul'vor"] = "Tul'vor",
	["Tunnel of Woe"] = "Tunnel of Woe",
	["Turgall's Den"] = "Turgall's Den",
	["Turn Back the Tides: Azsuna"] = "Turn Back the Tides: Azsuna",
	["Turn Back the Tides: Highmountain"] = "Turn Back the Tides: Highmountain",
	["Turn Back the Tides: Stormheim"] = "Turn Back the Tides: Stormheim",
	["Turn Back the Tides: Val'sharah"] = "Turn Back the Tides: Val'sharah",
	["Turtle Beach"] = "Turtle Beach",
	["Tushui Landing"] = "Tushui Landing",
	["Tusk Hollow"] = "Tusk Hollow",
	["Tusk Isle"] = "Tusk Isle",
	["Tuurem"] = "Tuurem",
	["Twilight Aerie"] = "Twilight Aerie",
	["Twilight Altar of Storms"] = "Twilight Altar of Storms",
	["Twilight Base Camp"] = "Twilight Base Camp",
	["Twilight Bulwark"] = "Twilight Bulwark",
	["Twilight Camp"] = "Twilight Camp",
	["Twilight Command Post"] = "Twilight Command Post",
	["Twilight Crossing"] = "Twilight Crossing",
	["Twilight Depths"] = "Twilight Depths",
	["Twilight Forge"] = "Twilight Forge",
	["Twilight Glade"] = "Twilight Glade",
	["Twilight Grove"] = "Twilight Grove",
	["Twilight Highlands"] = "Twilight Highlands",
	["Twilight Highlands Zeppelin 1"] = "Twilight Highlands Zeppelin 1",
	["Twilight Highlands Zeppelin 2"] = "Twilight Highlands Zeppelin 2",
	["Twilight Landing"] = "Twilight Landing",
	["Twilight Outpost"] = "Twilight Outpost",
	["Twilight Overlook"] = "Twilight Overlook",
	["Twilight Post"] = "Twilight Post",
	["Twilight Precipice"] = "Twilight Precipice",
	["Twilight Shore"] = "Twilight Shore",
	["Twilight Terrace"] = "Twilight Terrace",
	["Twilight Vale"] = "Twilight Vale",
	["Twilight Vineyards"] = "Twilight Vineyards",
	["Twilight's Run"] = "Twilight's Run",
	["Twin Peaks"] = "Twin Peaks",
	["Twin Rivers"] = "Twin Rivers",
	["Twin Shores"] = "Twin Shores",
	["Twin Spire Ruins"] = "Twin Spire Ruins",
	["Twinbraid's Patrol"] = "Twinbraid's Patrol",
	["Twinspire Keep"] = "Twinspire Keep",
	["Twinspire Keep Interior"] = "Twinspire Keep Interior",
	["Twisting Nether"] = "Twisting Nether",
	["Tyrande's Ascension"] = "Tyrande's Ascension",
	["Tyranny of the Light"] = "Tyranny of the Light",
	["Tyr's Fall"] = "Tyr's Fall",
	["Tyr's Hand"] = "Tyr's Hand",
	["Tyr's Hand Abbey"] = "Tyr's Hand Abbey",
	["Tyr's Terrace"] = "Tyr's Terrace",
	["Ufrang's Hall"] = "Ufrang's Hall",
	["Uldaman"] = "Uldaman",
	["Uldaman Entrance"] = "Uldaman Entrance",
	["Uldir"] = "Uldir",
	["Uldis"] = "Uldis",
	["Ulduar"] = "Ulduar",
	["Ulduar Warrior Scenario"] = "Ulduar Warrior Scenario",
	["Uldum"] = "Uldum",
	["Ulfar's Den"] = "Ulfar's Den",
	["Umber Shore"] = "Umber Shore",
	["Umbra Hollows"] = "Umbra Hollows",
	["Umbrafen"] = "Umbrafen",
	["Umbrafen Lake"] = "Umbrafen Lake",
	["Umbrafen Point"] = "Umbrafen Point",
	["Umbrafen Village"] = "Umbrafen Village",
	["Umbral Halls"] = "Umbral Halls",
	["Uncharted Island"] = "Uncharted Island",
	["Uncharted Sea"] = "Uncharted Sea",
	["Uncharted Territory"] = "Uncharted Territory",
	["Uncrowned Vault"] = "Uncrowned Vault",
	["Undercity"] = "Undercity",
	["Underhold Nexus"] = "Underhold Nexus",
	["Underlight Canyon"] = "Underlight Canyon",
	["Underlight Mines"] = "Underlight Mines",
	["Underrot"] = "Underrot",
	["Underslog"] = "Underslog",
	["Understone Breach"] = "Understone Breach",
	["Underwater Passage"] = "Underwater Passage",
	["Underweald"] = "Underweald",
	["Unearthed Grounds"] = "Unearthed Grounds",
	["Unfallen's Sanctum"] = "Unfallen's Sanctum",
	["Unga Ingoo"] = "Unga Ingoo",
	["Un'gol Ruins"] = "Un'gol Ruins",
	["Un'Goro Crater"] = "Un'Goro Crater",
	["Unity Square"] = "Unity Square",
	["Unknown Crypt"] = "Unknown Crypt",
	["Unu'pe"] = "Unu'pe",
	["Unyielding Assembly"] = "Unyielding Assembly",
	["Unyielding Garrison"] = "Unyielding Garrison",
	["Upper Blackrock Spire"] = "Upper Blackrock Spire",
	["Upper City"] = "Upper City",
	["Upper Corlain"] = "Upper Corlain",
	["Upper Faronaar"] = "Upper Faronaar",
	["Upper Frogmarsh"] = "Upper Frogmarsh",
	["Upper Return to Karazhan"] = "Upper Return to Karazhan",
	["Upper Silvermarsh"] = "Upper Silvermarsh",
	["Upper Sumprushes"] = "Upper Sumprushes",
	["Upper Veil Shil'ak"] = "Upper Veil Shil'ak",
	["Upton Borough"] = "Upton Borough",
	["Urok's Lair"] = "Urok's Lair",
	["Ursoc's Den"] = "Ursoc's Den",
	["Ursocs Lair"] = "Ursocs Lair",
	["Ursoc's Lair"] = "Ursoc's Lair",
	["Ursolan"] = "Ursolan",
	["Utama's Stand"] = "Utama's Stand",
	["Utgarde Catacombs"] = "Utgarde Catacombs",
	["Utgarde Keep"] = "Utgarde Keep",
	["Utgarde Keep Entrance"] = "Utgarde Keep Entrance",
	["Utgarde Pinnacle"] = "Utgarde Pinnacle",
	["Utgarde Pinnacle Entrance"] = "Utgarde Pinnacle Entrance",
	["Uther's Tomb"] = "Uther's Tomb",
	["Vaal Grotto"] = "Vaal Grotto",
	["Vadekius's Rest"] = "Vadekius's Rest",
	["Valaar's Berth"] = "Valaar's Berth",
	["Valdisdall"] = "Valdisdall",
	["Vale of Eternal Blossoms"] = "Vale of Eternal Blossoms",
	["Vale of Eternal Twilight"] = "Vale of Eternal Twilight",
	["Valgan's Field"] = "Valgan's Field",
	["Valgarde"] = "Valgarde",
	["Valgarde Port"] = "Valgarde Port",
	["Valhalas"] = "Valhalas",
	["Valiance Keep"] = "Valiance Keep",
	["Valiance Landing Camp"] = "Valiance Landing Camp",
	["Valiant Rest"] = "Valiant Rest",
	["Valiant's Path"] = "Valiant's Path",
	["Valkyrion"] = "Valkyrion",
	["Valley of a Thousand Legs"] = "Valley of a Thousand Legs",
	["Valley of Ancient Winters"] = "Valley of Ancient Winters",
	["Valley of Ashes"] = "Valley of Ashes",
	["Valley of Bones"] = "Valley of Bones",
	["Valley of Destruction"] = "Valley of Destruction",
	["Valley of Echoes"] = "Valley of Echoes",
	["Valley of Emperors"] = "Valley of Emperors",
	["Valley of Fangs"] = "Valley of Fangs",
	["Valley of Heroes"] = "Valley of Heroes",
	["Valley Of Heroes"] = "Valley Of Heroes",
	["Valley of Honor"] = "Valley of Honor",
	["Valley of Kings"] = "Valley of Kings",
	["Valley of Power"] = "Valley of Power",
	["Valley Of Power - Scenario"] = "Valley Of Power - Scenario",
	["Valley of Sighs"] = "Valley of Sighs",
	["Valley of Sorrows"] = "Valley of Sorrows",
	["Valley of Spears"] = "Valley of Spears",
	["Valley of Spirits"] = "Valley of Spirits",
	["Valley of Strength"] = "Valley of Strength",
	["Valley of the Bloodfuries"] = "Valley of the Bloodfuries",
	["Valley of the Four Winds"] = "Valley of the Four Winds",
	["Valley of the Sword"] = "Valley of the Sword",
	["Valley of the Watchers"] = "Valley of the Watchers",
	["Valley of Trials"] = "Valley of Trials",
	["Valley of Wisdom"] = "Valley of Wisdom",
	["Valorcall Pass"] = "Valorcall Pass",
	["Valormok"] = "Valormok",
	["Valor's Edge"] = "Valor's Edge",
	["Valor's Rest"] = "Valor's Rest",
	["Valorwind Lake"] = "Valorwind Lake",
	["Val'sharah"] = "Val'sharah",
	["Vanguard Infirmary"] = "Vanguard Infirmary",
	["Vanndir Encampment"] = "Vanndir Encampment",
	["Vanquish Point"] = "Vanquish Point",
	["Vargoth's Retreat"] = "Vargoth's Retreat",
	["Vashj'elan Spawning Pool"] = "Vashj'elan Spawning Pool",
	["Vashj'ir"] = "Vashj'ir",
	["Vault of Aggramar"] = "Vault of Aggramar",
	["Vault of Archavon"] = "Vault of Archavon",
	["Vault of Eyes"] = "Vault of Eyes",
	["Vault of Eyir"] = "Vault of Eyir",
	["Vault of Ice"] = "Vault of Ice",
	["Vault of Ironforge"] = "Vault of Ironforge",
	["Vault of Kings"] = "Vault of Kings",
	["Vault of Kings Past"] = "Vault of Kings Past",
	["Vault of Law"] = "Vault of Law",
	["Vault of Memory"] = "Vault of Memory",
	["Vault of Mirrors"] = "Vault of Mirrors",
	["Vault of Secrets"] = "Vault of Secrets",
	["Vault of Silence"] = "Vault of Silence",
	["Vault of Souls"] = "Vault of Souls",
	["Vault of the Archon"] = "Vault of the Archon",
	["Vault of the Betrayer"] = "Vault of the Betrayer",
	["Vault of the Earth"] = "Vault of the Earth",
	["Vault of the Ravenian"] = "Vault of the Ravenian",
	["Vault of the Shadowflame"] = "Vault of the Shadowflame",
	["Vault of the Titan"] = "Vault of the Titan",
	["Vault of the Wardens"] = "Vault of the Wardens",
	["Vault of Xal'zaix"] = "Vault of Xal'zaix",
	["Vault of Y'Shaarj"] = "Vault of Y'Shaarj",
	["VaultDungeon"] = "VaultDungeon",
	["Veil Akraz"] = "Veil Akraz",
	["Veil Ala'rak"] = "Veil Ala'rak",
	["Veil Harr'ik"] = "Veil Harr'ik",
	["Veil Lashh"] = "Veil Lashh",
	["Veil Lithic"] = "Veil Lithic",
	["Veil Reskk"] = "Veil Reskk",
	["Veil Rhaze"] = "Veil Rhaze",
	["Veil Ruuan"] = "Veil Ruuan",
	["Veil Sethekk"] = "Veil Sethekk",
	["Veil Shadar"] = "Veil Shadar",
	["Veil Shalas"] = "Veil Shalas",
	["Veil Shienor"] = "Veil Shienor",
	["Veil Skith"] = "Veil Skith",
	["Veil Terokk"] = "Veil Terokk",
	["Veil Vekh"] = "Veil Vekh",
	["Veil Zekk"] = "Veil Zekk",
	["Veiled Enclave"] = "Veiled Enclave",
	["Veiled Grotto"] = "Veiled Grotto",
	["Vekhaar Stand"] = "Vekhaar Stand",
	["Velaani's Arcane Goods"] = "Velaani's Arcane Goods",
	["Ve'nari's Refuge"] = "Ve'nari's Refuge",
	["Vendetta Point"] = "Vendetta Point",
	["Vengeance Landing"] = "Vengeance Landing",
	["Vengeance Landing Inn"] = "Vengeance Landing Inn",
	["Vengeance Landing Inn, Howling Fjord"] = "Vengeance Landing Inn, Howling Fjord",
	["Vengeance Lift"] = "Vengeance Lift",
	["Vengeance Pass"] = "Vengeance Pass",
	["Vengeance Point"] = "Vengeance Point",
	["Vengeance Wake"] = "Vengeance Wake",
	["Venomous Ledge"] = "Venomous Ledge",
	["Venomspite"] = "Venomspite",
	["Venomsting Pits"] = "Venomsting Pits",
	["Venomweb Vale"] = "Venomweb Vale",
	["Ven'orn's Lair"] = "Ven'orn's Lair",
	["Venture Bay"] = "Venture Bay",
	["Venture Co. Base Camp"] = "Venture Co. Base Camp",
	["Venture Co. Operations Center"] = "Venture Co. Operations Center",
	["Verdant Belt"] = "Verdant Belt",
	["Verdant Cliffs"] = "Verdant Cliffs",
	["Verdant Grove"] = "Verdant Grove",
	["Verdant Highlands"] = "Verdant Highlands",
	["Verdant Hollow"] = "Verdant Hollow",
	["Verdant Plateau"] = "Verdant Plateau",
	["Verdant Slope"] = "Verdant Slope",
	["Verdant Wilds"] = "Verdant Wilds",
	["Verdantis Pass"] = "Verdantis Pass",
	["Verdantis River"] = "Verdantis River",
	["Veridian Point"] = "Veridian Point",
	["Verlok Stand"] = "Verlok Stand",
	["Vermillion Redoubt"] = "Vermillion Redoubt",
	["Verming Tunnels Micro"] = "Verming Tunnels Micro",
	["Verrall Delta"] = "Verrall Delta",
	["Verrall River"] = "Verrall River",
	["Vestibule of Eternity"] = "Vestibule of Eternity",
	["Vestibule of the Faithless"] = "Vestibule of the Faithless",
	["Vestibule of the Silver Hand"] = "Vestibule of the Silver Hand",
	["Victor's Point"] = "Victor's Point",
	["Vigil Hill"] = "Vigil Hill",
	["Vigil of the Endless"] = "Vigil of the Endless",
	["Vile Cavern"] = "Vile Cavern",
	["Vileprey Village"] = "Vileprey Village",
	["Village in the Vines"] = "Village in the Vines",
	["Vim'gol's Circle"] = "Vim'gol's Circle",
	["Vindicaar"] = "Vindicaar",
	["Vindicator's Rest"] = "Vindicator's Rest",
	["Violet Citadel Balcony"] = "Violet Citadel Balcony",
	["Violet Hold"] = "Violet Hold",
	["Violet Hold Entrance"] = "Violet Hold Entrance",
	["Violet Rise"] = "Violet Rise",
	["Violet Stand"] = "Violet Stand",
	["Viperville"] = "Viperville",
	["Virmen Grotto"] = "Virmen Grotto",
	["Virmen Nest"] = "Virmen Nest",
	["Vir'naal Dam"] = "Vir'naal Dam",
	["Vir'naal Lake"] = "Vir'naal Lake",
	["Vir'naal Oasis"] = "Vir'naal Oasis",
	["Vir'naal River"] = "Vir'naal River",
	["Vir'naal River Delta"] = "Vir'naal River Delta",
	["Virulent Mire"] = "Virulent Mire",
	["Vision of Boralus"] = "Vision of Boralus",
	["Vision of Boralus Bridge"] = "Vision of Boralus Bridge",
	["Vision of Destiny"] = "Vision of Destiny",
	["Vision of Dwarven District"] = "Vision of Dwarven District",
	["Vision of Grommash Hold"] = "Vision of Grommash Hold",
	["Vision of Old Town"] = "Vision of Old Town",
	["Vision of Orgrimmar"] = "Vision of Orgrimmar",
	["Vision of Stormwind"] = "Vision of Stormwind",
	["Vision of Stormwind City"] = "Vision of Stormwind City",
	["Vision of the Twisting Sands"] = "Vision of the Twisting Sands",
	["Visions of N'Zoth"] = "Visions of N'Zoth",
	["Visions of Orgrimmar Staging"] = "Visions of Orgrimmar Staging",
	["Void Chamber"] = "Void Chamber",
	["Void Ridge"] = "Void Ridge",
	["Voidwind Plateau"] = "Voidwind Plateau",
	["Volcanoth's Lair"] = "Volcanoth's Lair",
	["Voldrin's Hold"] = "Voldrin's Hold",
	["Voldrune"] = "Voldrune",
	["Voldrune Dwelling"] = "Voldrune Dwelling",
	["Vol'dun"] = "Vol'dun",
	["Vol'jin's Arsenal"] = "Vol'jin's Arsenal",
	["Vol'jin's Funeral Pyre"] = "Vol'jin's Funeral Pyre",
	["Vol'jin's Pride"] = "Vol'jin's Pride",
	["Vol'jin's Pride Worksite"] = "Vol'jin's Pride Worksite",
	["Vol'mar"] = "Vol'mar",
	["Vol'mar Hold"] = "Vol'mar Hold",
	["Volo's Homestead"] = "Volo's Homestead",
	["Volrath's Advance"] = "Volrath's Advance",
	["Voltarus"] = "Voltarus",
	["Volund's Hoard"] = "Volund's Hoard",
	["Vordrassil Pass"] = "Vordrassil Pass",
	["Vordrassil's Heart"] = "Vordrassil's Heart",
	["Vordrassil's Limb"] = "Vordrassil's Limb",
	["Vordrassil's Tears"] = "Vordrassil's Tears",
	["Vorrik's Sanctum"] = "Vorrik's Sanctum",
	["Vortex Pinnacle"] = "Vortex Pinnacle",
	["Vortex Summit"] = "Vortex Summit",
	["Vortrexxis"] = "Vortrexxis",
	["Vrekt"] = "Vrekt",
	["Vul'Gol Ogre Mound"] = "Vul'Gol Ogre Mound",
	["Vulpera Hideaway"] = "Vulpera Hideaway",
	["Vulture's Nest"] = "Vulture's Nest",
	["Vyletongue Seat"] = "Vyletongue Seat",
	["W. Sprocket Ave"] = "W. Sprocket Ave",
	["Wahl Cottage"] = "Wahl Cottage",
	["Wailing Caverns"] = "Wailing Caverns",
	["Wailing Critters"] = "Wailing Critters",
	["Wailing Halls"] = "Wailing Halls",
	["Wakener's Enclave"] = "Wakener's Enclave",
	["Walk of Elders"] = "Walk of Elders",
	["Walk of Kings"] = "Walk of Kings",
	["Wanderer's Cove"] = "Wanderer's Cove",
	["Wanecrypt Hill"] = "Wanecrypt Hill",
	["Wanecrypt Hill Inn"] = "Wanecrypt Hill Inn",
	["Waning Crescent"] = "Waning Crescent",
	["Waning Glacier"] = "Waning Glacier",
	["War Campaign - Alliance"] = "War Campaign - Alliance",
	["War Campaign - Horde"] = "War Campaign - Horde",
	["War Mill"] = "War Mill",
	["War Quarter"] = "War Quarter",
	["War Room"] = "War Room",
	["Warbeast Kraal"] = "Warbeast Kraal",
	["Warbringer's Ring"] = "Warbringer's Ring",
	["Warcamp Gromdar"] = "Warcamp Gromdar",
	["Warchief's Lookout"] = "Warchief's Lookout",
	["Warcraft Heroes"] = "Warcraft Heroes",
	["Warcrawler Burrow"] = "Warcrawler Burrow",
	["Warden Prison DH Quests"] = "Warden Prison DH Quests",
	["Warden Tower"] = "Warden Tower",
	["Warden's Cage"] = "Warden's Cage",
	["Warden's Chambers"] = "Warden's Chambers",
	["Wardens' Redoubt"] = "Wardens' Redoubt",
	["Warden's Vigil"] = "Warden's Vigil",
	["Warder's Hollow"] = "Warder's Hollow",
	["Warfang Hold"] = "Warfang Hold",
	["Warfront Barrens"] = "Warfront Barrens",
	["Warfronts Prototype"] = "Warfronts Prototype",
	["Warfronts Prototype Main"] = "Warfronts Prototype Main",
	["Warmaul Hill"] = "Warmaul Hill",
	["Warport Rastari"] = "Warport Rastari",
	["Warpwind Cliffs"] = "Warpwind Cliffs",
	["Warpwood Quarter"] = "Warpwood Quarter",
	["Warren of Decay"] = "Warren of Decay",
	["Warrior's District"] = "Warrior's District",
	["Warrior's Terrace"] = "Warrior's Terrace",
	["Warship"] = "Warship",
	["Warsong Camp"] = "Warsong Camp",
	["Warsong Farms Outpost"] = "Warsong Farms Outpost",
	["Warsong Flag Room"] = "Warsong Flag Room",
	["Warsong Granary"] = "Warsong Granary",
	["Warsong Gulch"] = "Warsong Gulch",
	["Warsong Hold"] = "Warsong Hold",
	["Warsong Jetty"] = "Warsong Jetty",
	["Warsong Labor Camp"] = "Warsong Labor Camp",
	["Warsong Lookout"] = "Warsong Lookout",
	["Warsong Lumber Camp"] = "Warsong Lumber Camp",
	["Warsong Lumber Mill"] = "Warsong Lumber Mill",
	["Warsong Slaughterhouse"] = "Warsong Slaughterhouse",
	["Warspear"] = "Warspear",
	["Warspear Barracks"] = "Warspear Barracks",
	["Warspear Base"] = "Warspear Base",
	["Warspear Detention Cell"] = "Warspear Detention Cell",
	["Warspear Excavation"] = "Warspear Excavation",
	["Warspear Hold"] = "Warspear Hold",
	["Warspear Infirmary"] = "Warspear Infirmary",
	["Warspear Keep"] = "Warspear Keep",
	["Warspear Outpost"] = "Warspear Outpost",
	["Watchers' Aerie"] = "Watchers' Aerie",
	["Watcher's Den"] = "Watcher's Den",
	["Watcher's Sanctum"] = "Watcher's Sanctum",
	["Watchers' Terrace"] = "Watchers' Terrace",
	["Watcher's Wood"] = "Watcher's Wood",
	["Watchman's Rise"] = "Watchman's Rise",
	["Watchman's Rock"] = "Watchman's Rock",
	["Watchman's Tower"] = "Watchman's Tower",
	["Waterfall"] = "Waterfall",
	["Waterfall Cave"] = "Waterfall Cave",
	["Waterfall Cave 1"] = "Waterfall Cave 1",
	["Waterlogged Sewers"] = "Waterlogged Sewers",
	["Waterspeaker's Sanctuary"] = "Waterspeaker's Sanctuary",
	["Waterspring Field"] = "Waterspring Field",
	["Watertusk Inn"] = "Watertusk Inn",
	["Waterworks"] = "Waterworks",
	["Wavespeaker's Sanctum"] = "Wavespeaker's Sanctum",
	["Wavestrider Beach"] = "Wavestrider Beach",
	["Waxwood"] = "Waxwood",
	["Waycrest Manor"] = "Waycrest Manor",
	["Wayfarer's Rest"] = "Wayfarer's Rest",
	["Waygate"] = "Waygate",
	["Wayne's Refuge"] = "Wayne's Refuge",
	["Wayshrine of the Fallen"] = "Wayshrine of the Fallen",
	["Wayward Shoals"] = "Wayward Shoals",
	["Wayward Thicket"] = "Wayward Thicket",
	["Weazel's Crater"] = "Weazel's Crater",
	["Webwinder Hollow"] = "Webwinder Hollow",
	["Webwinder Path"] = "Webwinder Path",
	["Weeping Bluffs"] = "Weeping Bluffs",
	["Weeping Quarry"] = "Weeping Quarry",
	["Well of Eternity"] = "Well of Eternity",
	["Well of the Forgotten"] = "Well of the Forgotten",
	["Wellington"] = "Wellington",
	["Wellson Shipyard"] = "Wellson Shipyard",
	["Wellspring Hovel"] = "Wellspring Hovel",
	["Wellspring Lake"] = "Wellspring Lake",
	["Wellspring River"] = "Wellspring River",
	["West Garrison"] = "West Garrison",
	["West Pavilion"] = "West Pavilion",
	["West Pillar"] = "West Pillar",
	["West Point Station"] = "West Point Station",
	["West Point Tower"] = "West Point Tower",
	["West Sanctum"] = "West Sanctum",
	["West Spear Tower"] = "West Spear Tower",
	["West Spire"] = "West Spire",
	["Westbrook Garrison"] = "Westbrook Garrison",
	["Western Bridge"] = "Western Bridge",
	["Western Plaguelands"] = "Western Plaguelands",
	["Western Spray"] = "Western Spray",
	["Western Strand"] = "Western Strand",
	["Western Suramar"] = "Western Suramar",
	["Western Transept"] = "Western Transept",
	["Western Watch"] = "Western Watch",
	["Westersea"] = "Westersea",
	["Westfall"] = "Westfall",
	["Westfall Brigade"] = "Westfall Brigade",
	["Westfall Brigade Encampment"] = "Westfall Brigade Encampment",
	["Westfall Lighthouse"] = "Westfall Lighthouse",
	["Westguard Inn"] = "Westguard Inn",
	["Westguard Keep"] = "Westguard Keep",
	["Westguard Turret"] = "Westguard Turret",
	["Westreach Summit"] = "Westreach Summit",
	["Westspark Workshop"] = "Westspark Workshop",
	["Westwind Lift"] = "Westwind Lift",
	["Westwind Refugee Camp"] = "Westwind Refugee Camp",
	["Westwind Rest"] = "Westwind Rest",
	["Westwind Weald"] = "Westwind Weald",
	["Wetlands"] = "Wetlands",
	["Wheelhouse"] = "Wheelhouse",
	["Whelgar's Excavation Site"] = "Whelgar's Excavation Site",
	["Whelgar's Retreat"] = "Whelgar's Retreat",
	["When the Forest Walks"] = "When the Forest Walks",
	["Whisper Gulch"] = "Whisper Gulch",
	["Whispercloud Rise"] = "Whispercloud Rise",
	["Whispering Bluffs"] = "Whispering Bluffs",
	["Whispering Forest"] = "Whispering Forest",
	["Whispering Gardens"] = "Whispering Gardens",
	["Whispering Hollows"] = "Whispering Hollows",
	["Whispering Inlet"] = "Whispering Inlet",
	["Whispering Reef"] = "Whispering Reef",
	["Whispering Shore"] = "Whispering Shore",
	["Whispering Stones"] = "Whispering Stones",
	["Whispering Willows"] = "Whispering Willows",
	["Whispershade Hollow"] = "Whispershade Hollow",
	["Whisperwind Grove"] = "Whisperwind Grove",
	["Whisperwind's Citadel"] = "Whisperwind's Citadel",
	["Whistlebloom Oasis"] = "Whistlebloom Oasis",
	["Whistling Grove"] = "Whistling Grove",
	["White Frag Lane"] = "White Frag Lane",
	["White Mesa Isles"] = "White Mesa Isles",
	["White Pine Trading Post"] = "White Pine Trading Post",
	["Whitebeard's Encampment"] = "Whitebeard's Encampment",
	["Whitegrove Chapel"] = "Whitegrove Chapel",
	["Whitepetal Lake"] = "Whitepetal Lake",
	["Whitereach Post"] = "Whitereach Post",
	["Whitewater Wash"] = "Whitewater Wash",
	["Whompus' Lair"] = "Whompus' Lair",
	["Wicker Hovel"] = "Wicker Hovel",
	["Widow's Peak"] = "Widow's Peak",
	["Wild Overlook"] = "Wild Overlook",
	["Wild Shore"] = "Wild Shore",
	["Wildbend River"] = "Wildbend River",
	["Wildervar Mine"] = "Wildervar Mine",
	["Wildflame Point"] = "Wildflame Point",
	["Wildgrowth Mangal"] = "Wildgrowth Mangal",
	["Wildhammer Flag Room"] = "Wildhammer Flag Room",
	["Wildhammer Keep"] = "Wildhammer Keep",
	["Wildhammer Stronghold"] = "Wildhammer Stronghold",
	["Wildheart Point"] = "Wildheart Point",
	["Wildmane Water Well"] = "Wildmane Water Well",
	["Wildpaw Cavern"] = "Wildpaw Cavern",
	["Wildpaw Ridge"] = "Wildpaw Ridge",
	["Wilds' Edge Inn"] = "Wilds' Edge Inn",
	["Wildvine Marsh"] = "Wildvine Marsh",
	["Wildwall"] = "Wildwall",
	["Wildwind Lake"] = "Wildwind Lake",
	["Wildwind Path"] = "Wildwind Path",
	["Wildwind Peak"] = "Wildwind Peak",
	["Wildwood Road"] = "Wildwood Road",
	["Wildwood Wash"] = "Wildwood Wash",
	["Wileywisp Den"] = "Wileywisp Den",
	["Windbreak Canyon"] = "Windbreak Canyon",
	["Windfall Cavern"] = "Windfall Cavern",
	["Windfury Ridge"] = "Windfury Ridge",
	["Winding Chasm"] = "Winding Chasm",
	["Windripper Peak"] = "Windripper Peak",
	["Windroc Bay"] = "Windroc Bay",
	["Windrunner Spire"] = "Windrunner Spire",
	["Windrunner Village"] = "Windrunner Village",
	["Windrunner's Overlook"] = "Windrunner's Overlook",
	["Windrunner's Sanctuary"] = "Windrunner's Sanctuary",
	["Winds' Edge"] = "Winds' Edge",
	["Wind's Redemption"] = "Wind's Redemption",
	["Windshear Crag"] = "Windshear Crag",
	["Windshear Heights"] = "Windshear Heights",
	["Windshear Hold"] = "Windshear Hold",
	["Windshear Mine"] = "Windshear Mine",
	["Windshear Valley"] = "Windshear Valley",
	["Windshorn Depths"] = "Windshorn Depths",
	["Windshorn Expanse"] = "Windshorn Expanse",
	["Windshorn Hills"] = "Windshorn Hills",
	["Windspire Bridge"] = "Windspire Bridge",
	["Windswept Aerie"] = "Windswept Aerie",
	["Windswept Cove"] = "Windswept Cove",
	["Windswept Pass"] = "Windswept Pass",
	["Windswept Terrace"] = "Windswept Terrace",
	["Windward Ascent"] = "Windward Ascent",
	["Windward Isle"] = "Windward Isle",
	["Windy Bluffs"] = "Windy Bluffs",
	["Windyreed Pass"] = "Windyreed Pass",
	["Windyreed Village"] = "Windyreed Village",
	["Winter AB_old"] = "Winter AB_old",
	["Winterax Cave"] = "Winterax Cave",
	["Winterax Hold"] = "Winterax Hold",
	["Winterbough Glade"] = "Winterbough Glade",
	["Winterchill Mine"] = "Winterchill Mine",
	["Winterdeep Basin"] = "Winterdeep Basin",
	["Winterdeep Mine"] = "Winterdeep Mine",
	["Winterdeep Mining Camp"] = "Winterdeep Mining Camp",
	["Winterfall Village"] = "Winterfall Village",
	["Winterfin Caverns"] = "Winterfin Caverns",
	["Winterfin Retreat"] = "Winterfin Retreat",
	["Winterfin Village"] = "Winterfin Village",
	["Wintergarde Crypt"] = "Wintergarde Crypt",
	["Wintergarde Keep"] = "Wintergarde Keep",
	["Wintergarde Mausoleum"] = "Wintergarde Mausoleum",
	["Wintergarde Mine"] = "Wintergarde Mine",
	["Wintergrasp"] = "Wintergrasp",
	["Wintergrasp Fortress"] = "Wintergrasp Fortress",
	["Wintergrasp River"] = "Wintergrasp River",
	["Winterhoof Water Well"] = "Winterhoof Water Well",
	["Winter's Blossom"] = "Winter's Blossom",
	["Winter's Breath Lake"] = "Winter's Breath Lake",
	["Winter's Edge Tower"] = "Winter's Edge Tower",
	["Winter's Heart"] = "Winter's Heart",
	["Winter's Terrace"] = "Winter's Terrace",
	["Winterspring"] = "Winterspring",
	["Witch Hill"] = "Witch Hill",
	["Witch's Sanctum"] = "Witch's Sanctum",
	["Witherbark Caverns"] = "Witherbark Caverns",
	["Witherbark Village"] = "Witherbark Village",
	["Witherfall Ruin"] = "Witherfall Ruin",
	["Withering Gulch"] = "Withering Gulch",
	["Withering Thicket"] = "Withering Thicket",
	["Witherwind Pass"] = "Witherwind Pass",
	["Wizard Row"] = "Wizard Row",
	["Wizard's Sanctum"] = "Wizard's Sanctum",
	["Woeful Cavern"] = "Woeful Cavern",
	["Wolf's Den"] = "Wolf's Den",
	["Wolf's Run"] = "Wolf's Run",
	["Wolf's Stand"] = "Wolf's Stand",
	["Wonderland"] = "Wonderland",
	["Woodpaw Den"] = "Woodpaw Den",
	["Woodpaw Hills"] = "Woodpaw Hills",
	["Wood's End Cabin"] = "Wood's End Cabin",
	["Woods of the Lost"] = "Woods of the Lost",
	["Wor'gol"] = "Wor'gol",
	["Worgskin's Camp"] = "Worgskin's Camp",
	["Workshop"] = "Workshop",
	["Workshop Entrance"] = "Workshop Entrance",
	["World Boss Cave"] = "World Boss Cave",
	["World Tree 2"] = "World Tree 2",
	["World's End Tavern"] = "World's End Tavern",
	["Wor'var"] = "Wor'var",
	["Wor'var Corral"] = "Wor'var Corral",
	["Wor'var Tankworks"] = "Wor'var Tankworks",
	["Wor'var Worksite"] = "Wor'var Worksite",
	["Wrangler Pit"] = "Wrangler Pit",
	["Wrath of the Jailer"] = "Wrath of the Jailer",
	["Wrathscale Lair"] = "Wrathscale Lair",
	["Wrathscale Point"] = "Wrathscale Point",
	["Wreck of Hellscream's Fist"] = "Wreck of Hellscream's Fist",
	["Wreck of the Hungry Riverbeast"] = "Wreck of the Hungry Riverbeast",
	["Wreck of the Mist-Hopper"] = "Wreck of the Mist-Hopper",
	["Wreck of the Mother Lode"] = "Wreck of the Mother Lode",
	["Wreck of the Old Blanchy"] = "Wreck of the Old Blanchy",
	["Wreck of the Skyseeker"] = "Wreck of the Skyseeker",
	["Wreck of the Vanguard"] = "Wreck of the Vanguard",
	["Wreckage of the Silver Dawning"] = "Wreckage of the Silver Dawning",
	["Wrecked Caravan"] = "Wrecked Caravan",
	["Wretched Hollow"] = "Wretched Hollow",
	["Writhing Mound"] = "Writhing Mound",
	["Writhingwood"] = "Writhingwood",
	["Wrynn Artillery Tower"] = "Wrynn Artillery Tower",
	["Wrynnfall"] = "Wrynnfall",
	["Wu-Song Village"] = "Wu-Song Village",
	["Wyrmbog"] = "Wyrmbog",
	["Wyrmbreaker's Rookery"] = "Wyrmbreaker's Rookery",
	["Wyrmrest Summit"] = "Wyrmrest Summit",
	["Wyrmrest Temple"] = "Wyrmrest Temple",
	["Wyrms' Bend"] = "Wyrms' Bend",
	["Wyrmscar Island"] = "Wyrmscar Island",
	["Wyrmskull Bridge"] = "Wyrmskull Bridge",
	["Wyrmskull Tunnel"] = "Wyrmskull Tunnel",
	["Wyrmskull Village"] = "Wyrmskull Village",
	["X-2 Pincer"] = "X-2 Pincer",
	["Xal'vor"] = "Xal'vor",
	["Xandria's Vigil"] = "Xandria's Vigil",
	["Xavian"] = "Xavian",
	["Xeri'tac's Burrow"] = "Xeri'tac's Burrow",
	["Xibala"] = "Xibala",
	["Xibala Caverns"] = "Xibala Caverns",
	["Xibala Shallows"] = "Xibala Shallows",
	["Xumanu's Hideout"] = "Xumanu's Hideout",
	["Xylem's Tower"] = "Xylem's Tower",
	["Yan-Zhe River"] = "Yan-Zhe River",
	["Yeti Mountain Basecamp"] = "Yeti Mountain Basecamp",
	["Yinying Village"] = "Yinying Village",
	["Ymirheim"] = "Ymirheim",
	["Ymiron's Seat"] = "Ymiron's Seat",
	["Yojamba Isle"] = "Yojamba Isle",
	["You Can't Take the Sky from Me"] = "You Can't Take the Sky from Me",
	["Yowler's Den"] = "Yowler's Den",
	["Yrel's Watch"] = "Yrel's Watch",
	["Zabra'jin"] = "Zabra'jin",
	["Zaetar's Choice"] = "Zaetar's Choice",
	["Zaetar's Grave"] = "Zaetar's Grave",
	["Zak'rajan's Throne Room"] = "Zak'rajan's Throne Room",
	["Zal'amak"] = "Zal'amak",
	["Zalamar"] = "Zalamar",
	["Zalashji's Den"] = "Zalashji's Den",
	["Zalazane's Fall"] = "Zalazane's Fall",
	["Zanchul"] = "Zanchul",
	["Zandalar"] = "Zandalar",
	["Zandalar Continent Finale"] = "Zandalar Continent Finale",
	["Zandalari Flagship"] = "Zandalari Flagship",
	["Zandalari Treasury"] = "Zandalari Treasury",
	["Zane's Eye Crater"] = "Zane's Eye Crater",
	["Zangar Ridge"] = "Zangar Ridge",
	["Zangar Sea"] = "Zangar Sea",
	["Zangar Shore"] = "Zangar Shore",
	["Zangarmarsh"] = "Zangarmarsh",
	["Zangarra"] = "Zangarra",
	["Zanj'ir Keep"] = "Zanj'ir Keep",
	["Zanj'ir Terrace"] = "Zanj'ir Terrace",
	["Zanj'ir Wash"] = "Zanj'ir Wash",
	["Zan'vess"] = "Zan'vess",
	["Zanza's Rise"] = "Zanza's Rise",
	["Zarkhenar Temple"] = "Zarkhenar Temple",
	["Za'Tual"] = "Za'Tual",
	["Zeb'ahari"] = "Zeb'ahari",
	["Zeb'Halak"] = "Zeb'Halak",
	["Zeb'Nowa"] = "Zeb'Nowa",
	["Zeb'Sora"] = "Zeb'Sora",
	["Zeb'Tela"] = "Zeb'Tela",
	["Zeb'tula"] = "Zeb'tula",
	["Zeb'Watha"] = "Zeb'Watha",
	["Zellek's Hut"] = "Zellek's Hut",
	["Zeppelin Crash"] = "Zeppelin Crash",
	["Zeramas"] = "Zeramas",
	["Zerekriss"] = "Zerekriss",
	["Zeth'Gol"] = "Zeth'Gol",
	["Zeth'Gor"] = "Zeth'Gor",
	["Zeth'Kur"] = "Zeth'Kur",
	["Zhu Province"] = "Zhu Province",
	["Zhu's Descent"] = "Zhu's Descent",
	["Zhu's Watch"] = "Zhu's Watch",
	["Ziata'jai Ruins"] = "Ziata'jai Ruins",
	["Zim'Abwa"] = "Zim'Abwa",
	["Zim'bo's Hideout"] = "Zim'bo's Hideout",
	["Zim'Rhuk"] = "Zim'Rhuk",
	["Zim'Torga"] = "Zim'Torga",
	["Zin'Azshari"] = "Zin'Azshari",
	["Zin-Azshari"] = "Zin-Azshari",
	["Zo'bal Ruins"] = "Zo'bal Ruins",
	["Zol'Heb"] = "Zol'Heb",
	["Zol'Maz Stronghold"] = "Zol'Maz Stronghold",
	["Zolramus"] = "Zolramus",
	["Zoram'gar Outpost"] = "Zoram'gar Outpost",
	["Zorammarsh"] = "Zorammarsh",
	["Zorkra's Fall"] = "Zorkra's Fall",
	["Zouchin Province"] = "Zouchin Province",
	["Zouchin Strand"] = "Zouchin Strand",
	["Zouchin Village"] = "Zouchin Village",
	["Zovaal's Cauldron"] = "Zovaal's Cauldron",
	["Zul'Ahjin"] = "Zul'Ahjin",
	["Zul'Aman"] = "Zul'Aman",
	["Zuldazar"] = "Zuldazar",
	["Zuldazar Alliance Bombing Run"] = "Zuldazar Alliance Bombing Run",
	["Zul'Drak"] = "Zul'Drak",
	["Zul'Farrak"] = "Zul'Farrak",
	["Zul'Farrak Entrance"] = "Zul'Farrak Entrance",
	["Zul'Gurub"] = "Zul'Gurub",
	["Zul'jan"] = "Zul'jan",
	["Zul'jan Ruins"] = "Zul'jan Ruins",
	["Zul'Mashar"] = "Zul'Mashar",
	["Zul'Nazman"] = "Zul'Nazman",
	["Zul'Toa"] = "Zul'Toa",
	["Zun'watha"] = "Zun'watha",
	["Zuuldaia Ruins"] = "Zuuldaia Ruins",
	["zzOld - Tankworks"] = "zzOld - Tankworks"
}

if GetLocale() == "enUS" then
	lib:SetCurrentTranslations(true)
end

